(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[   2426363,      54016]
NotebookOptionsPosition[   2364189,      52478]
NotebookOutlinePosition[   2408017,      53380]
CellTagsIndexPosition[   2406178,      53346]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Formalization of Reduction Ring Theory", "Title",
 CellChangeTimes->{{3.6608022646287327`*^9, 3.660802272350746*^9}},
 CellID->116656788],

Cell["Overview", "Subtitle",
 CellChangeTimes->{{3.660802277732755*^9, 3.6608022790899577`*^9}},
 CellID->34813447],

Cell[CellGroupData[{

Cell["Data", "Section",
 CellChangeTimes->{{3.6608023036922007`*^9, 3.660802317498225*^9}, {
  3.6608898585512686`*^9, 3.6608898647932796`*^9}},
 CellID->70025367],

Cell[BoxData[
 RowBox[{"Get", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
    "$HomeDirectory", ",", "\"\<Theorema Notebooks\>\"", ",", 
     "\"\<TheoryTools\>\"", ",", "\"\<TheoryTools.m\>\""}], "}"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6608024292100215`*^9, 3.660802453358864*^9}, {
  3.667817895625543*^9, 3.667817903657318*^9}},
 CellID->961554034],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"First", "[", 
  RowBox[{"Timing", "[", 
   RowBox[{"AnalyzeProofs", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FileNameJoin", "[", 
         RowBox[{"{", 
          RowBox[{
          "$HomeDirectory", ",", "\"\<Theorema Notebooks\>\"", ",", 
           "\"\<ElementaryTheories\>\""}], "}"}], "]"}], ",", 
        "\"\<Recursive\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FileNameJoin", "[", 
         RowBox[{"{", 
          RowBox[{
          "$HomeDirectory", ",", "\"\<Theorema Notebooks\>\"", ",", 
           "\"\<Reduction Ring Theory\>\""}], "}"}], "]"}], ",", 
        "\"\<Recursive\>\""}], "}"}]}], "}"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.660802465292885*^9, 3.6608024748713017`*^9}, {
   3.6615865227637954`*^9, 3.661586532591813*^9}, 3.667817838584688*^9, {
   3.6678180217972403`*^9, 3.667818041157058*^9}},
 CellID->771768914],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "1", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories", "\" (", 1, " of ", 
   "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782002828118*^9},
 CellID->1242290743],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories/AlgebraicStructures",
    "\" (", 2, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200283124743`*^9},
 CellID->886193311],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"60\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "60"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820028314098*^9},
 CellID->1601435876],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"60\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "60"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820028559231*^9},
 CellID->2107563695],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors", "\" (", 3,
    " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200286234417`*^9},
 CellID->1469160223],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"36\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "36"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820028624835*^9},
 CellID->1276253158],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets", "\" (", 
   4, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820028838381*^9},
 CellID->251959666],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"228\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "228"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820028873609*^9},
 CellID->808449980],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"228\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "228"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782002914153*^9},
 CellID->447593060],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"228\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "228"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782002943365*^9},
 CellID->834471898],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"228\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "228"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820029735887*^9},
 CellID->366627251],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"228\"\>"}],
  SequenceForm["  Reading proof ", 201, " of ", "228"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820030037031*^9},
 CellID->281249548],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt", "\" (", 5, 
   " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782003020813*^9},
 CellID->1828909089],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"300\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "300"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200302449083`*^9},
 CellID->864932006],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"300\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "300"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820030506053*^9},
 CellID->1209343178],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"300\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "300"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820030801725*^9},
 CellID->1644425071],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"300\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "300"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820031097438*^9},
 CellID->152257613],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"300\"\>"}],
  SequenceForm["  Reading proof ", 201, " of ", "300"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200313897943`*^9},
 CellID->954063704],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"300\"\>"}],
  SequenceForm["  Reading proof ", 251, " of ", "300"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820031677993*^9},
 CellID->743847445],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatIntExtended", 
   "\" (", 6, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820031972933*^9},
 CellID->1288942961],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"237\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "237"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820032011478*^9},
 CellID->2120044392],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"237\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "237"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820032290934*^9},
 CellID->557937515],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"237\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "237"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782003260371*^9},
 CellID->1081621251],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"237\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "237"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200329174633`*^9},
 CellID->1828299578],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"237\"\>"}],
  SequenceForm["  Reading proof ", 201, " of ", "237"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200332358723`*^9},
 CellID->1520276368],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers", "\" (", 7, 
   " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200334788094`*^9},
 CellID->180742113],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"165\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "165"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782003351805*^9},
 CellID->1896894196],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"165\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "165"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820033778754*^9},
 CellID->635623105],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"165\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "165"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820034078392*^9},
 CellID->686477103],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"165\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "165"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782003437251*^9},
 CellID->1537086948],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences", "\" (", 
   8, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820034464079*^9},
 CellID->590591802],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"48\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "48"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200344657497`*^9},
 CellID->645834195],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples", "\" (", 9, 
   " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200347603083`*^9},
 CellID->9907917],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"271\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "271"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200348186073`*^9},
 CellID->499596164],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"271\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "271"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820035056387*^9},
 CellID->1626004261],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"271\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "271"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200353606033`*^9},
 CellID->1805886587],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"271\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "271"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820035660074*^9},
 CellID->294503488],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"271\"\>"}],
  SequenceForm["  Reading proof ", 201, " of ", "271"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820035957851*^9},
 CellID->611694673],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"271\"\>"}],
  SequenceForm["  Reading proof ", 251, " of ", "271"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200362546673`*^9},
 CellID->998120610],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", "\[InvisibleSpace]", "10",
    "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"18\"\>", 
   "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring Theory", "\" (", 10, 
   " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200363860617`*^9},
 CellID->195452788],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "11", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring Theory/Fields", "\" (", 
   11, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200363878202`*^9},
 CellID->1732690948],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"36\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "36"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200363892403`*^9},
 CellID->732187026],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "12", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring Theory/GroebnerRings", 
   "\" (", 12, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200366336517`*^9},
 CellID->687390267],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"170\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "170"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820036689457*^9},
 CellID->559183237],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"170\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "170"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820037027383*^9},
 CellID->1811084831],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"170\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "170"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820037404204*^9},
 CellID->856472131],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"170\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "170"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200377697163`*^9},
 CellID->526371782],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "13", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings", "\" (", 13, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200379255943`*^9},
 CellID->442510481],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"78\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "78"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820037927198*^9},
 CellID->1874554153],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"78\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "78"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200382926607`*^9},
 CellID->1561497160],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "14", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring Theory/Integers", "\" (",
    14, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820038503631*^9},
 CellID->420448596],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"85\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "85"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820038505144*^9},
 CellID->489322978],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"85\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "85"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820038839107*^9},
 CellID->1323943784],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Overview\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "15", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring Theory/Overview", "\" (",
    15, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820039090077*^9},
 CellID->29232759],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "16", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring Theory/Polynomials", 
   "\" (", 16, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820039091836*^9},
 CellID->292003789],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"342\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "342"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820039141602*^9},
 CellID->222944895],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"342\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "342"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200394574738`*^9},
 CellID->1656380475],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"342\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "342"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820039827382*^9},
 CellID->81798121],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"342\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "342"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200402059917`*^9},
 CellID->1369165025],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"342\"\>"}],
  SequenceForm["  Reading proof ", 201, " of ", "342"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820040589212*^9},
 CellID->158589512],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"342\"\>"}],
  SequenceForm["  Reading proof ", 251, " of ", "342"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200409872293`*^9},
 CellID->953256788],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"342\"\>"}],
  SequenceForm["  Reading proof ", 301, " of ", "342"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820041379183*^9},
 CellID->1793637381],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "17", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring Theory/PolyTuples", 
   "\" (", 17, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782004170326*^9},
 CellID->413306531],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820041755829*^9},
 CellID->1531901166],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200420639277`*^9},
 CellID->361326966],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200424383583`*^9},
 CellID->324857750],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820042797339*^9},
 CellID->904572217],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \\\"\"\>", 
   "\[InvisibleSpace]", "\<\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings\"\>", "\[InvisibleSpace]", "\<\"\\\" (\"\>", 
   "\[InvisibleSpace]", "18", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"18\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"", 
   "/home/amaletzk/Theorema Notebooks/Reduction Ring Theory/ReductionRings", 
   "\" (", 18, " of ", "18", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820042881587*^9},
 CellID->2137498656],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"252\"\>"}],
  SequenceForm["  Reading proof ", 1, " of ", "252"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820042937869*^9},
 CellID->799265232],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"252\"\>"}],
  SequenceForm["  Reading proof ", 51, " of ", "252"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820043263633*^9},
 CellID->766874546],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"252\"\>"}],
  SequenceForm["  Reading proof ", 101, " of ", "252"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820043618044*^9},
 CellID->516799975],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"252\"\>"}],
  SequenceForm["  Reading proof ", 151, " of ", "252"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820043994849*^9},
 CellID->1386314746],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"252\"\>"}],
  SequenceForm["  Reading proof ", 201, " of ", "252"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782004435401*^9},
 CellID->1607058075],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Reading proof \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"252\"\>"}],
  SequenceForm["  Reading proof ", 251, " of ", "252"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820044702684*^9},
 CellID->783149775],

Cell[BoxData["\<\"Creating forward rules:\"\>"], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820044762796*^9},
 CellID->842826623],

Cell[BoxData["\<\"Preparing ...\"\>"], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200448269653`*^9},
 CellID->1573290117],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820045216641*^9},
 CellID->1752257084],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 51, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820046459474*^9},
 CellID->510460682],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 101, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820047696794*^9},
 CellID->958462677],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 151, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200489297457`*^9},
 CellID->1058438671],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 201, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782005017426*^9},
 CellID->1464819510],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 251, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820051406927*^9},
 CellID->464300388],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 301, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820052632531*^9},
 CellID->216025540],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "351", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 351, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820053849532*^9},
 CellID->1030434047],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "401", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 401, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820055076132*^9},
 CellID->199718528],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "451", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 451, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200562957497`*^9},
 CellID->121751413],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "501", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 501, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820057550047*^9},
 CellID->2111554391],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "551", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 551, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200588201237`*^9},
 CellID->206429187],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "601", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 601, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820060089121*^9},
 CellID->960361428],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "651", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 651, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820061347598*^9},
 CellID->1739410279],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "701", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 701, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820062596815*^9},
 CellID->1319421141],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "751", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 751, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820063853116*^9},
 CellID->1757631328],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "801", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 801, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200651057587`*^9},
 CellID->684625917],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "851", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 851, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820066365554*^9},
 CellID->54970961],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "901", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 901, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820067619207*^9},
 CellID->305603390],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "951", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 951, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200688686666`*^9},
 CellID->1866276638],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1001", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1001, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200701237707`*^9},
 CellID->1352525671],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1051", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1051, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200713697557`*^9},
 CellID->44499483],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1101, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820072611925*^9},
 CellID->353627164],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1151, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820073847267*^9},
 CellID->1308796303],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1201, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200750788593`*^9},
 CellID->1329741057],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1251, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820076309188*^9},
 CellID->2067580889],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1301, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820077539586*^9},
 CellID->249286153],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1351", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1351, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200787692327`*^9},
 CellID->26086998],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1401", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1401, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820080013578*^9},
 CellID->795475400],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1451", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1451, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820081264804*^9},
 CellID->156544491],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1501", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1501, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200825129013`*^9},
 CellID->2082130821],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1551", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1551, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200837549458`*^9},
 CellID->1450302547],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1601", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1601, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200850001802`*^9},
 CellID->720252157],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1651", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1651, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820086246621*^9},
 CellID->415012890],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1701", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1701, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200874991302`*^9},
 CellID->510808709],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1751", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1751, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820088746765*^9},
 CellID->120767756],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1801", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1801, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200899773693`*^9},
 CellID->2140708210],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1851", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1851, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820091193488*^9},
 CellID->900011243],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1901", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1901, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820092409034*^9},
 CellID->1693290737],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1951", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 1951, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.66782009362332*^9},
 CellID->75003584],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2001", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2001, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820094853105*^9},
 CellID->80958908],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2051", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2051, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820096074086*^9},
 CellID->72292393],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2101, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820097322041*^9},
 CellID->435224929],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2151, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200985687304`*^9},
 CellID->1891619836],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2201, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678200998160057`*^9},
 CellID->411789479],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2251, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820101058448*^9},
 CellID->149845067],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2301, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820102296114*^9},
 CellID->1785122880],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2351", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2351, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820103538525*^9},
 CellID->1337502387],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2401", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2401, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820104763061*^9},
 CellID->668813724],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2451", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2451, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820105980567*^9},
 CellID->1497862056],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2501", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2501, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820107214159*^9},
 CellID->1383402736],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2551", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2551, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820108425439*^9},
 CellID->256713702],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2601", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2601, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820109635254*^9},
 CellID->595621019],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2651", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2651, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678201108459797`*^9},
 CellID->1780596363],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2701", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2701, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678201120591593`*^9},
 CellID->2079269462],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2751", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2751, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820113267305*^9},
 CellID->377661147],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2801", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2801, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678201144823837`*^9},
 CellID->1898130688],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2851", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2851, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678201157009697`*^9},
 CellID->294416699],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2901", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2901, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820116918112*^9},
 CellID->626219404],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2951", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 2951, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678201181385317`*^9},
 CellID->548110945],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3001", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 3001, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820119354369*^9},
 CellID->1784376969],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3051", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 3051, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678201205815773`*^9},
 CellID->945985354],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 3101, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678201218036127`*^9},
 CellID->376766908],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 3151, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820123025386*^9},
 CellID->689431288],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3234"}],
  SequenceForm["Creating rule ", 3201, " of ", 3234],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820124238944*^9},
 CellID->132773031],

Cell[BoxData["\<\"Creating thinned data ...\"\>"], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820125053557*^9},
 CellID->1767051093],

Cell[BoxData["\<\"Creating theory data ...\"\>"], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820125145843*^9},
 CellID->1298623820],

Cell[BoxData["\<\"Creating backward rules ...\"\>"], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820125188115*^9},
 CellID->760481926],

Cell[BoxData["\<\"Creating forward rules ...\"\>"], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.6678201253939457`*^9},
 CellID->1039179312],

Cell[BoxData["\<\"Preparing ...\"\>"], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820125440382*^9},
 CellID->19987135],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "15"}],
  SequenceForm["Creating rule ", 1, " of ", 15],
  Editable->False]], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820125442541*^9},
 CellID->1025380817],

Cell[BoxData["\<\"Done\"\>"], "Print",
 CellChangeTimes->{3.662270618169842*^9, 3.6623695209203835`*^9, 
  3.6623755945788918`*^9, 3.6627064623547516`*^9, 3.66270896347995*^9, 
  3.6678179242657003`*^9, 3.667820125444488*^9},
 CellID->2081021038]
}, Open  ]],

Cell[BoxData["95.5199999999999960209606797434389591217`8.000694227064919"], \
"Output",
 CellChangeTimes->{3.6622709755103064`*^9, 3.662369763298009*^9, 
  3.662375725926729*^9, 3.662706752973662*^9, 3.66270910013919*^9, 
  3.667817973042165*^9, 3.667820125446616*^9},
 CellID->460823587]
}, Closed]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"TheoryTools`Private`$proofData", "=", 
    RowBox[{"Get", "[", "\"\<pd.m\>\"", "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"TheoryTools`Private`$proofData", "=", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "}"}], ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", "TheoryTools`Private`$proofData"}], 
     "]"}]}], ";"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.660802908848464*^9, 3.6608029310785027`*^9}, {
  3.6608054161570683`*^9, 3.660805420774677*^9}, {3.6608054528181334`*^9, 
  3.660805483534587*^9}, {3.660814739952098*^9, 3.660814740123698*^9}, {
  3.6608147767251625`*^9, 3.6608147865531797`*^9}, {3.6615855191418324`*^9, 
  3.661585522573838*^9}},
 CellID->125142751],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"TheoryTools`Private`$theoryData", "=", 
    RowBox[{"Get", "[", "\"\<td.m\>\"", "]"}]}], ";"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.660803522196542*^9, 3.6608035827402477`*^9}, 
   3.6608036713952036`*^9, {3.6608048566872854`*^9, 3.660804859807291*^9}, {
   3.660805156867013*^9, 3.66080517223304*^9}, {3.660805442100914*^9, 
   3.660805447170923*^9}, {3.660814790967987*^9, 3.6608147953203945`*^9}, {
   3.6615855248670425`*^9, 3.661585528065048*^9}},
 CellID->746482634],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Names", "[", "\"\<Global`*$TM\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.66781786488734*^9, 3.667817874136137*^9}},
 CellID->592861542],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"Diamond$TM\"\>", ",", "\<\"GreaterGreater$TM\"\>", 
   ",", "\<\"Greater$TM\"\>", ",", "\<\"LongRightArrow$TM\"\>", 
   ",", "\<\"PrecedesEqual$TM\"\>", ",", "\<\"Precedes$TM\"\>", 
   ",", "\<\"RightTriangle$TM\"\>", ",", "\<\"SmallCircle$TM\"\>", 
   ",", "\<\"SquareUnion$TM\"\>", ",", "\<\"Square$TM\"\>", 
   ",", "\<\"SucceedsEqual$TM\"\>", ",", "\<\"Succeeds$TM\"\>", 
   ",", "\<\"Tilde$TM\"\>"}], "}"}]], "Output",
 CellChangeTimes->{
  3.667817876627521*^9, 3.6678179084310627`*^9, 3.667818052631649*^9, 
   3.667818865691846*^9, 3.667819035803377*^9, {3.66781908137176*^9, 
   3.667819089307809*^9}, 3.667819247084571*^9, 3.6678196271178923`*^9, 
   3.667819958407282*^9, {3.6678201310703793`*^9, 3.6678201389762583`*^9}, 
   3.6678205189940243`*^9, 3.6678209368914557`*^9},
 CellID->419280866]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Structure of the Formalization", "Section",
 CellChangeTimes->{3.6608898600800714`*^9},
 CellID->106214647],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"G", "=", 
  RowBox[{"ShowTheoryGraph", "[", 
   RowBox[{"Hyperlink", "\[Rule]", "Cell"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6608031829427457`*^9, 3.6608031915851607`*^9}, {
  3.660822314464411*^9, 3.660822315026012*^9}, {3.66088922746476*^9, 
  3.6608892330027695`*^9}, {3.6608892776032476`*^9, 3.660889278305249*^9}, {
  3.6608898768053007`*^9, 3.6608898811109085`*^9}},
 CellID->65516465],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 
      15}, {{{15, 4}, {4, 7}, {7, 5}, {5, 6}, {6, 9}, {9, 1}, {9, 8}, {1, 
       2}, {1, 3}, {8, 14}, {14, 10}, {14, 2}, {14, 11}, {14, 12}, {14, 13}, {
       13, 3}}, Null}, {ImagePadding -> All, VertexLabels -> {
         Placed["Name", Center, Panel[#, FrameMargins -> 0]& ], 1 -> Placed[
           Tooltip[
            Hyperlink["ElementaryTheories/Functors.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"}], 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"], Center, 
           Panel[#, FrameMargins -> 0]& ], 6 -> Placed[
           Tooltip[
            Hyperlink["ElementaryTheories/NatIntExtended.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"}], 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], Center, 
           Panel[#, FrameMargins -> 0]& ], 15 -> Placed[
           Tooltip[
            Hyperlink["ElementaryTheories/LogicSets.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"}], 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], Center, 
           Panel[#, FrameMargins -> 0]& ], 10 -> Placed[
           Tooltip[
            Hyperlink["Reduction Ring Theory/Fields.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb"}], 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb"], Center, Panel[#, FrameMargins -> 0]& ], 9 -> Placed[
           Tooltip[
            Hyperlink["ElementaryTheories/Tuples.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}], 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Center, Panel[#, FrameMargins -> 0]& ], 11 -> Placed[
           Tooltip[
            Hyperlink["Reduction Ring Theory/IntegerQuotientRings.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb"}], 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb"], Center, Panel[#, FrameMargins -> 0]& ], 2 -> 
         Placed[
           Tooltip[
            Hyperlink["Reduction Ring Theory/GroebnerRings.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"}], 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], Center, Panel[#, FrameMargins -> 0]& ], 8 -> Placed[
           Tooltip[
            Hyperlink["ElementaryTheories/Sequences.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"}], 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], Center, 
           Panel[#, FrameMargins -> 0]& ], 14 -> Placed[
           Tooltip[
            Hyperlink["Reduction Ring Theory/ReductionRings.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"}], 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], Center, Panel[#, FrameMargins -> 0]& ], 7 -> 
         Placed[
           Tooltip[
            Hyperlink["ElementaryTheories/Numbers.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"}], 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"], Center, 
           Panel[#, FrameMargins -> 0]& ], 13 -> Placed[
           Tooltip[
            Hyperlink["Reduction Ring Theory/Polynomials.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"}], 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], Center, Panel[#, FrameMargins -> 0]& ], 3 -> Placed[
           Tooltip[
            Hyperlink["Reduction Ring Theory/PolyTuples.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb"}], 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb"], Center, Panel[#, FrameMargins -> 0]& ], 12 -> Placed[
           Tooltip[
            Hyperlink["Reduction Ring Theory/Integers.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb"}], 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb"], Center, Panel[#, FrameMargins -> 0]& ], 4 -> Placed[
           Tooltip[
            Hyperlink["ElementaryTheories/AlgebraicStructures.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"}], 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], Center, 
           Panel[#, FrameMargins -> 0]& ], 5 -> Placed[
           Tooltip[
            Hyperlink["ElementaryTheories/NatInt.nb", {
              NotebookObject[
               FrontEndObject[
                LinkObject["za8_shm", 3, 1]], 22], 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb"}], 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"],
            Center, Panel[#, FrameMargins -> 0]& ]}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Arrowheads[0.01746207497820401], 
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       ArrowBox[{
         DynamicLocation["VertexID$1", Automatic, Center], 
         DynamicLocation["VertexID$2", Automatic, Center]}], 
       ArrowBox[
        BezierCurveBox[{
          DynamicLocation["VertexID$1", Automatic, Center], {
          0.10455097716174719`, 1.8954490228382528`}, {0.16857303194726453`, 
          1.8314269680527357`}, {0.24042613086921105`, 1.7595738691307892`}, {
          0.32011027392758673`, 1.6798897260724133`}, {0.4076254611223915, 
          1.5923745388776085`}, {0.5029716924536255, 1.4970283075463744`}, {
          0.6061489679212887, 1.3938510320787114`}, {0.717157287525381, 
          1.282842712474619}, {0.7765193382916591, 1.2185423901034025`}, {
          0.8288976183795513, 1.1513492952006954`}, {0.8742921277890583, 
          1.0812634277664974`}, {0.9127028665201794, 1.0082847878008083`}, {
          0.9441298345729148, 0.9324133753036284}, {0.9685730319472646, 
          0.8536491902749577}, {0.9860324586432287, 0.771992232714796}, {
          0.9965081146608072, 0.6874425026231434}, {1., 0.6}, {1., 
          0.5135802469135802}, {1., 0.4320987654320988}, {1.0000000000000002`,
           0.35555555555555557`}, {1., 0.2839506172839506}, {1., 
          0.2172839506172839}, {1., 0.15555555555555556`}, {1., 
          0.09876543209876543}, 
          DynamicLocation["VertexID$3", Automatic, Center]}]], 
       ArrowBox[{
         DynamicLocation["VertexID$4", Automatic, Center], 
         DynamicLocation["VertexID$7", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$5", Automatic, Center], 
         DynamicLocation["VertexID$6", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$6", Automatic, Center], 
         DynamicLocation["VertexID$9", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$7", Automatic, Center], 
         DynamicLocation["VertexID$5", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$8", Automatic, Center], 
         DynamicLocation["VertexID$14", Automatic, Center]}], 
       ArrowBox[
        BezierCurveBox[{
          DynamicLocation["VertexID$9", Automatic, Center], {0., 
          3.9012345679012346`}, {0., 3.844444444444445}, {0., 
          3.782716049382716}, {0., 3.716049382716049}, {0., 
          3.644444444444445}, {0., 3.567901234567901}, {0., 
          3.4864197530864196`}, {0., 3.4}, {0., 3.3111111111111104`}, {0., 
          3.2222222222222223`}, {0., 3.133333333333334}, {0., 
          3.0444444444444443`}, {0., 2.9555555555555557`}, {0., 
          2.8666666666666667`}, {0., 2.7777777777777777`}, {0., 
          2.688888888888889}, {0., 2.5999999999999996`}, {0., 
          2.5135802469135795`}, {0., 2.432098765432099}, {0., 
          2.355555555555556}, {0., 2.283950617283951}, {0., 
          2.2172839506172837`}, {0., 2.155555555555556}, {0., 
          2.0987654320987654`}, 
          DynamicLocation["VertexID$1", Automatic, Center]}]], 
       ArrowBox[{
         DynamicLocation["VertexID$9", Automatic, Center], 
         DynamicLocation["VertexID$8", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$13", Automatic, Center], 
         DynamicLocation["VertexID$3", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$14", Automatic, Center], 
         DynamicLocation["VertexID$2", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$14", Automatic, Center], 
         DynamicLocation["VertexID$10", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$14", Automatic, Center], 
         DynamicLocation["VertexID$11", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$14", Automatic, Center], 
         DynamicLocation["VertexID$12", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$14", Automatic, Center], 
         DynamicLocation["VertexID$13", Automatic, Center]}], 
       ArrowBox[{
         DynamicLocation["VertexID$15", Automatic, Center], 
         DynamicLocation["VertexID$4", Automatic, Center]}]}, {
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 2.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$1"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/Functors.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/Functors.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "Tooltip"]& ], FrameMargins -> 0], 
           TraditionalForm], 
          DynamicLocation["VertexID$1", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 1.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$2"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/GroebnerRings.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/GroebnerRings.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "Tooltip"]& ], FrameMargins -> 0], TraditionalForm], 
          DynamicLocation["VertexID$2", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          DiskBox[{1., 0.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$3"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/PolyTuples.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/PolyTuples.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb", "Tooltip"]& ], FrameMargins -> 0], TraditionalForm], 
          DynamicLocation["VertexID$3", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 8.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$4"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/AlgebraicStructures.nb\"", 
                  True -> StyleBox[
                   "\"ElementaryTheories/AlgebraicStructures.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"}, ButtonNote -> 
                ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb\"", LabelStyle -> 
              "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "Tooltip"]& ], 
            FrameMargins -> 0], TraditionalForm], 
          DynamicLocation["VertexID$4", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 6.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$5"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/NatInt.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/NatInt.nb\"", {"HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb", "Tooltip"]& ], FrameMargins -> 0], 
           TraditionalForm], 
          DynamicLocation["VertexID$5", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 5.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$6"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/NatIntExtended.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/NatIntExtended.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb\"", LabelStyle -> 
              "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "Tooltip"]& ], FrameMargins -> 
            0], TraditionalForm], 
          DynamicLocation["VertexID$6", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 7.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$7"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/Numbers.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/Numbers.nb\"", {"HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb", "Tooltip"]& ], FrameMargins -> 0], 
           TraditionalForm], 
          DynamicLocation["VertexID$7", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          DiskBox[{-2., 3.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$8"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/Sequences.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/Sequences.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "Tooltip"]& ], FrameMargins -> 0],
            TraditionalForm], 
          DynamicLocation["VertexID$8", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$8"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 4.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$9"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/Tuples.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/Tuples.nb\"", {"HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "Tooltip"]& ], FrameMargins -> 0], 
           TraditionalForm], 
          DynamicLocation["VertexID$9", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$9"], 
       TagBox[{
         TagBox[
          DiskBox[{-4., 1.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$10"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/Fields.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/Fields.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb", "Tooltip"]& ], FrameMargins -> 0], TraditionalForm], 
          DynamicLocation["VertexID$10", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$10"], 
       TagBox[{
         TagBox[
          DiskBox[{-3., 1.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$11"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/IntegerQuotientRings.nb\"",
                   True -> StyleBox[
                   "\"Reduction Ring Theory/IntegerQuotientRings.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb", "Tooltip"]& ], FrameMargins -> 0], 
           TraditionalForm], 
          DynamicLocation["VertexID$11", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$11"], 
       TagBox[{
         TagBox[
          DiskBox[{-2., 1.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$12"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/Integers.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/Integers.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb", "Tooltip"]& ], FrameMargins -> 0], TraditionalForm], 
          DynamicLocation["VertexID$12", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$12"], 
       TagBox[{
         TagBox[
          DiskBox[{-1., 1.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$13"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/Polynomials.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/Polynomials.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "Tooltip"]& ], FrameMargins -> 0], TraditionalForm], 
          DynamicLocation["VertexID$13", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$13"], 
       TagBox[{
         TagBox[
          DiskBox[{-2., 2.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$14"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/ReductionRings.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/ReductionRings.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "Tooltip"]& ], FrameMargins -> 0], 
           TraditionalForm], 
          DynamicLocation["VertexID$14", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> "VertexLabelID$14"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 9.}, 0.061894273127753294`], "DynamicName", BoxID -> 
          "VertexID$15"], 
         InsetBox[
          FormBox[
           PanelBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/LogicSets.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/LogicSets.nb\"", {
                    "HyperlinkActive"}]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb\"", LabelStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "Tooltip"]& ], FrameMargins -> 0],
            TraditionalForm], 
          DynamicLocation["VertexID$15", None, Center], BaseStyle -> 
          "Graphics"]}, "DynamicName", BoxID -> 
        "VertexLabelID$15"]}}], $CellContext`flag}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      3, Typeset`graph, Typeset`boxes, $CellContext`flag], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {$CellContext`flag}},
      ImageSizeCache->{{-77.34859427392314, 
       618.8485942739233}, {-456.27019427392315`, 451.38474511220033`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{$CellContext`flag}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImageSize->{528., Automatic}]], "Output",
 CellChangeTimes->{
  3.6608031965303698`*^9, 3.6608151568842297`*^9, 3.6608186089246936`*^9, 
   3.6608189424074793`*^9, {3.660819024900424*^9, 3.6608190496888676`*^9}, 
   3.6608191554570537`*^9, {3.660822058889162*^9, 3.6608220815560017`*^9}, 
   3.6608223165080147`*^9, 3.6608301666028028`*^9, 3.660886223542283*^9, 
   3.66088650632638*^9, {3.6608866032649508`*^9, 3.6608866208929815`*^9}, 
   3.6608868417269692`*^9, 3.660886956500371*^9, 3.6608881384092474`*^9, 
   3.660888183493326*^9, {3.6608882289830065`*^9, 3.660888234224615*^9}, 
   3.6608892340323715`*^9, {3.6608892683056316`*^9, 3.6608892793348513`*^9}, 
   3.661587097656005*^9, 3.6615927464208307`*^9, 3.6623697749824295`*^9, 
   3.662709708333659*^9, 3.667821083118352*^9},
 CellID->1226735818]
}, Open  ]],

Cell["\<\
Note that transitive edges are omitted in the above graph. This means that, \
for instance, \[OpenCurlyDoubleQuote]PolyTuples.nb\[CloseCurlyDoubleQuote] \
depends directly on \[OpenCurlyDoubleQuote]LogicSets.nb\
\[CloseCurlyDoubleQuote], not only indirectly.\
\>", "Text",
 CellChangeTimes->{{3.6627097509061337`*^9, 3.662709816364849*^9}, {
  3.662709854070115*^9, 3.6627098615113287`*^9}},
 CellID->465557141]
}, Closed]],

Cell[CellGroupData[{

Cell["Statistics", "Section",
 CellChangeTimes->{{3.6608023308986487`*^9, 3.660802333441453*^9}},
 CellID->16816625],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"Hyperlink", "\[Rule]", "Cell"}], "]"}]], "Input",
 CellChangeTimes->{{3.6608936696825633`*^9, 3.660893675407773*^9}, {
  3.6608937995089912`*^9, 3.6608938058426027`*^9}},
 CellID->661432738],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TemplateBox[{GraphicsBox[{{
          Opacity[0], 
          PointBox[{{0., 0.4}}]}, {{}, {{{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 0.5}, {35., 1.5}, "RoundingRadius" -> 
                    0]}, ImageSizeCache -> {{235.75, 289.2121740727139}, {
                    151.77035233286603`, 172.59423552099847`}}], 
                  StatusArea[#, 35]& , TagBoxNote -> "35"], 
                 StyleBox["35", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[35, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{35., 0.5}, {44., 1.5}, "RoundingRadius" -> 
                    0]}, ImageSizeCache -> {{288.7121740727139, 
                    302.8310188342689}, {151.77035233286603`, 
                    172.59423552099847`}}], StatusArea[#, 9]& , TagBoxNote -> 
                  "9"], 
                 StyleBox["9", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[9, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 1.7}, {300., 2.7}, "RoundingRadius" -> 
                    0]}, ImageSizeCache -> {{235.75, 690.2114920518335}, {
                    127.38169250710709`, 148.20557569523953`}}], 
                  StatusArea[#, 300]& , TagBoxNote -> "300"], 
                 StyleBox["300", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[300, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{300., 1.7}, {329., 2.7}, "RoundingRadius" -> 
                    0]}, ImageSizeCache -> {{689.7114920518335, 
                    734.0944362835107}, {127.38169250710709`, 
                    148.20557569523953`}}], StatusArea[#, 29]& , TagBoxNote -> 
                  "29"], 
                 StyleBox["29", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[29, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 2.9000000000000004`}, {237., 
                    3.9000000000000004`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 594.8795787209485}, {
                    102.99303268134815`, 123.8169158694806}}], 
                  StatusArea[#, 237]& , TagBoxNote -> "237"], 
                 StyleBox["237", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[237, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{237., 2.9000000000000004`}, {259., 
                    3.9000000000000004`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{594.3795787209485, 628.170088138083}, {
                    102.99303268134815`, 123.8169158694806}}], 
                  StatusArea[#, 22]& , TagBoxNote -> "22"], 
                 StyleBox["22", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[22, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 4.1000000000000005`}, {165., 
                    5.1000000000000005`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 485.92882062850845`}, {
                    78.60437285558922, 99.42825604372166}}], 
                  StatusArea[#, 165]& , TagBoxNote -> "165"], 
                 StyleBox["165", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[165, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{165., 4.1000000000000005`}, {190., 
                    5.1000000000000005`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{485.42882062850845`, 
                    523.7589449661612}, {78.60437285558922, 
                    99.42825604372166}}], StatusArea[#, 25]& , TagBoxNote -> 
                  "25"], 
                 StyleBox["25", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[25, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 5.300000000000001}, {48., 
                    6.300000000000001}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 308.88383872829337`}, {
                    54.21571302983028, 75.03959621796272}}], 
                  StatusArea[#, 48]& , TagBoxNote -> "48"], 
                 StyleBox["48", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[48, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{48., 5.300000000000001}, {55., 
                    6.300000000000001}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{308.38383872829337`, 
                    319.4762735428361}, {54.21571302983028, 
                    75.03959621796272}}], StatusArea[#, 7]& , TagBoxNote -> 
                  "7"], 
                 StyleBox["7", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[7, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 6.500000000000001}, {271., 
                    7.500000000000001}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 646.3285478201562}, {
                    29.827053204071348`, 50.65093639220379}}], 
                  StatusArea[#, 271]& , TagBoxNote -> "271"], 
                 StyleBox["271", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[271, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{271., 6.500000000000001}, {300., 
                    7.500000000000001}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{645.8285478201562, 
                    690.2114920518335}, {29.827053204071348`, 
                    50.65093639220379}}], StatusArea[#, 29]& , TagBoxNote -> 
                  "29"], 
                 StyleBox["29", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[29, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 7.700000000000001}, {36., 
                    8.700000000000001}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 290.72537904622004`}, {
                    5.438393378312412, 26.262276566444854`}}], 
                  StatusArea[#, 36]& , TagBoxNote -> "36"], 
                 StyleBox["36", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[36, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{36., 7.700000000000001}, {52., 
                    8.700000000000001}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{290.22537904622004`, 
                    314.9366586223178}, {5.438393378312412, 
                    26.262276566444854`}}], StatusArea[#, 16]& , TagBoxNote -> 
                  "16"], 
                 StyleBox["16", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[16, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 8.9}, {170., 9.9}, "RoundingRadius" -> 
                    0]}, ImageSizeCache -> {{235.75, 
                    493.494845496039}, {-18.950266447446523`, 
                    1.8736167406859465`}}], StatusArea[#, 170]& , TagBoxNote -> 
                  "170"], 
                 StyleBox["170", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[170, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{170., 8.9}, {220., 9.9}, "RoundingRadius" -> 
                    0]}, ImageSizeCache -> {{492.994845496039, 
                    569.1550941713446}, {-18.950266447446523`, 
                    1.8736167406859465`}}], StatusArea[#, 50]& , TagBoxNote -> 
                  "50"], 
                 StyleBox["50", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[50, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 10.1}, {78., 11.1}, "RoundingRadius" -> 
                    0]}, ImageSizeCache -> {{235.75, 
                    354.2799879334767}, {-43.33892627320543, \
-22.51504308507299}}], StatusArea[#, 78]& , TagBoxNote -> "78"], 
                 StyleBox["78", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[78, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{78., 10.1}, {95., 11.1}, "RoundingRadius" -> 
                    0]}, ImageSizeCache -> {{353.7799879334767, 
                    380.0044724830806}, {-43.33892627320543, \
-22.51504308507299}}], StatusArea[#, 17]& , TagBoxNote -> "17"], 
                 StyleBox["17", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[17, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 11.299999999999999`}, {85., 
                    12.299999999999999`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 
                    364.8724227480195}, {-67.72758609896434, \
-46.903702910831896`}}], StatusArea[#, 85]& , TagBoxNote -> "85"], 
                 StyleBox["85", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[85, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{85., 11.299999999999999`}, {102., 
                    12.299999999999999`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{364.3724227480195, 
                    390.5969072976234}, {-67.72758609896434, \
-46.903702910831896`}}], StatusArea[#, 17]& , TagBoxNote -> "17"], 
                 StyleBox["17", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[17, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 12.499999999999998`}, {341., 
                    13.499999999999998`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 
                    752.2528959655841}, {-92.11624592472327, \
-71.29236273659083}}], StatusArea[#, 341]& , TagBoxNote -> "341"], 
                 StyleBox["341", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[341, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{341., 12.499999999999998`}, {389., 
                    13.499999999999998`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{751.7528959655841, 
                    824.8867346938774}, {-92.11624592472327, \
-71.29236273659083}}], StatusArea[#, 48]& , TagBoxNote -> "48"], 
                 StyleBox["48", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[48, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 13.699999999999998`}, {160., 
                    14.699999999999998`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 
                    478.36279576097786`}, {-116.50490575048218`, \
-95.68102256234977}}], StatusArea[#, 160]& , TagBoxNote -> "160"], 
                 StyleBox["160", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[160, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{160., 13.699999999999998`}, {218., 
                    14.699999999999998`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{477.86279576097786`, 
                    566.1286842243323}, {-116.50490575048218`, \
-95.68102256234977}}], StatusArea[#, 58]& , TagBoxNote -> "58"], 
                 StyleBox["58", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[58, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 14.899999999999997`}, {252., 
                    15.899999999999997`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 
                    617.5776533235402}, {-140.8935655762411, \
-120.06968238810867`}}], StatusArea[#, 252]& , TagBoxNote -> "252"], 
                 StyleBox["252", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[252, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{252., 14.899999999999997`}, {312., 
                    15.899999999999997`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{617.0776533235402, 
                    708.3699517339069}, {-140.8935655762411, \
-120.06968238810867`}}], StatusArea[#, 60]& , TagBoxNote -> "60"], 
                 StyleBox["60", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[60, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 16.099999999999998`}, {60., 
                    17.099999999999998`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 
                    327.0422984103667}, {-165.28222540200005`, \
-144.45834221386764`}}], StatusArea[#, 60]& , TagBoxNote -> "60"], 
                 StyleBox["60", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[60, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{60., 16.099999999999998`}, {99., 
                    17.099999999999998`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{326.5422984103667, 
                    386.05729237710506`}, {-165.28222540200005`, \
-144.45834221386764`}}], StatusArea[#, 39]& , TagBoxNote -> "39"], 
                 StyleBox["39", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[39, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}, {{}, {{}, {{
               RGBColor[0.709133, 0.747539, 0.83711], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{0., 17.299999999999997`}, {228., 
                    18.299999999999997`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{235.75, 
                    581.2607339593935}, {-189.67088522775896`, \
-168.84700203962655`}}], StatusArea[#, 228]& , TagBoxNote -> "228"], 
                 StyleBox["228", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[228, {
                   GrayLevel[0]}], "Tooltip"]& ]}, {
               RGBColor[0.813855, 0.974746, 0.996429], 
               EdgeForm[{
                 Opacity[0.7], 
                 Thickness[Small]}], 
               TagBox[
                TooltipBox[
                 TagBox[
                  DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    
                    RectangleBox[{228., 17.299999999999997`}, {287., 
                    18.299999999999997`}, "RoundingRadius" -> 0]}, 
                   ImageSizeCache -> {{580.7607339593935, 
                    670.539827396254}, {-189.67088522775896`, \
-168.84700203962655`}}], StatusArea[#, 59]& , TagBoxNote -> "59"], 
                 StyleBox["59", {
                   GrayLevel[0]}, StripOnInput -> False]], Annotation[#, 
                 Style[59, {
                   GrayLevel[0]}], "Tooltip"]& ]}}}, {}, {}}}, {}, {}}, {}, {
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/Functors.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/Functors.nb\"", "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "Tooltip"]& ], StripOnInput -> 
            False, LineColor -> GrayLevel[0], FrontFaceColor -> GrayLevel[0], 
            BackFaceColor -> GrayLevel[0], GraphicsColor -> GrayLevel[0], 
            FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 1.}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/NatInt.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/NatInt.nb\"", "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb", "Tooltip"]& ], StripOnInput -> False,
             LineColor -> GrayLevel[0], FrontFaceColor -> GrayLevel[0], 
            BackFaceColor -> GrayLevel[0], GraphicsColor -> GrayLevel[0], 
            FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 2.2}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/NatIntExtended.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/NatIntExtended.nb\"", 
                    "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb\"", TooltipStyle -> 
              "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "Tooltip"]& ], StripOnInput -> 
            False, LineColor -> GrayLevel[0], FrontFaceColor -> GrayLevel[0], 
            BackFaceColor -> GrayLevel[0], GraphicsColor -> GrayLevel[0], 
            FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 3.4000000000000004`}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/Numbers.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/Numbers.nb\"", "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb", "Tooltip"]& ], StripOnInput -> 
            False, LineColor -> GrayLevel[0], FrontFaceColor -> GrayLevel[0], 
            BackFaceColor -> GrayLevel[0], GraphicsColor -> GrayLevel[0], 
            FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 4.6000000000000005`}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/Sequences.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/Sequences.nb\"", "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "Tooltip"]& ], StripOnInput -> 
            False, LineColor -> GrayLevel[0], FrontFaceColor -> GrayLevel[0], 
            BackFaceColor -> GrayLevel[0], GraphicsColor -> GrayLevel[0], 
            FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 5.800000000000001}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/Tuples.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/Tuples.nb\"", "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "Tooltip"]& ], StripOnInput -> False,
             LineColor -> GrayLevel[0], FrontFaceColor -> GrayLevel[0], 
            BackFaceColor -> GrayLevel[0], GraphicsColor -> GrayLevel[0], 
            FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 7.000000000000001}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/Fields.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/Fields.nb\"", "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Fields.nb", "Tooltip"]& ], StripOnInput -> False, LineColor -> 
            GrayLevel[0], FrontFaceColor -> GrayLevel[0], BackFaceColor -> 
            GrayLevel[0], GraphicsColor -> GrayLevel[0], FontColor -> 
            GrayLevel[0]], 
           Offset[{-6, 0}, {0., 8.200000000000001}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/GroebnerRings.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/GroebnerRings.nb\"", 
                    "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "Tooltip"]& ], StripOnInput -> False, LineColor -> 
            GrayLevel[0], FrontFaceColor -> GrayLevel[0], BackFaceColor -> 
            GrayLevel[0], GraphicsColor -> GrayLevel[0], FontColor -> 
            GrayLevel[0]], 
           Offset[{-6, 0}, {0., 9.4}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/IntegerQuotientRings.nb\"",
                   True -> StyleBox[
                   "\"Reduction Ring Theory/IntegerQuotientRings.nb\"", 
                    "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/IntegerQuotientRings.nb", "Tooltip"]& ], StripOnInput -> False, 
            LineColor -> GrayLevel[0], FrontFaceColor -> GrayLevel[0], 
            BackFaceColor -> GrayLevel[0], GraphicsColor -> GrayLevel[0], 
            FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 10.6}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/Integers.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/Integers.nb\"", 
                    "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Integers.nb", "Tooltip"]& ], StripOnInput -> False, LineColor -> 
            GrayLevel[0], FrontFaceColor -> GrayLevel[0], BackFaceColor -> 
            GrayLevel[0], GraphicsColor -> GrayLevel[0], FontColor -> 
            GrayLevel[0]], 
           Offset[{-6, 0}, {0., 11.799999999999999`}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/Polynomials.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/Polynomials.nb\"", 
                    "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "Tooltip"]& ], StripOnInput -> False, LineColor -> 
            GrayLevel[0], FrontFaceColor -> GrayLevel[0], BackFaceColor -> 
            GrayLevel[0], GraphicsColor -> GrayLevel[0], FontColor -> 
            GrayLevel[0]], 
           Offset[{-6, 0}, {0., 12.999999999999998`}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/PolyTuples.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/PolyTuples.nb\"", 
                    "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/PolyTuples.nb", "Tooltip"]& ], StripOnInput -> False, LineColor -> 
            GrayLevel[0], FrontFaceColor -> GrayLevel[0], BackFaceColor -> 
            GrayLevel[0], GraphicsColor -> GrayLevel[0], FontColor -> 
            GrayLevel[0]], 
           Offset[{-6, 0}, {0., 14.199999999999998`}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"Reduction Ring Theory/ReductionRings.nb\"", True -> 
                  StyleBox[
                   "\"Reduction Ring Theory/ReductionRings.nb\"", 
                    "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"}, ButtonNote -> ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "Tooltip"]& ], StripOnInput -> False, LineColor -> 
            GrayLevel[0], FrontFaceColor -> GrayLevel[0], BackFaceColor -> 
            GrayLevel[0], GraphicsColor -> GrayLevel[0], FontColor -> 
            GrayLevel[0]], 
           Offset[{-6, 0}, {0., 15.399999999999997`}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/AlgebraicStructures.nb\"", 
                  True -> StyleBox[
                   "\"ElementaryTheories/AlgebraicStructures.nb\"", 
                    "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"}, ButtonNote -> 
                ButtonData], Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb\"", TooltipStyle -> 
              "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "Tooltip"]& ], 
            StripOnInput -> False, LineColor -> GrayLevel[0], FrontFaceColor -> 
            GrayLevel[0], BackFaceColor -> GrayLevel[0], GraphicsColor -> 
            GrayLevel[0], FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 16.599999999999998`}], 
           ImageScaled[{1, 0.5}]], 
          InsetBox[
           StyleBox[
            TagBox[
             TooltipBox[
              TagBox[
               ButtonBox[
                
                PaneSelectorBox[{
                 False -> "\"ElementaryTheories/LogicSets.nb\"", True -> 
                  StyleBox[
                   "\"ElementaryTheories/LogicSets.nb\"", "HyperlinkActive"]}, 
                 Dynamic[
                  CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
                 FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
                "Hyperlink", ButtonData :> {
                  NotebookObject[
                   FrontEndObject[
                    LinkObject["za8_shm", 3, 1]], 22], 
                  "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"}, ButtonNote -> ButtonData], 
               Annotation[#, {
                 NotebookObject[
                  FrontEndObject[
                   LinkObject["za8_shm", 3, 1]], 22], 
                 "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"}, "Hyperlink"]& ], 
              "\"/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb\"", TooltipStyle -> "TextStyling"], 
             Annotation[#, 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "Tooltip"]& ], StripOnInput -> 
            False, LineColor -> GrayLevel[0], FrontFaceColor -> GrayLevel[0], 
            BackFaceColor -> GrayLevel[0], GraphicsColor -> GrayLevel[0], 
            FontColor -> GrayLevel[0]], 
           Offset[{-6, 0}, {0., 17.799999999999997`}], 
           ImageScaled[{1, 0.5}]]}, 
         GraphicsGroupBox[{
           GrayLevel[0], 
           StyleBox[
            StyleBox[
             StyleBox[{{
                Thickness[Tiny], 
                LineBox[{{0., 0.4}, {0., 18.299999999999994`}}], {}}, {{
                 Thickness[Tiny], 
                 LineBox[{{0., 0.5}, 
                   Offset[{-6., 0.}, {0., 0.5}]}], 
                 LineBox[{{0., 18.299999999999994`}, 
                   
                   Offset[{-6., 0.}, {0., 
                    18.299999999999994`}]}], {{}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {
                   LineBox[{{0., 1.5}, 
                    Offset[{-6., 0.}, {0., 1.5}]}], 
                   LineBox[{{0., 1.7}, 
                    Offset[{-6., 0.}, {0., 1.7}]}], 
                   LineBox[{{0., 2.7}, 
                    Offset[{-6., 0.}, {0., 2.7}]}], 
                   LineBox[{{0., 2.9000000000000004`}, 
                    Offset[{-6., 0.}, {0., 2.9000000000000004`}]}], 
                   LineBox[{{0., 3.9000000000000004`}, 
                    Offset[{-6., 0.}, {0., 3.9000000000000004`}]}], 
                   LineBox[{{0., 4.1000000000000005`}, 
                    Offset[{-6., 0.}, {0., 4.1000000000000005`}]}], 
                   LineBox[{{0., 5.1000000000000005`}, 
                    Offset[{-6., 0.}, {0., 5.1000000000000005`}]}], 
                   LineBox[{{0., 5.300000000000001}, 
                    Offset[{-6., 0.}, {0., 5.300000000000001}]}], 
                   LineBox[{{0., 6.300000000000001}, 
                    Offset[{-6., 0.}, {0., 6.300000000000001}]}], 
                   LineBox[{{0., 6.500000000000001}, 
                    Offset[{-6., 0.}, {0., 6.500000000000001}]}], 
                   LineBox[{{0., 7.500000000000001}, 
                    Offset[{-6., 0.}, {0., 7.500000000000001}]}], 
                   LineBox[{{0., 7.700000000000001}, 
                    Offset[{-6., 0.}, {0., 7.700000000000001}]}], 
                   LineBox[{{0., 8.700000000000001}, 
                    Offset[{-6., 0.}, {0., 8.700000000000001}]}], 
                   LineBox[{{0., 8.9}, 
                    Offset[{-6., 0.}, {0., 8.9}]}], 
                   LineBox[{{0., 9.9}, 
                    Offset[{-6., 0.}, {0., 9.9}]}], 
                   LineBox[{{0., 10.1}, 
                    Offset[{-6., 0.}, {0., 10.1}]}], 
                   LineBox[{{0., 11.1}, 
                    Offset[{-6., 0.}, {0., 11.1}]}], 
                   LineBox[{{0., 11.299999999999999`}, 
                    Offset[{-6., 0.}, {0., 11.299999999999999`}]}], 
                   LineBox[{{0., 12.299999999999999`}, 
                    Offset[{-6., 0.}, {0., 12.299999999999999`}]}], 
                   LineBox[{{0., 12.499999999999998`}, 
                    Offset[{-6., 0.}, {0., 12.499999999999998`}]}], 
                   LineBox[{{0., 13.499999999999998`}, 
                    Offset[{-6., 0.}, {0., 13.499999999999998`}]}], 
                   LineBox[{{0., 13.699999999999998`}, 
                    Offset[{-6., 0.}, {0., 13.699999999999998`}]}], 
                   LineBox[{{0., 14.699999999999998`}, 
                    Offset[{-6., 0.}, {0., 14.699999999999998`}]}], 
                   LineBox[{{0., 14.899999999999997`}, 
                    Offset[{-6., 0.}, {0., 14.899999999999997`}]}], 
                   LineBox[{{0., 15.899999999999997`}, 
                    Offset[{-6., 0.}, {0., 15.899999999999997`}]}], 
                   LineBox[{{0., 16.099999999999994`}, 
                    Offset[{-6., 0.}, {0., 16.099999999999994`}]}], 
                   LineBox[{{0., 17.099999999999994`}, 
                    Offset[{-6., 0.}, {0., 17.099999999999994`}]}], 
                   LineBox[{{0., 17.299999999999994`}, 
                    Offset[{-6., 0.}, {0., 17.299999999999994`}]}]}}}, {}}}, 
              Antialiasing -> False], "GraphicsAxes", StripOnInput -> False], 
            Antialiasing -> False]}]}, AspectRatio -> 
        NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, False}, 
        AxesLabel -> {None, None}, AxesOrigin -> {0, 0.4}, 
        FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
        GridLines -> {None, None}, ImageSize -> {838., Automatic}, 
        PlotRangePadding -> Scaled[0.02], Ticks -> {Automatic, None}],
       TemplateBox[{"\"Proved Formulas\"", "\"Unproved Formulas\""}, 
        "SwatchLegend", DisplayFunction -> (StyleBox[
          StyleBox[
           PaneBox[
            TagBox[
             GridBox[{{
                TagBox[
                 GridBox[{{
                    GraphicsBox[{
                    Directive[
                    EdgeForm[{
                    Thickness[Small], 
                    Opacity[0.7]}], 
                    RGBColor[0.709133, 0.747539, 0.83711]], 
                    RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                    AspectRatio -> Full, ImageSize -> {10, 10}, 
                    PlotRangePadding -> None, ImagePadding -> 1, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #, 
                    GraphicsBox[{
                    Directive[
                    EdgeForm[{
                    Thickness[Small], 
                    Opacity[0.7]}], 
                    RGBColor[0.813855, 0.974746, 0.996429]], 
                    RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                    AspectRatio -> Full, ImageSize -> {10, 10}, 
                    PlotRangePadding -> None, ImagePadding -> 1, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                  GridBoxAlignment -> {
                   "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                  AutoDelete -> False, 
                  GridBoxDividers -> {
                   "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {"Columns" -> {{0.5, 0.5}}}], "Grid"]}}, 
              GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
              AutoDelete -> False, 
              GridBoxDividers -> {"Columns" -> {{None}}, "Rows" -> {{None}}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0}}, "Rows" -> {{1}}}], 
             "Grid"], Alignment -> Left, AppearanceElements -> None, 
            ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
            "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
          FontFamily -> "Times"}, Background -> Automatic, StripOnInput -> 
          False]& ), Editable -> True, 
        InterpretationFunction :> (RowBox[{"SwatchLegend", "[", 
           RowBox[{
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.798413061722744`", ",", "0.824719615472648`", 
                    ",", "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.798413061722744`", ",", "0.824719615472648`", ",", 
                    "0.968322270542458`"}], "]"}]}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.709133`", ",", "0.747539`", ",", "0.83711`"}], 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "Small", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.7`", "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.813855`", ",", "0.974746`", ",", "0.996429`"}],
                     "]"}]}], "]"}]}], "}"}]}], "}"}], ",", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{#, ",", #2}], "}"}]}], "}"}], ",", 
             RowBox[{"LegendLayout", "\[Rule]", "\"Row\""}], ",", 
             RowBox[{"LegendMarkers", "\[Rule]", 
               RowBox[{"{", 
                 RowBox[{
                   RowBox[{"{", 
                    
                    RowBox[{
                    "None", ",", "None", ",", "None", ",", "None", ",", 
                    "None", ",", "None", ",", "None", ",", "None", ",", 
                    "None", ",", "None", ",", "None", ",", "None", ",", 
                    "None", ",", "None", ",", "None"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"Automatic", ",", "Automatic"}], "}"}]}], 
                 "}"}]}]}], "]"}]& )]},
      "Legended",
      DisplayFunction->(GridBox[{{
          TagBox[
           ItemBox[
            PaneBox[
             TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline},
              BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
           "SkipImageSizeLevel"]}, {
          ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
        GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
        AutoDelete -> False, GridBoxItemSize -> Automatic, 
        BaselinePosition -> {1, 1}]& ),
      Editable->True,
      InterpretationFunction->(RowBox[{"Legended", "[", 
         RowBox[{#, ",", 
           RowBox[{"Placed", "[", 
             RowBox[{#2, ",", "Below"}], "]"}]}], "]"}]& )]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        TagBox[GridBox[{
           {"\<\"Number of proved formulas\"\>", "2466", "\<\"(83.6 %)\"\>"},
           {"\<\"Number of unproved formulas\"\>", "485", "\<\"(16.4 %)\"\>"},
           {
            StyleBox["\<\"Total number of formulas\"\>",
             StripOnInput->False,
             FontWeight->Bold], 
            StyleBox["2951",
             StripOnInput->False,
             FontWeight->Bold], ""}
          },
          AutoDelete->False,
          GridBoxAlignment->{"Columns" -> {Left, Right}},
          GridBoxFrame->{"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
         "Grid"], TextForm]], "InlineText"],
      Text[
       Grid[{{"Number of proved formulas", 2466, "(83.6 %)"}, {
         "Number of unproved formulas", 485, "(16.4 %)"}, {
          Style["Total number of formulas", Bold], 
          Style[2951, Bold]}}, Alignment -> {{Left, Right}}, Frame -> True]]]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Center}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.660893807324605*^9, 3.661587116454038*^9, 
  3.6616767108323135`*^9, 3.6617831194906487`*^9, 3.662369800628875*^9, 
  3.662709905082205*^9, 3.667821099902082*^9},
 CellID->467354597]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Brief Descriptions of the Individual Theories\
\>", "Section",
 CellChangeTimes->{{3.660901496285409*^9, 3.660901510653034*^9}},
 CellID->58927837],

Cell[CellGroupData[{

Cell["Elementary Theories", "Subsection",
 CellChangeTimes->{{3.6608023875891485`*^9, 3.6608024100687876`*^9}, {
  3.6608899277861905`*^9, 3.6608899300013943`*^9}},
 CellID->54996094],

Cell[CellGroupData[{

Cell["LogicSets.nb", "Subsubsection",
 CellChangeTimes->{{3.6608892963544807`*^9, 3.660889299240486*^9}, {
  3.6609018372084074`*^9, 3.6609018475044255`*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\LogicSets.nb",
 CellID->144258738],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "LogicSets.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{
  3.6609012455773687`*^9, {3.6609018358980055`*^9, 3.6609018451176214`*^9}},
 CellID->304732356],

Cell["\<\
\[OpenCurlyDoubleQuote]LogicSets.nb\[CloseCurlyDoubleQuote] defines the basic \
axioms and concepts of set theory and proves many facts about subsets, union, \
intersection, abstraction terms, least fixpoints, finite sets, ordered pairs, \
quotient sets, and domain sets. In addition, general \[Beta]-reduction for \
\[Lambda]-terms is also defined.\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.660901589854373*^9, 
  3.6609016042687984`*^9}},
 CellID->27513777],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<LogicSets.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}},
 CellID->120706123],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "257"},
       {"\<\"\[NumberSign] proofs\"\>", "203"},
       {"\<\"avg. proof size\"\>", "22.6`"},
       {"\<\"max. proof size\"\>", "178"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 257}, {"\[NumberSign] proofs", 203}, {
     "avg. proof size", 22.6}, {"max. proof size", 178}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.6627139004327345`*^9, 3.6627139612572412`*^9, 
  3.662714105682295*^9},
 CellID->654531957]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["AlgebraicStructures.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\AlgebraicStructures.nb",
 CellID->631259056],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "AlgebraicStructures.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{3.6609012455773687`*^9},
 CellID->79080493],

Cell[TextData[{
 "\[OpenCurlyDoubleQuote]AlgebraicStructures.nb\[CloseCurlyDoubleQuote] \
defines some of the most common algebraic structures and proves a couple of \
their simplest properties. These structures include all kinds of order \
relations (partial, total, reflexive, irreflexive, Noetherian), (commutative) \
monoids, groups, rings, commutative rings with unit, and fields. All \
statements are phrased in the language of functors and domains rather than \
that of sets (i.e. \[OpenCurlyDoubleQuote]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    UnderscriptBox["\[Element]", "D"], 
    RowBox[{"[", "x", "]"}]}], TraditionalForm]]],
 "\[CloseCurlyDoubleQuote] instead of \[OpenCurlyDoubleQuote]",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[Element]", "D"}], TraditionalForm]]],
 "\[CloseCurlyDoubleQuote])."
}], "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.6609015622891245`*^9, 
  3.660901574254346*^9}, {3.660901613660015*^9, 3.6609017871011195`*^9}},
 CellID->363835425],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", 
     "\"\<AlgebraicStructures.nb\>\""}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}},
 CellID->116009048],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "99"},
       {"\<\"\[NumberSign] proofs\"\>", "60"},
       {"\<\"avg. proof size\"\>", "32.6`"},
       {"\<\"max. proof size\"\>", "91"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 99}, {"\[NumberSign] proofs", 60}, {
     "avg. proof size", 32.6}, {"max. proof size", 91}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.662714064077022*^9, 3.6627141100503025`*^9},
 CellID->332875704]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Numbers.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.66088946638118*^9, 3.6608894674731817`*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Numbers.nb",
 CellID->459559659],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Numbers.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{3.6609012455773687`*^9},
 CellID->61251644],

Cell[TextData[{
 "\[OpenCurlyDoubleQuote]Numbers.nb\[CloseCurlyDoubleQuote] constructs the \
sets of pseudo natural numbers and pseudo integers from the very basics of \
set theory, i.e. any pseudo natural number is defined to be the set of its \
predecessors, and any pseudo integer is defined to be the equivalence class \
of pairs of pseudo natural numbers modulo the apparent equivalence relation.\n\
However, once those \[OpenCurlyDoubleQuote]elementary\[CloseCurlyDoubleQuote] \
sets of pseudo numbers are defined and sufficiently many theorems about their \
algebraic structures are available, the set \[DoubleStruckCapitalZ] of \
\[OpenCurlyDoubleQuote]real\[CloseCurlyDoubleQuote] integers is introduced by \
wrapping every pseudo integer inside a kind of a datatype constructor, called \
\[OpenCurlyDoubleQuote]INT\[CloseCurlyDoubleQuote], such that eventually \
\[DoubleStruckCapitalZ] and its elements possess all properties they are \
expected to, but the elements of \[DoubleStruckCapitalZ] are no sets any \
more; the reason for this approach is explained in more detail in the \
notebook. Finally, the set of \[OpenCurlyDoubleQuote]real\
\[CloseCurlyDoubleQuote] natural numbers ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[DoubleStruckCapitalN]", "0"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " is then simply the subset of non-negative \[OpenCurlyDoubleQuote]real\
\[CloseCurlyDoubleQuote] integers."
}], "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.6609015622891245`*^9, 
  3.660901574254346*^9}, {3.660901613660015*^9, 3.6609018113123617`*^9}, {
  3.6609018533076363`*^9, 3.6609022286286955`*^9}},
 CellID->598968124],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Numbers.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.6627141314379406`*^9, 
  3.6627141324363422`*^9}},
 CellID->116905188],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "207"},
       {"\<\"\[NumberSign] proofs\"\>", "179"},
       {"\<\"avg. proof size\"\>", "18.4`"},
       {"\<\"max. proof size\"\>", "135"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 207}, {"\[NumberSign] proofs", 179}, {
     "avg. proof size", 18.4}, {"max. proof size", 135}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.6627141473031683`*^9},
 CellID->130472433]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["NatInt.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608894694231853`*^9, 3.6608894704527864`*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatInt.nb",
 CellID->51273252],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "NatInt.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{3.6609012455773687`*^9},
 CellID->710730329],

Cell[TextData[{
 "\[OpenCurlyDoubleQuote]NatInt.nb\[CloseCurlyDoubleQuote] builds upon \
\[OpenCurlyDoubleQuote]Numbers.nb\[CloseCurlyDoubleQuote] by providing \
hundreds of results about \[DoubleStruckCapitalZ] and intervals thereof (in \
particular \[DoubleStruckCapitalN] and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[DoubleStruckCapitalN]", "0"], TraditionalForm]]],
 "). Most importantly, many relations between ",
 Cell[BoxData[
  FormBox["+", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["-", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["*", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["\[GreaterEqual]", TraditionalForm]]],
 " in \[DoubleStruckCapitalZ] are stated and proved in this notebook."
}], "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.6609015622891245`*^9, 
  3.660901574254346*^9}, {3.660901613660015*^9, 3.6609018113123617`*^9}, {
  3.6609018533076363`*^9, 3.6609023943487864`*^9}, {3.6627141975976562`*^9, 
  3.662714201762864*^9}},
 CellID->506612720],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<NatInt.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714166694002*^9, 
  3.662714167848404*^9}},
 CellID->154533614],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "329"},
       {"\<\"\[NumberSign] proofs\"\>", "300"},
       {"\<\"avg. proof size\"\>", "17.2`"},
       {"\<\"max. proof size\"\>", "137"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 329}, {"\[NumberSign] proofs", 300}, {
     "avg. proof size", 17.2}, {"max. proof size", 137}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.662714191295245*^9},
 CellID->43037474]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["NatIntExtended.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608894722779903`*^9, 3.6608894747895947`*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatIntExtended.nb",
 CellID->18544226],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "NatIntExtended.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{3.6609012455773687`*^9},
 CellID->283475052],

Cell["\<\
\[OpenCurlyDoubleQuote]NatIntExtended.nb\[CloseCurlyDoubleQuote], as its name \
suggests, extends the theory of \[OpenCurlyDoubleQuote]NatInt.nb\
\[CloseCurlyDoubleQuote] by introducing more advanced concepts related to \
integers, such as sign, absolute value, division with quotient and remainder, \
gcd & lcm, and finite sums (in arbitrary domains) and proving their most \
important properties.\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.6609015622891245`*^9, 
  3.660901574254346*^9}, {3.660901613660015*^9, 3.6609018113123617`*^9}, {
  3.6609018533076363`*^9, 3.66090242503404*^9}, {3.660902628536398*^9, 
  3.6609027290161743`*^9}},
 CellID->25323632],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", 
     "\"\<NatIntExtended.nb\>\""}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714257351686*^9, 
  3.6627142605028915`*^9}},
 CellID->173200521],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "268"},
       {"\<\"\[NumberSign] proofs\"\>", "244"},
       {"\<\"avg. proof size\"\>", "25.7`"},
       {"\<\"max. proof size\"\>", "203"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 268}, {"\[NumberSign] proofs", 244}, {
     "avg. proof size", 25.7}, {"max. proof size", 203}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.662714282888931*^9},
 CellID->238765499]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tuples.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608894770827985`*^9, 3.6608894780188003`*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Tuples.nb",
 CellID->116658568],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Tuples.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{3.6609012455773687`*^9},
 CellID->90085],

Cell["\<\
\[OpenCurlyDoubleQuote]Tuples.nb\[CloseCurlyDoubleQuote] axiomatically \
introduces the notion of \[OpenCurlyDoubleQuote]tuple\[CloseCurlyDoubleQuote] \
as an object that has a particular length (namely a natural number) and that \
is uniquely determined by its \[OpenCurlyDoubleQuote]elements\
\[CloseCurlyDoubleQuote] from 1 to that length. Then, some operations on \
tuples (e.g. concatenation and tuple-abstraction) are defined and their most \
important properties are proved. Furthermore, several induction rules for \
tuples are proved as well.\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.6609015622891245`*^9, 
  3.660901574254346*^9}, {3.660901613660015*^9, 3.6609018113123617`*^9}, {
  3.6609018533076363`*^9, 3.66090242503404*^9}, {3.660902628536398*^9, 
  3.6609029076520877`*^9}},
 CellID->18234319],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Tuples.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714301702564*^9, 
  3.6627143026697655`*^9}},
 CellID->129187703],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "300"},
       {"\<\"\[NumberSign] proofs\"\>", "271"},
       {"\<\"avg. proof size\"\>", "19.3`"},
       {"\<\"max. proof size\"\>", "93"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 300}, {"\[NumberSign] proofs", 271}, {
     "avg. proof size", 19.3}, {"max. proof size", 93}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.6627143231838017`*^9},
 CellID->508310566]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sequences.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608894799532037`*^9, 3.660889481450806*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Sequences.nb",
 CellID->100862172],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Sequences.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{3.6609012455773687`*^9},
 CellID->242178355],

Cell["\<\
\[OpenCurlyDoubleQuote]Sequences.nb\[CloseCurlyDoubleQuote] formalizes the \
most important concepts of the theory of sequences, i.e. of functions whose \
domain is \[DoubleStruckCapitalN]. In particular, most results are concerned \
with proving existence of certain sequences under certain conditions.\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.6609015622891245`*^9, 
  3.660901574254346*^9}, {3.660901613660015*^9, 3.6609018113123617`*^9}, {
  3.6609018533076363`*^9, 3.66090242503404*^9}, {3.660902628536398*^9, 
  3.6609030145434756`*^9}},
 CellID->204186628],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Sequences.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.66271433363582*^9, 
  3.6627143351958227`*^9}},
 CellID->11837886],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "55"},
       {"\<\"\[NumberSign] proofs\"\>", "48"},
       {"\<\"avg. proof size\"\>", "21.1`"},
       {"\<\"max. proof size\"\>", "82"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 55}, {"\[NumberSign] proofs", 48}, {
     "avg. proof size", 21.1}, {"max. proof size", 82}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.662714341108233*^9},
 CellID->155482830]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Functors.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.660889484024811*^9, 3.660889485350813*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Functors.nb",
 CellID->157257762],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Functors.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{3.6609012455773687`*^9},
 CellID->3484918],

Cell["\<\
\[OpenCurlyDoubleQuote]Functors.nb\[CloseCurlyDoubleQuote] contains the \
definitions of some very simple functors. Essentially, the only functors \
included in this notebook are, at the moment, functors that generate products \
of given domains, with the focus on properties of products of (partial, \
total, Noetherian) orderings. The lexicographic product of orderings, for \
instance, was needed in the termination proof of \
Buchberger\[CloseCurlyQuote]s algorithm in \
\[OpenCurlyDoubleQuote]GroebnerRings.nb\[CloseCurlyDoubleQuote].\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.6609015622891245`*^9, 
  3.660901574254346*^9}, {3.660901613660015*^9, 3.6609018113123617`*^9}, {
  3.6609018533076363`*^9, 3.66090242503404*^9}, {3.660902628536398*^9, 
  3.6609031992019997`*^9}},
 CellID->289499051],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Functors.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.6627143556630583`*^9, 
  3.662714356879861*^9}},
 CellID->99812187],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "45"},
       {"\<\"\[NumberSign] proofs\"\>", "36"},
       {"\<\"avg. proof size\"\>", "23.5`"},
       {"\<\"max. proof size\"\>", "106"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 45}, {"\[NumberSign] proofs", 36}, {
     "avg. proof size", 23.5}, {"max. proof size", 106}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.6627143612790685`*^9},
 CellID->452485044]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Reduction Ring Theory", "Subsection",
 CellChangeTimes->{{3.6608899563810406`*^9, 3.6608899748982735`*^9}, {
  3.660903249278088*^9, 3.6609032518208923`*^9}},
 CellID->11161278],

Cell[CellGroupData[{

Cell["ReductionRings.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608894890012197`*^9, 3.660889491419224*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\ReductionRings.nb",
 CellID->245172469],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "ReductionRings.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{
  3.6609012455773687`*^9, {3.6609018358980055`*^9, 3.6609018451176214`*^9}},
 CellID->398283637],

Cell["\<\
\[OpenCurlyDoubleQuote]ReductionRings.nb\[CloseCurlyDoubleQuote] introduces \
the notions of reduction ring, algorithmic reduction ring and \
Gr\[ODoubleDot]bner basis and proves both the Main Theorem of reduction ring \
theory (i.e. a finite criterion to decide whether a given set is a Gr\
\[ODoubleDot]bner basis or not) and the theorem stating that ideal congruence \
coincides with the symmetric-reflexive-transitive closure of the reduction \
relation induced by that ideal.
Everything in this notebook is \[OpenCurlyDoubleQuote]non-algorithmic\
\[CloseCurlyDoubleQuote]; algorithms are implemented in \
\[OpenCurlyDoubleQuote]GroebnerRings.nb\[CloseCurlyDoubleQuote].\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.660901589854373*^9, 
  3.6609016042687984`*^9}, {3.6609032642853146`*^9, 3.660903268278921*^9}, {
  3.660903720164915*^9, 3.6609039140274553`*^9}},
 CellID->249043365],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", 
     "\"\<ReductionRings.nb\>\""}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714372917689*^9, 
  3.662714375522894*^9}},
 CellID->92616515],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "312"},
       {"\<\"\[NumberSign] proofs\"\>", "252"},
       {"\<\"avg. proof size\"\>", "38.3`"},
       {"\<\"max. proof size\"\>", "183"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 312}, {"\[NumberSign] proofs", 252}, {
     "avg. proof size", 38.3}, {"max. proof size", 183}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.66271438497651*^9},
 CellID->239930124]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Fields.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608894954752307`*^9, 3.660889498751237*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Fields.nb",
 CellID->176679319],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Fields.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{
  3.6609012455773687`*^9, {3.6609018358980055`*^9, 3.6609018451176214`*^9}},
 CellID->519306236],

Cell["\<\
\[OpenCurlyDoubleQuote]Fields.nb\[CloseCurlyDoubleQuote] contains the functor \
that turns an arbitrary field into an algorithmic reduction ring, together \
with the proof of this fact.\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.660901589854373*^9, 
  3.6609016042687984`*^9}, {3.6609032642853146`*^9, 3.660903268278921*^9}, {
  3.660903720164915*^9, 3.6609039852259808`*^9}},
 CellID->279965255],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Fields.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714419670971*^9, 
  3.6627144205913725`*^9}},
 CellID->68931533],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "52"},
       {"\<\"\[NumberSign] proofs\"\>", "36"},
       {"\<\"avg. proof size\"\>", "42.3`"},
       {"\<\"max. proof size\"\>", "147"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 52}, {"\[NumberSign] proofs", 36}, {
     "avg. proof size", 42.3}, {"max. proof size", 147}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.662714428828187*^9},
 CellID->25667854]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Integers.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608895006856403`*^9, 3.660889501746442*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Integers.nb",
 CellID->241550859],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Integers.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{
  3.6609012455773687`*^9, {3.6609018358980055`*^9, 3.6609018451176214`*^9}},
 CellID->96597621],

Cell["\<\
\[OpenCurlyDoubleQuote]Integers.nb\[CloseCurlyDoubleQuote] contains the \
functor that constructs the domain of reduction-integers, i.e. the domain of \
integers endowed with additional operations that make it an algorithmic \
reduction ring, together with the proof of this fact.\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.660901589854373*^9, 
  3.6609016042687984`*^9}, {3.6609032642853146`*^9, 3.660903268278921*^9}, {
  3.660903720164915*^9, 3.6609040575955076`*^9}},
 CellID->138093266],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Integers.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714442493811*^9, 
  3.662714443617013*^9}},
 CellID->1028303983],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "102"},
       {"\<\"\[NumberSign] proofs\"\>", "85"},
       {"\<\"avg. proof size\"\>", "52.9`"},
       {"\<\"max. proof size\"\>", "214"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 102}, {"\[NumberSign] proofs", 85}, {
     "avg. proof size", 52.9}, {"max. proof size", 214}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.6627144563778353`*^9},
 CellID->111978434]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["IntegerQuotientRings.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.660889504226846*^9, 3.660889508766454*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\IntegerQuotientRings.nb",
 CellID->668383329],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "IntegerQuotientRings.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{
  3.6609012455773687`*^9, {3.6609018358980055`*^9, 3.6609018451176214`*^9}},
 CellID->166900606],

Cell[TextData[{
 "\[OpenCurlyDoubleQuote]IntegerQuotientRings.nb\[CloseCurlyDoubleQuote] \
contains the functor that turns ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalZ]", "/", "n"}], " ", 
    "\[DoubleStruckCapitalZ]"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ", represented as the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "\[Ellipsis]", ",", 
     RowBox[{"n", "-", "1"}]}], "}"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " for arbitrary ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FormatType->"TraditionalForm"],
 ", into an algorithmic reduction ring, together with the proof of this fact."
}], "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.660901589854373*^9, 
  3.6609016042687984`*^9}, {3.6609032642853146`*^9, 3.660903268278921*^9}, {
  3.660903720164915*^9, 3.6609039852259808`*^9}, {3.660904082087551*^9, 
  3.6609041383578496`*^9}},
 CellID->52106464],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", 
     "\"\<IntegerQuotientRings.nb\>\""}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714467469455*^9, 
  3.662714472601864*^9}},
 CellID->610482860],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "95"},
       {"\<\"\[NumberSign] proofs\"\>", "78"},
       {"\<\"avg. proof size\"\>", "52.4`"},
       {"\<\"max. proof size\"\>", "203"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 95}, {"\[NumberSign] proofs", 78}, {
     "avg. proof size", 52.4}, {"max. proof size", 203}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.6627144854094863`*^9},
 CellID->110865026]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Polynomials.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608895119020596`*^9, 3.6608895144448643`*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Polynomials.nb",
 CellID->56261028],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Polynomials.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{
  3.6609012455773687`*^9, {3.6609018358980055`*^9, 3.6609018451176214`*^9}},
 CellID->222046317],

Cell[TextData[{
 "\[OpenCurlyDoubleQuote]Polynomials.nb\[CloseCurlyDoubleQuote] introduces \
the classes of reduction polynomial domains and algorithmic reduction \
polynomial domains. These classes contain domains that are abstract \
polynomial domains over some coefficient domain \[ScriptCapitalR] and some \
power-product domain \[ScriptCapitalT], providing, e.g., a coefficient \
function ",
 Cell[BoxData[
  FormBox["C", TraditionalForm]]],
 " with some characteristic properties, and reduction-ring operations with \
some specific properties. The core part of this notebook is the proof that \
domains belonging to the class of (algorithmic) reduction polynomial domains \
are (algorithmic) reduction rings, provided the coefficient domains are."
}], "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.660901589854373*^9, 
  3.6609016042687984`*^9}, {3.6609032642853146`*^9, 3.660903268278921*^9}, {
  3.660903720164915*^9, 3.6609039852259808`*^9}, {3.660904082087551*^9, 
  3.660904168543903*^9}, {3.660904296635728*^9, 3.660904506487296*^9}, {
  3.6627146001384964`*^9, 3.662714601916899*^9}},
 CellID->206567716],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Polynomials.nb\>\""}],
     "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714493708701*^9, 
  3.6627144955963044`*^9}},
 CellID->3598367],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "389"},
       {"\<\"\[NumberSign] proofs\"\>", "341"},
       {"\<\"avg. proof size\"\>", "44.`"},
       {"\<\"max. proof size\"\>", "322"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 389}, {"\[NumberSign] proofs", 341}, {
     "avg. proof size", 44.}, {"max. proof size", 322}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.662714549532007*^9},
 CellID->678999769]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["PolyTuples.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608895167224684`*^9, 3.6608895184852715`*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\PolyTuples.nb",
 CellID->100874808],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "PolyTuples.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{
  3.6609012455773687`*^9, {3.6609018358980055`*^9, 3.6609018451176214`*^9}},
 CellID->858182],

Cell["\<\
\[OpenCurlyDoubleQuote]PolyTuples.nb\[CloseCurlyDoubleQuote] contains the \
functor that, for given coefficient domain \[ScriptCapitalR] and \
power-product domain \[ScriptCapitalT], constructs the domain of \
reduction-polynomials over \[ScriptCapitalR] and \[ScriptCapitalT] where \
polynomials are represented as ordered tuples of monomials, and monomials are \
represented as pairs of coefficients and power-products. The proof that such \
domains constitute algorithmic reduction polynomial domains, and hence \
algorithmic reduction rings, as well as (proved) examples of power-product \
domains, are contained in this notebook, too.\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.660901589854373*^9, 
  3.6609016042687984`*^9}, {3.6609032642853146`*^9, 3.660903268278921*^9}, {
  3.660903720164915*^9, 3.6609039852259808`*^9}, {3.660904082087551*^9, 
  3.660904168543903*^9}, {3.660904296635728*^9, 3.660904718617469*^9}},
 CellID->41841100],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<PolyTuples.nb\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.662714561700029*^9, 
  3.6627145638216324`*^9}},
 CellID->148486367],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "218"},
       {"\<\"\[NumberSign] proofs\"\>", "161"},
       {"\<\"avg. proof size\"\>", "36.3`"},
       {"\<\"max. proof size\"\>", "151"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 218}, {"\[NumberSign] proofs", 161}, {
     "avg. proof size", 36.3}, {"max. proof size", 151}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.6627145868160725`*^9},
 CellID->18872408]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["GroebnerRings.nb", "Subsubsection",
 CellChangeTimes->{{3.660889376571822*^9, 3.66088938114263*^9}, {
  3.6608895201076736`*^9, 3.6608895226192784`*^9}},
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\GroebnerRings.nb",
 CellID->867463312],

Cell[TextData[Cell[BoxData[
 ButtonBox["\<\"Open\"\>",
  Appearance->Automatic,
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "GroebnerRings.nb"}]],
  Evaluator->Automatic,
  Method->"Preemptive"]]]], "Text",
 CellChangeTimes->{
  3.6609012455773687`*^9, {3.6609018358980055`*^9, 3.6609018451176214`*^9}},
 CellID->281864504],

Cell["\<\
\[OpenCurlyDoubleQuote]GroebnerRings.nb\[CloseCurlyDoubleQuote] contains all \
algorithmic aspects of reduction ring theory, in the sense that it defines a \
functor that extends a given algorithmic reduction ring by a function that \
effectively computes Gr\[ODoubleDot]bner bases of given input tuples. The \
correctness proof of this function is included in the notebook as well as \
some sample computations of Gr\[ODoubleDot]bner bases in various domains, all \
of which have been proved to be algorithmic reduction rings in the notebooks \
listed above.\
\>", "Text",
 CellChangeTimes->{{3.6608893062916985`*^9, 3.6608893089125032`*^9}, {
  3.660901266434605*^9, 3.6609014446961184`*^9}, {3.660901589854373*^9, 
  3.6609016042687984`*^9}, {3.6609032642853146`*^9, 3.660903268278921*^9}, {
  3.660903720164915*^9, 3.6609039852259808`*^9}, {3.660904082087551*^9, 
  3.660904168543903*^9}, {3.660904296635728*^9, 3.6609049331646457`*^9}},
 CellID->846873587],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowTheoryStats", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", 
     "\"\<GroebnerRings.nb\>\""}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6627138631642694`*^9, 3.6627138827891035`*^9}, {
  3.6627140499433975`*^9, 3.662714056199008*^9}, {3.6627146128837185`*^9, 
  3.6627146156137238`*^9}},
 CellID->13953228],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   FormBox[
    TagBox[GridBox[{
       {"\<\"\[NumberSign] formulas\"\>", "220"},
       {"\<\"\[NumberSign] proofs\"\>", "170"},
       {"\<\"avg. proof size\"\>", "36.1`"},
       {"\<\"max. proof size\"\>", "149"}
      },
      AutoDelete->False,
      GridBoxAlignment->{"Columns" -> {Left, Right}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{2}}}],
     "Grid"], TextForm]], "InlineText"],
  Text[
   Grid[{{"\[NumberSign] formulas", 220}, {"\[NumberSign] proofs", 170}, {
     "avg. proof size", 36.1}, {"max. proof size", 149}}, 
    Alignment -> {{Left, Right}}, Spacings -> 2]]]], "Output",
 CellChangeTimes->{3.6627146435221725`*^9},
 CellID->366131350]
}, {2}]]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Consistency Checks", "Section",
 CellChangeTimes->{{3.66167628256236*^9, 3.6616762866037674`*^9}},
 CellID->129275429],

Cell[CellGroupData[{

Cell["Conservation Theorem for Polynomials", "Subsection",
 CellChangeTimes->{{3.6616807771380324`*^9, 3.6616807976364684`*^9}, {
  3.6616808646395864`*^9, 3.6616808760910063`*^9}},
 CellID->484867130],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckConsistency", "[", 
  "\"\<Polynomials.nb::isAlgoReductionRing \[ScriptCapitalP]\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.6616808030808783`*^9, 3.661680806434884*^9}, {
  3.6616809024882526`*^9, 3.6616809131118717`*^9}},
 CellID->1756649213],

Cell[BoxData[
 TabViewBox[{{1,"\<\"outdated (33)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["R7.\[ScriptCapitalP].1", 0]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]0\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]0", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["u", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], 
                    UnderscriptBox["\[VerticalBar]", "\[ScriptCapitalT]"], 
                    StyleBox["u", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["u", "ExpressionVariable"]}], "]"}]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["u", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    StyleBox["c", "ExpressionVariable"]}]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["s", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["s", "ExpressionVariable"]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["R7.\[ScriptCapitalP].1", 1]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]1\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]1", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["u", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], 
                    UnderscriptBox["\[VerticalBar]", "\[ScriptCapitalT]"], 
                    StyleBox["u", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["u", "ExpressionVariable"]}], "]"}]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["u", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    StyleBox["c", "ExpressionVariable"]}]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["s", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["s", "ExpressionVariable"]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(R7.\[ScriptCapitalP].1)\"", True -> 
              StyleBox["\"(R7.\[ScriptCapitalP].1)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1513648693"}, ButtonNote -> 
            
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1513648693"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["R7.\[ScriptCapitalP].4", 2]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]2\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]2", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["u", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], 
                    UnderscriptBox["\[VerticalBar]", "\[ScriptCapitalT]"], 
                    StyleBox["u", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["d0", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    StyleBox["d0", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["u", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["u", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], 
                    UnderscriptBox["*", "\[ScriptCapitalR]"], 
                    StyleBox["d0", "ExpressionVariable"]}]}]}]}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["c0", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["s", "ExpressionVariable"]}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["s", "ExpressionVariable"]}], 
                    UnderscriptBox["+", "\[ScriptCapitalP]"], 
                    StyleBox["c0", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["+", "\[ScriptCapitalP]"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    StyleBox["u", "ExpressionVariable"], 
                    UnderscriptBox["/", "\[ScriptCapitalT]"], 
                    StyleBox["s", "ExpressionVariable"]}]}], 
                    UnderscriptBox["*", "\[ScriptCapitalP]"], 
                    StyleBox["c0", "ExpressionVariable"]}]}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["R7.\[ScriptCapitalP].4", 3]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]3\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]3", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["u", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], 
                    UnderscriptBox["\[VerticalBar]", "\[ScriptCapitalT]"], 
                    StyleBox["u", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["d0", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    StyleBox["d0", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["u", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["u", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], 
                    UnderscriptBox["*", "\[ScriptCapitalR]"], 
                    StyleBox["d0", "ExpressionVariable"]}]}]}]}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["c0", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["s", "ExpressionVariable"]}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["s", "ExpressionVariable"]}], 
                    UnderscriptBox["+", "\[ScriptCapitalP]"], 
                    StyleBox["c0", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["+", "\[ScriptCapitalP]"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    StyleBox["u", "ExpressionVariable"], 
                    UnderscriptBox["/", "\[ScriptCapitalT]"], 
                    StyleBox["s", "ExpressionVariable"]}]}], 
                    UnderscriptBox["*", "\[ScriptCapitalP]"], 
                    StyleBox["c0", "ExpressionVariable"]}]}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(R7.\[ScriptCapitalP].4)\"", True -> 
              StyleBox["\"(R7.\[ScriptCapitalP].4)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:808269926"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:808269926"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isMonomialSequence lp 2", 4]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]4\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]4", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["f", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isMonomialSequence", "\[ScriptCapitalP]"],
                     "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    
                    RowBox[{
                    "DomainSequences", "[", "\[ScriptCapitalT]", "]"}]], "[", 
                    RowBox[{"imgSeq", "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    UnderscriptBox["lp", "\[ScriptCapitalP]"]}], "]"}], 
                    "]"}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isMonomialSequence lp 2", 5]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]5\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]5", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["isMonomialSequence", "\[ScriptCapitalP]"],
                     "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    
                    RowBox[{
                    "DomainSequences", "[", "\[ScriptCapitalT]", "]"}]], "[", 
                    RowBox[{"imgSeq", "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    UnderscriptBox["lp", "\[ScriptCapitalP]"]}], "]"}], 
                    "]"}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(isMonomialSequence lp 2)\"", True -> 
              StyleBox["\"(isMonomialSequence lp 2)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:280696418"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:280696418"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["join P \[DoubleRightArrow]", 6]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]6\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]6", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["join P \[DoubleRightArrow]", 7]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]7\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]7", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(join P \[DoubleRightArrow])\"", True -> 
              StyleBox[
               "\"(join P \[DoubleRightArrow])\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1798717489"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1798717489"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[Sum] join", 8]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]8\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]8", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
                    "\[And]", 
                    RowBox[{"isClosed", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isAssoc", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isNeutral", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[Sum] join", 9]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]9\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]9", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"isClosed", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isAssoc", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isNeutral", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[Sum] join)\"", True -> 
              StyleBox["\"(\[Sum] join)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:309986851"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:309986851"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["induction on intervals II", 10]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]10\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]10", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}, {
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", 
                    StyleBox["x", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "-", "1"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}], 
                    "]"}]}]}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", 
                    StyleBox["x", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["y", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["induction on intervals II", 11]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]11\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]11", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["P", "ExpressionVariable"]}, {
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}, {
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", "1"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}], 
                    "]"}]}]}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(induction on intervals II)\"", True -> 
              StyleBox["\"(induction on intervals II)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb",
               "ID:1647685980"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
             "ID:1647685980"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["membership C", 12]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]12\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]12", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "]"}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["membership C", 13]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]13\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]13", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "]"}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(membership C)\"", True -> 
              StyleBox["\"(membership C)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:373967346"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:373967346"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isMonomial 6", 14]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]14\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]14", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isMonomial", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}], 
                    UnderscriptBox["+", "\[ScriptCapitalP]"], 
                    StyleBox["m", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isMonomial 6", 15]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]15\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]15", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isMonomial", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}], 
                    UnderscriptBox["+", "\[ScriptCapitalP]"], 
                    StyleBox["m", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(isMonomial 6)\"", True -> 
              StyleBox["\"(isMonomial 6)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:2014025290"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:2014025290"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[CenterDot] 8", 16]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]16\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]16", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["t", "ExpressionVariable"]}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["t", "ExpressionVariable"]}], 
                    UnderscriptBox["+", "\[ScriptCapitalP]"], 
                    StyleBox["x", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["H", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}]}]}], 
                    "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[CenterDot] 8", 17]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]17\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]17", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["t", "ExpressionVariable"]}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["t", "ExpressionVariable"]}], 
                    UnderscriptBox["+", "\[ScriptCapitalP]"], 
                    StyleBox["q", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["H", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}]}]}], 
                    "\[And]", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[CenterDot] 8)\"", True -> 
              StyleBox["\"(\[CenterDot] 8)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1776891622"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1776891622"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[CenterDot] 7", 18]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]18\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]18", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["t", "ExpressionVariable"]}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["t", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    StyleBox["d", "ExpressionVariable"]}]}]}], TheoremaForm], 
               DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[CenterDot] 7", 19]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]19\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]19", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["t", "ExpressionVariable"]}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalP]"], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", "\[ScriptCapitalP]"], 
                    StyleBox["t", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    StyleBox["d", "ExpressionVariable"]}]}]}], TheoremaForm], 
               DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[CenterDot] 7)\"", True -> 
              StyleBox["\"(\[CenterDot] 7)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1313257457"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1313257457"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["DomainSets setSeq", 20]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]20\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]20", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["f", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    RowBox[{"setSeq", "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["DomainSets setSeq", 21]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]21\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]21", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    RowBox[{"setSeq", "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "]"}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(DomainSets setSeq)\"", True -> 
              StyleBox["\"(DomainSets setSeq)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:1977563124"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:1977563124"}, 
            "Hyperlink"]& ]}, "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isMonomialSequence lp 1", 22]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]22\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]22", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["f", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isMonomialSequence", "\[ScriptCapitalP]"],
                     "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "]"}], 
                    "]"}]}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isMonomialSequence lp 1", 23]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]23\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]23", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["isMonomialSequence", "\[ScriptCapitalP]"],
                     "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "]"}], 
                    "]"}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(isMonomialSequence lp 1)\"", True -> 
              StyleBox["\"(isMonomialSequence lp 1)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:587765202"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:587765202"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isMonomialSequence lc 2", 24]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]24\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]24", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["f", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isMonomialSequence", "\[ScriptCapitalP]"],
                     "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    
                    RowBox[{
                    "DomainSequences", "[", "\[ScriptCapitalR]", "]"}]], "[", 
                    RowBox[{"imgSeq", "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    UnderscriptBox["lc", "\[ScriptCapitalP]"]}], "]"}], 
                    "]"}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isMonomialSequence lc 2", 25]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]25\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]25", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["isMonomialSequence", "\[ScriptCapitalP]"],
                     "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    
                    RowBox[{
                    "DomainSequences", "[", "\[ScriptCapitalR]", "]"}]], "[", 
                    RowBox[{"imgSeq", "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    UnderscriptBox["lc", "\[ScriptCapitalP]"]}], "]"}], 
                    "]"}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(isMonomialSequence lc 2)\"", True -> 
              StyleBox["\"(isMonomialSequence lc 2)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1254733295"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1254733295"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E append", 26]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]26\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]26", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], ")"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E append", 27]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]27\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]27", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["b", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], ")"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(E append)\"", True -> 
              StyleBox["\"(E append)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1565072058"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1565072058"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["membership monomial multiplication", 28]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]28\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]28", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["\[CircleTimes]", "\[ScriptCapitalP]"], 
                    StyleBox["q", "ExpressionVariable"]}], "]"}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["membership monomial multiplication", 29]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]29\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]29", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["\[CircleTimes]", "\[ScriptCapitalP]"], 
                    StyleBox["q", "ExpressionVariable"]}], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["membership monomial multiplication", 30]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]30\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]30", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["\[CircleTimes]", "\[ScriptCapitalP]"], 
                    StyleBox["q", "ExpressionVariable"]}], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(membership monomial multiplication)\"", True -> 
              StyleBox[
               "\"(membership monomial multiplication)\"", 
                "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1903131381"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1903131381"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["Sets 1", 31]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]31\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]31", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["Sets 1", 32]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]32\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]32", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}, {
                    StyleBox["x", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(Sets 1)\"", True -> 
              StyleBox["\"(Sets 1)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:189691136"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:189691136"}, "Hyperlink"]& ]},
          "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["C 6", 33]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]33\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]33", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalT]"], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["*", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["*", "\[ScriptCapitalP]"], 
                    StyleBox["q", "ExpressionVariable"]}], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalR]"]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["C 6", 34]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]34\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]34", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalT]"], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["*", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["*", "\[ScriptCapitalP]"], 
                    StyleBox["q", "ExpressionVariable"]}], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalR]"]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(C 6)\"", True -> 
              StyleBox["\"(C 6)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:515125163"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:515125163"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term isSet domain", 35]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]35\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]35", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isDomain", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{"isSet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term isSet domain", 36]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]36\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]36", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["D", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isDomain", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                    RowBox[{"isSet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(abstraction term isSet domain)\"", True -> 
              StyleBox[
               "\"(abstraction term isSet domain)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:158487732"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:158487732"}, "Hyperlink"]& ]},
          "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term \[Element] domain", 37]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]37\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]37", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isDomain", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    StyleBox["P", "ExpressionVariable"]}, {
                    StyleBox["x", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}]}], 
                    ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term \[Element] domain", 38]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]38\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]38", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["D", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isDomain", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}]}], 
                    TagBox[
                    
                    RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                    "a:=b"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], 
                    "]"}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm]}}, 
            AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(abstraction term \[Element] domain)\"", True -> 
              StyleBox[
               "\"(abstraction term \[Element] domain)\"", 
                "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:704307368"}, ButtonNote -> 
            
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:704307368"}, "Hyperlink"]& ]},
          "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["H 10", 39]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]39\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]39", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["H", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}], 
                    "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["lm", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["H 10", 40]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]40\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]40", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["H", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}], 
                    "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["lm", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(H 10)\"", True -> 
              StyleBox["\"(H 10)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:2014193763"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:2014193763"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["H 11", 41]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]41\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]41", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["H", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lm", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}], 
                    "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["lm", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["H 11", 42]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]42\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]42", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalP]"]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["H", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lm", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}], 
                    "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["lm", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(H 11)\"", True -> 
              StyleBox["\"(H 11)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1650576647"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1650576647"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["402", 43]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]43\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]43", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isCommRing1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{"R1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{"isPartIrreflOrder", "[", 
                    RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "]"}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["402", 44]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]44\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]44", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isCommRing1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"R1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isPartIrreflOrder", "[", 
                    RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "]"}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(402)\"", True -> 
              StyleBox["\"(402)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:656927872"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:656927872"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["set equality alternative", 45]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]45\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]45", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}, {
                    StyleBox["B", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["B", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}]}], ")"}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["set equality alternative", 46]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]46\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]46", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    TagBox[
                    
                    RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                    "a:=b"], 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["B", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(set equality alternative)\"", True -> 
              StyleBox["\"(set equality alternative)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1919461563"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1919461563"}, 
            "Hyperlink"]& ]}, "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term isSet", 47]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]47\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]47", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{"isSet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term isSet", 48]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]48\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]48", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{"isSet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(abstraction term isSet)\"", True -> 
              StyleBox["\"(abstraction term isSet)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1890519876"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1890519876"}, 
            "Hyperlink"]& ]}, "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["set equality", 49]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]49\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]49", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}, {
                    StyleBox["B", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}]}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["set equality", 50]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]50\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]50", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["A", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["B", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}]}]}]}], 
                    ")"}]}]}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(set equality)\"", True -> 
              StyleBox["\"(set equality)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:506079437"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:506079437"}, "Hyperlink"]& ]},
          "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[DoubleStruckCapitalN] intervals 3", 51]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]51\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]51", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
                    StyleBox["i", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}]]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], 
                    "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[DoubleStruckCapitalN] intervals 3", 52]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]52\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]52", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["i", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}]]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], 
                    "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[DoubleStruckCapitalN] intervals 3)\"", True -> 
              StyleBox[
               "\"(\[DoubleStruckCapitalN] intervals 3)\"", 
                "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb",
               "ID:1554610542"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
             "ID:1554610542"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[DoubleStruckCapitalN] intervals 4", 53]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]53\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]53", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
                    StyleBox["i", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"0", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], 
                    "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"0", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[DoubleStruckCapitalN] intervals 4", 54]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]54\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]54", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["i", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"0", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], 
                    "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"0", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[DoubleStruckCapitalN] intervals 4)\"", True -> 
              StyleBox[
               "\"(\[DoubleStruckCapitalN] intervals 4)\"", 
                "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb",
               "ID:2146108474"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
             "ID:2146108474"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[DoubleStruckCapitalN] intervals 9", 55]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]55\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]55", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
                    StyleBox["i", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}]]}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[DoubleStruckCapitalN] intervals 9", 56]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]56\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]56", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["i", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}]]}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[DoubleStruckCapitalN] intervals 9)\"", True -> 
              StyleBox[
               "\"(\[DoubleStruckCapitalN] intervals 9)\"", 
                "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb",
               "ID:1201187758"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
             "ID:1201187758"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["402'", 57]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]57\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]57", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isCommRing1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"R1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isPartIrreflOrder", "[", 
                    RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "]"}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["402'", 58]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]58\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]58", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isCommRing1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{"R1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{"isPartIrreflOrder", "[", 
                    RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "]"}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm]}}, 
            AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(402')\"", True -> 
              StyleBox["\"(402')\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:46875747"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:46875747"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["enumeration term \[Element]", 59]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]59\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]59", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"]}], "}"}]}], 
                    ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"], "}"}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["enumeration term \[Element]", 60]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]60\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]60", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"]}], "}"}]}], 
                    ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"], "}"}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["enumeration term \[Element]", 61]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]61\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]61", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"]}], "}"}]}], 
                    TagBox[
                    
                    RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                    "a:=b"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"], 
                    "}"}]}]}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(enumeration term \[Element])\"", True -> 
              StyleBox[
               "\"(enumeration term \[Element])\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1130747252"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1130747252"}, 
            "Hyperlink"]& ]}, "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[Sum] tuples splitting III", 62]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]62\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]62", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
                    "\[And]", 
                    RowBox[{"isClosed", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isAssoc", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isNeutral", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", 
                    StyleBox["n", "ExpressionVariable"]}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[Sum] tuples splitting III", 63]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]63\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]63", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"isClosed", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isAssoc", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isNeutral", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", 
                    StyleBox["n", "ExpressionVariable"]}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}]}]}],
                 TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[Sum] tuples splitting III)\"", True -> 
              StyleBox[
               "\"(\[Sum] tuples splitting III)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:654350327"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:654350327"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E join", 64]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]64\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]64", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["S", "ExpressionVariable"]}]}], ")"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E join", 65]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]65\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]65", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}, {
                    StyleBox["a", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["S", "ExpressionVariable"]}]}], ")"}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(E join)\"", True -> 
              StyleBox["\"(E join)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:575892555"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:575892555"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["DomainSequences subSeq", 66]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]66\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]66", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}]}, {
                    StyleBox["g", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"isNatMapping", "[", 
                    StyleBox["g", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{"subSeq", "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["g", "ExpressionVariable"]}], "]"}], "]"}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["DomainSequences subSeq", 67]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]67\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]67", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["g", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isNatMapping", "[", 
                    StyleBox["g", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{"subSeq", "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["g", "ExpressionVariable"]}], "]"}], "]"}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(DomainSequences subSeq)\"", True -> 
              StyleBox["\"(DomainSequences subSeq)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:1744060660"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:1744060660"}, 
            "Hyperlink"]& ]}, "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}}, DefaultBaseStyle -> 
      "Column", GridBoxAlignment -> {"Columns" -> {{Left}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Column"],
    "\"These formulas have been used as assumptions in a proof, but have \
themselves been proved in a different version. The first formula of each \
group is the proved version, the others are the used ones.\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  2,"\<\"duplicates (1)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isReductionPolynomialDomain", 68]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]68\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]68", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isReductionPolynomialDomain", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], 
                    TagBox[
                    RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                    "a:=b"], 
                    RowBox[{
                    RowBox[{"isDomain", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"hasDecisionPredicate", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"containsMonomials", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"hasCoefficientFunction", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"hasMultiplication", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"isExtensional", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"isOrdered", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"hasMultipliers", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}]}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["isReductionPolynomialDomain", 69]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]69\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]69", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isReductionPolynomialDomain", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], 
                    TagBox[
                    
                    RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                    "a:=b"], 
                    RowBox[{
                    RowBox[{"hasDecisionPredicate", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"containsMonomials", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"hasCoefficientFunction", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"hasMultiplication", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"isExtensional", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"isOrdered", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}], "\[And]", 
                    RowBox[{"hasMultipliers", "[", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                    "]"}]}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(isReductionPolynomialDomain)\"", True -> 
              StyleBox[
               "\"(isReductionPolynomialDomain)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1026275980"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1026275980"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}}, DefaultBaseStyle -> 
      "Column", GridBoxAlignment -> {"Columns" -> {{Left}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Column"],
    "\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  3,"\<\"non-definitions (34)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70644, TheoryTools`$LabelDelimiter, 
             "Dickson-domain \[ScriptCapitalT]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isDicksonDomain", "[", 
            RowBox[{"\[ScriptCapitalT]", ",", 
              UnderscriptBox["\[VerticalBar]", "\[ScriptCapitalT]"]}], "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Dickson-domain \[ScriptCapitalT])\"", True -> 
            StyleBox[
             "\"(Dickson-domain \[ScriptCapitalT])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:980978647"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:980978647"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70653, TheoryTools`$LabelDelimiter, 
             "< \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "<", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[DoubleLeftRightArrow]", 
              RowBox[{
                StyleBox["y", "ExpressionVariable"], ">", 
                StyleBox["x", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(< \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox["\"(< \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:1529886137"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:1529886137"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70667, TheoryTools`$LabelDelimiter, 
             "> \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ">", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[DoubleLeftRightArrow]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y", "ExpressionVariable"]}]}], ")"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(> \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox["\"(> \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:1992599802"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:1992599802"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70689, TheoryTools`$LabelDelimiter, 
             "power-product domain \[ScriptCapitalT]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isCommPPDomain", "[", "\[ScriptCapitalT]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          PaneSelectorBox[{
           False -> "\"(power-product domain \[ScriptCapitalT])\"", True -> 
            StyleBox[
             "\"(power-product domain \[ScriptCapitalT])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1725827561"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1725827561"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70697, TheoryTools`$LabelDelimiter, 
             "algorithmic reduction ring \[ScriptCapitalR]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isAlgoReductionRing", "[", "\[ScriptCapitalR]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(algorithmic reduction ring \[ScriptCapitalR])\"", 
            True -> StyleBox[
             "\"(algorithmic reduction ring \[ScriptCapitalR])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:719489133"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:719489133"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70705, TheoryTools`$LabelDelimiter, 
             "algorithmic reduction-polynomial domain \[ScriptCapitalP]"]]], 
         Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          
          RowBox[{"isAlgoReductionPolynomialDomain", "[", "\[ScriptCapitalP]",
             "]"}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> 
            "\"(algorithmic reduction-polynomial domain \[ScriptCapitalP])\"",
             True -> StyleBox[
             "\"(algorithmic reduction-polynomial domain \
\[ScriptCapitalP])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1159608082"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1159608082"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70713, TheoryTools`$LabelDelimiter, 
             "isDomain \[ScriptCapitalP]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isDomain", "[", "\[ScriptCapitalP]", "]"}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isDomain \[ScriptCapitalP])\"", True -> 
            StyleBox["\"(isDomain \[ScriptCapitalP])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:90242530"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:90242530"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70721, TheoryTools`$LabelDelimiter, 
             "reduction ring \[ScriptCapitalR]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isReductionRing", "[", "\[ScriptCapitalR]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction ring \[ScriptCapitalR])\"", True -> 
            StyleBox[
             "\"(reduction ring \[ScriptCapitalR])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1225634217"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1225634217"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70729, TheoryTools`$LabelDelimiter, 
             "reduction-polynomial domain \[ScriptCapitalP]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          
          RowBox[{"isReductionPolynomialDomain", "[", "\[ScriptCapitalP]", 
            "]"}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction-polynomial domain \[ScriptCapitalP])\"", 
            True -> StyleBox[
             "\"(reduction-polynomial domain \[ScriptCapitalP])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:7476052"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:7476052"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70737, TheoryTools`$LabelDelimiter, 
             "isExtensional \[ScriptCapitalP]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isExtensional", "[", "\[ScriptCapitalP]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isExtensional \[ScriptCapitalP])\"", True -> 
            StyleBox[
             "\"(isExtensional \[ScriptCapitalP])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:221039322"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:221039322"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70745, TheoryTools`$LabelDelimiter, 
             "ring \[ScriptCapitalR]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isCommRing1", "[", "\[ScriptCapitalR]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(ring \[ScriptCapitalR])\"", True -> 
            StyleBox["\"(ring \[ScriptCapitalR])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:267444622"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:267444622"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70753, TheoryTools`$LabelDelimiter, 
             "hasMultiplication \[ScriptCapitalP]"]]], Evaluator -> Automatic,
          ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"hasMultiplication", "[", "\[ScriptCapitalP]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasMultiplication \[ScriptCapitalP])\"", True -> 
            StyleBox[
             "\"(hasMultiplication \[ScriptCapitalP])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:978297022"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:978297022"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70761, TheoryTools`$LabelDelimiter, 
             "hasDecisionPredicate \[ScriptCapitalP]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"hasDecisionPredicate", "[", "\[ScriptCapitalP]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasDecisionPredicate \[ScriptCapitalP])\"", True -> 
            StyleBox[
             "\"(hasDecisionPredicate \[ScriptCapitalP])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1949049350"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1949049350"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70769, TheoryTools`$LabelDelimiter, 
             "hasCoefficientFunction \[ScriptCapitalP]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"hasCoefficientFunction", "[", "\[ScriptCapitalP]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasCoefficientFunction \[ScriptCapitalP])\"", True -> 
            StyleBox[
             "\"(hasCoefficientFunction \[ScriptCapitalP])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:226930466"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:226930466"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70777, TheoryTools`$LabelDelimiter, 
             "0 numeral"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{"INT", "[", 
              UnderscriptBox["0", "Int"], "]"}], "\[Equal]", "0"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(0 numeral)\"", True -> 
            StyleBox["\"(0 numeral)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:115277671"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:115277671"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70788, TheoryTools`$LabelDelimiter, 
             "isTuple induction"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["P", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["P", "ExpressionVariable"], "[", "Nil", "]"}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["a", "ExpressionVariable"]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}]}]}]}],
               "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["P", "ExpressionVariable"], "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          PaneSelectorBox[{
           False -> "\"(isTuple induction)\"", True -> 
            StyleBox["\"(isTuple induction)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:649680989"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:649680989"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70823, TheoryTools`$LabelDelimiter, 
             "Nil isTuple"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isTuple", "[", "Nil", "]"}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nil isTuple)\"", True -> 
            StyleBox["\"(Nil isTuple)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:23375335"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:23375335"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70831, TheoryTools`$LabelDelimiter, 
             "Cons isTuple"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{"isTuple", "[", 
              RowBox[{"Cons", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Cons isTuple)\"", True -> 
            StyleBox["\"(Cons isTuple)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:80140108"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:80140108"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70849, TheoryTools`$LabelDelimiter, 
             "containsMonomials \[ScriptCapitalP]"]]], Evaluator -> Automatic,
          ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"containsMonomials", "[", "\[ScriptCapitalP]", "]"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(containsMonomials \[ScriptCapitalP])\"", True -> 
            StyleBox[
             "\"(containsMonomials \[ScriptCapitalP])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:378755333"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:378755333"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70857, TheoryTools`$LabelDelimiter, 
             "Axiom of Specification"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["P", "ExpressionVariable"]}}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                  "\[DoubleLeftRightArrow]", 
                  RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], 
                    ")"}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Specification)\"", True -> 
            StyleBox["\"(Axiom of Specification)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:63480134"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:63480134"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70881, TheoryTools`$LabelDelimiter, 
             "Axiom of Collection"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["P", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   StyleBox["y", "ExpressionVariable"]], 
                  RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], 
              "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Collection)\"", True -> 
            StyleBox["\"(Axiom of Collection)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:178736995"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:178736995"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70905, TheoryTools`$LabelDelimiter, 
             "1 numeral"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{"INT", "[", 
              UnderscriptBox["1", "Int"], "]"}], "\[Equal]", "1"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(1 numeral)\"", True -> 
            StyleBox["\"(1 numeral)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:535851349"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:535851349"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70916, TheoryTools`$LabelDelimiter, 
             "INT injective"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"INT", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], "\[Equal]", 
                RowBox[{"INT", "[", 
                  StyleBox["y", "ExpressionVariable"], "]"}]}], "\[Implies]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                StyleBox["y", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(INT injective)\"", True -> 
            StyleBox["\"(INT injective)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:36749699"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:36749699"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70944, TheoryTools`$LabelDelimiter, 
             "\[LessEqual] \[DoubleStruckCapitalZ]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "\[LessEqual]", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[DoubleLeftRightArrow]", 
              RowBox[{
                StyleBox["y", "ExpressionVariable"], "\[GreaterEqual]", 
                StyleBox["x", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[LessEqual] \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox[
             "\"(\[LessEqual] \[DoubleStruckCapitalZ])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:1826269664"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:1826269664"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70958, TheoryTools`$LabelDelimiter, 
             "- \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "-", 
                StyleBox["y", "ExpressionVariable"]}], "\[Equal]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "-", 
                RowBox[{
                  TagBox["(", "AutoParentheses"], 
                  StyleBox["y", "ExpressionVariable"], 
                  TagBox[")", "AutoParentheses"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(- \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox["\"(- \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:445777866"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:445777866"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$70976, TheoryTools`$LabelDelimiter, 
             "Axiom of Extensionality"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                RowBox[{"isSet", "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                  "\[DoubleLeftRightArrow]", 
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}]}]}], 
              "\[Implies]", 
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Equal]", 
                StyleBox["B", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Extensionality)\"", True -> 
            StyleBox["\"(Axiom of Extensionality)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:22632819"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:22632819"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71001, TheoryTools`$LabelDelimiter, 
             "Axiom of Empty Set"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[Exists]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
               StyleBox["x", "ExpressionVariable"]], 
              RowBox[{"\[Not]", 
                RowBox[{
                  TagBox["(", "AutoParentheses"], 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                  TagBox[")", "AutoParentheses"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Empty Set)\"", True -> 
            StyleBox["\"(Axiom of Empty Set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:188433541"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:188433541"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71014, TheoryTools`$LabelDelimiter, 
             "\[Not] Nil isSet"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"\[Not]", 
            RowBox[{
              TagBox["(", "AutoParentheses"], 
              RowBox[{"isSet", "[", "Nil", "]"}], 
              TagBox[")", "AutoParentheses"]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Not] Nil isSet)\"", True -> 
            StyleBox["\"(\[Not] Nil isSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:256666213"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:256666213"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71026, TheoryTools`$LabelDelimiter, 
             "\[Not] Cons isSet"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{"\[Not]", 
              RowBox[{
                TagBox["(", "AutoParentheses"], 
                RowBox[{"isSet", "[", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}], 
                TagBox[")", "AutoParentheses"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Not] Cons isSet)\"", True -> 
            StyleBox["\"(\[Not] Cons isSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:855820982"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:855820982"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71048, TheoryTools`$LabelDelimiter, 
             "Axiom of Infinity"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[Exists]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["Inf", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{"\[EmptySet]", "\[Element]", 
                StyleBox["Inf", "ExpressionVariable"]}], "\[And]", 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["Inf", "ExpressionVariable"]}]}}]], 
                 RowBox[{"isSet", "[", 
                   StyleBox["x", "ExpressionVariable"], "]"}]], 
                RowBox[{
                  RowBox[{"succ", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[Element]", 
                  StyleBox["Inf", "ExpressionVariable"]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Infinity)\"", True -> 
            StyleBox["\"(Axiom of Infinity)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:207285237"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:207285237"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71078, TheoryTools`$LabelDelimiter, 
             "Axiom of Union"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["U", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Union)\"", True -> 
            StyleBox["\"(Axiom of Union)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:38131787"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:38131787"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71106, TheoryTools`$LabelDelimiter, 
             "Axiom of Pairing"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  StyleBox["A", "ExpressionVariable"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Pairing)\"", True -> 
            StyleBox["\"(Axiom of Pairing)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:294365267"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:294365267"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71124, TheoryTools`$LabelDelimiter, 
             "Axiom of Regularity"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                RowBox[{"isSet", "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}], "\[Implies]", 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[Exists]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                 RowBox[{"isSet", "[", 
                   StyleBox["A", "ExpressionVariable"], "]"}]], 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Regularity)\"", True -> 
            StyleBox["\"(Axiom of Regularity)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:646523590"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:646523590"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71159, TheoryTools`$LabelDelimiter, 
             "Axiom of Power Set"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["P", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["x", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["P", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Power Set)\"", True -> 
            StyleBox["\"(Axiom of Power Set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:189789884"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:189789884"}, "Hyperlink"]& ]}}, AutoDelete -> False, 
      GridBoxAlignment -> {"Columns" -> {Center, Left, Center}}, 
      GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"],"\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {4,"\<\"such (0)\"\>"->
  TemplateBox[{InterpretationBox[
     TagBox[
      GridBox[{{""}}, AutoDelete -> False, 
       GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
       GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
       GridBoxItemSize -> {
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
     Grid[{}, Frame -> False, Alignment -> {{Center, Center, Left, Center}}, 
      Frame -> False]],"\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {5,"\<\"the (0)\"\>"->
  TemplateBox[{InterpretationBox[
     TagBox[
      GridBox[{{""}}, AutoDelete -> False, 
       GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
       GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
       GridBoxItemSize -> {
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
     Grid[{}, Frame -> False, Alignment -> {{Center, Center, Left, Center}}, 
      Frame -> False]],"\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  6,"\<\"problematic definitions (5)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71181, TheoryTools`$LabelDelimiter, 
                 "H 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["H", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], ":=", 
                  UnderscriptBox["0", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(H 0)\"", True -> 
                StyleBox["\"(H 0)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1301149083"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1301149083"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71192, TheoryTools`$LabelDelimiter, 
                 "PreInt 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
              Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["0", "PreInt"], ":=", 
                RowBox[{"Pair", "[", 
                  RowBox[{
                    UnderscriptBox["0", "Nat"], ",", 
                    UnderscriptBox["0", "Nat"]}], "]"}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(PreInt 0)\"", True -> 
                StyleBox["\"(PreInt 0)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb", "ID:398024454"}, ButtonNote -> 
              
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb", "ID:398024454"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71203, TheoryTools`$LabelDelimiter, 
                 "H 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["H", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], ":=", 
                  UnderscriptBox["0", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(H 0)\"", True -> 
                StyleBox["\"(H 0)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1301149083"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1301149083"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71214, TheoryTools`$LabelDelimiter, 
                 "Int 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["0", "Int"], ":=", 
                RowBox[{
                  UnderscriptBox["EC", 
                   RowBox[{"QuoDom", "[", 
                    RowBox[{"PreInt", ",", 
                    UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
                  UnderscriptBox["0", "PreInt"], "]"}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(Int 0)\"", True -> 
                StyleBox["\"(Int 0)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb", "ID:52976508"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb", "ID:52976508"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71229, TheoryTools`$LabelDelimiter, 
                 "H 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}, {1, 1}\"", TooltipStyle -> 
              "TextStyling"], Annotation[#, "{1, 1}, {1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["H", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], ":=", 
                  UnderscriptBox["0", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              PaneSelectorBox[{
               False -> "\"(H 0)\"", True -> 
                StyleBox["\"(H 0)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1301149083"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1301149083"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71240, TheoryTools`$LabelDelimiter, 
                 "H"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}, {
                    StyleBox["p", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}], 
                  "\[Implies]", 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["H", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], ":=", 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lm", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["H", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["R", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}]}], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalT]"], 
                    StyleBox["t", "ExpressionVariable"]}]}, {
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    "\[DoubleLeftArrow]", "True"}}]}]}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(H)\"", True -> 
                StyleBox["\"(H)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:355792939"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:355792939"}, "Hyperlink"]& ]}}, AutoDelete -> 
          False, GridBoxAlignment -> {
           "Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71282, TheoryTools`$LabelDelimiter, 
                 "H 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["H", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], ":=", 
                  UnderscriptBox["0", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(H 0)\"", True -> 
                StyleBox["\"(H 0)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1301149083"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1301149083"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71293, TheoryTools`$LabelDelimiter, 
                 "Nat 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["0", "Nat"], ":=", "\[EmptySet]"}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(Nat 0)\"", True -> 
                StyleBox["\"(Nat 0)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb", "ID:720795295"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Numbers.nb", "ID:720795295"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71296, TheoryTools`$LabelDelimiter, 
                 "index step"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["a", "ExpressionVariable"]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                RowBox[{
                  SubscriptBox[
                   RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], 
                   RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}]], ":=", 
                  SubscriptBox[
                   StyleBox["T", "ExpressionVariable"], 
                   StyleBox["n", "ExpressionVariable"]]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(index step)\"", True -> 
                StyleBox["\"(index step)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:381428117"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:381428117"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$71325, TheoryTools`$LabelDelimiter, 
                 "+ \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}, {
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", 
                    StyleBox["y", "ExpressionVariable"]}], ":=", 
                  RowBox[{"INT", "[", 
                    RowBox[{
                    RowBox[{"stripINT", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["+", "Int"], 
                    RowBox[{"stripINT", "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "]"}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(+ \[DoubleStruckCapitalZ])\"", True -> 
                StyleBox[
                 "\"(+ \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb", "ID:274207297"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb", "ID:274207297"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}}, 
      DefaultBaseStyle -> "Column", 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Column"],
    "\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  7,"\<\"higher-order (21)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71357, TheoryTools`$LabelDelimiter, 
             "isMin"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isMin", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["\[Succeeds]", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isMin)\"", True -> 
            StyleBox["\"(isMin)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1924210441"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1924210441"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71380, TheoryTools`$LabelDelimiter, 
             "\[Beta] reduction 2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}], ")"}], 
                "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["f", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Beta] reduction 2)\"", True -> 
            StyleBox["\"(\[Beta] reduction 2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1792564651"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1792564651"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71398, TheoryTools`$LabelDelimiter, 
             "imgSeq"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["f", "ExpressionVariable"]}, {
                StyleBox["h", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalN]"}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"imgSeq", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["h", "ExpressionVariable"]}], "]"}], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                StyleBox["h", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(imgSeq)\"", True -> 
            StyleBox["\"(imgSeq)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:809351385"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:809351385"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71419, TheoryTools`$LabelDelimiter, 
             "isNeutral"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isNeutral", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["n", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  StyleBox["n", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["n", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isNeutral)\"", True -> 
            StyleBox["\"(isNeutral)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:665775613"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:665775613"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71460, TheoryTools`$LabelDelimiter, 
             "isAssoc"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isAssoc", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[SmallCircle]", 
                    StyleBox["z", "ExpressionVariable"]}], "\[Equal]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isAssoc)\"", True -> 
            StyleBox["\"(isAssoc)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:154995644"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:154995644"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71500, TheoryTools`$LabelDelimiter, 
             "isInverse"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
               StyleBox["\[Square]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isInverse", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[Square]", "ExpressionVariable"], ",", 
                  StyleBox["n", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{"\[Square]", 
                    StyleBox["x", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    RowBox[{"\[Square]", 
                    StyleBox["x", "ExpressionVariable"]}]}], "\[Equal]", 
                    StyleBox["n", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    RowBox[{"\[Square]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["n", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isInverse)\"", True -> 
            StyleBox["\"(isInverse)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1343138992"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1343138992"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71550, TheoryTools`$LabelDelimiter, 
             "isDistr"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
               StyleBox["\[Diamond]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isDistr", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[Diamond]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Diamond]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Diamond]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Diamond]", 
                    StyleBox["z", "ExpressionVariable"]}], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Diamond]", 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isDistr)\"", True -> 
            StyleBox["\"(isDistr)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1959021758"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1959021758"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71628, TheoryTools`$LabelDelimiter, 
             "abstraction term"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}]}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "}"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], 
                    "]"}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(abstraction term)\"", True -> 
            StyleBox["\"(abstraction term)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:101381353"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:101381353"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71689, TheoryTools`$LabelDelimiter, 
             "\[Beta] reduction"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], ")"}], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                StyleBox["f", "ExpressionVariable"], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Beta] reduction)\"", True -> 
            StyleBox["\"(\[Beta] reduction)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1466460153"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1466460153"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71702, TheoryTools`$LabelDelimiter, 
             "\[Beta] reduction 3"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}], "]"}]}], ")"}], 
                "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["f", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Beta] reduction 3)\"", True -> 
            StyleBox["\"(\[Beta] reduction 3)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1732149836"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1732149836"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71725, TheoryTools`$LabelDelimiter, 
             "tupRec Cons"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["b", "ExpressionVariable"]}, {
                StyleBox["c", "ExpressionVariable"]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"tupRec", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "[", 
                RowBox[{"Cons", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}], ":=", 
              RowBox[{
                StyleBox["c", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["T", "ExpressionVariable"], ",", 
                  RowBox[{
                    RowBox[{"tupRec", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tupRec Cons)\"", True -> 
            StyleBox["\"(tupRec Cons)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:177449370"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:177449370"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71761, TheoryTools`$LabelDelimiter, 
             "subSeq"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["f", "ExpressionVariable"]}, {
                RowBox[{"isNatMapping", "[", 
                  StyleBox["g", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalN]"}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"subSeq", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["g", "ExpressionVariable"]}], "]"}], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                StyleBox["f", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["g", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(subSeq)\"", True -> 
            StyleBox["\"(subSeq)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:230504716"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:230504716"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71783, TheoryTools`$LabelDelimiter, 
             "TupleOf"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["f", "ExpressionVariable"]}, {
                StyleBox["P", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                "\[RightAngleBracket]"}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"natRec0", "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\:293a", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
                    "]"}]}], "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
                    "]"}]}, {
                    StyleBox["y", "ExpressionVariable"], "\[DoubleLeftArrow]",
                     "True"}}]}]}]}], "]"}], "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}], ")"}]}], 
                    "]"}], "\[DoubleLeftArrow]", 
                   RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["a", "ExpressionVariable"]}]}, {
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                   "\[DoubleLeftArrow]", "True"}}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(TupleOf)\"", True -> 
            StyleBox["\"(TupleOf)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:223047122"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:223047122"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71864, TheoryTools`$LabelDelimiter, 
             "finite sum"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                StyleBox["f", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox[
                 SubscriptBox["\[Sum]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}]}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"natRec0", "[", 
                    RowBox[{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
                    "]"}]}]}]}], "]"}], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", 
                    StyleBox["a", "ExpressionVariable"]}], "+", "1"}], "]"}], 
                   "\[DoubleLeftArrow]", 
                   RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["a", "ExpressionVariable"]}]}, {
                   UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                   "\[DoubleLeftArrow]", "True"}}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(finite sum)\"", True -> 
            StyleBox["\"(finite sum)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:161235722"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:161235722"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71924, TheoryTools`$LabelDelimiter, 
             "predicate set"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"], ",", 
               StyleBox["Q", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["a", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}]}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], "}"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["a", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], 
                    "]"}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(predicate set)\"", True -> 
            StyleBox["\"(predicate set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:256950901"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:256950901"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$71985, TheoryTools`$LabelDelimiter, 
             "isInvariantFunction2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isInvariantFunction2", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], "]"}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], "\[Tilde]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y2", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["y2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y1", "ExpressionVariable"]}], "]"}], "\[Tilde]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y2", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isInvariantFunction2)\"", True -> 
            StyleBox["\"(isInvariantFunction2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:715106769"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:715106769"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72057, TheoryTools`$LabelDelimiter, 
             "isBoundedMonotone"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"isBoundedMonotone", "[", 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], 
                  "\[SubsetEqual]", 
                  StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isSet", "[", 
                    StyleBox["C", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["C", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], 
                    "\[SubsetEqual]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["C", "ExpressionVariable"], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isBoundedMonotone)\"", True -> 
            StyleBox["\"(isBoundedMonotone)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:136577837"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:136577837"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72109, TheoryTools`$LabelDelimiter, 
             "UnionOf"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[Union]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]], 
                RowBox[{
                  StyleBox["B", "ExpressionVariable"], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}], ":=", 
              RowBox[{"Un", "[", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "}"}], 
                "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(UnionOf)\"", True -> 
            StyleBox["\"(UnionOf)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:60334524"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:60334524"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72136, TheoryTools`$LabelDelimiter, 
             "isInvariantFunction1"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isInvariantFunction1", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x2", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}], "\[Tilde]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    StyleBox["x2", "ExpressionVariable"], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isInvariantFunction1)\"", True -> 
            StyleBox["\"(isInvariantFunction1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:85261794"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:85261794"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72176, TheoryTools`$LabelDelimiter, 
             "isOrderEmbedding"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isOrderEmbedding", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Succeeds]", 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["z", "ExpressionVariable"]}], "\[Succeeds]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["z", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isOrderEmbedding)\"", True -> 
            StyleBox["\"(isOrderEmbedding)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1479000424"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1479000424"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72240, TheoryTools`$LabelDelimiter, 
             "IntersectionOf"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[Intersection]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]], 
                RowBox[{
                  StyleBox["B", "ExpressionVariable"], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}], ":=", 
              RowBox[{"Inter", "[", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "}"}], 
                "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(IntersectionOf)\"", True -> 
            StyleBox["\"(IntersectionOf)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:502023636"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:502023636"}, "Hyperlink"]& ]}}, AutoDelete -> False, 
      GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
      GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"],
    "\"These definitions contain universally quantified higher-order \
variables and are put into a separate list for safety reasons. Nevertheless, \
they have still been checked for unifiability against all other \
definitions.\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  8,"\<\"checked (172)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72267, TheoryTools`$LabelDelimiter, 
             "algorithmic reduction ring"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isAlgoReductionRing", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isReductionRing", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R9", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R10", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R11", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R12", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R13", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(algorithmic reduction ring)\"", True -> 
            StyleBox["\"(algorithmic reduction ring)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:979757495"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:979757495"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72321, TheoryTools`$LabelDelimiter, 
             "reduction ring"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isReductionRing", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isCommRing1", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"isPartIrreflOrder", "[", 
                  RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"isNoetherian", "[", 
                  RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"Multipliers", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R0", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R1", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R2", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R3", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R4", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R5", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R6", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R7", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R8", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction ring)\"", True -> 
            StyleBox["\"(reduction ring)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:623701544"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:623701544"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72427, TheoryTools`$LabelDelimiter, 
             "Dickson domain"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[PrecedesEqual]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isDicksonDomain", "[", 
                RowBox[{
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                  StyleBox["\[PrecedesEqual]", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}, {
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], ">", 
                    StyleBox["i", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    "\[PrecedesEqual]", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "[", 
                    StyleBox["j", "ExpressionVariable"], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Dickson domain)\"", True -> 
            StyleBox["\"(Dickson domain)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:610667129"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:610667129"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72461, TheoryTools`$LabelDelimiter, 
             "\[SquareSubset]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["A", "ExpressionVariable"], 
                UnderscriptBox["\[SquareSubset]", 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["B", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["red", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "\[Subset]", 
                RowBox[{
                  UnderscriptBox["red", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[SquareSubset])\"", True -> 
            StyleBox["\"(\[SquareSubset])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:808948861"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:808948861"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72494, TheoryTools`$LabelDelimiter, 
             "R13"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R13", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{"\[Not]", 
                RowBox[{
                  TagBox["(", "AutoParentheses"], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["\[SquareSubset]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], 
                    "]"}]}]}]}], 
                  TagBox[")", "AutoParentheses"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R13)\"", True -> 
            StyleBox["\"(R13)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1276925313"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1276925313"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72534, TheoryTools`$LabelDelimiter, 
             "DomainSequences decision predicate"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"DomainSequences", "[", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                   "]"}]], "[", 
                StyleBox["f", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(DomainSequences decision predicate)\"", True -> 
            StyleBox[
             "\"(DomainSequences decision predicate)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:458427713"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:458427713"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72550, TheoryTools`$LabelDelimiter, 
             "R9"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R9", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["c1", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                   RowBox[{
                    StyleBox["c2", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["i", "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["L", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["L", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["L", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Tilde]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox[
                    "L", "ExpressionVariable"]}]}]}]}]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R9)\"", True -> 
            StyleBox["\"(R9)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1502179371"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1502179371"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72656, TheoryTools`$LabelDelimiter, 
             "R11"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R11", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["let", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["R", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["rdm", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["R", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["R", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["R", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R11)\"", True -> 
            StyleBox["\"(R11)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:528478842"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:528478842"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72711, TheoryTools`$LabelDelimiter, 
             "R12"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R12", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["c1", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                   RowBox[{
                    StyleBox["c2", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "<", 
                    StyleBox["j", "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["L", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["L", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["p1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["p2", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["cpm", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["p1", "ExpressionVariable"], ",", 
                    StyleBox["p2", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["areCPMultipliers", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p1", "ExpressionVariable"], ",", 
                    StyleBox["p2", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R12)\"", True -> 
            StyleBox["\"(R12)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:415149625"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:415149625"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72807, TheoryTools`$LabelDelimiter, 
             "tuple E"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isTuple", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\:22ff", 
                  StyleBox["T", "ExpressionVariable"]}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tuple E)\"", True -> 
            StyleBox["\"(tuple E)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1281000450"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1281000450"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72842, TheoryTools`$LabelDelimiter, 
             "isCommPPDomain"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isCommPPDomain", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isCCMonoid", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"isTotalIrreflOrder", "[", 
                  RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isNoetherian", "[", 
                  RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["1", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]]}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    UnderscriptBox["1", 
                    StyleBox[
                    "\[ScriptCapitalD]", "ExpressionVariable"]]}]}]}], 
                "\[And]", 
                RowBox[{"isOrderEmbedding", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["\[VerticalBar]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}]}], "\[And]", 
                RowBox[{"isJoin", "[", 
                  RowBox[{
                    UnderscriptBox["lcm", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["\[VerticalBar]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["y", "ExpressionVariable"], 
                    UnderscriptBox["\[VerticalBar]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["x", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["/", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["/", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}], 
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isCommPPDomain)\"", True -> 
            StyleBox["\"(isCommPPDomain)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:558626034"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:558626034"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$72956, TheoryTools`$LabelDelimiter, 
             "hasMultipliers"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"hasMultipliers", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}], 
                  "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["p", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}], 
                  "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isMonomial", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}], 
                    ")"}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasMultipliers)\"", True -> 
            StyleBox["\"(hasMultipliers)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:407906314"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:407906314"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73043, TheoryTools`$LabelDelimiter, 
             "isAlgoReductionPolynomialDomain"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isAlgoReductionPolynomialDomain", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isReductionPolynomialDomain", "[", 
                  StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"hasLCRD", "[", 
                  StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"hasRDM", "[", 
                  StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"hasCPM", "[", 
                  StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], 
                  "]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isAlgoReductionPolynomialDomain)\"", True -> 
            StyleBox[
             "\"(isAlgoReductionPolynomialDomain)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1209025019"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1209025019"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73083, TheoryTools`$LabelDelimiter, 
             "hasLCRD"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"hasLCRD", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}], 
                   "\[And]", 
                   RowBox[{
                    StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["i", "ExpressionVariable"]}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}}]], 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["lcm", "\[ScriptCapitalT]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}], "]"}]}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["l", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}]}], "\[DoubleLeftArrow]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["q", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}]}, {
                    RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}]}}]], 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["lcm", "\[ScriptCapitalT]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}], "]"}]}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["l", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}]}], "\[DoubleLeftArrow]", 
                    "True"}}]}]}]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}]}}]], 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["l", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}]}]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasLCRD)\"", True -> 
            StyleBox["\"(hasLCRD)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1424238209"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1424238209"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73262, TheoryTools`$LabelDelimiter, 
             "hasCPM"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"hasCPM", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}], 
                   "\[And]", 
                   RowBox[{
                    StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}}]], 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "<", 
                    StyleBox["j", "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["l", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["cpm", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["cm", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["cpm", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}}]], 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["cm", "ExpressionVariable"], "1"], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "]"}], 
                    UnderscriptBox["/", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}], ",", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["cm", "ExpressionVariable"], "2"], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "]"}], 
                    UnderscriptBox["/", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}]}], 
                    "\[RightAngleBracket]"}]}], "\[DoubleLeftArrow]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["q", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}]}, {
                    RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["rdm", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}], "]"}]}]}}]], 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "]"}], 
                    UnderscriptBox["/", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}], ",", 
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["l", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "]"}], 
                    UnderscriptBox["/", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}]}], 
                    "\[RightAngleBracket]"}]}], "\[DoubleLeftArrow]", 
                    "True"}}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasCPM)\"", True -> 
            StyleBox["\"(hasCPM)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:667868750"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:667868750"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73477, TheoryTools`$LabelDelimiter, 
             "lc"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], ",", 
               StyleBox["p", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["lc", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                StyleBox["p", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["C", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], ",", 
                  RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(lc)\"", True -> 
            StyleBox["\"(lc)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1541081556"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1541081556"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73493, TheoryTools`$LabelDelimiter, 
             "isReducibleRec \[ScriptCapitalP]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["q", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isReducibleRec", "\[ScriptCapitalP]"], "[", 
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], ",", 
                  StyleBox["q", "ExpressionVariable"], ",", 
                  StyleBox["m", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                RowBox[{
                  StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["isMonomial", "\[ScriptCapitalP]"], "[", 
                  StyleBox["m", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["*", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["lp", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}], "]"}]}], 
                  "\[Or]", 
                  RowBox[{
                    UnderscriptBox["isReducibleRec", "\[ScriptCapitalP]"], 
                    "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["R", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["m", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isReducibleRec \[ScriptCapitalP])\"", True -> 
            StyleBox[
             "\"(isReducibleRec \[ScriptCapitalP])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1190720464"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1190720464"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73570, TheoryTools`$LabelDelimiter, 
             "hasRDM"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"hasRDM", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["rdm", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                  RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}], 
                    "\[Or]", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["0", 
                    StyleBox[
                    "\[ScriptCapitalP]", "ExpressionVariable"]]}]}]}, {
                    RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["rdm", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}], "]"}]}]}}]], 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["/", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalR]"]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["\[VerticalBar]", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}]}, {
                    RowBox[{
                    UnderscriptBox["rdm", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["R", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["q", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftArrow]", "True"}}]}]}], "\[DoubleLeftArrow]",
                     "True"}}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasRDM)\"", True -> 
            StyleBox["\"(hasRDM)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1761006179"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1761006179"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73662, TheoryTools`$LabelDelimiter, 
             "R10"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R10", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  UnderscriptBox["let", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["L", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["L", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["L", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Tilde]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox["L", "ExpressionVariable"]}]}]}]}]}]}]}]}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R10)\"", True -> 
            StyleBox["\"(R10)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1524689422"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1524689422"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73734, TheoryTools`$LabelDelimiter, 
             "isRing"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isRing", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isDomain", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"isClosed", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isClosed", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isAssoc", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isAssoc", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isNeutral", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isComm", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isDistr", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isInverse", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isRing)\"", True -> 
            StyleBox["\"(isRing)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1169392713"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1169392713"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73840, TheoryTools`$LabelDelimiter, 
             "isCommRing1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isCommRing1", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isRing", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"isNeutral", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["1", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isComm", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isCommRing1)\"", True -> 
            StyleBox["\"(isCommRing1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:812208573"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:812208573"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73876, TheoryTools`$LabelDelimiter, 
             "isPartIrreflOrder"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isPartIrreflOrder", "[", 
                RowBox[{
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isPartIrreflOrder)\"", True -> 
            StyleBox["\"(isPartIrreflOrder)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1500614048"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1500614048"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73945, TheoryTools`$LabelDelimiter, 
             "nonemptySet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"nonemptySet", "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   StyleBox["a", "ExpressionVariable"]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(nonemptySet)\"", True -> 
            StyleBox["\"(nonemptySet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:324063439"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:324063439"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$73970, TheoryTools`$LabelDelimiter, 
             "isNoetherian"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isNoetherian", "[", 
                RowBox[{
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{"nonemptySet", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], "\[Element]", 
                    StyleBox["S", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isMin", "[", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"], ",", 
                    StyleBox["\[Succeeds]", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isNoetherian)\"", True -> 
            StyleBox["\"(isNoetherian)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:929796587"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:929796587"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74007, TheoryTools`$LabelDelimiter, 
             "multipliers"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"Multipliers", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(multipliers)\"", True -> 
            StyleBox["\"(multipliers)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1960646232"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1960646232"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74053, TheoryTools`$LabelDelimiter, 
             "R0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R0", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  UnderscriptBox["mult", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    UnderscriptBox["1", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R0)\"", True -> 
            StyleBox["\"(R0)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1496065688"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1496065688"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74074, TheoryTools`$LabelDelimiter, 
             "R1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R1", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                  "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          PaneSelectorBox[{
           False -> "\"(R1)\"", True -> 
            StyleBox["\"(R1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:975892043"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:975892043"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74108, TheoryTools`$LabelDelimiter, 
             "R2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R2", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                  "\[Implies]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R2)\"", True -> 
            StyleBox["\"(R2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1150364990"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1150364990"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74142, TheoryTools`$LabelDelimiter, 
             "R3"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R3", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                   RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R3)\"", True -> 
            StyleBox["\"(R3)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:852396718"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:852396718"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74214, TheoryTools`$LabelDelimiter, 
             "R4"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R4", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R4)\"", True -> 
            StyleBox["\"(R4)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1907869025"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1907869025"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74237, TheoryTools`$LabelDelimiter, 
             "reduction modulo element using multiplier"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                StyleBox["b", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c", "ExpressionVariable"], "]"}]}, {
                StyleBox["m", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 SubscriptBox["\[Rule]", 
                  RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}]], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}], "\[And]", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], 
                  UnderscriptBox["\[Succeeds]", 
                   StyleBox["D", "ExpressionVariable"]], 
                  StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["mult", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction modulo element using multiplier)\"", True -> 
            StyleBox[
             "\"(reduction modulo element using multiplier)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:935236171"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:935236171"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74274, TheoryTools`$LabelDelimiter, 
             "reducible2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isReducible", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], 
                  UnderscriptBox["\[Succeeds]", 
                   StyleBox["D", "ExpressionVariable"]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["mult", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reducible2)\"", True -> 
            StyleBox["\"(reducible2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:115218056"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:115218056"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74303, TheoryTools`$LabelDelimiter, 
             "R5"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R5", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["TM", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["TN", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["areR5Witnesses", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    StyleBox["TN", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["d", "ExpressionVariable"], ",", 
                    StyleBox["m", "ExpressionVariable"]}], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R5)\"", True -> 
            StyleBox["\"(R5)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1446921308"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1446921308"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74358, TheoryTools`$LabelDelimiter, 
             "R5 witnesses"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["d", "ExpressionVariable"], ",", 
               StyleBox["m", "ExpressionVariable"], ",", 
               StyleBox["TM", "ExpressionVariable"], ",", 
               StyleBox["TN", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areR5Witnesses", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["TM", "ExpressionVariable"], ",", 
                  StyleBox["TN", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["d", "ExpressionVariable"], ",", 
                  StyleBox["m", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}]}], "]"}], 
                    ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["TM", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TN", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TN", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}]}], "]"}], 
                    ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["TN", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                RowBox[{
                  RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["TM", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "\[Equal]", 
                  RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TN", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["TN", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R5 witnesses)\"", True -> 
            StyleBox["\"(R5 witnesses)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1949920189"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1949920189"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74476, TheoryTools`$LabelDelimiter, 
             "R6"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R6", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b2", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b1", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b2", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["areCorrelative", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"]}], "]"}]}], 
                  "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["TL", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["isR6Witness", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["TL", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["b1", "ExpressionVariable"], ",", 
                    StyleBox["b2", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R6)\"", True -> 
            StyleBox["\"(R6)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:208630606"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:208630606"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74541, TheoryTools`$LabelDelimiter, 
             "R7"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R7", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a0", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m0", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m0", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}], 
                    "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{"{", 
                    StyleBox["c", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], 
                    UnderscriptBox[
                    SubscriptBox["\[LeftRightArrow]", 
                    RowBox[{"{", 
                    StyleBox["c", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}]}]}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["c2", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m2", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m1", "ExpressionVariable"]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m2", "ExpressionVariable"]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m1", "ExpressionVariable"]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m2", "ExpressionVariable"]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}]}]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R7)\"", True -> 
            StyleBox["\"(R7)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1150983847"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1150983847"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74780, TheoryTools`$LabelDelimiter, 
             "R8"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R8", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c0", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], 
                  "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a0", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c0", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m0", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m0", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}], 
                    "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{"{", 
                    StyleBox["c", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], 
                    UnderscriptBox[
                    SubscriptBox["\[LeftRightArrow]", 
                    RowBox[{"{", 
                    StyleBox["c", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}]}]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R8)\"", True -> 
            StyleBox["\"(R8)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2106857486"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2106857486"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74905, TheoryTools`$LabelDelimiter, 
             "isJoin"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SquareUnion]", "ExpressionVariable"], ",", 
               StyleBox["\[PrecedesEqual]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isJoin", "[", 
                RowBox[{
                  StyleBox["\[SquareUnion]", "ExpressionVariable"], ",", 
                  StyleBox["\[PrecedesEqual]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["let", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["J", "ExpressionVariable"], "=", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SquareUnion]", 
                    StyleBox["y", "ExpressionVariable"]}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["J", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[PrecedesEqual]", 
                    StyleBox["J", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[PrecedesEqual]", 
                    StyleBox["J", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[PrecedesEqual]", 
                    StyleBox["z", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[PrecedesEqual]", 
                    StyleBox["z", "ExpressionVariable"]}]}]], 
                    RowBox[{
                    StyleBox["J", "ExpressionVariable"], "\[PrecedesEqual]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isJoin)\"", True -> 
            StyleBox["\"(isJoin)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2048777355"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2048777355"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74965, TheoryTools`$LabelDelimiter, 
             "isExtensional"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isExtensional", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["q", "ExpressionVariable"]}], 
                  "\[DoubleLeftRightArrow]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isExtensional)\"", True -> 
            StyleBox["\"(isExtensional)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1709544239"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1709544239"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$74999, TheoryTools`$LabelDelimiter, 
             "minimal non-trivial common reducible"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isMNTCR", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isNTCR", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a0", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["isNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(minimal non-trivial common reducible)\"", True -> 
            StyleBox[
             "\"(minimal non-trivial common reducible)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:991122907"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:991122907"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75046, TheoryTools`$LabelDelimiter, 
             "isMNTCRP"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["q", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isMNTCRP", "\[ScriptCapitalP]"], "[", 
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], ",", 
                  StyleBox["q", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isNTCRP", "\[ScriptCapitalP]"], "[", 
                  RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    StyleBox["a0", "ExpressionVariable"]}]], 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["isNTCRP", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isMNTCRP)\"", True -> 
            StyleBox["\"(isMNTCRP)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:624517207"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:624517207"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75100, TheoryTools`$LabelDelimiter, 
             "unary minimal non-trivial common reducible"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isMNTCR", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isNTCR", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a0", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["isNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(unary minimal non-trivial common reducible)\"", True -> 
            StyleBox[
             "\"(unary minimal non-trivial common reducible)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:894750987"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:894750987"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75135, TheoryTools`$LabelDelimiter, 
             "critical pair multipliers"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"], ",", 
               StyleBox["m2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areCPMultipliers", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"], ",", 
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isMNTCR", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["areIrrelative", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["isReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["isReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(critical pair multipliers)\"", True -> 
            StyleBox["\"(critical pair multipliers)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:779388596"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:779388596"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75186, TheoryTools`$LabelDelimiter, 
             "unary non-trivial common reducible"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isNTCR", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m4", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}]}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(unary non-trivial common reducible)\"", True -> 
            StyleBox[
             "\"(unary non-trivial common reducible)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1293246145"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1293246145"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75238, TheoryTools`$LabelDelimiter, 
             "isMonomial"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], ",", 
               StyleBox["p", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isMonomial", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                StyleBox["p", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], 
                    "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalR]"]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["t", "ExpressionVariable"]}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["s", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalR]"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isMonomial)\"", True -> 
            StyleBox["\"(isMonomial)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:205548127"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:205548127"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75275, TheoryTools`$LabelDelimiter, 
             "R"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], ",", 
               StyleBox["p", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["R", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                StyleBox["p", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                StyleBox["p", "ExpressionVariable"], 
                UnderscriptBox["-", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                RowBox[{
                  UnderscriptBox["lm", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R)\"", True -> 
            StyleBox["\"(R)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1500059087"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1500059087"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75290, TheoryTools`$LabelDelimiter, 
             "reducible1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isReducible", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["isReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reducible1)\"", True -> 
            StyleBox["\"(reducible1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1537297721"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1537297721"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75307, TheoryTools`$LabelDelimiter, 
             "\[Tilde]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["\[Tilde]", 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isUnit", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Tilde]", 
                    StyleBox["m", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Tilde])\"", True -> 
            StyleBox["\"(\[Tilde])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1533920470"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1533920470"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75330, TheoryTools`$LabelDelimiter, 
             "isUnit"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  StyleBox["u", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isUnit", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                StyleBox["u", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["v", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["v", "ExpressionVariable"]}], "\[Equal]", 
                  UnderscriptBox["1", 
                   StyleBox[
                   "\[ScriptCapitalD]", "ExpressionVariable"]]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isUnit)\"", True -> 
            StyleBox["\"(isUnit)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1005941388"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1005941388"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75348, TheoryTools`$LabelDelimiter, 
             "isClosed"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isClosed", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isClosed)\"", True -> 
            StyleBox["\"(isClosed)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1523090696"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1523090696"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75368, TheoryTools`$LabelDelimiter, 
             "isComm"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isComm", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Equal]", 
                  RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isComm)\"", True -> 
            StyleBox["\"(isComm)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2052928557"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2052928557"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75396, TheoryTools`$LabelDelimiter, 
             "hasMultiplication"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"hasMultiplication", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    StyleBox["q", "ExpressionVariable"]}], "\[Equal]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}], 
                  "\[And]", 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    StyleBox["q", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["\[CircleTimes]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    StyleBox["q", "ExpressionVariable"]}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["R", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    StyleBox["q", "ExpressionVariable"]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasMultiplication)\"", True -> 
            StyleBox["\"(hasMultiplication)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:2138030312"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:2138030312"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75445, TheoryTools`$LabelDelimiter, 
             "isOrdered"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isOrdered", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    StyleBox["q", "ExpressionVariable"]}], 
                  "\[DoubleLeftRightArrow]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["H", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["H", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isOrdered)\"", True -> 
            StyleBox["\"(isOrdered)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:235606987"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:235606987"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75493, TheoryTools`$LabelDelimiter, 
             "hasDecisionPredicate"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"hasDecisionPredicate", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "]"}]}], 
                    "\[And]", 
                    RowBox[{"isFinite", "[", 
                    RowBox[{
                    UnderscriptBox["supp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                  UnderscriptBox["0", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                  UnderscriptBox["1", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                  "]"}], "\[And]", 
                RowBox[{"isClosed", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isClosed", "[", 
                  RowBox[{
                    UnderscriptBox["-", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], "]"}]}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasDecisionPredicate)\"", True -> 
            StyleBox["\"(hasDecisionPredicate)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1335218902"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1335218902"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75555, TheoryTools`$LabelDelimiter, 
             "lm"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], ",", 
               StyleBox["p", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["lm", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                StyleBox["p", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                RowBox[{
                  UnderscriptBox["lc", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}], 
                UnderscriptBox["\[CenterDot]", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                RowBox[{
                  UnderscriptBox["lp", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(lm)\"", True -> 
            StyleBox["\"(lm)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:258866072"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:258866072"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75573, TheoryTools`$LabelDelimiter, 
             "isCCMonoid"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isCCMonoid", "[", 
                RowBox[{
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                  StyleBox["f", "ExpressionVariable"], ",", 
                  StyleBox["n", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isDomain", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"isClosed", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isAssoc", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isComm", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isNeutral", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isCCMonoid)\"", True -> 
            StyleBox["\"(isCCMonoid)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1597214241"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1597214241"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75658, TheoryTools`$LabelDelimiter, 
             "isCCMonoid *"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isCCMonoid", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{"isCCMonoid", "[", 
                RowBox[{
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                  UnderscriptBox["*", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                  UnderscriptBox["1", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]]}], 
                "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isCCMonoid *)\"", True -> 
            StyleBox["\"(isCCMonoid *)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1972933949"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1972933949"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75676, TheoryTools`$LabelDelimiter, 
             "hasCoefficientFunction"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"hasCoefficientFunction", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalR]"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    UnderscriptBox["1", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    UnderscriptBox["1", "\[ScriptCapitalR]"], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["1", "\[ScriptCapitalT]"]}]}, {
                    UnderscriptBox["0", "\[ScriptCapitalR]"], 
                    "\[DoubleLeftArrow]", "True"}}]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    StyleBox["q", "ExpressionVariable"]}], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["+", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}]}]}]}], 
                  "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{
                    UnderscriptBox["Minus", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "]"}]}]}], 
                  "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    StyleBox["q", "ExpressionVariable"]}], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["-", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(hasCoefficientFunction)\"", True -> 
            StyleBox["\"(hasCoefficientFunction)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1967795228"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1967795228"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75790, TheoryTools`$LabelDelimiter, 
             "R6 witness"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"], ",", 
               StyleBox["m2", "ExpressionVariable"], ",", 
               StyleBox["b1", "ExpressionVariable"], ",", 
               StyleBox["b2", "ExpressionVariable"], ",", 
               StyleBox["TM", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isR6Witness", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["TM", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"], ",", 
                  StyleBox["b1", "ExpressionVariable"], ",", 
                  StyleBox["b2", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["symred", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["b1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}]}], "]"}], 
                    ",", 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["b1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["TM", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["b1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}], 
                "\[And]", 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["TM", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m1", "ExpressionVariable"]}], "\[Equal]", 
                  StyleBox["m2", "ExpressionVariable"]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R6 witness)\"", True -> 
            StyleBox["\"(R6 witness)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2027349511"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2027349511"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75884, TheoryTools`$LabelDelimiter, 
             "isGroup"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isGroup", "[", 
                RowBox[{
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                  StyleBox["f", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["n", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isDomain", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"isClosed", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isAssoc", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isNeutral", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isInverse", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isGroup)\"", True -> 
            StyleBox["\"(isGroup)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1964463139"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1964463139"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75949, TheoryTools`$LabelDelimiter, 
             "reduction with several multipliers"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["M", "ExpressionVariable"]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                StyleBox["c", "ExpressionVariable"]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "0"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["M", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["reduceM", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["M", "ExpressionVariable"], ",", 
                  StyleBox["k", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["-", 
                 StyleBox["D", "ExpressionVariable"]], 
                RowBox[{
                  UnderscriptBox[
                   SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["k", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["M", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction with several multipliers)\"", True -> 
            StyleBox[
             "\"(reduction with several multipliers)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:478302118"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:478302118"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$75983, TheoryTools`$LabelDelimiter, 
             "correlative"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"], ",", 
               StyleBox["m2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areCorrelative", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(correlative)\"", True -> 
            StyleBox["\"(correlative)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1834165766"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1834165766"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76014, TheoryTools`$LabelDelimiter, 
             "irrelative"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"], ",", 
               StyleBox["m2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areIrrelative", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], "\[Equal]", 
                  StyleBox["c2", "ExpressionVariable"]}], "\[Implies]", 
                RowBox[{
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["j", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(irrelative)\"", True -> 
            StyleBox["\"(irrelative)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1867242863"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1867242863"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76059, TheoryTools`$LabelDelimiter, 
             "common reducible"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isCommonReducible", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["areIrrelative", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(common reducible)\"", True -> 
            StyleBox["\"(common reducible)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1907029362"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1907029362"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76102, TheoryTools`$LabelDelimiter, 
             "non-trivial common reducible"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isNTCR", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isCommonReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["areIrrelative", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m3", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c1", "ExpressionVariable"]}]}], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[Or]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m4", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c2", "ExpressionVariable"]}]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}]}]}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(non-trivial common reducible)\"", True -> 
            StyleBox[
             "\"(non-trivial common reducible)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2013437879"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2013437879"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76187, TheoryTools`$LabelDelimiter, 
             "areCommonReducibles I"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["q", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["b", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["m1", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["m2", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                RowBox[{
                  StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalP]"]}]}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  UnderscriptBox["areCommonReducibles", "\[ScriptCapitalP]"], 
                  "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["q", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["j", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}], 
                  "\[And]", 
                  RowBox[{
                    UnderscriptBox["isReducible", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["m1", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["isReducible", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["m2", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(areCommonReducibles I)\"", True -> 
            StyleBox["\"(areCommonReducibles I)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:578561747"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:578561747"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76292, TheoryTools`$LabelDelimiter, 
             "areCommonReducibles II"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["q", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["b", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                RowBox[{
                  StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalP]"]}]}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  UnderscriptBox["areCommonReducibles", "\[ScriptCapitalP]"], 
                  "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox[
                    "areCommonReducibles", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(areCommonReducibles II)\"", True -> 
            StyleBox["\"(areCommonReducibles II)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1399766637"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1399766637"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76351, TheoryTools`$LabelDelimiter, 
             "isNTCRP"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalP]"], "[", 
                  StyleBox["q", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{
                    UnderscriptBox["multN", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalP]"]}], "\[And]", 
                RowBox[{
                  StyleBox["q", "ExpressionVariable"], "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalP]"]}]}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isNTCRP", "\[ScriptCapitalP]"], "[", 
                  RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox[
                    "areCommonReducibles", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    "areCommonReducibles", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", "\[ScriptCapitalR]"], 
                    RowBox[{
                    StyleBox["m3", "ExpressionVariable"], 
                    UnderscriptBox["*", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}]}]}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[Or]", 
                    RowBox[{
                    UnderscriptBox["isReducible", "\[ScriptCapitalR]"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", "\[ScriptCapitalR]"], 
                    RowBox[{
                    StyleBox["m4", "ExpressionVariable"], 
                    UnderscriptBox["*", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}], ",", 
                    RowBox[{
                    UnderscriptBox["lc", "\[ScriptCapitalP]"], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}]}]}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isNTCRP)\"", True -> 
            StyleBox["\"(isNTCRP)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1132709394"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1132709394"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76465, TheoryTools`$LabelDelimiter, 
             "isIncrMapping"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["g", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isIncrMapping", "[", 
                StyleBox["g", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isNatMapping", "[", 
                  StyleBox["g", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], "]"}], 
                    ">", 
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isIncrMapping)\"", True -> 
            StyleBox["\"(isIncrMapping)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:619209238"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:619209238"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76498, TheoryTools`$LabelDelimiter, 
             "\[LeftTriangleBar]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f1", "ExpressionVariable"], ",", 
               StyleBox["f2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["f1", "ExpressionVariable"], "\[LeftTriangleBar]", 
                StyleBox["f2", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isIncrMapping", "[", 
                    StyleBox["g", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["f1", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{"subSeq", "[", 
                    RowBox[{
                    StyleBox["f2", "ExpressionVariable"], ",", 
                    StyleBox["g", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[LeftTriangleBar])\"", True -> 
            StyleBox["\"(\[LeftTriangleBar])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:1986096562"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:1986096562"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76520, TheoryTools`$LabelDelimiter, 
             "isMonomialSequence"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["f", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isMonomialSequence", "\[ScriptCapitalP]"], 
                "[", 
                StyleBox["f", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   
                   RowBox[{
                    "DomainSequences", "[", "\[ScriptCapitalP]", "]"}]], "[", 
                  StyleBox["f", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["isMonomial", "\[ScriptCapitalP]"], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "]"}]}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isMonomialSequence)\"", True -> 
            StyleBox["\"(isMonomialSequence)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:47923252"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:47923252"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76544, TheoryTools`$LabelDelimiter, 
             "\[SubsetEqual]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"isSet", "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], "\[SubsetEqual]", 
                  StyleBox["B", "ExpressionVariable"]}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[SubsetEqual])\"", True -> 
            StyleBox["\"(\[SubsetEqual])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:558452934"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:558452934"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76579, TheoryTools`$LabelDelimiter, 
             "isPartReflOrder"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SucceedsEqual]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isPartReflOrder", "[", 
                RowBox[{
                  StyleBox["\[SucceedsEqual]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["x", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y", "ExpressionVariable"]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isPartReflOrder)\"", True -> 
            StyleBox["\"(isPartReflOrder)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1317703026"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1317703026"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76650, TheoryTools`$LabelDelimiter, 
             "append"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:293a", 
                StyleBox["a", "ExpressionVariable"]}], ":=", 
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:22c8", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox["a", "ExpressionVariable"], 
                  "\[RightAngleBracket]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(append)\"", True -> 
            StyleBox["\"(append)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1525755901"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1525755901"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76665, TheoryTools`$LabelDelimiter, 
             "tuple length"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                StyleBox["T", "ExpressionVariable"], 
                "\[RightBracketingBar]"}], ":=", 
              RowBox[{
                RowBox[{"tupRec", "[", 
                  RowBox[{"0", ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], "+", "1"}]}]}], 
                  "]"}], "[", 
                StyleBox["T", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tuple length)\"", True -> 
            StyleBox["\"(tuple length)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:182124102"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:182124102"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76689, TheoryTools`$LabelDelimiter, 
             "tupRec Nil"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"tupRec", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "[", "Nil", 
                "]"}], ":=", 
              StyleBox["b", "ExpressionVariable"]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tupRec Nil)\"", True -> 
            StyleBox["\"(tupRec Nil)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:152717330"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:152717330"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76703, TheoryTools`$LabelDelimiter, 
             "isMonomial II"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}, {
                StyleBox["p", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["c", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                  StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isMonomial", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["t", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["s", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                  RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    StyleBox["c", "ExpressionVariable"], "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["t", "ExpressionVariable"]}]}, {
                    UnderscriptBox["0", "\[ScriptCapitalR]"], 
                    "\[DoubleLeftArrow]", "True"}}]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isMonomial II)\"", True -> 
            StyleBox["\"(isMonomial II)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:711054552"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:711054552"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76734, TheoryTools`$LabelDelimiter, 
             "monomial constructor"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                  StyleBox["c", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                  StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isMonomial", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["r", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isMonomial", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["q", "ExpressionVariable"]}]}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{
                  StyleBox["c", "ExpressionVariable"], 
                  UnderscriptBox["\[CenterDot]", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                  StyleBox["t", "ExpressionVariable"]}], ":=", 
                RowBox[{
                  UnderscriptBox["the", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["isMonomial", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(monomial constructor)\"", True -> 
            StyleBox["\"(monomial constructor)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:2035355406"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:2035355406"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76783, TheoryTools`$LabelDelimiter, 
             "containsMonomials"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"containsMonomials", "[", 
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalR]"], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["r", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["isMonomial", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["r", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(containsMonomials)\"", True -> 
            StyleBox["\"(containsMonomials)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1175095894"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1175095894"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76804, TheoryTools`$LabelDelimiter, 
             "isLP"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]}, {
                StyleBox["p", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                  StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isLP", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["p", "ExpressionVariable"], ",", 
                  StyleBox["t", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["t", "ExpressionVariable"]}], "]"}], 
                  "\[NotEqual]", 
                  UnderscriptBox["0", "\[ScriptCapitalR]"]}], "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["s", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", "\[ScriptCapitalT]"], 
                    StyleBox["t", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["s", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    UnderscriptBox["0", "\[ScriptCapitalR]"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isLP)\"", True -> 
            StyleBox["\"(isLP)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:741382791"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:741382791"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76841, TheoryTools`$LabelDelimiter, 
             "lp"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], ",", 
               StyleBox["p", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isLP", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["s", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s0", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isLP", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["s0", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["s0", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["s", "ExpressionVariable"]}]}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{
                  UnderscriptBox["lp", 
                   StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                  StyleBox["p", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["the", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["isLP", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["s", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(lp)\"", True -> 
            StyleBox["\"(lp)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1470398456"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1470398456"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$76884, TheoryTools`$LabelDelimiter, 
             "\[Tilde] multiplier"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["m", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 SubscriptBox["\[Tilde]", 
                  StyleBox["m", "ExpressionVariable"]], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["x", "ExpressionVariable"]}], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}]}]}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["n", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Tilde] multiplier)\"", True -> 
            StyleBox["\"(\[Tilde] multiplier)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1818365967"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1818365967"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77001, TheoryTools`$LabelDelimiter, 
             "monomial multiplication"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], ",", 
               StyleBox["p", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["p", "ExpressionVariable"], "\[NotEqual]", 
                UnderscriptBox["0", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}], 
              "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["q", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["\[CircleTimes]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    StyleBox["q", "ExpressionVariable"]}], ":=", 
                  RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["q", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]]}]}, {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["*", "\[ScriptCapitalR]"], 
                    RowBox[{
                    UnderscriptBox["lc", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}], 
                    UnderscriptBox["\[CenterDot]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["p", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["*", "\[ScriptCapitalT]"], 
                    RowBox[{
                    UnderscriptBox["lp", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], 
                    UnderscriptBox["\[CircleTimes]", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["R", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    StyleBox["q", "ExpressionVariable"], "]"}]}]}], 
                    "\[DoubleLeftArrow]", "True"}}]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(monomial multiplication)\"", True -> 
            StyleBox["\"(monomial multiplication)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1617463509"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:1617463509"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77056, TheoryTools`$LabelDelimiter, 
             "DomainTuples decision predicate"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"DomainTuples", "[", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                   "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isTuple", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["x", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(DomainTuples decision predicate)\"", True -> 
            StyleBox[
             "\"(DomainTuples decision predicate)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1752643636"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1752643636"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77091, TheoryTools`$LabelDelimiter, 
             "reduction modulo set"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                StyleBox["b", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                  StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 SubscriptBox["\[Rule]", 
                  StyleBox["S", "ExpressionVariable"]], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], "\[Element]", 
                    StyleBox["S", "ExpressionVariable"]}]}}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["s", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction modulo set)\"", True -> 
            StyleBox["\"(reduction modulo set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:320624715"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:320624715"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77120, TheoryTools`$LabelDelimiter, 
             "symmetric closure of reduction relation"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 SubscriptBox["\[LeftRightArrow]", 
                  StyleBox["r", "ExpressionVariable"]], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], 
                  UnderscriptBox[
                   SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                   StyleBox["D", "ExpressionVariable"]], 
                  StyleBox["b", "ExpressionVariable"]}], "\[Or]", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], 
                  UnderscriptBox[
                   SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                   StyleBox["D", "ExpressionVariable"]], 
                  StyleBox["a", "ExpressionVariable"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(symmetric closure of reduction relation)\"", True -> 
            StyleBox[
             "\"(symmetric closure of reduction relation)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:370202704"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:370202704"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77146, TheoryTools`$LabelDelimiter, 
             "isNatMapping"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["g", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isNatMapping", "[", 
                StyleBox["g", "ExpressionVariable"], "]"}], 
              TagBox[
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "\[Element]", 
                  "\[DoubleStruckCapitalN]"}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isNatMapping)\"", True -> 
            StyleBox["\"(isNatMapping)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:1650125832"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:1650125832"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77162, TheoryTools`$LabelDelimiter, 
             "red"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["red", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}]}]}], 
                "}"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(red)\"", True -> 
            StyleBox["\"(red)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1593192085"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1593192085"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77187, TheoryTools`$LabelDelimiter, 
             "DomainSets decision predicate"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"DomainSets", "[", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                   "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isSet", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["x", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(DomainSets decision predicate)\"", True -> 
            StyleBox[
             "\"(DomainSets decision predicate)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:88731859"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:88731859"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77212, TheoryTools`$LabelDelimiter, 
             "setSeq"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["f", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"setSeq", "[", 
                StyleBox["f", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"imgSeq", "[", 
                RowBox[{
                  RowBox[{"tupSeq", "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], ",", 
                  "TupleToSet"}], "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(setSeq)\"", True -> 
            StyleBox["\"(setSeq)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:238284462"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:238284462"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77240, TheoryTools`$LabelDelimiter, 
             "\[GreaterEqual] \[DoubleStruckCapitalZ]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "\[GreaterEqual]", 
                StyleBox["y", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"stripINT", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], 
                UnderscriptBox["\[GreaterEqual]", "Int"], 
                RowBox[{"stripINT", "[", 
                  StyleBox["y", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[GreaterEqual] \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox[
             "\"(\[GreaterEqual] \[DoubleStruckCapitalZ])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:231952197"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:231952197"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77264, TheoryTools`$LabelDelimiter, 
             "PreInt 1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["1", "PreInt"], ":=", 
            RowBox[{"Pair", "[", 
              RowBox[{
                UnderscriptBox["1", "Nat"], ",", 
                UnderscriptBox["0", "Nat"]}], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt 1)\"", True -> 
            StyleBox["\"(PreInt 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:418726841"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:418726841"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77275, TheoryTools`$LabelDelimiter, 
             "Int 1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["1", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["EC", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["1", "PreInt"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int 1)\"", True -> 
            StyleBox["\"(Int 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:712864778"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:712864778"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77290, TheoryTools`$LabelDelimiter, 
             "- unary \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                TagBox["(", "AutoParentheses"], 
                RowBox[{"-", 
                  StyleBox["x", "ExpressionVariable"]}], 
                TagBox[")", "AutoParentheses"]}], ":=", 
              RowBox[{"INT", "[", 
                RowBox[{
                  UnderscriptBox["Minus", "Int"], "[", 
                  RowBox[{"stripINT", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}], 
                "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(- unary \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox[
             "\"(- unary \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:556756902"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:556756902"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77315, TheoryTools`$LabelDelimiter, 
             "stripINT"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["b", "ExpressionVariable"]], 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{"INT", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"stripINT", "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["b", "ExpressionVariable"]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{"INT", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(stripINT)\"", True -> 
            StyleBox["\"(stripINT)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:632446146"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:632446146"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77352, TheoryTools`$LabelDelimiter, 
             "natRec0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["C", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["y", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                  "\[Element]", 
                  RowBox[{"natRec0Set", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{
                  RowBox[{"natRec0", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}], "[", 
                  StyleBox["n", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["y", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                    "\[Element]", 
                    RowBox[{"natRec0Set", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRec0)\"", True -> 
            StyleBox["\"(natRec0)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:387922524"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:387922524"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77411, TheoryTools`$LabelDelimiter, 
             "enumeration tuple 2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                "\[RightAngleBracket]"}], ":=", 
              RowBox[{"Cons", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(enumeration tuple 2)\"", True -> 
            StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:63270404"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:63270404"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77427, TheoryTools`$LabelDelimiter, 
             "enumeration tuple 1"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ":=", 
            "Nil"}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(enumeration tuple 1)\"", True -> 
            StyleBox["\"(enumeration tuple 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:654651115"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:654651115"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77431, TheoryTools`$LabelDelimiter, 
             "index base"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              SubscriptBox[
               RowBox[{"Cons", "[", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox["T", "ExpressionVariable"]}], "]"}], "1"], ":=", 
              StyleBox["a", "ExpressionVariable"]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(index base)\"", True -> 
            StyleBox["\"(index base)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:29057684"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:29057684"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77449, TheoryTools`$LabelDelimiter, 
             "join"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], ",", 
               StyleBox["S", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:22c8", 
                StyleBox["S", "ExpressionVariable"]}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"tupRec", "[", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}], "]"}]}]}], "]"}], 
                    "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                   "\[DoubleLeftArrow]", 
                   RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}]}, {
                  "\[EmptySet]", "\[DoubleLeftArrow]", "True"}}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(join)\"", True -> 
            StyleBox["\"(join)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:338791396"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:338791396"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77495, TheoryTools`$LabelDelimiter, 
             "integer interval"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              SubscriptBox["\[DoubleStruckCapitalZ]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", "\[Ellipsis]", ",", 
                 StyleBox["b", "ExpressionVariable"]}]], ":=", 
              RowBox[{"{", 
                RowBox[{
                  GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}}], "|", 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(integer interval)\"", True -> 
            StyleBox["\"(integer interval)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:371888462"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:371888462"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77515, TheoryTools`$LabelDelimiter, 
             "integer interval II"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              SubscriptBox["\[DoubleStruckCapitalZ]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", "\[Ellipsis]", ",",
                  "\[Infinity]"}]], ":=", 
              RowBox[{"{", 
                RowBox[{
                  GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}}], "|", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["a", "ExpressionVariable"]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(integer interval II)\"", True -> 
            StyleBox["\"(integer interval II)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:106146911"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:106146911"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77525, TheoryTools`$LabelDelimiter, 
             "isDomain"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isDomain", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isDomain)\"", True -> 
            StyleBox["\"(isDomain)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:170473529"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:170473529"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77543, TheoryTools`$LabelDelimiter, 
             "\[Subset]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"isSet", "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], "\[Subset]", 
                  StyleBox["B", "ExpressionVariable"]}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["B", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Subset])\"", True -> 
            StyleBox["\"(\[Subset])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:938973158"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:938973158"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77588, TheoryTools`$LabelDelimiter, 
             "tupSeq"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["f", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalN]"}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"tupSeq", "[", 
                  StyleBox["f", "ExpressionVariable"], "]"}], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["j", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["i", "ExpressionVariable"]}]}}]]}], 
                "\[RightAngleBracket]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tupSeq)\"", True -> 
            StyleBox["\"(tupSeq)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:1865902758"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:1865902758"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77607, TheoryTools`$LabelDelimiter, 
             "TupleToSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{"TupleToSet", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  SubscriptBox[
                   StyleBox["T", "ExpressionVariable"], 
                   StyleBox["i", "ExpressionVariable"]], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]]}]}}]]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(TupleToSet)\"", True -> 
            StyleBox["\"(TupleToSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1457491854"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1457491854"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77632, TheoryTools`$LabelDelimiter, 
             "Nat \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", "Nat"], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\[Element]", 
                "natSet"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat \[Element])\"", True -> 
            StyleBox["\"(Nat \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:97787251"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:97787251"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77641, TheoryTools`$LabelDelimiter, 
             "Nat 1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["1", "Nat"], ":=", 
            RowBox[{"succ", "[", 
              UnderscriptBox["0", "Nat"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat 1)\"", True -> 
            StyleBox["\"(Nat 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:3778917"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:3778917"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77651, TheoryTools`$LabelDelimiter, 
             "Int \[GreaterEqual]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[GreaterEqual]", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["Rel2", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["\[GreaterEqual]", "PreInt"], "]"}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int \[GreaterEqual])\"", True -> 
            StyleBox["\"(Int \[GreaterEqual])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:819512290"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:819512290"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77666, TheoryTools`$LabelDelimiter, 
             "Int +"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["+", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["Fun2", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["+", "PreInt"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int +)\"", True -> 
            StyleBox["\"(Int +)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:19419340"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:19419340"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77681, TheoryTools`$LabelDelimiter, 
             "PreInt +"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["+", "PreInt"], 
                StyleBox["b", "ExpressionVariable"]}], ":=", 
              RowBox[{"Pair", "[", 
                RowBox[{
                  RowBox[{
                    RowBox[{"fst", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["+", "Nat"], 
                    RowBox[{"fst", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}], ",", 
                  RowBox[{
                    RowBox[{"snd", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["+", "Nat"], 
                    RowBox[{"snd", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}], "]"}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt +)\"", True -> 
            StyleBox["\"(PreInt +)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:10580372"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:10580372"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77727, TheoryTools`$LabelDelimiter, 
             "Nat +"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["+", "Nat"], 
                StyleBox["b", "ExpressionVariable"]}], ":=", 
              RowBox[{
                RowBox[{"natRec", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{"succ", "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}], "]"}], 
                "[", 
                StyleBox["b", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat +)\"", True -> 
            StyleBox["\"(Nat +)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:205601935"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:205601935"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77752, TheoryTools`$LabelDelimiter, 
             "Int \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[Element]", "Int"], ":=", 
            UnderscriptBox["\[Element]", 
             RowBox[{"QuoDom", "[", 
               RowBox[{"PreInt", ",", 
                 UnderscriptBox["equiv", "PreInt"]}], "]"}]]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int \[Element])\"", True -> 
            StyleBox["\"(Int \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:112681936"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:112681936"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77764, TheoryTools`$LabelDelimiter, 
             "isEquivalence"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isEquivalence", "[", 
                RowBox[{
                  StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x", "ExpressionVariable"]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isEquivalence)\"", True -> 
            StyleBox["\"(isEquivalence)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:150250031"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:150250031"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77827, TheoryTools`$LabelDelimiter, 
             "QuoDom EC"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["EC", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                SubscriptBox["EC", 
                 RowBox[{
                   UnderscriptBox["Base", 
                    RowBox[{"QuoDom", "[", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom EC)\"", True -> 
            StyleBox["\"(QuoDom EC)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:91525291"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:91525291"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77855, TheoryTools`$LabelDelimiter, 
             "PreInt \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", "PreInt"], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\[Element]", 
                RowBox[{"natSet", "\[Cross]", "natSet"}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt \[Element])\"", True -> 
            StyleBox["\"(PreInt \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:100384801"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:100384801"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77868, TheoryTools`$LabelDelimiter, 
             "\[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"\[DoubleStruckCapitalZ]", ":=", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"INT", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], 
                UnderscriptBox["|", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "Int"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]]}], "}"}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[DoubleStruckCapitalZ])\"", True -> 
            StyleBox["\"(\[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:398456221"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:398456221"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77879, TheoryTools`$LabelDelimiter, 
             "Pair"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"Pair", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["B", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  RowBox[{"{", 
                    StyleBox["A", "ExpressionVariable"], "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}], "}"}]}], "}"}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Pair)\"", True -> 
            StyleBox["\"(Pair)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:56632855"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:56632855"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77897, TheoryTools`$LabelDelimiter, 
             "fst"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y", "ExpressionVariable"]}]}]}], "\[Implies]", 
              RowBox[{
                RowBox[{"fst", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(fst)\"", True -> 
            StyleBox["\"(fst)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:222125981"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:222125981"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$77926, TheoryTools`$LabelDelimiter, 
             "snd"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y", "ExpressionVariable"]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}, {
                    RowBox[{
                    StyleBox["y2", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y2", "ExpressionVariable"]}]], 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y1", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Or]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y2", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], "\[Implies]", 
              RowBox[{
                RowBox[{"snd", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}, {
                    RowBox[{
                    StyleBox["y2", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y2", "ExpressionVariable"]}]], 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y1", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Or]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y2", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(snd)\"", True -> 
            StyleBox["\"(snd)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:324420697"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:324420697"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78022, TheoryTools`$LabelDelimiter, 
             "natRec0Set"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["C", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"natRec0Set", "[", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"indSet", "[", 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{"0", ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}], ",", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{"Pair", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fst", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "+", "1"}], 
                    ",", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{"fst", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{"snd", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], "]"}]}], 
                    "]"}]}]}], "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRec0Set)\"", True -> 
            StyleBox["\"(natRec0Set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:11665641"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:11665641"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78082, TheoryTools`$LabelDelimiter, 
             "\[EmptySet]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}], "\[Implies]", 
            RowBox[{"\[EmptySet]", ":=", 
              RowBox[{
                UnderscriptBox["\[CurlyEpsilon]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[EmptySet])\"", True -> 
            StyleBox["\"(\[EmptySet])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:285032851"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:285032851"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78111, TheoryTools`$LabelDelimiter, 
             "symmetric closure of reducibility"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["symred", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["mult", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}], "\[And]", 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[Or]", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(symmetric closure of reducibility)\"", True -> 
            StyleBox[
             "\"(symmetric closure of reducibility)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:448370877"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:448370877"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78154, TheoryTools`$LabelDelimiter, 
             "enumeration term"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"b", "..."}], "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"{", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"b", "..."}], "ExpressionVariable"]}], "}"}], ":=", 
              RowBox[{"Un", "[", 
                RowBox[{"up", "[", 
                  RowBox[{
                    RowBox[{"up", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], ",", 
                    RowBox[{"{", 
                    StyleBox[
                    RowBox[{"b", "..."}], "ExpressionVariable"], "}"}]}], 
                  "]"}], "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(enumeration term)\"", True -> 
            StyleBox["\"(enumeration term)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:100008760"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:100008760"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78183, TheoryTools`$LabelDelimiter, 
             "natSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"natSet", ":=", 
            RowBox[{"lfp", "[", 
              RowBox[{"natConstr", ",", "natFrame"}], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natSet)\"", True -> 
            StyleBox["\"(natSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:26991608"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:26991608"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78194, TheoryTools`$LabelDelimiter, 
             "isInvaiantRelation2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isInvariantRelation2", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y2", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["y2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y1", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y2", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isInvaiantRelation2)\"", True -> 
            StyleBox["\"(isInvaiantRelation2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:40789237"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:40789237"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78254, TheoryTools`$LabelDelimiter, 
             "QuoDom Rel2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Rel2", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Lambda]", 
                 RowBox[{
                   StyleBox["X", "ExpressionVariable"], ",", 
                   StyleBox["Y", "ExpressionVariable"]}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["X", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["Y", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom Rel2)\"", True -> 
            StyleBox["\"(QuoDom Rel2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:726147690"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:726147690"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78278, TheoryTools`$LabelDelimiter, 
             "Nat \[GreaterEqual]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["\[GreaterEqual]", "Nat"], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["b", "ExpressionVariable"], "\[Element]", 
                RowBox[{"succ", "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat \[GreaterEqual])\"", True -> 
            StyleBox["\"(Nat \[GreaterEqual])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:155532301"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:155532301"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78296, TheoryTools`$LabelDelimiter, 
             "PreInt \[GreaterEqual]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["\[GreaterEqual]", "PreInt"], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{"fst", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["+", "Nat"], 
                  RowBox[{"snd", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}], 
                UnderscriptBox["\[GreaterEqual]", "Nat"], 
                RowBox[{
                  RowBox[{"snd", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["+", "Nat"], 
                  RowBox[{"fst", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt \[GreaterEqual])\"", True -> 
            StyleBox["\"(PreInt \[GreaterEqual])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:329154583"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:329154583"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78337, TheoryTools`$LabelDelimiter, 
             "QuoFun2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                SubscriptBox["QuoFun2", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["f", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Lambda]", 
                 RowBox[{
                   StyleBox["X", "ExpressionVariable"], ",", 
                   StyleBox["Y", "ExpressionVariable"]}]], 
                RowBox[{
                  SubscriptBox["RelSet", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                  RowBox[{
                    UnderscriptBox["\[Union]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["X", "ExpressionVariable"]}]}}]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["Y", "ExpressionVariable"]}]}}]]}], "}"}]}], 
                  "]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoFun2)\"", True -> 
            StyleBox["\"(QuoFun2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:67210047"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:67210047"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78366, TheoryTools`$LabelDelimiter, 
             "QuoDom Fun2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Fun2", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                SubscriptBox["QuoFun2", 
                 RowBox[{
                   UnderscriptBox["Base", 
                    RowBox[{"QuoDom", "[", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom Fun2)\"", True -> 
            StyleBox["\"(QuoDom Fun2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:211465861"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:211465861"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78394, TheoryTools`$LabelDelimiter, 
             "natRec"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["y", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                  "\[Element]", 
                  RowBox[{"natRecSet", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{
                  RowBox[{"natRec", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "[", 
                  StyleBox["n", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["y", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                    "\[Element]", 
                    RowBox[{"natRecSet", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRec)\"", True -> 
            StyleBox["\"(natRec)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:669214708"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:669214708"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78451, TheoryTools`$LabelDelimiter, 
             "Int - unary"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["Minus", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["Fun1", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["Minus", "PreInt"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int - unary)\"", True -> 
            StyleBox["\"(Int - unary)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:280798627"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:280798627"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78468, TheoryTools`$LabelDelimiter, 
             "QuoDom \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\[Element]", 
                RowBox[{"QuoSet", "[", 
                  RowBox[{
                    UnderscriptBox["Base", 
                    RowBox[{"QuoDom", "[", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom \[Element])\"", True -> 
            StyleBox["\"(QuoDom \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:591224316"}, 
          ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:591224316"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78497, TheoryTools`$LabelDelimiter, 
             "equivalence class"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}, {
                StyleBox["x", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                SubscriptBox["EC", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                SubscriptBox["RelSet", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                RowBox[{"{", 
                  StyleBox["x", "ExpressionVariable"], "}"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(equivalence class)\"", True -> 
            StyleBox["\"(equivalence class)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:75804342"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:75804342"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78517, TheoryTools`$LabelDelimiter, 
             "QuoDom Base"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"]}]], 
            RowBox[{
              UnderscriptBox["Base", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ":=", 
              RowBox[{"{", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]]}], 
                "}"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom Base)\"", True -> 
            StyleBox["\"(QuoDom Base)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:48746434"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:48746434"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78531, TheoryTools`$LabelDelimiter, 
             "\[Cross]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Cross]", 
                StyleBox["B", "ExpressionVariable"]}], ":=", 
              RowBox[{"Sigma", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    StyleBox["B", "ExpressionVariable"]}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Cross])\"", True -> 
            StyleBox["\"(\[Cross])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:6103931"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:6103931"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78549, TheoryTools`$LabelDelimiter, 
             "PreInt equiv"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["equiv", "PreInt"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{"fst", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["+", "Nat"], 
                  RowBox[{"snd", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}], "\[Equal]", 
                RowBox[{
                  RowBox[{"snd", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["+", "Nat"], 
                  RowBox[{"fst", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt equiv)\"", True -> 
            StyleBox["\"(PreInt equiv)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:468243965"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:468243965"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78592, TheoryTools`$LabelDelimiter, 
             "supp"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalP]", "ExpressionVariable"], ",", 
               StyleBox["p", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["supp", 
                 StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                StyleBox["p", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  StyleBox["s", "ExpressionVariable"], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "\[ScriptCapitalT]"], "[", 
                    StyleBox["s", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["C", 
                    StyleBox["\[ScriptCapitalP]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p", "ExpressionVariable"], ",", 
                    StyleBox["s", "ExpressionVariable"]}], "]"}], 
                    "\[NotEqual]", 
                    UnderscriptBox["0", "\[ScriptCapitalR]"]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(supp)\"", True -> 
            StyleBox["\"(supp)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:371468988"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/Polynomials.nb", "ID:371468988"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78612, TheoryTools`$LabelDelimiter, 
             "isIrreflexive"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isIrreflexive", "[", 
                RowBox[{
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isIrreflexive)\"", True -> 
            StyleBox["\"(isIrreflexive)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:932142776"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:932142776"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78634, TheoryTools`$LabelDelimiter, 
             "isTransitive"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SucceedsEqual]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isTransitive", "[", 
                RowBox[{
                  StyleBox["\[SucceedsEqual]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SucceedsEqual]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isTransitive)\"", True -> 
            StyleBox["\"(isTransitive)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:535380192"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:535380192"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78674, TheoryTools`$LabelDelimiter, 
             "isAsymmetric"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isAsymmetric", "[", 
                RowBox[{
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Implies]", 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isAsymmetric)\"", True -> 
            StyleBox["\"(isAsymmetric)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:291399428"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:291399428"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78706, TheoryTools`$LabelDelimiter, 
             "isTotalIrreflOrder"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isTotalIrreflOrder", "[", 
                RowBox[{
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y", "ExpressionVariable"]}]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isTotalIrreflOrder)\"", True -> 
            StyleBox["\"(isTotalIrreflOrder)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2071876542"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2071876542"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78795, TheoryTools`$LabelDelimiter, 
             "isTotalRelation"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isTotalRelation", "[", 
                RowBox[{
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Or]", 
                  RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isTotalRelation)\"", True -> 
            StyleBox["\"(isTotalRelation)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2054329379"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2054329379"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78828, TheoryTools`$LabelDelimiter, 
             "Un"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"Un", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Un)\"", True -> 
            StyleBox["\"(Un)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:350827333"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:350827333"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78887, TheoryTools`$LabelDelimiter, 
             "up"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}]}], ")"}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"up", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}]}], 
                    ")"}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(up)\"", True -> 
            StyleBox["\"(up)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:428281469"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:428281469"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$78949, TheoryTools`$LabelDelimiter, 
             "PMapping"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["P", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"PMapping", "[", 
                StyleBox["P", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"natRec1", "[", 
                RowBox[{
                  RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[CurlyEpsilon]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}]}, {
                    "1", "\[DoubleLeftArrow]", "True"}}]}], ",", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[CurlyEpsilon]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ">", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ">", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "+", "1"}], 
                    "\[DoubleLeftArrow]", "True"}}]}]}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PMapping)\"", True -> 
            StyleBox["\"(PMapping)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:22642328"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:22642328"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79002, TheoryTools`$LabelDelimiter, 
             "\[Union]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Union]", 
                StyleBox["B", "ExpressionVariable"]}], ":=", 
              RowBox[{"Un", "[", 
                RowBox[{"{", 
                  RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}], "}"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Union])\"", True -> 
            StyleBox["\"(\[Union])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:197157243"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:197157243"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79020, TheoryTools`$LabelDelimiter, 
             "natFrame"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                RowBox[{"\[EmptySet]", "\[Element]", 
                  StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                   RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                  RowBox[{
                    RowBox[{"succ", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}], "\[Implies]", 
            RowBox[{"natFrame", ":=", 
              RowBox[{
                UnderscriptBox["\[CurlyEpsilon]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{"\[EmptySet]", "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    RowBox[{"succ", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natFrame)\"", True -> 
            StyleBox["\"(natFrame)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:559277188"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:559277188"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79084, TheoryTools`$LabelDelimiter, 
             "isSetFunction"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"isSetFunction", "[", 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"Pow", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], "\[Element]", 
                  RowBox[{"Pow", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isSetFunction)\"", True -> 
            StyleBox["\"(isSetFunction)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:154696877"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:154696877"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79118, TheoryTools`$LabelDelimiter, 
             "natConstr"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["F", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"natConstr", "[", 
                StyleBox["F", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                RowBox[{"{", "\[EmptySet]", "}"}], "\[Union]", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{"succ", "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "\[Element]", 
                    StyleBox["F", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}]}], "}"}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natConstr)\"", True -> 
            StyleBox["\"(natConstr)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:2083538685"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:2083538685"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79151, TheoryTools`$LabelDelimiter, 
             "lfp"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"lfp", "[", 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[Intersection]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"Pow", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], 
                   "\[SubsetEqual]", 
                   StyleBox["B", "ExpressionVariable"]}]], 
                StyleBox["B", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(lfp)\"", True -> 
            StyleBox["\"(lfp)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:10293804"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:10293804"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79182, TheoryTools`$LabelDelimiter, 
             "succ"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"succ", "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Union]", 
                RowBox[{"{", 
                  StyleBox["A", "ExpressionVariable"], "}"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(succ)\"", True -> 
            StyleBox["\"(succ)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:224281204"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:224281204"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79198, TheoryTools`$LabelDelimiter, 
             "natRecSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"natRecSet", "[", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"indSet", "[", 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{"\[EmptySet]", ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}], ",", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{"Pair", "[", 
                    RowBox[{
                    RowBox[{"succ", "[", 
                    RowBox[{"fst", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}], ",", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{"fst", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{"snd", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], "]"}]}], 
                    "]"}]}]}], "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRecSet)\"", True -> 
            StyleBox["\"(natRecSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:143274494"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:143274494"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79259, TheoryTools`$LabelDelimiter, 
             "PreInt - unary"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Minus", "PreInt"], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"Pair", "[", 
                RowBox[{
                  RowBox[{"snd", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], ",", 
                  RowBox[{"fst", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt - unary)\"", True -> 
            StyleBox["\"(PreInt - unary)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:106096058"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:106096058"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79286, TheoryTools`$LabelDelimiter, 
             "QuoFun1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                SubscriptBox["QuoFun1", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["f", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Lambda]", 
                 StyleBox["X", "ExpressionVariable"]], 
                RowBox[{
                  SubscriptBox["RelSet", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["X", "ExpressionVariable"]}]}}]]}], "}"}], 
                  "]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoFun1)\"", True -> 
            StyleBox["\"(QuoFun1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:22540496"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:22540496"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79311, TheoryTools`$LabelDelimiter, 
             "QuoDom Fun1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Fun1", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                SubscriptBox["QuoFun1", 
                 RowBox[{
                   UnderscriptBox["Base", 
                    RowBox[{"QuoDom", "[", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom Fun1)\"", True -> 
            StyleBox["\"(QuoDom Fun1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:79971692"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:79971692"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79339, TheoryTools`$LabelDelimiter, 
             "QuoSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"QuoSet", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  RowBox[{
                    SubscriptBox["EC", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoSet)\"", True -> 
            StyleBox["\"(QuoSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:164034982"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:164034982"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79359, TheoryTools`$LabelDelimiter, 
             "Sigma"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"Sigma", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["B", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Union]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                RowBox[{"Prod1", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "]"}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Sigma)\"", True -> 
            StyleBox["\"(Sigma)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:450533799"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:450533799"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79383, TheoryTools`$LabelDelimiter, 
             "indRel"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"indRel", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["f", "ExpressionVariable"]}], "]"}], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["g", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", "\[EmptySet]", 
                    "]"}], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[Equal]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["u", "ExpressionVariable"], "\[Element]", 
                    StyleBox["x", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    RowBox[{"succ", "[", 
                    StyleBox["u", "ExpressionVariable"], "]"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["u", "ExpressionVariable"], "]"}], 
                    "]"}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(indRel)\"", True -> 
            StyleBox["\"(indRel)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1560179048"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1560179048"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79435, TheoryTools`$LabelDelimiter, 
             "indSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"indSet", "[", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["f", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[CurlyEpsilon]", 
                    StyleBox["y", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"indRel", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["f", "ExpressionVariable"]}], "]"}], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "natSet"}]}}]]}], "}"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(indSet)\"", True -> 
            StyleBox["\"(indSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:197465938"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:197465938"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79463, TheoryTools`$LabelDelimiter, 
             "natRec1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["b", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["n", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalN]"}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"natRec1", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}], "[", 
                StyleBox["n", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                RowBox[{"natRec0", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], "]"}], 
                "[", 
                RowBox[{
                  StyleBox["n", "ExpressionVariable"], "-", "1"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRec1)\"", True -> 
            StyleBox["\"(natRec1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:455596188"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:455596188"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79499, TheoryTools`$LabelDelimiter, 
             "PMapping 2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"PMapping", "[", 
                RowBox[{
                  StyleBox["P", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"natRec1", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[CurlyEpsilon]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ">", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ">", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}, {
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "+", "1"}], 
                    "\[DoubleLeftArrow]", "True"}}]}]}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PMapping 2)\"", True -> 
            StyleBox["\"(PMapping 2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:311373342"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:311373342"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79548, TheoryTools`$LabelDelimiter, 
             "Pow"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}]}], ")"}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"Pow", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}]}], 
                    ")"}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Pow)\"", True -> 
            StyleBox["\"(Pow)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:23613887"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:23613887"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79609, TheoryTools`$LabelDelimiter, 
             "isFinite"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{"isFinite", "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Element]", 
                RowBox[{"finSubsets", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isFinite)\"", True -> 
            StyleBox["\"(isFinite)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:754397355"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:754397355"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79630, TheoryTools`$LabelDelimiter, 
             "intersection"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"Inter", "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"Un", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}]}}], "|", 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(intersection)\"", True -> 
            StyleBox["\"(intersection)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:87041636"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:87041636"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79662, TheoryTools`$LabelDelimiter, 
             "Prod1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"Prod1", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["B", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}}]]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Prod1)\"", True -> 
            StyleBox["\"(Prod1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:318713848"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:318713848"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79684, TheoryTools`$LabelDelimiter, 
             "Nat -"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["-", "Nat"], 
                StyleBox["b", "ExpressionVariable"]}], ":=", 
              RowBox[{
                RowBox[{"natRec", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    UnderscriptBox["Pred", "Nat"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}], "]"}], 
                "[", 
                StyleBox["b", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat -)\"", True -> 
            StyleBox["\"(Nat -)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:74238769"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:74238769"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79706, TheoryTools`$LabelDelimiter, 
             "RelSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}, {
                StyleBox["X", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                SubscriptBox["RelSet", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["X", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}], "|", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["X", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["a", "ExpressionVariable"]}]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(RelSet)\"", True -> 
            StyleBox["\"(RelSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:169043782"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:169043782"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79728, TheoryTools`$LabelDelimiter, 
             "finSubsets"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{"finSubsets", "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"lfp", "[", 
                RowBox[{
                  RowBox[{"finConstr", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], ",", 
                  RowBox[{"Pow", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(finSubsets)\"", True -> 
            StyleBox["\"(finSubsets)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:192198659"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:192198659"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79759, TheoryTools`$LabelDelimiter, 
             "Nat Pred"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["Pred", "Nat"], ":=", 
            RowBox[{"natRec", "[", 
              RowBox[{"\[EmptySet]", ",", 
                RowBox[{
                  UnderscriptBox["\[Lambda]", 
                   RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                  StyleBox["x", "ExpressionVariable"]}]}], "]"}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat Pred)\"", True -> 
            StyleBox["\"(Nat Pred)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:54060264"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:54060264"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$79772, TheoryTools`$LabelDelimiter, 
             "finConstr"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["B", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"finConstr", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "[", 
                StyleBox["B", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                RowBox[{"{", "\[EmptySet]", "}"}], "\[Union]", 
                RowBox[{
                  UnderscriptBox["\[Union]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Union]", 
                    RowBox[{"{", 
                    StyleBox["a", "ExpressionVariable"], "}"}]}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}}]]}], 
                    "}"}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(finConstr)\"", True -> 
            StyleBox["\"(finConstr)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:31326685"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:31326685"}, "Hyperlink"]& ]}}, AutoDelete -> False, 
      GridBoxAlignment -> {"Columns" -> {Center, Left, Center}}, 
      GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"],"\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}}, 1]], "Output",
 CellChangeTimes->{{3.667820245114437*^9, 3.6678203084647713`*^9}, 
   3.6678206826022243`*^9},
 CellID->1409374047]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Correctness of Buchberger\[CloseCurlyQuote]s Algorithm (and Main Theorem of \
Reduction Ring Theory)\
\>", "Subsection",
 CellChangeTimes->{{3.6616807327851543`*^9, 3.6616807541581917`*^9}},
 CellID->265528087],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckConsistency", "[", 
  RowBox[{"{", 
   RowBox[{
   "\"\<GroebnerRings.nb::ideal GB\>\"", ",", 
    "\"\<GroebnerRings.nb::isGroebnerBasis GB\>\""}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.6616767365567584`*^9, 3.6616767417671676`*^9}, {
   3.661676772748822*^9, 3.6616768057916803`*^9}, 3.6678206965488443`*^9},
 CellID->661488990],

Cell[BoxData[
 TabViewBox[{{1,"\<\"outdated (34)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["membership trd", 70]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]70\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]70", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isAlgoReductionRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}], "]"}], "]"}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["membership trd", 71]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]71\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]71", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isAlgoReductionRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}], "]"}], "]"}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(membership trd)\"", True -> 
              StyleBox["\"(membership trd)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1315173810"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1315173810"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["set equality", 72]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]72\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]72", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}, {
                    StyleBox["B", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}]}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["set equality", 73]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]73\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]73", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["A", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["B", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}]}]}]}], 
                    ")"}]}]}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(set equality)\"", True -> 
              StyleBox["\"(set equality)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:506079437"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:506079437"}, "Hyperlink"]& ]},
          "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term isSet", 74]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]74\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]74", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{"isSet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term isSet", 75]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]75\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]75", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{"isSet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(abstraction term isSet)\"", True -> 
              StyleBox["\"(abstraction term isSet)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1890519876"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1890519876"}, 
            "Hyperlink"]& ]}, "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["trd \[NotElement] red", 76]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]76\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]76", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isAlgoReductionRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}], "]"}], 
                    "\[Element]", 
                    RowBox[{
                    UnderscriptBox["red", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}], TheoremaForm], 
               DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["trd \[NotElement] red", 77]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]77\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]77", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isAlgoReductionRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}], "]"}], 
                    "\[Element]", 
                    RowBox[{
                    UnderscriptBox["red", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}], TheoremaForm], 
               DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(trd \[NotElement] red)\"", True -> 
              StyleBox["\"(trd \[NotElement] red)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:657218052"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:657218052"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["9", 78]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]78\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]78", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isCommRing1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"R0", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"Multipliers", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                    RowBox[{"1", "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["9", 79]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]79\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]79", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isCommRing1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{"R0", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{"Multipliers", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                    RowBox[{"1", "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(9)\"", True -> 
              StyleBox["\"(9)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:474542129"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:474542129"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term \[Element] domain", 80]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]80\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]80", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isDomain", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    StyleBox["P", "ExpressionVariable"]}, {
                    StyleBox["x", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}]}], 
                    ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term \[Element] domain", 81]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]81\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]81", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["D", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isDomain", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}]}], 
                    TagBox[
                    
                    RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                    "a:=b"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], 
                    "]"}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm]}}, 
            AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(abstraction term \[Element] domain)\"", True -> 
              StyleBox[
               "\"(abstraction term \[Element] domain)\"", 
                "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:704307368"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:704307368"}, "Hyperlink"]& ]},
          "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["join is empty", 82]], Evaluator -> Automatic,
                  ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]82\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]82", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\[Equal]", 
                    
                    RowBox[{"\[LeftAngleBracket]", 
                    "\[RightAngleBracket]"}]}]}], ")"}]}]}]}], TheoremaForm], 
               DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["join is empty", 83]], Evaluator -> Automatic,
                  ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]83\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]83", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\[Equal]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(join is empty)\"", True -> 
              StyleBox["\"(join is empty)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1620230203"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1620230203"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["join P binary", 84]], Evaluator -> Automatic,
                  ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]84\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]84", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{"\[LeftAngleBracket]", 
                    "\[RightAngleBracket]"}]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], "1"]}], "]"}]}]}], 
                    ")"}]}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["join P binary", 85]], Evaluator -> Automatic,
                  ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]85\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]85", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{"\[LeftAngleBracket]", 
                    "\[RightAngleBracket]"}]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], "1"]}], "]"}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(join P binary)\"", True -> 
              StyleBox["\"(join P binary)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:811817271"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:811817271"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E join", 86]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]86\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]86", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["S", "ExpressionVariable"]}]}], ")"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E join", 87]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]87\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]87", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}, {
                    StyleBox["a", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["S", "ExpressionVariable"]}]}], ")"}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(E join)\"", True -> 
              StyleBox["\"(E join)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:575892555"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:575892555"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["reverse is empty", 88]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]88\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]88", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["T", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["reverse is empty", 89]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]89\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]89", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(reverse is empty)\"", True -> 
              StyleBox["\"(reverse is empty)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:829341774"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:829341774"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["first reverse", 90]], Evaluator -> Automatic,
                  ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]90\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]90", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["T", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "1"], 
                    "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]]}]}]}], TheoremaForm], 
               DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["first reverse", 91]], Evaluator -> Automatic,
                  ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]91\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]91", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[Implies]", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "1"], 
                    "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]]}]}]}], TheoremaForm], 
               DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(first reverse)\"", True -> 
              StyleBox["\"(first reverse)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:900095694"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:900095694"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["reverse P binary", 92]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]92\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]92", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["reverse P binary", 93]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]93\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]93", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(reverse P binary)\"", True -> 
              StyleBox["\"(reverse P binary)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1483084569"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1483084569"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["induction on intervals II", 94]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]94\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]94", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}, {
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", 
                    StyleBox["x", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "-", "1"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}], 
                    "]"}]}]}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", 
                    StyleBox["x", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["y", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["induction on intervals II", 95]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]95\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]95", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["P", "ExpressionVariable"]}, {
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}, {
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", "1"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}], 
                    "]"}]}]}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(induction on intervals II)\"", True -> 
              StyleBox["\"(induction on intervals II)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb",
               "ID:1647685980"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
             "ID:1647685980"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["rest empty", 96]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]96\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]96", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["T", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", "1"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["rest empty", 97]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]97\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]97", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", "1"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(rest empty)\"", True -> 
              StyleBox["\"(rest empty)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:369207319"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:369207319"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["last rest", 98]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]98\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]98", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["T", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]]}]}]}], TheoremaForm], 
               DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["last rest", 99]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]99\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]99", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]]}]}]}], TheoremaForm], 
               DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(last rest)\"", True -> 
              StyleBox["\"(last rest)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:2116051902"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:2116051902"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[Succeeds] reductor", 100]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]100\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]100", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isCommRing1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    StyleBox["r", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReductor", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["r", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}], TheoremaForm], 
               DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[Succeeds] reductor", 101]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]101\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]101", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isCommRing1", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["isReductor", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["r", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}], TheoremaForm], 
               DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[Succeeds] reductor)\"", True -> 
              StyleBox["\"(\[Succeeds] reductor)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:256297052"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:256297052"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["rest P", 102]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]102\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]102", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", "1"}],
                     "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["rest P", 103]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]103\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]103", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Equal]", "1"}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["rest P", 104]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]104\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]104", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[Implies]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", "1"}],
                     "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(rest P)\"", True -> 
              StyleBox["\"(rest P)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1702600555"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1702600555"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term isSet domain", 105]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]105\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]105", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isDomain", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{"isSet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["abstraction term isSet domain", 106]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]106\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]106", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["D", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"isDomain", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                    RowBox[{"isSet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(abstraction term isSet domain)\"", True -> 
              StyleBox[
               "\"(abstraction term isSet domain)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:158487732"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:158487732"}, "Hyperlink"]& ]},
          "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["join P", 107]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]107\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]107", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
                    ")"}]}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["join P", 108]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]108\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]108", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(join P)\"", True -> 
              StyleBox["\"(join P)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1832033513"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1832033513"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["length append=", 109]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]109\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]109", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["U", "ExpressionVariable"], "]"}]}, {
                    StyleBox["b", "ExpressionVariable"]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["U", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}], "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}]}]}]}], TheoremaForm], 
               DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["length append=", 110]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]110\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]110", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    StyleBox["a", "ExpressionVariable"]}, {
                    StyleBox["b", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}], "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}]}], TheoremaForm], 
               DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(length append=)\"", True -> 
              StyleBox["\"(length append=)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1332516309"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1332516309"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["enumeration term \[Element]", 111]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]111\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]111", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"]}], "}"}]}], 
                    ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"], "}"}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["enumeration term \[Element]", 112]], 
                 Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]112\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]112", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"]}], "}"}]}], 
                    ")"}], "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"{", 
                    StyleBox[
                    RowBox[{"x", "..."}], "ExpressionVariable"], "}"}]}]}], 
                    ")"}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(enumeration term \[Element])\"", True -> 
              StyleBox[
               "\"(enumeration term \[Element])\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1130747252"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1130747252"}, 
            "Hyperlink"]& ]}, "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[DoubleStruckCapitalN] 8", 113]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]113\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]113", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}], 
                    "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[DoubleStruckCapitalN] 8", 114]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]114\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]114", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["i", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], 
                    "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[DoubleStruckCapitalN] 8)\"", True -> 
              StyleBox["\"(\[DoubleStruckCapitalN] 8)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb",
               "ID:71299065"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
             "ID:71299065"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["index rest II", 115]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]115\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]115", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["T", "ExpressionVariable"]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                    "1"}]}], "\[Implies]", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}]], 
                    "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}], TheoremaForm],
                DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["index rest II", 116]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]116\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]116", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                    "1"}]}], "\[Implies]", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}]], 
                    "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}], TheoremaForm],
                DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(index rest II)\"", True -> 
              StyleBox["\"(index rest II)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1096538360"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1096538360"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["length rest", 117]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]117\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]117", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["T", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["length rest", 118]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]118\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]118", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[Implies]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], ":=", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(length rest)\"", True -> 
              StyleBox["\"(length rest)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1552050833"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1552050833"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["index rest", 119]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]119\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]119", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["T", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["index rest", 120]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]120\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]120", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ":=", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(index rest)\"", True -> 
              StyleBox["\"(index rest)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:84622963"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:84622963"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[Sum] join", 121]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]121\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]121", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
                    "\[And]", 
                    RowBox[{"isClosed", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isAssoc", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isNeutral", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["\[Sum] join", 122]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]122\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]122", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    StyleBox["f", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"isClosed", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isAssoc", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}], "\[And]", 
                    RowBox[{"isNeutral", "[", 
                    RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                    "]"}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(\[Sum] join)\"", True -> 
              StyleBox["\"(\[Sum] join)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:309986851"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:309986851"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["nonemptySet II", 123]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]123\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]123", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["f", "ExpressionVariable"]], 
                    RowBox[{"nonemptySet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}]}]}], TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["nonemptySet II", 124]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]124\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]124", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["f", "ExpressionVariable"]], 
                    RowBox[{"nonemptySet", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "}"}], 
                    "]"}]}]}]}], TheoremaForm], DisplayForm]}}, AutoDelete -> 
            False, GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(nonemptySet II)\"", True -> 
              StyleBox["\"(nonemptySet II)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1706819119"}, ButtonNote -> 
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1706819119"}, 
            "Hyperlink"]& ]}, "Labeled", DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["length most", 125]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]125\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]125", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["T", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["length most", 126]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]126\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]126", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[Implies]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], ":=", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(length most)\"", True -> 
              StyleBox["\"(length most)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1817775526"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1817775526"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["index most", 127]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]127\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]127", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["T", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["index most", 128]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]128\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]128", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ":=", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(index most)\"", True -> 
              StyleBox["\"(index most)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1284707773"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1284707773"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E append", 129]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]129\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]129", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], ")"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E append", 130]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]130\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]130", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["b", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], ")"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(E append)\"", True -> 
              StyleBox["\"(E append)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1565072058"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1565072058"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["reverse P", 131]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]131\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]131", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["reverse P", 132]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]132\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]132", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    StyleBox["P", "ExpressionVariable"]}}]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(reverse P)\"", True -> 
              StyleBox["\"(reverse P)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:1023856661"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:1023856661"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E prepend", 133]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]133\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]133", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], ")"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["E prepend", 134]], Evaluator -> Automatic, 
                 ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]134\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]134", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["b", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], ")"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(E prepend)\"", True -> 
              StyleBox["\"(E prepend)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb",
               "ID:416238876"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"],
            Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
             "ID:416238876"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["transitivity of connectibility below", 135]],
                  Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]135\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]135", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{"isReductionRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["isReductor", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["r", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], TheoremaForm], 
               DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["transitivity of connectibility below", 136]],
                  Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
                 "Preemptive"], "\"\[NumberSign]136\"", TooltipStyle -> 
                "TextStyling"], 
               Annotation[#, "\[NumberSign]136", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{"isReductionRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["isReductor", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["r", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], TheoremaForm], 
               DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(transitivity of connectibility below)\"", True -> 
              StyleBox[
               "\"(transitivity of connectibility below)\"", 
                "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1331049102"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1331049102"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["cpConnectible \[Tilde]", 137]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]137\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]137", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["D", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isReductionRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReductor", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["r", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Tilde]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["cpConnectible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["cpConnectible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}], "]"}]}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["cpConnectible \[Tilde]", 138]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]138\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]138", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox["D", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{"isReductionRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReductor", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["r", "ExpressionVariable"], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Tilde]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["cpConnectible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["cpConnectible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(cpConnectible \[Tilde])\"", True -> 
              StyleBox["\"(cpConnectible \[Tilde])\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1237319003"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1237319003"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}}, DefaultBaseStyle -> 
      "Column", GridBoxAlignment -> {"Columns" -> {{Left}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Column"],
    "\"These formulas have been used as assumptions in a proof, but have \
themselves been proved in a different version. The first formula of each \
group is the proved version, the others are the used ones.\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  2,"\<\"duplicates (1)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        TemplateBox[{
          TagBox[
           GridBox[{{
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["connectibility below", 139]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]139\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]139", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["D", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}], 
                  TagBox[
                   
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{"isChainBelow", "[", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"], ",", 
                    UnderscriptBox[
                    SubscriptBox["\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}, {
              TagBox[
               TooltipBox[
                ButtonBox[
                "\"C\"", Appearance -> Automatic, ButtonFunction :> 
                 CopyToClipboard[
                   AngleBracket["connectibility below", 140]], Evaluator -> 
                 Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
                "\"\[NumberSign]140\"", TooltipStyle -> "TextStyling"], 
               Annotation[#, "\[NumberSign]140", "Tooltip"]& ], 
              TagBox[
               FormBox[
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["D", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}], 
                  TagBox[
                   
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{"isChainBelow", "[", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    UnderscriptBox[
                    SubscriptBox["\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}]}]}]}], 
                TheoremaForm], DisplayForm]}}, AutoDelete -> False, 
            GridBoxAlignment -> {"Columns" -> {Center, Left}}, 
            GridBoxFrame -> {
             "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
          TagBox[
           ButtonBox[
            
            PaneSelectorBox[{
             False -> "\"(connectibility below)\"", True -> 
              StyleBox["\"(connectibility below)\"", "HyperlinkActive"]}, 
             Dynamic[
              CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
             FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
            "Hyperlink", 
            ButtonData :> {
             "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:463604795"}, ButtonNote -> 
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
           Annotation[#, {
            "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:463604795"}, "Hyperlink"]& ]}, "Labeled", 
         DisplayFunction -> (GridBox[{{
             ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
             TagBox[
              ItemBox[
               PaneBox[
                TagBox[#, "SkipImageSizeLevel"], 
                Alignment -> {Center, Baseline}, BaselinePosition -> 
                Baseline], DefaultBaseStyle -> "Labeled"], 
              "SkipImageSizeLevel"]}}, 
           GridBoxAlignment -> {
            "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
           False, GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
           BaselinePosition -> {2, 1}]& ), 
         InterpretationFunction -> (RowBox[{"Labeled", "[", 
            RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}}, DefaultBaseStyle -> 
      "Column", GridBoxAlignment -> {"Columns" -> {{Left}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Column"],
    "\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  3,"\<\"non-definitions (25)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239292, TheoryTools`$LabelDelimiter, 
             "\[LessEqual] \[DoubleStruckCapitalZ]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "\[LessEqual]", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[DoubleLeftRightArrow]", 
              RowBox[{
                StyleBox["y", "ExpressionVariable"], "\[GreaterEqual]", 
                StyleBox["x", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[LessEqual] \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox[
             "\"(\[LessEqual] \[DoubleStruckCapitalZ])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:1826269664"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:1826269664"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239306, TheoryTools`$LabelDelimiter, 
             "isTuple induction"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["P", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["P", "ExpressionVariable"], "[", "Nil", "]"}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    StyleBox["a", "ExpressionVariable"]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}]}]}]}],
               "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["P", "ExpressionVariable"], "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isTuple induction)\"", True -> 
            StyleBox["\"(isTuple induction)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:649680989"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:649680989"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239341, TheoryTools`$LabelDelimiter, 
             "Nil isTuple"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"isTuple", "[", "Nil", "]"}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nil isTuple)\"", True -> 
            StyleBox["\"(Nil isTuple)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:23375335"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:23375335"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239349, TheoryTools`$LabelDelimiter, 
             "Cons isTuple"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{"isTuple", "[", 
              RowBox[{"Cons", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Cons isTuple)\"", True -> 
            StyleBox["\"(Cons isTuple)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:80140108"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:80140108"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239367, TheoryTools`$LabelDelimiter, 
             "> \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ">", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[DoubleLeftRightArrow]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y", "ExpressionVariable"]}]}], ")"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(> \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox["\"(> \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:1992599802"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:1992599802"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239389, TheoryTools`$LabelDelimiter, 
             "INT injective"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"INT", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], "\[Equal]", 
                RowBox[{"INT", "[", 
                  StyleBox["y", "ExpressionVariable"], "]"}]}], "\[Implies]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                StyleBox["y", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(INT injective)\"", True -> 
            StyleBox["\"(INT injective)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:36749699"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:36749699"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239417, TheoryTools`$LabelDelimiter, 
             "0 numeral"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{"INT", "[", 
              UnderscriptBox["0", "Int"], "]"}], "\[Equal]", "0"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(0 numeral)\"", True -> 
            StyleBox["\"(0 numeral)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:115277671"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:115277671"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239428, TheoryTools`$LabelDelimiter, 
             "1 numeral"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{"INT", "[", 
              UnderscriptBox["1", "Int"], "]"}], "\[Equal]", "1"}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(1 numeral)\"", True -> 
            StyleBox["\"(1 numeral)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:535851349"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:535851349"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239439, TheoryTools`$LabelDelimiter, 
             "Cons \[NotEqual] Nil"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{"\[Not]", 
              RowBox[{
                TagBox["(", "AutoParentheses"], 
                RowBox[{
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                  "Nil"}], 
                TagBox[")", "AutoParentheses"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Cons \[NotEqual] Nil)\"", True -> 
            StyleBox["\"(Cons \[NotEqual] Nil)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:22018468"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:22018468"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239459, TheoryTools`$LabelDelimiter, 
             "< \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "<", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[DoubleLeftRightArrow]", 
              RowBox[{
                StyleBox["y", "ExpressionVariable"], ">", 
                StyleBox["x", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(< \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox["\"(< \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:1529886137"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:1529886137"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239473, TheoryTools`$LabelDelimiter, 
             "-1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{
              TagBox["(", "AutoParentheses"], 
              RowBox[{"-", "1"}], 
              TagBox[")", "AutoParentheses"]}], "\[Equal]", 
            RowBox[{"-", "1"}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(-1)\"", True -> 
            StyleBox["\"(-1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:360506785"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:360506785"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239482, TheoryTools`$LabelDelimiter, 
             "Axiom of Extensionality"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                RowBox[{"isSet", "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                  "\[DoubleLeftRightArrow]", 
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}]}]}], 
              "\[Implies]", 
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Equal]", 
                StyleBox["B", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Extensionality)\"", True -> 
            StyleBox["\"(Axiom of Extensionality)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:22632819"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:22632819"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239507, TheoryTools`$LabelDelimiter, 
             "- \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "-", 
                StyleBox["y", "ExpressionVariable"]}], "\[Equal]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "-", 
                RowBox[{
                  TagBox["(", "AutoParentheses"], 
                  StyleBox["y", "ExpressionVariable"], 
                  TagBox[")", "AutoParentheses"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          PaneSelectorBox[{
           False -> "\"(- \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox["\"(- \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:445777866"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:445777866"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239525, TheoryTools`$LabelDelimiter, 
             "Axiom of Specification"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["P", "ExpressionVariable"]}}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                  "\[DoubleLeftRightArrow]", 
                  RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], 
                    ")"}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Specification)\"", True -> 
            StyleBox["\"(Axiom of Specification)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:63480134"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:63480134"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239549, TheoryTools`$LabelDelimiter, 
             "Axiom of Collection"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["P", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   StyleBox["y", "ExpressionVariable"]], 
                  RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], 
              "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Collection)\"", True -> 
            StyleBox["\"(Axiom of Collection)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:178736995"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:178736995"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239573, TheoryTools`$LabelDelimiter, 
             "1+1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{"1", "+", "1"}], "\[Equal]", "2"}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(1+1)\"", True -> 
            StyleBox["\"(1+1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:98773918"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:98773918"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239581, TheoryTools`$LabelDelimiter, 
             "Axiom of Empty Set"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[Exists]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
               StyleBox["x", "ExpressionVariable"]], 
              RowBox[{"\[Not]", 
                RowBox[{
                  TagBox["(", "AutoParentheses"], 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                  TagBox[")", "AutoParentheses"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Empty Set)\"", True -> 
            StyleBox["\"(Axiom of Empty Set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:188433541"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:188433541"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239594, TheoryTools`$LabelDelimiter, 
             "Axiom of Infinity"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[Exists]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["Inf", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{"\[EmptySet]", "\[Element]", 
                StyleBox["Inf", "ExpressionVariable"]}], "\[And]", 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["Inf", "ExpressionVariable"]}]}}]], 
                 RowBox[{"isSet", "[", 
                   StyleBox["x", "ExpressionVariable"], "]"}]], 
                RowBox[{
                  RowBox[{"succ", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[Element]", 
                  StyleBox["Inf", "ExpressionVariable"]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Infinity)\"", True -> 
            StyleBox["\"(Axiom of Infinity)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:207285237"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:207285237"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239624, TheoryTools`$LabelDelimiter, 
             "2+1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{"2", "+", "1"}], "\[Equal]", "3"}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(2+1)\"", True -> 
            StyleBox["\"(2+1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:348581773"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:348581773"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239632, TheoryTools`$LabelDelimiter, 
             "\[Not] Nil isSet"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"\[Not]", 
            RowBox[{
              TagBox["(", "AutoParentheses"], 
              RowBox[{"isSet", "[", "Nil", "]"}], 
              TagBox[")", "AutoParentheses"]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Not] Nil isSet)\"", True -> 
            StyleBox["\"(\[Not] Nil isSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:256666213"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:256666213"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239644, TheoryTools`$LabelDelimiter, 
             "\[Not] Cons isSet"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{"\[Not]", 
              RowBox[{
                TagBox["(", "AutoParentheses"], 
                RowBox[{"isSet", "[", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}], 
                TagBox[")", "AutoParentheses"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Not] Cons isSet)\"", True -> 
            StyleBox["\"(\[Not] Cons isSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:855820982"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:855820982"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239666, TheoryTools`$LabelDelimiter, 
             "Axiom of Union"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["U", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Union)\"", True -> 
            StyleBox["\"(Axiom of Union)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:38131787"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:38131787"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239694, TheoryTools`$LabelDelimiter, 
             "Axiom of Pairing"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  StyleBox["A", "ExpressionVariable"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Pairing)\"", True -> 
            StyleBox["\"(Axiom of Pairing)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:294365267"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:294365267"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239712, TheoryTools`$LabelDelimiter, 
             "Axiom of Power Set"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["P", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["x", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["P", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Power Set)\"", True -> 
            StyleBox["\"(Axiom of Power Set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:189789884"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:189789884"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$239734, TheoryTools`$LabelDelimiter, 
             "Axiom of Regularity"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                RowBox[{"isSet", "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}], "\[Implies]", 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[Exists]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                 RowBox[{"isSet", "[", 
                   StyleBox["A", "ExpressionVariable"], "]"}]], 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Axiom of Regularity)\"", True -> 
            StyleBox["\"(Axiom of Regularity)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:646523590"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:646523590"}, "Hyperlink"]& ]}}, AutoDelete -> False, 
      GridBoxAlignment -> {"Columns" -> {Center, Left, Center}}, 
      GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"],"\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {4,"\<\"such (0)\"\>"->
  TemplateBox[{InterpretationBox[
     TagBox[
      GridBox[{{""}}, AutoDelete -> False, 
       GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
       GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
       GridBoxItemSize -> {
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
     Grid[{}, Frame -> False, Alignment -> {{Center, Center, Left, Center}}, 
      Frame -> False]],"\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {5,"\<\"the (0)\"\>"->
  TemplateBox[{InterpretationBox[
     TagBox[
      GridBox[{{""}}, AutoDelete -> False, 
       GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
       GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
       GridBoxItemSize -> {
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
     Grid[{}, Frame -> False, Alignment -> {{Center, Center, Left, Center}}, 
      Frame -> False]],"\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  6,"\<\"problematic definitions (16)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$239769, TheoryTools`$LabelDelimiter, 
                 "GroebnerRing GBAux 1"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["D", "ExpressionVariable"], ",", 
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"], ",", 
                   StyleBox["C", "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "]"}], ":=", 
                  StyleBox["C", "ExpressionVariable"]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(GroebnerRing GBAux 1)\"", True -> 
                StyleBox["\"(GroebnerRing GBAux 1)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1976234692"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1976234692"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$239790, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 1"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ":=",
                 "Nil"}], TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 1)\"", True -> 
                StyleBox["\"(enumeration tuple 1)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:654651115"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:654651115"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$239794, TheoryTools`$LabelDelimiter, 
                 "GroebnerRing GBAux 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["D", "ExpressionVariable"], ",", 
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"], ",", 
                   StyleBox["i", "ExpressionVariable"], ",", 
                   StyleBox["j", "ExpressionVariable"], ",", 
                   StyleBox["C", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "]"}], ":=", 
                  RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "]"}], "\[DoubleLeftArrow]", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]]}], "\[Or]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], "\[Equal]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]]}]}]}, {
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["lmTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "]"}]}], "]"}], 
                    "\[DoubleLeftArrow]", "True"}}]}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(GroebnerRing GBAux 2)\"", True -> 
                StyleBox["\"(GroebnerRing GBAux 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:144716839"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:144716839"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$239912, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 1"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ":=",
                 "Nil"}], TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 1)\"", True -> 
                StyleBox["\"(enumeration tuple 1)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:654651115"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:654651115"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$239916, TheoryTools`$LabelDelimiter, 
                 "GroebnerRing GBAux 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["D", "ExpressionVariable"], ",", 
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"], ",", 
                   StyleBox["i", "ExpressionVariable"], ",", 
                   StyleBox["j", "ExpressionVariable"], ",", 
                   StyleBox["C", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "]"}], ":=", 
                  RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "]"}], "\[DoubleLeftArrow]", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]]}], "\[Or]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], "\[Equal]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]]}]}]}, {
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["lmTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "]"}]}], "]"}], 
                    "\[DoubleLeftArrow]", "True"}}]}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(GroebnerRing GBAux 2)\"", True -> 
                StyleBox["\"(GroebnerRing GBAux 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:144716839"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:144716839"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240034, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ":=", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 2)\"", True -> 
                StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240050, TheoryTools`$LabelDelimiter, 
                 "GroebnerRing GBAux 3"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["D", "ExpressionVariable"], ",", 
                   StyleBox["i", "ExpressionVariable"], ",", 
                   StyleBox["j", "ExpressionVariable"], ",", 
                   StyleBox["l", "ExpressionVariable"], ",", 
                   StyleBox["mi", "ExpressionVariable"], ",", 
                   StyleBox["mj", "ExpressionVariable"], ",", 
                   StyleBox["C", "ExpressionVariable"], ",", 
                   StyleBox["P", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[RightAngleBracket]"}], ",", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}], ":=", 
                  RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}], "\[DoubleLeftArrow]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "\[And]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["mj", "ExpressionVariable"]}]}], "\[Or]", 
                    RowBox[{
                    UnderscriptBox["chainCrit", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}]}]}, {
                    RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["h", "ExpressionVariable"], "=", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["mj", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}]}], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}]}]}]}}]], 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}], "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["h", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]]}]}, {
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], "\:293a", 
                    StyleBox["h", "ExpressionVariable"]}], ",", 
                    RowBox[{"update", "[", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", "1"}]}], "]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}], "\[DoubleLeftArrow]", 
                    "True"}}]}]}], "\[DoubleLeftArrow]", "True"}}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(GroebnerRing GBAux 3)\"", True -> 
                StyleBox["\"(GroebnerRing GBAux 3)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:189044945"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:189044945"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240278, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ":=", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 2)\"", True -> 
                StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240294, TheoryTools`$LabelDelimiter, 
                 "ideal of tuple"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}, {1, 1}\"", TooltipStyle -> 
              "TextStyling"], Annotation[#, "{1, 1}, {1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["ideal", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], ":=", 
                  RowBox[{
                    UnderscriptBox["ideal", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{"TupleToSet", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(ideal of tuple)\"", True -> 
                StyleBox["\"(ideal of tuple)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1625946592"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1625946592"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240319, TheoryTools`$LabelDelimiter, 
                 "ideal"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["ideal", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], ":=", 
                  RowBox[{"{", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Congruent]", 
                    StyleBox["B", "ExpressionVariable"]], 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]]}]}], 
                    "}"}]}]}], TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(ideal)\"", True -> 
                StyleBox["\"(ideal)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1814440310"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1814440310"}, "Hyperlink"]& ]}}, AutoDelete -> 
          False, GridBoxAlignment -> {
           "Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240344, TheoryTools`$LabelDelimiter, 
                 "\[SquareSubset]"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}, {1, 1}\"", TooltipStyle -> 
              "TextStyling"], Annotation[#, "{1, 1}, {1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["D", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["A", "ExpressionVariable"], 
                    UnderscriptBox["\[SquareSubset]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["B", "ExpressionVariable"]}], 
                  TagBox[
                   
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["red", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], "\[Subset]", 
                    RowBox[{
                    UnderscriptBox["red", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(\[SquareSubset])\"", True -> 
                StyleBox["\"(\[SquareSubset])\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:808948861"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:808948861"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240377, TheoryTools`$LabelDelimiter, 
                 "\[SquareSubset] tuples"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["D", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], 
                    UnderscriptBox["\[SquareSubset]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["S", "ExpressionVariable"]}], 
                  TagBox[
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    RowBox[{"TupleToSet", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["\[SquareSubset]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{"TupleToSet", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(\[SquareSubset] tuples)\"", True -> 
                StyleBox["\"(\[SquareSubset] tuples)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:20184186"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:20184186"}, "Hyperlink"]& ]}}, AutoDelete -> 
          False, GridBoxAlignment -> {
           "Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240415, TheoryTools`$LabelDelimiter, 
                 "LexOrder3 \[Element]"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                   StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                   StyleBox["\[ScriptCapitalC]", "ExpressionVariable"], ",", 
                   StyleBox[">", "ExpressionVariable"], ",", 
                   StyleBox["\[RightTriangle]", "ExpressionVariable"], ",", 
                   StyleBox["\[GreaterGreater]", "ExpressionVariable"], ",", 
                   StyleBox["x1", "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"LexOrder3", "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                    StyleBox[">", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                    StyleBox["\[RightTriangle]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalC]", "ExpressionVariable"], ",", 
                    StyleBox["\[GreaterGreater]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}], 
                  TagBox[
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x1", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", "3"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["x1", "ExpressionVariable"], "1"], "]"}], 
                    "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["x1", "ExpressionVariable"], "2"], "]"}], 
                    "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalC]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["x1", "ExpressionVariable"], "3"], "]"}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(LexOrder3 \[Element])\"", True -> 
                StyleBox["\"(LexOrder3 \[Element])\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:143611979"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:143611979"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240469, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ":=", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 2)\"", True -> 
                StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, ButtonNote -> 
              
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240485, TheoryTools`$LabelDelimiter, 
                 "GroebnerRing lmTupleAux 1"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["D", "ExpressionVariable"], ",", 
                   StyleBox["x", "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["lmTupleAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "]"}], ":=", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}],
               TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(GroebnerRing lmTupleAux 1)\"", True -> 
                StyleBox[
                 "\"(GroebnerRing lmTupleAux 1)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1192872489"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1192872489"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240501, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 1"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ":=",
                 "Nil"}], TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 1)\"", True -> 
                StyleBox["\"(enumeration tuple 1)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:654651115"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:654651115"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240505, TheoryTools`$LabelDelimiter, 
                 "GroebnerRing lmTupleAux 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["D", "ExpressionVariable"], ",", 
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["i", "ExpressionVariable"], ",", 
                   StyleBox["j", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["lmTupleAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}], ":=", 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["cpmTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\:22c8", 
                    RowBox[{
                    UnderscriptBox["lmTupleAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(GroebnerRing lmTupleAux 2)\"", True -> 
                StyleBox[
                 "\"(GroebnerRing lmTupleAux 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1479034574"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1479034574"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240557, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ":=", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 2)\"", True -> 
                StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240573, TheoryTools`$LabelDelimiter, 
                 "red"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
             Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}, {1, 1}\"", TooltipStyle -> 
              "TextStyling"], Annotation[#, "{1, 1}, {1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["D", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["red", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                  RowBox[{"{", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}]}]}], 
                    "}"}]}]}], TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(red)\"", True -> 
                StyleBox["\"(red)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1593192085"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1593192085"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240598, TheoryTools`$LabelDelimiter, 
                 "red tuples"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["D", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["red", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], ":=", 
                  RowBox[{
                    UnderscriptBox["red", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{"TupleToSet", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(red tuples)\"", True -> 
                StyleBox["\"(red tuples)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:218271861"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:218271861"}, "Hyperlink"]& ]}}, AutoDelete -> 
          False, GridBoxAlignment -> {
           "Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240623, TheoryTools`$LabelDelimiter, 
                 "reduction modulo tuple"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}, {1, 1}\"", TooltipStyle -> 
              "TextStyling"], Annotation[#, "{1, 1}, {1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["D", "ExpressionVariable"]}, {
                    StyleBox["a", "ExpressionVariable"]}, {
                    StyleBox["b", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    StyleBox["T", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], 
                  TagBox[
                   
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(reduction modulo tuple)\"", True -> 
                StyleBox["\"(reduction modulo tuple)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:434515171"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:434515171"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240663, TheoryTools`$LabelDelimiter, 
                 "reduction modulo set"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["D", "ExpressionVariable"]}, {
                    StyleBox["a", "ExpressionVariable"]}, {
                    StyleBox["b", "ExpressionVariable"]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    StyleBox["S", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], 
                  TagBox[
                   
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], "\[Element]", 
                    StyleBox["S", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["s", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(reduction modulo set)\"", True -> 
                StyleBox["\"(reduction modulo set)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:320624715"}, ButtonNote -> 
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:320624715"}, "Hyperlink"]& ]}}, AutoDelete -> 
          False, GridBoxAlignment -> {
           "Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240692, TheoryTools`$LabelDelimiter, 
                 "index step"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    StyleBox["a", "ExpressionVariable"]}, {
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                RowBox[{
                  SubscriptBox[
                   RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], 
                   RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}]], ":=", 
                  SubscriptBox[
                   StyleBox["T", "ExpressionVariable"], 
                   StyleBox["n", "ExpressionVariable"]]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(index step)\"", True -> 
                StyleBox["\"(index step)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:381428117"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:381428117"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240721, TheoryTools`$LabelDelimiter, 
                 "+ \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}, {
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", 
                    StyleBox["y", "ExpressionVariable"]}], ":=", 
                  RowBox[{"INT", "[", 
                    RowBox[{
                    RowBox[{"stripINT", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["+", "Int"], 
                    RowBox[{"stripINT", "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "]"}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(+ \[DoubleStruckCapitalZ])\"", True -> 
                StyleBox[
                 "\"(+ \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb", "ID:274207297"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatInt.nb", "ID:274207297"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240753, TheoryTools`$LabelDelimiter, 
                 "LexOrder3 \[Succeeds]"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                   StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                   StyleBox["\[ScriptCapitalC]", "ExpressionVariable"], ",", 
                   StyleBox[">", "ExpressionVariable"], ",", 
                   StyleBox["\[RightTriangle]", "ExpressionVariable"], ",", 
                   StyleBox["\[GreaterGreater]", "ExpressionVariable"], ",", 
                   StyleBox["x1", "ExpressionVariable"], ",", 
                   StyleBox["x2", "ExpressionVariable"], ",", 
                   StyleBox["x3", "ExpressionVariable"], ",", 
                   StyleBox["y1", "ExpressionVariable"], ",", 
                   StyleBox["y2", "ExpressionVariable"], ",", 
                   StyleBox["y3", "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["x2", "ExpressionVariable"], ",", 
                    StyleBox["x3", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                    UnderscriptBox["\[Succeeds]", 
                    RowBox[{"LexOrder3", "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                    StyleBox[">", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                    StyleBox["\[RightTriangle]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalC]", "ExpressionVariable"], ",", 
                    StyleBox["\[GreaterGreater]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}]], 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], ",", 
                    StyleBox["y2", "ExpressionVariable"], ",", 
                    StyleBox["y3", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], 
                  TagBox[
                   
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ">", 
                    StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y1", "ExpressionVariable"]}]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], "\[RightTriangle]", 
                    StyleBox["y2", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y2", "ExpressionVariable"]}]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y2", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["x3", "ExpressionVariable"], "\[GreaterGreater]", 
                    StyleBox["y3", "ExpressionVariable"]}]}]}]}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(LexOrder3 \[Succeeds])\"", True -> 
                StyleBox["\"(LexOrder3 \[Succeeds])\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:1082760072"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:1082760072"}, 
              "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240841, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ":=", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 2)\"", True -> 
                StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240857, TheoryTools`$LabelDelimiter, 
                 "LexOrder \[Element]"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                   StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                   StyleBox[">", "ExpressionVariable"], ",", 
                   StyleBox["\[RightTriangle]", "ExpressionVariable"], ",", 
                   StyleBox["x1", "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"LexOrder", "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                    StyleBox[">", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                    StyleBox["\[RightTriangle]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}], 
                  TagBox[
                   
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x1", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", "2"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["x1", "ExpressionVariable"], "1"], "]"}], 
                    "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["x1", "ExpressionVariable"], "2"], "]"}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(LexOrder \[Element])\"", True -> 
                StyleBox["\"(LexOrder \[Element])\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:415499872"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:415499872"}, "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240902, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ":=", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 2)\"", True -> 
                StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240918, TheoryTools`$LabelDelimiter, 
                 "LexOrder \[Succeeds]"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                   StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                   StyleBox[">", "ExpressionVariable"], ",", 
                   StyleBox["\[RightTriangle]", "ExpressionVariable"], ",", 
                   StyleBox["x1", "ExpressionVariable"], ",", 
                   StyleBox["x2", "ExpressionVariable"], ",", 
                   StyleBox["y1", "ExpressionVariable"], ",", 
                   StyleBox["y2", "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["x2", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                    UnderscriptBox["\[Succeeds]", 
                    RowBox[{"LexOrder", "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                    StyleBox[">", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                    StyleBox["\[RightTriangle]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}]], 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], ",", 
                    StyleBox["y2", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], 
                  TagBox[
                   
                   RowBox[{
                    ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                   "a:=b"], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ">", 
                    StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y1", "ExpressionVariable"]}]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], "\[RightTriangle]", 
                    StyleBox["y2", "ExpressionVariable"]}]}]}]}]}], 
              TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(LexOrder \[Succeeds])\"", True -> 
                StyleBox["\"(LexOrder \[Succeeds])\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:1592061526"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:1592061526"}, 
              "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240974, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ":=", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 2)\"", True -> 
                StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}, {
        TagBox[
         GridBox[{{
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$240990, TheoryTools`$LabelDelimiter, 
                 "LexOrder3 ToLexOrder"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], 
            TagBox[
             TooltipBox[
             "\"\[LightBulb]\"", "\"{1, 1}\"", TooltipStyle -> "TextStyling"],
              Annotation[#, "{1, 1}", "Tooltip"]& ], 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                   StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                   StyleBox["\[ScriptCapitalC]", "ExpressionVariable"], ",", 
                   StyleBox[">", "ExpressionVariable"], ",", 
                   StyleBox["\[RightTriangle]", "ExpressionVariable"], ",", 
                   StyleBox["\[GreaterGreater]", "ExpressionVariable"], ",", 
                   StyleBox["x1", "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["ToLexOrder", 
                    RowBox[{"LexOrder3", "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                    StyleBox[">", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                    StyleBox["\[RightTriangle]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalC]", "ExpressionVariable"], ",", 
                    StyleBox["\[GreaterGreater]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}], ":=", 
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["x1", "ExpressionVariable"], "1"], ",", 
                    RowBox[{"Rest", "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}]}]}], TheoremaForm], DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(LexOrder3 ToLexOrder)\"", True -> 
                StyleBox["\"(LexOrder3 ToLexOrder)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:1528170763"}, ButtonNote -> 
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb"], 
             Annotation[#, {
              
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Functors.nb", "ID:1528170763"}, 
              "Hyperlink"]& ]}, {
            ButtonBox[
            "\"C\"", Appearance -> Automatic, ButtonFunction :> 
             CopyToClipboard[
               AngleBracket[
                StringJoin[
                TheoryTools`Private`src$241024, TheoryTools`$LabelDelimiter, 
                 "enumeration tuple 2"]]], Evaluator -> Automatic, 
             ImageSize -> {20, 20}, Method -> "Preemptive"], "\"\"", 
            TagBox[
             FormBox[
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ":=", 
                  RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
             DisplayForm], 
            TagBox[
             ButtonBox[
              
              PaneSelectorBox[{
               False -> "\"(enumeration tuple 2)\"", True -> 
                StyleBox["\"(enumeration tuple 2)\"", "HyperlinkActive"]}, 
               Dynamic[
                CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
               FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
              "Hyperlink", 
              ButtonData :> {
               "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, ButtonNote -> 
              
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"], 
             Annotation[#, {
              "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb", "ID:63270404"}, "Hyperlink"]& ]}}, 
          AutoDelete -> False, 
          GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
          GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"]}}, 
      DefaultBaseStyle -> "Column", 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Column"],
    "\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  7,"\<\"higher-order (30)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241040, TheoryTools`$LabelDelimiter, 
             "GBAuxRec1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["Q", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxRec1", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  StyleBox[
                   RowBox[{"R", "..."}], "ExpressionVariable"]], 
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"NatPairs", "[", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], ",", "\[LessEqual]"}], "]"}], 
                    "]"}]], "[", 
                   RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["l", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["k", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "\[Equal]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]]}], "\[Or]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["l", "ExpressionVariable"]], "\[Equal]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]]}]}], "\[And]", 
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBAuxRec1)\"", True -> 
            StyleBox["\"(GBAuxRec1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:270708621"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:270708621"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241165, TheoryTools`$LabelDelimiter, 
             "\[Beta] reduction 5"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"], ",", 
               StyleBox["c3", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["x2", "ExpressionVariable"], ",", 
                    StyleBox["x3", "ExpressionVariable"], ",", 
                    StyleBox["x4", "ExpressionVariable"], ",", 
                    StyleBox["x5", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["x2", "ExpressionVariable"], ",", 
                    StyleBox["x3", "ExpressionVariable"], ",", 
                    StyleBox["x4", "ExpressionVariable"], ",", 
                    StyleBox["x5", "ExpressionVariable"]}], "]"}]}], ")"}], 
                "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["c3", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["f", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["c3", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Beta] reduction 5)\"", True -> 
            StyleBox["\"(\[Beta] reduction 5)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1614823708"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1614823708"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241198, TheoryTools`$LabelDelimiter, 
             "GBAuxRec2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["Q", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxRec2", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  StyleBox[
                   RowBox[{"R", "..."}], "ExpressionVariable"]], 
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"NatPairs", "[", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], ",", "\[LessEqual]"}], "]"}], 
                    "]"}]], "[", 
                   RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["l", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["k", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]]}], "\[And]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["l", "ExpressionVariable"]], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]]}], "\[And]", 
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{
                    UnderscriptBox["lmTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["l", "ExpressionVariable"]]}], "]"}], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBAuxRec2)\"", True -> 
            StyleBox["\"(GBAuxRec2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1542247232"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1542247232"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241332, TheoryTools`$LabelDelimiter, 
             "GBAuxRec3"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["Q", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxRec3", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"NatPairs", "[", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], ",", "\[LessEqual]"}], "]"}], 
                    "]"}]], "[", 
                    StyleBox["P", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}]], 
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"MMPairs", "[", 
                    RowBox[{
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "]"}]], "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[RightAngleBracket]"}], 
                    "]"}]], 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"MMPairs", "[", 
                    RowBox[{
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "]"}], "]"}]], 
                    "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["GBAuxTest", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"], ",", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    RowBox[{
                    StyleBox["mj", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}]}], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}]}], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[RightAngleBracket]"}], ",", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBAuxRec3)\"", True -> 
            StyleBox["\"(GBAuxRec3)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:580452282"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:580452282"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241562, TheoryTools`$LabelDelimiter, 
             "GBAuxBase"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["Q", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxBase", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["Q", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["C", "ExpressionVariable"], ",", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                  ",", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                  ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBAuxBase)\"", True -> 
            StyleBox["\"(GBAuxBase)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1347349813"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1347349813"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241589, TheoryTools`$LabelDelimiter, 
             "GBAuxRec4"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["Q", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxRec4", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"NatPairs", "[", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], ",", "\[LessEqual]"}], "]"}], 
                    "]"}]], "[", 
                    StyleBox["P", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}]], 
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"MMPairs", "[", 
                    RowBox[{
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "]"}]], "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[RightAngleBracket]"}], 
                    "]"}]], 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"MMPairs", "[", 
                    RowBox[{
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "]"}], "]"}]], 
                    "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}]], 
                    RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["h", "ExpressionVariable"], "=", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    RowBox[{
                    StyleBox["mj", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}]}], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}]}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], "\:293a", 
                    StyleBox["h", "ExpressionVariable"]}], ",", 
                    RowBox[{"update", "[", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", "1"}]}], "]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["GBAuxTest", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"], ",", 
                    StyleBox["h", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[RightAngleBracket]"}], ",", 
                    StyleBox[
                    RowBox[{"R", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBAuxRec4)\"", True -> 
            StyleBox["\"(GBAuxRec4)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:598818422"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:598818422"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241844, TheoryTools`$LabelDelimiter, 
             "\[Beta] reduction 3"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}], "]"}]}], ")"}], 
                "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["f", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Beta] reduction 3)\"", True -> 
            StyleBox["\"(\[Beta] reduction 3)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1732149836"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1732149836"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241867, TheoryTools`$LabelDelimiter, 
             "tupRec Cons"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["b", "ExpressionVariable"]}, {
                StyleBox["c", "ExpressionVariable"]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"tupRec", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "[", 
                RowBox[{"Cons", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}], ":=", 
              RowBox[{
                StyleBox["c", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["T", "ExpressionVariable"], ",", 
                  RowBox[{
                    RowBox[{"tupRec", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tupRec Cons)\"", True -> 
            StyleBox["\"(tupRec Cons)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:177449370"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:177449370"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241903, TheoryTools`$LabelDelimiter, 
             "NatPairs \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["n", "ExpressionVariable"], ",", 
               StyleBox["R", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"NatPairs", "[", 
                   RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["R", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isTuple", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", "2"}], "\[And]", 
                RowBox[{
                  SubscriptBox[
                   StyleBox["x", "ExpressionVariable"], "1"], "\[Element]", 
                  SubscriptBox["\[DoubleStruckCapitalN]", 
                   RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]]}], "\[And]", 
                RowBox[{
                  SubscriptBox[
                   StyleBox["x", "ExpressionVariable"], "2"], "\[Element]", 
                  SubscriptBox["\[DoubleStruckCapitalN]", 
                   RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]]}], "\[And]", 
                RowBox[{
                  StyleBox["R", "ExpressionVariable"], "[", 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["x", "ExpressionVariable"], "1"], ",", 
                    SubscriptBox[
                    StyleBox["x", "ExpressionVariable"], "2"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(NatPairs \[Element])\"", True -> 
            StyleBox["\"(NatPairs \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1012271681"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1012271681"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241964, TheoryTools`$LabelDelimiter, 
             "\[Beta] reduction"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], ")"}], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                StyleBox["f", "ExpressionVariable"], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Beta] reduction)\"", True -> 
            StyleBox["\"(\[Beta] reduction)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1466460153"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1466460153"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$241977, TheoryTools`$LabelDelimiter, 
             "isChain"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["\[LongRightArrow]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isChain", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["\[LongRightArrow]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["A", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[LongRightArrow]", 
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", 
                    "1"}]]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isChain)\"", True -> 
            StyleBox["\"(isChain)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:152254973"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:152254973"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242031, TheoryTools`$LabelDelimiter, 
             "\[Beta] reduction 2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}], ")"}], 
                "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["f", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Beta] reduction 2)\"", True -> 
            StyleBox["\"(\[Beta] reduction 2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1792564651"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1792564651"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242049, TheoryTools`$LabelDelimiter, 
             "abstraction term"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}]}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "}"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], 
                    "]"}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(abstraction term)\"", True -> 
            StyleBox["\"(abstraction term)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:101381353"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:101381353"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242110, TheoryTools`$LabelDelimiter, 
             "isMin"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isMin", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["\[Succeeds]", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isMin)\"", True -> 
            StyleBox["\"(isMin)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1924210441"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1924210441"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242133, TheoryTools`$LabelDelimiter, 
             "isNeutral"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isNeutral", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["n", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  StyleBox["n", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["n", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isNeutral)\"", True -> 
            StyleBox["\"(isNeutral)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:665775613"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:665775613"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242174, TheoryTools`$LabelDelimiter, 
             "isAssoc"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isAssoc", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[SmallCircle]", 
                    StyleBox["z", "ExpressionVariable"]}], "\[Equal]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isAssoc)\"", True -> 
            StyleBox["\"(isAssoc)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:154995644"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:154995644"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242214, TheoryTools`$LabelDelimiter, 
             "isDistr"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
               StyleBox["\[Diamond]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isDistr", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[Diamond]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Diamond]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Diamond]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Diamond]", 
                    StyleBox["z", "ExpressionVariable"]}], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Diamond]", 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isDistr)\"", True -> 
            StyleBox["\"(isDistr)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1959021758"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1959021758"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242292, TheoryTools`$LabelDelimiter, 
             "isInverse"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
               StyleBox["\[Square]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isInverse", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[Square]", "ExpressionVariable"], ",", 
                  StyleBox["n", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{"\[Square]", 
                    StyleBox["x", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    RowBox[{"\[Square]", 
                    StyleBox["x", "ExpressionVariable"]}]}], "\[Equal]", 
                    StyleBox["n", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    RowBox[{"\[Square]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[Equal]", 
                    StyleBox["n", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isInverse)\"", True -> 
            StyleBox["\"(isInverse)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1343138992"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1343138992"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242342, TheoryTools`$LabelDelimiter, 
             "predicate set"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"], ",", 
               StyleBox["Q", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["a", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}]}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], "}"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["a", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], 
                    "]"}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(predicate set)\"", True -> 
            StyleBox["\"(predicate set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:256950901"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:256950901"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242403, TheoryTools`$LabelDelimiter, 
             "LexOrder3 \[Succeeds]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
               StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
               StyleBox["\[ScriptCapitalC]", "ExpressionVariable"], ",", 
               StyleBox[">", "ExpressionVariable"], ",", 
               StyleBox["\[RightTriangle]", "ExpressionVariable"], ",", 
               StyleBox["\[GreaterGreater]", "ExpressionVariable"], ",", 
               StyleBox["x1", "ExpressionVariable"], ",", 
               StyleBox["x2", "ExpressionVariable"], ",", 
               StyleBox["x3", "ExpressionVariable"], ",", 
               StyleBox["y1", "ExpressionVariable"], ",", 
               StyleBox["y2", "ExpressionVariable"], ",", 
               StyleBox["y3", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["x2", "ExpressionVariable"], ",", 
                    StyleBox["x3", "ExpressionVariable"]}], 
                  "\[RightAngleBracket]"}], 
                UnderscriptBox["\[Succeeds]", 
                 RowBox[{"LexOrder3", "[", 
                   RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                    StyleBox[">", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                    StyleBox["\[RightTriangle]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalC]", "ExpressionVariable"], ",", 
                    StyleBox["\[GreaterGreater]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}]], 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y1", "ExpressionVariable"], ",", 
                    StyleBox["y2", "ExpressionVariable"], ",", 
                    StyleBox["y3", "ExpressionVariable"]}], 
                  "\[RightAngleBracket]"}]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ">", 
                    StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y1", "ExpressionVariable"]}]}], "\[Or]", 
                RowBox[{
                  RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], "\[RightTriangle]", 
                    StyleBox["y2", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y2", "ExpressionVariable"]}]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y2", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["x3", "ExpressionVariable"], "\[GreaterGreater]", 
                    StyleBox["y3", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(LexOrder3 \[Succeeds])\"", True -> 
            StyleBox["\"(LexOrder3 \[Succeeds])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb",
             "ID:1082760072"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb"],
          Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb", 
           "ID:1082760072"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242491, TheoryTools`$LabelDelimiter, 
             "imgSeq"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["f", "ExpressionVariable"]}, {
                StyleBox["h", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalN]"}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"imgSeq", "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], ",", 
                    StyleBox["h", "ExpressionVariable"]}], "]"}], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                StyleBox["h", "ExpressionVariable"], "[", 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(imgSeq)\"", True -> 
            StyleBox["\"(imgSeq)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:809351385"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:809351385"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242512, TheoryTools`$LabelDelimiter, 
             "isInvariantFunction2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isInvariantFunction2", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], "]"}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], "\[Tilde]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y2", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["y2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y1", "ExpressionVariable"]}], "]"}], "\[Tilde]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y2", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isInvariantFunction2)\"", True -> 
            StyleBox["\"(isInvariantFunction2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:715106769"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:715106769"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242584, TheoryTools`$LabelDelimiter, 
             "isBoundedMonotone"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"isBoundedMonotone", "[", 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}], 
                  "\[SubsetEqual]", 
                  StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}, {
                    RowBox[{"isSet", "[", 
                    StyleBox["C", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["C", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], 
                    "\[SubsetEqual]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["C", "ExpressionVariable"], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isBoundedMonotone)\"", True -> 
            StyleBox["\"(isBoundedMonotone)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:136577837"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:136577837"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242636, TheoryTools`$LabelDelimiter, 
             "UnionOf"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[Union]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]], 
                RowBox[{
                  StyleBox["B", "ExpressionVariable"], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}], ":=", 
              RowBox[{"Un", "[", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "}"}], 
                "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(UnionOf)\"", True -> 
            StyleBox["\"(UnionOf)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:60334524"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:60334524"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242663, TheoryTools`$LabelDelimiter, 
             "IntersectionOf"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[Intersection]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]], 
                RowBox[{
                  StyleBox["B", "ExpressionVariable"], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}], ":=", 
              RowBox[{"Inter", "[", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "}"}], 
                "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(IntersectionOf)\"", True -> 
            StyleBox["\"(IntersectionOf)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:502023636"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:502023636"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242690, TheoryTools`$LabelDelimiter, 
             "LexOrder \[Succeeds]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
               StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
               StyleBox[">", "ExpressionVariable"], ",", 
               StyleBox["\[RightTriangle]", "ExpressionVariable"], ",", 
               StyleBox["x1", "ExpressionVariable"], ",", 
               StyleBox["x2", "ExpressionVariable"], ",", 
               StyleBox["y1", "ExpressionVariable"], ",", 
               StyleBox["y2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["x2", "ExpressionVariable"]}], 
                  "\[RightAngleBracket]"}], 
                UnderscriptBox["\[Succeeds]", 
                 RowBox[{"LexOrder", "[", 
                   RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                    StyleBox[">", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
                    StyleBox["\[RightTriangle]", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}]], 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y1", "ExpressionVariable"], ",", 
                    StyleBox["y2", "ExpressionVariable"]}], 
                  "\[RightAngleBracket]"}]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ">", 
                    StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y1", "ExpressionVariable"]}]}], "\[Or]", 
                RowBox[{
                  RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["x2", "ExpressionVariable"], "\[RightTriangle]", 
                    StyleBox["y2", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(LexOrder \[Succeeds])\"", True -> 
            StyleBox["\"(LexOrder \[Succeeds])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb",
             "ID:1592061526"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb"],
          Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb", 
           "ID:1592061526"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242746, TheoryTools`$LabelDelimiter, 
             "finite sum"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                StyleBox["f", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox[
                 SubscriptBox["\[Sum]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}]}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"natRec0", "[", 
                    RowBox[{
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
                    "]"}]}]}]}], "]"}], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", 
                    StyleBox["a", "ExpressionVariable"]}], "+", "1"}], "]"}], 
                   "\[DoubleLeftArrow]", 
                   RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["a", "ExpressionVariable"]}]}, {
                   UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                   "\[DoubleLeftArrow]", "True"}}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(finite sum)\"", True -> 
            StyleBox["\"(finite sum)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:161235722"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:161235722"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242806, TheoryTools`$LabelDelimiter, 
             "isInvariantFunction1"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isInvariantFunction1", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x2", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}], "\[Tilde]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    StyleBox["x2", "ExpressionVariable"], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isInvariantFunction1)\"", True -> 
            StyleBox["\"(isInvariantFunction1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:85261794"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:85261794"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242846, TheoryTools`$LabelDelimiter, 
             "TupleOf"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["f", "ExpressionVariable"]}, {
                StyleBox["P", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                "\[RightAngleBracket]"}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"natRec0", "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\:293a", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
                    "]"}]}], "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
                    "]"}]}, {
                    StyleBox["y", "ExpressionVariable"], "\[DoubleLeftArrow]",
                     "True"}}]}]}]}], "]"}], "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}], ")"}]}], 
                    "]"}], "\[DoubleLeftArrow]", 
                   RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["a", "ExpressionVariable"]}]}, {
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                   "\[DoubleLeftArrow]", "True"}}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(TupleOf)\"", True -> 
            StyleBox["\"(TupleOf)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:223047122"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:223047122"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242927, TheoryTools`$LabelDelimiter, 
             "isChainBelow"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         TooltipBox[
         "\"\[LightBulb]\"", "\"1\"", TooltipStyle -> "TextStyling"], 
         Annotation[#, "1", "Tooltip"]& ], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
               StyleBox["\[LongRightArrow]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isChainBelow", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["\[LongRightArrow]", "ExpressionVariable"], ",", 
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isChain", "[", 
                  RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["\[LongRightArrow]", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["A", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Succeeds]", 
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isChainBelow)\"", True -> 
            StyleBox["\"(isChainBelow)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:130970035"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:130970035"}, "Hyperlink"]& ]}}, AutoDelete -> False, 
      GridBoxAlignment -> {"Columns" -> {Center, Center, Left, Center}}, 
      GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"],
    "\"These definitions contain universally quantified higher-order \
variables and are put into a separate list for safety reasons. Nevertheless, \
they have still been checked for unifiability against all other \
definitions.\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}, {
  8,"\<\"checked (185)\"\>"->
  TemplateBox[{TagBox[
     GridBox[{{
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$242969, TheoryTools`$LabelDelimiter, 
             "GroebnerRing GB"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["C", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GB", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                StyleBox["C", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["GBAux", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["C", "ExpressionVariable"], ",", 
                  RowBox[{"allPairs", "[", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "]"}], ",", "1", ",", "1", ",", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
                "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing GB)\"", True -> 
            StyleBox["\"(GroebnerRing GB)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1533920470"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1533920470"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243006, TheoryTools`$LabelDelimiter, 
             "allPairs"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["k", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"allPairs", "[", 
                StyleBox["k", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["k", "ExpressionVariable"]}]}}]]}], 
                  "\[RightAngleBracket]"}], "\:22c8", 
                RowBox[{"pairs", "[", 
                  RowBox[{"2", ",", 
                    StyleBox["k", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(allPairs)\"", True -> 
            StyleBox["\"(allPairs)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1516706954"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1516706954"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243033, TheoryTools`$LabelDelimiter, 
             "\[GreaterEqual] \[DoubleStruckCapitalZ]"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}, {
                RowBox[{
                  StyleBox["y", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], "\[GreaterEqual]", 
                StyleBox["y", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"stripINT", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], 
                UnderscriptBox["\[GreaterEqual]", "Int"], 
                RowBox[{"stripINT", "[", 
                  StyleBox["y", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[GreaterEqual] \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox[
             "\"(\[GreaterEqual] \[DoubleStruckCapitalZ])\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:231952197"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:231952197"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243057, TheoryTools`$LabelDelimiter, 
             "algorithmic reduction ring"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isAlgoReductionRing", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isReductionRing", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R9", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R10", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R11", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R12", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R13", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(algorithmic reduction ring)\"", True -> 
            StyleBox["\"(algorithmic reduction ring)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:979757495"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:979757495"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243111, TheoryTools`$LabelDelimiter, 
             "pairs 2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["k", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"pairs", "[", 
                RowBox[{
                  StyleBox["j", "ExpressionVariable"], ",", 
                  StyleBox["k", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"pairs", "[", 
                    StyleBox["j", "ExpressionVariable"], "]"}], "\:22c8", 
                    RowBox[{"pairs", "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "+", "1"}], ",", 
                    StyleBox["k", "ExpressionVariable"]}], "]"}]}], 
                   "\[DoubleLeftArrow]", 
                   RowBox[{
                    StyleBox["k", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["j", "ExpressionVariable"]}]}, {
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                   "\[DoubleLeftArrow]", "True"}}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(pairs 2)\"", True -> 
            StyleBox["\"(pairs 2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1961920283"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1961920283"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243152, TheoryTools`$LabelDelimiter, 
             "DomainTuples decision predicate"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"DomainTuples", "[", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                   "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isTuple", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["x", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(DomainTuples decision predicate)\"", True -> 
            StyleBox[
             "\"(DomainTuples decision predicate)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1752643636"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1752643636"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243187, TheoryTools`$LabelDelimiter, 
             "tuple length"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                StyleBox["T", "ExpressionVariable"], 
                "\[RightBracketingBar]"}], ":=", 
              RowBox[{
                RowBox[{"tupRec", "[", 
                  RowBox[{"0", ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], "+", "1"}]}]}], 
                  "]"}], "[", 
                StyleBox["T", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tuple length)\"", True -> 
            StyleBox["\"(tuple length)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:182124102"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:182124102"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243211, TheoryTools`$LabelDelimiter, 
             "tupRec Nil"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"tupRec", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "[", "Nil", 
                "]"}], ":=", 
              StyleBox["b", "ExpressionVariable"]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tupRec Nil)\"", True -> 
            StyleBox["\"(tupRec Nil)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:152717330"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:152717330"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243225, TheoryTools`$LabelDelimiter, 
             "GBAuxTest"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                StyleBox["mi", "ExpressionVariable"]}, {
                StyleBox["mj", "ExpressionVariable"]}, {
                StyleBox["h", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}, {
                StyleBox["P", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxTest", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["mi", "ExpressionVariable"], ",", 
                  StyleBox["mj", "ExpressionVariable"], ",", 
                  StyleBox["h", "ExpressionVariable"], ",", 
                  StyleBox["P", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["h", "ExpressionVariable"], "\[Equal]", 
                  UnderscriptBox["0", 
                   RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]]}], "\[Or]", 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "\[And]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["mj", "ExpressionVariable"]}]}], "\[Or]", 
                  RowBox[{
                    UnderscriptBox["chainCrit", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBAuxTest)\"", True -> 
            StyleBox["\"(GBAuxTest)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1362258751"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1362258751"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243308, TheoryTools`$LabelDelimiter, 
             "GroebnerRing trd"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["C", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["trd", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["let", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["rdT", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", "1"}], 
                    "]"}]}]}}]], 
                RowBox[{"\[Piecewise]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["trd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], 
                    StyleBox["x1", "ExpressionVariable"]}]}, {
                    StyleBox["x", "ExpressionVariable"], "\[DoubleLeftArrow]",
                     "True"}}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing trd)\"", True -> 
            StyleBox["\"(GroebnerRing trd)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:689058884"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:689058884"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243359, TheoryTools`$LabelDelimiter, 
             "reduction ring"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isReductionRing", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isCommRing1", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"isPartIrreflOrder", "[", 
                  RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"isNoetherian", "[", 
                  RowBox[{
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"Multipliers", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R0", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R1", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R2", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R3", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R4", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R5", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R6", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R7", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"R8", "[", 
                  StyleBox["D", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction ring)\"", True -> 
            StyleBox["\"(reduction ring)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:623701544"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:623701544"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243465, TheoryTools`$LabelDelimiter, 
             "pairs 1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["k", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"pairs", "[", 
                StyleBox["k", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "-", "1"}]}]}}]]}], 
                "\[RightAngleBracket]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(pairs 1)\"", True -> 
            StyleBox["\"(pairs 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1698292943"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1698292943"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243486, TheoryTools`$LabelDelimiter, 
             "Int \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[Element]", "Int"], ":=", 
            UnderscriptBox["\[Element]", 
             RowBox[{"QuoDom", "[", 
               RowBox[{"PreInt", ",", 
                 UnderscriptBox["equiv", "PreInt"]}], "]"}]]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int \[Element])\"", True -> 
            StyleBox["\"(Int \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:112681936"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:112681936"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243498, TheoryTools`$LabelDelimiter, 
             "Int \[GreaterEqual]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[GreaterEqual]", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["Rel2", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["\[GreaterEqual]", "PreInt"], "]"}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int \[GreaterEqual])\"", True -> 
            StyleBox["\"(Int \[GreaterEqual])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:819512290"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:819512290"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243513, TheoryTools`$LabelDelimiter, 
             "stripINT"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["b", "ExpressionVariable"]], 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{"INT", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"stripINT", "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["b", "ExpressionVariable"]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{"INT", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(stripINT)\"", True -> 
            StyleBox["\"(stripINT)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:632446146"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:632446146"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243550, TheoryTools`$LabelDelimiter, 
             "\[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"\[DoubleStruckCapitalZ]", ":=", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"INT", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], 
                UnderscriptBox["|", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", "Int"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]]}], "}"}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[DoubleStruckCapitalZ])\"", True -> 
            StyleBox["\"(\[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:398456221"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:398456221"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243561, TheoryTools`$LabelDelimiter, 
             "integer interval II"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              SubscriptBox["\[DoubleStruckCapitalZ]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", "\[Ellipsis]", ",",
                  "\[Infinity]"}]], ":=", 
              RowBox[{"{", 
                RowBox[{
                  GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}}], "|", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["a", "ExpressionVariable"]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(integer interval II)\"", True -> 
            StyleBox["\"(integer interval II)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:106146911"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:106146911"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243571, TheoryTools`$LabelDelimiter, 
             "integer interval"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              SubscriptBox["\[DoubleStruckCapitalZ]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", "\[Ellipsis]", ",", 
                 StyleBox["b", "ExpressionVariable"]}]], ":=", 
              RowBox[{"{", 
                RowBox[{
                  GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalZ]"}]}}], "|", 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(integer interval)\"", True -> 
            StyleBox["\"(integer interval)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:371888462"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:371888462"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243591, TheoryTools`$LabelDelimiter, 
             "GBTermOrder"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}}]], 
            RowBox[{
              RowBox[{"GBTermOrder", "[", 
                StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], "]"}], 
              ":=", 
              RowBox[{"LexOrder3", "[", 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], "]"}], ",", 
                    UnderscriptBox["\[SquareSubset]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]]}], "\[RightAngleBracket]"}], ",", 
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"ProdDomain", "[", 
                    
                    RowBox[{
                    "\[DoubleStruckCapitalZ]Dom", ",", 
                    "\[DoubleStruckCapitalZ]Dom"}], "]"}], "]"}], ",", 
                    UnderscriptBox["\[Succeeds]", 
                    RowBox[{"Tuples", "[", "]"}]]}], "\[RightAngleBracket]"}],
                   ",", 
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"ProdDomain", "[", 
                    RowBox[{
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], ",", 
                    RowBox[{"DomainTuples", "[", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], "]"}]}], "]"}], "]"}], ",", 
                    UnderscriptBox["\[Succeeds]", 
                    RowBox[{"Tuples", "[", "]"}]]}], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBTermOrder)\"", True -> 
            StyleBox["\"(GBTermOrder)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:184081942"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:184081942"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243681, TheoryTools`$LabelDelimiter, 
             "GroebnerRing lmTuple"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["lmTuple", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["lmTupleAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], ",", 
                    RowBox[{"pairs", "[", 
                    RowBox[{"2", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}], "]"}]}], 
                    "]"}], "\[DoubleLeftArrow]", 
                   RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["y", "ExpressionVariable"]}]}, {
                   RowBox[{
                    UnderscriptBox["cpmTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                   "\[DoubleLeftArrow]", "True"}}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing lmTuple)\"", True -> 
            StyleBox["\"(GroebnerRing lmTuple)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1528624471"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1528624471"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243734, TheoryTools`$LabelDelimiter, 
             "multipliers"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"Multipliers", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(multipliers)\"", True -> 
            StyleBox["\"(multipliers)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1960646232"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1960646232"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243780, TheoryTools`$LabelDelimiter, 
             "GroebnerRing multN"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["multN", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["multN", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing multN)\"", True -> 
            StyleBox["\"(GroebnerRing multN)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1566608311"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1566608311"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243798, TheoryTools`$LabelDelimiter, 
             "update"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["k", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"update", "[", 
                RowBox[{
                  StyleBox["k", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["k", "ExpressionVariable"], "\:22c8", 
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "\:293b", 
                  RowBox[{"pairs", "[", 
                    StyleBox["j", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(update)\"", True -> 
            StyleBox["\"(update)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:329670188"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:329670188"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243827, TheoryTools`$LabelDelimiter, 
             "R9"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R9", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["c1", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                   RowBox[{
                    StyleBox["c2", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["i", "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["L", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["L", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["L", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Tilde]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox[
                    "L", "ExpressionVariable"]}]}]}]}]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R9)\"", True -> 
            StyleBox["\"(R9)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1502179371"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1502179371"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243933, TheoryTools`$LabelDelimiter, 
             "GroebnerRing \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Element]", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing \[Element])\"", True -> 
            StyleBox["\"(GroebnerRing \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1774031579"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1774031579"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243946, TheoryTools`$LabelDelimiter, 
             "GroebnerRing 0"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              UnderscriptBox["0", 
               RowBox[{"GroebnerRing", "[", 
                 StyleBox["D", "ExpressionVariable"], "]"}]], ":=", 
              UnderscriptBox["0", 
               StyleBox["D", "ExpressionVariable"]]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing 0)\"", True -> 
            StyleBox["\"(GroebnerRing 0)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:182210603"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:182210603"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243957, TheoryTools`$LabelDelimiter, 
             "GroebnerRing lcrd"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["lcrd", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["lcrd", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing lcrd)\"", True -> 
            StyleBox["\"(GroebnerRing lcrd)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:822076309"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:822076309"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$243985, TheoryTools`$LabelDelimiter, 
             "R10"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R10", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  UnderscriptBox["let", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["L", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["L", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:22ff", 
                    StyleBox["L", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Tilde]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:22ff", 
                    StyleBox["L", "ExpressionVariable"]}]}]}]}]}]}]}]}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R10)\"", True -> 
            StyleBox["\"(R10)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1524689422"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1524689422"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244057, TheoryTools`$LabelDelimiter, 
             "GroebnerRing lcrd unary"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["lcrd", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["lcrd", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing lcrd unary)\"", True -> 
            StyleBox["\"(GroebnerRing lcrd unary)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:809363439"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:809363439"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244075, TheoryTools`$LabelDelimiter, 
             "R11"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R11", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["let", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["R", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["rdm", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["R", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["R", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["R", "ExpressionVariable"], "\[Equal]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R11)\"", True -> 
            StyleBox["\"(R11)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:528478842"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:528478842"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244130, TheoryTools`$LabelDelimiter, 
             "GroebnerRing rdm"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["rdm", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["rdm", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing rdm)\"", True -> 
            StyleBox["\"(GroebnerRing rdm)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:849156542"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:849156542"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244151, TheoryTools`$LabelDelimiter, 
             "R12"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R12", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["c1", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                   RowBox[{
                    StyleBox["c2", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "<", 
                    StyleBox["j", "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["L", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["L", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["p1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["p2", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["cpm", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[Equal]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["p1", "ExpressionVariable"], ",", 
                    StyleBox["p2", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["areCPMultipliers", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["p1", "ExpressionVariable"], ",", 
                    StyleBox["p2", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R12)\"", True -> 
            StyleBox["\"(R12)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:415149625"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:415149625"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244247, TheoryTools`$LabelDelimiter, 
             "GroebnerRing mult 2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["mult", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["mult", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing mult 2)\"", True -> 
            StyleBox["\"(GroebnerRing mult 2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:378340035"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:378340035"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244270, TheoryTools`$LabelDelimiter, 
             "GroebnerRing cpm"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["l", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["cpm", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"], ",", 
                  StyleBox["l", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["cpm", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"], ",", 
                  StyleBox["l", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing cpm)\"", True -> 
            StyleBox["\"(GroebnerRing cpm)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1671864047"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1671864047"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244301, TheoryTools`$LabelDelimiter, 
             "critical pair multipliers"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"], ",", 
               StyleBox["m2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areCPMultipliers", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"], ",", 
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isMNTCR", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["areIrrelative", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["isReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["isReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(critical pair multipliers)\"", True -> 
            StyleBox["\"(critical pair multipliers)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:779388596"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:779388596"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244352, TheoryTools`$LabelDelimiter, 
             "irrelative"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"], ",", 
               StyleBox["m2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areIrrelative", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], "\[Equal]", 
                  StyleBox["c2", "ExpressionVariable"]}], "\[Implies]", 
                RowBox[{
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["j", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(irrelative)\"", True -> 
            StyleBox["\"(irrelative)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1867242863"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1867242863"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244397, TheoryTools`$LabelDelimiter, 
             "DomainSequences decision predicate"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"DomainSequences", "[", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                   "]"}]], "[", 
                StyleBox["f", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(DomainSequences decision predicate)\"", True -> 
            StyleBox[
             "\"(DomainSequences decision predicate)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb", "ID:458427713"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Sequences.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Sequences.nb",
            "ID:458427713"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244413, TheoryTools`$LabelDelimiter, 
             "R13"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R13", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{"\[Not]", 
                RowBox[{
                  TagBox["(", "AutoParentheses"], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSequences", "[", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}], "]"}]], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["\[SquareSubset]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], 
                    "]"}]}]}]}], 
                  TagBox[")", "AutoParentheses"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R13)\"", True -> 
            StyleBox["\"(R13)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1276925313"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1276925313"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244453, TheoryTools`$LabelDelimiter, 
             "MMPairs \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"], ",", 
               StyleBox["z", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"MMPairs", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["z", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isTuple", "[", 
                  StyleBox["z", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["z", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", "2"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  SubscriptBox[
                   StyleBox["z", "ExpressionVariable"], "1"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                  SubscriptBox[
                   StyleBox["z", "ExpressionVariable"], "2"], "]"}], "\[And]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    SubscriptBox[
                    StyleBox["z", "ExpressionVariable"], "2"], 
                    "\[RightBracketingBar]"}], "\[Equal]", "2"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["areCPMultipliers", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    RowBox[{
                    SubscriptBox[
                    SubscriptBox[
                    StyleBox["z", "ExpressionVariable"], "2"], "1"], ",", 
                    SubscriptBox[
                    SubscriptBox[
                    StyleBox["z", "ExpressionVariable"], "2"], "2"], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["z", "ExpressionVariable"], "1"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(MMPairs \[Element])\"", True -> 
            StyleBox["\"(MMPairs \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1774407783"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1774407783"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244556, TheoryTools`$LabelDelimiter, 
             "rdTBase1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["Q", "ExpressionVariable"]}, {
                StyleBox["x", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["rdTBase1", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], ",", 
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    "\[DoubleStruckCapitalN]"}]}}]], 
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], ">", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]], 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(rdTBase1)\"", True -> 
            StyleBox["\"(rdTBase1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:974939989"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:974939989"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244587, TheoryTools`$LabelDelimiter, 
             "rdTBase2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["Q", "ExpressionVariable"]}, {
                StyleBox["x", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["rdTBase2", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], ",", 
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ">", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    RowBox[{
                    UnderscriptBox["rd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}], 
                  "\[Implies]", 
                  RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(rdTBase2)\"", True -> 
            StyleBox["\"(rdTBase2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1014318336"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1014318336"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244659, TheoryTools`$LabelDelimiter, 
             "rdTRec"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["Q", "ExpressionVariable"]}, {
                StyleBox["x", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["rdTRec", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["Q", "ExpressionVariable"], ",", 
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ">", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[And]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    RowBox[{
                    UnderscriptBox["rd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[And]", 
                    RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], "]"}]}], 
                  "\[Implies]", 
                  RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(rdTRec)\"", True -> 
            StyleBox["\"(rdTRec)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:107497168"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:107497168"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244742, TheoryTools`$LabelDelimiter, 
             "isReductor"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isReductor", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["r", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainSets", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                  StyleBox["r", "ExpressionVariable"], "]"}], "\[Or]", 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                  StyleBox["r", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isReductor)\"", True -> 
            StyleBox["\"(isReductor)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:773828270"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:773828270"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244768, TheoryTools`$LabelDelimiter, 
             "ideal congruence"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainSets", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                StyleBox["b", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 SubscriptBox["\[Congruent]", 
                  StyleBox["B", "ExpressionVariable"]], 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}], "\[And]", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(ideal congruence)\"", True -> 
            StyleBox["\"(ideal congruence)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:531785290"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:531785290"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244865, TheoryTools`$LabelDelimiter, 
             "append"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:293a", 
                StyleBox["a", "ExpressionVariable"]}], ":=", 
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:22c8", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox["a", "ExpressionVariable"], 
                  "\[RightAngleBracket]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(append)\"", True -> 
            StyleBox["\"(append)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1525755901"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1525755901"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244880, TheoryTools`$LabelDelimiter, 
             "DomainSets decision predicate"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"DomainSets", "[", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                   "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isSet", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["x", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(DomainSets decision predicate)\"", True -> 
            StyleBox[
             "\"(DomainSets decision predicate)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:88731859"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:88731859"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244905, TheoryTools`$LabelDelimiter, 
             "TupleToSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{"TupleToSet", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  SubscriptBox[
                   StyleBox["T", "ExpressionVariable"], 
                   StyleBox["i", "ExpressionVariable"]], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalN]", 
                    RowBox[{"1", ",", "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]]}]}}]]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(TupleToSet)\"", True -> 
            StyleBox["\"(TupleToSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1457491854"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1457491854"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244930, TheoryTools`$LabelDelimiter, 
             "reflexive-transitive closure of reduction relation"]]], 
         Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 TemplateBox[{"\[Rule]", 
                   StyleBox["r", "ExpressionVariable"], "*"}, 
                  "Subsuperscript"], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                   "\[And]", 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{"isChain", "[", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> 
            "\"(reflexive-transitive closure of reduction relation)\"", True -> 
            StyleBox[
             "\"(reflexive-transitive closure of reduction relation)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1813157585"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1813157585"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$244991, TheoryTools`$LabelDelimiter, 
             "Nat \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", "Nat"], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\[Element]", 
                "natSet"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat \[Element])\"", True -> 
            StyleBox["\"(Nat \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:97787251"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:97787251"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245000, TheoryTools`$LabelDelimiter, 
             "PreInt \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", "PreInt"], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\[Element]", 
                RowBox[{"natSet", "\[Cross]", "natSet"}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt \[Element])\"", True -> 
            StyleBox["\"(PreInt \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:100384801"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:100384801"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245013, TheoryTools`$LabelDelimiter, 
             "PreInt \[GreaterEqual]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["\[GreaterEqual]", "PreInt"], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{"fst", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["+", "Nat"], 
                  RowBox[{"snd", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}], 
                UnderscriptBox["\[GreaterEqual]", "Nat"], 
                RowBox[{
                  RowBox[{"snd", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["+", "Nat"], 
                  RowBox[{"fst", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt \[GreaterEqual])\"", True -> 
            StyleBox["\"(PreInt \[GreaterEqual])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:329154583"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:329154583"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245054, TheoryTools`$LabelDelimiter, 
             "QuoDom \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\[Element]", 
                RowBox[{"QuoSet", "[", 
                  RowBox[{
                    UnderscriptBox["Base", 
                    RowBox[{"QuoDom", "[", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom \[Element])\"", True -> 
            StyleBox["\"(QuoDom \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:591224316"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:591224316"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245083, TheoryTools`$LabelDelimiter, 
             "QuoDom EC"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["EC", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                SubscriptBox["EC", 
                 RowBox[{
                   UnderscriptBox["Base", 
                    RowBox[{"QuoDom", "[", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom EC)\"", True -> 
            StyleBox["\"(QuoDom EC)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:91525291"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:91525291"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245111, TheoryTools`$LabelDelimiter, 
             "isDomain"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isDomain", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isDomain)\"", True -> 
            StyleBox["\"(isDomain)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:170473529"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:170473529"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245129, TheoryTools`$LabelDelimiter, 
             "QuoDom Rel2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Rel2", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Lambda]", 
                 RowBox[{
                   StyleBox["X", "ExpressionVariable"], ",", 
                   StyleBox["Y", "ExpressionVariable"]}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["X", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["Y", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom Rel2)\"", True -> 
            StyleBox["\"(QuoDom Rel2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:726147690"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:726147690"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245153, TheoryTools`$LabelDelimiter, 
             "isInvaiantRelation2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isInvariantRelation2", "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x2", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y2", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["y2", "ExpressionVariable"]}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y1", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y2", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isInvaiantRelation2)\"", True -> 
            StyleBox["\"(isInvaiantRelation2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:40789237"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:40789237"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245213, TheoryTools`$LabelDelimiter, 
             "isEquivalence"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isEquivalence", "[", 
                RowBox[{
                  StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["x", "ExpressionVariable"]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isEquivalence)\"", True -> 
            StyleBox["\"(isEquivalence)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:150250031"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:150250031"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245276, TheoryTools`$LabelDelimiter, 
             "Int 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["0", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["EC", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["0", "PreInt"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int 0)\"", True -> 
            StyleBox["\"(Int 0)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:52976508"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:52976508"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245291, TheoryTools`$LabelDelimiter, 
             "Int 1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["1", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["EC", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["1", "PreInt"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int 1)\"", True -> 
            StyleBox["\"(Int 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:712864778"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:712864778"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245306, TheoryTools`$LabelDelimiter, 
             "GroebnerRing cpmTuple 1"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["cpmTuple", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["let", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["L", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", "1", ",", "1"}],
                     "]"}]}]}}]], 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["rdm", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    StyleBox["x", "ExpressionVariable"]}], "]"}], ",", 
                    RowBox[{
                    UnderscriptBox["rdm", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}], 
                    "\[RightAngleBracket]"}]}], "\[RightAngleBracket]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["L", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                  "\[RightAngleBracket]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing cpmTuple 1)\"", True -> 
            StyleBox["\"(GroebnerRing cpmTuple 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1529751135"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1529751135"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245362, TheoryTools`$LabelDelimiter, 
             "tuple E"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isTuple", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\:22ff", 
                  StyleBox["T", "ExpressionVariable"]}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(tuple E)\"", True -> 
            StyleBox["\"(tuple E)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1281000450"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1281000450"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245397, TheoryTools`$LabelDelimiter, 
             "GroebnerRing \[Succeeds]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["\[Succeeds]", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], 
                StyleBox["y", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["\[Succeeds]", 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["y", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing \[Succeeds])\"", True -> 
            StyleBox["\"(GroebnerRing \[Succeeds])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:342394137"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:342394137"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245415, TheoryTools`$LabelDelimiter, 
             "isPartIrreflOrder"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isPartIrreflOrder", "[", 
                RowBox[{
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["z", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["z", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Succeeds]", 
                    StyleBox["z", "ExpressionVariable"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isPartIrreflOrder)\"", True -> 
            StyleBox["\"(isPartIrreflOrder)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1500614048"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1500614048"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245484, TheoryTools`$LabelDelimiter, 
             "isNoetherian"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Succeeds]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isNoetherian", "[", 
                RowBox[{
                  StyleBox["\[Succeeds]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainSets", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{"nonemptySet", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], "\[Element]", 
                    StyleBox["S", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isMin", "[", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"], ",", 
                    StyleBox["\[Succeeds]", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isNoetherian)\"", True -> 
            StyleBox["\"(isNoetherian)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:929796587"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:929796587"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245521, TheoryTools`$LabelDelimiter, 
             "GroebnerRing mult 1"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["mult", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["mult", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing mult 1)\"", True -> 
            StyleBox["\"(GroebnerRing mult 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:628841792"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:628841792"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245541, TheoryTools`$LabelDelimiter, 
             "GroebnerRing 1"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              UnderscriptBox["1", 
               RowBox[{"GroebnerRing", "[", 
                 StyleBox["D", "ExpressionVariable"], "]"}]], ":=", 
              UnderscriptBox["1", 
               StyleBox["D", "ExpressionVariable"]]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing 1)\"", True -> 
            StyleBox["\"(GroebnerRing 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:814933967"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:814933967"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245552, TheoryTools`$LabelDelimiter, 
             "R0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R0", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  UnderscriptBox["mult", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    UnderscriptBox["1", 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R0)\"", True -> 
            StyleBox["\"(R0)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1496065688"}, ButtonNote -> 
          
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1496065688"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245573, TheoryTools`$LabelDelimiter, 
             "GroebnerRing - unary"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Minus", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["Minus", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing - unary)\"", True -> 
            StyleBox["\"(GroebnerRing - unary)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1458964616"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1458964616"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245591, TheoryTools`$LabelDelimiter, 
             "R1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R1", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                  "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R1)\"", True -> 
            StyleBox["\"(R1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:975892043"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:975892043"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245625, TheoryTools`$LabelDelimiter, 
             "GroebnerRing *"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["*", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], 
                StyleBox["y", "ExpressionVariable"]}], ":=", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["*", 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["y", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing *)\"", True -> 
            StyleBox["\"(GroebnerRing *)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1496488880"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1496488880"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245644, TheoryTools`$LabelDelimiter, 
             "R2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R2", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                   UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], 
                  "\[Implies]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R2)\"", True -> 
            StyleBox["\"(R2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1150364990"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1150364990"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245678, TheoryTools`$LabelDelimiter, 
             "R3"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R3", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                   RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R3)\"", True -> 
            StyleBox["\"(R3)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:852396718"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:852396718"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245750, TheoryTools`$LabelDelimiter, 
             "R4"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R4", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R4)\"", True -> 
            StyleBox["\"(R4)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1907869025"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1907869025"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245773, TheoryTools`$LabelDelimiter, 
             "GroebnerRing +"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["+", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], 
                StyleBox["y", "ExpressionVariable"]}], ":=", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["+", 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["y", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing +)\"", True -> 
            StyleBox["\"(GroebnerRing +)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1684568525"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1684568525"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245792, TheoryTools`$LabelDelimiter, 
             "R6"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R6", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b2", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b1", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b2", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["areCorrelative", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"]}], "]"}]}], 
                  "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["TL", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["isR6Witness", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["TL", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["b1", "ExpressionVariable"], ",", 
                    StyleBox["b2", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R6)\"", True -> 
            StyleBox["\"(R6)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:208630606"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:208630606"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245857, TheoryTools`$LabelDelimiter, 
             "R6 witness"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"], ",", 
               StyleBox["m2", "ExpressionVariable"], ",", 
               StyleBox["b1", "ExpressionVariable"], ",", 
               StyleBox["b2", "ExpressionVariable"], ",", 
               StyleBox["TM", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isR6Witness", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["TM", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"], ",", 
                  StyleBox["b1", "ExpressionVariable"], ",", 
                  StyleBox["b2", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["symred", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["b1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}]}], "]"}], 
                    ",", 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["b1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["TM", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["b1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}], 
                "\[And]", 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["TM", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m1", "ExpressionVariable"]}], "\[Equal]", 
                  StyleBox["m2", "ExpressionVariable"]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R6 witness)\"", True -> 
            StyleBox["\"(R6 witness)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2027349511"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2027349511"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$245951, TheoryTools`$LabelDelimiter, 
             "R5"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R5", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["TM", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["TN", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["areR5Witnesses", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    StyleBox["TN", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["d", "ExpressionVariable"], ",", 
                    StyleBox["m", "ExpressionVariable"]}], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R5)\"", True -> 
            StyleBox["\"(R5)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1446921308"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1446921308"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246006, TheoryTools`$LabelDelimiter, 
             "R5 witnesses"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["d", "ExpressionVariable"], ",", 
               StyleBox["m", "ExpressionVariable"], ",", 
               StyleBox["TM", "ExpressionVariable"], ",", 
               StyleBox["TN", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areR5Witnesses", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["TM", "ExpressionVariable"], ",", 
                  StyleBox["TN", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["d", "ExpressionVariable"], ",", 
                  StyleBox["m", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TM", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}]}], "]"}], 
                    ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["TM", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TN", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                  RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["reduceM", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["TN", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}]}], "]"}], 
                    ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["TN", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                RowBox[{
                  RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TM", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["TM", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "\[Equal]", 
                  RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["TN", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["TN", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R5 witnesses)\"", True -> 
            StyleBox["\"(R5 witnesses)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1949920189"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1949920189"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246124, TheoryTools`$LabelDelimiter, 
             "R7"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R7", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a0", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m0", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m0", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}], 
                    "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{"{", 
                    StyleBox["c", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], 
                    UnderscriptBox[
                    SubscriptBox["\[LeftRightArrow]", 
                    RowBox[{"{", 
                    StyleBox["c", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}]}]}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["c2", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m2", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m1", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m2", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m1", "ExpressionVariable"]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m2", "ExpressionVariable"]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], "\[Or]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m1", "ExpressionVariable"]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m2", "ExpressionVariable"]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], 
                    "]"}]}]}]}]}]}]}]}]}]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R7)\"", True -> 
            StyleBox["\"(R7)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1150983847"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1150983847"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246363, TheoryTools`$LabelDelimiter, 
             "R8"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["D", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"R8", "[", 
                StyleBox["D", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c0", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], 
                  "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a0", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c0", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m0", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m0", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["m0", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}], 
                    "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["a0", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{"{", 
                    StyleBox["c", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], 
                    UnderscriptBox[
                    SubscriptBox["\[LeftRightArrow]", 
                    RowBox[{"{", 
                    StyleBox["c", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}]}]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(R8)\"", True -> 
            StyleBox["\"(R8)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2106857486"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2106857486"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246488, TheoryTools`$LabelDelimiter, 
             "isRing"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isRing", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isDomain", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"isClosed", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isClosed", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isAssoc", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isAssoc", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isNeutral", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isComm", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isDistr", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isInverse", "[", 
                  RowBox[{
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["0", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}], "\[Equal]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["+", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isRing)\"", True -> 
            StyleBox["\"(isRing)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1169392713"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1169392713"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246594, TheoryTools`$LabelDelimiter, 
             "isCommRing1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"isCommRing1", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isRing", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
                "\[And]", 
                RowBox[{"isNeutral", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    UnderscriptBox["1", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}], "\[And]", 
                RowBox[{"isComm", "[", 
                  RowBox[{
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                  "]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isCommRing1)\"", True -> 
            StyleBox["\"(isCommRing1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:812208573"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:812208573"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246630, TheoryTools`$LabelDelimiter, 
             "isClosed"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isClosed", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isClosed)\"", True -> 
            StyleBox["\"(isClosed)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1523090696"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1523090696"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246650, TheoryTools`$LabelDelimiter, 
             "isComm"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[SmallCircle]", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"isComm", "[", 
                RowBox[{
                  StyleBox["\[SmallCircle]", "ExpressionVariable"], ",", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
                "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[Equal]", 
                  RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[SmallCircle]", 
                    StyleBox["x", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isComm)\"", True -> 
            StyleBox["\"(isComm)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2052928557"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:2052928557"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246678, TheoryTools`$LabelDelimiter, 
             "GroebnerRing -"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["-", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], 
                StyleBox["y", "ExpressionVariable"]}], ":=", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["-", 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["y", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing -)\"", True -> 
            StyleBox["\"(GroebnerRing -)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:584522550"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:584522550"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246697, TheoryTools`$LabelDelimiter, 
             "minimal non-trivial common reducible"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isMNTCR", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isNTCR", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a0", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["isNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(minimal non-trivial common reducible)\"", True -> 
            StyleBox[
             "\"(minimal non-trivial common reducible)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:991122907"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:991122907"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246744, TheoryTools`$LabelDelimiter, 
             "\[Tilde] multiplier"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["m", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 SubscriptBox["\[Tilde]", 
                  StyleBox["m", "ExpressionVariable"]], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["x", "ExpressionVariable"]}], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["y", "ExpressionVariable"]}]}]}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["n", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    StyleBox["c", "ExpressionVariable"], "\[NotEqual]", 
                    UnderscriptBox["0", 
                    StyleBox["D", "ExpressionVariable"]]}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["n", "ExpressionVariable"]}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], "]"}]}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}], 
                "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Tilde] multiplier)\"", True -> 
            StyleBox["\"(\[Tilde] multiplier)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1818365967"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1818365967"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246861, TheoryTools`$LabelDelimiter, 
             "\[Tilde]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["\[Tilde]", 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isUnit", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Tilde]", 
                    StyleBox["m", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Tilde])\"", True -> 
            StyleBox["\"(\[Tilde])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1533920470"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1533920470"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246884, TheoryTools`$LabelDelimiter, 
             "isUnit"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                  StyleBox["u", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isUnit", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                StyleBox["u", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["v", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    StyleBox["v", "ExpressionVariable"]}], "\[Equal]", 
                  UnderscriptBox["1", 
                   StyleBox[
                   "\[ScriptCapitalD]", "ExpressionVariable"]]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isUnit)\"", True -> 
            StyleBox["\"(isUnit)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1005941388"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:1005941388"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246902, TheoryTools`$LabelDelimiter, 
             "unary minimal non-trivial common reducible"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isMNTCR", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isNTCR", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a0", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a0", "ExpressionVariable"]}], "\[Implies]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["isNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["a0", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(unary minimal non-trivial common reducible)\"", True -> 
            StyleBox[
             "\"(unary minimal non-trivial common reducible)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:894750987"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:894750987"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246937, TheoryTools`$LabelDelimiter, 
             "reducible2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isReducible", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], 
                  UnderscriptBox["\[Succeeds]", 
                   StyleBox["D", "ExpressionVariable"]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["mult", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reducible2)\"", True -> 
            StyleBox["\"(reducible2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:115218056"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:115218056"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246966, TheoryTools`$LabelDelimiter, 
             "reducible1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isReducible", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["isReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reducible1)\"", True -> 
            StyleBox["\"(reducible1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1537297721"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1537297721"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$246983, TheoryTools`$LabelDelimiter, 
             "GroebnerRing rd"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["rd", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["-", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["rdm", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                  UnderscriptBox["*", 
                   RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], 
                  StyleBox["y", "ExpressionVariable"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          PaneSelectorBox[{
           False -> "\"(GroebnerRing rd)\"", True -> 
            StyleBox["\"(GroebnerRing rd)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:558323540"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:558323540"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247028, TheoryTools`$LabelDelimiter, 
             "GroebnerRing rdT"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["C", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["rdT", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   StyleBox["x", "ExpressionVariable"], "\[DoubleLeftArrow]", 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], ">", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}, {
                   RowBox[{
                    UnderscriptBox["let", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["x1", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["rd", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}}]], 
                    RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    StyleBox["x1", "ExpressionVariable"], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], 
                    StyleBox["x1", "ExpressionVariable"]}]}, {
                    RowBox[{
                    UnderscriptBox["rdT", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]}], "]"}], 
                    "\[DoubleLeftArrow]", "True"}}]}]}], "\[DoubleLeftArrow]",
                    "True"}}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing rdT)\"", True -> 
            StyleBox["\"(GroebnerRing rdT)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1403530194"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1403530194"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247104, TheoryTools`$LabelDelimiter, 
             "reduction modulo element using multiplier"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                StyleBox["b", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c", "ExpressionVariable"], "]"}]}, {
                StyleBox["m", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 SubscriptBox["\[Rule]", 
                  RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}]], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}], "\[And]", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], 
                  UnderscriptBox["\[Succeeds]", 
                   StyleBox["D", "ExpressionVariable"]], 
                  StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                RowBox[{
                  UnderscriptBox["mult", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["m", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction modulo element using multiplier)\"", True -> 
            StyleBox[
             "\"(reduction modulo element using multiplier)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:935236171"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:935236171"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247141, TheoryTools`$LabelDelimiter, 
             "symmetric closure of reduction relation"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 SubscriptBox["\[LeftRightArrow]", 
                  StyleBox["r", "ExpressionVariable"]], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], 
                  UnderscriptBox[
                   SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                   StyleBox["D", "ExpressionVariable"]], 
                  StyleBox["b", "ExpressionVariable"]}], "\[Or]", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], 
                  UnderscriptBox[
                   SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                   StyleBox["D", "ExpressionVariable"]], 
                  StyleBox["a", "ExpressionVariable"]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(symmetric closure of reduction relation)\"", True -> 
            StyleBox[
             "\"(symmetric closure of reduction relation)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:370202704"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:370202704"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247167, TheoryTools`$LabelDelimiter, 
             "symmetric-reflexive-transitive closure of reduction \
relation"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 TemplateBox[{"\[LeftRightArrow]", 
                   StyleBox["r", "ExpressionVariable"], "*"}, 
                  "Subsuperscript"], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                   "\[And]", 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{"isChain", "[", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    UnderscriptBox[
                    SubscriptBox["\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], ",", 
                    StyleBox["D", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> 
            "\"(symmetric-reflexive-transitive closure of reduction relation)\
\"", True -> StyleBox[
             "\"(symmetric-reflexive-transitive closure of reduction \
relation)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:992563737"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:992563737"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247228, TheoryTools`$LabelDelimiter, 
             "PreInt 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["0", "PreInt"], ":=", 
            RowBox[{"Pair", "[", 
              RowBox[{
                UnderscriptBox["0", "Nat"], ",", 
                UnderscriptBox["0", "Nat"]}], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt 0)\"", True -> 
            StyleBox["\"(PreInt 0)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:398024454"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:398024454"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247239, TheoryTools`$LabelDelimiter, 
             "PreInt 1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["1", "PreInt"], ":=", 
            RowBox[{"Pair", "[", 
              RowBox[{
                UnderscriptBox["1", "Nat"], ",", 
                UnderscriptBox["0", "Nat"]}], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt 1)\"", True -> 
            StyleBox["\"(PreInt 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:418726841"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:418726841"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247250, TheoryTools`$LabelDelimiter, 
             "- unary \[DoubleStruckCapitalZ]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalZ]"}]}}]], 
            RowBox[{
              RowBox[{
                TagBox["(", "AutoParentheses"], 
                RowBox[{"-", 
                  StyleBox["x", "ExpressionVariable"]}], 
                TagBox[")", "AutoParentheses"]}], ":=", 
              RowBox[{"INT", "[", 
                RowBox[{
                  UnderscriptBox["Minus", "Int"], "[", 
                  RowBox[{"stripINT", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}], 
                "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(- unary \[DoubleStruckCapitalZ])\"", True -> 
            StyleBox[
             "\"(- unary \[DoubleStruckCapitalZ])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:556756902"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:556756902"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247275, TheoryTools`$LabelDelimiter, 
             "Nat 0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["0", "Nat"], ":=", "\[EmptySet]"}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat 0)\"", True -> 
            StyleBox["\"(Nat 0)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:720795295"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:720795295"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247278, TheoryTools`$LabelDelimiter, 
             "Nat +"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["+", "Nat"], 
                StyleBox["b", "ExpressionVariable"]}], ":=", 
              RowBox[{
                RowBox[{"natRec", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{"succ", "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}], "]"}], 
                "[", 
                StyleBox["b", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat +)\"", True -> 
            StyleBox["\"(Nat +)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:205601935"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:205601935"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247303, TheoryTools`$LabelDelimiter, 
             "Nat \[GreaterEqual]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["\[GreaterEqual]", "Nat"], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["b", "ExpressionVariable"], "\[Element]", 
                RowBox[{"succ", "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat \[GreaterEqual])\"", True -> 
            StyleBox["\"(Nat \[GreaterEqual])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:155532301"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:155532301"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247321, TheoryTools`$LabelDelimiter, 
             "\[Cross]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Cross]", 
                StyleBox["B", "ExpressionVariable"]}], ":=", 
              RowBox[{"Sigma", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    StyleBox["B", "ExpressionVariable"]}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Cross])\"", True -> 
            StyleBox["\"(\[Cross])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:6103931"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:6103931"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247339, TheoryTools`$LabelDelimiter, 
             "natSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{"natSet", ":=", 
            RowBox[{"lfp", "[", 
              RowBox[{"natConstr", ",", "natFrame"}], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natSet)\"", True -> 
            StyleBox["\"(natSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:26991608"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:26991608"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247350, TheoryTools`$LabelDelimiter, 
             "Pair"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"Pair", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["B", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  RowBox[{"{", 
                    StyleBox["A", "ExpressionVariable"], "}"}], ",", 
                  RowBox[{"{", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}], "}"}]}], "}"}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Pair)\"", True -> 
            StyleBox["\"(Pair)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:56632855"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:56632855"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247368, TheoryTools`$LabelDelimiter, 
             "fst"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y", "ExpressionVariable"]}]}]}], "\[Implies]", 
              RowBox[{
                RowBox[{"fst", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(fst)\"", True -> 
            StyleBox["\"(fst)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:222125981"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:222125981"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247397, TheoryTools`$LabelDelimiter, 
             "snd"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y", "ExpressionVariable"]}]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}, {
                    RowBox[{
                    StyleBox["y2", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y2", "ExpressionVariable"]}]], 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y1", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Or]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y2", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], "\[Implies]", 
              RowBox[{
                RowBox[{"snd", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}, {
                    RowBox[{
                    StyleBox["y2", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["y1", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["y2", "ExpressionVariable"]}]], 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y1", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Or]", 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["y2", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(snd)\"", True -> 
            StyleBox["\"(snd)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:324420697"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:324420697"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247493, TheoryTools`$LabelDelimiter, 
             "QuoSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"QuoSet", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  RowBox[{
                    SubscriptBox["EC", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoSet)\"", True -> 
            StyleBox["\"(QuoSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:164034982"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:164034982"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247513, TheoryTools`$LabelDelimiter, 
             "QuoDom Base"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"]}]], 
            RowBox[{
              UnderscriptBox["Base", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ":=", 
              RowBox[{"{", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]]}], 
                "}"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom Base)\"", True -> 
            StyleBox["\"(QuoDom Base)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:48746434"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:48746434"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247527, TheoryTools`$LabelDelimiter, 
             "PreInt equiv"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["equiv", "PreInt"], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{"fst", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["+", "Nat"], 
                  RowBox[{"snd", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}], "\[Equal]", 
                RowBox[{
                  RowBox[{"snd", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["+", "Nat"], 
                  RowBox[{"fst", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt equiv)\"", True -> 
            StyleBox["\"(PreInt equiv)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:468243965"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:468243965"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247570, TheoryTools`$LabelDelimiter, 
             "index base"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["a", "ExpressionVariable"]}, {
                RowBox[{"isTuple", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              SubscriptBox[
               RowBox[{"Cons", "[", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox["T", "ExpressionVariable"]}], "]"}], "1"], ":=", 
              StyleBox["a", "ExpressionVariable"]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(index base)\"", True -> 
            StyleBox["\"(index base)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:29057684"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:29057684"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247588, TheoryTools`$LabelDelimiter, 
             "prepend"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\:293b", 
                StyleBox["T", "ExpressionVariable"]}], ":=", 
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox["a", "ExpressionVariable"], 
                  "\[RightAngleBracket]"}], "\:22c8", 
                StyleBox["T", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(prepend)\"", True -> 
            StyleBox["\"(prepend)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:884743897"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:884743897"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247603, TheoryTools`$LabelDelimiter, 
             "reflexive-transitive closure of common successor"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 TemplateBox[{"\[DownArrow]", 
                   StyleBox["r", "ExpressionVariable"], "*"}, 
                  "Subsuperscript"], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[Rule]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[Rule]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["d", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reflexive-transitive closure of common successor)\"", 
            True -> 
            StyleBox[
             "\"(reflexive-transitive closure of common successor)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:895393520"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:895393520"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247628, TheoryTools`$LabelDelimiter, 
             "ProdDomain \[Element]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
               StyleBox["\[ScriptCapitalB]", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"ProdDomain", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalA]", "ExpressionVariable"], ",", 
                    StyleBox["\[ScriptCapitalB]", "ExpressionVariable"]}], 
                   "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isTuple", "[", 
                  StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", "2"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalA]", "ExpressionVariable"]], "[", 
                  SubscriptBox[
                   StyleBox["x", "ExpressionVariable"], "1"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["\[ScriptCapitalB]", "ExpressionVariable"]], "[", 
                  SubscriptBox[
                   StyleBox["x", "ExpressionVariable"], "2"], "]"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(ProdDomain \[Element])\"", True -> 
            StyleBox["\"(ProdDomain \[Element])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb",
             "ID:172182433"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb"],
          Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Functors.nb", 
           "ID:172182433"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247671, TheoryTools`$LabelDelimiter, 
             "membership integer domain IV"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["i", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", "\[DoubleStruckCapitalZ]Dom"], 
                "[", 
                StyleBox["i", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["i", "ExpressionVariable"], "\[Element]", 
                "\[DoubleStruckCapitalZ]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(membership integer domain IV)\"", True -> 
            StyleBox[
             "\"(membership integer domain IV)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:1238297847"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:1238297847"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247679, TheoryTools`$LabelDelimiter, 
             "common reducible"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isCommonReducible", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["areIrrelative", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(common reducible)\"", True -> 
            StyleBox["\"(common reducible)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1907029362"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1907029362"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247722, TheoryTools`$LabelDelimiter, 
             "non-trivial common reducible"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c1", "ExpressionVariable"], ",", 
               StyleBox["c2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isNTCR", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isCommonReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["areIrrelative", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m3", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c1", "ExpressionVariable"]}]}], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[Or]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m4", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c2", "ExpressionVariable"]}]}], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}]}]}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(non-trivial common reducible)\"", True -> 
            StyleBox[
             "\"(non-trivial common reducible)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2013437879"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2013437879"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247807, TheoryTools`$LabelDelimiter, 
             "GroebnerRing cpmTuple 2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["cpmTuple", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["let", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["L", "ExpressionVariable"], "=", 
                    RowBox[{
                    UnderscriptBox["lcrd", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}]}}]], 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    RowBox[{
                    UnderscriptBox["cpm", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["L", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], 
                    "\[RightAngleBracket]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["L", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                  "\[RightAngleBracket]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing cpmTuple 2)\"", True -> 
            StyleBox["\"(GroebnerRing cpmTuple 2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:551185449"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:551185449"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247861, TheoryTools`$LabelDelimiter, 
             "reduction with several multipliers"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["M", "ExpressionVariable"]}, {
                StyleBox["a", "ExpressionVariable"]}, {
                StyleBox["c", "ExpressionVariable"]}, {
                RowBox[{
                  RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "0"}], ",", 
                  "\[Ellipsis]", ",", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["M", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["reduceM", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["M", "ExpressionVariable"], ",", 
                  StyleBox["k", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["-", 
                 StyleBox["D", "ExpressionVariable"]], 
                RowBox[{
                  UnderscriptBox[
                   SubscriptBox["\[Sum]", 
                    StyleBox["D", "ExpressionVariable"]], 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["k", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["M", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(reduction with several multipliers)\"", True -> 
            StyleBox[
             "\"(reduction with several multipliers)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:478302118"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:478302118"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247895, TheoryTools`$LabelDelimiter, 
             "symmetric closure of reducibility"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["symred", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["mult", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}]}], "\[And]", 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[Or]", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], 
                    UnderscriptBox["\[Succeeds]", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(symmetric closure of reducibility)\"", True -> 
            StyleBox[
             "\"(symmetric closure of reducibility)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:448370877"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:448370877"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247938, TheoryTools`$LabelDelimiter, 
             "correlative"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["m1", "ExpressionVariable"], ",", 
               StyleBox["m2", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areCorrelative", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["mult", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(correlative)\"", True -> 
            StyleBox["\"(correlative)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1834165766"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1834165766"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$247969, TheoryTools`$LabelDelimiter, 
             "unary non-trivial common reducible"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isNTCR", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isReducible", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["isReducible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m4", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c", "ExpressionVariable"]}]}], ",", 
                    StyleBox["c", "ExpressionVariable"], ",", 
                    StyleBox["m3", "ExpressionVariable"]}], "]"}]}]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(unary non-trivial common reducible)\"", True -> 
            StyleBox[
             "\"(unary non-trivial common reducible)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1293246145"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1293246145"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248021, TheoryTools`$LabelDelimiter, 
             "nonemptySet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"nonemptySet", "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   StyleBox["a", "ExpressionVariable"]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(nonemptySet)\"", True -> 
            StyleBox["\"(nonemptySet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:324063439"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:324063439"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248046, TheoryTools`$LabelDelimiter, 
             "\[Union]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Union]", 
                StyleBox["B", "ExpressionVariable"]}], ":=", 
              RowBox[{"Un", "[", 
                RowBox[{"{", 
                  RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["B", "ExpressionVariable"]}], "}"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Union])\"", True -> 
            StyleBox["\"(\[Union])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:197157243"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:197157243"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248064, TheoryTools`$LabelDelimiter, 
             "join"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], ",", 
               StyleBox["S", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:22c8", 
                StyleBox["S", "ExpressionVariable"]}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"tupRec", "[", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    RowBox[{"Cons", "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}], "]"}]}]}], "]"}], 
                    "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                   "\[DoubleLeftArrow]", 
                   RowBox[{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}]}, {
                  "\[EmptySet]", "\[DoubleLeftArrow]", "True"}}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(join)\"", True -> 
            StyleBox["\"(join)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:338791396"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:338791396"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248110, TheoryTools`$LabelDelimiter, 
             "enumeration term"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"b", "..."}], "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"{", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"b", "..."}], "ExpressionVariable"]}], "}"}], ":=", 
              RowBox[{"Un", "[", 
                RowBox[{"up", "[", 
                  RowBox[{
                    RowBox[{"up", "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}], ",", 
                    RowBox[{"{", 
                    StyleBox[
                    RowBox[{"b", "..."}], "ExpressionVariable"], "}"}]}], 
                  "]"}], "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(enumeration term)\"", True -> 
            StyleBox["\"(enumeration term)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:100008760"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:100008760"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248139, TheoryTools`$LabelDelimiter, 
             "Nat 1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["1", "Nat"], ":=", 
            RowBox[{"succ", "[", 
              UnderscriptBox["0", "Nat"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat 1)\"", True -> 
            StyleBox["\"(Nat 1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:3778917"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:3778917"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248149, TheoryTools`$LabelDelimiter, 
             "Int +"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["+", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["Fun2", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["+", "PreInt"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int +)\"", True -> 
            StyleBox["\"(Int +)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:19419340"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:19419340"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248164, TheoryTools`$LabelDelimiter, 
             "PreInt +"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["+", "PreInt"], 
                StyleBox["b", "ExpressionVariable"]}], ":=", 
              RowBox[{"Pair", "[", 
                RowBox[{
                  RowBox[{
                    RowBox[{"fst", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["+", "Nat"], 
                    RowBox[{"fst", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}], ",", 
                  RowBox[{
                    RowBox[{"snd", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["+", "Nat"], 
                    RowBox[{"snd", "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}]}], "]"}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt +)\"", True -> 
            StyleBox["\"(PreInt +)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:10580372"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:10580372"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248210, TheoryTools`$LabelDelimiter, 
             "natRec"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["y", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                  "\[Element]", 
                  RowBox[{"natRecSet", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{
                  RowBox[{"natRec", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}], "[", 
                  StyleBox["n", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["y", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                    "\[Element]", 
                    RowBox[{"natRecSet", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["c", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRec)\"", True -> 
            StyleBox["\"(natRec)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:669214708"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:669214708"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248267, TheoryTools`$LabelDelimiter, 
             "\[EmptySet]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 StyleBox["x", "ExpressionVariable"]], 
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}], "\[Implies]", 
            RowBox[{"\[EmptySet]", ":=", 
              RowBox[{
                UnderscriptBox["\[CurlyEpsilon]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[EmptySet])\"", True -> 
            StyleBox["\"(\[EmptySet])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:285032851"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:285032851"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248296, TheoryTools`$LabelDelimiter, 
             "succ"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"succ", "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                StyleBox["A", "ExpressionVariable"], "\[Union]", 
                RowBox[{"{", 
                  StyleBox["A", "ExpressionVariable"], "}"}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(succ)\"", True -> 
            StyleBox["\"(succ)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:224281204"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:224281204"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248312, TheoryTools`$LabelDelimiter, 
             "Sigma"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"Sigma", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["B", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Union]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                RowBox[{"Prod1", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "]"}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Sigma)\"", True -> 
            StyleBox["\"(Sigma)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:450533799"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:450533799"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248336, TheoryTools`$LabelDelimiter, 
             "natFrame"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            RowBox[{
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                RowBox[{"\[EmptySet]", "\[Element]", 
                  StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                   RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                  RowBox[{
                    RowBox[{"succ", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}], "\[Implies]", 
            RowBox[{"natFrame", ":=", 
              RowBox[{
                UnderscriptBox["\[CurlyEpsilon]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{"\[EmptySet]", "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    RowBox[{"succ", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natFrame)\"", True -> 
            StyleBox["\"(natFrame)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:559277188"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:559277188"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248400, TheoryTools`$LabelDelimiter, 
             "lfp"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"lfp", "[", 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[Intersection]", 
                  GridBox[{{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"Pow", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], 
                   "\[SubsetEqual]", 
                   StyleBox["B", "ExpressionVariable"]}]], 
                StyleBox["B", "ExpressionVariable"]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(lfp)\"", True -> 
            StyleBox["\"(lfp)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:10293804"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:10293804"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248431, TheoryTools`$LabelDelimiter, 
             "equivalence class"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}, {
                StyleBox["x", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                SubscriptBox["EC", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                SubscriptBox["RelSet", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                RowBox[{"{", 
                  StyleBox["x", "ExpressionVariable"], "}"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(equivalence class)\"", True -> 
            StyleBox["\"(equivalence class)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:75804342"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:75804342"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248451, TheoryTools`$LabelDelimiter, 
             "\[SubsetEqual]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"isSet", "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], "\[SubsetEqual]", 
                  StyleBox["B", "ExpressionVariable"]}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[SubsetEqual])\"", True -> 
            StyleBox["\"(\[SubsetEqual])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:558452934"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:558452934"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248486, TheoryTools`$LabelDelimiter, 
             "Rest"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["T", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"Rest", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"tupRec", "[", 
                    RowBox[{"\[EmptySet]", ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    StyleBox["y", "ExpressionVariable"]}]}], "]"}], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                   "\[DoubleLeftArrow]", 
                   RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                  "\[EmptySet]", "\[DoubleLeftArrow]", "True"}}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Rest)\"", True -> 
            StyleBox["\"(Rest)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:12265558"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:12265558"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248515, TheoryTools`$LabelDelimiter, 
             "Tuples decision predicate"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["x", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"Tuples", "[", "]"}]], "[", 
                StyleBox["x", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{"isTuple", "[", 
                StyleBox["x", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Tuples decision predicate)\"", True -> 
            StyleBox["\"(Tuples decision predicate)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:1792308841"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:1792308841"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248527, TheoryTools`$LabelDelimiter, 
             "Tuples \[Succeeds]"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["x", "ExpressionVariable"], 
                UnderscriptBox["\[Succeeds]", 
                 RowBox[{"Tuples", "[", "]"}]], 
                StyleBox["y", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["x", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}], ">", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["y", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Tuples \[Succeeds])\"", True -> 
            StyleBox["\"(Tuples \[Succeeds])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:734182331"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:734182331"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248548, TheoryTools`$LabelDelimiter, 
             "Un"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"Un", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Un)\"", True -> 
            StyleBox["\"(Un)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:350827333"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:350827333"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248607, TheoryTools`$LabelDelimiter, 
             "up"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}]}], ")"}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"up", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["a", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}]}], 
                    ")"}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(up)\"", True -> 
            StyleBox["\"(up)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:428281469"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:428281469"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248669, TheoryTools`$LabelDelimiter, 
             "Reverse"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["T", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"Reverse", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{"tupRec", "[", 
                    RowBox[{"Nil", ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"], ",", 
                    StyleBox["z", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["z", "ExpressionVariable"], "\:293a", 
                    StyleBox["x", "ExpressionVariable"]}]}]}], "]"}], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                   "\[DoubleLeftArrow]", 
                   RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                  "\[EmptySet]", "\[DoubleLeftArrow]", "True"}}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Reverse)\"", True -> 
            StyleBox["\"(Reverse)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:32295857"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:32295857"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248703, TheoryTools`$LabelDelimiter, 
             "QuoFun2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                SubscriptBox["QuoFun2", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["f", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Lambda]", 
                 RowBox[{
                   StyleBox["X", "ExpressionVariable"], ",", 
                   StyleBox["Y", "ExpressionVariable"]}]], 
                RowBox[{
                  SubscriptBox["RelSet", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                  RowBox[{
                    UnderscriptBox["\[Union]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["X", "ExpressionVariable"]}]}}]], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["Y", "ExpressionVariable"]}]}}]]}], "}"}]}], 
                  "]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoFun2)\"", True -> 
            StyleBox["\"(QuoFun2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:67210047"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:67210047"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248732, TheoryTools`$LabelDelimiter, 
             "QuoDom Fun2"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Fun2", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                SubscriptBox["QuoFun2", 
                 RowBox[{
                   UnderscriptBox["Base", 
                    RowBox[{"QuoDom", "[", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom Fun2)\"", True -> 
            StyleBox["\"(QuoDom Fun2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:211465861"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:211465861"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248760, TheoryTools`$LabelDelimiter, 
             "Int - unary"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["Minus", "Int"], ":=", 
            RowBox[{
              UnderscriptBox["Fun1", 
               RowBox[{"QuoDom", "[", 
                 RowBox[{"PreInt", ",", 
                   UnderscriptBox["equiv", "PreInt"]}], "]"}]], "[", 
              UnderscriptBox["Minus", "PreInt"], "]"}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Int - unary)\"", True -> 
            StyleBox["\"(Int - unary)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:280798627"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:280798627"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248777, TheoryTools`$LabelDelimiter, 
             "isSetFunction"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"isSetFunction", "[", 
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"Pow", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}], "\[Element]", 
                  RowBox[{"Pow", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isSetFunction)\"", True -> 
            StyleBox["\"(isSetFunction)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:154696877"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:154696877"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248811, TheoryTools`$LabelDelimiter, 
             "natConstr"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["F", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"natConstr", "[", 
                StyleBox["F", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                RowBox[{"{", "\[EmptySet]", "}"}], "\[Union]", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{"succ", "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "\[Element]", 
                    StyleBox["F", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["f", "ExpressionVariable"], "]"}]}], "}"}]}]}]}],
           TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natConstr)\"", True -> 
            StyleBox["\"(natConstr)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:2083538685"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:2083538685"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248844, TheoryTools`$LabelDelimiter, 
             "natRecSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["c", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"natRecSet", "[", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["c", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"indSet", "[", 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{"\[EmptySet]", ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}], ",", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{"Pair", "[", 
                    RowBox[{
                    RowBox[{"succ", "[", 
                    RowBox[{"fst", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "]"}], ",", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{"fst", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{"snd", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], "]"}]}], 
                    "]"}]}]}], "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRecSet)\"", True -> 
            StyleBox["\"(natRecSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:143274494"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:143274494"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248905, TheoryTools`$LabelDelimiter, 
             "Prod1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"Prod1", "[", 
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], ",", 
                  StyleBox["B", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}}]]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Prod1)\"", True -> 
            StyleBox["\"(Prod1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:318713848"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:318713848"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248927, TheoryTools`$LabelDelimiter, 
             "Pow"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                   StyleBox["x", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}]}], ")"}]}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{"Pow", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   GridBox[{{
                    RowBox[{"isSet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}], ")"}], 
                    "\[DoubleLeftRightArrow]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"isSet", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}]}], 
                    ")"}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Pow)\"", True -> 
            StyleBox["\"(Pow)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:23613887"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:23613887"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$248988, TheoryTools`$LabelDelimiter, 
             "RelSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}, {
                StyleBox["X", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                SubscriptBox["RelSet", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["X", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}], "|", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["X", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Tilde]", 
                    StyleBox["a", "ExpressionVariable"]}]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(RelSet)\"", True -> 
            StyleBox["\"(RelSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:169043782"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:169043782"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249010, TheoryTools`$LabelDelimiter, 
             "\[Subset]"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["A", "ExpressionVariable"], ",", 
               StyleBox["B", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}], "\[And]", 
                RowBox[{"isSet", "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  StyleBox["A", "ExpressionVariable"], "\[Subset]", 
                  StyleBox["B", "ExpressionVariable"]}], 
                TagBox[
                 
                 RowBox[{
                  ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                   "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                 "a:=b"], 
                RowBox[{
                  RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["B", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], "\[SubsetEqual]", 
                    StyleBox["A", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(\[Subset])\"", True -> 
            StyleBox["\"(\[Subset])\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:938973158"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:938973158"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249055, TheoryTools`$LabelDelimiter, 
             "membership integer domain II"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Element]", 
                 RowBox[{"\[DoubleStruckCapitalZ]IntL", "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                StyleBox["i", "ExpressionVariable"], "\[Element]", 
                SubscriptBox["\[DoubleStruckCapitalZ]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", "\[Ellipsis]", 
                   ",", "\[Infinity]"}]]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(membership integer domain II)\"", True -> 
            StyleBox[
             "\"(membership integer domain II)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
            "ID:757090774"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/NatInt.nb", 
           "ID:757090774"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249071, TheoryTools`$LabelDelimiter, 
             "natRec0"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["C", "ExpressionVariable"], ",", 
               StyleBox["n", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["y", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                  "\[Element]", 
                  RowBox[{"natRec0Set", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}]}]}], 
              "\[Implies]", 
              RowBox[{
                RowBox[{
                  RowBox[{"natRec0", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}], "[", 
                  StyleBox["n", "ExpressionVariable"], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[CurlyEpsilon]", 
                   StyleBox["y", "ExpressionVariable"]], 
                  RowBox[{
                    RowBox[{"Pair", "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}], 
                    "\[Element]", 
                    RowBox[{"natRec0Set", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRec0)\"", True -> 
            StyleBox["\"(natRec0)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:387922524"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:387922524"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249130, TheoryTools`$LabelDelimiter, 
             "PreInt - unary"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["a", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Minus", "PreInt"], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"Pair", "[", 
                RowBox[{
                  RowBox[{"snd", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}], ",", 
                  RowBox[{"fst", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(PreInt - unary)\"", True -> 
            StyleBox["\"(PreInt - unary)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:106096058"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:106096058"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249157, TheoryTools`$LabelDelimiter, 
             "QuoFun1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Tilde]", "ExpressionVariable"]}, {
                StyleBox["f", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                SubscriptBox["QuoFun1", 
                 RowBox[{
                   StyleBox["A", "ExpressionVariable"], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["f", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Lambda]", 
                 StyleBox["X", "ExpressionVariable"]], 
                RowBox[{
                  SubscriptBox["RelSet", 
                   RowBox[{
                    StyleBox["A", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["X", "ExpressionVariable"]}]}}]]}], "}"}], 
                  "]"}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoFun1)\"", True -> 
            StyleBox["\"(QuoFun1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:22540496"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:22540496"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249182, TheoryTools`$LabelDelimiter, 
             "QuoDom Fun1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               StyleBox["\[Tilde]", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["Fun1", 
                 RowBox[{"QuoDom", "[", 
                   RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                SubscriptBox["QuoFun1", 
                 RowBox[{
                   UnderscriptBox["Base", 
                    RowBox[{"QuoDom", "[", 
                    RowBox[{
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
                    StyleBox["\[Tilde]", "ExpressionVariable"]}], "]"}]], ",", 
                   StyleBox["\[Tilde]", "ExpressionVariable"]}]], "[", 
                StyleBox["a", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(QuoDom Fun1)\"", True -> 
            StyleBox["\"(QuoDom Fun1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:79971692"}, 
          ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/AlgebraicStructures.nb", "ID:79971692"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249210, TheoryTools`$LabelDelimiter, 
             "intersection"]]], Evaluator -> Automatic, ImageSize -> {20, 20},
          Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["A", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"Inter", "[", 
                StyleBox["A", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    RowBox[{"Un", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}]}}], "|", 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\[Element]", 
                    StyleBox["A", "ExpressionVariable"]}]}}]], 
                    RowBox[{"isSet", "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]], 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["a", "ExpressionVariable"]}]}]}], "}"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(intersection)\"", True -> 
            StyleBox["\"(intersection)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:87041636"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:87041636"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249242, TheoryTools`$LabelDelimiter, 
             "isWellFounded"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isSet", "[", 
                  StyleBox["A", "ExpressionVariable"], "]"}]}, {
                StyleBox["\[Precedes]", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{"isWellFounded", "[", 
                RowBox[{
                  StyleBox["\[Precedes]", "ExpressionVariable"], ",", 
                  StyleBox["A", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{"nonemptySet", "[", 
                    StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   StyleBox["B", "ExpressionVariable"], "\[SubsetEqual]", 
                   StyleBox["A", "ExpressionVariable"]}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Element]", 
                    StyleBox["B", "ExpressionVariable"]}]}}]], 
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\[Precedes]", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    TagBox[")", "AutoParentheses"]}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isWellFounded)\"", True -> 
            StyleBox["\"(isWellFounded)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:173714274"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:173714274"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249274, TheoryTools`$LabelDelimiter, 
             "natRec0Set"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["C", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"natRec0Set", "[", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"indSet", "[", 
                RowBox[{
                  RowBox[{"Pair", "[", 
                    RowBox[{"0", ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}], ",", 
                  RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    StyleBox["x", "ExpressionVariable"]], 
                    RowBox[{"Pair", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"fst", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "+", "1"}], 
                    ",", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{"fst", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], ",", 
                    RowBox[{"snd", "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}], "]"}]}], 
                    "]"}]}]}], "]"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRec0Set)\"", True -> 
            StyleBox["\"(natRec0Set)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:11665641"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:11665641"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249334, TheoryTools`$LabelDelimiter, 
             "Most"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             StyleBox["T", "ExpressionVariable"]], 
            RowBox[{
              RowBox[{"Most", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{"\[Piecewise]", 
                GridBox[{{
                   RowBox[{"Reverse", "[", 
                    RowBox[{"Rest", "[", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}], "]"}], 
                   "\[DoubleLeftArrow]", 
                   RowBox[{"isTuple", "[", 
                    RowBox[{"Rest", "[", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
                    "]"}]}, {
                  "\[EmptySet]", "\[DoubleLeftArrow]", "True"}}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Most)\"", True -> 
            StyleBox["\"(Most)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
            "ID:91603327"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
           "ID:91603327"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249383, TheoryTools`$LabelDelimiter, 
             "indRel"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox["y", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                RowBox[{"indRel", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["f", "ExpressionVariable"]}], "]"}], "[", 
                RowBox[{
                  StyleBox["x", "ExpressionVariable"], ",", 
                  StyleBox["y", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 StyleBox["g", "ExpressionVariable"]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", "\[EmptySet]", 
                    "]"}], "\[Equal]", 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}], "\[Equal]", 
                    StyleBox["y", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["u", "ExpressionVariable"], "\[Element]", 
                    StyleBox["x", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    RowBox[{"succ", "[", 
                    StyleBox["u", "ExpressionVariable"], "]"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["u", "ExpressionVariable"], "]"}], 
                    "]"}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(indRel)\"", True -> 
            StyleBox["\"(indRel)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:1560179048"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:1560179048"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249435, TheoryTools`$LabelDelimiter, 
             "indSet"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["f", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"indSet", "[", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], ",", 
                  StyleBox["f", "ExpressionVariable"]}], "]"}], ":=", 
              RowBox[{"{", 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["\[CurlyEpsilon]", 
                    StyleBox["y", "ExpressionVariable"]], 
                    RowBox[{
                    RowBox[{"indRel", "[", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["f", "ExpressionVariable"]}], "]"}], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "\[Element]", 
                    "natSet"}]}}]]}], "}"}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(indSet)\"", True -> 
            StyleBox["\"(indSet)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb", "ID:197465938"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/LogicSets.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/LogicSets.nb",
            "ID:197465938"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249463, TheoryTools`$LabelDelimiter, 
             "Nat -"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox["-", "Nat"], 
                StyleBox["b", "ExpressionVariable"]}], ":=", 
              RowBox[{
                RowBox[{"natRec", "[", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    UnderscriptBox["Pred", "Nat"], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}]}], "]"}], 
                "[", 
                StyleBox["b", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat -)\"", True -> 
            StyleBox["\"(Nat -)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:74238769"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:74238769"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249485, TheoryTools`$LabelDelimiter, 
             "natRec1"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["b", "ExpressionVariable"]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                RowBox[{
                  StyleBox["n", "ExpressionVariable"], "\[Element]", 
                  "\[DoubleStruckCapitalN]"}]}}]], 
            RowBox[{
              RowBox[{
                RowBox[{"natRec1", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}], "[", 
                StyleBox["n", "ExpressionVariable"], "]"}], ":=", 
              RowBox[{
                RowBox[{"natRec0", "[", 
                  RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], ",", 
                    StyleBox["y", "ExpressionVariable"]}], "]"}]}]}], "]"}], 
                "[", 
                RowBox[{
                  StyleBox["n", "ExpressionVariable"], "-", "1"}], "]"}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(natRec1)\"", True -> 
            StyleBox["\"(natRec1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:455596188"}, ButtonNote -> 
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/NatIntExtended.nb", "ID:455596188"}, 
          "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249521, TheoryTools`$LabelDelimiter, 
             "Nat Pred"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["Pred", "Nat"], ":=", 
            RowBox[{"natRec", "[", 
              RowBox[{"\[EmptySet]", ",", 
                RowBox[{
                  UnderscriptBox["\[Lambda]", 
                   RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                  StyleBox["x", "ExpressionVariable"]}]}], "]"}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Nat Pred)\"", True -> 
            StyleBox["\"(Nat Pred)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
            "ID:54060264"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/ElementaryTheories/Numbers.nb", 
           "ID:54060264"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249534, TheoryTools`$LabelDelimiter, 
             "isCPTODOTuple"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["P", "ExpressionVariable"]}, {
                StyleBox["M", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isCPTODOTuple", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["M", "ExpressionVariable"], ",", 
                  StyleBox["P", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{"\[Not]", 
                  RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{"processed", "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Or]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}}]], 
                   RowBox[{
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]]}], "\[Implies]", 
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], ">", 
                    StyleBox["k", "ExpressionVariable"]}]}]], 
                  RowBox[{
                    UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    UnderscriptBox["isMNTCR", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}]], 
                    RowBox[{
                    RowBox[{"\[Not]", 
                    RowBox[{
                    TagBox["(", "AutoParentheses"], 
                    RowBox[{
                    UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["mi", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["mj", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["\[Tilde]", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[RightAngleBracket]"}], 
                    "\:22ff", 
                    StyleBox["M", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    UnderscriptBox["areCPMultipliers", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                    StyleBox["b", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}]}]}], 
                    TagBox[")", "AutoParentheses"]}]}], "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["cpConnectible", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"]}], "]"}]}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isCPTODOTuple)\"", True -> 
            StyleBox["\"(isCPTODOTuple)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1837575531"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1837575531"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249770, TheoryTools`$LabelDelimiter, 
             "GBAuxCPConnectible2"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["P", "ExpressionVariable"]}, {
                StyleBox["M", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxCPConnectible2", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["P", "ExpressionVariable"], ",", 
                  StyleBox["M", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isTODOTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["isCPTODOTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["M", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], 
                "\[Implies]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["i0", "ExpressionVariable"], ",", 
                    StyleBox["j0", "ExpressionVariable"]}]], 
                   RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["i0", "ExpressionVariable"], ",", 
                    StyleBox["j0", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "\:22ff", 
                    StyleBox["P", "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["cpConnectible", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["M", "ExpressionVariable"]}], "]"}], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i0", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j0", "ExpressionVariable"]]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          PaneSelectorBox[{
           False -> "\"(GBAuxCPConnectible2)\"", True -> 
            StyleBox["\"(GBAuxCPConnectible2)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1643593823"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1643593823"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$249869, TheoryTools`$LabelDelimiter, 
             "GBAuxCPConnectible3"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["P", "ExpressionVariable"]}, {
                StyleBox["M", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxCPConnectible3", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["P", "ExpressionVariable"], ",", 
                  StyleBox["M", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  RowBox[{
                    UnderscriptBox["isTODOTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["isCPTODOTuple", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["M", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]}], 
                "\[Implies]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i0", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["M", "ExpressionVariable"]}], "]"}], 
                    "\[RightBracketingBar]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j0", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["M", "ExpressionVariable"]}], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    RowBox[{
                    StyleBox["j0", "ExpressionVariable"], "\[GreaterEqual]", 
                    StyleBox["i0", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["j0", "ExpressionVariable"], ">", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}]], 
                  RowBox[{
                    UnderscriptBox["cpConnectible", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["M", "ExpressionVariable"]}], "]"}], ",", 
                    SubscriptBox[
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["M", "ExpressionVariable"]}], "]"}], 
                    StyleBox["i0", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["M", "ExpressionVariable"]}], "]"}], 
                    StyleBox["j0", "ExpressionVariable"]]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBAuxCPConnectible3)\"", True -> 
            StyleBox["\"(GBAuxCPConnectible3)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1213243088"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1213243088"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250044, TheoryTools`$LabelDelimiter, 
             "Gr\[ODoubleDot]bner basis"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isGroebnerBasis", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["r", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["isChurchRosser", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["r", "ExpressionVariable"], "]"}]}]}], TheoremaForm],
          DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Gr\[ODoubleDot]bner basis)\"", True -> 
            StyleBox["\"(Gr\[ODoubleDot]bner basis)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:661413373"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:661413373"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250055, TheoryTools`$LabelDelimiter, 
             "isTODOTuple"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   RowBox[{"DomainTuples", "[", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}], "]"}]], "[", 
                  StyleBox["B", "ExpressionVariable"], "]"}]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}, {
                StyleBox["P", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isTODOTuple", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["P", "ExpressionVariable"], ",", 
                  StyleBox["B", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["B", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["B", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{"processed", "[", 
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["i", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["j", "ExpressionVariable"]}]}], "\[And]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["j", "ExpressionVariable"]}], "\[Or]", 
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["i", "ExpressionVariable"]}]}]}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["cpConnectible", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["B", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["B", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["B", "ExpressionVariable"], 
                    StyleBox["l", "ExpressionVariable"]]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(isTODOTuple)\"", True -> 
            StyleBox["\"(isTODOTuple)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1576526273"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1576526273"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250163, TheoryTools`$LabelDelimiter, 
             "processed"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{"processed", "[", 
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"], ",", 
                  StyleBox["T", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                RowBox[{
                  RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[And]", 
                  RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}]}]}]}]}], TheoremaForm], 
         DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(processed)\"", True -> 
            StyleBox["\"(processed)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1033951332"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1033951332"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250212, TheoryTools`$LabelDelimiter, 
             "local connectivity of elements"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["r", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isLocConnective", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["r", "ExpressionVariable"], ",", 
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b1", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b2", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{"{", 
                    StyleBox["c1", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b1", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{"{", 
                    StyleBox["c2", "ExpressionVariable"], "}"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b2", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["b1", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["d", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b2", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(local connectivity of elements)\"", True -> 
            StyleBox[
             "\"(local connectivity of elements)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:756678784"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:756678784"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250259, TheoryTools`$LabelDelimiter, 
             "local connectivity"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isLocConnective", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["r", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    StyleBox["r", "ExpressionVariable"]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(local connectivity)\"", True -> 
            StyleBox["\"(local connectivity)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1602877499"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1602877499"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250298, TheoryTools`$LabelDelimiter, 
             "areConnectibleMultipliers"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["r", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c2", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["m1", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["m2", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["areConnectibleMultipliers", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["m1", "ExpressionVariable"], ",", 
                  StyleBox["m2", "ExpressionVariable"], ",", 
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["r", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["let", 
                 GridBox[{{
                    RowBox[{
                    StyleBox["b1", "ExpressionVariable"], "=", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c1", "ExpressionVariable"]}]}]}]}, {
                    RowBox[{
                    StyleBox["b2", "ExpressionVariable"], "=", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox["-", 
                    StyleBox["D", "ExpressionVariable"]], 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], 
                    UnderscriptBox["*", 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["c2", "ExpressionVariable"]}]}]}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m1", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b1", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    SubscriptBox["\[Rule]", 
                    RowBox[{
                    StyleBox["m2", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"]}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b2", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["b1", "ExpressionVariable"], 
                    UnderscriptBox[
                    OverscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    "\[Succeeds]"}]], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b2", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(areConnectibleMultipliers)\"", True -> 
            StyleBox["\"(areConnectibleMultipliers)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1408266583"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1408266583"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250361, TheoryTools`$LabelDelimiter, 
             "connectibility of one critical pair"]]], Evaluator -> Automatic,
          ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["r", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["a", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c2", "ExpressionVariable"], "]"}]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["cpConnectible", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"], ",", 
                  StyleBox["a", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"], ",", 
                  StyleBox["r", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m3", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["m4", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    UnderscriptBox["areCPMultipliers", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m3", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["areConnectibleMultipliers", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["m3", "ExpressionVariable"], ",", 
                    StyleBox["m4", "ExpressionVariable"], ",", 
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(connectibility of one critical pair)\"", True -> 
            StyleBox[
             "\"(connectibility of one critical pair)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:882680545"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:882680545"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250407, TheoryTools`$LabelDelimiter, 
             "element confluence"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["r", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isConfluent", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["c", "ExpressionVariable"], ",", 
                  StyleBox["r", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[Rule]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["c", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[Rule]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[DownArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(element confluence)\"", True -> 
            StyleBox["\"(element confluence)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1471949021"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1471949021"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250442, TheoryTools`$LabelDelimiter, 
             "reflexive-transitive closure of common predecessor"]]], 
         Evaluator -> Automatic, ImageSize -> {20, 20}, Method -> 
         "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["a", "ExpressionVariable"], ",", 
               StyleBox["b", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                StyleBox["a", "ExpressionVariable"], 
                UnderscriptBox[
                 TemplateBox[{"\[UpArrow]", 
                   StyleBox["r", "ExpressionVariable"], "*"}, 
                  "Subsuperscript"], 
                 StyleBox["D", "ExpressionVariable"]], 
                StyleBox["b", "ExpressionVariable"]}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[Rule]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["a", "ExpressionVariable"]}], "\[And]", 
                  RowBox[{
                    StyleBox["d", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[Rule]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> 
            "\"(reflexive-transitive closure of common predecessor)\"", True -> 
            StyleBox[
             "\"(reflexive-transitive closure of common predecessor)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2045822907"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2045822907"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250467, TheoryTools`$LabelDelimiter, 
             "confluence"]]], Evaluator -> Automatic, ImageSize -> {20, 20}, 
         Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isConfluent", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["r", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[UpArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[DownArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(confluence)\"", True -> 
            StyleBox["\"(confluence)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:146706347"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:146706347"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250491, TheoryTools`$LabelDelimiter, 
             "Church-Rosser property"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["r", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["isChurchRosser", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                StyleBox["r", "ExpressionVariable"], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["a", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["b", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[LeftRightArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["a", "ExpressionVariable"], 
                    UnderscriptBox[
                    TemplateBox[{"\[DownArrow]", 
                    StyleBox["r", "ExpressionVariable"], "*"}, 
                    "Subsuperscript"], 
                    StyleBox["D", "ExpressionVariable"]], 
                    StyleBox["b", "ExpressionVariable"]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(Church-Rosser property)\"", True -> 
            StyleBox["\"(Church-Rosser property)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1279966325"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:1279966325"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250515, TheoryTools`$LabelDelimiter, 
             "connectibility of critical pairs of elements"]]], Evaluator -> 
         Automatic, ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                StyleBox["D", "ExpressionVariable"]}, {
                StyleBox["r", "ExpressionVariable"]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c1", "ExpressionVariable"], "]"}]}, {
                RowBox[{
                  UnderscriptBox["\[Element]", 
                   StyleBox["D", "ExpressionVariable"]], "[", 
                  StyleBox["c2", "ExpressionVariable"], "]"}]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["cpConnectible", 
                 StyleBox["D", "ExpressionVariable"]], "[", 
                RowBox[{
                  StyleBox["r", "ExpressionVariable"], ",", 
                  StyleBox["c1", "ExpressionVariable"], ",", 
                  StyleBox["c2", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                UnderscriptBox[
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["c1", "ExpressionVariable"], "]"}]}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["c1", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["c2", "ExpressionVariable"]}], "\[Implies]", 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["j", "ExpressionVariable"]}]}]], 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    StyleBox["d", "ExpressionVariable"], "]"}]}}]], 
                   RowBox[{
                    UnderscriptBox["isMNTCR", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["d", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}]], 
                  RowBox[{
                    UnderscriptBox["cpConnectible", 
                    StyleBox["D", "ExpressionVariable"]], "[", 
                    RowBox[{
                    StyleBox["c1", "ExpressionVariable"], ",", 
                    StyleBox["c2", "ExpressionVariable"], ",", 
                    StyleBox["d", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["r", "ExpressionVariable"]}], "]"}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(connectibility of critical pairs of elements)\"", 
            True -> StyleBox[
             "\"(connectibility of critical pairs of elements)\"", 
              "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2066466981"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/ReductionRings.nb", "ID:2066466981"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250570, TheoryTools`$LabelDelimiter, 
             "GBAuxCPConnectible1"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             GridBox[{{
                RowBox[{"isAlgoReductionRing", "[", 
                  StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                  "]"}]}, {
                StyleBox["C", "ExpressionVariable"]}, {
                StyleBox["P", "ExpressionVariable"]}, {
                StyleBox["M", "ExpressionVariable"]}, {
                StyleBox["i", "ExpressionVariable"]}, {
                StyleBox["j", "ExpressionVariable"]}}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["GBAuxCPConnectible1", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                   "]"}]], "[", 
                RowBox[{
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["P", "ExpressionVariable"], ",", 
                  StyleBox["M", "ExpressionVariable"], ",", 
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  UnderscriptBox["isTODOTuple", 
                   RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                  RowBox[{
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"]}], "]"}], 
                "\[Implies]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[ForAll]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}]], 
                   RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "\[RightAngleBracket]"}], 
                    "\:22ff", 
                    StyleBox["M", "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}, {
                    RowBox[{
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    UnderscriptBox["multN", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}}]], 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["areCPMultipliers", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["mi", "ExpressionVariable"], ",", 
                    StyleBox["mj", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"]}], "]"}], 
                    "\[Implies]", 
                    RowBox[{
                    UnderscriptBox["cpConnectible", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["l", "ExpressionVariable"], ",", 
                    RowBox[{
                    UnderscriptBox["GBAux", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["\[ScriptCapitalR]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{
                    StyleBox["C", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["M", "ExpressionVariable"]}], "]"}]}], 
                    "]"}]}]}]}]}]}]}], TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GBAuxCPConnectible1)\"", True -> 
            StyleBox["\"(GBAuxCPConnectible1)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:346323949"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:346323949"}, "Hyperlink"]& ]}, {
        ButtonBox[
        "\"C\"", Appearance -> Automatic, ButtonFunction :> CopyToClipboard[
           AngleBracket[
            StringJoin[
            TheoryTools`Private`src$250723, TheoryTools`$LabelDelimiter, 
             "GroebnerRing chainCrit"]]], Evaluator -> Automatic, 
         ImageSize -> {20, 20}, Method -> "Preemptive"], 
        TagBox[
         FormBox[
          RowBox[{
            UnderscriptBox["\[ForAll]", 
             RowBox[{
               StyleBox["D", "ExpressionVariable"], ",", 
               StyleBox["i", "ExpressionVariable"], ",", 
               StyleBox["j", "ExpressionVariable"], ",", 
               StyleBox["l", "ExpressionVariable"], ",", 
               StyleBox["C", "ExpressionVariable"], ",", 
               StyleBox["P", "ExpressionVariable"]}]], 
            RowBox[{
              RowBox[{
                UnderscriptBox["chainCrit", 
                 RowBox[{"GroebnerRing", "[", 
                   StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], ",", 
                  StyleBox["j", "ExpressionVariable"], ",", 
                  StyleBox["l", "ExpressionVariable"], ",", 
                  StyleBox["C", "ExpressionVariable"], ",", 
                  StyleBox["P", "ExpressionVariable"]}], "]"}], 
              TagBox[
               
               RowBox[{
                ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                 "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
               "a:=b"], 
              RowBox[{
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                  StyleBox["j", "ExpressionVariable"]}], "\[And]", 
                RowBox[{"processed", "[", 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{"processed", "[", 
                  RowBox[{
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}], "\[And]", 
                RowBox[{
                  UnderscriptBox[
                   UnderscriptBox["\[Exists]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["C", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["i", "ExpressionVariable"]}], "\[And]", 
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "\[NotEqual]", 
                    StyleBox["j", "ExpressionVariable"]}]}]], 
                  RowBox[{
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["rdm", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]], "[", 
                    RowBox[{
                    StyleBox["l", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["C", "ExpressionVariable"], 
                    StyleBox["k", "ExpressionVariable"]]}], "]"}], 
                    "\[NotEqual]", 
                    UnderscriptBox["0", 
                    RowBox[{"GroebnerRing", "[", 
                    StyleBox["D", "ExpressionVariable"], "]"}]]}], "\[And]", 
                    RowBox[{"processed", "[", 
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{"processed", "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{"processed", "[", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], ",", 
                    StyleBox["k", "ExpressionVariable"], ",", 
                    StyleBox["P", "ExpressionVariable"]}], "]"}]}]}]}]}]}], 
          TheoremaForm], DisplayForm], 
        TagBox[
         ButtonBox[
          
          PaneSelectorBox[{
           False -> "\"(GroebnerRing chainCrit)\"", True -> 
            StyleBox["\"(GroebnerRing chainCrit)\"", "HyperlinkActive"]}, 
           Dynamic[
            CurrentValue["MouseOver"]], BaseStyle -> {"Hyperlink"}, 
           FrameMargins -> 0, ImageSize -> Automatic], BaseStyle -> 
          "Hyperlink", 
          ButtonData :> {
           "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1766960499"}, ButtonNote -> 
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb"], 
         Annotation[#, {
          "/home/amaletzk/Theorema Notebooks/Reduction Ring \
Theory/GroebnerRings.nb", "ID:1766960499"}, "Hyperlink"]& ]}}, AutoDelete -> 
      False, GridBoxAlignment -> {"Columns" -> {Center, Left, Center}}, 
      GridBoxFrame -> {"Columns" -> False, "Rows" -> False}, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"],"\"\""},
   "Labeled",
   DisplayFunction->(GridBox[{{
       ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
       TagBox[
        ItemBox[
         PaneBox[
          TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
          BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
        "SkipImageSizeLevel"]}}, 
     GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
     AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      BaselinePosition -> {2, 1}]& ),
   InterpretationFunction->(RowBox[{"Labeled", "[", 
      RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]}}, 2]], "Output",
 CellChangeTimes->{{3.667820865145402*^9, 3.66782087277113*^9}},
 CellID->832469985]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1108, 763},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Theorema"}, "TheoremaCore.nb"]]], 
   Cell["Modify the definitions below to change the default appearance of all \
cells in a given style. \nMake modifications to any definition using commands \
in the Format menu.", "Text"], 
   Cell[
    CellGroupData[{
      Cell["Notebook Options Settings", "Section"], 
      Cell[
      "The options defined for the style below will be used at the Notebook \
level.", "Text"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Notebook"], InputAliases -> {"and" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               
               RowBox[{
                "\[SelectionPlaceholder]", "\[And]", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "or" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", "\[Or]", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "not" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[Not]", "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "impl" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               
               RowBox[{
                "\[SelectionPlaceholder]", "\[Implies]", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "equiv" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               
               RowBox[{
                "\[SelectionPlaceholder]", "\[DoubleLongLeftRightArrow]", 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "eq" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                "\[SelectionPlaceholder]", "\[Equal]", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], ":equiv" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox[
                  
                  RowBox[{
                   ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                  "a:=b"], "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], ":eq" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", ":=", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "andn" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[And]", "\[Piecewise]", 
                 
                 GridBox[{{"\[SelectionPlaceholder]"}, {"\[Placeholder]"}}, 
                  ColumnAlignments -> Left]}], 
               TagBox[")", "AutoParentheses"]}], "orn" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[Or]", "\[Piecewise]", 
                 
                 GridBox[{{"\[SelectionPlaceholder]"}, {"\[Placeholder]"}}, 
                  ColumnAlignments -> Left]}], 
               TagBox[")", "AutoParentheses"]}], "equivn" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[DoubleLeftRightArrow]", "\[Piecewise]", 
                 GridBox[{{"\[SelectionPlaceholder]"}, {"\[Placeholder]"}}]}], 
               TagBox[")", "AutoParentheses"]}], "cdist" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[Piecewise]", 
                 
                 GridBox[{{
                   "\[SelectionPlaceholder]", "\[DoubleLeftArrow]", 
                    "\[Placeholder]"}, {
                   "\[Placeholder]", "\[DoubleLeftArrow]", 
                    "\[Placeholder]"}}]}], 
               TagBox[")", "AutoParentheses"]}], "far" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox["\[ForAll]", "\[Placeholder]"], 
                 "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "exr" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox["\[Exists]", "\[Placeholder]"], 
                 "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "farc" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox[
                  UnderscriptBox["\[ForAll]", "\[Placeholder]"], 
                  "\[Placeholder]"], "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "exrc" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox[
                  UnderscriptBox["\[Exists]", "\[Placeholder]"], 
                  "\[Placeholder]"], "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "let" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox["let", 
                  RowBox[{"\[Placeholder]", "=", "\[Placeholder]"}]], 
                 "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "app" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox["\:293a", Identity, SyntaxForm -> "a*b"], 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "prep" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox["\:293b", Identity, SyntaxForm -> "a*b"], 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "join" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox["\:22c8", Identity, SyntaxForm -> "a*b"], 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "elemT" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox["\:22ff", Identity, SyntaxForm -> "a+b"], 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "subop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               SubscriptBox["\[SelectionPlaceholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "supop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               SuperscriptBox["\[SelectionPlaceholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "subsupop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               SubsuperscriptBox[
               "\[SelectionPlaceholder]", "\[Placeholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "oop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               OverscriptBox["\[SelectionPlaceholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "uoop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               UnderoverscriptBox[
               "\[SelectionPlaceholder]", "\[Placeholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "osop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               SubscriptBox[
                OverscriptBox["\[SelectionPlaceholder]", "\[Placeholder]"], 
                "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "op" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               TagBox["\[SelectionPlaceholder]", Identity], 
               TagBox[")", "AutoParentheses"]}], "[]" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:e114", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:e115", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "()" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:fd3e", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:fd3f", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "<>" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:27e8", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:27e9", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "{}" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:e117", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:e118", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "[[]]" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:27e6", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:27e7", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "(())" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:2e28", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:2e29", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "<<>>" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:27ea", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:27eb", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "{{}}" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:2983", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:2984", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "(" -> 
            TagBox["(", "AutoParentheses"], ")" -> 
            TagBox[")", "AutoParentheses"]}, Background -> 
          RGBColor[0.957, 0.96, 0.97]], 
         Cell[
          StyleData["Notebook", "Printout"], Background -> None]}, Open]]}, 
     Open]], 
   Cell[
    CellGroupData[{
      Cell["Style Environment Names", "Section"], 
      Cell[
       StyleData[All, "Working"], DockedCells -> {
         Cell[
         "Theorema 2.0", "SBO", FontTracking -> 8, 
          CellMargins -> {{0, 0}, {0, 0}}, 
          CellFrameMargins -> {{0, 50}, {0, 0}}, FontSize -> 28, FontSlant -> 
          "Plain", FontColor -> RGBColor[0.29, 0.46, 0.6], TextAlignment -> 
          Right, Background -> RGBColor[0.36, 0.54, 0.69]]}], 
      Cell[
       StyleData[
       All, "Layout", StyleDefinitions -> StyleData[All, "Working"]], 
       MenuSortingValue -> 1200]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell["Title", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], CellMargins -> {{27, 27}, {10, 30}}, 
             TextAlignment -> Center, MenuSortingValue -> 1100, 
             MenuCommandKey -> "1", FontFamily -> "Bitstream Charter", 
             FontSize -> 36, FontWeight -> "Bold", FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.23, 0.25, 0.34]], 
            Cell[
             StyleData["Title", "Printout"], ShowGroupOpener -> False, 
             CellMargins -> {{6, 10}, {5, 30}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], CellMargins -> {{27, 27}, {20, 2}}, 
             TextAlignment -> Center, MenuSortingValue -> 1150, FontFamily -> 
             "Bitstream Charter", FontSize -> 24, FontWeight -> "Plain", 
             FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.23, 0.25, 0.34]], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{6, 10}, {5, 0}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], CellMargins -> {{27, 27}, {8, 2}}, 
             TextAlignment -> Center, MenuSortingValue -> 1200, FontFamily -> 
             "Bitstream Charter", FontSize -> 16, FontWeight -> "Plain", 
             FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.23, 0.25, 0.34]], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{6, 10}, {0, 0}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Author"], CellMargins -> {{27, 27}, {18, 20}}, 
             TextAlignment -> Center, MenuSortingValue -> 1200, FontFamily -> 
             "Bitstream Charter", FontSize -> 16, FontWeight -> "Plain", 
             FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.23, 0.25, 0.34]], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{6, 10}, {0, 0}}]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Sectioning", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], ShowGroupOpener -> True, MenuSortingValue -> 
             1250, MenuCommandKey -> "4", FontFamily -> "Bitstream Charter", 
             FontSize -> 20, FontWeight -> "Bold", FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.3, 0.3, 0.3]], 
            Cell[
             StyleData["Section", "Printout"], ShowGroupOpener -> False, 
             CellMargins -> {{2, 0}, {7, 22}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], CellDingbat -> None, ShowGroupOpener -> 
             True, CellMargins -> {{27, Inherited}, {8, 12}}, 
             MenuSortingValue -> 1300, MenuCommandKey -> "5", FontFamily -> 
             "Bitstream Charter", FontSize -> 14, FontWeight -> "Bold", 
             FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.3, 0.3, 0.3]], 
            Cell[
             StyleData["Subsection", "Printout"], ShowGroupOpener -> False, 
             CellMargins -> {{9, 0}, {7, 22}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> None, ShowGroupOpener -> 
             True, CellMargins -> {{27, Inherited}, {2, 10}}, 
             MenuSortingValue -> 1350, MenuCommandKey -> "6", FontFamily -> 
             "Bitstream Charter", FontSize -> 12, FontWeight -> "Bold", 
             FontSlant -> "Italic", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.4, 0.4, 0.4]], 
            Cell[
             StyleData["Subsubsection", "Printout"], ShowGroupOpener -> False,
              CellMargins -> {{35, 0}, {7, 14}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsubsection"], CellDingbat -> None, 
             ShowGroupOpener -> True, 
             CellMargins -> {{27, Inherited}, {Inherited, Inherited}}, 
             FontFamily -> "Bitstream Charter", FontSize -> 11, FontWeight -> 
             "Bold", FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.4, 0.4, 0.4]], 
            Cell[
             StyleData["Subsubsubsection", "Printout"], 
             CellMargins -> {{50, 0}, {7, 14}}]}, Closed]]}, Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Publication\[Hyphen]ready Documents", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Author"], CellMargins -> {{27, 30}, {20, 5}}, 
          MenuSortingValue -> 1900, FontFamily -> "Helvetica", FontSize -> 14,
           FontSlant -> "Italic"], 
         Cell[
          StyleData["Author", "Printout"], CellMargins -> {{6, 10}, {0, 10}}, 
          FontSize -> 10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Abstract"], CellFrame -> {{0, 0}, {0.5, 0.5}}, 
          CellMargins -> {{27, 140}, {20, 20}}, LineSpacing -> {0.9, 0}, 
          MenuSortingValue -> 2050, FontFamily -> "Times", FontSize -> 12], 
         Cell[
          StyleData["Abstract", "Printout"], Hyphenation -> True, 
          LineSpacing -> {1, 2}, FontSize -> 10]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Text", "Section"], 
      Cell[
       StyleData["Text"], CellMargins -> {{27, 27}, {Inherited, Inherited}}, 
       TextJustification -> 1., ParagraphIndent -> 15, FontFamily -> 
       "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", FontSlant -> 
       "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
      Cell[
       StyleData["EnvironmentText"], ShowCellBracket -> Automatic, 
       CellMargins -> {{82, Inherited}, {Inherited, Inherited}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       TextJustification -> 1., ParagraphSpacing -> {0.3, 0.}, 
       MenuSortingValue -> 1480, MenuCommandKey -> "T", FontFamily -> 
       "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", FontSlant -> 
       "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
          CellMargins -> {{81, 10}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Bitstream Charter", 
          FontSize -> 12, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Item", "Presentation"], 
          CellMargins -> {{140, 10}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          DefaultNewCellStyle -> "Item", MenuSortingValue -> 1600, FontFamily -> 
          "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", 
          FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemParagraph", "Presentation"], 
          CellMargins -> {{140, 10}, {7, 2}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subitem"], CellDingbat -> 
          Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
          CellMargins -> {{105, 12}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "Subitem", 
          CounterAssignments -> {{"Subsubitem", 0}}, MenuSortingValue -> 1610,
           FontFamily -> "Bitstream Charter", FontSize -> 12, FontWeight -> 
          "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Subitem", "Presentation"], 
          CellMargins -> {{176, 12}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemParagraph"], CellMargins -> {{105, 12}, {4, 1}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subitem", 
          MenuSortingValue -> 1610, FontFamily -> "Bitstream Charter", 
          FontSize -> 12, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemParagraph", "Presentation"], 
          CellMargins -> {{176, 12}, {7, 2}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubitem"], CellDingbat -> 
          Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
          CellMargins -> {{129, 12}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subsubitem", 
          CounterIncrements -> "Subsubitem", MenuSortingValue -> 1620, 
          FontFamily -> "Bitstream Charter", FontSize -> 12, FontWeight -> 
          "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Subsubitem", "Presentation"], 
          CellMargins -> {{212, 12}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubitemParagraph"], 
          CellMargins -> {{129, 12}, {4, 1}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subsubitem", 
          CounterIncrements -> "Subsubitem", MenuSortingValue -> 1625, 
          FontFamily -> "Bitstream Charter", FontSize -> 12, FontWeight -> 
          "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubsubitemParagraph", "Presentation"], 
          CellMargins -> {{212, 12}, {7, 2}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{81, 10}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", 
          FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "Presentation"], 
          CellMargins -> {{140, 10}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{105, 12}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "SubitemNumbered", 
          CounterAssignments -> {{"SubsubitemNumbered", 0}}, MenuSortingValue -> 
          1640, FontFamily -> "Bitstream Charter", FontSize -> 12, FontWeight -> 
          "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemNumbered", "Presentation"], 
          CellMargins -> {{176, 12}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], ".", 
              CounterBox["SubsubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{129, 12}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> 
          "SubitemNumbered", CounterIncrements -> "SubsubitemNumbered", 
          MenuSortingValue -> 1645, FontFamily -> "Bitstream Charter", 
          FontSize -> 12, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubsubitemNumbered", "Presentation"], 
          CellMargins -> {{212, 12}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Theorema", "Section"], 
      Cell[
       StyleData["GlobalDeclaration"], CellFrame -> {{0, 2}, {0, 0}}, 
       ShowCellBracket -> Automatic, CellMargins -> {{76, 3}, {2, 2}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       InitializationCell -> True, CellFrameMargins -> 10, CellFrameColor -> 
       RGBColor[0.73, 0.65, 0.61], CellFrameLabelMargins -> {{33, 7}, {1, 1}},
        ShowAutoStyles -> False, MenuSortingValue -> 1441, MenuCommandKey -> 
       "G", FontSize -> 14], 
      Cell[
       StyleData["OpenEnvironment"], Editable -> False, Selectable -> False, 
       CellFrame -> {{False, False}, {True, False}}, ShowCellBracket -> True, 
       CellMargins -> {{76, 6}, {-4, Inherited}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameMargins -> 2, CellFrameColor -> RGBColor[0.4, 0.4, 0.4], 
       MenuSortingValue -> 1485], 
      Cell[
       StyleData["EnvironmentHeader"], 
       CellFrame -> {{False, False}, {False, False}}, 
       CellMargins -> {{76, Inherited}, {Inherited, Inherited}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameMargins -> 6, CellFrameColor -> RGBColor[0.4, 0.4, 0.4], 
       ShowAutoStyles -> False, MenuSortingValue -> 1450, FontSize -> 14, 
       FontWeight -> "Bold", FontVariations -> {"CapsType" -> "SmallCaps"}, 
       Background -> RGBColor[0.89, 0.8, 0.69]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FormalTextInputFormula"], ShowCellBracket -> Automatic, 
          CellMargins -> {{96, 10}, {2, 2}}, 
          CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
          InitializationCell -> True, CellFrameLabelMargins -> 53, 
          ShowAutoStyles -> False, LimitsPositioningTokens -> {}, 
          MenuSortingValue -> 1470, MenuCommandKey -> "F", FontWeight -> 
          "Bold", FontColor -> RGBColor[0.25, 0.19, 0.2]], 
         Cell[
          StyleData["FormalTextInputFormula", "Layout"], Editable -> False], 
         Cell[
          StyleData["FormalTextInputFormula", "Presentation"], Editable -> 
          False]}, Open]], 
      Cell[
       StyleData["EndEnvironmentMarker"], 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       TextAlignment -> Right, MenuSortingValue -> 1480], 
      Cell[
       StyleData["CloseEnvironment"], Editable -> False, Selectable -> False, 
       CellFrame -> {{False, False}, {False, True}}, ShowCellBracket -> True, 
       CellMargins -> {{76, 6}, {Inherited, 0}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameMargins -> 2, CellFrameColor -> RGBColor[0.4, 0.4, 0.4], 
       MenuSortingValue -> 1485], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Computation"], CellFrame -> {{1.5, 0}, {0, 0}}, 
          ShowCellBracket -> Automatic, CellMargins -> {{76, 10}, {0, 7}}, 
          CellBracketOptions -> {"Color" -> RGBColor[0.23, 0.25, 0.34]}, 
          CellFrameMargins -> {{8, 8}, {3, 4}}, CellFrameColor -> 
          RGBColor[0.486, 0.33, 0.32], ShowAutoStyles -> False, 
          MenuSortingValue -> 1510, FontWeight -> "Bold", FontColor -> 
          RGBColor[0.23, 0.25, 0.34], Background -> 
          RGBColor[0.88, 0.88, 0.92]], 
         Cell[
          StyleData["Computation", "Layout"], Editable -> False], 
         Cell[
          StyleData["Computation", "Presentation"], Editable -> False]}, 
        Open]], 
      Cell[
       StyleData["ComputationResult"], CellFrame -> {{1.5, 0}, {0, 0}}, 
       ShowCellBracket -> Automatic, CellMargins -> {{76, 10}, {0, 0}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.23, 0.25, 0.34]}, 
       CellFrameMargins -> {{8, 8}, {4, 3}}, CellFrameColor -> 
       RGBColor[0.486, 0.33, 0.32], StyleMenuListing -> None, FontColor -> 
       RGBColor[0.23, 0.25, 0.34], Background -> RGBColor[0.88, 0.88, 0.92]], 
      Cell[
       StyleData["ComputationInfo"], ShowCellBracket -> False, 
       CellMargins -> {{120, 10}, {10, 2}}, StyleMenuListing -> None, 
       FontFamily -> $CellContext`Arial], 
      Cell[
       StyleData["ComputationInfoBody"], ShowCellBracket -> False, 
       CellMargins -> {{144, 10}, {10, 2}}, StyleMenuListing -> None], 
      Cell[
       StyleData["ProofInfo"], ShowCellBracket -> False, 
       CellMargins -> {{76, 10}, {6, 6}}, CellFrameLabelMargins -> 15, 
       StyleMenuListing -> None, FontFamily -> "Arial"], 
      Cell[
       StyleData["ProofInfoBody"], ShowCellBracket -> False, 
       CellMargins -> {{100, 10}, {0, 0}}, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FrameLabel"], LanguageCategory -> None, StyleMenuListing -> 
          None, FontFamily -> "Times New Roman", FontSize -> 10, FontWeight -> 
          "Plain", FontSlant -> "Italic", FontTracking -> "Plain", 
          FontVariations -> {
           "Masked" -> False, "Outline" -> False, "Shadow" -> False, 
            "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
          RGBColor[0.55, 0.44, 0.42], Background -> None], 
         Cell[
          StyleData["FrameLabel", "Printout"]]}, Open]], 
      Cell[
       StyleData["OpenArchive"], CellFrame -> {{False, False}, {False, True}},
        ShowCellBracket -> Automatic, CellMargins -> {{70, 70}, {0, 10}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellGroupingRules -> {"SectionGrouping", 20}, CellFrameMargins -> 3, 
       CellFrameColor -> RGBColor[0.4, 0.4, 0.4], CellFrameLabelMargins -> 1, 
       DefaultFormatType -> DefaultInputFormatType, ShowAutoStyles -> False, 
       MenuSortingValue -> 1210, FontWeight -> Bold, Background -> 
       RGBColor[0.73, 0.74, 0.84]], 
      Cell[
       StyleData["ArchiveInfo"], ShowCellBracket -> Automatic, 
       CellMargins -> {{70, 70}, {0, 0}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameMargins -> 5, CellFrameLabelMargins -> 3, ShowCellTags -> 
       False, ShowAutoStyles -> False, MenuSortingValue -> 1220, FontWeight -> 
       "Bold", Background -> RGBColor[0.88, 0.88, 0.92]], 
      Cell[
       StyleData["CloseArchive"], 
       CellFrame -> {{False, False}, {True, False}}, ShowCellBracket -> 
       Automatic, CellMargins -> {{0, 0}, {5, 10}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellGroupingRules -> {"SectionGrouping", 25}, CellFrameMargins -> 2, 
       CellFrameColor -> RGBColor[0.4, 0.4, 0.4], TextAlignment -> Center, 
       MenuSortingValue -> 1230, FontFamily -> "Arial Black", FontSize -> 24, 
       FontWeight -> "Plain", FontSlant -> "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}, 
       Background -> RGBColor[0.73, 0.65, 0.61]], 
      Cell[
       StyleData["IncludeArchive"], CellFrame -> {{4, 0}, {False, False}}, 
       ShowCellBracket -> Automatic, 
       CellMargins -> {{81, 100}, {Inherited, Inherited}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameColor -> RGBColor[0.55, 0.44, 0.42], 
       CellFrameLabels -> {{"\[RightSkeleton]", None}, {None, None}}, 
       CellFrameLabelMargins -> 25, MenuSortingValue -> 1445], 
      Cell[
       StyleData["ExpressionVariable"], SingleLetterItalics -> True, 
       MultiLetterItalics -> True, FontColor -> RGBColor[0.29, 0.46, 0.6]], 
      Cell[
       StyleData["ExpressionABF"], SingleLetterItalics -> True, 
       MultiLetterItalics -> True, FontColor -> RGBColor[0.29, 0.46, 0.6]], 
      Cell[
       StyleData["ExpressionMeta"], SingleLetterItalics -> True, 
       MultiLetterItalics -> True, FontColor -> RGBColor[0.29, 0.46, 0.6]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["AutoParentheses"], Editable -> False, SpanMaxSize -> 3, 
          FontOpacity -> 0.15], 
         Cell[
          StyleData["AutoParentheses", "Layout"], FontOpacity -> 0], 
         Cell[
          StyleData["AutoParentheses", "SlideShow"], FontOpacity -> 0]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Emphasized"], MenuCommandKey -> "E", FontSlant -> 
          "Italic"], 
         Cell[
          StyleData["Emphasized", "SlideShow"], FontSlant -> "Plain", 
          FontColor -> RGBColor[0.36, 0.54, 0.69]]}, Open]], 
      Cell[
       StyleData["GenericButton"], FontFamily -> "Bitstream Charter", 
       FontWeight -> "Plain", FontSlant -> "Italic", FontTracking -> "Plain", 
       FontVariations -> {
        "Masked" -> False, "Outline" -> False, "Shadow" -> False, 
         "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
       RGBColor[0.23, 0.25, 0.34]], 
      Cell[
       StyleData["TheoremaForm"], "TwoByteSyntaxCharacterAutoReplacement" -> 
       True, LineSpacing -> {1.25, 0, 2}, SingleLetterItalics -> True, 
       StyleMenuListing -> None, FontFamily -> "Courier"], 
      Cell[
       StyleData["ComponentActive"], FontFamily -> "Times New Roman"], 
      Cell[
       StyleData["ComponentInactive"], FontFamily -> "Times New Roman", 
       FontOpacity -> 0.4], 
      Cell[
       StyleData["ComponentEmpty"], FontFamily -> "Times New Roman", 
       FontVariations -> {"StrikeThrough" -> True}], 
      Cell[
       StyleData["TabView"], FontFamily -> "Times New Roman", FontSize -> 10], 
      Cell[
       StyleData["TabViewLabel"], FontFamily -> "Times New Roman", FontSize -> 
       10, FontWeight -> "Bold"], 
      Cell[
       StyleData["FormReference", StyleDefinitions -> StyleData["Text"]], 
       FontFamily -> "Times New Roman", FontSize -> 12, FontWeight -> "Plain",
        FontSlant -> "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
      Cell[
       StyleData["FormReferenceHover", StyleDefinitions -> StyleData["Text"]],
        FontFamily -> "Times New Roman", FontSize -> 12, FontWeight -> 
       "Plain", FontSlant -> "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> True}, 
       FontColor -> RGBColor[0.404, 0.43, 0.545]], 
      Cell[
       StyleData["DisplayFormula"], CellMargins -> {{36, 6}, {7, 7}}, 
       ConversionRules :> {
        "HTML" -> {{"", ""}, {"<p class=\"Equation\">", "</p>"}}}, 
       CellHorizontalScrolling -> True, DefaultFormatType -> TraditionalForm, 
       InputAutoReplacements -> {}, TextAlignment -> Center, FontFamily -> 
       "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", FontSlant -> 
       "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}, 
       ButtonBoxOptions -> {Appearance -> {Automatic, None}}]}, Open]]}, 
  Visible -> False, FrontEndVersion -> 
  "9.0 for Linux x86 (64-bit) (February 7, 2013)", StyleDefinitions -> 
  "StylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\AlgebraicStructures.nb"->{
  Cell[197305, 4530, 255, 5, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\AlgebraicStructures.nb",
   CellID->631259056]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Fields.nb"->{
  Cell[220571, 5164, 280, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Fields.nb",
   CellID->176679319]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Functors.nb"->{
  Cell[214671, 5004, 282, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Functors.nb",
   CellID->157257762]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\GroebnerRings.nb"->{
  Cell[234574, 5551, 296, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\GroebnerRings.nb",
   CellID->867463312]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\IntegerQuotientRings.nb"->{
  Cell[225476, 5305, 306, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\IntegerQuotientRings.nb",
   CellID->668383329]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Integers.nb"->{
  Cell[222970, 5234, 284, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Integers.nb",
   CellID->241550859]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\LogicSets.nb"->{
  Cell[194870, 4460, 291, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\LogicSets.nb",
   CellID->144258738]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatIntExtended.nb"->{
  Cell[206734, 4785, 297, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatIntExtended.nb",
   CellID->18544226]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatInt.nb"->{
  Cell[203794, 4698, 281, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatInt.nb",
   CellID->51273252]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Numbers.nb"->{
  Cell[200196, 4610, 281, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Numbers.nb",
   CellID->459559659]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Polynomials.nb"->{
  Cell[228481, 5393, 291, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Polynomials.nb",
   CellID->56261028]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\PolyTuples.nb"->{
  Cell[231605, 5474, 290, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\PolyTuples.nb",
   CellID->100874808]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\ReductionRings.nb"->{
  Cell[217648, 5087, 296, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\ReductionRings.nb",
   CellID->245172469]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Sequences.nb"->{
  Cell[212147, 4933, 286, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Sequences.nb",
   CellID->100862172]},
 "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Tuples.nb"->{
  Cell[209382, 4858, 282, 6, 27, "Subsubsection",
   CellTags->
    "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Tuples.nb",
   CellID->116658568]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\AlgebraicStructures.nb", 2401825, 53239},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Fields.nb", 2402125, 53246},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Functors.nb", 2402414, 53253},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\GroebnerRings.nb", 2402710, 53260},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\IntegerQuotientRings.nb", 2403018, 53267},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Integers.nb", 2403321, 53274},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\LogicSets.nb", 2403613, 53281},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatIntExtended.nb", 2403911, 53288},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatInt.nb", 2404205, 53295},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Numbers.nb", 2404492, 53302},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Polynomials.nb", 2404785, 53309},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\PolyTuples.nb", 2405080, 53316},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\ReductionRings.nb", 2405379, 53323},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Sequences.nb", 2405677, 53330},
 {"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Tuples.nb", 2405967, 53337}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 143, 2, 84, "Title",
 CellID->116656788],
Cell[725, 26, 115, 2, 52, "Subtitle",
 CellID->34813447],
Cell[CellGroupData[{
Cell[865, 32, 163, 3, 73, "Section",
 CellID->70025367],
Cell[1031, 37, 391, 10, 32, "Input",
 CellID->961554034],
Cell[CellGroupData[{
Cell[1447, 51, 964, 25, 99, "Input",
 CellID->771768914],
Cell[CellGroupData[{
Cell[2436, 80, 725, 15, 23, "Print",
 CellID->1242290743],
Cell[3164, 97, 771, 16, 23, "Print",
 CellID->886193311],
Cell[3938, 115, 466, 9, 23, "Print",
 CellID->1601435876],
Cell[4407, 126, 468, 9, 23, "Print",
 CellID->2107563695],
Cell[4878, 137, 750, 16, 23, "Print",
 CellID->1469160223],
Cell[5631, 155, 466, 9, 23, "Print",
 CellID->1276253158],
Cell[6100, 166, 749, 16, 23, "Print",
 CellID->251959666],
Cell[6852, 184, 467, 9, 23, "Print",
 CellID->808449980],
Cell[7322, 195, 468, 9, 23, "Print",
 CellID->447593060],
Cell[7793, 206, 470, 9, 23, "Print",
 CellID->834471898],
Cell[8266, 217, 471, 9, 23, "Print",
 CellID->366627251],
Cell[8740, 228, 471, 9, 23, "Print",
 CellID->281249548],
Cell[9214, 239, 743, 16, 23, "Print",
 CellID->1828909089],
Cell[9960, 257, 469, 9, 23, "Print",
 CellID->864932006],
Cell[10432, 268, 470, 9, 23, "Print",
 CellID->1209343178],
Cell[10905, 279, 472, 9, 23, "Print",
 CellID->1644425071],
Cell[11380, 290, 471, 9, 23, "Print",
 CellID->152257613],
Cell[11854, 301, 473, 9, 23, "Print",
 CellID->954063704],
Cell[12330, 312, 471, 9, 23, "Print",
 CellID->743847445],
Cell[12804, 323, 760, 16, 23, "Print",
 CellID->1288942961],
Cell[13567, 341, 468, 9, 23, "Print",
 CellID->2120044392],
Cell[14038, 352, 469, 9, 23, "Print",
 CellID->557937515],
Cell[14510, 363, 471, 9, 23, "Print",
 CellID->1081621251],
Cell[14984, 374, 474, 9, 23, "Print",
 CellID->1828299578],
Cell[15461, 385, 474, 9, 23, "Print",
 CellID->1520276368],
Cell[15938, 396, 747, 16, 23, "Print",
 CellID->180742113],
Cell[16688, 414, 467, 9, 23, "Print",
 CellID->1896894196],
Cell[17158, 425, 469, 9, 23, "Print",
 CellID->635623105],
Cell[17630, 436, 471, 9, 23, "Print",
 CellID->686477103],
Cell[18104, 447, 471, 9, 23, "Print",
 CellID->1537086948],
Cell[18578, 458, 749, 16, 23, "Print",
 CellID->590591802],
Cell[19330, 476, 467, 9, 23, "Print",
 CellID->645834195],
Cell[19800, 487, 743, 16, 23, "Print",
 CellID->9907917],
Cell[20546, 505, 469, 9, 23, "Print",
 CellID->499596164],
Cell[21018, 516, 470, 9, 23, "Print",
 CellID->1626004261],
Cell[21491, 527, 474, 9, 23, "Print",
 CellID->1805886587],
Cell[21968, 538, 471, 9, 23, "Print",
 CellID->294503488],
Cell[22442, 549, 471, 9, 23, "Print",
 CellID->611694673],
Cell[22916, 560, 473, 9, 23, "Print",
 CellID->998120610],
Cell[23392, 571, 735, 15, 23, "Print",
 CellID->195452788],
Cell[24130, 588, 750, 15, 23, "Print",
 CellID->1732690948],
Cell[24883, 605, 467, 9, 23, "Print",
 CellID->732187026],
Cell[25353, 616, 763, 15, 23, "Print",
 CellID->687390267],
Cell[26119, 633, 467, 9, 23, "Print",
 CellID->559183237],
Cell[26589, 644, 470, 9, 23, "Print",
 CellID->1811084831],
Cell[27062, 655, 471, 9, 23, "Print",
 CellID->856472131],
Cell[27536, 666, 473, 9, 23, "Print",
 CellID->526371782],
Cell[28012, 677, 775, 15, 23, "Print",
 CellID->442510481],
Cell[28790, 694, 466, 9, 23, "Print",
 CellID->1874554153],
Cell[29259, 705, 470, 9, 23, "Print",
 CellID->1561497160],
Cell[29732, 716, 751, 15, 23, "Print",
 CellID->420448596],
Cell[30486, 733, 465, 9, 23, "Print",
 CellID->489322978],
Cell[30954, 744, 468, 9, 23, "Print",
 CellID->1323943784],
Cell[31425, 755, 750, 15, 23, "Print",
 CellID->29232759],
Cell[32178, 772, 757, 15, 23, "Print",
 CellID->292003789],
Cell[32938, 789, 467, 9, 23, "Print",
 CellID->222944895],
Cell[33408, 800, 472, 9, 23, "Print",
 CellID->1656380475],
Cell[33883, 811, 470, 9, 23, "Print",
 CellID->81798121],
Cell[34356, 822, 474, 9, 23, "Print",
 CellID->1369165025],
Cell[34833, 833, 471, 9, 23, "Print",
 CellID->158589512],
Cell[35307, 844, 473, 9, 23, "Print",
 CellID->953256788],
Cell[35783, 855, 472, 9, 23, "Print",
 CellID->1793637381],
Cell[36258, 866, 754, 15, 23, "Print",
 CellID->413306531],
Cell[37015, 883, 468, 9, 23, "Print",
 CellID->1531901166],
Cell[37486, 894, 471, 9, 23, "Print",
 CellID->361326966],
Cell[37960, 905, 473, 9, 23, "Print",
 CellID->324857750],
Cell[38436, 916, 471, 9, 23, "Print",
 CellID->904572217],
Cell[38910, 927, 764, 15, 23, "Print",
 CellID->2137498656],
Cell[39677, 944, 467, 9, 23, "Print",
 CellID->799265232],
Cell[40147, 955, 469, 9, 23, "Print",
 CellID->766874546],
Cell[40619, 966, 471, 9, 23, "Print",
 CellID->516799975],
Cell[41093, 977, 472, 9, 23, "Print",
 CellID->1386314746],
Cell[41568, 988, 471, 9, 23, "Print",
 CellID->1607058075],
Cell[42042, 999, 471, 9, 23, "Print",
 CellID->783149775],
Cell[42516, 1010, 264, 4, 23, "Print",
 CellID->842826623],
Cell[42783, 1016, 257, 4, 23, "Print",
 CellID->1573290117],
Cell[43043, 1022, 456, 9, 23, "Print",
 CellID->1752257084],
Cell[43502, 1033, 457, 9, 23, "Print",
 CellID->510460682],
Cell[43962, 1044, 459, 9, 23, "Print",
 CellID->958462677],
Cell[44424, 1055, 462, 9, 23, "Print",
 CellID->1058438671],
Cell[44889, 1066, 459, 9, 23, "Print",
 CellID->1464819510],
Cell[45351, 1077, 459, 9, 23, "Print",
 CellID->464300388],
Cell[45813, 1088, 459, 9, 23, "Print",
 CellID->216025540],
Cell[46275, 1099, 460, 9, 23, "Print",
 CellID->1030434047],
Cell[46738, 1110, 459, 9, 23, "Print",
 CellID->199718528],
Cell[47200, 1121, 461, 9, 23, "Print",
 CellID->121751413],
Cell[47664, 1132, 460, 9, 23, "Print",
 CellID->2111554391],
Cell[48127, 1143, 461, 9, 23, "Print",
 CellID->206429187],
Cell[48591, 1154, 459, 9, 23, "Print",
 CellID->960361428],
Cell[49053, 1165, 460, 9, 23, "Print",
 CellID->1739410279],
Cell[49516, 1176, 460, 9, 23, "Print",
 CellID->1319421141],
Cell[49979, 1187, 460, 9, 23, "Print",
 CellID->1757631328],
Cell[50442, 1198, 461, 9, 23, "Print",
 CellID->684625917],
Cell[50906, 1209, 458, 9, 23, "Print",
 CellID->54970961],
Cell[51367, 1220, 459, 9, 23, "Print",
 CellID->305603390],
Cell[51829, 1231, 462, 9, 23, "Print",
 CellID->1866276638],
Cell[52294, 1242, 464, 9, 23, "Print",
 CellID->1352525671],
Cell[52761, 1253, 462, 9, 23, "Print",
 CellID->44499483],
Cell[53226, 1264, 461, 9, 23, "Print",
 CellID->353627164],
Cell[53690, 1275, 462, 9, 23, "Print",
 CellID->1308796303],
Cell[54155, 1286, 464, 9, 23, "Print",
 CellID->1329741057],
Cell[54622, 1297, 462, 9, 23, "Print",
 CellID->2067580889],
Cell[55087, 1308, 461, 9, 23, "Print",
 CellID->249286153],
Cell[55551, 1319, 462, 9, 23, "Print",
 CellID->26086998],
Cell[56016, 1330, 461, 9, 23, "Print",
 CellID->795475400],
Cell[56480, 1341, 461, 9, 23, "Print",
 CellID->156544491],
Cell[56944, 1352, 464, 9, 23, "Print",
 CellID->2082130821],
Cell[57411, 1363, 464, 9, 23, "Print",
 CellID->1450302547],
Cell[57878, 1374, 463, 9, 23, "Print",
 CellID->720252157],
Cell[58344, 1385, 461, 9, 23, "Print",
 CellID->415012890],
Cell[58808, 1396, 463, 9, 23, "Print",
 CellID->510808709],
Cell[59274, 1407, 461, 9, 23, "Print",
 CellID->120767756],
Cell[59738, 1418, 464, 9, 23, "Print",
 CellID->2140708210],
Cell[60205, 1429, 461, 9, 23, "Print",
 CellID->900011243],
Cell[60669, 1440, 462, 9, 23, "Print",
 CellID->1693290737],
Cell[61134, 1451, 459, 9, 23, "Print",
 CellID->75003584],
Cell[61596, 1462, 460, 9, 23, "Print",
 CellID->80958908],
Cell[62059, 1473, 460, 9, 23, "Print",
 CellID->72292393],
Cell[62522, 1484, 461, 9, 23, "Print",
 CellID->435224929],
Cell[62986, 1495, 464, 9, 23, "Print",
 CellID->1891619836],
Cell[63453, 1506, 463, 9, 23, "Print",
 CellID->411789479],
Cell[63919, 1517, 461, 9, 23, "Print",
 CellID->149845067],
Cell[64383, 1528, 462, 9, 23, "Print",
 CellID->1785122880],
Cell[64848, 1539, 462, 9, 23, "Print",
 CellID->1337502387],
Cell[65313, 1550, 461, 9, 23, "Print",
 CellID->668813724],
Cell[65777, 1561, 462, 9, 23, "Print",
 CellID->1497862056],
Cell[66242, 1572, 462, 9, 23, "Print",
 CellID->1383402736],
Cell[66707, 1583, 461, 9, 23, "Print",
 CellID->256713702],
Cell[67171, 1594, 461, 9, 23, "Print",
 CellID->595621019],
Cell[67635, 1605, 464, 9, 23, "Print",
 CellID->1780596363],
Cell[68102, 1616, 464, 9, 23, "Print",
 CellID->2079269462],
Cell[68569, 1627, 461, 9, 23, "Print",
 CellID->377661147],
Cell[69033, 1638, 464, 9, 23, "Print",
 CellID->1898130688],
Cell[69500, 1649, 463, 9, 23, "Print",
 CellID->294416699],
Cell[69966, 1660, 461, 9, 23, "Print",
 CellID->626219404],
Cell[70430, 1671, 463, 9, 23, "Print",
 CellID->548110945],
Cell[70896, 1682, 462, 9, 23, "Print",
 CellID->1784376969],
Cell[71361, 1693, 463, 9, 23, "Print",
 CellID->945985354],
Cell[71827, 1704, 463, 9, 23, "Print",
 CellID->376766908],
Cell[72293, 1715, 461, 9, 23, "Print",
 CellID->689431288],
Cell[72757, 1726, 461, 9, 23, "Print",
 CellID->132773031],
Cell[73221, 1737, 267, 4, 23, "Print",
 CellID->1767051093],
Cell[73491, 1743, 266, 4, 23, "Print",
 CellID->1298623820],
Cell[73760, 1749, 268, 4, 23, "Print",
 CellID->760481926],
Cell[74031, 1755, 270, 4, 23, "Print",
 CellID->1039179312],
Cell[74304, 1761, 253, 4, 23, "Print",
 CellID->19987135],
Cell[74560, 1767, 452, 9, 23, "Print",
 CellID->1025380817],
Cell[75015, 1778, 246, 4, 23, "Print",
 CellID->2081021038]
}, Open  ]],
Cell[75276, 1785, 288, 5, 32, "Output",
 CellID->460823587]
}, Closed]],
Cell[75579, 1793, 798, 18, 49, "Input",
 CellID->125142751],
Cell[76380, 1813, 539, 10, 32, "Input",
 CellID->746482634],
Cell[CellGroupData[{
Cell[76944, 1827, 161, 3, 32, "Input",
 CellID->592861542],
Cell[77108, 1832, 849, 15, 55, "Output",
 CellID->419280866]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[78006, 1853, 113, 2, 73, "Section",
 CellID->106214647],
Cell[CellGroupData[{
Cell[78144, 1859, 421, 8, 32, "Input",
 CellID->65516465],
Cell[78568, 1869, 38543, 853, 937, "Output",
 CellID->1226735818]
}, Open  ]],
Cell[117126, 2725, 421, 8, 24, "Text",
 CellID->465557141]
}, Closed]],
Cell[CellGroupData[{
Cell[117584, 2738, 116, 2, 43, "Section",
 CellID->16816625],
Cell[CellGroupData[{
Cell[117725, 2744, 249, 5, 32, "Input",
 CellID->661432738],
Cell[117977, 2751, 76454, 1688, 510, "Output",
 CellID->467354597]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[194480, 4445, 157, 4, 43, "Section",
 CellID->58927837],
Cell[CellGroupData[{
Cell[194662, 4453, 183, 3, 36, "Subsection",
 CellID->54996094],
Cell[CellGroupData[{
Cell[194870, 4460, 291, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\LogicSets.nb",
 CellID->144258738],
Cell[195164, 4468, 353, 10, 35, "Text",
 CellID->304732356],
Cell[195520, 4480, 564, 10, 41, "Text",
 CellID->27513777],
Cell[CellGroupData[{
Cell[196109, 4494, 312, 8, 31, "Input",
 CellID->120706123],
Cell[196424, 4504, 835, 20, 82, "Output",
 CellID->654531957]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[197305, 4530, 255, 5, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\AlgebraicStructures.nb",
 CellID->631259056],
Cell[197563, 4537, 309, 9, 35, "Text",
 CellID->79080493],
Cell[197875, 4548, 1071, 22, 69, "Text",
 CellID->363835425],
Cell[CellGroupData[{
Cell[198971, 4574, 374, 9, 31, "Input",
 CellID->116009048],
Cell[199348, 4585, 802, 19, 82, "Output",
 CellID->332875704]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[200196, 4610, 281, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Numbers.nb",
 CellID->459559659],
Cell[200480, 4618, 297, 9, 35, "Text",
 CellID->61251644],
Cell[200780, 4629, 1740, 28, 113, "Text",
 CellID->598968124],
Cell[CellGroupData[{
Cell[202545, 4661, 414, 10, 31, "Input",
 CellID->116905188],
Cell[202962, 4673, 786, 19, 82, "Output",
 CellID->130472433]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[203794, 4698, 281, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatInt.nb",
 CellID->51273252],
Cell[204078, 4706, 297, 9, 35, "Text",
 CellID->710730329],
Cell[204378, 4717, 1090, 27, 41, "Text",
 CellID->506612720],
Cell[CellGroupData[{
Cell[205493, 4748, 409, 10, 31, "Input",
 CellID->154533614],
Cell[205905, 4760, 783, 19, 82, "Output",
 CellID->43037474]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[206734, 4785, 297, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\NatIntExtended.nb",
 CellID->18544226],
Cell[207034, 4793, 305, 9, 35, "Text",
 CellID->283475052],
Cell[207342, 4804, 762, 13, 41, "Text",
 CellID->25323632],
Cell[CellGroupData[{
Cell[208129, 4821, 420, 10, 31, "Input",
 CellID->173200521],
Cell[208552, 4833, 784, 19, 82, "Output",
 CellID->238765499]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[209382, 4858, 282, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Tuples.nb",
 CellID->116658568],
Cell[209667, 4866, 293, 9, 35, "Text",
 CellID->90085],
Cell[209963, 4877, 915, 15, 59, "Text",
 CellID->18234319],
Cell[CellGroupData[{
Cell[210903, 4896, 411, 10, 31, "Input",
 CellID->129187703],
Cell[211317, 4908, 784, 19, 82, "Output",
 CellID->508310566]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[212147, 4933, 286, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Sequences.nb",
 CellID->100862172],
Cell[212436, 4941, 300, 9, 35, "Text",
 CellID->242178355],
Cell[212739, 4952, 668, 11, 41, "Text",
 CellID->204186628],
Cell[CellGroupData[{
Cell[213432, 4967, 412, 10, 31, "Input",
 CellID->11837886],
Cell[213847, 4979, 778, 19, 82, "Output",
 CellID->155482830]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[214671, 5004, 282, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Functors.nb",
 CellID->157257762],
Cell[214956, 5012, 297, 9, 35, "Text",
 CellID->3484918],
Cell[215256, 5023, 904, 15, 59, "Text",
 CellID->289499051],
Cell[CellGroupData[{
Cell[216185, 5042, 412, 10, 31, "Input",
 CellID->99812187],
Cell[216600, 5054, 782, 19, 82, "Output",
 CellID->452485044]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[217440, 5080, 183, 3, 28, "Subsection",
 CellID->11161278],
Cell[CellGroupData[{
Cell[217648, 5087, 296, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\ReductionRings.nb",
 CellID->245172469],
Cell[217947, 5095, 358, 10, 35, "Text",
 CellID->398283637],
Cell[218308, 5107, 989, 16, 77, "Text",
 CellID->249043365],
Cell[CellGroupData[{
Cell[219322, 5127, 417, 10, 31, "Input",
 CellID->92616515],
Cell[219742, 5139, 783, 19, 82, "Output",
 CellID->239930124]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[220571, 5164, 280, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Fields.nb",
 CellID->176679319],
Cell[220854, 5172, 350, 10, 35, "Text",
 CellID->519306236],
Cell[221207, 5184, 500, 9, 23, "Text",
 CellID->279965255],
Cell[CellGroupData[{
Cell[221732, 5197, 410, 10, 31, "Input",
 CellID->68931533],
Cell[222145, 5209, 779, 19, 82, "Output",
 CellID->25667854]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[222970, 5234, 284, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Integers.nb",
 CellID->241550859],
Cell[223257, 5242, 351, 10, 35, "Text",
 CellID->96597621],
Cell[223611, 5254, 595, 10, 41, "Text",
 CellID->138093266],
Cell[CellGroupData[{
Cell[224231, 5268, 412, 10, 31, "Input",
 CellID->1028303983],
Cell[224646, 5280, 784, 19, 82, "Output",
 CellID->111978434]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[225476, 5305, 306, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\IntegerQuotientRings.nb",
 CellID->668383329],
Cell[225785, 5313, 364, 10, 35, "Text",
 CellID->166900606],
Cell[226152, 5325, 1049, 27, 41, "Text",
 CellID->52106464],
Cell[CellGroupData[{
Cell[227226, 5356, 424, 10, 31, "Input",
 CellID->610482860],
Cell[227653, 5368, 782, 19, 82, "Output",
 CellID->110865026]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[228481, 5393, 291, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\Polynomials.nb",
 CellID->56261028],
Cell[228775, 5401, 355, 10, 35, "Text",
 CellID->222046317],
Cell[229133, 5413, 1202, 20, 77, "Text",
 CellID->206567716],
Cell[CellGroupData[{
Cell[230360, 5437, 414, 10, 31, "Input",
 CellID->3598367],
Cell[230777, 5449, 782, 19, 82, "Output",
 CellID->678999769]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[231605, 5474, 290, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\PolyTuples.nb",
 CellID->100874808],
Cell[231898, 5482, 351, 10, 35, "Text",
 CellID->858182],
Cell[232252, 5494, 1048, 16, 59, "Text",
 CellID->41841100],
Cell[CellGroupData[{
Cell[233325, 5514, 415, 10, 31, "Input",
 CellID->148486367],
Cell[233743, 5526, 785, 19, 82, "Output",
 CellID->18872408]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[234574, 5551, 296, 6, 27, "Subsubsection",
 CellTags->
  "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction Ring \
Theory\\GroebnerRings.nb",
 CellID->867463312],
Cell[234873, 5559, 357, 10, 35, "Text",
 CellID->281864504],
Cell[235233, 5571, 971, 15, 59, "Text",
 CellID->846873587],
Cell[CellGroupData[{
Cell[236229, 5590, 420, 10, 31, "Input",
 CellID->13953228],
Cell[236652, 5602, 786, 19, 82, "Output",
 CellID->366131350]
}, {2}]]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[237508, 5629, 124, 2, 43, "Section",
 CellID->129275429],
Cell[CellGroupData[{
Cell[237657, 5635, 201, 3, 38, "Subsection",
 CellID->484867130],
Cell[CellGroupData[{
Cell[237883, 5642, 277, 6, 32, "Input",
 CellID->1756649213],
Cell[238163, 5650, 1002154, 22046, 10742, "Output",
 CellID->1409374047]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1240366, 27702, 220, 5, 30, "Subsection",
 CellID->265528087],
Cell[CellGroupData[{
Cell[1240611, 27711, 367, 8, 32, "Input",
 CellID->661488990],
Cell[1240981, 27721, 1123156, 24751, 11466, "Output",
 CellID->832469985]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
