(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[   2687494,      75239]
NotebookOptionsPosition[   2017163,      57266]
NotebookOutlinePosition[   2503391,      69842]
CellTagsIndexPosition[   2454270,      68588]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Tuples", "Title",
 CellChangeTimes->{{3.655447494963393*^9, 3.655447495899395*^9}},
 CellID->50543368],

Cell[CellGroupData[{

Cell["Preliminaries", "Section",
 CellChangeTimes->{{3.6443084245106*^9, 3.644308427083333*^9}},
 CellID->909929215],

Cell[CellGroupData[{

Cell["Theory Packages", "Subsection",
 CellChangeTimes->{{3.6554586827139797`*^9, 3.655458685896385*^9}},
 CellID->304735566],

Cell[BoxData[
 RowBox[{"$PackageDirectory", "=", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
    "$RootDirectory", ",", "\"\<scratch\>\"", ",", "\"\<amaletzk\>\"", ",", 
     "\"\<Theorema Environment Data\>\""}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.666438783233775*^9, 3.666438821083324*^9}},
 CellID->498486718],

Cell[BoxData[
 RowBox[{"LoadTheoryPackage", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{"$PackageDirectory", ",", "\"\<LogicSets.m\>\""}], "}"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6554587000612097`*^9, 3.655458766142926*^9}, 
   3.666439563694852*^9},
 CellID->34967564],

Cell[BoxData[
 RowBox[{"LoadTheoryPackage", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{"$PackageDirectory", ",", "\"\<AlgebraicStructures.m\>\""}], 
    "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6554587000612097`*^9, 3.655458766142926*^9}, {
   3.659672827887351*^9, 3.659672833971362*^9}, 3.6664395648547573`*^9},
 CellID->248106166],

Cell[BoxData[
 RowBox[{"LoadTheoryPackage", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{"$PackageDirectory", ",", "\"\<NatInt.m\>\""}], "}"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6554588452984653`*^9, 3.65545884810647*^9}, 
   3.666439565710849*^9},
 CellID->242592210],

Cell[BoxData[
 RowBox[{"LoadTheoryPackage", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{"$PackageDirectory", ",", "\"\<NatIntExtended.m\>\""}], "}"}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6554588452984653`*^9, 3.65545884810647*^9}, {
   3.6596725342168355`*^9, 3.6596725383352423`*^9}, 3.6664395666150723`*^9},
 CellID->693893442],

Cell[BoxData[
 RowBox[{"LoadTheoryPackage", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6554585102472763`*^9, 3.655458512977281*^9}},
 CellID->848912120],

Cell[BoxData[
 RowBox[{"MakeTheoryPackage", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6554584971588535`*^9, 3.6554585052708673`*^9}},
 CellID->307882976],

Cell[BoxData[
 RowBox[{"UpdateTheoryPackage", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6554624389151773`*^9, 3.6554624425031834`*^9}},
 CellID->634255394],

Cell[BoxData[
 RowBox[{"CompressProofData", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6555286757044344`*^9, 3.6555286795420413`*^9}},
 CellID->886073058],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DeleteCases", "[", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Quiet", "[", 
       RowBox[{"Check", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"s", "=", 
              RowBox[{"\"\<VAR$\>\"", "<>", "#", "<>", "\"\<$TM\>\""}]}], 
             "}"}], ",", 
            RowBox[{"Context", "[", "s", "]"}]}], "]"}], ";", "#"}], ",", 
         "Null"}], "]"}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<i\>\"", ",", "\"\<j\>\"", ",", "\"\<n\>\"", ",", "\"\<m\>\"", ",", 
       "\"\<P\>\"", ",", "\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\"", 
       ",", "\"\<a\>\"", ",", "\"\<A\>\"", ",", "\"\<b\>\"", ",", "\"\<c\>\"",
        ",", "\"\<T\>\"", ",", "\"\<S\>\"", ",", "\"\<U\>\"", ",", 
       "\"\<V\>\""}], "}"}]}], "]"}], ",", "Null"}], "]"}]], "Input",
 CellChangeTimes->{{3.6592618519471025`*^9, 3.6592618631011224`*^9}, {
   3.659681175379635*^9, 3.659681185706853*^9}, 3.659683710620489*^9, 
   3.65968441725893*^9, 3.6597695015379353`*^9, {3.6597698034056654`*^9, 
   3.659769808569275*^9}, {3.6597702854721127`*^9, 3.659770290573322*^9}, {
   3.659848272310069*^9, 3.6598483467534*^9}, {3.6598515848824887`*^9, 
   3.6598516763142495`*^9}, {3.6598555136659927`*^9, 3.659855522090008*^9}, {
   3.6598559051642804`*^9, 3.659855919516306*^9}, {3.6602862205309095`*^9, 
   3.6602862222781124`*^9}, {3.660479643354128*^9, 3.660479646380533*^9}, {
   3.6615733530001855`*^9, 3.661573359489797*^9}, {3.662702669600288*^9, 
   3.6627026761523*^9}},
 CellID->20666029],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{
  3.6627026783987036`*^9, {3.662706216540119*^9, 3.6627062320309467`*^9}, 
   3.6627063722157927`*^9, 3.6661772397184324`*^9},
 CellID->70626392]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Theory Analysis", "Subsection",
 CellChangeTimes->{{3.640668830437483*^9, 3.640668834318727*^9}},
 CellID->1386333768],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AnalyzeProofs", "[", "\"\<Theory\>\"", "]"}], "//", 
  "Timing"}]], "Input",
 CellChangeTimes->{{3.653223166066796*^9, 3.653223174615611*^9}, {
  3.656303018939475*^9, 3.6563030249766855`*^9}},
 CellID->239327779],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\AlgebraicStructures\\\" (\"\>", 
   "\[InvisibleSpace]", "1", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\AlgebraicStructures\" (", 1, " of ", "15", 
   "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674092805973*^9},
 CellID->495302487],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"22\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "22"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674092852773*^9},
 CellID->113850683],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\ConsistencyChecker\\\" (\"\>", 
   "\[InvisibleSpace]", "2", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\ConsistencyChecker\" (", 2, " of ", "15", 
   "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674094350376*^9},
 CellID->3512850],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\Fields\\\" (\"\>", "\[InvisibleSpace]", 
   "3", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\Fields\" (", 3, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674094350376*^9},
 CellID->136820345],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"36\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "36"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596740945219765`*^9},
 CellID->261516723],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\Functors\\\" (\"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\Functors\" (", 4, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596740983907833`*^9},
 CellID->159040129],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"34\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "34"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674098406383*^9},
 CellID->31681557],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\GroebnerRings\\\" (\"\>", 
   "\[InvisibleSpace]", "5", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\GroebnerRings\" (", 5, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741012933884`*^9},
 CellID->51977960],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"165\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "165"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674101340188*^9},
 CellID->105325951],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"165\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "165"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674106269797*^9},
 CellID->87912097],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"165\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "165"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674111137006*^9},
 CellID->442946657],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"165\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "165"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674116441015*^9},
 CellID->318632134],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\IntegerQuotientRings\\\" (\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\IntegerQuotientRings\" (", 6, " of ", "15", 
   "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674117657817*^9},
 CellID->636963458],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"78\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "78"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674117751417*^9},
 CellID->18678730],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"78\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "78"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674121542224*^9},
 CellID->854988883],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\Integers\\\" (\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\Integers\" (", 7, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674123897828*^9},
 CellID->780979585],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"85\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "85"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741242566285`*^9},
 CellID->528472820],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"85\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "85"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674127439034*^9},
 CellID->110273416],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\LogicSets\\\" (\"\>", 
   "\[InvisibleSpace]", "8", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\LogicSets\" (", 8, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741298102384`*^9},
 CellID->147831929],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674130340639*^9},
 CellID->345930829],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674134786647*^9},
 CellID->198440373],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741397162557`*^9},
 CellID->14567254],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674144692664*^9},
 CellID->847250896],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\NatIntExtended\\\" (\"\>", 
   "\[InvisibleSpace]", "9", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\NatIntExtended\" (", 9, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674145691066*^9},
 CellID->442925326],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"212\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "212"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741457378664`*^9},
 CellID->131014108],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"212\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "212"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741489514723`*^9},
 CellID->786951727],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"212\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "212"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741516190767`*^9},
 CellID->13951939],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"212\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "212"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674154037081*^9},
 CellID->208919274],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"212\"\>"}],
  SequenceForm["Reading proof ", 201, " of ", "212"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674157047886*^9},
 CellID->355703673],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\NatInt\\\" (\"\>", "\[InvisibleSpace]", 
   "10", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\NatInt\" (", 10, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741579526873`*^9},
 CellID->36416549],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"260\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "260"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741584362884`*^9},
 CellID->829014633],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"260\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "260"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741621646953`*^9},
 CellID->303149732],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"260\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "260"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741660023017`*^9},
 CellID->308296164],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"260\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "260"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674168997507*^9},
 CellID->36017761],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"260\"\>"}],
  SequenceForm["Reading proof ", 201, " of ", "260"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741715247116`*^9},
 CellID->314040316],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"260\"\>"}],
  SequenceForm["Reading proof ", 251, " of ", "260"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741726947136`*^9},
 CellID->106332875],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\Polynomials\\\" (\"\>", 
   "\[InvisibleSpace]", "11", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\Polynomials\" (", 11, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674173022314*^9},
 CellID->62918148],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"343\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "343"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741735683155`*^9},
 CellID->678665750],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"343\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "343"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741776711226`*^9},
 CellID->434880647],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"343\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "343"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.65967418196113*^9},
 CellID->542895974],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"343\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "343"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741863759375`*^9},
 CellID->310605624],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"343\"\>"}],
  SequenceForm["Reading proof ", 201, " of ", "343"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741901355443`*^9},
 CellID->428875235],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"343\"\>"}],
  SequenceForm["Reading proof ", 251, " of ", "343"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596741945971518`*^9},
 CellID->80850911],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"343\"\>"}],
  SequenceForm["Reading proof ", 301, " of ", "343"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674198653159*^9},
 CellID->404819495],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\PolyTuples\\\" (\"\>", 
   "\[InvisibleSpace]", "12", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\PolyTuples\" (", 12, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674202007165*^9},
 CellID->119069019],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674202646766*^9},
 CellID->299357270],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742057043715`*^9},
 CellID->404082581],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742089491773`*^9},
 CellID->212958488],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"161\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "161"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674211897582*^9},
 CellID->520555591],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\ReductionRings\\\" (\"\>", 
   "\[InvisibleSpace]", "13", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\ReductionRings\" (", 13, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674212693184*^9},
 CellID->173446173],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"250\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "250"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674213129985*^9},
 CellID->448840574],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"250\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "250"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674217029991*^9},
 CellID->353799852],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"250\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "250"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742211639986`*^9},
 CellID->624101682],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"250\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "250"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742255320063`*^9},
 CellID->23938686],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"250\"\>"}],
  SequenceForm["Reading proof ", 201, " of ", "250"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742303056145`*^9},
 CellID->197628336],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\Sequences\\\" (\"\>", 
   "\[InvisibleSpace]", "14", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\Sequences\" (", 14, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742352976236`*^9},
 CellID->359538735],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"48\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "48"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742354380236`*^9},
 CellID->132889645],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\Tuples\\\" (\"\>", "\[InvisibleSpace]", 
   "15", "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", "\<\"15\"\>", "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\Tuples\" (", 15, " of ", "15", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674237902828*^9},
 CellID->183277007],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"222\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "222"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674237934028*^9},
 CellID->555114858],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"222\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "222"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674240008832*^9},
 CellID->824744038],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"222\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "222"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674241990035*^9},
 CellID->27461675],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"222\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "222"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674243955639*^9},
 CellID->684247398],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"222\"\>"}],
  SequenceForm["Reading proof ", 201, " of ", "222"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742459680424`*^9},
 CellID->242317579],

Cell[BoxData["\<\"Creating forward rules:\"\>"], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742468728437`*^9},
 CellID->569575396],

Cell[BoxData["\<\"Preparing ...\"\>"], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674246982044*^9},
 CellID->27313368],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674247559245*^9},
 CellID->170277167],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 51, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674249198248*^9},
 CellID->121026568],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 101, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674250820651*^9},
 CellID->629334482],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 151, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742524586535`*^9},
 CellID->188536329],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 201, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742541122565`*^9},
 CellID->208766851],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 251, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742557658596`*^9},
 CellID->482295077],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 301, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742573726625`*^9},
 CellID->316903304],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "351", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 351, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674258995065*^9},
 CellID->514134020],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "401", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 401, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674260586268*^9},
 CellID->677916522],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "451", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 451, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674262224271*^9},
 CellID->231133568],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "501", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 501, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742638310738`*^9},
 CellID->337953275],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "551", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 551, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742654378767`*^9},
 CellID->818287579],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "601", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 601, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742670602794`*^9},
 CellID->10888422],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "651", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 651, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742686670823`*^9},
 CellID->569876692],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "701", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 701, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674270336285*^9},
 CellID->261048490],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "751", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 751, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674272005488*^9},
 CellID->533127801],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "801", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 801, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674273659091*^9},
 CellID->119885292],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "851", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 851, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674275297094*^9},
 CellID->427530605],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "901", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 901, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674276950697*^9},
 CellID->288255677],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "951", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 951, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742785886993`*^9},
 CellID->673640050],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1001", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1001, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742802267027`*^9},
 CellID->21332070],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1051", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1051, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742818803053`*^9},
 CellID->26234295],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1101, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742835339084`*^9},
 CellID->35715519],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1151, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674285203111*^9},
 CellID->56540544],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1201, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674286841114*^9},
 CellID->277931392],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1251, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674288463517*^9},
 CellID->747837353],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1301, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.65967429007032*^9},
 CellID->111429453],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1351", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1351, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742916771226`*^9},
 CellID->400582419],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1401", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1401, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674293283925*^9},
 CellID->433836057],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1451", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1451, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742949375286`*^9},
 CellID->37846757],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1501", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1501, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596742966067314`*^9},
 CellID->7475552],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1551", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1551, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674298244734*^9},
 CellID->2306735],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1601", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1601, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674299913937*^9},
 CellID->300657786],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1651", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1651, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.65967430156754*^9},
 CellID->148383314],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1701", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1701, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674303236743*^9},
 CellID->139937937],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1751", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1751, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674304905946*^9},
 CellID->30267865],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1801", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1801, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674306559549*^9},
 CellID->95169552],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1851", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1851, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674308213152*^9},
 CellID->99159376],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1901", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1901, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743098667545`*^9},
 CellID->285591755],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1951", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 1951, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743114891577`*^9},
 CellID->232367516],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2001", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2001, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.65967431312716*^9},
 CellID->249840984],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2051", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2051, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674314796363*^9},
 CellID->33080803],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2101, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674316419766*^9},
 CellID->27196997],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2151, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674318042169*^9},
 CellID->482783205],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2201, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674319664572*^9},
 CellID->6044833],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2251, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743212713747`*^9},
 CellID->451516143],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2301, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743229093776`*^9},
 CellID->532159685],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2351", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2351, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743245161805`*^9},
 CellID->626802950],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2401", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2401, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743261073833`*^9},
 CellID->280646069],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2451", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2451, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674327698586*^9},
 CellID->163881391],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2501", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2501, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674329336589*^9},
 CellID->631846311],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2551", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2551, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674330943392*^9},
 CellID->375199346],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2601", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2601, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674332581394*^9},
 CellID->209580235],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2651", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2651, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674334188197*^9},
 CellID->225340916],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2701", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2701, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743358106003`*^9},
 CellID->4669699],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2751", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2751, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674337417403*^9},
 CellID->202359909],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2801", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2801, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674339039806*^9},
 CellID->23624893],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2851", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2851, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674340646609*^9},
 CellID->57489851],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2901", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2901, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743422690115`*^9},
 CellID->1307485],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "2951", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 2951, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743438758144`*^9},
 CellID->777967040],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3001", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 3001, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674345529417*^9},
 CellID->776972137],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3051", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 3051, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.65967434713622*^9},
 CellID->903755207],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 3101, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674348743023*^9},
 CellID->221384289],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 3151, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743503654256`*^9},
 CellID->235387064],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 3201, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743519878283`*^9},
 CellID->328164113],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 3251, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743536258316`*^9},
 CellID->172645899],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 3301, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674355279434*^9},
 CellID->267492785],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "3351", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "3372"}],
  SequenceForm["Creating rule ", 3351, " of ", 3372],
  Editable->False]], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.6596743569174376`*^9},
 CellID->220819486],

Cell[BoxData["\<\"Creating thinned data ...\"\>"], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674357619438*^9},
 CellID->472991788],

Cell[BoxData["\<\"Done\"\>"], "Print",
 CellChangeTimes->{3.6563025116589823`*^9, 3.659674357744239*^9},
 CellID->166951591]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "163.44224769999999580250005237758159637451`8.233964239474957", ",", 
   "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.659674357744239*^9},
 CellID->723000682]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"First", "[", 
  RowBox[{"Timing", "[", 
   RowBox[{"AnalyzeProofs", "[", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6406688560104437`*^9, 3.640668867513785*^9}, 
   3.64067664060292*^9, 3.644222019629964*^9, 3.6443084442789383`*^9, {
   3.644637309909933*^9, 3.644637395211917*^9}, 3.6446374289086847`*^9, {
   3.649665456506633*^9, 3.64966546130441*^9}, {3.6554475352914643`*^9, 
   3.655447536243066*^9}, {3.6627026948567324`*^9, 3.6627027117671623`*^9}},
 CellID->1039312110],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading directory \
\\\"C:\\\\Users\\\\Alex\\\\Documents\\\\Doktorat\\\\Theorema \
Notebooks\\\\Reduction Ring Theory\\\\Tuples\\\" (\"\>", "\[InvisibleSpace]", 
   "1", "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"1\"\>",
    "\[InvisibleSpace]", "\<\"):\"\>"}],
  SequenceForm[
  "Reading directory \"C:\\Users\\Alex\\Documents\\Doktorat\\Theorema \
Notebooks\\Reduction Ring Theory\\Tuples\" (", 1, " of ", "1", "):"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027130463643`*^9},
 CellID->104451177],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"268\"\>"}],
  SequenceForm["Reading proof ", 1, " of ", "268"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027130775642`*^9},
 CellID->46925183],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"268\"\>"}],
  SequenceForm["Reading proof ", 51, " of ", "268"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027168371716`*^9},
 CellID->240636965],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"268\"\>"}],
  SequenceForm["Reading proof ", 101, " of ", "268"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027195983763`*^9},
 CellID->23743740],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"268\"\>"}],
  SequenceForm["Reading proof ", 151, " of ", "268"],
  Editable->False]], "Print",
 CellChangeTimes->{3.662702722437581*^9},
 CellID->193945301],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"268\"\>"}],
  SequenceForm["Reading proof ", 201, " of ", "268"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027253079863`*^9},
 CellID->381402979],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading proof \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "\<\"268\"\>"}],
  SequenceForm["Reading proof ", 251, " of ", "268"],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027284747915`*^9},
 CellID->416699565],

Cell[BoxData["\<\"Creating forward rules:\"\>"], "Print",
 CellChangeTimes->{3.6627027295823936`*^9},
 CellID->148754918],

Cell[BoxData["\<\"Preparing ...\"\>"], "Print",
 CellChangeTimes->{3.6627027296135936`*^9},
 CellID->91462047],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 1, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027296603937`*^9},
 CellID->77542082],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 51, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.662702729863194*^9},
 CellID->17254080],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 101, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.662702730050394*^9},
 CellID->145542134],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 151, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027302375946`*^9},
 CellID->112430093],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 201, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027304403954`*^9},
 CellID->154604065],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 251, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.662702730627595*^9},
 CellID->202641492],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "301", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 301, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027308147955`*^9},
 CellID->139516002],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "351", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 351, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027310175962`*^9},
 CellID->265056138],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "401", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 401, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027312047963`*^9},
 CellID->203318348],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "451", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "477"}],
  SequenceForm["Creating rule ", 451, " of ", 477],
  Editable->False]], "Print",
 CellChangeTimes->{3.662702731391997*^9},
 CellID->217517853],

Cell[BoxData["\<\"Creating thinned data ...\"\>"], "Print",
 CellChangeTimes->{3.662702731501197*^9},
 CellID->10988251],

Cell[BoxData["\<\"Creating theory data ...\"\>"], "Print",
 CellChangeTimes->{3.662702731532397*^9},
 CellID->19321442],

Cell[BoxData["\<\"Creating backward rules ...\"\>"], "Print",
 CellChangeTimes->{3.6627027315479965`*^9},
 CellID->337244951],

Cell[BoxData["\<\"Creating forward rules ...\"\>"], "Print",
 CellChangeTimes->{3.6627027315479965`*^9},
 CellID->572710730],

Cell[BoxData["\<\"Preparing ...\"\>"], "Print",
 CellChangeTimes->{3.6627027315635967`*^9},
 CellID->466386663],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating rule \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm["Creating rule ", 1, " of ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.6627027315635967`*^9},
 CellID->602105049],

Cell[BoxData["\<\"Done\"\>"], "Print",
 CellChangeTimes->{3.6627027315635967`*^9},
 CellID->213563664]
}, Open  ]],

Cell[BoxData["6.20883979999999979781932779587805271149`6.813610367637838"], \
"Output",
 CellChangeTimes->{3.662702731579197*^9},
 CellID->59314207]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ComputeFormulaPositions", "[", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.644649344001361*^9, 3.6446493476777363`*^9}},
 CellID->2077551358],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckIntegrity", "[", 
  RowBox[{"\"\<CheckPositions\>\"", "\[Rule]", 
   RowBox[{"{", 
    RowBox[{"NotebookFileName", "[", "]"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.64067003109768*^9, 3.6406700374311132`*^9}, {
   3.6406797903560762`*^9, 3.640679792950843*^9}, 3.6442220291527653`*^9, {
   3.662702746992024*^9, 3.6627027524520335`*^9}},
 CellID->1909803754],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.640670040858255*^9, 3.640670099679185*^9, 3.640670397721546*^9, 
   3.640679793300535*^9, 3.6406798406436234`*^9, 3.640679891162312*^9, 
   3.640679971009297*^9, 3.64068009182163*^9, 3.640680173340745*^9, 
   3.641037395456129*^9, 3.641116403388618*^9, 3.641286881014108*^9, 
   3.642225466578094*^9, 3.642234672070362*^9, 3.642240151894621*^9, 
   3.6423063269273643`*^9, {3.642308832539488*^9, 3.642308857563932*^9}, 
   3.642321396697977*^9, 3.6423285030212173`*^9, 3.642493582768566*^9, 
   3.642763270724422*^9, 3.642834604308413*^9, 3.643428832901271*^9, 
   3.6434441292624083`*^9, 3.643532851309215*^9, 3.6507065133125153`*^9, 
   3.6627027562428403`*^9},
 CellID->367028]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ps", "=", 
   RowBox[{"GetProofSize", "[", "All", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ps0", "=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{"Most", "[", 
       RowBox[{"Last", "[", "#", "]"}], "]"}], "]"}], "&"}], ",", "ps"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.647156479700988*^9, 3.647156479817154*^9}, {
   3.647156560839411*^9, 3.6471566309015427`*^9}, 3.6471570742150927`*^9, 
   3.6471571422253036`*^9, {3.647157728211722*^9, 3.647157728406296*^9}},
 CellID->1780799392],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Count", "[", 
  RowBox[{
   RowBox[{"NotebookGet", "[", "]"}], ",", 
   RowBox[{"Cell", "[", 
    RowBox[{"_", ",", "\"\<FormalTextInputFormula\>\"", ",", "___"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "Infinity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6550382930110416`*^9, 3.655038363616766*^9}, {
   3.655442032762142*^9, 3.6554420535101786`*^9}, 3.6554475266958494`*^9, {
   3.655448255807946*^9, 3.655448268880769*^9}},
 CellID->63220416],

Cell[BoxData["301"], "Output",
 CellChangeTimes->{3.6554482696763706`*^9, 3.662449936182866*^9, 
  3.6627027617028503`*^9},
 CellID->729208194]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Auxiliary Functions", "Subsection",
 CellChangeTimes->{{3.640668579267561*^9, 3.640668583347287*^9}},
 CellID->1454182661],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "LoadPackage", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LoadPackage", "[", "name_String", "]"}], ":=", 
   RowBox[{"LoadPackage", "[", 
    RowBox[{"{", "name", "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LoadPackage", "[", 
    RowBox[{"l", ":", 
     RowBox[{"{", "___String", "}"}]}], "]"}], ":=", 
   RowBox[{"Scan", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Get", "[", 
       RowBox[{"FileNameJoin", "[", 
        RowBox[{"{", 
         RowBox[{"$HomeDirectory", ",", "\"\<Theorema Notebooks\>\"", ",", 
          RowBox[{"#", "<>", "\"\<.m\>\""}]}], "}"}], "]"}], "]"}], "&"}], 
     ",", "l"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.640668603629292*^9, 3.640668727460284*^9}, 
   3.641286816086794*^9, 3.6434459961973133`*^9, {3.653223148703965*^9, 
   3.653223155365177*^9}, {3.655531692745943*^9, 3.65553169664595*^9}, {
   3.666439579121937*^9, 3.666439585392206*^9}},
 CellID->2074904605],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "FindFormula", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FindFormula", "[", "label_String", "]"}], ":=", 
   RowBox[{"NotebookLocate", "[", "label", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.640677756847624*^9, 3.6406777896243896`*^9}, 
   3.640677822869519*^9, {3.640677854902379*^9, 3.6406778579321823`*^9}},
 CellID->1980565193],

Cell[BoxData[
 RowBox[{"LoadPackage", "[", "\"\<ProofPalette\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.640668742006607*^9, 3.640668751417616*^9}},
 CellID->444074165],

Cell[BoxData[
 RowBox[{"LoadPackage", "[", "\"\<TheoryTools/TheoryTools\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.640668759133181*^9, 3.640668768089197*^9}, {
   3.6551873799276342`*^9, 3.655187380848036*^9}, {3.6585766168192844`*^9, 
   3.658576619642889*^9}, 3.666439588246521*^9},
 CellID->584704106]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
General Notions Related to Tuples (\[Checkmark])\
\>", "Section",
 CellChangeTimes->{{3.63308647885213*^9, 3.633086484933671*^9}, {
  3.644648863690547*^9, 3.6446488682854424`*^9}, {3.646367779333083*^9, 
  3.646367780258645*^9}, {3.646370450086231*^9, 3.646370452922961*^9}},
 CellID->1201206682],

Cell[CellGroupData[{

Cell["Axiomatization", "Subsection",
 CellChangeTimes->{{3.662376223735406*^9, 3.662376228165814*^9}},
 CellID->543570659],

Cell[TextData[{
 "The following axiomatization of tuples in terms of \
\[OpenCurlyDoubleQuote]Nil\[CloseCurlyDoubleQuote] and \
\[OpenCurlyDoubleQuote]Cons\[CloseCurlyDoubleQuote] cannot be turned into a \
least-fixpoint construction (e.g. as it is done for natural numbers), because \
the elements of the tuples (i.e. the ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 "\[CloseCurlyQuote]s below) are not restricted to members of a particular \
set."
}], "Text",
 CellChangeTimes->{{3.662376754323538*^9, 3.662376847580502*^9}},
 CellID->336975696],

Cell["", "OpenEnvironment",
 CellID->355205506],

Cell[CellGroupData[{

Cell["Axiom: isTuple, Nil, Cons", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6623762366054287`*^9, 3.662376246995047*^9}},
 CellID->18046268],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "P"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"P", "[", "Nil", "]"}], "\[And]", 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        UnderscriptBox["\[ForAll]", 
         RowBox[{"a", ",", 
          RowBox[{"isTuple", "[", "T", "]"}]}]], 
        RowBox[{
         TagBox["(",
          "AutoParentheses"], 
         RowBox[{
          RowBox[{"P", "[", "T", "]"}], "\[Implies]", 
          RowBox[{"P", "[", 
           RowBox[{"Cons", "[", 
            RowBox[{"a", ",", "T"}], "]"}], "]"}]}], 
         TagBox[")",
          "AutoParentheses"]}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{"isTuple", "[", "T", "]"}]], 
      RowBox[{"P", "[", "T", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple induction)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:649680989", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662376463289427*^9, 3.662376498529889*^9}},
 CellTags->{
  "ID:649680989", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple induction", "IR"},
 CellID->649680989],

Cell[BoxData[
 RowBox[{"isTuple", "[", "Nil", "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Nil isTuple)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:23375335", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.66237625440506*^9, 3.6623762576810656`*^9}},
 CellTags->{
  "ID:23375335", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Nil isTuple"},
 CellID->23375335],

Cell[BoxData[
 RowBox[{"\[Not]", 
  RowBox[{"isSet", "[", "Nil", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Not] Nil isSet)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:256666213", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623763438400173`*^9, 3.662376347630824*^9}},
 CellTags->{
  "ID:256666213", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Not] Nil isSet"},
 CellID->256666213],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"a", ",", 
   RowBox[{"isTuple", "[", "T", "]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 494401940}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662376278959503*^9, 3.662376285246314*^9}},
 CellTags->{
  "ID:494401940", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->494401940],

Cell[BoxData[
 RowBox[{"isTuple", "[", 
  RowBox[{"Cons", "[", 
   RowBox[{"a", ",", "T"}], "]"}], "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Cons isTuple)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:80140108", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662376289317921*^9, 3.662376295464332*^9}},
 CellTags->{
  "ID:80140108", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Cons isTuple"},
 CellID->80140108],

Cell[BoxData[
 RowBox[{"\[Not]", 
  RowBox[{"isSet", "[", 
   RowBox[{"Cons", "[", 
    RowBox[{"a", ",", "T"}], "]"}], "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Not] Cons isSet)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:855820982", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623763558520384`*^9, 3.6623763621544495`*^9}},
 CellTags->{
  "ID:855820982", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Not] Cons isSet"},
 CellID->855820982],

Cell[BoxData[
 RowBox[{
  RowBox[{"Cons", "[", 
   RowBox[{"a", ",", "T"}], "]"}], "\[NotEqual]", 
  "Nil"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Cons \[NotEqual] Nil)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:22018468", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623783634627647`*^9, 3.662378367737172*^9}},
 CellTags->{
  "ID:22018468", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Cons \[NotEqual] Nil"},
 CellID->22018468],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"b", ",", 
    RowBox[{"isTuple", "[", "S", "]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"Cons", "[", 
       RowBox[{"a", ",", "T"}], "]"}], "\[Equal]", 
      RowBox[{"Cons", "[", 
       RowBox[{"b", ",", "S"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"a", "\[Equal]", "b"}], "\[And]", 
      RowBox[{"T", "\[Equal]", "S"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Cons injective)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:128498950", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623763049179487`*^9, 3.6623763303771935`*^9}},
 CellTags->{
  "ID:128498950", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Cons injective"},
 CellID->128498950],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->513032255]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->66240236],

Cell["", "OpenEnvironment",
 CellID->513504325],

Cell[CellGroupData[{

Cell["Definition: tupRec", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.662376575406824*^9, 3.6623765779184284`*^9}},
 CellID->183332416],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"b", ",", "c"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 675750488}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623765835812383`*^9, 3.6623765862644424`*^9}},
 CellTags->{
  "ID:675750488", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->675750488],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"tupRec", "[", 
    RowBox[{"b", ",", "c"}], "]"}], "[", "Nil", "]"}], ":=", 
  "b"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tupRec Nil)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:152717330", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662376593144055*^9, 3.6623766014276695`*^9}, 
   3.6623769045518017`*^9},
 CellTags->{
  "ID:152717330", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tupRec Nil"},
 CellID->152717330],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"a", ",", 
    RowBox[{"isTuple", "[", "T", "]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     RowBox[{"tupRec", "[", 
      RowBox[{"b", ",", "c"}], "]"}], "[", 
     RowBox[{"Cons", "[", 
      RowBox[{"a", ",", "T"}], "]"}], "]"}], ":=", 
    RowBox[{"c", "[", 
     RowBox[{"a", ",", "T", ",", 
      RowBox[{
       RowBox[{"tupRec", "[", 
        RowBox[{"b", ",", "c"}], "]"}], "[", "T", "]"}]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tupRec Cons)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:177449370", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623766054056764`*^9, 3.6623766630009775`*^9}, {
  3.662376880106559*^9, 3.6623768891077747`*^9}},
 CellTags->{
  "ID:177449370", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tupRec Cons"},
 CellID->177449370],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->112258687]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->295545407],

Cell[TextData[{
 "Access to the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th element cannot be defined in terms of tupRec ...?"
}], "Text",
 CellChangeTimes->{{3.6624383082338257`*^9, 3.6624383362826753`*^9}},
 CellID->346995913],

Cell["", "OpenEnvironment",
 CellID->120034135],

Cell[CellGroupData[{

Cell["Definition: Element Access", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6624382248984795`*^9, 3.6624382296564875`*^9}},
 CellID->297299594],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"a", ",", 
   RowBox[{"isTuple", "[", "T", "]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 703726822}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624382336188946`*^9, 3.662438242729311*^9}},
 CellTags->{
  "ID:703726822", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->703726822],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"Cons", "[", 
    RowBox[{"a", ",", "T"}], "]"}], "1"], ":=", 
  "a"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index base)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:29057684", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662438249733723*^9, 3.6624382642573485`*^9}},
 CellTags->{
  "ID:29057684", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index base"},
 CellID->29057684],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"n", "\[Element]", "\[DoubleStruckCapitalN]"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"Cons", "[", 
      RowBox[{"a", ",", "T"}], "]"}], 
     RowBox[{"n", "+", "1"}]], ":=", 
    SubscriptBox["T", "n"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index step)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:381428117", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624382723537626`*^9, 3.6624382921813974`*^9}},
 CellTags->{
  "ID:381428117", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index step"},
 CellID->381428117],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->13670532]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->621427279]
}, Closed]],

Cell[CellGroupData[{

Cell["Operations on Tuples", "Subsection",
 CellChangeTimes->{{3.633086496995426*^9, 3.6330864986180763`*^9}, {
  3.662701323143323*^9, 3.6627013266845293`*^9}},
 CellID->1589107537],

Cell[CellGroupData[{

Cell["Definitions", "Subsubsection",
 CellChangeTimes->{{3.6627013324721394`*^9, 3.6627013342349424`*^9}},
 CellID->229628072],

Cell["", "OpenEnvironment",
 CellID->63244709],

Cell[CellGroupData[{

Cell["Definition: Length of Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.662377374851828*^9, 3.6623773785802345`*^9}},
 CellID->359486606],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], ":=", 
    RowBox[{
     RowBox[{"tupRec", "[", 
      RowBox[{"0", ",", 
       RowBox[{
        UnderscriptBox["\[Lambda]", 
         RowBox[{"x", ",", "y", ",", "z"}]], 
        RowBox[{"(", 
         RowBox[{"z", "+", "1"}], ")"}]}]}], "]"}], "[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple length)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:182124102", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623773829014425`*^9, 3.6623774304659257`*^9}},
 CellTags->{
  "ID:182124102", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple length"},
 CellID->182124102],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->284759813]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->344729947],

Cell["", "OpenEnvironment",
 CellID->547338893],

Cell[CellGroupData[{

Cell["Definition: Enumeration Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6623793585349126`*^9, 3.6623793625129194`*^9}},
 CellID->21255064],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ":=", 
  "Nil"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(enumeration tuple 1)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:654651115", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623793654613247`*^9, 3.6623793692365313`*^9}},
 CellTags->{
  "ID:654651115", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple 1"},
 CellID->654651115],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"a", ",", 
    RowBox[{"t", "..."}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"a", ",", 
      RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], ":=", 
    RowBox[{"Cons", "[", 
     RowBox[{"a", ",", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(enumeration tuple 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:63270404", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662379373495339*^9, 3.6623793970045805`*^9}},
 CellTags->{
  "ID:63270404", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple 2"},
 CellID->63270404],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->217436856]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->13343653],

Cell[TextData[{
 StyleBox["Remark",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 ": The concatenation of tuples, as well as other notions like Reverse, Rest, \
etc., is actually defined for ",
 StyleBox["arbitrary",
  FontSlant->"Italic"],
 " arguments and not just tuples. If the arguments are no tuples, however, \
the result in any case is no tuple either (but the empty set). The reason for \
this admittedly strange approach is that originally (before introducing \
tuples in terms of Nil and Cons), results like ",
 Cell[BoxData[
  FormBox[
   RowBox[{"isTuple", "[", 
    RowBox[{"joinTuples", "[", 
     RowBox[{"T", ",", "S"}], "]"}], "]"}], TraditionalForm]]],
 " were stated as equivalences instead of implications. Hence, joinTuples \
must return definite, non-tuple results if its arguments are not tuples."
}], "Text",
 CellChangeTimes->{{3.6623796066065483`*^9, 3.662379745477992*^9}, {
  3.6623797769267874`*^9, 3.6623799004322042`*^9}, {3.662446275277835*^9, 
  3.662446291969864*^9}},
 CellID->120226604],

Cell["", "OpenEnvironment",
 CellID->305977663],

Cell[CellGroupData[{

Cell["Definition: Joining Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.662378635317642*^9, 3.662378651557271*^9}, {
  3.662379048390768*^9, 3.662379051151973*^9}},
 CellID->31953116],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"T", ",", "S"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"T", 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], "S"}], ")"}], ":=", 
    RowBox[{"\[Piecewise]", GridBox[{
       {
        RowBox[{
         RowBox[{"tupRec", "[", 
          RowBox[{"S", ",", 
           RowBox[{
            UnderscriptBox["\[Lambda]", 
             RowBox[{"x", ",", "y", ",", "z"}]], 
            RowBox[{"Cons", "[", 
             RowBox[{"x", ",", "z"}], "]"}]}]}], "]"}], "[", "T", "]"}], 
        "\[DoubleLeftArrow]", 
        RowBox[{
         RowBox[{"isTuple", "[", "T", "]"}], "\[And]", 
         RowBox[{"isTuple", "[", "S", "]"}]}]},
       {
        RowBox[{"{", "}"}], "\[DoubleLeftArrow]", "otherwise"}
      }]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:338791396", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{
  3.6623787459062366`*^9, {3.662378804219139*^9, 3.6623789033105135`*^9}, {
   3.662379010779102*^9, 3.6623790110911026`*^9}, 3.662442011657734*^9},
 CellTags->{
  "ID:338791396", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join"},
 CellID->338791396],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->47453687]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->281994045],

Cell["", "OpenEnvironment",
 CellID->2042034063],

Cell[CellGroupData[{

Cell["\<\
Definition: Appending/Prepending Elements to Tuples and Tuple-Membership \
Relation \:22ff\
\>", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.633086685340551*^9, 3.633086703534336*^9}, {
  3.6330869256699266`*^9, 3.633086930991433*^9}, {3.642926937222199*^9, 
  3.642926941920636*^9}, {3.644305247346472*^9, 3.644305250733569*^9}},
 CellID->987679728],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"T", ",", "a"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 895128101}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.642926952259983*^9, 3.6429269538920593`*^9}},
 CellTags->{
  "ID:895128101", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->895128101],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"T", 
    TagBox["\:293a",
     Identity,
     SyntaxForm->"a*b"], "a"}], ")"}], ":=", 
  RowBox[{"(", 
   RowBox[{"T", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], 
    RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}]}], 
   ")"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1525755901", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633086736607553*^9, 3.63308675491394*^9}, {
  3.633087562341482*^9, 3.63308760996782*^9}, {3.642926959132978*^9, 
  3.642926967390025*^9}},
 CellTags->{
  "ID:1525755901", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append"},
 CellID->1525755901],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"a", 
    TagBox["\:293b",
     Identity,
     SyntaxForm->"a*b"], "T"}], ")"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}], 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "T"}], ")"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:884743897", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644305258621747*^9, 3.644305284472649*^9}},
 CellTags->{
  "ID:884743897", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend"},
 CellID->884743897],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", "T", "]"}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], "T"}], 
     TagBox[")",
      "AutoParentheses"]}], 
    TagBox[
     RowBox[{
     ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
      "\[DoubleLongLeftRightArrow]"}],
     Identity,
     SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[Exists]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"a", "\[Equal]", 
       SubscriptBox["T", "i"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple E)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1281000450", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64292697985917*^9, 3.64292701091014*^9}},
 CellTags->{
  "ID:1281000450", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple E"},
 CellID->1281000450],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1606800482]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->335506948],

Cell["", "OpenEnvironment",
 CellID->253068073],

Cell[CellGroupData[{

Cell["Definition: Reverse", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6623790805892243`*^9, 3.6623790845360317`*^9}},
 CellID->885954283],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "T"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"Reverse", "[", "T", "]"}], ":=", 
    RowBox[{"\[Piecewise]", GridBox[{
       {
        RowBox[{
         RowBox[{"tupRec", "[", 
          RowBox[{"Nil", ",", 
           RowBox[{
            UnderscriptBox["\[Lambda]", 
             RowBox[{"x", ",", "y", ",", "z"}]], 
            RowBox[{
             TagBox["(",
              "AutoParentheses"], 
             RowBox[{"z", 
              TagBox["\:293a",
               Identity,
               SyntaxForm->"a*b"], "x"}], 
             TagBox[")",
              "AutoParentheses"]}]}]}], "]"}], "[", "T", "]"}], 
        "\[DoubleLeftArrow]", 
        RowBox[{"isTuple", "[", "T", "]"}]},
       {
        RowBox[{"{", "}"}], "\[DoubleLeftArrow]", "otherwise"}
      }]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:32295857", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662379092102045*^9, 3.6623791592757626`*^9}},
 CellTags->{
  "ID:32295857", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Reverse"},
 CellID->32295857],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->174865905]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->844133612],

Cell["", "OpenEnvironment",
 CellID->23482879],

Cell[CellGroupData[{

Cell["Definition: Most and Rest", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.662378481071371*^9, 3.6623785084494195`*^9}, {
  3.6623786128380027`*^9, 3.662378614132805*^9}},
 CellID->348592161],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "T"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 632649}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623792308798885`*^9, 3.66237923164429*^9}},
 CellTags->{
  "ID:632649", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->632649],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rest", "[", "T", "]"}], ":=", 
  RowBox[{"\[Piecewise]", GridBox[{
     {
      RowBox[{
       RowBox[{"tupRec", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{
          UnderscriptBox["\[Lambda]", 
           RowBox[{"x", ",", "y", ",", "z"}]], "y"}]}], "]"}], "[", "T", 
       "]"}], "\[DoubleLeftArrow]", 
      RowBox[{"isTuple", "[", "T", "]"}]},
     {
      RowBox[{"{", "}"}], "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:12265558", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662378519431839*^9, 3.662378584461553*^9}, {
  3.6623792393507032`*^9, 3.6623792602547398`*^9}},
 CellTags->{
  "ID:12265558", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Rest"},
 CellID->12265558],

Cell[BoxData[
 RowBox[{
  RowBox[{"Most", "[", "T", "]"}], ":=", 
  RowBox[{"\[Piecewise]", GridBox[{
     {
      RowBox[{"Reverse", "[", 
       RowBox[{"Rest", "[", 
        RowBox[{"Reverse", "[", "T", "]"}], "]"}], "]"}], 
      "\[DoubleLeftArrow]", 
      RowBox[{"isTuple", "[", 
       RowBox[{"Rest", "[", 
        RowBox[{"Reverse", "[", "T", "]"}], "]"}], "]"}]},
     {
      RowBox[{"{", "}"}], "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Most)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:91603327", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662379205186643*^9, 3.662379272828362*^9}, {
  3.6623793032172155`*^9, 3.6623793197688446`*^9}},
 CellTags->{
  "ID:91603327", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Most"},
 CellID->91603327],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->852119573]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1052508],

Cell["", "OpenEnvironment",
 CellID->987467603],

Cell[CellGroupData[{

Cell["Definition: Tuple Quantifier", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.633166338773842*^9, 3.633166345415724*^9}},
 CellID->929717604],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"f", ",", "P"}]], 
  RowBox[{
   UnderscriptBox["\[ForAll]", 
    RowBox[{"a", ",", 
     RowBox[{"b", "\[Element]", "\[DoubleStruckCapitalZ]"}]}]], 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{"f", "[", "i", "]"}], 
       UnderscriptBox["|", 
        RowBox[{
         RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", "b"}]], 
       RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], ":=", 
     RowBox[{"\[Piecewise]", GridBox[{
        {
         RowBox[{
          RowBox[{"natRec0", "[", 
           RowBox[{
            RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
            RowBox[{
             UnderscriptBox["\[Lambda]", 
              RowBox[{"x", ",", "y"}]], 
             RowBox[{
              TagBox["(",
               "AutoParentheses"], 
              RowBox[{"\[Piecewise]", GridBox[{
                 {
                  RowBox[{
                   TagBox["(",
                    "AutoParentheses"], 
                   RowBox[{"y", 
                    TagBox["\:293a",
                    Identity,
                    SyntaxForm->"a*b"], 
                    RowBox[{"f", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "+", "1"}], ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{"a", "-", "1"}], ")"}]}], "]"}]}], 
                   TagBox[")",
                    "AutoParentheses"]}], "\[DoubleLeftArrow]", 
                  RowBox[{"P", "[", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "+", "1"}], ")"}], "+", 
                    RowBox[{"(", 
                    RowBox[{"a", "-", "1"}], ")"}]}], "]"}]},
                 {"y", "\[DoubleLeftArrow]", "otherwise"}
                }]}], 
              TagBox[")",
               "AutoParentheses"]}]}]}], "]"}], "[", 
          RowBox[{"b", "-", 
           RowBox[{"(", 
            RowBox[{"a", "-", "1"}], ")"}]}], "]"}], "\[DoubleLeftArrow]", 
         RowBox[{"b", "\[GreaterEqual]", "a"}]},
        {
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
         "\[DoubleLeftArrow]", "otherwise"}
       }]}]}], 
    TagBox[")",
     "AutoParentheses"]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:223047122", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6626978287861843`*^9, 3.6626978981629066`*^9}, {
  3.6626979686282306`*^9, 3.6626979703442335`*^9}, {3.66269811088488*^9, 
  3.6626981122420826`*^9}},
 CellTags->{
  "ID:223047122", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf"},
 CellID->223047122],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1469973215]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1768943237],

Cell["", "OpenEnvironment",
 CellID->932918551],

Cell[CellGroupData[{

Cell["Definition: TupleToSet", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.646367335609374*^9, 3.646367341605665*^9}},
 CellID->1498316647],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"TupleToSet", "[", "T", "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["T", "i"], 
      UnderscriptBox["|", 
       RowBox[{"i", "\[Element]", 
        SubscriptBox["\[DoubleStruckCapitalN]", 
         RowBox[{"1", ",", "\[Ellipsis]", ",", 
          RowBox[{
          "\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]]}]]}], 
     "}"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleToSet)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1457491854", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.646367351487597*^9, 3.646367404930632*^9}, {
   3.6463699810379333`*^9, 3.646369989541024*^9}, 3.646370345792906*^9},
 CellTags->{
  "ID:1457491854", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet"},
 CellID->1457491854],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1915196917]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->2015815466]
}, Closed]],

Cell[CellGroupData[{

Cell["Characteristic Properties of Operations", "Subsubsection",
 CellChangeTimes->{{3.662438566025279*^9, 3.662438573794092*^9}, {
  3.6627013528925753`*^9, 3.6627013545773783`*^9}},
 CellID->487937701],

Cell["", "OpenEnvironment",
 CellID->7246733],

Cell[CellGroupData[{

Cell["Lemma: Length of Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6624394978023157`*^9, 3.662439500984721*^9}},
 CellID->487196601],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "Nil", "\[RightBracketingBar]"}], 
  "\[Equal]", "0"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length Nil)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:266511991", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662439534930381*^9, 3.66243954012519*^9}},
 CellTags->{
  "ID:266511991", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length Nil", "IR"},
 CellID->266511991],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", "T", "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 453335165}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624395043543267`*^9, 3.6624395081139336`*^9}},
 CellTags->{
  "ID:453335165", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->453335165],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "a"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"Cons", "[", 
      RowBox[{"a", ",", "T"}], "]"}], "\[RightBracketingBar]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "+", 
     "1"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length Cons)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:789740286", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624395474416027`*^9, 3.6624395622616286`*^9}},
 CellTags->{
  "ID:789740286", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length Cons", "IR"},
 CellID->789740286],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
  "\[Element]", 
  SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length \[Element] \[DoubleStruckCapitalN])", "FrameLabel"],
         "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:896792384", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633171535338036*^9, 3.633171548074663*^9}, 
   3.6363683150738993`*^9, {3.6443041908349447`*^9, 3.644304194492125*^9}, {
   3.644309108243182*^9, 3.644309111280623*^9}},
 CellTags->{
  "ID:896792384", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length \[Element] \[DoubleStruckCapitalN]", "IR"},
 CellID->896792384],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
  "\[Element]", 
  SubscriptBox["\[DoubleStruckCapitalN]", 
   RowBox[{"0", ",", "\[Ellipsis]", ",", 
    RowBox[{
    "\[LeftBracketingBar]", "T", 
     "\[RightBracketingBar]"}]}]]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:492864831", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.636368320662735*^9, 3.6363683368215322`*^9}, {
   3.6443042068492603`*^9, 3.6443042103803167`*^9}, 3.644308546088717*^9},
 CellTags->{
  "ID:492864831", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length II", "IR"},
 CellID->492864831],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
  "\[Element]", "\[DoubleStruckCapitalZ]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1114754549", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64481669168272*^9, 3.644816695016788*^9}},
 CellTags->{
  "ID:1114754549", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length III", "IR"},
 CellID->1114754549],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "0"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", "Nil"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length 0 Nil)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:57954569", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6623779272643986`*^9, 3.6623779394480195`*^9}, {
  3.6623780582900286`*^9, 3.6623780613008337`*^9}},
 CellTags->{
  "ID:57954569", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length 0 Nil"},
 CellID->57954569],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->8728173]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->73677707],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length Nil,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length Nil,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         RowBox[{"\[LeftBracketingBar]", "Nil", "\[RightBracketingBar]"}], 
         "\[Equal]", "0"}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         RowBox[{"\[LeftBracketingBar]", "Nil", "\[RightBracketingBar]"}], 
         "\[Equal]", "0"}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:266511991"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p266511991-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p266511991-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:266511991", "Proof|ID:266511991-1"},
 CellID->5572360],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p266511991-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->17461330]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length Cons,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length Cons,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], 
             "\[RightBracketingBar]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "+", "1"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], 
             "\[RightBracketingBar]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "+", "1"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:789740286"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p789740286-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p789740286-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:789740286", "Proof|ID:789740286-1"},
 CellID->83877977],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p789740286-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->18058499]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length \[Element] \[DoubleStruckCapitalN],[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length \[Element] \[DoubleStruckCapitalN],[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}], 
           "\[Element]", 
           SubscriptBox[
           "\[DoubleStruckCapitalN]", "0"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}], 
           "\[Element]", 
           SubscriptBox[
           "\[DoubleStruckCapitalN]", "0"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:896792384"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p896792384-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p896792384-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:896792384", "Proof|ID:896792384-1"},
 CellID->78773010],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p896792384-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->154981292]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}], 
           "\[Element]", 
           SubscriptBox["\[DoubleStruckCapitalN]", 
            RowBox[{"0", ",", "\[Ellipsis]", ",", 
              RowBox[{"\[LeftBracketingBar]", 
                StyleBox["T", "ExpressionVariable"], 
                "\[RightBracketingBar]"}]}]]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}], 
           "\[Element]", 
           SubscriptBox["\[DoubleStruckCapitalN]", 
            RowBox[{"0", ",", "\[Ellipsis]", ",", 
              RowBox[{"\[LeftBracketingBar]", 
                StyleBox["T", "ExpressionVariable"], 
                "\[RightBracketingBar]"}]}]]}]}], $CellContext`TheoremaForm]],
      "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:492864831"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p492864831-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p492864831-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:492864831", "Proof|ID:492864831-1"},
 CellID->184342284],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p492864831-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2087158519]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}], 
           "\[Element]", 
           "\[DoubleStruckCapitalZ]"}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}], 
           "\[Element]", 
           "\[DoubleStruckCapitalZ]"}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1114754549"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1114754549-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1114754549-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1114754549", "Proof|ID:1114754549-1"},
 CellID->1241379590],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1114754549-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->901355956]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length 0 Nil)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length 0 Nil)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "0"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             "Nil"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "0"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             "Nil"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:57954569"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p57954569-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p57954569-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:57954569", "Proof|ID:57954569-1"},
 CellID->344820526],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p57954569-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->329172065]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->857634027],

Cell[CellGroupData[{

Cell["Lemma: Structure of Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.662438582701708*^9, 3.6624385875689163`*^9}},
 CellID->82592489],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", "T", "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 198497275}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624386085197535`*^9, 3.662438612809761*^9}},
 CellTags->{
  "ID:198497275", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->198497275],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", "Nil"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Or]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Exists]", 
     RowBox[{"a", ",", 
      RowBox[{"isTuple", "[", "S", "]"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", 
      RowBox[{"Cons", "[", 
       RowBox[{"a", ",", "S"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple cases)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:485804192", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662438627520587*^9, 3.6624386456010184`*^9}},
 CellTags->{
  "ID:485804192", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple cases"},
 CellID->485804192],

Cell[BoxData[
 RowBox[{"\[Not]", 
  RowBox[{"isSet", "[", "T", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Not] tuple isSet)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:128271632", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.66243866368145*^9, 3.662438667409857*^9}},
 CellTags->{
  "ID:128271632", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Not] tuple isSet"},
 CellID->128271632],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "S", "]"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
       "\[Equal]", 
       RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}], 
      "\[And]", 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        UnderscriptBox["\[ForAll]", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
          RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
        RowBox[{
         SubscriptBox["T", "i"], "\[Equal]", 
         SubscriptBox["S", "i"]}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", "S"}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple equality')", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:748403354", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662377184665894*^9, 3.662377196833915*^9}, 
   3.6623772490316067`*^9, {3.66237750690606*^9, 3.6623775128808703`*^9}},
 CellTags->{
  "ID:748403354", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple equality'"},
 CellID->748403354],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "S"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", "S"}], 
     TagBox[")",
      "AutoParentheses"]}], 
    TagBox["\[DoubleLongLeftRightArrow]",
     Identity,
     SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"isTuple", "[", "S", "]"}], "\[And]", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
       "\[Equal]", 
       RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}], 
      "\[And]", 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        UnderscriptBox["\[ForAll]", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
          RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
        RowBox[{
         SubscriptBox["T", "i"], "\[Equal]", 
         SubscriptBox["S", "i"]}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple equality)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2006383088", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443091403063517`*^9, 3.644309159789126*^9}, {
   3.6443098897222137`*^9, 3.644309935308126*^9}, {3.6623771383338127`*^9, 
   3.6623771504862337`*^9}, 3.662377243899198*^9},
 CellTags->{
  "ID:2006383088", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple equality"},
 CellID->2006383088],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->284306335]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1086338],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple cases)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple cases)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", "Nil"}], 
           "\[Or]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              GridBox[{{
                 StyleBox["a", "ExpressionVariable"]}, {
                 RowBox[{"isTuple", "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"Cons", "[", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox["S", "ExpressionVariable"]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", "Nil"}], 
           "\[Or]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              GridBox[{{
                 StyleBox["a", "ExpressionVariable"]}, {
                 RowBox[{"isTuple", "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"Cons", "[", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox["S", "ExpressionVariable"]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:485804192"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p485804192-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p485804192-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:485804192", "Proof|ID:485804192-1"},
 CellID->180714238],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p485804192-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->68244445]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Not] tuple isSet)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Not] tuple isSet)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"\[Not]", 
           RowBox[{
             TagBox["(", "AutoParentheses"], 
             RowBox[{"isSet", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             TagBox[")", "AutoParentheses"]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"\[Not]", 
           RowBox[{
             TagBox["(", "AutoParentheses"], 
             RowBox[{"isSet", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             TagBox[
             ")", "AutoParentheses"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:128271632"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p128271632-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p128271632-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:128271632", "Proof|ID:128271632-1"},
 CellID->757484247],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p128271632-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->14657832]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple equality')\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple equality')\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]]}]}]}], "\[Implies]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             StyleBox[
             "S", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]]}]}]}], "\[Implies]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             StyleBox[
             "S", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:748403354"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p748403354-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p748403354-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:748403354", "Proof|ID:748403354-1"},
 CellID->470954866],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p748403354-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->137993927]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple equality)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple equality)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["S", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             StyleBox["S", "ExpressionVariable"]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"isTuple", "[", 
                 StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}], "\[Equal]", 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["S", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["S", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             StyleBox["S", "ExpressionVariable"]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"isTuple", "[", 
                 StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}], "\[Equal]", 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["S", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2006383088"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2006383088-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2006383088-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2006383088", "Proof|ID:2006383088-1"},
 CellID->97088282],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2006383088-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->110550213]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->514032569],

Cell[CellGroupData[{

Cell["Lemma: Enumeration Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6483587653501987`*^9, 3.648358770229389*^9}, {
  3.6624412395621767`*^9, 3.662441240248578*^9}},
 CellID->761268812],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{
   UnderscriptBox["\[Exists]", 
    RowBox[{"t", "..."}]], 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{"T", "\[Equal]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}], 
    TagBox[")",
     "AutoParentheses"]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(enumeration tuples surjective)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:268769082", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648358388640719*^9, 3.648358403208148*^9}},
 CellTags->{
  "ID:268769082", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuples surjective"},
 CellID->268769082],

Cell[BoxData[
 RowBox[{"isTuple", "[", 
  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
  "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1721177564", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645344209859313*^9, 3.645344213760901*^9}},
 CellTags->{
  "ID:1721177564", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple empty", "IR"},
 CellID->1721177564],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
   "\[RightBracketingBar]"}], "\[Equal]", "0"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1594267913", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6453442179713383`*^9, 3.64534423068653*^9}, {
  3.662441510569254*^9, 3.662441511162055*^9}},
 CellTags->{
  "ID:1594267913", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length empty"},
 CellID->1594267913],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "x"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"\[LeftAngleBracket]", "x", "\[RightAngleBracket]"}], 
     "\[RightBracketingBar]"}], "\[Equal]", "1"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length singleton)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:11264892", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655535318813531*^9, 3.655535352930791*^9}, {
  3.6624461714596524`*^9, 3.6624461761708603`*^9}},
 CellTags->{
  "ID:11264892", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length singleton", "IR"},
 CellID->11264892],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "x"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"\[LeftAngleBracket]", "x", "\[RightAngleBracket]"}], "1"], 
    "\[Equal]", "x"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(singleton first)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:346405581", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662447733235196*^9, 3.662447740551609*^9}},
 CellTags->{
  "ID:346405581", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "singleton first", "IR"},
 CellID->346405581],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"t", "..."}]], 
  RowBox[{"isTuple", "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
   "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple enumeration tuple)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:477773676", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648358412168064*^9, 3.6483584205732603`*^9}},
 CellTags->{
  "ID:477773676", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple enumeration tuple", "IR"},
 CellID->477773676],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->49993008]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->2094230450],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(enumeration tuples surjective)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(enumeration tuples surjective)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox[
               RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox[
               RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:268769082"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p268769082-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p268769082-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:268769082", "Proof|ID:268769082-1"},
 CellID->534623636],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p268769082-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->69260003]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{"isTuple", "[", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
         "]"}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{"isTuple", "[", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
         "]"}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1721177564"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1721177564-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1721177564-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1721177564", "Proof|ID:1721177564-1"},
 CellID->463441133],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1721177564-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->517464458]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length empty)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length empty)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         RowBox[{"\[LeftBracketingBar]", 
           RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
           "\[RightBracketingBar]"}], "\[Equal]", 
         "0"}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         RowBox[{"\[LeftBracketingBar]", 
           RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
           "\[RightBracketingBar]"}], "\[Equal]", 
         "0"}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1594267913"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1594267913-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1594267913-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1594267913", "Proof|ID:1594267913-1"},
 CellID->76397926],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1594267913-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->216403775]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length singleton,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length singleton,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x", "ExpressionVariable"], "\[RightAngleBracket]"}], 
             "\[RightBracketingBar]"}], "\[Equal]", 
           "1"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x", "ExpressionVariable"], "\[RightAngleBracket]"}], 
             "\[RightBracketingBar]"}], "\[Equal]", 
           "1"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:11264892"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p11264892-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p11264892-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:11264892", "Proof|ID:11264892-1"},
 CellID->751352369],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p11264892-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->10239986]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(singleton first,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(singleton first,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox["x", "ExpressionVariable"], "\[RightAngleBracket]"}], 
            "1"], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox["x", "ExpressionVariable"], "\[RightAngleBracket]"}], 
            "1"], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:346405581"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p346405581-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p346405581-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:346405581", "Proof|ID:346405581-1"},
 CellID->431530519],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p346405581-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->35305389]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple enumeration tuple,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple enumeration tuple,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}], "]"}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}], "]"}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:477773676"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p477773676-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p477773676-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:477773676", "Proof|ID:477773676-1"},
 CellID->151996293],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p477773676-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->482476332]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->360320705],

Cell[CellGroupData[{

Cell["Lemma: Joining Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.633086937787573*^9, 3.633086943084289*^9}, {
  3.662379053429577*^9, 3.662379054084778*^9}},
 CellID->381742225],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "S", "]"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"Nil", 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], "S"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", "S"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join Nil)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:287857146", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662441785223336*^9, 3.6624418064861736`*^9}},
 CellTags->{
  "ID:287857146", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join Nil", "IR"},
 CellID->287857146],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"a", ",", 
    RowBox[{"isTuple", "[", 
     RowBox[{"T", ",", "S"}], "]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"Cons", "[", 
       RowBox[{"a", ",", "T"}], "]"}], 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], "S"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{"Cons", "[", 
     RowBox[{"a", ",", 
      RowBox[{"T", 
       TagBox["\:22c8",
        Identity,
        SyntaxForm->"a*b"], "S"}]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join Cons)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:337892103", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662441812975785*^9, 3.6624418471242447`*^9}},
 CellTags->{
  "ID:337892103", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join Cons", "IR"},
 CellID->337892103],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", 
    RowBox[{"T", ",", "S"}], "]"}]], 
  RowBox[{"isTuple", "[", 
   RowBox[{"T", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "S"}], "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple join')", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:872547016", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624423234622836`*^9, 3.662442337502308*^9}},
 CellTags->{
  "ID:872547016", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple join'", "IR"},
 CellID->872547016],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"T", ",", "S"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 361458074}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6330867077600718`*^9, 3.633086722912462*^9}, {
   3.633086945530653*^9, 3.6330869458256407`*^9}, 3.6330874742491093`*^9},
 CellTags->{
  "ID:361458074", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->361458074],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", 
   RowBox[{"T", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "S"}], "]"}], 
  TagBox["\[DoubleLongLeftRightArrow]",
   Identity,
   SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"isTuple", "[", "T", "]"}], "\[And]", 
    RowBox[{"isTuple", "[", "S", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:688753716", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6330869544624166`*^9, 3.633086955880137*^9}, {
  3.6624417062715974`*^9, 3.662441707894*^9}},
 CellTags->{
  "ID:688753716", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple join", "IR"},
 CellID->688753716],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", 
   RowBox[{"T", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "S"}], "]"}], "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1660159491}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633086962659877*^9, 3.633086972085661*^9}, {
  3.6330874627356243`*^9, 3.633087468696211*^9}},
 CellTags->{
  "ID:1660159491", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1660159491],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"T", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "S"}], "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "+", 
   RowBox[{
   "\[LeftBracketingBar]", "S", 
    "\[RightBracketingBar]"}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1115259658", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6330869834416513`*^9, 3.6330870004913607`*^9}, {
  3.63308747730099*^9, 3.6330874825439253`*^9}, {3.662441714586412*^9, 
  3.6624417153820133`*^9}},
 CellTags->{
  "ID:1115259658", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length join"},
 CellID->1115259658],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"(", 
      RowBox[{"T", 
       TagBox["\:22c8",
        Identity,
        SyntaxForm->"a*b"], "S"}], ")"}], "i"], "\[Equal]", 
    SubscriptBox["T", "i"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index join 1)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:526825714", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633087185545701*^9, 3.633087209188883*^9}, {
  3.6330875038579073`*^9, 3.633087510253352*^9}, {3.633166609221716*^9, 
  3.63316661630408*^9}, {3.662441718221218*^9, 3.662441718814019*^9}},
 CellTags->{
  "ID:526825714", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index join 1"},
 CellID->526825714],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"(", 
      RowBox[{"T", 
       TagBox["\:22c8",
        Identity,
        SyntaxForm->"a*b"], "S"}], ")"}], 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "+", 
      "i"}]], "\[Equal]", 
    SubscriptBox["S", "i"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index join 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:189594342", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6330872212048893`*^9, 3.6330872347608852`*^9}, {
  3.633087514111321*^9, 3.633087547338724*^9}, {3.6331666216272*^9, 
  3.63316662817437*^9}, {3.6624417222616253`*^9, 3.6624417230260267`*^9}},
 CellTags->{
  "ID:189594342", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index join 2"},
 CellID->189594342],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"t", "..."}], ",", 
    RowBox[{"s", "..."}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"s", "..."}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"t", "..."}], ",", 
      RowBox[{"s", "..."}]}], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join enumeration tuples)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:589317888", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648358614110677*^9, 3.648358642274979*^9}, {
  3.662441725303631*^9, 3.6624417260212317`*^9}},
 CellTags->{
  "ID:589317888", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join enumeration tuples"},
 CellID->589317888],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1276453639]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1866589091],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join Nil,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join Nil,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"Nil", "\:22c8", 
             StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
           StyleBox[
           "S", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"Nil", "\:22c8", 
             StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
           StyleBox[
           "S", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:287857146"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p287857146-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p287857146-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:287857146", "Proof|ID:287857146-1"},
 CellID->94095694],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p287857146-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->708126911]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join Cons,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join Cons,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["a", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], "\:22c8", 
             StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"Cons", "[", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}]}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["a", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], "\:22c8", 
             StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"Cons", "[", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}]}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:337892103"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p337892103-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p337892103-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:337892103", "Proof|ID:337892103-1"},
 CellID->401685322],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p337892103-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->516790702]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple join',[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple join',[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\:22c8", 
             StyleBox["S", "ExpressionVariable"]}], 
           "]"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\:22c8", 
             StyleBox["S", "ExpressionVariable"]}], 
           "]"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:872547016"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p872547016-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p872547016-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:872547016", "Proof|ID:872547016-1"},
 CellID->622050746],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p872547016-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->80024141]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple join,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple join,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox["S", "ExpressionVariable"]}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"isTuple", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{"isTuple", "[", 
                 StyleBox["S", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox["S", "ExpressionVariable"]}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"isTuple", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{"isTuple", "[", 
                 StyleBox["S", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:688753716"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p688753716-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p688753716-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:688753716", "Proof|ID:688753716-1"},
 CellID->197369238],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p688753716-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->174219430]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length join)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length join)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox["S", "ExpressionVariable"]}], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "+", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox["S", "ExpressionVariable"]}], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "+", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1115259658"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1115259658-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1115259658-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1115259658", "Proof|ID:1115259658-1"},
 CellID->733559307],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1115259658-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->199776299]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index join 1)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index join 1)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox["S", "ExpressionVariable"]}], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox["S", "ExpressionVariable"]}], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:526825714"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p526825714-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p526825714-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:526825714", "Proof|ID:526825714-1"},
 CellID->241146500],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p526825714-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->314019463]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index join 2)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index join 2)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox["S", "ExpressionVariable"]}], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", 
                  StyleBox["i", "ExpressionVariable"]}]], "\[Equal]", 
               SubscriptBox[
                StyleBox["S", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox["S", "ExpressionVariable"]}], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", 
                  StyleBox["i", "ExpressionVariable"]}]], "\[Equal]", 
               SubscriptBox[
                StyleBox["S", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:189594342"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p189594342-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p189594342-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:189594342", "Proof|ID:189594342-1"},
 CellID->726416082],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p189594342-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->207047923]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join enumeration tuples)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join enumeration tuples)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}], "\:22c8", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"s", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"s", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}], "\:22c8", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"s", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"s", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:589317888"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p589317888-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p589317888-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:589317888", "Proof|ID:589317888-1"},
 CellID->298882416],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p589317888-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->531122629]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->240962741],

Cell[CellGroupData[{

Cell["Lemma: Appending Elements to Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.662446632971863*^9, 3.6624466390402737`*^9}},
 CellID->435106074],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "a"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"Nil", 
      TagBox["\:293a",
       Identity,
       SyntaxForm->"a*b"], "a"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append Nil)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:212552120", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624467158714085`*^9, 3.6624467294434323`*^9}},
 CellTags->{
  "ID:212552120", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append Nil", "IR"},
 CellID->212552120],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"a", ",", "b", ",", 
    RowBox[{"isTuple", "[", "T", "]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"Cons", "[", 
       RowBox[{"a", ",", "T"}], "]"}], 
      TagBox["\:293a",
       Identity,
       SyntaxForm->"a*b"], "b"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{"Cons", "[", 
     RowBox[{"a", ",", 
      RowBox[{"T", 
       TagBox["\:293a",
        Identity,
        SyntaxForm->"a*b"], "b"}]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append Cons)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:26950404", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662446953460826*^9, 3.6624469901208906`*^9}},
 CellTags->{
  "ID:26950404", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append Cons", "IR"},
 CellID->26950404],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"a", ",", "T"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 108690893}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624467983799534`*^9, 3.662446799830756*^9}},
 CellTags->{
  "ID:108690893", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->108690893],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"S", "=", 
   RowBox[{"T", 
    TagBox["\:293a",
     Identity,
     SyntaxForm->"a*b"], "a"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 546198311}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{3.662447045422988*^9},
 CellTags->{
  "ID:546198311", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->546198311],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", "S", "]"}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{"isTuple", "[", "T", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1028745265", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446410505293417`*^9, 3.6446410661195602`*^9}, 
   3.6446415400570507`*^9},
 CellTags->{
  "ID:1028745265", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple append", "IR"},
 CellID->1028745265],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", "T", "]"}], "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 543565488}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{3.662447054439803*^9},
 CellTags->{
  "ID:543565488", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->543565488],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "+", 
   "1"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:826776809", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64464151339287*^9, 3.644641518725656*^9}, {
  3.6446415667730227`*^9, 3.6446415714796257`*^9}},
 CellTags->{
  "ID:826776809", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length append", "IR"},
 CellID->826776809],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox["S", "i"], "\[Equal]", 
    SubscriptBox["T", "i"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index append 1)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1163861425", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644641589585257*^9, 3.644641603148941*^9}},
 CellTags->{
  "ID:1163861425", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index append 1", "IR"},
 CellID->1163861425],

Cell[BoxData[
 RowBox[{
  SubscriptBox["S", 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "+", 
    "1"}]], "\[Equal]", "a"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index append 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1926885900", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644641611643417*^9, 3.6446416210005703`*^9}, {
  3.6446417082618427`*^9, 3.644641710228931*^9}},
 CellTags->{
  "ID:1926885900", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index append 2", "IR"},
 CellID->1926885900],

Cell[BoxData[
 RowBox[{
  SubscriptBox["S", 
   RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]], 
  "\[Equal]", "a"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:258136300", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644822957883934*^9, 3.644822963693063*^9}},
 CellTags->{
  "ID:258136300", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last append", "IR"},
 CellID->258136300],

Cell[BoxData[
 RowBox[{"S", "\[NotEqual]", 
  RowBox[{
  "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append is non-empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:583893516", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644813232831275*^9, 3.644813235468875*^9}},
 CellTags->{
  "ID:583893516", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append is non-empty", "IR"},
 CellID->583893516],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->455281791]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->214138104],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append Nil,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append Nil,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Nil", "\:293a", 
             StyleBox["a", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox["a", "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Nil", "\:293a", 
             StyleBox["a", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox["a", "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:212552120"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p212552120-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p212552120-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:212552120", "Proof|ID:212552120-1"},
 CellID->842667298],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p212552120-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->373088786]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append Cons,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append Cons,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], "\:293a", 
             StyleBox["b", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"Cons", "[", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:293a", 
                 StyleBox["b", "ExpressionVariable"]}]}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], "\:293a", 
             StyleBox["b", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"Cons", "[", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], ",", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:293a", 
                 StyleBox["b", "ExpressionVariable"]}]}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:26950404"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p26950404-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p26950404-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:26950404", "Proof|ID:26950404-1"},
 CellID->160680747],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p26950404-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->206941133]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1028745265"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1028745265-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1028745265-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1028745265", "Proof|ID:1028745265-1"},
 CellID->110230913],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1028745265-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->21694793]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:293a", 
                 StyleBox["a", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "+", 
               "1"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:293a", 
                 StyleBox["a", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "+", 
               "1"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:826776809"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p826776809-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p826776809-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:826776809", "Proof|ID:826776809-1"},
 CellID->18830374],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p826776809-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->696221489]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index append 1,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index append 1,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:293a", 
                  StyleBox["a", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:293a", 
                  StyleBox["a", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1163861425"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1163861425-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1163861425-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1163861425", "Proof|ID:1163861425-1"},
 CellID->17881917],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1163861425-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->122957529]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index append 2,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index append 2,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:293a", 
                StyleBox["a", "ExpressionVariable"]}], 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}], "+", "1"}]], "\[Equal]", 
             StyleBox[
             "a", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:293a", 
                StyleBox["a", "ExpressionVariable"]}], 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}], "+", "1"}]], "\[Equal]", 
             StyleBox[
             "a", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1926885900"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1926885900-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1926885900-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1926885900", "Proof|ID:1926885900-1"},
 CellID->262597552],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1926885900-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->368831702]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:293a", 
                StyleBox["a", "ExpressionVariable"]}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:293a", 
                  StyleBox["a", "ExpressionVariable"]}], 
                "\[RightBracketingBar]"}]], "\[Equal]", 
             StyleBox[
             "a", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:293a", 
                StyleBox["a", "ExpressionVariable"]}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:293a", 
                  StyleBox["a", "ExpressionVariable"]}], 
                "\[RightBracketingBar]"}]], "\[Equal]", 
             StyleBox[
             "a", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:258136300"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p258136300-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p258136300-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:258136300", "Proof|ID:258136300-1"},
 CellID->299725670],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p258136300-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->316810752]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append is non-empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append is non-empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "\[NotEqual]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "\[NotEqual]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:583893516"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p583893516-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p583893516-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:583893516", "Proof|ID:583893516-1"},
 CellID->542939157],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p583893516-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->224692328]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->433457548],

Cell[CellGroupData[{

Cell["Lemma: Reverse", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.644307543427989*^9, 3.644307545032686*^9}, {
  3.662445846205881*^9, 3.662445846892282*^9}},
 CellID->545211621],

Cell[BoxData[
 RowBox[{
  RowBox[{"Reverse", "[", "Nil", "]"}], "\[Equal]", 
  "Nil"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(reverse Nil)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:223241243", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624458559870977`*^9, 3.6624458635687113`*^9}},
 CellTags->{
  "ID:223241243", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse Nil", "IR"},
 CellID->223241243],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"a", ",", 
    RowBox[{"isTuple", "[", "T", "]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"Reverse", "[", 
     RowBox[{"Cons", "[", 
      RowBox[{"a", ",", "T"}], "]"}], "]"}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"Reverse", "[", "T", "]"}], 
      TagBox["\:293a",
       Identity,
       SyntaxForm->"a*b"], "a"}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(reverse Cons)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:742156512", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624459029275804`*^9, 3.6624459614052835`*^9}},
 CellTags->{
  "ID:742156512", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse Cons", "IR"},
 CellID->742156512],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{"isTuple", "[", 
   RowBox[{"Reverse", "[", "T", "]"}], "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple reverse')", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:145273629", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624459721225023`*^9, 3.6624459835885224`*^9}},
 CellTags->{
  "ID:145273629", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple reverse'", "IR"},
 CellID->145273629],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "T"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 461591348}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443075690231953`*^9, 3.644307575939844*^9}},
 CellTags->{
  "ID:461591348", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->461591348],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", 
   RowBox[{"Reverse", "[", "T", "]"}], "]"}], 
  TagBox["\[DoubleLongLeftRightArrow]",
   Identity,
   SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
  RowBox[{"isTuple", "[", "T", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2049851981", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644307579512086*^9, 3.6443075886850452`*^9}, {
  3.6624458679211187`*^9, 3.6624458693407216`*^9}},
 CellTags->{
  "ID:2049851981", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple reverse"},
 CellID->2049851981],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", "T", "]"}], "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 92271122}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443075927593307`*^9, 3.644307604508376*^9}},
 CellTags->{
  "ID:92271122", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->92271122],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"Reverse", "[", "T", "]"}], "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
  "\[LeftBracketingBar]", "T", 
   "\[RightBracketingBar]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:272039775", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644307616396353*^9, 3.644307625890212*^9}, {
  3.6624458723047266`*^9, 3.662445872913128*^9}},
 CellTags->{
  "ID:272039775", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length reverse"},
 CellID->272039775],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"Reverse", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"Reverse", "[", "T", "]"}], "i"], "\[Equal]", 
    SubscriptBox["T", 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
      RowBox[{"(", 
       RowBox[{"i", "-", "1"}], ")"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1569428563", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644307633621676*^9, 3.644307682783517*^9}, {
  3.662445875190732*^9, 3.662445875783533*^9}},
 CellTags->{
  "ID:1569428563", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index reverse"},
 CellID->1569428563],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"Reverse", "[", "T", "]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(reverse is empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:829341774", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448160465466413`*^9, 3.644816067013809*^9}},
 CellTags->{
  "ID:829341774", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse is empty", "IR"},
 CellID->829341774],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1873569694]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1831030859],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(reverse Nil,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(reverse Nil,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         RowBox[{"Reverse", "[", "Nil", "]"}], "\[Equal]", 
         "Nil"}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         RowBox[{"Reverse", "[", "Nil", "]"}], "\[Equal]", 
         "Nil"}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:223241243"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p223241243-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p223241243-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:223241243", "Proof|ID:223241243-1"},
 CellID->524187526],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p223241243-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->6126646]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(reverse Cons,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(reverse Cons,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["a", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"Reverse", "[", 
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}], 
           "\[Equal]", 
           RowBox[{
             RowBox[{"Reverse", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\:293a", 
             StyleBox[
             "a", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["a", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"Reverse", "[", 
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}], 
           "\[Equal]", 
           RowBox[{
             RowBox[{"Reverse", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\:293a", 
             StyleBox[
             "a", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:742156512"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p742156512-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p742156512-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:742156512", "Proof|ID:742156512-1"},
 CellID->311829536],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p742156512-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->351370098]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple reverse',[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple reverse',[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"Reverse", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], 
           "]"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"Reverse", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], 
           "]"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:145273629"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p145273629-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p145273629-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:145273629", "Proof|ID:145273629-1"},
 CellID->524179082],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p145273629-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->77673621]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple reverse)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple reverse)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{"Reverse", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{"Reverse", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2049851981"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2049851981-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2049851981-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2049851981", "Proof|ID:2049851981-1"},
 CellID->1082036],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2049851981-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->91447773]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length reverse)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length reverse)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:272039775"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p272039775-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p272039775-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:272039775", "Proof|ID:272039775-1"},
 CellID->1586106],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p272039775-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->333279021]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index reverse)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index reverse)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{"Reverse", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], 
                    ")"}]}]]}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{"Reverse", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], 
                    ")"}]}]]}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1569428563"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1569428563-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1569428563-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1569428563", "Proof|ID:1569428563-1"},
 CellID->43059393],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1569428563-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {61., 67.}}]], "ProofInfoBody",
 CellID->139383262]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(reverse is empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(reverse is empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               
               RowBox[{
                "\[LeftAngleBracket]", 
                 "\[RightAngleBracket]"}]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               
               RowBox[{
                "\[LeftAngleBracket]", 
                 "\[RightAngleBracket]"}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:829341774"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p829341774-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p829341774-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:829341774", "Proof|ID:829341774-1"},
 CellID->14326954],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p829341774-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->338034050]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1846193463],

Cell[CellGroupData[{

Cell["Lemma: Most and Rest", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6443010238198566`*^9, 3.644301032912697*^9}, {
  3.662455798452479*^9, 3.66245579918568*^9}},
 CellID->707706814],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"a", ",", 
    RowBox[{"isTuple", "[", "T", "]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"Rest", "[", 
     RowBox[{"Cons", "[", 
      RowBox[{"a", ",", "T"}], "]"}], "]"}], "\[Equal]", "T"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest Cons)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:121283420", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6624559009446588`*^9, 3.6624559202094927`*^9}},
 CellTags->{
  "ID:121283420", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest Cons", "IR"},
 CellID->121283420],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "T"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 987021041}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443010578659563`*^9, 3.644301066781598*^9}, {
   3.644303664125092*^9, 3.6443036678854733`*^9}, {3.644303712959269*^9, 
   3.644303713219163*^9}, 3.644741281388864*^9},
 CellTags->{
  "ID:987021041", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->987021041],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", 
   RowBox[{"Rest", "[", "T", "]"}], "]"}], 
  TagBox["\[DoubleLongLeftRightArrow]",
   Identity,
   SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"isTuple", "[", "T", "]"}], "\[And]", 
    RowBox[{"T", "\[NotEqual]", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1839205404", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644303720266782*^9, 3.644303723647146*^9}, {
  3.6443038441003447`*^9, 3.6443038576982107`*^9}, {3.644741269296742*^9, 
  3.644741279030097*^9}, {3.662455852288173*^9, 3.6624558538949757`*^9}},
 CellTags->{
  "ID:1839205404", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple rest"},
 CellID->1839205404],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", 
   RowBox[{"Most", "[", "T", "]"}], "]"}], 
  TagBox["\[DoubleLongLeftRightArrow]",
   Identity,
   SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"isTuple", "[", "T", "]"}], "\[And]", 
    RowBox[{"T", "\[NotEqual]", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple most)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1405660958", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644303873961309*^9, 3.644303883757381*^9}, {
  3.6447412855547*^9, 3.644741297516615*^9}, {3.662455855720179*^9, 
  3.662455857295782*^9}},
 CellTags->{
  "ID:1405660958", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple most"},
 CellID->1405660958],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"isTuple", "[", "T", "]"}], "\[And]", 
   RowBox[{"T", "\[NotEqual]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
  "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 936067561}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443039000034647`*^9, 3.644303905564103*^9}, {
  3.64474125329217*^9, 3.644741261962572*^9}},
 CellTags->{
  "ID:936067561", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->936067561],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"Rest", "[", "T", "]"}], "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
   "1"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1552050833", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443037013051577`*^9, 3.6443037045282583`*^9}, {
  3.644303861761961*^9, 3.6443039197664433`*^9}, {3.6624558603845873`*^9, 
  3.6624558609929886`*^9}},
 CellTags->{
  "ID:1552050833", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length rest"},
 CellID->1552050833],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"Most", "[", "T", "]"}], "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
   "1"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length most)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1817775526", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443039284580107`*^9, 3.6443039304750566`*^9}, {
  3.662455864830595*^9, 3.6624558654389963`*^9}},
 CellTags->{
  "ID:1817775526", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length most"},
 CellID->1817775526],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"Rest", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"Rest", "[", "T", "]"}], "i"], "\[Equal]", 
    SubscriptBox["T", 
     RowBox[{"i", "+", "1"}]]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:84622963", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644303935900375*^9, 3.644303979262475*^9}, {
  3.6624558675137997`*^9, 3.6624558681534014`*^9}},
 CellTags->{
  "ID:84622963", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index rest"},
 CellID->84622963],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"Most", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"Most", "[", "T", "]"}], "i"], "\[Equal]", 
    SubscriptBox["T", "i"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index most)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1284707773", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644303988804659*^9, 3.64430399739613*^9}, {
  3.6624558698694043`*^9, 3.662455870477805*^9}},
 CellTags->{
  "ID:1284707773", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index most"},
 CellID->1284707773],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1778574893]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->2043977624],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest Cons,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest Cons,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["a", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}], 
           "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["a", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"Cons", "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], ",", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], "]"}], 
           "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:121283420"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p121283420-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p121283420-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:121283420", "Proof|ID:121283420-1"},
 CellID->95888746],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p121283420-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->276647371]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple rest)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple rest)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{"Rest", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"isTuple", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{"Rest", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"isTuple", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1839205404"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1839205404-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1839205404-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1839205404", "Proof|ID:1839205404-1"},
 CellID->143479761],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1839205404-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->288090391]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple most)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple most)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{"Most", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"isTuple", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{"Most", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"isTuple", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1405660958"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1405660958-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1405660958-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1405660958", "Proof|ID:1405660958-1"},
 CellID->609655947],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1405660958-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->3666763]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length rest)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length rest)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"Rest", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "-", 
               "1"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"Rest", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "-", 
               "1"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1552050833"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1552050833-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1552050833-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1552050833", "Proof|ID:1552050833-1"},
 CellID->195359364],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1552050833-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->296384416]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length most)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length most)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"Most", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "-", 
               "1"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"Most", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "-", 
               "1"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1817775526"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1817775526-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1817775526-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1817775526", "Proof|ID:1817775526-1"},
 CellID->255158198],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1817775526-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->171162637]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index rest)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index rest)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{"Rest", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "+", 
                  "1"}]]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{"Rest", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "+", 
                  "1"}]]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:84622963"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p84622963-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p84622963-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:84622963", "Proof|ID:84622963-1"},
 CellID->8385938],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p84622963-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->78853501]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index most)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index most)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{"Most", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{"Most", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                StyleBox["i", "ExpressionVariable"]], "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1284707773"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1284707773-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1284707773-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1284707773", "Proof|ID:1284707773-1"},
 CellID->106320926],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1284707773-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {53., 60.}}]], "ProofInfoBody",
 CellID->57349083]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->767002477],

Cell[CellGroupData[{

Cell["Lemma: Tuple Quantifier", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6626976074529953`*^9, 3.6626976114934025`*^9}},
 CellID->35750748],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"f", ",", "P"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 59159884}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6626976185914154`*^9, 3.662697620135818*^9}},
 CellTags->{
  "ID:59159884", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->59159884],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"a", ",", 
    RowBox[{"b", "\[Element]", "\[DoubleStruckCapitalZ]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"f", "[", "i", "]"}], 
      UnderscriptBox["|", 
       RowBox[{
        RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", "b"}]], 
      RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{"\[Piecewise]", GridBox[{
       {
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{"i", "+", 
            RowBox[{"(", 
             RowBox[{"a", "-", "1"}], ")"}]}], "]"}], 
          UnderscriptBox["|", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
            RowBox[{"b", "-", 
             RowBox[{"(", 
              RowBox[{"a", "-", "1"}], ")"}]}]}]], 
          RowBox[{"P", "[", 
           RowBox[{"i", "+", 
            RowBox[{"(", 
             RowBox[{"a", "-", "1"}], ")"}]}], "]"}]}], 
         "\[RightAngleBracket]"}], "\[DoubleLeftArrow]", 
        RowBox[{"b", "\[GreaterEqual]", "a"}]},
       {
        RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
        "\[DoubleLeftArrow]", "otherwise"}
      }]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf integer endpoints)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1998536813", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446368010146627`*^9, 3.6446368396595907`*^9}, {
   3.6446368974962*^9, 3.644636910879614*^9}, 3.644640618367264*^9, {
   3.644640662698928*^9, 3.644640675886108*^9}, {3.6626981313365164`*^9, 
   3.6626981320073175`*^9}},
 CellTags->{
  "ID:1998536813", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf integer endpoints"},
 CellID->1998536813],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"n", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"f", "[", "i", "]"}], 
      UnderscriptBox["|", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
      RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"natRec0", "[", 
      RowBox[{
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
       RowBox[{
        UnderscriptBox["\[Lambda]", 
         RowBox[{"x", ",", "y"}]], 
        RowBox[{
         TagBox["(",
          "AutoParentheses"], 
         RowBox[{"\[Piecewise]", GridBox[{
            {
             RowBox[{
              TagBox["(",
               "AutoParentheses"], 
              RowBox[{"y", 
               TagBox["\:293a",
                Identity,
                SyntaxForm->"a*b"], 
               RowBox[{"f", "[", 
                RowBox[{"x", "+", "1"}], "]"}]}], 
              TagBox[")",
               "AutoParentheses"]}], "\[DoubleLeftArrow]", 
             RowBox[{"P", "[", 
              RowBox[{"x", "+", "1"}], "]"}]},
            {"y", "\[DoubleLeftArrow]", "otherwise"}
           }]}], 
         TagBox[")",
          "AutoParentheses"]}]}]}], "]"}], "[", "n", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf \[DoubleStruckCapitalN]0)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:17780859", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662697496505601*^9, 3.6626975942241726`*^9}, {
  3.662698128778112*^9, 3.662698129417713*^9}},
 CellTags->{
  "ID:17780859", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf \[DoubleStruckCapitalN]0"},
 CellID->17780859],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{"f", "[", "i", "]"}], 
    UnderscriptBox["|", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "0"}]], 
    RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], "\[Equal]", 
  RowBox[{
  "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf base)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1940209939", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64463686160369*^9, 3.6446368743164682`*^9}, {
  3.662697666171499*^9, 3.6626976668423*^9}},
 CellTags->{
  "ID:1940209939", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf base"},
 CellID->1940209939],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"n", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"f", "[", "i", "]"}], 
      UnderscriptBox["|", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"n", "+", "1"}]}]], 
      RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{"\[Piecewise]", GridBox[{
       {
        RowBox[{
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
           RowBox[{"f", "[", "i", "]"}], 
           UnderscriptBox["|", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
           RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], 
         TagBox["\:293a",
          Identity,
          SyntaxForm->"a*b"], 
         RowBox[{"f", "[", 
          RowBox[{"n", "+", "1"}], "]"}]}], "\[DoubleLeftArrow]", 
        RowBox[{"P", "[", 
         RowBox[{"n", "+", "1"}], "]"}]},
       {
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{
          RowBox[{"f", "[", "i", "]"}], 
          UnderscriptBox["|", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
          RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], 
        "\[DoubleLeftArrow]", "otherwise"}
      }]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf step)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:396789611", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644636917939539*^9, 3.6446369714869013`*^9}, {
  3.6626976690263033`*^9, 3.6626976809915247`*^9}},
 CellTags->{
  "ID:396789611", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf step"},
 CellID->396789611],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->668278845]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->5981145],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf integer endpoints)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf integer endpoints)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}], 
                    ")"}]}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
                    "]"}]}], "\[RightAngleBracket]"}], "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                  StyleBox["a", "ExpressionVariable"]}]}, {
                RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}], 
                    ")"}]}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
                    "]"}]}], "\[RightAngleBracket]"}], "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                  StyleBox["a", "ExpressionVariable"]}]}, {
                RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1998536813"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1998536813-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1998536813-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1998536813", "Proof|ID:1998536813-1"},
 CellID->24721990],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1998536813-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->450276372]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf \[DoubleStruckCapitalN]0)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf \[DoubleStruckCapitalN]0)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"natRec0", "[", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
                 RowBox[{
                   UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                   RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\:293a", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "]"}]}], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "]"}]}, {
                    StyleBox["y", "ExpressionVariable"], "\[DoubleLeftArrow]",
                     "True"}}]}]}]}], "]"}], "[", 
             StyleBox["n", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"natRec0", "[", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
                 RowBox[{
                   UnderscriptBox["\[Lambda]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}]], 
                   RowBox[{"\[Piecewise]", 
                    GridBox[{{
                    RowBox[{
                    StyleBox["y", "ExpressionVariable"], "\:293a", 
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "]"}]}], 
                    "\[DoubleLeftArrow]", 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], "+", "1"}], "]"}]}, {
                    StyleBox["y", "ExpressionVariable"], "\[DoubleLeftArrow]",
                     "True"}}]}]}]}], "]"}], "[", 
             StyleBox["n", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:17780859"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p17780859-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p17780859-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:17780859", "Proof|ID:17780859-1"},
 CellID->285980507],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p17780859-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->679263736]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf base)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf base)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", "0"}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           
           RowBox[{"\[LeftAngleBracket]", 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", "0"}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           
           RowBox[{"\[LeftAngleBracket]", 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1940209939"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1940209939-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1940209939-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1940209939", "Proof|ID:1940209939-1"},
 CellID->131744259],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1940209939-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->195611353]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf step)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf step)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], "\:293a", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}], "]"}]}], 
                "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["P", "ExpressionVariable"], "[", 
                  RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}], "]"}]}, {
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                  "\[RightAngleBracket]"}], "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], "\:293a", 
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}], "]"}]}], 
                "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["P", "ExpressionVariable"], "[", 
                  RowBox[{
                    StyleBox["n", "ExpressionVariable"], "+", "1"}], "]"}]}, {
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                  "\[RightAngleBracket]"}], "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:396789611"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p396789611-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p396789611-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:396789611", "Proof|ID:396789611-1"},
 CellID->831671186],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p396789611-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->959718414]
}, Closed]],

Cell[TextData[{
 StyleBox["Remark",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 ": ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"f", "[", "i", "]"}], 
     UnderscriptBox["|", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "0"}]], 
     RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 " is always automatically simplified to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], TraditionalForm]]],
 " immediately, so formula (TupleOf base) is actually redundant."
}], "Text",
 CellChangeTimes->{{3.662702449686702*^9, 3.662702520198826*^9}},
 CellID->630605729]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Enumeration Tuples with Fixed Length (\[Checkmark])\
\>", "Subsection",
 CellChangeTimes->{{3.647748712389106*^9, 3.64774871832491*^9}, {
   3.647749312690647*^9, 3.647749316903126*^9}, {3.648360111787888*^9, 
   3.648360115287051*^9}, 3.6554583001613073`*^9, 3.66270299506566*^9},
 CellID->2011774951],

Cell["", "OpenEnvironment",
 CellID->200770960],

Cell[CellGroupData[{

Cell["Lemma: Lengths and Elements of Pairs and Triples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.655535902189556*^9, 3.65553591006857*^9}, {
  3.662703009979286*^9, 3.6627030107280874`*^9}, {3.662703546979029*^9, 
  3.662703577383483*^9}, {3.6627036740568523`*^9, 3.6627037085485134`*^9}},
 CellID->124396112],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"x", ",", "y", ",", "z"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 130363217}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6555359137189765`*^9, 3.6555359161525807`*^9}, {
  3.6555368962377043`*^9, 3.655536896409304*^9}, {3.6627035721418734`*^9, 
  3.6627035723134737`*^9}},
 CellTags->{
  "ID:130363217", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->130363217],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], 
   "\[RightBracketingBar]"}], "\[Equal]", "2"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length pair)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:39824109", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6555353447719765`*^9, 3.6555353573611984`*^9}},
 CellTags->{
  "ID:39824109", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length pair", "IR"},
 CellID->39824109],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y", ",", "z"}], "\[RightAngleBracket]"}], 
   "\[RightBracketingBar]"}], "\[Equal]", "3"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length triple)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:11669955", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6555353636636095`*^9, 3.6555353674398165`*^9}},
 CellTags->{
  "ID:11669955", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length triple", "IR"},
 CellID->11669955],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "1"], "\[Equal]", 
  "x"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(pair first)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:7707058", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6555369224467497`*^9, 3.6555369256603556`*^9}},
 CellTags->{
  "ID:7707058", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "pair first", "IR"},
 CellID->7707058],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "2"], "\[Equal]", 
  "y"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(pair second)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:152479598", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655535940239023*^9, 3.655535945231032*^9}},
 CellTags->{
  "ID:152479598", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "pair second", "IR"},
 CellID->152479598],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y", ",", "z"}], "\[RightAngleBracket]"}], "1"], 
  "\[Equal]", "x"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(triple first)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:448273489", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6627035893487034`*^9, 3.6627035960255156`*^9}},
 CellTags->{
  "ID:448273489", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "triple first", "IR"},
 CellID->448273489],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y", ",", "z"}], "\[RightAngleBracket]"}], "2"], 
  "\[Equal]", "y"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(triple second)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:76151934", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.662703600970724*^9, 3.6627036056351323`*^9}},
 CellTags->{
  "ID:76151934", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "triple second", "IR"},
 CellID->76151934],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y", ",", "z"}], "\[RightAngleBracket]"}], "3"], 
  "\[Equal]", "z"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(triple third)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1792898", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6627036018911257`*^9, 3.6627036069143343`*^9}},
 CellTags->{
  "ID:1792898", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "triple third", "IR"},
 CellID->1792898],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->329409613]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->88488162],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length pair,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length pair,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox["y", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", "2"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox["y", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", "2"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:39824109"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p39824109-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p39824109-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:39824109", "Proof|ID:39824109-1"},
 CellID->462628370],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p39824109-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->136621554]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length triple,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length triple,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["z", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox["y", "ExpressionVariable"], ",", 
                 StyleBox["z", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", "3"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["z", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox["y", "ExpressionVariable"], ",", 
                 StyleBox["z", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", "3"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:11669955"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p11669955-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p11669955-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:11669955", "Proof|ID:11669955-1"},
 CellID->103191162],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p11669955-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->469653815]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(pair first,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(pair first,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "1"], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "1"], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:7707058"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p7707058-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p7707058-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:7707058", "Proof|ID:7707058-1"},
 CellID->438891],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p7707058-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->627686600]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(pair second,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(pair second,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "2"], "\[Equal]", 
           StyleBox[
           "y", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "2"], "\[Equal]", 
           StyleBox[
           "y", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:152479598"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p152479598-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p152479598-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:152479598", "Proof|ID:152479598-1"},
 CellID->28361013],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p152479598-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->108520392]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(triple first,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(triple first,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["z", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"], ",", 
                StyleBox["z", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "1"], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["z", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"], ",", 
                StyleBox["z", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "1"], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:448273489"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p448273489-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p448273489-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:448273489", "Proof|ID:448273489-1"},
 CellID->55696255],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p448273489-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->133466225]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(triple second,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(triple second,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["z", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"], ",", 
                StyleBox["z", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "2"], "\[Equal]", 
           StyleBox[
           "y", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["z", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"], ",", 
                StyleBox["z", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "2"], "\[Equal]", 
           StyleBox[
           "y", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:76151934"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p76151934-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p76151934-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:76151934", "Proof|ID:76151934-1"},
 CellID->7620393],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p76151934-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->124383332]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(triple third,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(triple third,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["z", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"], ",", 
                StyleBox["z", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "3"], "\[Equal]", 
           StyleBox[
           "z", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["z", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"], ",", 
                StyleBox["z", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "3"], "\[Equal]", 
           StyleBox[
           "z", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1792898"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1792898-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1792898-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1792898", "Proof|ID:1792898-1"},
 CellID->146372186],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1792898-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->513169817]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->460618403],

Cell[CellGroupData[{

Cell["Lemma: Tuples with Particular Lengths", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{
  3.647748727754586*^9, {3.647750106237101*^9, 3.647750113349062*^9}},
 CellID->913586318],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", "T", "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1064958803}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647748730761135*^9, 3.6477487343999577`*^9}},
 CellTags->{
  "ID:1064958803", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1064958803],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "1"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", 
     SubscriptBox["T", "1"], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length=1')", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:601496808", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647749142027829*^9, 3.6477491565885677`*^9}},
 CellTags->{
  "ID:601496808", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=1'"},
 CellID->601496808],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "2"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      SubscriptBox["T", "1"], ",", 
      SubscriptBox["T", "2"]}], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length=2')", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:461084917", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647749164576083*^9, 3.64774917003505*^9}},
 CellTags->{
  "ID:461084917", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=2'"},
 CellID->461084917],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "3"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      SubscriptBox["T", "1"], ",", 
      SubscriptBox["T", "2"], ",", 
      SubscriptBox["T", "3"]}], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length=3')", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2026997690", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647749173678047*^9, 3.647749182576672*^9}},
 CellTags->{
  "ID:2026997690", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=3'"},
 CellID->2026997690],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "0"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length=0)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1825869525", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64430999263249*^9, 3.644310013522731*^9}},
 CellTags->{
  "ID:1825869525", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=0", "IR"},
 CellID->1825869525],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "1"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Exists]", "x"], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", "x", "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length=1)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1394353823", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644813741115163*^9, 3.644813761827148*^9}},
 CellTags->{
  "ID:1394353823", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=1", "IR"},
 CellID->1394353823],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "2"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Exists]", 
     RowBox[{"x", ",", "y"}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length=2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1143806168", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647748838228343*^9, 3.6477488455945673`*^9}},
 CellTags->{
  "ID:1143806168", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=2", "IR"},
 CellID->1143806168],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "3"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Exists]", 
     RowBox[{"x", ",", "y", ",", "z"}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"x", ",", "y", ",", "z"}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length=3)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1073774013", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647748851554241*^9, 3.647748858524753*^9}},
 CellTags->{
  "ID:1073774013", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=3", "IR"},
 CellID->1073774013],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1102841271]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1812547523],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length=1')\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length=1')\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "1"}], "\[Implies]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], "1"], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "1"}], "\[Implies]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], "1"], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:601496808"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p601496808-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p601496808-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:601496808", "Proof|ID:601496808-1"},
 CellID->33434798],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p601496808-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->155588588]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length=2')\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length=2')\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "2"}], "\[Implies]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "1"], ",", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "2"]}], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "2"}], "\[Implies]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "1"], ",", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "2"]}], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:461084917"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p461084917-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p461084917-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:461084917", "Proof|ID:461084917-1"},
 CellID->4486059],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p461084917-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->494835397]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length=3')\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length=3')\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "3"}], "\[Implies]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "1"], ",", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "2"], ",", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "3"]}], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "3"}], "\[Implies]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "1"], ",", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "2"], ",", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], "3"]}], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2026997690"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2026997690-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2026997690-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2026997690", "Proof|ID:2026997690-1"},
 CellID->993728727],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2026997690-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->2967450]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length=0,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length=0,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "0"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "0"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1825869525"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1825869525-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1825869525-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1825869525", "Proof|ID:1825869525-1"},
 CellID->23229126],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1825869525-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->136892436]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length=1,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length=1,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "1"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox["x", "ExpressionVariable"], 
                 "\[RightAngleBracket]"}]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "1"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox["x", "ExpressionVariable"], 
                 "\[RightAngleBracket]"}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1394353823"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1394353823-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1394353823-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1394353823", "Proof|ID:1394353823-1"},
 CellID->412991705],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1394353823-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->40033292]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length=2,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length=2,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "2"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "2"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1143806168"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1143806168-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1143806168-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1143806168", "Proof|ID:1143806168-1"},
 CellID->509001042],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1143806168-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->189661265]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length=3,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length=3,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "3"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"], ",", 
                StyleBox["z", "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"], ",", 
                   StyleBox["z", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", "3"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox["y", "ExpressionVariable"], ",", 
                StyleBox["z", "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"], ",", 
                   StyleBox["z", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1073774013"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1073774013-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1073774013-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1073774013", "Proof|ID:1073774013-1"},
 CellID->54733379],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1073774013-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->3777776]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1540246895],

Cell[CellGroupData[{

Cell["Lemma: Equality of Enumeration Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.647750128437128*^9, 3.647750136335733*^9}},
 CellID->512149273],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
  "x1", ",", "x2", ",", "x3", ",", "y1", ",", "y2", ",", 
   "y3"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 952268452}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647750148130777*^9, 3.6477501608358097`*^9}},
 CellTags->{
  "ID:952268452", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->952268452],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", "x1", "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "y1", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"x1", "\[Equal]", "y1"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(enumeration tuple=1)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1246418388", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647750248761054*^9, 3.6477502577879744`*^9}},
 CellTags->{
  "ID:1246418388", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple=1", "IR"},
 CellID->1246418388],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"x1", ",", "x2"}], "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"y1", ",", "y2"}], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"x1", "\[Equal]", "y1"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"x2", "\[Equal]", "y2"}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(enumeration tuple=2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1106522710", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647750227290772*^9, 3.647750235318091*^9}},
 CellTags->{
  "ID:1106522710", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple=2", "IR"},
 CellID->1106522710],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"x1", ",", "x2", ",", "x3"}], "\[RightAngleBracket]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"y1", ",", "y2", ",", "y3"}], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"x1", "\[Equal]", "y1"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"x2", "\[Equal]", "y2"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"x3", "\[Equal]", "y3"}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(enumeration tuple=3)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:799290150", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6477501665644817`*^9, 3.6477502202564783`*^9}},
 CellTags->{
  "ID:799290150", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple=3", "IR"},
 CellID->799290150],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1478420364]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1306272283],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(enumeration tuple=1,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(enumeration tuple=1,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["y1", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x1", "ExpressionVariable"], "\[RightAngleBracket]"}],
              "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["y1", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
             StyleBox[
             "y1", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["y1", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x1", "ExpressionVariable"], "\[RightAngleBracket]"}],
              "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["y1", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
             StyleBox[
             "y1", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1246418388"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1246418388-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1246418388-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1246418388", "Proof|ID:1246418388-1"},
 CellID->105814896],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1246418388-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->287281125]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(enumeration tuple=2,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(enumeration tuple=2,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"], ",", 
            StyleBox["y1", "ExpressionVariable"], ",", 
            StyleBox["y2", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["y1", "ExpressionVariable"], ",", 
                 StyleBox["y2", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["x2", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y2", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"], ",", 
            StyleBox["y1", "ExpressionVariable"], ",", 
            StyleBox["y2", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["y1", "ExpressionVariable"], ",", 
                 StyleBox["y2", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["x2", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y2", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1106522710"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1106522710-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1106522710-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1106522710", "Proof|ID:1106522710-1"},
 CellID->118246133],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1106522710-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->10910667]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(enumeration tuple=3,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(enumeration tuple=3,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"], ",", 
            StyleBox["x3", "ExpressionVariable"], ",", 
            StyleBox["y1", "ExpressionVariable"], ",", 
            StyleBox["y2", "ExpressionVariable"], ",", 
            StyleBox["y3", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"], ",", 
                 StyleBox["x3", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["y1", "ExpressionVariable"], ",", 
                 StyleBox["y2", "ExpressionVariable"], ",", 
                 StyleBox["y3", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["x2", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y2", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["x3", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y3", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"], ",", 
            StyleBox["x3", "ExpressionVariable"], ",", 
            StyleBox["y1", "ExpressionVariable"], ",", 
            StyleBox["y2", "ExpressionVariable"], ",", 
            StyleBox["y3", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"], ",", 
                 StyleBox["x3", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["y1", "ExpressionVariable"], ",", 
                 StyleBox["y2", "ExpressionVariable"], ",", 
                 StyleBox["y3", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y1", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["x2", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y2", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["x3", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y3", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:799290150"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p799290150-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p799290150-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:799290150", "Proof|ID:799290150-1"},
 CellID->165270158],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p799290150-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->457466600]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1568022983],

Cell[CellGroupData[{

Cell["Lemma: Rest of Enumeration Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.647770776910857*^9, 3.647770785107605*^9}},
 CellID->640235643],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"x1", ",", "x2", ",", "x3"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 372490730}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647770794366637*^9, 3.647770820022914*^9}},
 CellTags->{
  "ID:372490730", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->372490730],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rest", "[", 
   RowBox[{"\[LeftAngleBracket]", "x1", "\[RightAngleBracket]"}], "]"}], 
  "\[Equal]", 
  RowBox[{
  "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest enumeration tuple 1)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1625734410", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647770803903126*^9, 3.647770816227127*^9}},
 CellTags->{
  "ID:1625734410", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest enumeration tuple 1", "IR"},
 CellID->1625734410],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rest", "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x1", ",", "x2"}], "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
  RowBox[{
  "\[LeftAngleBracket]", "x2", 
   "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest enumeration tuple 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1166906170", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6477708295356913`*^9, 3.64777083463096*^9}},
 CellTags->{
  "ID:1166906170", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest enumeration tuple 2", "IR"},
 CellID->1166906170],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rest", "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x1", ",", "x2", ",", "x3"}], "\[RightAngleBracket]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"x2", ",", "x3"}], 
   "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest enumeration tuple 3)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1779125069", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6477708304601183`*^9, 3.64777084066175*^9}},
 CellTags->{
  "ID:1779125069", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest enumeration tuple 3", "IR"},
 CellID->1779125069],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->933560613]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1101510167],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest enumeration tuple 1,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest enumeration tuple 1,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x1", "ExpressionVariable"], "\[RightAngleBracket]"}],
              "]"}], "\[Equal]", 
           
           RowBox[{"\[LeftAngleBracket]", 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x1", "ExpressionVariable"], "\[RightAngleBracket]"}],
              "]"}], "\[Equal]", 
           
           RowBox[{"\[LeftAngleBracket]", 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1625734410"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1625734410-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1625734410-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1625734410", "Proof|ID:1625734410-1"},
 CellID->82369536],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1625734410-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->99451146]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest enumeration tuple 2,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest enumeration tuple 2,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox["x2", "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox["x2", "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1166906170"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1166906170-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1166906170-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1166906170", "Proof|ID:1166906170-1"},
 CellID->852370402],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1166906170-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->64156465]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest enumeration tuple 3,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest enumeration tuple 3,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"], ",", 
            StyleBox["x3", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"], ",", 
                 StyleBox["x3", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x2", "ExpressionVariable"], ",", 
               StyleBox["x3", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"], ",", 
            StyleBox["x3", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"], ",", 
                 StyleBox["x3", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x2", "ExpressionVariable"], ",", 
               StyleBox["x3", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1779125069"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1779125069-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1779125069-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1779125069", "Proof|ID:1779125069-1"},
 CellID->353249719],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1779125069-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->380201143]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->417202670],

Cell[CellGroupData[{

Cell["Lemma: E of Enumeration Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.649993808047089*^9, 3.649993813781867*^9}},
 CellID->546570466],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"a", ",", "x1", ",", "x2", ",", "x3"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1147667115}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6499938273086863`*^9, 3.649993833655239*^9}},
 CellTags->{
  "ID:1147667115", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1147667115],

Cell[BoxData[
 RowBox[{"\[Not]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"a", 
    TagBox["\:22ff",
     Identity,
     SyntaxForm->"a+b"], 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:561509893", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.649993852752123*^9, 3.6499938604505453`*^9}},
 CellTags->{
  "ID:561509893", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E empty"},
 CellID->561509893],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"a", 
    TagBox["\:22ff",
     Identity,
     SyntaxForm->"a+b"], 
    RowBox[{"\[LeftAngleBracket]", "x1", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"a", "\[Equal]", "x1"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E enumeration tuple 1)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:365847091", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6499938685096283`*^9, 3.6499938879327908`*^9}},
 CellTags->{
  "ID:365847091", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E enumeration tuple 1", "IR"},
 CellID->365847091],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"a", 
    TagBox["\:22ff",
     Identity,
     SyntaxForm->"a+b"], 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"x1", ",", "x2"}], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", "\[Equal]", "x1"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Or]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", "\[Equal]", "x2"}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E enumeration tuple 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:58186484", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.649993892356545*^9, 3.6499939019731216`*^9}},
 CellTags->{
  "ID:58186484", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E enumeration tuple 2", "IR"},
 CellID->58186484],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"a", 
    TagBox["\:22ff",
     Identity,
     SyntaxForm->"a+b"], 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"x1", ",", "x2", ",", "x3"}], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", "\[Equal]", "x1"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Or]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", "\[Equal]", "x2"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Or]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", "\[Equal]", "x3"}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E enumeration tuple 3)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:786794198", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6499939056914988`*^9, 3.64999391515344*^9}},
 CellTags->{
  "ID:786794198", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E enumeration tuple 3", "IR"},
 CellID->786794198],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->839924533]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1448831993],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E empty)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E empty)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{"\[Not]", 
           RowBox[{
             TagBox["(", "AutoParentheses"], 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             TagBox[")", "AutoParentheses"]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{"\[Not]", 
           RowBox[{
             TagBox["(", "AutoParentheses"], 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             TagBox[
             ")", "AutoParentheses"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:561509893"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p561509893-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p561509893-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:561509893", "Proof|ID:561509893-1"},
 CellID->434505344],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p561509893-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->347857550]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E enumeration tuple 1,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E enumeration tuple 1,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["x1", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x1", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\[Equal]", 
             StyleBox[
             "x1", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["x1", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x1", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\[Equal]", 
             StyleBox[
             "x1", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:365847091"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p365847091-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p365847091-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:365847091", "Proof|ID:365847091-1"},
 CellID->399585643],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p365847091-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->483716549]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E enumeration tuple 2,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E enumeration tuple 2,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x1", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x2", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x1", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x2", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:58186484"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p58186484-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p58186484-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:58186484", "Proof|ID:58186484-1"},
 CellID->220432200],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p58186484-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->92231687]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E enumeration tuple 3,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E enumeration tuple 3,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"], ",", 
            StyleBox["x3", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"], ",", 
                 StyleBox["x3", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x1", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x2", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x3", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["x1", "ExpressionVariable"], ",", 
            StyleBox["x2", "ExpressionVariable"], ",", 
            StyleBox["x3", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x1", "ExpressionVariable"], ",", 
                 StyleBox["x2", "ExpressionVariable"], ",", 
                 StyleBox["x3", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x1", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x2", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x3", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:786794198"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p786794198-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p786794198-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:786794198", "Proof|ID:786794198-1"},
 CellID->417724418],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p786794198-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->69259896]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Indices (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.633171508693083*^9, 3.633171517713005*^9}, {
   3.644304221408678*^9, 3.6443042223847113`*^9}, {3.6443114119146*^9, 
   3.64431141595505*^9}, {3.644752513028924*^9, 3.644752515221024*^9}, 
   3.65545830162771*^9, {3.662443124345892*^9, 3.6624431245486917`*^9}},
 CellID->536770957],

Cell["", "OpenEnvironment",
 CellID->1266660573],

Cell[CellGroupData[{

Cell["Lemma: Indices of Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.644829698580752*^9, 3.644829702919916*^9}},
 CellID->1143846827],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"isTuple", "[", "T", "]"}], ",", "i"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 186310157}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{
  3.644829711384076*^9, {3.644829799377592*^9, 3.6448297995967083`*^9}},
 CellTags->{
  "ID:186310157", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->186310157],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"i", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", 
     RowBox[{"1", ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
         RowBox[{"(", 
          RowBox[{"i", "-", "1"}], ")"}]}], ")"}], "-", "1"}], ")"}]}], 
    "\[Equal]", "i"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple index 1)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:742014313", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6447288516039963`*^9, 3.644728890070385*^9}, {
  3.644829869791093*^9, 3.644829907438942*^9}},
 CellTags->{
  "ID:742014313", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 1", "IR"},
 CellID->742014313],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"i", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", 
     RowBox[{"1", ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"i", "+", "1"}], "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", 
     RowBox[{"1", ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple index 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1611580180", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644829616462171*^9, 3.644829647509392*^9}, {
  3.644829801927288*^9, 3.6448298204434357`*^9}},
 CellTags->{
  "ID:1611580180", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 2", "IR"},
 CellID->1611580180],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"i", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", 
     RowBox[{"1", ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"i", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", 
     RowBox[{"1", ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple index 3)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1288253764", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448298142408648`*^9, 3.6448298269042587`*^9}},
 CellTags->{
  "ID:1288253764", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 3", "IR"},
 CellID->1288253764],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"i", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", 
     RowBox[{"1", ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{"i", "\[NotEqual]", 
   RowBox[{
   "\[LeftBracketingBar]", "T", 
    "\[RightBracketingBar]"}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple index 5)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1090639612", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448349008020887`*^9, 3.644834914423584*^9}},
 CellTags->{
  "ID:1090639612", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 5", "IR"},
 CellID->1090639612],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"i", "\[Element]", 
     SubscriptBox["\[DoubleStruckCapitalN]", 
      RowBox[{"1", ",", "\[Ellipsis]", ",", 
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]]}], 
    "\[And]", 
    RowBox[{"i", "\[NotEqual]", 
     RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{"i", "\[Element]", 
   SubscriptBox["\[DoubleStruckCapitalN]", 
    RowBox[{"1", ",", "\[Ellipsis]", ",", 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
      "1"}]}]]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple index 6)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:143272898", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644838237581045*^9, 3.644838262838179*^9}},
 CellTags->{
  "ID:143272898", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 6", "IR"},
 CellID->143272898],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"i", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", 
     RowBox[{"1", ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"i", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", 
     RowBox[{"0", ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple index 7)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2123711543", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64490971876378*^9, 3.644909730611204*^9}},
 CellTags->{
  "ID:2123711543", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 7", "IR"},
 CellID->2123711543],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
     "1"}], ")"}], "+", "1"}], "\[Equal]", 
  RowBox[{
  "\[LeftBracketingBar]", "T", 
   "\[RightBracketingBar]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple index 4)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:44008041", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644829660083365*^9, 3.64482967524391*^9}},
 CellTags->{
  "ID:44008041", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 4", "IR"},
 CellID->44008041],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "\[NotEqual]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
  "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1971155327}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64475292125832*^9, 3.644752924861685*^9}},
 CellTags->{
  "ID:1971155327", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1971155327],

Cell[BoxData[
 RowBox[{"1", "\[Element]", 
  SubscriptBox["\[DoubleStruckCapitalN]", 
   RowBox[{"1", ",", "\[Ellipsis]", ",", 
    RowBox[{
    "\[LeftBracketingBar]", "T", 
     "\[RightBracketingBar]"}]}]]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first index)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:812832607", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6447529171142473`*^9, 3.644752930171829*^9}},
 CellTags->{
  "ID:812832607", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first index", "IR"},
 CellID->812832607],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
  "\[Element]", 
  SubscriptBox["\[DoubleStruckCapitalN]", 
   RowBox[{"1", ",", "\[Ellipsis]", ",", 
    RowBox[{
    "\[LeftBracketingBar]", "T", 
     "\[RightBracketingBar]"}]}]]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last index)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1556117652", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644308620866933*^9, 3.644308637804641*^9}, 
   3.644752927961856*^9},
 CellTags->{
  "ID:1556117652", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last index", "IR"},
 CellID->1556117652],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
   "\[NotEqual]", "1"}], "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 501261685}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644829440046549*^9, 3.6448294464911957`*^9}},
 CellTags->{
  "ID:501261685", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->501261685],

Cell[BoxData[
 RowBox[{"1", "\[Element]", 
  SubscriptBox["\[DoubleStruckCapitalN]", 
   RowBox[{"1", ",", "\[Ellipsis]", ",", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
     "1"}]}]]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first index II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2002554147", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644829452919764*^9, 3.6448294625844193`*^9}},
 CellTags->{
  "ID:2002554147", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first index II", "IR"},
 CellID->2002554147],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", "1"}],
   "\[Element]", 
  SubscriptBox["\[DoubleStruckCapitalN]", 
   RowBox[{"1", ",", "\[Ellipsis]", ",", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
     "1"}]}]]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last index II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1202189993", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644829468052309*^9, 3.644829484761547*^9}},
 CellTags->{
  "ID:1202189993", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last index II", "IR"},
 CellID->1202189993],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->316507172]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1183261273],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple index 1,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple index 1,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["T", "ExpressionVariable"]}, {
             RowBox[{
               RowBox[{
                 StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "-", 
               RowBox[{"(", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}], 
                   "-", "1"}], ")"}]}], "\[Equal]", 
             StyleBox[
             "i", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["T", "ExpressionVariable"]}, {
             RowBox[{
               RowBox[{
                 StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "-", 
               RowBox[{"(", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}], 
                   "-", "1"}], ")"}]}], "\[Equal]", 
             StyleBox[
             "i", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:742014313"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p742014313-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p742014313-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:742014313", "Proof|ID:742014313-1"},
 CellID->2143420291],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p742014313-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1056625538]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple index 2,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple index 2,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["i", "ExpressionVariable"], "+", "1"}], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["i", "ExpressionVariable"], "+", "1"}], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1611580180"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1611580180-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1611580180-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1611580180", "Proof|ID:1611580180-1"},
 CellID->1185382380],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1611580180-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->29899543]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple index 3,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple index 3,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]]}], "\[Implies]", 
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]]}], "\[Implies]", 
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1288253764"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1288253764-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1288253764-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1288253764", "Proof|ID:1288253764-1"},
 CellID->1383003338],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1288253764-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->525982341]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple index 5,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple index 5,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]]}], "\[Implies]", 
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]]}], "\[Implies]", 
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1090639612"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1090639612-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1090639612-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1090639612", "Proof|ID:1090639612-1"},
 CellID->475412260],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1090639612-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2140509025]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple index 6,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple index 6,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["i", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", 
                RowBox[{"1", ",", "\[Ellipsis]", ",", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]]}], "\[And]", 
             RowBox[{
               StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                  "1"}]}]]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["i", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", 
                RowBox[{"1", ",", "\[Ellipsis]", ",", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]]}], "\[And]", 
             RowBox[{
               StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                  "1"}]}]]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:143272898"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p143272898-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p143272898-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:143272898", "Proof|ID:143272898-1"},
 CellID->2097042960],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p143272898-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2059130845]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple index 7,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple index 7,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}], "\[Implies]", 
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"0", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["i", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}], "\[Implies]", 
           RowBox[{
             StyleBox["i", "ExpressionVariable"], "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"0", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2123711543"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2123711543-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2123711543-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2123711543", "Proof|ID:2123711543-1"},
 CellID->1266406671],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2123711543-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2029408553]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple index 4,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple index 4,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "-", "1"}], "+", "1"}], 
           "\[Equal]", 
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["T", "ExpressionVariable"], 
             "\[RightBracketingBar]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "-", "1"}], "+", "1"}], 
           "\[Equal]", 
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["T", "ExpressionVariable"], 
             "\[RightBracketingBar]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:44008041"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p44008041-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p44008041-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:44008041", "Proof|ID:44008041-1"},
 CellID->679233695],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p44008041-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->750651873]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first index,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first index,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{"1", "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{"1", "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:812832607"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p812832607-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p812832607-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:812832607", "Proof|ID:812832607-1"},
 CellID->265164223],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p812832607-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{3.644813918472458*^9},
 CellID->451118523]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last index,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last index,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Element]", 
             SubscriptBox["\[DoubleStruckCapitalN]", 
              RowBox[{"1", ",", "\[Ellipsis]", ",", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1556117652"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1556117652-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1556117652-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1556117652", "Proof|ID:1556117652-1"},
 CellID->661063359],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1556117652-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1950964332]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first index II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first index II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[NotEqual]", "1"}], 
             "\[Implies]", 
             RowBox[{"1", "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", 
                RowBox[{"1", ",", "\[Ellipsis]", ",", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    "1"}]}]]}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[NotEqual]", "1"}], 
             "\[Implies]", 
             RowBox[{"1", "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", 
                RowBox[{"1", ",", "\[Ellipsis]", ",", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    "1"}]}]]}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2002554147"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2002554147-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2002554147-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2002554147", "Proof|ID:2002554147-1"},
 CellID->1830707579],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2002554147-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2070073070]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last index II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last index II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[NotEqual]", "1"}], 
             "\[Implies]", 
             RowBox[{
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}], "-", "1"}], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", 
                RowBox[{"1", ",", "\[Ellipsis]", ",", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    "1"}]}]]}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[NotEqual]", "1"}], 
             "\[Implies]", 
             RowBox[{
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}], "-", "1"}], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", 
                RowBox[{"1", ",", "\[Ellipsis]", ",", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    "1"}]}]]}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1202189993"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1202189993-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1202189993-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1202189993", "Proof|ID:1202189993-1"},
 CellID->1629976529],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1202189993-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->935994354]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Join (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.633087128406679*^9, 3.633087129299151*^9}, {
   3.633166780067754*^9, 3.633166801856924*^9}, {3.6443053213138447`*^9, 
   3.644305324109713*^9}, {3.644558051316585*^9, 3.644558055651511*^9}, {
   3.644817669568164*^9, 3.644817671566448*^9}, 3.655458303078512*^9},
 CellID->999575764],

Cell["", "OpenEnvironment",
 CellID->1492572008],

Cell[CellGroupData[{

Cell["Lemma: Basic Properties of Joined Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.644817424387117*^9, 3.644817429613975*^9}, {
  3.6448176255259438`*^9, 3.644817629042288*^9}, {3.644818455898979*^9, 
  3.6448184626673822`*^9}},
 CellID->219917548],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"isTuple", "[", "T", "]"}], ",", 
   RowBox[{"isTuple", "[", "S", "]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1754019744}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448174509324503`*^9, 3.644817452394623*^9}},
 CellTags->{
  "ID:1754019744", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1754019744],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", "T"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join empty right)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:23265257", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644818508661148*^9, 3.6448185192515287`*^9}},
 CellTags->{
  "ID:23265257", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join empty right", "IR"},
 CellID->23265257],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "T"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", "T"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join empty left)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2016358149", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644818526004965*^9, 3.6448185344164753`*^9}},
 CellTags->{
  "ID:2016358149", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join empty left", "IR"},
 CellID->2016358149],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "V", "]"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"S", 
        TagBox["\:22c8",
         Identity,
         SyntaxForm->"a*b"], "T"}], ")"}], 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], "V"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"S", 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], 
      RowBox[{"(", 
       RowBox[{"T", 
        TagBox["\:22c8",
         Identity,
         SyntaxForm->"a*b"], "V"}], ")"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join assoc)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:892109029", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.649994570990634*^9, 3.649994612758462*^9}},
 CellTags->{
  "ID:892109029", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join assoc", "IR"},
 CellID->892109029],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"U", "=", 
   RowBox[{"T", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "S"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 2132285530}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644817463215972*^9, 3.644817469751107*^9}},
 CellTags->{
  "ID:2132285530", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->2132285530],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"U", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"T", "\[Equal]", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[And]", 
    RowBox[{"S", "\[Equal]", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join is empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1620230203", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448114921415167`*^9, 3.6448115216341543`*^9}},
 CellTags->{
  "ID:1620230203", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join is empty", "IR"},
 CellID->1620230203],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "a"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], "U"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{"a", 
        TagBox["\:22ff",
         Identity,
         SyntaxForm->"a+b"], "T"}], 
       TagBox[")",
        "AutoParentheses"]}], "\[Or]", 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{"a", 
        TagBox["\:22ff",
         Identity,
         SyntaxForm->"a+b"], "S"}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:575892555", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.642927155578754*^9, 3.642927181051929*^9}, 
   3.6446501239893417`*^9},
 CellTags->{
  "ID:575892555", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E join", "IR"},
 CellID->575892555],

Cell[BoxData[
 RowBox[{
  SubscriptBox["U", "1"], "\[Equal]", 
  RowBox[{"\[Piecewise]", GridBox[{
     {
      SubscriptBox["T", "1"], "\[DoubleLeftArrow]", 
      RowBox[{"T", "\[NotEqual]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]},
     {
      SubscriptBox["S", "1"], "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:503402842", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64481754317172*^9, 3.644817558128421*^9}},
 CellTags->{
  "ID:503402842", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first join", "IR"},
 CellID->503402842],

Cell[BoxData[
 RowBox[{
  SubscriptBox["U", 
   RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]], 
  "\[Equal]", 
  RowBox[{"\[Piecewise]", GridBox[{
     {
      SubscriptBox["S", 
       RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]], 
      "\[DoubleLeftArrow]", 
      RowBox[{"S", "\[NotEqual]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]},
     {
      SubscriptBox["T", 
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]], 
      "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1834660983", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448175670598783`*^9, 3.644817591205058*^9}},
 CellTags->{
  "ID:1834660983", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last join", "IR"},
 CellID->1834660983],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->261050831]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1389243966],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join empty right,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join empty right,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\:22c8", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\:22c8", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:23265257"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p23265257-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p23265257-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:23265257", "Proof|ID:23265257-1"},
 CellID->2060629744],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p23265257-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->424333024]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join empty left,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join empty left,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
             "\:22c8", 
             StyleBox["T", "ExpressionVariable"]}], "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
             "\:22c8", 
             StyleBox["T", "ExpressionVariable"]}], "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2016358149"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2016358149-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2016358149-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2016358149", "Proof|ID:2016358149-1"},
 CellID->1492084897],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2016358149-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->985891616]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join assoc,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join assoc,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["V", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["S", "ExpressionVariable"], "\:22c8", 
               StyleBox["T", "ExpressionVariable"]}], "\:22c8", 
             StyleBox["V", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\:22c8", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox[
               "V", "ExpressionVariable"]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["V", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["S", "ExpressionVariable"], "\:22c8", 
               StyleBox["T", "ExpressionVariable"]}], "\:22c8", 
             StyleBox["V", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\:22c8", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:22c8", 
               StyleBox[
               "V", "ExpressionVariable"]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:892109029"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p892109029-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p892109029-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:892109029", "Proof|ID:892109029-1"},
 CellID->1931367286],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p892109029-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->576650745]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join is empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join is empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
                 "\[And]", 
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], "\[Equal]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
                 "\[And]", 
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], "\[Equal]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1620230203"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1620230203-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1620230203-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1620230203", "Proof|ID:1620230203-1"},
 CellID->1816734524],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1620230203-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->364820170]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E join,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E join,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], "\:22ff", 
                   StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], "\:22ff", 
                   StyleBox["S", "ExpressionVariable"]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], "\:22ff", 
                   StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], "\:22ff", 
                   StyleBox["S", "ExpressionVariable"]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:575892555"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p575892555-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p575892555-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:575892555", "Proof|ID:575892555-1"},
 CellID->491337226],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p575892555-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1202361512]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first join,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first join,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{
              StyleBox["T", "ExpressionVariable"], "\:22c8", 
              StyleBox["S", "ExpressionVariable"]}], "1"], "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                SubscriptBox[
                 StyleBox["T", "ExpressionVariable"], "1"], 
                "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}, {
                SubscriptBox[
                 StyleBox["S", "ExpressionVariable"], "1"], 
                "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{
              StyleBox["T", "ExpressionVariable"], "\:22c8", 
              StyleBox["S", "ExpressionVariable"]}], "1"], "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                SubscriptBox[
                 StyleBox["T", "ExpressionVariable"], "1"], 
                "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}, {
                SubscriptBox[
                 StyleBox["S", "ExpressionVariable"], "1"], 
                "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:503402842"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p503402842-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p503402842-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:503402842", "Proof|ID:503402842-1"},
 CellID->259367512],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p503402842-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1239371713]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last join,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last join,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{
              StyleBox["T", "ExpressionVariable"], "\:22c8", 
              StyleBox["S", "ExpressionVariable"]}], 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:22c8", 
                StyleBox["S", "ExpressionVariable"]}], 
              "\[RightBracketingBar]"}]], "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                SubscriptBox[
                 StyleBox["S", "ExpressionVariable"], 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["S", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]], "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}, {
                SubscriptBox[
                 StyleBox["T", "ExpressionVariable"], 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]], "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{
              StyleBox["T", "ExpressionVariable"], "\:22c8", 
              StyleBox["S", "ExpressionVariable"]}], 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:22c8", 
                StyleBox["S", "ExpressionVariable"]}], 
              "\[RightBracketingBar]"}]], "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                SubscriptBox[
                 StyleBox["S", "ExpressionVariable"], 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["S", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]], "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}, {
                SubscriptBox[
                 StyleBox["T", "ExpressionVariable"], 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]], "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1834660983"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1834660983-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1834660983-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1834660983", "Proof|ID:1834660983-1"},
 CellID->1518274854],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1834660983-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->585399299]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->763096342],

Cell[CellGroupData[{

Cell["Lemma: Universal Properties of Joined Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.633166256382627*^9, 3.63316626013899*^9}, {
  3.644818412777248*^9, 3.644818423328974*^9}},
 CellID->231002462],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"isTuple", "[", "T", "]"}], ",", 
   RowBox[{"isTuple", "[", "S", "]"}], ",", "P"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 300049764}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633087159755041*^9, 3.633087177476239*^9}, {
  3.633087271299304*^9, 3.633087271553665*^9}, {3.6331662734042788`*^9, 
  3.6331662829180737`*^9}, {3.636364447441708*^9, 3.636364457401421*^9}, {
  3.6448174323502607`*^9, 3.644817443283596*^9}},
 CellTags->{
  "ID:300049764", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->300049764],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"U", "=", 
   RowBox[{"T", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "S"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1459714591}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446500831859617`*^9, 3.644650089145267*^9}},
 CellTags->{
  "ID:1459714591", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1459714591],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox["S", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox["U", "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P \[DoubleRightArrow])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1798717489", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.63316628733108*^9, 3.633166317078931*^9}, {
  3.635760071011446*^9, 3.635760077849992*^9}, {3.64465009295146*^9, 
  3.644650095546033*^9}},
 CellTags->{
  "ID:1798717489", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P \[DoubleRightArrow]", "IR"},
 CellID->1798717489],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox["U", "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox["S", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P \[DoubleLeftArrow])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:880067753", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644649270155773*^9, 3.644649288583551*^9}, {
  3.6446501006052847`*^9, 3.644650103381309*^9}},
 CellTags->{
  "ID:880067753", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P \[DoubleLeftArrow]", "IR"},
 CellID->880067753],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox["U", "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox["S", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1832033513", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644650029831092*^9, 3.644650037988064*^9}, {
  3.6446501062991133`*^9, 3.6446501089575987`*^9}},
 CellTags->{
  "ID:1832033513", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P", "IR"},
 CellID->1832033513],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["T", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["S", "i"], ",", 
        SubscriptBox["S", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"S", "\[NotEqual]", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[And]", 
        RowBox[{"T", "\[NotEqual]", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
       TagBox[")",
        "AutoParentheses"]}], "\[Implies]", 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", 
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]], ",", 
        SubscriptBox["S", "1"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["U", "i"], ",", 
      SubscriptBox["U", 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P binary \[DoubleRightArrow])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1414995657", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644305002192459*^9, 3.644305107452015*^9}, {
  3.644311383044022*^9, 3.644311391351535*^9}, {3.644650115428122*^9, 
  3.6446501208915377`*^9}},
 CellTags->{
  "ID:1414995657", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P binary \[DoubleRightArrow]", "IR"},
 CellID->1414995657],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["U", "i"], ",", 
      SubscriptBox["U", 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["T", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["S", "i"], ",", 
        SubscriptBox["S", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"S", "\[NotEqual]", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[And]", 
        RowBox[{"T", "\[NotEqual]", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
       TagBox[")",
        "AutoParentheses"]}], "\[Implies]", 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", 
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]], ",", 
        SubscriptBox["S", "1"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P binary \[DoubleLeftArrow])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:412269868", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644651879547648*^9, 3.644651888728953*^9}},
 CellTags->{
  "ID:412269868", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P binary \[DoubleLeftArrow]", "IR"},
 CellID->412269868],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["U", "i"], ",", 
      SubscriptBox["U", 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["T", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["S", "i"], ",", 
        SubscriptBox["S", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"S", "\[NotEqual]", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[And]", 
        RowBox[{"T", "\[NotEqual]", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
       TagBox[")",
        "AutoParentheses"]}], "\[Implies]", 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", 
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]], ",", 
        SubscriptBox["S", "1"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P binary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:811817271", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644651914016233*^9, 3.644651922923065*^9}},
 CellTags->{
  "ID:811817271", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P binary", "IR"},
 CellID->811817271],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", 
   RowBox[{"A", ",", "B"}], "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 373411527}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6454157595707607`*^9, 3.645415773038999*^9}},
 CellTags->{
  "ID:373411527", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->373411527],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"V", "=", 
   RowBox[{"A", 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], "B"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1539924260}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645415778000292*^9, 3.645415786034584*^9}},
 CellTags->{
  "ID:1539924260", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1539924260],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftBracketingBar]", "A", "\[RightBracketingBar]"}]}], 
   "\[And]", 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftBracketingBar]", "B", "\[RightBracketingBar]"}]}]}], 
  "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1179445980}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645415793666294*^9, 3.64541583405433*^9}},
 CellTags->{
  "ID:1179445980", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1179445980],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "A", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["A", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "B", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["S", "i"], ",", 
        SubscriptBox["B", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "V", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["U", "i"], ",", 
      SubscriptBox["V", "i"]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P 2 \[DoubleRightArrow])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1936600889", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6454158432954693`*^9, 3.645415879544395*^9}},
 CellTags->{
  "ID:1936600889", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P 2 \[DoubleRightArrow]"},
 CellID->1936600889],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "V", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["U", "i"], ",", 
      SubscriptBox["V", "i"]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "A", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["A", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "B", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["S", "i"], ",", 
        SubscriptBox["B", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P 2 \[DoubleLeftArrow])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:667495868", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6454159101669893`*^9, 3.6454159584791393`*^9}},
 CellTags->{
  "ID:667495868", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P 2 \[DoubleLeftArrow]"},
 CellID->667495868],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "V", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["U", "i"], ",", 
      SubscriptBox["V", "i"]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "A", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["A", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "B", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["S", "i"], ",", 
        SubscriptBox["B", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2081158695", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645415985667124*^9, 3.6454160179037457`*^9}},
 CellTags->{
  "ID:2081158695", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P 2"},
 CellID->2081158695],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->10846351]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->636526698],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P \[DoubleRightArrow],[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P \[DoubleRightArrow],[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1798717489"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1798717489-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1798717489-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1798717489", "Proof|ID:1798717489-1"},
 CellID->573752601],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1798717489-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{3.644649798163417*^9, 3.645416450299408*^9},
 CellID->34754050]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P \[DoubleLeftArrow],[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P \[DoubleLeftArrow],[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:880067753"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p880067753-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p880067753-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:880067753", "Proof|ID:880067753-1"},
 CellID->1160857634],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p880067753-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{3.645416749541312*^9},
 CellID->1266278869]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1832033513"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1832033513-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1832033513-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1832033513", "Proof|ID:1832033513-1"},
 CellID->546501383],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1832033513-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{{3.6446507056705837`*^9, 3.6446507068387547`*^9}, 
   3.6446512718396587`*^9, 3.644653706331587*^9},
 CellID->635187589]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P binary \[DoubleRightArrow],[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P binary \[DoubleRightArrow],[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], "\[And]", 
             RowBox[{
               RowBox[{
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
                 "\[And]", 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
               "\[Implies]", 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], "1"]}], "]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                  StyleBox["i", "ExpressionVariable"]], ",", 
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], "\[And]", 
             RowBox[{
               RowBox[{
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
                 "\[And]", 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
               "\[Implies]", 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], "1"]}], "]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                  StyleBox["i", "ExpressionVariable"]], ",", 
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1414995657"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1414995657-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1414995657-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1414995657", "Proof|ID:1414995657-1"},
 CellID->901897508],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1414995657-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellChangeTimes->{3.644651995703779*^9},
 CellID->1468471549]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P binary \[DoubleLeftArrow],[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P binary \[DoubleLeftArrow],[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], "\[And]", 
             RowBox[{
               RowBox[{
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
                 "\[And]", 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
               "\[Implies]", 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], "1"]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], "\[And]", 
             RowBox[{
               RowBox[{
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
                 "\[And]", 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
               "\[Implies]", 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], "1"]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:412269868"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p412269868-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p412269868-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:412269868", "Proof|ID:412269868-1"},
 CellID->147041843],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p412269868-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->408154384]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P binary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P binary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   RowBox[{
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                   "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], "1"]}], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   RowBox[{
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                     "\[And]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
                   "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], "1"]}], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:811817271"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p811817271-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p811817271-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:811817271", "Proof|ID:811817271-1"},
 CellID->410462409],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p811817271-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1700848731]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P 2 \[DoubleRightArrow])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P 2 \[DoubleRightArrow])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["A", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["A", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["B", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["A", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["B", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["B", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}], 
             "\[Implies]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["A", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["A", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["B", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["A", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["B", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["B", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}], 
             "\[Implies]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1936600889"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1936600889-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1936600889-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1936600889", "Proof|ID:1936600889-1"},
 CellID->1174704479],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1936600889-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->759567082]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P 2 \[DoubleLeftArrow])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P 2 \[DoubleLeftArrow])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["A", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["A", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["B", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], 
             "\[Implies]", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["A", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["B", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["B", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["A", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["A", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["B", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], 
             "\[Implies]", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["A", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["B", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["B", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:667495868"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p667495868-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p667495868-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:667495868", "Proof|ID:667495868-1"},
 CellID->2005569566],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p667495868-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->423942901]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P 2)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P 2)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["A", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["A", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["B", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["A", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["B", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["B", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["A", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["B", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["A", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["B", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["A", "ExpressionVariable"], "\:22c8", 
                    StyleBox["B", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["A", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["A", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["B", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["B", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2081158695"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2081158695-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2081158695-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2081158695", "Proof|ID:2081158695-1"},
 CellID->1889840171],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2081158695-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1092847014]
}, Closed]],

Cell[TextData[{
 StyleBox["Remark",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 ": Formulas (join P 2 \[Implies]), (join P 2 \[DoubleLeftArrow]) and (join P \
2) in the above lemma are not tagged as \[OpenCurlyDoubleQuote][IR]\
\[CloseCurlyDoubleQuote] formulas. The reason for this lies in the fact that \
the universally quantified variable ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ", which is supposed to be higher-order, cannot be kept higher-order (i.e. \
application of ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " is considered modulo \[Beta] reduction) when rewrite rules are generated, \
simply because its two arguments are always unifiable and thus matching is \
not unitary. Hence, in order to reasonably use these formulas in proofs one \
first needs to instantiate the first-order variables ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "T"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["A", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 ") by concrete terms.\nPlease note that the \[OpenCurlyDoubleQuote]2\
\[CloseCurlyDoubleQuote] in the label of the formulas reflects the fact that \
two joined tuples are involved. In contrast, the word \
\[OpenCurlyDoubleQuote]binary\[CloseCurlyDoubleQuote] reflects the fact that \
a function/predicate is applied to two (successive) elements of the same \
tuple."
}], "Text",
 CellChangeTimes->{{3.6454160628728867`*^9, 3.645416384213722*^9}, {
  3.645416734593519*^9, 3.645416741548814*^9}, {3.648189196827921*^9, 
  3.648189198066616*^9}},
 CellID->1782503464]
}, Closed]],

Cell[CellGroupData[{

Cell["Append & Prepend (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.644817653813862*^9, 3.644817682187204*^9}, 
   3.6554583047009153`*^9},
 CellID->1835296765],

Cell["", "OpenEnvironment",
 CellID->1793121959],

Cell[CellGroupData[{

Cell["Lemma: Appending Elements to Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{
  3.633087140178804*^9, {3.644307218408134*^9, 3.6443072205046883`*^9}, 
   3.6446414659135*^9},
 CellID->1255256654],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"T", ",", "a", ",", "P"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1425022595}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633087159755041*^9, 3.633087177476239*^9}, {
   3.633087271299304*^9, 3.633087271553665*^9}, 3.636364444499337*^9, {
   3.6446410434888697`*^9, 3.644641043711956*^9}},
 CellTags->{
  "ID:1425022595", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1425022595],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
    TagBox["\:293a",
     Identity,
     SyntaxForm->"a*b"], "a"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{
  "\[LeftAngleBracket]", "a", 
   "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:30218808", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644823027445601*^9, 3.644823047494158*^9}},
 CellTags->{
  "ID:30218808", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append empty", "IR"},
 CellID->30218808],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"S", "=", 
   RowBox[{"T", 
    TagBox["\:293a",
     Identity,
     SyntaxForm->"a*b"], "a"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 691605804}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644641526678738*^9, 3.644641536274094*^9}},
 CellTags->{
  "ID:691605804", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->691605804],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", "T", "]"}], "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1905252519}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644641037285637*^9, 3.644641041122608*^9}},
 CellTags->{
  "ID:1905252519", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1905252519],

Cell[BoxData[
 RowBox[{"S", "\[NotEqual]", "T"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append \[NotEqual])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1710417343", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648436942458449*^9, 3.648436956768425*^9}},
 CellTags->{
  "ID:1710417343", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append \[NotEqual]"},
 CellID->1710417343],

Cell[BoxData[
 RowBox[{
  SubscriptBox["S", "1"], "\[Equal]", 
  RowBox[{"\[Piecewise]", GridBox[{
     {"a", "\[DoubleLeftArrow]", 
      RowBox[{"T", "\[Equal]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]},
     {
      SubscriptBox["T", "1"], "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1126524001", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448238290773373`*^9, 3.64482384172906*^9}},
 CellTags->{
  "ID:1126524001", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first append", "IR"},
 CellID->1126524001],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"T", 
        TagBox["\:293a",
         Identity,
         SyntaxForm->"a*b"], "a"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox["S", "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{"P", "[", "a", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append P)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1103991877", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446515035089417`*^9, 3.6446515176081247`*^9}},
 CellTags->{
  "ID:1103991877", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append P", "IR"},
 CellID->1103991877],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["S", "i"], ",", 
      SubscriptBox["S", 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["T", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"T", "\[NotEqual]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
      "\[Implies]", 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", 
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]], ",",
         "a"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append P binary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1200539700", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644654068357046*^9, 3.644654079388246*^9}},
 CellTags->{
  "ID:1200539700", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append P binary", "IR"},
 CellID->1200539700],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"b", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], "S"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{"b", 
        TagBox["\:22ff",
         Identity,
         SyntaxForm->"a+b"], "T"}], 
       TagBox[")",
        "AutoParentheses"]}], "\[Or]", 
      RowBox[{"b", "\[Equal]", "a"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1565072058", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.642927253212236*^9, 3.642927285398028*^9}, 
   3.644641556594469*^9},
 CellTags->{
  "ID:1565072058", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E append", "IR"},
 CellID->1565072058],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->279802916]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1323094603],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
             "\:293a", 
             StyleBox["a", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox["a", "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
             "\:293a", 
             StyleBox["a", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox["a", "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:30218808"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p30218808-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p30218808-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:30218808", "Proof|ID:30218808-1"},
 CellID->2086154237],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p30218808-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1024661562]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append \[NotEqual])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append \[NotEqual])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "\[NotEqual]", 
             StyleBox[
             "T", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "\[NotEqual]", 
             StyleBox[
             "T", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1710417343"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1710417343-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1710417343-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1710417343", "Proof|ID:1710417343-1"},
 CellID->1263601321],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1710417343-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->804291745]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:293a", 
                StyleBox["a", "ExpressionVariable"]}], "1"], "\[Equal]", 
             RowBox[{"\[Piecewise]", 
               GridBox[{{
                  StyleBox["a", "ExpressionVariable"], "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}, {
                  SubscriptBox[
                   StyleBox["T", "ExpressionVariable"], "1"], 
                  "\[DoubleLeftArrow]", 
                  "True"}}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["T", "ExpressionVariable"], "\:293a", 
                StyleBox["a", "ExpressionVariable"]}], "1"], "\[Equal]", 
             RowBox[{"\[Piecewise]", 
               GridBox[{{
                  StyleBox["a", "ExpressionVariable"], "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}, {
                  SubscriptBox[
                   StyleBox["T", "ExpressionVariable"], "1"], 
                  "\[DoubleLeftArrow]", 
                  "True"}}]}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1126524001"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1126524001-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1126524001-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1126524001", "Proof|ID:1126524001-1"},
 CellID->1757358345],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1126524001-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{3.644824434310261*^9},
 CellID->1574332899]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append P,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append P,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1103991877"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1103991877-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1103991877-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1103991877", "Proof|ID:1103991877-1"},
 CellID->1049898978],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1103991877-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{3.645417221351054*^9},
 CellID->668409102]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append P binary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append P binary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                    "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                    "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], ",", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1200539700"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1200539700-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1200539700-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1200539700", "Proof|ID:1200539700-1"},
 CellID->366614726],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1200539700-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1647407047]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["b", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\:22ff", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:293a", 
                 StyleBox["a", "ExpressionVariable"]}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   StyleBox["b", "ExpressionVariable"], "\:22ff", 
                   StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                 RowBox[{
                   StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                   StyleBox["a", "ExpressionVariable"]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["b", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\:22ff", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:293a", 
                 StyleBox["a", "ExpressionVariable"]}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   StyleBox["b", "ExpressionVariable"], "\:22ff", 
                   StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                 RowBox[{
                   StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                   StyleBox["a", "ExpressionVariable"]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1565072058"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1565072058-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1565072058-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1565072058", "Proof|ID:1565072058-1"},
 CellID->613567277],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1565072058-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1701316064]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1827885036],

Cell[CellGroupData[{

Cell["Lemma: Append with Two Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.64535524085677*^9, 3.645355248759519*^9}},
 CellID->1920791119],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"isTuple", "[", 
    RowBox[{"S", ",", "T"}], "]"}], ",", "a", ",", "b", ",", 
   "P"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1414827049}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6453552529150143`*^9, 3.6453552597743683`*^9}, {
  3.6454143549660387`*^9, 3.6454143552242203`*^9}},
 CellTags->{
  "ID:1414827049", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1414827049],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"U", "=", 
   RowBox[{"T", 
    TagBox["\:293a",
     Identity,
     SyntaxForm->"a*b"], "a"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1588362347}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645355263170661*^9, 3.6453552975141497`*^9}},
 CellTags->{
  "ID:1588362347", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1588362347],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"V", "=", 
   RowBox[{"S", 
    TagBox["\:293a",
     Identity,
     SyntaxForm->"a*b"], "b"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1325947216}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6453552868569717`*^9, 3.6453552996540527`*^9}},
 CellTags->{
  "ID:1325947216", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1325947216],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftBracketingBar]", "V", "\[RightBracketingBar]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length append=)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1332516309", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645346739537924*^9, 3.6453467960780973`*^9}, {
  3.6453553133789053`*^9, 3.645355326386764*^9}},
 CellTags->{
  "ID:1332516309", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length append=", "IR"},
 CellID->1332516309],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "V", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["U", "i"], ",", 
        SubscriptBox["V", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        UnderscriptBox["\[ForAll]", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
          RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
        RowBox[{"P", "[", 
         RowBox[{
          SubscriptBox["T", "i"], ",", 
          SubscriptBox["S", "i"]}], "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}], "\[And]", 
      RowBox[{"P", "[", 
       RowBox[{"a", ",", "b"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append P 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1244254393", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645355182998858*^9, 3.6453552162678967`*^9}, {
  3.64535534584426*^9, 3.645355395613966*^9}},
 CellTags->{
  "ID:1244254393", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append P 2"},
 CellID->1244254393],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"U", "\[Equal]", "V"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"T", "\[Equal]", "S"}], "\[And]", 
    RowBox[{"a", "\[Equal]", "b"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append injective)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1851672573", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647840113677806*^9, 3.647840149823697*^9}, {
  3.647840262848941*^9, 3.647840275435225*^9}, {3.6478403121921177`*^9, 
  3.6478403137704973`*^9}},
 CellTags->{
  "ID:1851672573", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append injective", "IR"},
 CellID->1851672573],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->2050404037]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1643593823],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length append=,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length append=,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["U", "ExpressionVariable"], "]"}]}, {
                 StyleBox["b", "ExpressionVariable"]}}]], 
             RowBox[{
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                   "\[RightBracketingBar]"}], "\[Equal]", 
                 RowBox[{"\[LeftBracketingBar]", 
                   RowBox[{
                    StyleBox["U", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                   "\[RightBracketingBar]"}]}], "\[DoubleLeftRightArrow]", 
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}], "\[Equal]", 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["U", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]}]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["U", "ExpressionVariable"], "]"}]}, {
                 StyleBox["b", "ExpressionVariable"]}}]], 
             RowBox[{
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                   "\[RightBracketingBar]"}], "\[Equal]", 
                 RowBox[{"\[LeftBracketingBar]", 
                   RowBox[{
                    StyleBox["U", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                   "\[RightBracketingBar]"}]}], "\[DoubleLeftRightArrow]", 
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}], "\[Equal]", 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["U", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1332516309"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1332516309-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1332516309-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1332516309", "Proof|ID:1332516309-1"},
 CellID->2066927764],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1332516309-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{{3.647841061007751*^9, 3.647841063392097*^9}},
 CellID->1418341261]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append P 2)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append P 2)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["S", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["S", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1244254393"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1244254393-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1244254393-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1244254393", "Proof|ID:1244254393-1"},
 CellID->1629881025],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1244254393-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{3.647841187649222*^9},
 CellID->166832118]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append injective,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append injective,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "\[Equal]", 
             RowBox[{
               StyleBox["S", "ExpressionVariable"], "\:293a", 
               StyleBox["b", "ExpressionVariable"]}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["S", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["b", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "\[Equal]", 
             RowBox[{
               StyleBox["S", "ExpressionVariable"], "\:293a", 
               StyleBox["b", "ExpressionVariable"]}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["S", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["b", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1851672573"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1851672573-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1851672573-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1851672573", "Proof|ID:1851672573-1"},
 CellID->359833655],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1851672573-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{3.647841416142511*^9},
 CellID->339096853]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->44260925],

Cell[CellGroupData[{

Cell["Lemma: Prepending Elements to Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.644641382238761*^9, 3.644641392340008*^9}},
 CellID->355393235],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"T", ",", "a", ",", "P"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1354896517}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644641400036654*^9, 3.644641402970627*^9}},
 CellTags->{
  "ID:1354896517", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1354896517],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"a", 
    TagBox["\:293b",
     Identity,
     SyntaxForm->"a*b"], 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{
  "\[LeftAngleBracket]", "a", 
   "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:284047457", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644823685110498*^9, 3.6448236972836246`*^9}},
 CellTags->{
  "ID:284047457", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend empty", "IR"},
 CellID->284047457],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"S", "=", 
   RowBox[{"a", 
    TagBox["\:293b",
     Identity,
     SyntaxForm->"a*b"], "T"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 665620680}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644641740258061*^9, 3.644641746938261*^9}},
 CellTags->{
  "ID:665620680", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->665620680],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", "S", "]"}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{"isTuple", "[", "T", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1519173141", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644641075200478*^9, 3.644641082043006*^9}, 
   3.644641749337236*^9},
 CellTags->{
  "ID:1519173141", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple prepend", "IR"},
 CellID->1519173141],

Cell[BoxData[
 RowBox[{
  RowBox[{"isTuple", "[", "T", "]"}], "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 2126627650}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446414160736027`*^9, 3.644641419461143*^9}},
 CellTags->{
  "ID:2126627650", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->2126627650],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "+", 
   "1"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1956801946", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644824498379566*^9, 3.644824506480916*^9}},
 CellTags->{
  "ID:1956801946", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length prepend", "IR"},
 CellID->1956801946],

Cell[BoxData[
 RowBox[{"S", "\[NotEqual]", "T"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend \[NotEqual])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1517474546", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648437000346518*^9, 3.648437001345024*^9}},
 CellTags->{
  "ID:1517474546", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend \[NotEqual]"},
 CellID->1517474546],

Cell[BoxData[
 RowBox[{"S", "\[NotEqual]", 
  RowBox[{
  "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend is non-empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1589773302", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644813622259199*^9, 3.644813624629879*^9}},
 CellTags->{
  "ID:1589773302", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend is non-empty", "IR"},
 CellID->1589773302],

Cell[BoxData[
 RowBox[{
  SubscriptBox["S", "1"], "\[Equal]", "a"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:916089482", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644823721257526*^9, 3.644823728595772*^9}},
 CellTags->{
  "ID:916089482", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first prepend", "IR"},
 CellID->916089482],

Cell[BoxData[
 RowBox[{
  SubscriptBox["S", 
   RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]], 
  "\[Equal]", 
  RowBox[{"\[Piecewise]", GridBox[{
     {"a", "\[DoubleLeftArrow]", 
      RowBox[{"T", "\[Equal]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]},
     {
      SubscriptBox["T", 
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]], 
      "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:391327494", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644823758086928*^9, 3.644823782919221*^9}},
 CellTags->{
  "ID:391327494", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last prepend", "IR"},
 CellID->391327494],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox["S", 
     RowBox[{"i", "+", "1"}]], "\[Equal]", 
    SubscriptBox["T", "i"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index prepend 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2002116253", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647836877142518*^9, 3.647836879879218*^9}},
 CellTags->{
  "ID:2002116253", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index prepend 2", "IR"},
 CellID->2002116253],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"a", 
        TagBox["\:293b",
         Identity,
         SyntaxForm->"a*b"], "T"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox["S", "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{"P", "[", "a", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend P)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:48204947", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644651741964862*^9, 3.64465175124959*^9}},
 CellTags->{
  "ID:48204947", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend P", "IR"},
 CellID->48204947],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"a", 
         TagBox["\:293b",
          Identity,
          SyntaxForm->"a*b"], "T"}], "\[RightBracketingBar]"}], "-", "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["S", "i"], ",", 
      SubscriptBox["S", 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["T", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"T", "\[NotEqual]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
      "\[Implies]", 
      RowBox[{"P", "[", 
       RowBox[{"a", ",", 
        SubscriptBox["T", "1"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend P binary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:414106078", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644654249289076*^9, 3.644654258107416*^9}},
 CellTags->{
  "ID:414106078", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend P binary", "IR"},
 CellID->414106078],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"b", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], "S"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{"b", 
        TagBox["\:22ff",
         Identity,
         SyntaxForm->"a+b"], "T"}], 
       TagBox[")",
        "AutoParentheses"]}], "\[Or]", 
      RowBox[{"b", "\[Equal]", "a"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:416238876", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443054280579844`*^9, 3.6443054341330843`*^9}, 
   3.6446417618896008`*^9},
 CellTags->{
  "ID:416238876", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E prepend", "IR"},
 CellID->416238876],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->209179501]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->599442953],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\:293b", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox["a", "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["a", "ExpressionVariable"], "\:293b", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox["a", "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:284047457"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p284047457-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p284047457-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:284047457", "Proof|ID:284047457-1"},
 CellID->655246577],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p284047457-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->534286612]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple prepend,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple prepend,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "]"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1519173141"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1519173141-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1519173141-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1519173141", "Proof|ID:1519173141-1"},
 CellID->1092343128],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1519173141-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2118519333]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length prepend,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length prepend,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\:293b", 
                 StyleBox["T", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "+", 
               "1"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\:293b", 
                 StyleBox["T", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "+", 
               "1"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1956801946"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1956801946-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1956801946-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1956801946", "Proof|ID:1956801946-1"},
 CellID->274649571],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1956801946-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->835910520]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend \[NotEqual])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend \[NotEqual])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "\[NotEqual]", 
             StyleBox[
             "T", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "\[NotEqual]", 
             StyleBox[
             "T", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1517474546"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1517474546-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1517474546-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1517474546", "Proof|ID:1517474546-1"},
 CellID->1770398954],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1517474546-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1899830226]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend is non-empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend is non-empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "\[NotEqual]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "\[NotEqual]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1589773302"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1589773302-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1589773302-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1589773302", "Proof|ID:1589773302-1"},
 CellID->2003067550],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1589773302-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->20281500]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first prepend,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first prepend,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\:293b", 
                StyleBox["T", "ExpressionVariable"]}], "1"], "\[Equal]", 
             StyleBox[
             "a", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\:293b", 
                StyleBox["T", "ExpressionVariable"]}], "1"], "\[Equal]", 
             StyleBox[
             "a", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:916089482"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p916089482-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p916089482-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:916089482", "Proof|ID:916089482-1"},
 CellID->553958325],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p916089482-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->247383046]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last prepend,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last prepend,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\:293b", 
                StyleBox["T", "ExpressionVariable"]}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\:293b", 
                  StyleBox["T", "ExpressionVariable"]}], 
                "\[RightBracketingBar]"}]], "\[Equal]", 
             RowBox[{"\[Piecewise]", 
               GridBox[{{
                  StyleBox["a", "ExpressionVariable"], "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}, {
                  SubscriptBox[
                   StyleBox["T", "ExpressionVariable"], 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], "\[DoubleLeftArrow]", 
                  "True"}}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{
                StyleBox["a", "ExpressionVariable"], "\:293b", 
                StyleBox["T", "ExpressionVariable"]}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\:293b", 
                  StyleBox["T", "ExpressionVariable"]}], 
                "\[RightBracketingBar]"}]], "\[Equal]", 
             RowBox[{"\[Piecewise]", 
               GridBox[{{
                  StyleBox["a", "ExpressionVariable"], "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}, {
                  SubscriptBox[
                   StyleBox["T", "ExpressionVariable"], 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]], "\[DoubleLeftArrow]", 
                  "True"}}]}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:391327494"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p391327494-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p391327494-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:391327494", "Proof|ID:391327494-1"},
 CellID->1653569947],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p391327494-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->646181480]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index prepend 2,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index prepend 2,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\:293b", 
                  StyleBox["T", "ExpressionVariable"]}], 
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "+", "1"}]], 
               "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               SubscriptBox[
                RowBox[{
                  StyleBox["a", "ExpressionVariable"], "\:293b", 
                  StyleBox["T", "ExpressionVariable"]}], 
                RowBox[{
                  StyleBox["i", "ExpressionVariable"], "+", "1"}]], 
               "\[Equal]", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox[
                "i", "ExpressionVariable"]]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2002116253"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2002116253-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2002116253-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2002116253", "Proof|ID:2002116253-1"},
 CellID->344495101],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2002116253-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->61946533]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend P,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend P,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["a", "ExpressionVariable"], "]"}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:48204947"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p48204947-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p48204947-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:48204947", "Proof|ID:48204947-1"},
 CellID->648616519],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p48204947-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->742679995]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend P binary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend P binary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                    "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"]}], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                    "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"]}], "]"}]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:414106078"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p414106078-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p414106078-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:414106078", "Proof|ID:414106078-1"},
 CellID->1224518057],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p414106078-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->371916433]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E prepend,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E prepend,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["b", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\:22ff", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\:293b", 
                 StyleBox["T", "ExpressionVariable"]}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   StyleBox["b", "ExpressionVariable"], "\:22ff", 
                   StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                 RowBox[{
                   StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                   StyleBox["a", "ExpressionVariable"]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox["b", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\:22ff", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\:293b", 
                 StyleBox["T", "ExpressionVariable"]}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   StyleBox["b", "ExpressionVariable"], "\:22ff", 
                   StyleBox["T", "ExpressionVariable"]}], "\[Or]", 
                 RowBox[{
                   StyleBox["b", "ExpressionVariable"], "\[Equal]", 
                   StyleBox["a", "ExpressionVariable"]}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:416238876"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p416238876-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p416238876-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:416238876", "Proof|ID:416238876-1"},
 CellID->1213650079],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p416238876-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->664572287]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1772830631],

Cell[CellGroupData[{

Cell["Lemma: Prepend with Two Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.647840694800342*^9, 3.64784069966494*^9}},
 CellID->1833970077],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"isTuple", "[", 
    RowBox[{"T", ",", "S"}], "]"}], ",", "a", ",", "b", ",", 
   "P"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 547141078}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647840708478979*^9, 3.6478407273296957`*^9}},
 CellTags->{
  "ID:547141078", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->547141078],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{
   RowBox[{"U", "=", 
    RowBox[{"a", 
     TagBox["\:293b",
      Identity,
      SyntaxForm->"a*b"], "T"}]}], ",", 
   RowBox[{"V", "=", 
    RowBox[{"b", 
     TagBox["\:293b",
      Identity,
      SyntaxForm->"a*b"], "S"}]}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 562596444}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6478407342491903`*^9, 3.647840756706546*^9}},
 CellTags->{
  "ID:562596444", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->562596444],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftBracketingBar]", "V", "\[RightBracketingBar]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length prepend=)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1613097054", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{3.647840769118222*^9},
 CellTags->{
  "ID:1613097054", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length prepend=", "IR"},
 CellID->1613097054],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", 
    RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "V", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["U", "i"], ",", 
        SubscriptBox["V", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        UnderscriptBox["\[ForAll]", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
          RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
        RowBox[{"P", "[", 
         RowBox[{
          SubscriptBox["T", "i"], ",", 
          SubscriptBox["S", "i"]}], "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}], "\[And]", 
      RowBox[{"P", "[", 
       RowBox[{"a", ",", "b"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend P 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1393091936", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{3.6478407872477713`*^9},
 CellTags->{
  "ID:1393091936", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend P 2"},
 CellID->1393091936],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"U", "\[Equal]", "V"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"T", "\[Equal]", "S"}], "\[And]", 
    RowBox[{"a", "\[Equal]", "b"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend injective)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1374117783", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{3.647840807879547*^9},
 CellTags->{
  "ID:1374117783", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend injective", "IR"},
 CellID->1374117783],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->788048062]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1152172922],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length prepend=,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length prepend=,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\:293b", 
                 StyleBox["T", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["b", "ExpressionVariable"], "\:293b", 
                 StyleBox["S", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["S", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\:293b", 
                 StyleBox["T", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}], "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{
                 StyleBox["b", "ExpressionVariable"], "\:293b", 
                 StyleBox["S", "ExpressionVariable"]}], 
               "\[RightBracketingBar]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["S", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1613097054"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1613097054-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1613097054-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1613097054", "Proof|ID:1613097054-1"},
 CellID->2066005206],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1613097054-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1093453827]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend P 2)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend P 2)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["S", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:293b", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:293b", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["S", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:293b", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["b", "ExpressionVariable"], "\:293b", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{"(", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], "\[And]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", 
                    StyleBox["b", "ExpressionVariable"]}], "]"}]}], 
               ")"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1393091936"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1393091936-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1393091936-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1393091936", "Proof|ID:1393091936-1"},
 CellID->640760558],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1393091936-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->470486761]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend injective,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend injective,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "\[Equal]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\:293b", 
               StyleBox["S", "ExpressionVariable"]}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["S", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["b", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "\[Equal]", 
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\:293b", 
               StyleBox["S", "ExpressionVariable"]}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["S", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["b", "ExpressionVariable"]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1374117783"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1374117783-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1374117783-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1374117783", "Proof|ID:1374117783-1"},
 CellID->1583138317],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1374117783-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->416750769]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1133869679],

Cell[CellGroupData[{

Cell["Lemma: Append, Prepend & Join", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.649996163156218*^9, 3.649996169744466*^9}},
 CellID->2037392188],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"isTuple", "[", 
     RowBox[{"T", ",", "S"}], "]"}], ",", "x"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"T", 
        TagBox["\:293a",
         Identity,
         SyntaxForm->"a*b"], "x"}], ")"}], 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], "S"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], 
      RowBox[{"(", 
       RowBox[{"x", 
        TagBox["\:293b",
         Identity,
         SyntaxForm->"a*b"], "S"}], ")"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:367121892", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.649996204771804*^9, 3.649996261109136*^9}},
 CellTags->{
  "ID:367121892", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join append", "IR"},
 CellID->367121892],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->466271446]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1890600513],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["x", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["x", "ExpressionVariable"]}], "\:22c8", 
             StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\:22c8", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\:293b", 
               StyleBox[
               "S", "ExpressionVariable"]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["x", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["x", "ExpressionVariable"]}], "\:22c8", 
             StyleBox["S", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\:22c8", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\:293b", 
               StyleBox[
               "S", "ExpressionVariable"]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:367121892"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p367121892-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p367121892-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:367121892", "Proof|ID:367121892-1"},
 CellID->2049905178],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p367121892-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->672541710]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Rest & Most (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.644304113627775*^9, 3.644304119217503*^9}, {
   3.644559773162677*^9, 3.6445597781019363`*^9}, {3.644824732820105*^9, 
   3.6448247333418093`*^9}, 3.655458306432518*^9},
 CellID->948647178],

Cell["", "OpenEnvironment",
 CellID->118166153],

Cell[CellGroupData[{

Cell["Lemma: Basic Properties of Rest and Most", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.644817354827334*^9, 3.644817360340378*^9}, {
  3.645330723072661*^9, 3.6453307288630447`*^9}},
 CellID->1614171272],

Cell[BoxData[
 UnderscriptBox[
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{"T", "\[NotEqual]", 
   RowBox[{
   "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 2080984959}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644817364619258*^9, 3.64481737314543*^9}},
 CellTags->{
  "ID:2080984959", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->2080984959],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"Rest", "[", "T", "]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "1"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:369207319", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448142658795013`*^9, 3.644814301970271*^9}, {
  3.644814781296246*^9, 3.644814789179685*^9}},
 CellTags->{
  "ID:369207319", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest empty", "IR"},
 CellID->369207319],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Rest", "[", "T", "]"}], "\[NotEqual]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"Rest", "[", "T", "]"}], "1"], "\[Equal]", 
    SubscriptBox["T", "2"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:562096052", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6555328542457943`*^9, 3.655532861047406*^9}, 
   3.6555331019902306`*^9},
 CellTags->{
  "ID:562096052", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first rest", "IR"},
 CellID->562096052],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Rest", "[", "T", "]"}], "\[NotEqual]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"Rest", "[", "T", "]"}], 
     RowBox[{"\[LeftBracketingBar]", 
      RowBox[{"Rest", "[", "T", "]"}], "\[RightBracketingBar]"}]], "\[Equal]", 
    SubscriptBox["T", 
     RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2116051902", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644814323344686*^9, 3.644814364459111*^9}},
 CellTags->{
  "ID:2116051902", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last rest", "IR"},
 CellID->2116051902],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"Most", "[", "T", "]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
    "\[Equal]", "1"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(most empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1588185575", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64481442946992*^9, 3.644814432031598*^9}, 
   3.6448147983598423`*^9},
 CellTags->{
  "ID:1588185575", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most empty", "IR"},
 CellID->1588185575],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Most", "[", "T", "]"}], "\[NotEqual]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"Most", "[", "T", "]"}], "1"], "\[Equal]", 
    SubscriptBox["T", "1"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first most)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1434873231", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448144403022203`*^9, 3.644814450038522*^9}},
 CellTags->{
  "ID:1434873231", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first most", "IR"},
 CellID->1434873231],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", "S", "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 852174472}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645330849222372*^9, 3.6453308546904697`*^9}},
 CellTags->{
  "ID:852174472", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->852174472],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"S", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Or]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"S", "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"Most", "[", "S", "]"}], 
      TagBox["\:293a",
       Identity,
       SyntaxForm->"a*b"], 
      SubscriptBox["S", 
       RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(empty or append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:32262614", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6453305476982803`*^9, 3.6453306275366583`*^9}, {
  3.645330671714822*^9, 3.645330675583788*^9}, {3.645330737456523*^9, 
  3.64533076923802*^9}, {3.645330859449109*^9, 3.6453308663138323`*^9}},
 CellTags->{
  "ID:32262614", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "empty or append"},
 CellID->32262614],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"S", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Or]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"S", "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      SubscriptBox["S", "1"], 
      TagBox["\:293b",
       Identity,
       SyntaxForm->"a*b"], 
      RowBox[{"Rest", "[", "S", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(empty or prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1718502373", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647836681799102*^9, 3.647836696384038*^9}},
 CellTags->{
  "ID:1718502373", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "empty or prepend"},
 CellID->1718502373],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1730842655]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->2005237400],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"Rest", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               "1"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"Rest", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               "1"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:369207319"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p369207319-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p369207319-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:369207319", "Proof|ID:369207319-1"},
 CellID->740464668],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p369207319-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1247407337]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first rest,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first rest,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[And]", 
             RowBox[{
               RowBox[{"Rest", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Rest", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], "1"], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              "2"]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[And]", 
             RowBox[{
               RowBox[{"Rest", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Rest", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], "1"], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              "2"]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:562096052"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p562096052-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p562096052-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:562096052", "Proof|ID:562096052-1"},
 CellID->44820618],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p562096052-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->60256711]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last rest,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last rest,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[And]", 
             RowBox[{
               RowBox[{"Rest", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Rest", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"Rest", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                "\[RightBracketingBar]"}]], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              RowBox[{"\[LeftBracketingBar]", 
                StyleBox["T", "ExpressionVariable"], 
                "\[RightBracketingBar]"}]]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[And]", 
             RowBox[{
               RowBox[{"Rest", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Rest", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"Rest", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                "\[RightBracketingBar]"}]], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              RowBox[{"\[LeftBracketingBar]", 
                StyleBox["T", "ExpressionVariable"], 
                "\[RightBracketingBar]"}]]}]}]}], $CellContext`TheoremaForm]],
      "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2116051902"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2116051902-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2116051902-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2116051902", "Proof|ID:2116051902-1"},
 CellID->1028253458],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2116051902-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1490579646]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(most empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(most empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"Most", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               "1"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               RowBox[{"Most", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               "1"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1588185575"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1588185575-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1588185575-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1588185575", "Proof|ID:1588185575-1"},
 CellID->974984214],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1588185575-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->690678314]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first most,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first most,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[And]", 
             RowBox[{
               RowBox[{"Most", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Most", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], "1"], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              "1"]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[And]", 
             RowBox[{
               RowBox[{"Most", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Most", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], "1"], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              "1"]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1434873231"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1434873231-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1434873231-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1434873231", "Proof|ID:1434873231-1"},
 CellID->195728665],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1434873231-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->230145153]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(empty or append)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(empty or append)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Or]", 
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\[Equal]", 
             RowBox[{
               RowBox[{"Most", "[", 
                 StyleBox["S", "ExpressionVariable"], "]"}], "\:293a", 
               SubscriptBox[
                StyleBox["S", "ExpressionVariable"], 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["S", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Or]", 
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\[Equal]", 
             RowBox[{
               RowBox[{"Most", "[", 
                 StyleBox["S", "ExpressionVariable"], "]"}], "\:293a", 
               SubscriptBox[
                StyleBox["S", "ExpressionVariable"], 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["S", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:32262614"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p32262614-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p32262614-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:32262614", "Proof|ID:32262614-1"},
 CellID->1474498061],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p32262614-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellChangeTimes->{3.6478367550813293`*^9, 3.647837510799451*^9},
 CellID->363055270]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(empty or prepend)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(empty or prepend)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Or]", 
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\[Equal]", 
             RowBox[{
               SubscriptBox[
                StyleBox["S", "ExpressionVariable"], "1"], "\:293b", 
               RowBox[{"Rest", "[", 
                 StyleBox["S", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Or]", 
           RowBox[{
             StyleBox["S", "ExpressionVariable"], "\[Equal]", 
             RowBox[{
               SubscriptBox[
                StyleBox["S", "ExpressionVariable"], "1"], "\:293b", 
               RowBox[{"Rest", "[", 
                 StyleBox["S", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1718502373"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1718502373-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1718502373-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1718502373", "Proof|ID:1718502373-1"},
 CellID->1959150119],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1718502373-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->1343087848]
}, Closed]],

Cell[TextData[{
 "In the lemma below, the ranges of the universal quantifiers on the \
right-hand-sides of the equivalences could apparently be made smaller, e.g. ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " ranging only from 2 to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
   TraditionalForm]]],
 " in (rest P). The reason for having the bigger ranges and the implication \
inside the quantifiers instead is because we want the ranges on either side \
of equivalences to have the same shape."
}], "Text",
 CellChangeTimes->{{3.644558630574176*^9, 3.644558776862927*^9}, {
  3.644727248086466*^9, 3.644727291957552*^9}},
 CellID->1714413310],

Cell["", "OpenEnvironment",
 CellID->1711023125],

Cell[CellGroupData[{

Cell["Lemma: Universal Properties of Rest and Most", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.64430549440702*^9, 3.644305500287053*^9}, 
   3.644306982567232*^9, {3.644656203219461*^9, 3.644656204760701*^9}, {
   3.64482478230156*^9, 3.644824786154488*^9}},
 CellID->1254044450],

Cell[BoxData[
 UnderscriptBox[
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"isTuple", "[", "T", "]"}], ",", "P", ",", "Q"}]], 
  RowBox[{"T", "\[NotEqual]", 
   RowBox[{
   "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 679833337}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{
  3.6443053547704372`*^9, {3.644306902490059*^9, 3.644306910023039*^9}, {
   3.644817376470439*^9, 3.644817382071638*^9}, {3.6448337589844007`*^9, 
   3.644833765245202*^9}},
 CellTags->{
  "ID:679833337", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->679833337],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"i", "\[NotEqual]", "1"}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      SubscriptBox[
       RowBox[{"Rest", "[", "T", "]"}], 
       RowBox[{"i", "-", "1"}]], "\[Equal]", 
      SubscriptBox["T", "i"]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index rest II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1096538360", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644656668135281*^9, 3.644656726066527*^9}},
 CellTags->{
  "ID:1096538360", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index rest II", "IR"},
 CellID->1096538360],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"Rest", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox[
      RowBox[{"Rest", "[", "T", "]"}], "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"i", "\[NotEqual]", "1"}], "\[Implies]", 
      RowBox[{"P", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest P)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1702600555", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644306916535713*^9, 3.6443069609526997`*^9}, {
  3.644654811817223*^9, 3.644654824696134*^9}},
 CellTags->{
  "ID:1702600555", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest P", "IR"},
 CellID->1702600555],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"Rest", "[", "T", "]"}], "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox[
       RowBox[{"Rest", "[", "T", "]"}], "i"], ",", 
      SubscriptBox[
       RowBox[{"Rest", "[", "T", "]"}], 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"i", "\[NotEqual]", "1"}], "\[Implies]", 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["T", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest P binary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1068710478", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443069914204473`*^9, 3.6443070486733503`*^9}, {
  3.644657781601757*^9, 3.64465779492002*^9}},
 CellTags->{
  "ID:1068710478", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest P binary", "IR"},
 CellID->1068710478],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"Most", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox[
      RowBox[{"Most", "[", "T", "]"}], "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"i", "\[NotEqual]", 
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}], 
      "\[Implies]", 
      RowBox[{"P", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(most P)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1094967297", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64430716761178*^9, 3.644307182033671*^9}, {
   3.6445582084901342`*^9, 3.6445582285216513`*^9}, 3.6445584658484783`*^9, {
   3.644726270111273*^9, 3.644726280956387*^9}},
 CellTags->{
  "ID:1094967297", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most P", "IR"},
 CellID->1094967297],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"Most", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"P", "[", "i", "]"}], "\[Implies]", 
      RowBox[{"Q", "[", 
       SubscriptBox[
        RowBox[{"Most", "[", "T", "]"}], "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"i", "\[NotEqual]", 
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}], 
        "\[And]", 
        RowBox[{"P", "[", "i", "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}], "\[Implies]", 
      RowBox[{"Q", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(most P Q)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1495849141", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644833783010696*^9, 3.644833869941036*^9}, {
  3.644833901415921*^9, 3.644833918002226*^9}, {3.644833953370459*^9, 
  3.6448339607475758`*^9}},
 CellTags->{
  "ID:1495849141", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most P Q", "IR"},
 CellID->1495849141],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"Most", "[", "T", "]"}], "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox[
       RowBox[{"Most", "[", "T", "]"}], "i"], ",", 
      SubscriptBox[
       RowBox[{"Most", "[", "T", "]"}], 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"i", "\[NotEqual]", 
       RowBox[{
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
        "1"}]}], "\[Implies]", 
      RowBox[{"P", "[", 
       RowBox[{
        SubscriptBox["T", "i"], ",", 
        SubscriptBox["T", 
         RowBox[{"i", "+", "1"}]]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(most P binary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:931974039", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{
  3.644307202330431*^9, {3.644307279507658*^9, 3.6443073047756987`*^9}, {
   3.6443073659739313`*^9, 3.644307370999338*^9}, {3.6445581260470657`*^9, 
   3.6445581915887527`*^9}, {3.644726711297715*^9, 3.6447267262133904`*^9}},
 CellTags->{
  "ID:931974039", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most P binary", "IR"},
 CellID->931974039],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1865307472]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->730986169],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index rest II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index rest II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["T", "ExpressionVariable"]}, {
             RowBox[{
               RowBox[{
                 StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[And]", 
             RowBox[{
               StyleBox["i", "ExpressionVariable"], "\[NotEqual]", "1"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Rest", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], 
              RowBox[{
                StyleBox["i", "ExpressionVariable"], "-", "1"}]], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              StyleBox[
              "i", "ExpressionVariable"]]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["T", "ExpressionVariable"]}, {
             RowBox[{
               RowBox[{
                 StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
             "\[And]", 
             RowBox[{
               StyleBox["i", "ExpressionVariable"], "\[NotEqual]", "1"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Rest", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], 
              RowBox[{
                StyleBox["i", "ExpressionVariable"], "-", "1"}]], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              StyleBox[
              "i", "ExpressionVariable"]]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1096538360"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1096538360-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1096538360-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1096538360", "Proof|ID:1096538360-1"},
 CellID->1886376863],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1096538360-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1418674227]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest P,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest P,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], "\[NotEqual]", "1"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], "\[NotEqual]", "1"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1702600555"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1702600555-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1702600555-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1702600555", "Proof|ID:1702600555-1"},
 CellID->1314278607],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1702600555-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1838389547]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest P binary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest P binary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], "\[NotEqual]", "1"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], "\[NotEqual]", "1"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1068710478"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1068710478-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1068710478-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1068710478", "Proof|ID:1068710478-1"},
 CellID->35768775],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1068710478-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->606643041]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(most P,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(most P,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1094967297"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1094967297-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1094967297-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1094967297", "Proof|ID:1094967297-1"},
 CellID->1764327445],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1094967297-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{3.644838133118743*^9},
 CellID->1230831239]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(most P Q,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(most P Q,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             StyleBox["Q", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "\[Implies]", 
                   RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "\[And]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["Q", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             StyleBox["Q", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "\[Implies]", 
                   RowBox[{
                    StyleBox["Q", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}], "\[And]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["Q", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1495849141"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1495849141-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1495849141-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1495849141", "Proof|ID:1495849141-1"},
 CellID->1756171065],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1495849141-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1596766953]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(most P binary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(most P binary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["i", "ExpressionVariable"], "\[NotEqual]", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:931974039"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p931974039-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p931974039-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:931974039", "Proof|ID:931974039-1"},
 CellID->1890795604],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p931974039-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1772168468]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->201815928],

Cell[CellGroupData[{

Cell["Lemma: Universal Properties of Tuples w.r.t. Rest", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6555287133473005`*^9, 3.6555287227229176`*^9}},
 CellID->389097647],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"P", ",", 
   RowBox[{"isTuple", "[", "T", "]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 476903800}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655528727714926*^9, 3.6555287395397468`*^9}},
 CellTags->{
  "ID:476903800", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->476903800],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox["T", "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"T", "\[NotEqual]", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"\[And]", 
      RowBox[{"\[Piecewise]", GridBox[{
         {
          RowBox[{"P", "[", 
           SubscriptBox["T", "1"], "]"}]},
         {
          RowBox[{
           UnderscriptBox["\[ForAll]", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
             RowBox[{"\[LeftBracketingBar]", 
              RowBox[{"Rest", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
           RowBox[{"P", "[", 
            SubscriptBox[
             RowBox[{"Rest", "[", "T", "]"}], "i"], "]"}]}]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple P rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:511262385", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655528750554366*^9, 3.655528801069255*^9}},
 CellTags->{
  "ID:511262385", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple P rest", "IR"},
 CellID->511262385],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["T", "i"], ",", 
      SubscriptBox["T", 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"T", "\[NotEqual]", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"\[And]", 
      RowBox[{"\[Piecewise]", GridBox[{
         {
          RowBox[{
           RowBox[{
            RowBox[{"Rest", "[", "T", "]"}], "\[NotEqual]", 
            RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{"P", "[", 
            RowBox[{
             SubscriptBox["T", "1"], ",", 
             SubscriptBox[
              RowBox[{"Rest", "[", "T", "]"}], "1"]}], "]"}]}]},
         {
          RowBox[{
           UnderscriptBox["\[ForAll]", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
             RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"Rest", "[", "T", "]"}], "\[RightBracketingBar]"}], 
              "-", "1"}]}]], 
           RowBox[{"P", "[", 
            RowBox[{
             SubscriptBox[
              RowBox[{"Rest", "[", "T", "]"}], "i"], ",", 
             SubscriptBox[
              RowBox[{"Rest", "[", "T", "]"}], 
              RowBox[{"i", "+", "1"}]]}], "]"}]}]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(tuple P rest binary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:56527158", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655528834220313*^9, 3.655528905499839*^9}, {
  3.6555305513991356`*^9, 3.655530580355787*^9}},
 CellTags->{
  "ID:56527158", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple P rest binary", "IR"},
 CellID->56527158],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->701388299]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->133279645],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple P rest,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple P rest,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
               "\[Implies]", 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], "]"}], 
                 "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
               "\[Implies]", 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], "]"}], 
                 "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:511262385"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p511262385-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p511262385-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:511262385", "Proof|ID:511262385-1"},
 CellID->639560663],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p511262385-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->212710753]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(tuple P rest binary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(tuple P rest binary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
               "\[Implies]", 
               RowBox[{
                 RowBox[{
                   RowBox[{
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                    "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], ",", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "1"]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}]}]}], ")"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
               "\[Implies]", 
               RowBox[{
                 RowBox[{
                   RowBox[{
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                    "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], ",", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "1"]}], 
                    "]"}]}], "\[And]", 
                 RowBox[{
                   UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                    "]"}]}]}]}], ")"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:56527158"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p56527158-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p56527158-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:56527158", "Proof|ID:56527158-1"},
 CellID->434693457],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p56527158-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->70034017]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1709002060],

Cell[CellGroupData[{

Cell["Lemma: Rest of Prepend and Most of Append", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.647838847518852*^9, 3.6478388633250303`*^9}},
 CellID->1175320553],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"isTuple", "[", "T", "]"}], ",", "a"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1213842760}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64783886749051*^9, 3.6478388712122383`*^9}},
 CellTags->{
  "ID:1213842760", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1213842760],

Cell[BoxData[
 RowBox[{
  RowBox[{"Most", "[", 
   RowBox[{"T", 
    TagBox["\:293a",
     Identity,
     SyntaxForm->"a*b"], "a"}], "]"}], "\[Equal]", 
  "T"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(most append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1124736253", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64783889232596*^9, 3.647838905698311*^9}},
 CellTags->{
  "ID:1124736253", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most append", "IR"},
 CellID->1124736253],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rest", "[", 
   RowBox[{"a", 
    TagBox["\:293b",
     Identity,
     SyntaxForm->"a*b"], "T"}], "]"}], "\[Equal]", 
  "T"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1608823646", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6478388752220383`*^9, 3.647838885403693*^9}},
 CellTags->{
  "ID:1608823646", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest prepend", "IR"},
 CellID->1608823646],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->763396721]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->932663816],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(most append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(most append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"Most", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "]"}], "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"Most", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "]"}], "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1124736253"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1124736253-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1124736253-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1124736253", "Proof|ID:1124736253-1"},
 CellID->583585611],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1124736253-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1484028737]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest prepend,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest prepend,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "]"}], "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:293b", 
               StyleBox["T", "ExpressionVariable"]}], "]"}], "\[Equal]", 
           StyleBox[
           "T", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1608823646"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1608823646-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1608823646-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1608823646", "Proof|ID:1608823646-1"},
 CellID->1331812661],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1608823646-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->67950576]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Reverse (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.64430776269097*^9, 3.64430776587864*^9}, {
   3.644577258592984*^9, 3.6445772646131363`*^9}, 3.6554583080705214`*^9},
 CellID->174557946],

Cell["", "OpenEnvironment",
 CellID->1923710959],

Cell[CellGroupData[{

Cell["Lemma: Basic Properties of Reversed Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.644816957547018*^9, 3.6448169647430353`*^9}, {
  3.644824877957513*^9, 3.6448248818220787`*^9}},
 CellID->623558684],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", "T", "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 585653657}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448169702074623`*^9, 3.644816977768379*^9}},
 CellTags->{
  "ID:585653657", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->585653657],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"Reverse", "[", "T", "]"}], 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
      RowBox[{"(", 
       RowBox[{"i", "-", "1"}], ")"}]}]], "\[Equal]", 
    SubscriptBox["T", "i"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index reverse II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:141734886", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6445658115091476`*^9, 3.644565843210381*^9}},
 CellTags->{
  "ID:141734886", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index reverse II", "IR"},
 CellID->141734886],

Cell[BoxData[
 RowBox[{
  RowBox[{"Reverse", "[", 
   RowBox[{"Reverse", "[", "T", "]"}], "]"}], "\[Equal]", 
  "T"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(reverse reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:940343559", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64472818618087*^9, 3.6447281933807592`*^9}},
 CellTags->{
  "ID:940343559", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse reverse", "IR"},
 CellID->940343559],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "a"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], 
      RowBox[{"Reverse", "[", "T", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], "T"}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:785342434", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644307937237815*^9, 3.644307956382229*^9}},
 CellTags->{
  "ID:785342434", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E reverse", "IR"},
 CellID->785342434],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Reverse", "[", "T", "]"}], "\[NotEqual]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
  "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1029885993}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644817507453432*^9, 3.6448175117772923`*^9}},
 CellTags->{
  "ID:1029885993", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1029885993],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"Reverse", "[", "T", "]"}], "1"], "\[Equal]", 
  SubscriptBox["T", 
   RowBox[{
   "\[LeftBracketingBar]", "T", 
    "\[RightBracketingBar]"}]]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:900095694", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64481631612497*^9, 3.6448163508697853`*^9}, {
  3.644817510599008*^9, 3.644817514366398*^9}},
 CellTags->{
  "ID:900095694", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first reverse", "IR"},
 CellID->900095694],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"Reverse", "[", "T", "]"}], 
   RowBox[{"\[LeftBracketingBar]", 
    RowBox[{"Reverse", "[", "T", "]"}], "\[RightBracketingBar]"}]], 
  "\[Equal]", 
  SubscriptBox["T", "1"]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:42240444", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644816361387322*^9, 3.644816373649864*^9}, {
  3.6448175162884007`*^9, 3.644817517507001*^9}},
 CellTags->{
  "ID:42240444", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last reverse", "IR"},
 CellID->42240444],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1190718501]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->59613819],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index reverse II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index reverse II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["T", "ExpressionVariable"]}, {
             RowBox[{
               RowBox[{
                 StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Reverse", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}], "-", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
              "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              StyleBox[
              "i", "ExpressionVariable"]]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["T", "ExpressionVariable"]}, {
             RowBox[{
               RowBox[{
                 StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Reverse", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}], "-", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "-", "1"}], ")"}]}]],
              "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              StyleBox[
              "i", "ExpressionVariable"]]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:141734886"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p141734886-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p141734886-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:141734886", "Proof|ID:141734886-1"},
 CellID->1623865597],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p141734886-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->61884323]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(reverse reverse,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(reverse reverse,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"Reverse", "[", 
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
             "\[Equal]", 
             StyleBox[
             "T", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"Reverse", "[", 
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
             "\[Equal]", 
             StyleBox[
             "T", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:940343559"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p940343559-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p940343559-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:940343559", "Proof|ID:940343559-1"},
 CellID->450325643],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p940343559-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1354415440]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E reverse,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E reverse,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               StyleBox[
               "T", "ExpressionVariable"]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}]}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               StyleBox[
               "T", "ExpressionVariable"]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:785342434"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p785342434-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p785342434-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:785342434", "Proof|ID:785342434-1"},
 CellID->1047678896],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p785342434-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->910845746]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first reverse,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first reverse,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Reverse", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], "1"], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              RowBox[{"\[LeftBracketingBar]", 
                StyleBox["T", "ExpressionVariable"], 
                "\[RightBracketingBar]"}]]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Reverse", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], "1"], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              RowBox[{"\[LeftBracketingBar]", 
                StyleBox["T", "ExpressionVariable"], 
                "\[RightBracketingBar]"}]]}]}]}], $CellContext`TheoremaForm]],
      "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:900095694"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p900095694-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p900095694-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:900095694", "Proof|ID:900095694-1"},
 CellID->1100814666],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p900095694-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellChangeTimes->{3.644817058334429*^9, 3.6448252376891117`*^9},
 CellID->103108065]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last reverse,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last reverse,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"Reverse", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Reverse", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"Reverse", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                "\[RightBracketingBar]"}]], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              "1"]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"Reverse", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"Reverse", "[", 
                StyleBox["T", "ExpressionVariable"], "]"}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"Reverse", "[", 
                  StyleBox["T", "ExpressionVariable"], "]"}], 
                "\[RightBracketingBar]"}]], "\[Equal]", 
             SubscriptBox[
              StyleBox["T", "ExpressionVariable"], 
              "1"]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:42240444"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p42240444-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p42240444-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:42240444", "Proof|ID:42240444-1"},
 CellID->1593752458],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p42240444-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1920910197]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1021257781],

Cell[CellGroupData[{

Cell["Lemma: Universal Properties of Reversed Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.644307866689198*^9, 3.644307868341291*^9}, {
  3.644824864766623*^9, 3.644824872373703*^9}},
 CellID->608955477],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"isTuple", "[", "T", "]"}], ",", "P"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1200192224}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644307872209675*^9, 3.644307873782943*^9}, {
  3.6443080209339323`*^9, 3.6443080241669207`*^9}, {3.644817045407721*^9, 
  3.6448170510075827`*^9}},
 CellTags->{
  "ID:1200192224", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1200192224],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"Reverse", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox[
      RowBox[{"Reverse", "[", "T", "]"}], "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox["T", "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(reverse P)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1023856661", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644307881703989*^9, 3.644307896211937*^9}, {
  3.644727325796043*^9, 3.644727341083158*^9}},
 CellTags->{
  "ID:1023856661", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse P", "IR"},
 CellID->1023856661],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["T", 
       RowBox[{"i", "+", "1"}]], ",", 
      SubscriptBox["T", "i"]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"Reverse", "[", "T", "]"}], "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox[
       RowBox[{"Reverse", "[", "T", "]"}], "i"], ",", 
      SubscriptBox[
       RowBox[{"Reverse", "[", "T", "]"}], 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(reverse P binary \[DoubleRightArrow])", "FrameLabel"], 
        "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:225789218", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6443079061548758`*^9, 3.644307924524749*^9}},
 CellTags->{
  "ID:225789218", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse P binary \[DoubleRightArrow]", "IR"},
 CellID->225789218],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"Reverse", "[", "T", "]"}], "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox[
       RowBox[{"Reverse", "[", "T", "]"}], "i"], ",", 
      SubscriptBox[
       RowBox[{"Reverse", "[", "T", "]"}], 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["T", 
       RowBox[{"i", "+", "1"}]], ",", 
      SubscriptBox["T", "i"]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(reverse P binary \[DoubleLeftArrow])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:608262733", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6447300055159807`*^9, 3.644730015519595*^9}},
 CellTags->{
  "ID:608262733", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse P binary \[DoubleLeftArrow]", "IR"},
 CellID->608262733],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"Reverse", "[", "T", "]"}], "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox[
       RowBox[{"Reverse", "[", "T", "]"}], "i"], ",", 
      SubscriptBox[
       RowBox[{"Reverse", "[", "T", "]"}], 
       RowBox[{"i", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["T", 
       RowBox[{"i", "+", "1"}]], ",", 
      SubscriptBox["T", "i"]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(reverse P binary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1483084569", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6447299046965113`*^9, 3.6447299153143*^9}, {
  3.644729986024127*^9, 3.644729999011711*^9}},
 CellTags->{
  "ID:1483084569", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse P binary", "IR"},
 CellID->1483084569],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->748325071]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->106413012],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(reverse P,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(reverse P,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
             "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1023856661"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1023856661-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1023856661-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1023856661", "Proof|ID:1023856661-1"},
 CellID->1252190095],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1023856661-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1034369075]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(reverse P binary \[DoubleRightArrow],[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(reverse P binary \[DoubleRightArrow],[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 SubscriptBox[
                  RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                  StyleBox["i", "ExpressionVariable"]], ",", 
                 SubscriptBox[
                  RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 SubscriptBox[
                  RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                  StyleBox["i", "ExpressionVariable"]], ",", 
                 SubscriptBox[
                  RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:225789218"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p225789218-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p225789218-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:225789218", "Proof|ID:225789218-1"},
 CellID->639602467],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p225789218-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->1467067853]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(reverse P binary \[DoubleLeftArrow],[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(reverse P binary \[DoubleLeftArrow],[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]], ",", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]], ",", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:608262733"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p608262733-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p608262733-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:608262733", "Proof|ID:608262733-1"},
 CellID->1503164207],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p608262733-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1089648401]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(reverse P binary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(reverse P binary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isTuple", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             RowBox[{"(", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{"Reverse", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]]}], 
                   "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}]], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1483084569"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1483084569-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1483084569-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1483084569", "Proof|ID:1483084569-1"},
 CellID->1499341534],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1483084569-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1323008757]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Enumeration Tuples with Generic Length (\[Checkmark])\
\>", "Subsection",
 CellChangeTimes->{{3.648358948309849*^9, 3.64835895386493*^9}, {
   3.649991940111189*^9, 3.6499919438552628`*^9}, 3.6554583093965235`*^9, {
   3.6627029823828373`*^9, 3.662702986080044*^9}},
 CellID->1655980684],

Cell["", "OpenEnvironment",
 CellID->1400411776],

Cell[CellGroupData[{

Cell["Lemma: Simple Properties of Enumeration Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.648358962860697*^9, 3.648358971094204*^9}},
 CellID->1022430700],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"t", "..."}], ",", "x"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 494480620}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6483592382129593`*^9, 3.648359246586117*^9}},
 CellTags->{
  "ID:494480620", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->494480620],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"s", "..."}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{"t", "..."}], ",", 
       RowBox[{"s", "..."}]}], "\[RightAngleBracket]"}], 
     "\[RightBracketingBar]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
      "\[RightBracketingBar]"}], "+", 
     RowBox[{"\[LeftBracketingBar]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"s", "..."}], "\[RightAngleBracket]"}], 
      "\[RightBracketingBar]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length join seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1978957465", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6483595957349033`*^9, 3.648359632669511*^9}},
 CellTags->{
  "ID:1978957465", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length join seq", "IR"},
 CellID->1978957465],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"x", 
    TagBox["\:293b",
     Identity,
     SyntaxForm->"a*b"], 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"x", ",", 
    RowBox[{"t", "..."}]}], 
   "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:689233251", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648359250668247*^9, 3.648359269059211*^9}},
 CellTags->{
  "ID:689233251", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend seq", "IR"},
 CellID->689233251],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
    TagBox["\:293a",
     Identity,
     SyntaxForm->"a*b"], "x"}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{"t", "..."}], ",", "x"}], 
   "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1868467849", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648359278727216*^9, 3.648359293004315*^9}},
 CellTags->{
  "ID:1868467849", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append seq", "IR"},
 CellID->1868467849],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", 
     RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], 
   "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
    "\[RightBracketingBar]"}], "+", "1"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length prepend seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:65350141", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648378518715046*^9, 3.6483785358974743`*^9}},
 CellTags->{
  "ID:65350141", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length prepend seq", "IR"},
 CellID->65350141],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], 
   "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
    "\[RightBracketingBar]"}], "+", "1"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length append seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1724810594", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648378543092724*^9, 3.648378546193684*^9}},
 CellTags->{
  "ID:1724810594", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length append seq", "IR"},
 CellID->1724810594],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", 
     RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "1"], "\[Equal]", 
  "x"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1756306456", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64835930438307*^9, 3.648359311183195*^9}},
 CellTags->{
  "ID:1756306456", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first seq", "IR"},
 CellID->1756306456],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], 
   RowBox[{"\[LeftBracketingBar]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], 
    "\[RightBracketingBar]"}]], "\[Equal]", "x"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:825805850", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6483593526546288`*^9, 3.648359366685094*^9}, {
  3.6483594299638567`*^9, 3.64835943199613*^9}},
 CellTags->{
  "ID:825805850", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last seq", "IR"},
 CellID->825805850],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
     "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox[
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"x", ",", 
       RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], 
     RowBox[{"i", "+", "1"}]], "\[Equal]", 
    SubscriptBox[
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "i"]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index prepend seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:170468971", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6556405533218603`*^9, 3.6556405861911173`*^9}},
 CellTags->{
  "ID:170468971", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index prepend seq", "IR"},
 CellID->170468971],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rest", "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", 
     RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(rest seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2036703557", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6483601354545403`*^9, 3.648360146957493*^9}},
 CellTags->{
  "ID:2036703557", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest seq", "IR"},
 CellID->2036703557],

Cell[BoxData[
 RowBox[{
  RowBox[{"Most", "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(most seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1246285181", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6483601549575157`*^9, 3.648360160095088*^9}},
 CellTags->{
  "ID:1246285181", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most seq", "IR"},
 CellID->1246285181],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"x", ",", 
    RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "\[NotEqual]", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend \[NotEqual] seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:356326934", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6483759437989187`*^9, 3.648375958795546*^9}},
 CellTags->{
  "ID:356326934", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend \[NotEqual] seq"},
 CellID->356326934],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], "\[NotEqual]", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append \[NotEqual] seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1891361301", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648375970007427*^9, 3.648375973487788*^9}},
 CellTags->{
  "ID:1891361301", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append \[NotEqual] seq"},
 CellID->1891361301],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"x", ",", 
    RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "\[NotEqual]", 
  RowBox[{
  "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend is non-empty seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:908405529", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648523191416952*^9, 3.648523198442932*^9}},
 CellTags->{
  "ID:908405529", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend is non-empty seq"},
 CellID->908405529],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], "\[NotEqual]", 
  RowBox[{
  "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append is non-empty seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:630006974", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648523204456503*^9, 3.648523207629664*^9}},
 CellTags->{
  "ID:630006974", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append is non-empty seq"},
 CellID->630006974],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"y", ",", 
    RowBox[{"s", "..."}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"x", ",", 
        RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"y", ",", 
        RowBox[{"s", "..."}]}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"x", "\[Equal]", "y"}], "\[And]", 
      RowBox[{
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "\[Equal]", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"s", "..."}], "\[RightAngleBracket]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend injective seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:51106199", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656393967124301*^9, 3.6563939985739565`*^9}},
 CellTags->{
  "ID:51106199", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend injective seq", "IR"},
 CellID->51106199],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"y", ",", 
    RowBox[{"s", "..."}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], 
      "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"s", "..."}], ",", "y"}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"x", "\[Equal]", "y"}], "\[And]", 
      RowBox[{
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "\[Equal]", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"s", "..."}], "\[RightAngleBracket]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append injective seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:366778785", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6563940242204013`*^9, 3.656394033455618*^9}},
 CellTags->{
  "ID:366778785", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append injective seq", "IR"},
 CellID->366778785],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "y"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"x", ",", 
        RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", "y", "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"x", "\[Equal]", "y"}], "\[And]", 
      RowBox[{
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "\[Equal]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend=singleton seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:16748437", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656303326667181*^9, 3.656303379176873*^9}},
 CellTags->{
  "ID:16748437", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend=singleton seq"},
 CellID->16748437],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "y"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], 
      "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", "y", "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"x", "\[Equal]", "y"}], "\[And]", 
      RowBox[{
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "\[Equal]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append=singleton seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:356206657", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656303402576914*^9, 3.656303407322323*^9}},
 CellTags->{
  "ID:356206657", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append=singleton seq"},
 CellID->356206657],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"x", ",", 
      RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "x", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend=singleton seq')", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:128935503", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656228442288261*^9, 3.656228467887906*^9}},
 CellTags->{
  "ID:128935503", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend=singleton seq'"},
 CellID->128935503],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "x", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append=singleton seq')", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:131896368", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656228592485325*^9, 3.6562285966193323`*^9}},
 CellTags->{
  "ID:131896368", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append=singleton seq'"},
 CellID->131896368],

Cell[BoxData[
 RowBox[{"1", "\[Element]", 
  SubscriptBox["\[DoubleStruckCapitalN]", 
   RowBox[{"1", ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"x", ",", 
       RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], 
     "\[RightBracketingBar]"}]}]]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first index prepend seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:375885636", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656051002093297*^9, 3.65605101522852*^9}},
 CellTags->{
  "ID:375885636", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first index prepend seq", "IR"},
 CellID->375885636],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "y"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"y", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"x", ",", 
        RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"y", "\[Equal]", "x"}], "\[Or]", 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{"y", 
        TagBox["\:22ff",
         Identity,
         SyntaxForm->"a+b"], 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E prepend seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1449667434", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.649992303884261*^9, 3.649992307382059*^9}, {
  3.649992405643655*^9, 3.649992407059978*^9}},
 CellTags->{
  "ID:1449667434", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E prepend seq", "IR"},
 CellID->1449667434],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "y"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"y", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"y", "\[Equal]", "x"}], "\[Or]", 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{"y", 
        TagBox["\:22ff",
         Identity,
         SyntaxForm->"a+b"], 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E append seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1225984057", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.649992187852356*^9, 3.64999222690056*^9}, {
  3.649992409451179*^9, 3.649992411218804*^9}},
 CellTags->{
  "ID:1225984057", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E append seq", "IR"},
 CellID->1225984057],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1305018440]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->814395296],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length join seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length join seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"s", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], 
                 "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "+", 
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox[
                  RowBox[{"s", "..."}], "ExpressionVariable"], 
                 "\[RightAngleBracket]"}], 
               "\[RightBracketingBar]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"s", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], 
                 "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "+", 
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox[
                  RowBox[{"s", "..."}], "ExpressionVariable"], 
                 "\[RightAngleBracket]"}], 
               "\[RightBracketingBar]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1978957465"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1978957465-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1978957465-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1978957465", "Proof|ID:1978957465-1"},
 CellID->1385098729],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1978957465-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1287657958]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["x", "ExpressionVariable"], "\:293b", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["x", "ExpressionVariable"], "\:293b", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:689233251"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p689233251-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p689233251-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:689233251", "Proof|ID:689233251-1"},
 CellID->1934454430],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p689233251-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->575327834]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}], "\:293a", 
             StyleBox["x", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}], "\:293a", 
             StyleBox["x", "ExpressionVariable"]}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1868467849"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1868467849-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1868467849-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1868467849", "Proof|ID:1868467849-1"},
 CellID->2133871472],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1868467849-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->953377632]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length prepend seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length prepend seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], 
                 "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "+", 
             "1"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], 
                 "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "+", 
             "1"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:65350141"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p65350141-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p65350141-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:65350141", "Proof|ID:65350141-1"},
 CellID->349417108],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p65350141-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->246838730]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length append seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length append seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], 
                 "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "+", 
             "1"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               RowBox[{"\[LeftAngleBracket]", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], 
                 "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "+", 
             "1"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1724810594"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1724810594-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1724810594-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1724810594", "Proof|ID:1724810594-1"},
 CellID->712538882],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1724810594-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1541878715]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "1"], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], "1"], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1756306456"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1756306456-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1756306456-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1756306456", "Proof|ID:1756306456-1"},
 CellID->2087019572],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1756306456-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1915294058]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                StyleBox["x", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox[
                   RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                  StyleBox["x", "ExpressionVariable"]}], 
                "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]], 
           "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                StyleBox["x", "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox[
                   RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                  StyleBox["x", "ExpressionVariable"]}], 
                "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]], 
           "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:825805850"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p825805850-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p825805850-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:825805850", "Proof|ID:825805850-1"},
 CellID->1815538666],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p825805850-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->953455655]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index prepend seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index prepend seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"]}, {
             StyleBox["x", "ExpressionVariable"]}, {
             RowBox[{
               RowBox[{
                 StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], 
            RowBox[{
              StyleBox["i", "ExpressionVariable"], "+", "1"}]], "\[Equal]", 
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[
               RowBox[{"t", "..."}], "ExpressionVariable"], 
              "\[RightAngleBracket]"}], 
            StyleBox[
            "i", "ExpressionVariable"]]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"]}, {
             StyleBox["x", "ExpressionVariable"]}, {
             RowBox[{
               RowBox[{
                 StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x", "ExpressionVariable"], ",", 
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"]}], 
              "\[RightAngleBracket]"}], 
            RowBox[{
              StyleBox["i", "ExpressionVariable"], "+", "1"}]], "\[Equal]", 
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[
               RowBox[{"t", "..."}], "ExpressionVariable"], 
              "\[RightAngleBracket]"}], 
            StyleBox[
            "i", "ExpressionVariable"]]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:170468971"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p170468971-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p170468971-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:170468971", "Proof|ID:170468971-1"},
 CellID->10891487],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p170468971-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->10109557]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(rest seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(rest seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Rest", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2036703557"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2036703557-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2036703557-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2036703557", "Proof|ID:2036703557-1"},
 CellID->329821864],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2036703557-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1997061992]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(most seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(most seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Most", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"Most", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1246285181"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1246285181-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1246285181-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1246285181", "Proof|ID:1246285181-1"},
 CellID->2135475776],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1246285181-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->620456015]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend \[NotEqual] seq)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend \[NotEqual] seq)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], "\[NotEqual]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], "\[NotEqual]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:356326934"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p356326934-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p356326934-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:356326934", "Proof|ID:356326934-1"},
 CellID->140246005],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p356326934-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellChangeTimes->{{3.6484565463321037`*^9, 3.648456548500243*^9}},
 CellID->67745053]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append \[NotEqual] seq)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append \[NotEqual] seq)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], "\[NotEqual]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], "\[NotEqual]", 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1891361301"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1891361301-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1891361301-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1891361301", "Proof|ID:1891361301-1"},
 CellID->97652058],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1891361301-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->599950063]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend is non-empty seq)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend is non-empty seq)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], "\[NotEqual]", 
           
           RowBox[{"\[LeftAngleBracket]", 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], "\[NotEqual]", 
           
           RowBox[{"\[LeftAngleBracket]", 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:908405529"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p908405529-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p908405529-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:908405529", "Proof|ID:908405529-1"},
 CellID->205515258],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p908405529-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2084818995]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append is non-empty seq)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append is non-empty seq)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], "\[NotEqual]", 
           
           RowBox[{"\[LeftAngleBracket]", 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], "\[NotEqual]", 
           
           RowBox[{"\[LeftAngleBracket]", 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:630006974"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p630006974-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p630006974-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:630006974", "Proof|ID:630006974-1"},
 CellID->1370582735],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p630006974-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->205711086]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend injective seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend injective seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"s", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[Equal]", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"s", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[Equal]", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:51106199"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p51106199-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p51106199-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:51106199", "Proof|ID:51106199-1"},
 CellID->69937640],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p51106199-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->254543554]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append injective seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append injective seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"s", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["y", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[Equal]", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"s", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["y", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[Equal]", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:366778785"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p366778785-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p366778785-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:366778785", "Proof|ID:366778785-1"},
 CellID->320700225],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p366778785-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->447907243]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend=singleton seq)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend=singleton seq)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["y", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[Equal]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["y", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[Equal]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:16748437"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p16748437-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p16748437-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:16748437", "Proof|ID:16748437-1"},
 CellID->42196719],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p16748437-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->92444314]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append=singleton seq)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append=singleton seq)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["y", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[Equal]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["y", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["y", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "\[Equal]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:356206657"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p356206657-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p356206657-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:356206657", "Proof|ID:356206657-1"},
 CellID->56951552],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p356206657-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->130172208]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend=singleton seq')\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend=singleton seq')\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:128935503"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p128935503-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p128935503-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:128935503", "Proof|ID:128935503-1"},
 CellID->62890191],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p128935503-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->462016030]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append=singleton seq')\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append=singleton seq')\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["x", "ExpressionVariable"], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:131896368"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p131896368-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p131896368-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:131896368", "Proof|ID:131896368-1"},
 CellID->298683712],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p131896368-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->14326218]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first index prepend seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first index prepend seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{"1", "\[Element]", 
           SubscriptBox["\[DoubleStruckCapitalN]", 
            RowBox[{"1", ",", "\[Ellipsis]", ",", 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                  "\[RightAngleBracket]"}], 
                "\[RightBracketingBar]"}]}]]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{"1", "\[Element]", 
           SubscriptBox["\[DoubleStruckCapitalN]", 
            RowBox[{"1", ",", "\[Ellipsis]", ",", 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                  "\[RightAngleBracket]"}], 
                "\[RightBracketingBar]"}]}]]}]}], $CellContext`TheoremaForm]],
      "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:375885636"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p375885636-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p375885636-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:375885636", "Proof|ID:375885636-1"},
 CellID->56380098],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p375885636-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->10343000]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E prepend seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E prepend seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["y", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], "\:22ff", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["y", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], "\:22ff", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1449667434"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1449667434-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1449667434-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1449667434", "Proof|ID:1449667434-1"},
 CellID->1172643487],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1449667434-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1549829500]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E append seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E append seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["y", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], "\:22ff", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             StyleBox["y", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox[
                  RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["x", "ExpressionVariable"]}], "\[Or]", 
               RowBox[{
                 StyleBox["y", "ExpressionVariable"], "\:22ff", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1225984057"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1225984057-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1225984057-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1225984057", "Proof|ID:1225984057-1"},
 CellID->1303184498],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1225984057-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1699114779]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->552642134],

Cell[CellGroupData[{

Cell["Lemma: Shapes of Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.648358996542346*^9, 3.648359001258005*^9}},
 CellID->1167603280],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", "T", "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1603144769}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648359004712096*^9, 3.648359008480845*^9}},
 CellTags->{
  "ID:1603144769", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1603144769],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "\[Equal]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[Or]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Exists]", 
     RowBox[{"t", "..."}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        SubscriptBox["T", "1"], ",", 
        RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(empty or prepend seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1631152012", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648359013019744*^9, 3.6483590280743856`*^9}},
 CellTags->{
  "ID:1631152012", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "empty or prepend seq"},
 CellID->1631152012],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "\[Equal]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[Or]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Exists]", 
     RowBox[{"t", "..."}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"t", "..."}], ",", 
        SubscriptBox["T", 
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]]}], 
       "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(empty or append seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:555405947", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648359072010977*^9, 3.648359081016811*^9}},
 CellTags->{
  "ID:555405947", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "empty or append seq"},
 CellID->555405947],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->611378130]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->2128154645],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(empty or prepend seq)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(empty or prepend seq)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Or]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Or]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], "1"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1631152012"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1631152012-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1631152012-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1631152012", "Proof|ID:1631152012-1"},
 CellID->2022060118],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1631152012-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->886887877]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(empty or append seq)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(empty or append seq)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Or]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Or]", 
           RowBox[{
             UnderscriptBox["\[Exists]", 
              RowBox[{
                StyleBox[
                 RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:555405947"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p555405947-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p555405947-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:555405947", "Proof|ID:555405947-1"},
 CellID->162873796],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p555405947-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->346230608]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1547098127],

Cell[CellGroupData[{

Cell["Lemma: Universal Properties of Enumeration Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.648359506152212*^9, 3.648359514705842*^9}},
 CellID->1775118541],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"P", ",", 
   RowBox[{"t", "..."}], ",", 
   RowBox[{"s", "..."}], ",", "x"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1927912858}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6483592382129593`*^9, 3.648359246586117*^9}, {
  3.648359675986169*^9, 3.64835967680343*^9}, {3.648361633243474*^9, 
  3.648361634908648*^9}},
 CellTags->{
  "ID:1927912858", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1927912858],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{"t", "..."}], ",", 
         RowBox[{"s", "..."}]}], "\[RightAngleBracket]"}], 
       "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox[
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"t", "..."}], ",", 
        RowBox[{"s", "..."}]}], "\[RightAngleBracket]"}], "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
         "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox[
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{"s", "..."}], "\[RightAngleBracket]"}], 
         "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox[
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"s", "..."}], "\[RightAngleBracket]"}], "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(join P seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:945414731", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648359684476345*^9, 3.648359706937847*^9}},
 CellTags->{
  "ID:945414731", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P seq", "IR"},
 CellID->945414731],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"x", ",", 
         RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], 
       "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox[
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"x", ",", 
        RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", "x", "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
         "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox[
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(prepend P seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:410739149", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648359522349284*^9, 3.6483595768623743`*^9}, {
  3.648359728571507*^9, 3.6483597359207487`*^9}},
 CellTags->{
  "ID:410739149", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend P seq", "IR"},
 CellID->410739149],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], 
       "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", 
     SubscriptBox[
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], "i"], 
     "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", "x", "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{"t", "..."}], "\[RightAngleBracket]"}], 
         "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", 
       SubscriptBox[
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(append P seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:351192043", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648359762058446*^9, 3.648359769721249*^9}},
 CellTags->{
  "ID:351192043", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append P seq", "IR"},
 CellID->351192043],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->588648067]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1000709000],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(join P seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(join P seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:945414731"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p945414731-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p945414731-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:945414731", "Proof|ID:945414731-1"},
 CellID->1732112684],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p945414731-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->70437433]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(prepend P seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(prepend P seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:410739149"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p410739149-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p410739149-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:410739149", "Proof|ID:410739149-1"},
 CellID->10877773],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p410739149-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1419809143]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(append P seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(append P seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox["x", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                    StyleBox["x", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:351192043"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p351192043-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p351192043-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:351192043", "Proof|ID:351192043-1"},
 CellID->1701507642],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p351192043-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->590310168]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Tuple Quantifier (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.633166935434753*^9, 3.6331669423652973`*^9}, {
   3.644648855582505*^9, 3.644648859869364*^9}, 3.6554583109565263`*^9},
 CellID->1643018938],

Cell["", "OpenEnvironment",
 CellID->1544724951],

Cell[CellGroupData[{

Cell["Lemma: Tuple Quantifier with Condition", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.644637019452104*^9, 3.644637054636695*^9}, {
  3.644637112496065*^9, 3.644637115090645*^9}},
 CellID->121791731],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"f", ",", "P", ",", "Q"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1694974068}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644637076459051*^9, 3.644637077854076*^9}, {
  3.644730951281693*^9, 3.644730951686964*^9}},
 CellTags->{
  "ID:1694974068", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1694974068],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"n", "\[Element]", 
   SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1505247553}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446377324739637`*^9, 3.644637737125513*^9}},
 CellTags->{
  "ID:1505247553", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1505247553],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"T", "=", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"f", "[", "i", "]"}], 
     UnderscriptBox["|", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
     RowBox[{"P", "[", "i", "]"}]}], 
    "\[RightAngleBracket]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1255331353}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644638598000387*^9, 3.644638603898188*^9}},
 CellTags->{
  "ID:1255331353", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1255331353],

Cell[BoxData[
 RowBox[{"isTuple", "[", "T", "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1942795378", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64463774545477*^9, 3.644637750693933*^9}, 
   3.644638606369424*^9},
 CellTags->{
  "ID:1942795378", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple TupleOf", "IR"},
 CellID->1942795378],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"\[Not]", 
      RowBox[{"P", "[", "i", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1005510912", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448253384750566`*^9, 3.644825363446018*^9}},
 CellTags->{
  "ID:1005510912", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf empty", "IR"},
 CellID->1005510912],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "c"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"c", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], "T"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox["\[Exists]", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
       RowBox[{"P", "[", "i", "]"}]], 
      RowBox[{"c", "\[Equal]", 
       RowBox[{"f", "[", "i", "]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1495808200", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644637759254629*^9, 3.644637767410129*^9}, 
   3.6446386088083887`*^9},
 CellTags->{
  "ID:1495808200", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E TupleOf", "IR"},
 CellID->1495808200],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
    RowBox[{"Q", "[", 
     SubscriptBox["T", "j"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     UnderscriptBox["\[ForAll]", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
     RowBox[{"P", "[", "i", "]"}]], 
    RowBox[{"Q", "[", 
     RowBox[{"f", "[", "i", "]"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf P)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1914119422", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644730665721464*^9, 3.644730676729117*^9}},
 CellTags->{
  "ID:1914119422", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P", "IR"},
 CellID->1914119422],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->561891813]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1741748868],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple TupleOf,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple TupleOf,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "]"}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "]"}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1942795378"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1942795378-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1942795378-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1942795378", "Proof|ID:1942795378-1"},
 CellID->830505370],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1942795378-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->300080004]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{"\[Not]", 
               RowBox[{
                 TagBox["(", "AutoParentheses"], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 TagBox[
                 ")", "AutoParentheses"]}]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{"\[Not]", 
               RowBox[{
                 TagBox["(", "AutoParentheses"], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 TagBox[
                 ")", "AutoParentheses"]}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1005510912"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1005510912-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1005510912-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1005510912", "Proof|ID:1005510912-1"},
 CellID->1883378197],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1005510912-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1342890668]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E TupleOf,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E TupleOf,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
             StyleBox["c", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["c", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["c", "ExpressionVariable"], "\[Equal]", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
             StyleBox["c", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["c", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["c", "ExpressionVariable"], "\[Equal]", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1495808200"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1495808200-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1495808200-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1495808200", "Proof|ID:1495808200-1"},
 CellID->258451646],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1495808200-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->1698282499]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf P,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf P,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             StyleBox["Q", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["Q", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["j", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["Q", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             StyleBox["Q", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["Q", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["j", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["Q", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1914119422"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1914119422-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1914119422-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1914119422", "Proof|ID:1914119422-1"},
 CellID->1598253886],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1914119422-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->806613290]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->163035300],

Cell[CellGroupData[{

Cell["Lemma: Tuple Quantifier without Condition", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.63316834142418*^9, 3.633168346292693*^9}, {
  3.6446370404987926`*^9, 3.644637067849246*^9}, {3.644637118187017*^9, 
  3.644637120921349*^9}},
 CellID->726078777],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"f", ",", "P"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 134279387}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633168349183951*^9, 3.633168354909753*^9}, {
  3.6447319701253223`*^9, 3.644731979252831*^9}},
 CellTags->{
  "ID:134279387", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->134279387],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"n", "\[Element]", 
   SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1927530612}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633168414827714*^9, 3.6331684206440363`*^9}, {
   3.633168490397395*^9, 3.6331684925398808`*^9}, 3.6446372430847692`*^9},
 CellTags->{
  "ID:1927530612", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1927530612],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"T", "=", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"f", "[", "i", "]"}], 
     UnderscriptBox["|", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]]}], 
    "\[RightAngleBracket]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 37602445}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633168432649952*^9, 3.633168443349264*^9}, 
   3.644637244866089*^9},
 CellTags->{
  "ID:37602445", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->37602445],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "\[Equal]", 
  "n"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1598714500", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633168477254266*^9, 3.633168483234799*^9}, 
   3.644637245898294*^9},
 CellTags->{
  "ID:1598714500", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length TupleOf", "IR"},
 CellID->1598714500],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"T", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"n", "\[Equal]", "0"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf empty II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1101459169", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644825818233058*^9, 3.64482582658418*^9}},
 CellTags->{
  "ID:1101459169", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf empty II", "IR"},
 CellID->1101459169],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox["T", "j"], "\[Equal]", 
    RowBox[{"f", "[", "j", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1117837722", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633168423953808*^9, 3.633168428892232*^9}, {
   3.63316846213524*^9, 3.633168467817966*^9}, 3.6446372467481956`*^9},
 CellTags->{
  "ID:1117837722", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index TupleOf", "IR"},
 CellID->1117837722],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "g"], 
  RowBox[{
   UnderscriptBox["\[ForAll]", 
    RowBox[{"m", "\[Element]", 
     SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      RowBox[{"T", "\[Equal]", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{"g", "[", "i", "]"}], 
         UnderscriptBox["|", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "m"}]]}], 
        "\[RightAngleBracket]"}]}], 
      TagBox[")",
       "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      RowBox[{
       RowBox[{"m", "\[Equal]", "n"}], "\[And]", 
       RowBox[{
        TagBox["(",
         "AutoParentheses"], 
        RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
         RowBox[{
          TagBox["(",
           "AutoParentheses"], 
          RowBox[{
           RowBox[{"f", "[", "i", "]"}], "\[Equal]", 
           RowBox[{"g", "[", "i", "]"}]}], 
          TagBox[")",
           "AutoParentheses"]}]}], 
        TagBox[")",
         "AutoParentheses"]}]}], 
      TagBox[")",
       "AutoParentheses"]}]}], 
    TagBox[")",
     "AutoParentheses"]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf=)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:516149167", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6567383796855483`*^9, 3.656738417126614*^9}, {
  3.6567386324693923`*^9, 3.6567386800660763`*^9}},
 CellTags->{
  "ID:516149167", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf=", "IR"},
 CellID->516149167],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["T", "j"], ",", 
      SubscriptBox["T", 
       RowBox[{"j", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"n", "-", "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      RowBox[{"f", "[", "i", "]"}], ",", 
      RowBox[{"f", "[", 
       RowBox[{"i", "+", "1"}], "]"}]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf P binary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:177394441", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644731990658924*^9, 3.644732037464138*^9}},
 CellTags->{
  "ID:177394441", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P binary", "IR"},
 CellID->177394441],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "\[NotEqual]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
  "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 548658600}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644825876976746*^9, 3.6448258808689117`*^9}},
 CellTags->{
  "ID:548658600", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->548658600],

Cell[BoxData[
 RowBox[{
  SubscriptBox["T", "1"], "\[Equal]", 
  RowBox[{"f", "[", "1", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:340261036", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644825888895679*^9, 3.6448258926546907`*^9}},
 CellTags->{
  "ID:340261036", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first TupleOf", "IR"},
 CellID->340261036],

Cell[BoxData[
 RowBox[{
  SubscriptBox["T", 
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]], 
  "\[Equal]", 
  RowBox[{"f", "[", "n", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:124965228", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644825896929241*^9, 3.644825905346449*^9}},
 CellTags->{
  "ID:124965228", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last TupleOf", "IR"},
 CellID->124965228],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->701379195]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1485886707],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length TupleOf,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length TupleOf,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           StyleBox[
           "n", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           StyleBox[
           "n", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1598714500"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1598714500-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1598714500-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1598714500", "Proof|ID:1598714500-1"},
 CellID->719312761],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1598714500-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1821123084]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf empty II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf empty II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["n", "ExpressionVariable"], "\[Equal]", 
             "0"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["n", "ExpressionVariable"], "\[Equal]", 
             "0"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1101459169"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1101459169-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1101459169-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1101459169", "Proof|ID:1101459169-1"},
 CellID->691598025],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1101459169-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1387102911]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index TupleOf,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index TupleOf,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
             RowBox[{
               RowBox[{
                 StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               StyleBox["n", "ExpressionVariable"]}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}], 
                UnderscriptBox["|", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
              "\[RightAngleBracket]"}], 
            StyleBox["j", "ExpressionVariable"]], "\[Equal]", 
           RowBox[{
             StyleBox["f", "ExpressionVariable"], "[", 
             StyleBox["j", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
             RowBox[{
               RowBox[{
                 StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               StyleBox["n", "ExpressionVariable"]}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}], 
                UnderscriptBox["|", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
              "\[RightAngleBracket]"}], 
            StyleBox["j", "ExpressionVariable"]], "\[Equal]", 
           RowBox[{
             StyleBox["f", "ExpressionVariable"], "[", 
             StyleBox["j", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1117837722"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1117837722-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1117837722-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1117837722", "Proof|ID:1117837722-1"},
 CellID->2037489008],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1117837722-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->2104558347]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf=,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf=,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
             StyleBox["g", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["m", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["g", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["m", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["m", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["n", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "\[Equal]", 
                   RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
             StyleBox["g", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["m", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["g", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["m", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 StyleBox["m", "ExpressionVariable"], "\[Equal]", 
                 StyleBox["n", "ExpressionVariable"]}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], "\[Equal]", 
                   RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}]}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:516149167"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p516149167-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p516149167-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:516149167", "Proof|ID:516149167-1"},
 CellID->306087820],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p516149167-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->163406695]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf P binary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf P binary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "-", 
                    "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    StyleBox["n", "ExpressionVariable"], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], ",", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], "]"}]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "-", 
                    "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    StyleBox["n", "ExpressionVariable"], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], ",", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], "]"}]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:177394441"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p177394441-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p177394441-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:177394441", "Proof|ID:177394441-1"},
 CellID->777558294],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p177394441-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1518971287]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first TupleOf,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first TupleOf,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                "\[RightAngleBracket]"}], "1"], "\[Equal]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", "1", 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                "\[RightAngleBracket]"}], "1"], "\[Equal]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", "1", 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:340261036"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p340261036-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p340261036-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:340261036", "Proof|ID:340261036-1"},
 CellID->159464590],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p340261036-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->712175014]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last TupleOf,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last TupleOf,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                "\[RightAngleBracket]"}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                  "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]], 
             "\[Equal]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               StyleBox["n", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                "\[RightAngleBracket]"}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]]}], 
                  "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]], 
             "\[Equal]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               StyleBox["n", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:124965228"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p124965228-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p124965228-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:124965228", "Proof|ID:124965228-1"},
 CellID->1318409637],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p124965228-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->805863339]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->862187148],

Cell[CellGroupData[{

Cell["Lemma: Tuple Quantifier with Arbitrary Integer Endpoints", \
"EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6446379112004423`*^9, 3.644637922275662*^9}, 
   3.644637990593795*^9, {3.644732737736166*^9, 3.644732738925418*^9}},
 CellID->204009807],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"f", ",", "P", ",", "Q"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1593677557}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446379257766867`*^9, 3.644637927295714*^9}, {
  3.644732438430724*^9, 3.644732438873639*^9}},
 CellTags->{
  "ID:1593677557", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1593677557],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"a", ",", 
   RowBox[{
   "b", "\[Element]", "\[DoubleStruckCapitalZ]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 748631503}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446379297684317`*^9, 3.6446379341291*^9}},
 CellTags->{
  "ID:748631503", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->748631503],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"S", "=", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"f", "[", "i", "]"}], 
     UnderscriptBox["|", 
      RowBox[{
       RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", "b"}]], 
     RowBox[{"P", "[", "i", "]"}]}], 
    "\[RightAngleBracket]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1717928685}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644732455604106*^9, 3.644732463565797*^9}},
 CellTags->{
  "ID:1717928685", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1717928685],

Cell[BoxData[
 RowBox[{"isTuple", "[", "S", "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple TupleOf II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:218966905", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633166361269611*^9, 3.633166415633235*^9}, 
   3.633166508889159*^9, {3.633166709126871*^9, 3.633166714930806*^9}, {
   3.633166826315091*^9, 3.63316683307067*^9}, 3.6446367728484783`*^9, {
   3.6447324608354053`*^9, 3.644732461279258*^9}},
 CellTags->{
  "ID:218966905", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple TupleOf II", "IR"},
 CellID->218966905],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"S", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", "b"}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"\[Not]", 
      RowBox[{"P", "[", "i", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf empty III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2124778583", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644827051850439*^9, 3.6448270737316732`*^9}},
 CellTags->{
  "ID:2124778583", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf empty III", "IR"},
 CellID->2124778583],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "c"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"c", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], "S"}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox["\[Exists]", 
        RowBox[{
         RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", "b"}]], 
       RowBox[{"P", "[", "i", "]"}]], 
      RowBox[{"c", "\[Equal]", 
       RowBox[{"f", "[", "i", "]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E TupleOf II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2096232905", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6446375903150187`*^9, 3.6446375997552433`*^9}, 
   3.644732466112352*^9},
 CellTags->{
  "ID:2096232905", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E TupleOf II", "IR"},
 CellID->2096232905],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
    RowBox[{"Q", "[", 
     SubscriptBox["S", "j"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     UnderscriptBox["\[ForAll]", 
      RowBox[{
       RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", "b"}]], 
     RowBox[{"P", "[", "i", "]"}]], 
    RowBox[{"Q", "[", 
     RowBox[{"f", "[", "i", "]"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf P II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:317090069", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{
  3.6447324364777727`*^9, {3.644732471196801*^9, 3.644732472524729*^9}, {
   3.644732536342476*^9, 3.6447325377797422`*^9}},
 CellTags->{
  "ID:317090069", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P II", "IR"},
 CellID->317090069],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"T", "=", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"f", "[", "i", "]"}], 
     UnderscriptBox["|", 
      RowBox[{
       RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", "b"}]]}], 
    "\[RightAngleBracket]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1886070472}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644638534382997*^9, 3.6446385408158484`*^9}},
 CellTags->{
  "ID:1886070472", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1886070472],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{"\[Piecewise]", GridBox[{
     {
      RowBox[{"b", "-", 
       RowBox[{"(", 
        RowBox[{"a", "-", "1"}], ")"}]}], "\[DoubleLeftArrow]", 
      RowBox[{"b", "\[GreaterEqual]", "a"}]},
     {"0", "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length TupleOf II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:251468957", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633166516917049*^9, 3.6331665365782537`*^9}, {
  3.633171487925786*^9, 3.6331714934563847`*^9}, {3.6445795390921392`*^9, 
  3.644579569135879*^9}, {3.644579640655707*^9, 3.64457966027842*^9}, {
  3.6446384207973843`*^9, 3.644638421429104*^9}, {3.644638513378934*^9, 
  3.6446385565146103`*^9}, {3.644639096158145*^9, 3.644639099843766*^9}},
 CellTags->{
  "ID:251468957", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length TupleOf II", "IR"},
 CellID->251468957],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    SubscriptBox["T", "j"], "\[Equal]", 
    RowBox[{"f", "[", 
     RowBox[{"j", "+", 
      RowBox[{"(", 
       RowBox[{"a", "-", "1"}], ")"}]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(index TupleOf II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1168033220", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6331665678017893`*^9, 3.633166582169018*^9}, {
  3.633166633566834*^9, 3.633166667680243*^9}, {3.644579496845108*^9, 
  3.644579499045619*^9}, {3.6446390672488327`*^9, 3.644639067917657*^9}},
 CellTags->{
  "ID:1168033220", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index TupleOf II", "IR"},
 CellID->1168033220],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["T", "j"], ",", 
      SubscriptBox["T", 
       RowBox[{"j", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"b", "-", "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      RowBox[{"f", "[", "i", "]"}], ",", 
      RowBox[{"f", "[", 
       RowBox[{"i", "+", "1"}], "]"}]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf P binary II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:894739369", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644736751922068*^9, 3.644736800469068*^9}, {
  3.644736852929496*^9, 3.6447368846407003`*^9}},
 CellTags->{
  "ID:894739369", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P binary II", "IR"},
 CellID->894739369],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", "U", "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 502002218}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644637956952158*^9, 3.644637961521706*^9}, 
   3.644732484786776*^9},
 CellTags->{
  "ID:502002218", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->502002218],

Cell[BoxData[
 RowBox[{"isTuple", "[", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{"f", "[", "i", "]"}], 
    UnderscriptBox["|", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
    RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], 
  "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isTuple TupleOf III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2071594661", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644637881618485*^9, 3.6446378885042*^9}, 
   3.644732487584373*^9},
 CellTags->{
  "ID:2071594661", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple TupleOf III", "IR"},
 CellID->2071594661],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "c"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"c", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"f", "[", "i", "]"}], 
        UnderscriptBox["|", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
          RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
        RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox["\[Exists]", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
         RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
       RowBox[{"P", "[", "i", "]"}]], 
      RowBox[{"c", "\[Equal]", 
       RowBox[{"f", "[", "i", "]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(E TupleOf III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:520380078", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.642927378481675*^9, 3.642927427888447*^9}, {
   3.642927473581724*^9, 3.6429274932311583`*^9}, {3.644637100195372*^9, 
   3.6446371023703814`*^9}, 3.644637132611403*^9, {3.644637189497476*^9, 
   3.644637196613859*^9}, {3.644637529518457*^9, 3.6446375408104067`*^9}, {
   3.6447324910514593`*^9, 3.644732493973884*^9}},
 CellTags->{
  "ID:520380078", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E TupleOf III", "IR"},
 CellID->520380078],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{"f", "[", "i", "]"}], 
         UnderscriptBox["|", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
           RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
         RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], 
       "\[RightBracketingBar]"}]}]], 
    RowBox[{"Q", "[", 
     SubscriptBox[
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"f", "[", "i", "]"}], 
        UnderscriptBox["|", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
          RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
        RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], "j"], 
     "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     UnderscriptBox["\[ForAll]", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
       RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
     RowBox[{"P", "[", "i", "]"}]], 
    RowBox[{"Q", "[", 
     RowBox[{"f", "[", "i", "]"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf P III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:408639765", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644740393568828*^9, 3.64474043173123*^9}},
 CellTags->{
  "ID:408639765", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P III", "IR"},
 CellID->408639765],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"W", "=", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"f", "[", "i", "]"}], 
     UnderscriptBox["|", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
       RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]]}], 
    "\[RightAngleBracket]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 201585227}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448272132765512`*^9, 3.6448272223388968`*^9}},
 CellTags->{
  "ID:201585227", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->201585227],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftBracketingBar]", "W", "\[RightBracketingBar]"}], "\[Equal]", 
  RowBox[{
  "\[LeftBracketingBar]", "U", 
   "\[RightBracketingBar]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(length TupleOf III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:881212292", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.636367499419507*^9, 3.636367527885779*^9}, {
   3.642927463080563*^9, 3.642927464471589*^9}, {3.6447324965524073`*^9, 
   3.644732499022737*^9}, 3.644827226809909*^9},
 CellTags->{
  "ID:881212292", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length TupleOf III", "IR"},
 CellID->881212292],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "g"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"W", "\[Equal]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"g", "[", "i", "]"}], 
        UnderscriptBox["|", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
          RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]]}],
        "\[RightAngleBracket]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}]}]], 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"f", "[", "i", "]"}], "\[Equal]", 
        RowBox[{"g", "[", "i", "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf=III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:23356384", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656391668304658*^9, 3.656391712671136*^9}},
 CellTags->{
  "ID:23356384", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf=III", "IR"},
 CellID->23356384],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"W", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"U", "\[Equal]", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf empty IV)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1085673759", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644826910488462*^9, 3.644826954959702*^9}, 
   3.6448272291390247`*^9},
 CellTags->{
  "ID:1085673759", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf empty IV", "IR"},
 CellID->1085673759],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "W", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      SubscriptBox["W", "j"], ",", 
      SubscriptBox["W", 
       RowBox[{"j", "+", "1"}]]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}], "-", 
       "1"}]}]], 
    RowBox[{"P", "[", 
     RowBox[{
      RowBox[{"f", "[", "i", "]"}], ",", 
      RowBox[{"f", "[", 
       RowBox[{"i", "+", "1"}], "]"}]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf P binary III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1965128634", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644740461625986*^9, 3.644740507352737*^9}, {
  3.644827232250187*^9, 3.644827236390334*^9}},
 CellTags->{
  "ID:1965128634", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P binary III", "IR"},
 CellID->1965128634],

Cell[BoxData[
 RowBox[{
  RowBox[{"W", "\[NotEqual]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
  "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 534711775}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644827169989212*^9, 3.644827179466673*^9}, 
   3.644827239823793*^9},
 CellTags->{
  "ID:534711775", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->534711775],

Cell[BoxData[
 RowBox[{
  SubscriptBox["W", "1"], "\[Equal]", 
  RowBox[{"f", "[", "1", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(first TupleOf III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1006778759", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6448271832449703`*^9, 3.6448271928246183`*^9}, 
   3.644827241962631*^9, 3.644827787186384*^9},
 CellTags->{
  "ID:1006778759", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first TupleOf III", "IR"},
 CellID->1006778759],

Cell[BoxData[
 RowBox[{
  SubscriptBox["W", 
   RowBox[{"\[LeftBracketingBar]", "W", "\[RightBracketingBar]"}]], 
  "\[Equal]", 
  RowBox[{"f", "[", 
   RowBox[{"\[LeftBracketingBar]", "U", "\[RightBracketingBar]"}], 
   "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(last TupleOf III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:283251415", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644827201064231*^9, 3.644827204853701*^9}, {
  3.644827243849352*^9, 3.644827249451519*^9}, {3.644827790361637*^9, 
  3.64482779370909*^9}},
 CellTags->{
  "ID:283251415", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last TupleOf III", "IR"},
 CellID->283251415],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->948920546]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1751897787],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple TupleOf II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple TupleOf II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "]"}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "]"}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:218966905"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p218966905-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p218966905-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:218966905", "Proof|ID:218966905-1"},
 CellID->1210032788],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p218966905-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2013510347]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf empty III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf empty III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                    ",", 
                   StyleBox["b", "ExpressionVariable"]}]}}]], 
             RowBox[{"\[Not]", 
               RowBox[{
                 TagBox["(", "AutoParentheses"], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 TagBox[
                 ")", "AutoParentheses"]}]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                    ",", 
                   StyleBox["b", "ExpressionVariable"]}]}}]], 
             RowBox[{"\[Not]", 
               RowBox[{
                 TagBox["(", "AutoParentheses"], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 TagBox[
                 ")", "AutoParentheses"]}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2124778583"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2124778583-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2124778583-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2124778583", "Proof|ID:2124778583-1"},
 CellID->1645016545],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2124778583-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1172329439]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E TupleOf II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E TupleOf II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             StyleBox["c", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["c", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["c", "ExpressionVariable"], "\[Equal]", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             StyleBox["c", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["c", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["c", "ExpressionVariable"], "\[Equal]", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2096232905"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2096232905-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2096232905-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2096232905", "Proof|ID:2096232905-1"},
 CellID->2093517487],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2096232905-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1079050624]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf P II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf P II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             StyleBox["Q", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["Q", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["j", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["Q", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             StyleBox["Q", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["Q", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["j", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["Q", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:317090069"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p317090069-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p317090069-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:317090069", "Proof|ID:317090069-1"},
 CellID->2045739047],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p317090069-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->848146739]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length TupleOf II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length TupleOf II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "-", 
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}], ")"}]}], 
                "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                  StyleBox["a", "ExpressionVariable"]}]}, {
               "0", "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{"\[Piecewise]", 
             GridBox[{{
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "-", 
                  RowBox[{"(", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], "-", "1"}], ")"}]}], 
                "\[DoubleLeftArrow]", 
                RowBox[{
                  StyleBox["b", "ExpressionVariable"], "\[GreaterEqual]", 
                  StyleBox["a", "ExpressionVariable"]}]}, {
               "0", "\[DoubleLeftArrow]", 
                "True"}}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:251468957"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p251468957-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p251468957-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:251468957", "Proof|ID:251468957-1"},
 CellID->1350232031],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p251468957-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->648675487]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(index TupleOf II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(index TupleOf II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               RowBox[{
                 StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 RowBox[{"\[LeftAngleBracket]", 
                   RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
                   "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}], 
                UnderscriptBox["|", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
              "\[RightAngleBracket]"}], 
            StyleBox["j", "ExpressionVariable"]], "\[Equal]", 
           RowBox[{
             StyleBox["f", "ExpressionVariable"], "[", 
             RowBox[{
               StyleBox["j", "ExpressionVariable"], "+", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               RowBox[{
                 StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 RowBox[{"\[LeftAngleBracket]", 
                   RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
                   "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           SubscriptBox[
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                RowBox[{
                  StyleBox["f", "ExpressionVariable"], "[", 
                  StyleBox["i", "ExpressionVariable"], "]"}], 
                UnderscriptBox["|", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
              "\[RightAngleBracket]"}], 
            StyleBox["j", "ExpressionVariable"]], "\[Equal]", 
           RowBox[{
             StyleBox["f", "ExpressionVariable"], "[", 
             RowBox[{
               StyleBox["j", "ExpressionVariable"], "+", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "-", "1"}]}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1168033220"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1168033220-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1168033220-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1168033220", "Proof|ID:1168033220-1"},
 CellID->1568740038],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1168033220-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->630430316]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf P binary II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf P binary II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "-", 
                    "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                    ",", 
                   RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], ",", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], "]"}]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "-", 
                    "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                    ",", 
                   RowBox[{
                    StyleBox["b", "ExpressionVariable"], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], ",", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], "]"}]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:894739369"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p894739369-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p894739369-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:894739369", "Proof|ID:894739369-1"},
 CellID->1033891420],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p894739369-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->1753611981]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isTuple TupleOf III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isTuple TupleOf III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "]"}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isTuple", "[", 
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "\[RightAngleBracket]"}], "]"}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2071594661"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2071594661-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2071594661-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2071594661", "Proof|ID:2071594661-1"},
 CellID->1282426654],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2071594661-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2059153055]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(E TupleOf III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(E TupleOf III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["c", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["c", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["c", "ExpressionVariable"], "\[Equal]", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["c", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["c", "ExpressionVariable"], "\:22ff", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["c", "ExpressionVariable"], "\[Equal]", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:520380078"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p520380078-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p520380078-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:520380078", "Proof|ID:520380078-1"},
 CellID->1534939845],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p520380078-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1372691205]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf P III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf P III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             StyleBox["Q", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["Q", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["j", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["Q", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             StyleBox["Q", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["Q", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["j", "ExpressionVariable"]], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
              RowBox[{
                StyleBox["P", "ExpressionVariable"], "[", 
                StyleBox["i", "ExpressionVariable"], "]"}]], 
             RowBox[{
               StyleBox["Q", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:408639765"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p408639765-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p408639765-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:408639765", "Proof|ID:408639765-1"},
 CellID->1122414248],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p408639765-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1717731348]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(length TupleOf III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(length TupleOf III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["S", "ExpressionVariable"], 
             "\[RightBracketingBar]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftBracketingBar]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], 
           "\[Equal]", 
           RowBox[{"\[LeftBracketingBar]", 
             StyleBox["S", "ExpressionVariable"], 
             "\[RightBracketingBar]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:881212292"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p881212292-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p881212292-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:881212292", "Proof|ID:881212292-1"},
 CellID->1087255417],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p881212292-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1126795542]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf=III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf=III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}, {
             StyleBox["g", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["g", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], "\[Equal]", 
               RowBox[{
                 StyleBox["g", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}, {
             StyleBox["g", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["g", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}]}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], "\[Equal]", 
               RowBox[{
                 StyleBox["g", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:23356384"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p23356384-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p23356384-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:23356384", "Proof|ID:23356384-1"},
 CellID->633253562],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p23356384-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1917854]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf empty IV,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf empty IV,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["U", "ExpressionVariable"], "\[Equal]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["U", "ExpressionVariable"], "\[Equal]", 
             
             RowBox[{"\[LeftAngleBracket]", 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1085673759"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1085673759-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1085673759-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1085673759", "Proof|ID:1085673759-1"},
 CellID->2046671601],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1085673759-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1381920972]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf P binary III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf P binary III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "-", 
                    "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], ",", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], "]"}]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}], "-", 
                    "1"}]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["j", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "+", "1"}]]}], 
                 "]"}]}], ")"}], "\[DoubleLeftRightArrow]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], ",", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "+", "1"}], "]"}]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1965128634"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1965128634-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1965128634-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1965128634", "Proof|ID:1965128634-1"},
 CellID->1957388566],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1965128634-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->399377454]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(first TupleOf III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(first TupleOf III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                "\[RightAngleBracket]"}], "1"], "\[Equal]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", "1", 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                "\[RightAngleBracket]"}], "1"], "\[Equal]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", "1", 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1006778759"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1006778759-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1006778759-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1006778759", "Proof|ID:1006778759-1"},
 CellID->538163754],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1006778759-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->155118048]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(last TupleOf III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(last TupleOf III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                "\[RightAngleBracket]"}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                  "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]], 
             "\[Equal]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["U", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["U", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             SubscriptBox[
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                  UnderscriptBox["|", 
                   GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                "\[RightAngleBracket]"}], 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["U", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                  "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]], 
             "\[Equal]", 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["U", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:283251415"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p283251415-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p283251415-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:283251415", "Proof|ID:283251415-1"},
 CellID->208449576],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p283251415-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1095065516]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1262406246],

Cell[CellGroupData[{

Cell["Lemma: Tuple Quantifier and Join", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.64533622364923*^9, 3.645336228655006*^9}},
 CellID->1635070490],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "f"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1263200977}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6453362392566557`*^9, 3.6453362417677593`*^9}},
 CellTags->{
  "ID:1263200977", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1263200977],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", 
   RowBox[{"T1", ",", "T2", ",", "S1", ",", "S2"}], 
   "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1482990827}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645336244543187*^9, 3.645336252166877*^9}},
 CellTags->{
  "ID:1482990827", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1482990827],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{"f", "[", 
     SubscriptBox[
      RowBox[{"(", 
       RowBox[{"T1", 
        TagBox["\:22c8",
         Identity,
         SyntaxForm->"a*b"], "T2"}], ")"}], "i"], "]"}], 
    UnderscriptBox["|", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"T1", 
        TagBox["\:22c8",
         Identity,
         SyntaxForm->"a*b"], "T2"}], "\[RightBracketingBar]"}]}]]}], 
   "\[RightAngleBracket]"}], "\[Equal]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"f", "[", 
       SubscriptBox["T1", "i"], "]"}], 
      UnderscriptBox["|", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T1", "\[RightBracketingBar]"}]}]]}], 
     "\[RightAngleBracket]"}], 
    TagBox["\:22c8",
     Identity,
     SyntaxForm->"a*b"], 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"f", "[", 
       SubscriptBox["T2", "i"], "]"}], 
      UnderscriptBox["|", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T2", "\[RightBracketingBar]"}]}]]}], 
     "\[RightAngleBracket]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:288335744", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645336256103726*^9, 3.645336374887577*^9}},
 CellTags->{
  "ID:288335744", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf join", "IR"},
 CellID->288335744],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", "T1", "\[RightBracketingBar]"}], 
     "\[Equal]", 
     RowBox[{"\[LeftBracketingBar]", "S1", "\[RightBracketingBar]"}]}], 
    "\[And]", 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", "T2", "\[RightBracketingBar]"}], 
     "\[Equal]", 
     RowBox[{"\[LeftBracketingBar]", "S2", "\[RightBracketingBar]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{
       SubscriptBox[
        RowBox[{"(", 
         RowBox[{"T1", 
          TagBox["\:22c8",
           Identity,
           SyntaxForm->"a*b"], "T2"}], ")"}], "i"], ",", 
       SubscriptBox[
        RowBox[{"(", 
         RowBox[{"S1", 
          TagBox["\:22c8",
           Identity,
           SyntaxForm->"a*b"], "S2"}], ")"}], "i"]}], "]"}], 
     UnderscriptBox["|", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"S1", 
         TagBox["\:22c8",
          Identity,
          SyntaxForm->"a*b"], "S2"}], "\[RightBracketingBar]"}]}]]}], 
    "\[RightAngleBracket]"}], "\[Equal]", 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         SubscriptBox["T1", "i"], ",", 
         SubscriptBox["S1", "i"]}], "]"}], 
       UnderscriptBox["|", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
         RowBox[{"\[LeftBracketingBar]", "S1", "\[RightBracketingBar]"}]}]]}],
       "\[RightAngleBracket]"}], 
     TagBox["\:22c8",
      Identity,
      SyntaxForm->"a*b"], 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         SubscriptBox["T2", "i"], ",", 
         SubscriptBox["S2", "i"]}], "]"}], 
       UnderscriptBox["|", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
         RowBox[{"\[LeftBracketingBar]", "S2", "\[RightBracketingBar]"}]}]]}],
       "\[RightAngleBracket]"}]}], 
    TagBox[")",
     "AutoParentheses"]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleOf join 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1725599731", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6453363906434927`*^9, 3.645336455576269*^9}},
 CellTags->{
  "ID:1725599731", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf join 2"},
 CellID->1725599731],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->281141794]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1164344103],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf join 2)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf join 2)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T1", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T2", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S1", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S2", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T1", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S1", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T2", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S2", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["T2", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["S1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S2", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["S1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S2", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T1", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S1", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}], 
                   UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S1", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                 "\[RightAngleBracket]"}], "\:22c8", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T2", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S2", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}], 
                   UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S2", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], $CellContext`TheoremaForm],
       DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T1", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T2", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S1", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S2", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T1", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S1", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}], "\[And]", 
             RowBox[{
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T2", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}], "\[Equal]", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S2", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}], "\[Implies]", 
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    RowBox[{
                    StyleBox["T1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["T2", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    RowBox[{
                    StyleBox["S1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S2", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["S1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S2", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\[Equal]", 
             RowBox[{
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T1", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S1", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}], 
                   UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S1", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                 "\[RightAngleBracket]"}], "\:22c8", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    RowBox[{
                    SubscriptBox[
                    StyleBox["T2", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S2", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}], 
                   UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S2", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                 "\[RightAngleBracket]"}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1725599731"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1725599731-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1725599731-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1725599731", "Proof|ID:1725599731-1"},
 CellID->594883306],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1725599731-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->2100993584]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleOf join,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleOf join,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T1", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T2", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["T2", "ExpressionVariable"]}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["T2", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T1", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T1", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\:22c8", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T2", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T2", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T1", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T2", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["T2", "ExpressionVariable"]}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T1", "ExpressionVariable"], "\:22c8", 
                    StyleBox["T2", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
             "\[RightAngleBracket]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T1", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T1", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}], "\:22c8", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T2", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T2", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
               "\[RightAngleBracket]"}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:288335744"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p288335744-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p288335744-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:288335744", "Proof|ID:288335744-1"},
 CellID->326369969],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p288335744-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->406809379]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Sums over Tuples (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.645261149551412*^9, 3.645261155173963*^9}, {
   3.6453324206572247`*^9, 3.645332424239374*^9}, 3.655458312812929*^9},
 CellID->113133099],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"\[ScriptCapitalD]", ",", "f"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 943582632}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6452611630939417`*^9, 3.6452611649547853`*^9}, {
  3.645261271135625*^9, 3.6452612712480907`*^9}},
 CellTags->{
  "ID:943582632", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->943582632],

Cell["", "OpenEnvironment",
 CellID->1161316428],

Cell[CellGroupData[{

Cell["Lemma: Sums and Append/Most", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.645261289256628*^9, 3.645261311503734*^9}, {
  3.645261516227847*^9, 3.645261529431985*^9}},
 CellID->887798559],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{"isTuple", "[", 
    RowBox[{"T", ",", "S"}], "]"}], ",", "a", ",", 
   "b"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1766309993}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6452613175588818`*^9, 3.6452613288119698`*^9}, {
  3.645346376164475*^9, 3.645346380749077*^9}},
 CellTags->{
  "ID:1766309993", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1766309993],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"T", 
        TagBox["\:293a",
         Identity,
         SyntaxForm->"a*b"], "a"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{"f", "[", 
     SubscriptBox[
      RowBox[{"(", 
       RowBox[{"T", 
        TagBox["\:293a",
         Identity,
         SyntaxForm->"a*b"], "a"}], ")"}], "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     UnderscriptBox[
      SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
     RowBox[{"f", "[", 
      SubscriptBox["T", "i"], "]"}]}], 
    TagBox[")",
     "AutoParentheses"]}], 
   UnderscriptBox["+", "\[ScriptCapitalD]"], 
   RowBox[{"f", "[", "a", "]"}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(sum append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:176463151", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645261334113819*^9, 3.645261400397809*^9}},
 CellTags->{
  "ID:176463151", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum append", "IR"},
 CellID->176463151],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "\[Equal]", 
   RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}], 
  "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", 
         RowBox[{"S", 
          TagBox["\:293a",
           Identity,
           SyntaxForm->"a*b"], "b"}], "\[RightBracketingBar]"}]}]], 
      RowBox[{"f", "[", 
       RowBox[{
        SubscriptBox[
         RowBox[{"(", 
          RowBox[{"T", 
           TagBox["\:293a",
            Identity,
            SyntaxForm->"a*b"], "a"}], ")"}], "i"], ",", 
        SubscriptBox[
         RowBox[{"(", 
          RowBox[{"S", 
           TagBox["\:293a",
            Identity,
            SyntaxForm->"a*b"], "b"}], ")"}], "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      RowBox[{
       UnderscriptBox[
        SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
         RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
       RowBox[{"f", "[", 
        RowBox[{
         SubscriptBox["T", "i"], ",", 
         SubscriptBox["S", "i"]}], "]"}]}], 
      TagBox[")",
       "AutoParentheses"]}], 
     UnderscriptBox["+", "\[ScriptCapitalD]"], 
     RowBox[{"f", "[", 
      RowBox[{"a", ",", "b"}], "]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(sum append 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:803576507", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645346388850258*^9, 3.645346444872066*^9}, {
  3.6453464878891573`*^9, 3.645346495661442*^9}, {3.645354365751734*^9, 
  3.645354367705159*^9}},
 CellTags->{
  "ID:803576507", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum append 2"},
 CellID->803576507],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "\[NotEqual]", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", 
         RowBox[{"Most", "[", "T", "]"}], "\[RightBracketingBar]"}]}]], 
      RowBox[{"f", "[", 
       SubscriptBox[
        RowBox[{"Most", "[", "T", "]"}], "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "-", 
         "1"}]}]], 
      RowBox[{"f", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(sum most)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1626050428", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645261411476842*^9, 3.64526148035981*^9}},
 CellTags->{
  "ID:1626050428", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum most", "IR"},
 CellID->1626050428],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1504661129]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->201097559],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(sum append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(sum append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:293a", 
                  StyleBox["a", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], 
             UnderscriptBox["+", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               StyleBox["a", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:293a", 
                  StyleBox["a", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], 
             UnderscriptBox["+", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               StyleBox["a", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:176463151"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p176463151-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p176463151-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:176463151", "Proof|ID:176463151-1"},
 CellID->132409156],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p176463151-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellChangeTimes->{{3.645346616544611*^9, 3.645346620320387*^9}},
 CellID->275070239]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(sum append 2)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(sum append 2)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["S", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], 
             "\[Equal]", 
             RowBox[{
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], 
               UnderscriptBox["+", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox["b", "ExpressionVariable"]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}, {
             StyleBox["b", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["S", "ExpressionVariable"], 
               "\[RightBracketingBar]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 RowBox[{
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["b", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], 
             "\[Equal]", 
             RowBox[{
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   RowBox[{
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], ",", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], "]"}]}], 
               UnderscriptBox["+", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox["b", "ExpressionVariable"]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:803576507"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p803576507-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p803576507-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:803576507", "Proof|ID:803576507-1"},
 CellID->625973727],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p803576507-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->285408563]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(sum most,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(sum most,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
             RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
           "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1626050428"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1626050428-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1626050428-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1626050428", "Proof|ID:1626050428-1"},
 CellID->590281017],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1626050428-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1940382847]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->2107783006],

Cell[CellGroupData[{

Cell["Lemma: Sums and Tuple Quantifiers", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.645261652900379*^9, 3.6452616644752493`*^9}, {
  3.645261710844718*^9, 3.645261712284515*^9}},
 CellID->281085091],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "g"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 15531077}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{3.6452619182624683`*^9},
 CellTags->{
  "ID:15531077", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->15531077],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"a", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
           RowBox[{"g", "[", "i", "]"}], 
           UnderscriptBox["|", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "a"}]]}], 
          "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]], 
      RowBox[{"f", "[", 
       SubscriptBox[
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{
          RowBox[{"g", "[", "i", "]"}], 
          UnderscriptBox["|", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "a"}]]}], 
         "\[RightAngleBracket]"}], "j"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "a"}]], 
      RowBox[{"f", "[", 
       RowBox[{"g", "[", "i", "]"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(sum TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:883103966", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633170246748083*^9, 3.633170324252598*^9}, {
   3.633170446293398*^9, 3.633170449354699*^9}, {3.6368680593170958`*^9, 
   3.6368681145918283`*^9}, {3.641633450271679*^9, 3.6416334537796717`*^9}, 
   3.641633489489472*^9, {3.641705590905054*^9, 3.641705635212133*^9}, {
   3.645261908978104*^9, 3.645261964359036*^9}, {3.645262034639184*^9, 
   3.645262052180296*^9}},
 CellTags->{
  "ID:883103966", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum TupleOf", "IR"},
 CellID->883103966],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"isTuple", "[", "S", "]"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 618251189}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6452620089337473`*^9, 3.645262012553445*^9}},
 CellTags->{
  "ID:618251189", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->618251189],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"T", "=", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"g", "[", "i", "]"}], 
     UnderscriptBox["|", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
       RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]]}], 
    "\[RightAngleBracket]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1893863329}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645262090761498*^9, 3.6452620979978657`*^9}},
 CellTags->{
  "ID:1893863329", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1893863329],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
    RowBox[{"f", "[", 
     SubscriptBox["T", "j"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
    RowBox[{"f", "[", 
     RowBox[{"g", "[", "i", "]"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(sum TupleOf unary)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1650642628", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645262065101658*^9, 3.6452621010606413`*^9}},
 CellTags->{
  "ID:1650642628", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum TupleOf unary", "IR"},
 CellID->1650642628],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
     RowBox[{
      RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
    RowBox[{"f", "[", 
     RowBox[{
      SubscriptBox["T", "j"], ",", 
      SubscriptBox["S", "j"]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{"g", "[", "i", "]"}], ",", 
      SubscriptBox["S", "i"]}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(sum TupleOf 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:829035443", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645262112554846*^9, 3.645262158014669*^9}},
 CellTags->{
  "ID:829035443", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum TupleOf 2"},
 CellID->829035443],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->184378737]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->75080525],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(sum TupleOf,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(sum TupleOf,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["g", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]}}]]}], 
                  "\[RightAngleBracket]"}], 
                StyleBox["j", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["a", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["g", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["g", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["a", "ExpressionVariable"]}]}}]]}], 
                  "\[RightAngleBracket]"}], 
                StyleBox["j", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["a", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["g", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:883103966"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p883103966-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p883103966-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:883103966", "Proof|ID:883103966-1"},
 CellID->212314621],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p883103966-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->392752416]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(sum TupleOf unary,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(sum TupleOf unary,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["g", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                  "\[RightAngleBracket]"}], 
                StyleBox["j", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["g", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["g", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                  "\[RightAngleBracket]"}], 
                StyleBox["j", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{
                 StyleBox["g", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1650642628"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1650642628-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1650642628-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1650642628", "Proof|ID:1650642628-1"},
 CellID->1061412339],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1650642628-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1427862374]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(sum TupleOf 2)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(sum TupleOf 2)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["g", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["j", "ExpressionVariable"]], ",", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["j", "ExpressionVariable"]]}], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{
                   StyleBox["g", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], ",", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["g", "ExpressionVariable"]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    StyleBox["g", "ExpressionVariable"], "[", 
                    StyleBox["i", "ExpressionVariable"], "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["j", "ExpressionVariable"]], ",", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["j", "ExpressionVariable"]]}], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{
                   StyleBox["g", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], ",", 
                 SubscriptBox[
                  StyleBox["S", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]]}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:829035443"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p829035443-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p829035443-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:829035443", "Proof|ID:829035443-1"},
 CellID->1989271199],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p829035443-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1731255458]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Tuple-Induction (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.6453324404787207`*^9, 3.645332443736004*^9}, {
   3.645333125348343*^9, 3.64533312955054*^9}, {3.646559101566833*^9, 
   3.6465591025364027`*^9}, 3.655458318428939*^9},
 CellID->1678242149],

Cell["", "OpenEnvironment",
 CellID->1958794431],

Cell[CellGroupData[{

Cell["Lemma: Induction on Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6453324617570143`*^9, 3.6453324711490927`*^9}},
 CellID->51408772],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "P"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1347349396}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647835504227992*^9, 3.647835505210012*^9}},
 CellTags->{
  "ID:1347349396", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1347349396],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"n", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"P", "[", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], 
      "\[And]", 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        UnderscriptBox[
         UnderscriptBox["\[ForAll]", 
          RowBox[{"isTuple", "[", "T", "]"}]], 
         RowBox[{"n", "\[GreaterEqual]", 
          RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
        RowBox[{
         TagBox["(",
          "AutoParentheses"], 
         RowBox[{
          RowBox[{
           TagBox["(",
            "AutoParentheses"], 
           RowBox[{
            UnderscriptBox[
             UnderscriptBox["\[ForAll]", 
              RowBox[{"isTuple", "[", "S", "]"}]], 
             RowBox[{
              RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], 
              "\[Equal]", 
              RowBox[{
               RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}],
                "-", "1"}]}]], 
            RowBox[{"P", "[", "S", "]"}]}], 
           TagBox[")",
            "AutoParentheses"]}], "\[Implies]", 
          RowBox[{"P", "[", "T", "]"}]}], 
         TagBox[")",
          "AutoParentheses"]}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox["\[ForAll]", 
        RowBox[{"isTuple", "[", "T", "]"}]], 
       RowBox[{"n", "\[GreaterEqual]", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", "T", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction tuples ind)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:676444026", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645332450790297*^9, 3.645332482770397*^9}, 
   3.647835508175743*^9},
 CellTags->{
  "ID:676444026", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples ind"},
 CellID->676444026],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"isTuple", "[", "T", "]"}], ",", "a"}]], 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"P", "[", "T", "]"}], "\[Implies]", 
        RowBox[{"P", "[", 
         RowBox[{"T", 
          TagBox["\:293a",
           Identity,
           SyntaxForm->"a*b"], "a"}], "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{"isTuple", "[", "T", "]"}]], 
    RowBox[{"P", "[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction tuples append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1530142946", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647835511749083*^9, 3.647835570667354*^9}},
 CellTags->{
  "ID:1530142946", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples append", "IR"},
 CellID->1530142946],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"isTuple", "[", "T", "]"}], ",", "a"}]], 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"P", "[", "T", "]"}], "\[Implies]", 
        RowBox[{"P", "[", 
         RowBox[{"a", 
          TagBox["\:293b",
           Identity,
           SyntaxForm->"a*b"], "T"}], "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{"isTuple", "[", "T", "]"}]], 
    RowBox[{"P", "[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction tuples prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1549052502", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647835614144031*^9, 3.647835620778932*^9}},
 CellTags->{
  "ID:1549052502", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples prepend", "IR"},
 CellID->1549052502],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox["\[ForAll]", 
        RowBox[{"isTuple", "[", "T", "]"}]], 
       RowBox[{"T", "\[NotEqual]", 
        RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"P", "[", 
         RowBox[{"Most", "[", "T", "]"}], "]"}], "\[Implies]", 
        RowBox[{"P", "[", "T", "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{"isTuple", "[", "T", "]"}]], 
    RowBox[{"P", "[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction tuples most)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:734563828", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647835809626965*^9, 3.647835812032373*^9}},
 CellTags->{
  "ID:734563828", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples most", "IR"},
 CellID->734563828],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox["\[ForAll]", 
        RowBox[{"isTuple", "[", "T", "]"}]], 
       RowBox[{"T", "\[NotEqual]", 
        RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"P", "[", 
         RowBox[{"Rest", "[", "T", "]"}], "]"}], "\[Implies]", 
        RowBox[{"P", "[", "T", "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{"isTuple", "[", "T", "]"}]], 
    RowBox[{"P", "[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction tuples rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:972583102", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647835765313588*^9, 3.6478357852052717`*^9}},
 CellTags->{
  "ID:972583102", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples rest", "IR"},
 CellID->972583102],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", "a"], 
      RowBox[{"P", "[", 
       RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox["\[ForAll]", 
        RowBox[{"isTuple", "[", "T", "]"}]], 
       RowBox[{
        RowBox[{"T", "\[NotEqual]", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "\[And]", 
        RowBox[{
         RowBox[{"Rest", "[", "T", "]"}], "\[NotEqual]", 
         RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]], 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"P", "[", 
         RowBox[{"Rest", "[", "T", "]"}], "]"}], "\[Implies]", 
        RowBox[{"P", "[", "T", "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{"isTuple", "[", "T", "]"}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"T", "\[NotEqual]", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
      "\[Implies]", 
      RowBox[{"P", "[", "T", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction tuples non-empty rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:659908364", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647842920021998*^9, 3.647843008785276*^9}},
 CellTags->{
  "ID:659908364", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples non-empty rest", "IR"},
 CellID->659908364],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{"t", ",", 
        RowBox[{"t", "..."}]}]], 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"P", "[", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "]"}], "\[Implies]", 
        RowBox[{"P", "[", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{"t", ",", 
           RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "]"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{"isTuple", "[", "T", "]"}]], 
    RowBox[{"P", "[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction tuples rest seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:14041309", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655625351031153*^9, 3.655625366880781*^9}},
 CellTags->{
  "ID:14041309", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples rest seq", "IR"},
 CellID->14041309],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->203045778]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1028817249],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction tuples ind)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction tuples ind)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["n", "ExpressionVariable"], "\[GreaterEqual]", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]], 
               RowBox[{
                 RowBox[{
                   UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                StyleBox["n", "ExpressionVariable"], "\[GreaterEqual]", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["n", "ExpressionVariable"], "\[GreaterEqual]", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]], 
               RowBox[{
                 RowBox[{
                   UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                StyleBox["n", "ExpressionVariable"], "\[GreaterEqual]", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:676444026"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p676444026-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p676444026-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:676444026", "Proof|ID:676444026-1"},
 CellID->16203276],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p676444026-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellChangeTimes->{3.645333561204668*^9},
 CellID->217755610]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction tuples append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction tuples append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                   StyleBox["a", "ExpressionVariable"]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                   StyleBox["a", "ExpressionVariable"]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1530142946"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1530142946-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1530142946-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1530142946", "Proof|ID:1530142946-1"},
 CellID->1877222525],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1530142946-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellChangeTimes->{3.647838450673641*^9},
 CellID->812914996]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction tuples prepend,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction tuples prepend,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                   StyleBox["a", "ExpressionVariable"]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                   StyleBox["a", "ExpressionVariable"]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["a", "ExpressionVariable"], "\:293b", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1549052502"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1549052502-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1549052502-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1549052502", "Proof|ID:1549052502-1"},
 CellID->214036559],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1549052502-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->298847290]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction tuples most,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction tuples most,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"Most", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:734563828"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p734563828-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p734563828-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:734563828", "Proof|ID:734563828-1"},
 CellID->581338885],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p734563828-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->302403721]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction tuples rest,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction tuples rest,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                  RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:972583102"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p972583102-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p972583102-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:972583102", "Proof|ID:972583102-1"},
 CellID->1684007437],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p972583102-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1927755982]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction tuples non-empty rest,[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction tuples non-empty rest,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"]}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox["a", "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                   "\[And]", 
                  RowBox[{
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
               "\[Implies]", 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["T", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["a", "ExpressionVariable"]}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox["a", "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}]}], "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                   "\[And]", 
                  RowBox[{
                    RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[NotEqual]", 
                    
                    RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"Rest", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "]"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
               "\[Implies]", 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["T", "ExpressionVariable"], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:659908364"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p659908364-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p659908364-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:659908364", "Proof|ID:659908364-1"},
 CellID->182582197],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p659908364-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1382500666]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction tuples rest seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction tuples rest seq,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["t", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "]"}]}]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["t", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}], "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "]"}]}]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:14041309"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p14041309-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p14041309-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:14041309", "Proof|ID:14041309-1"},
 CellID->166486106],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p14041309-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->102190657]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->5903827],

Cell[CellGroupData[{

Cell["\<\
Lemma: Sufficient Condition for Trivial Binary Relations on Tuples\
\>", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6556251267027593`*^9, 3.6556251395103817`*^9}, {
  3.6556254708393636`*^9, 3.655625472149766*^9}, {3.6556255983237877`*^9, 
  3.6556255991817894`*^9}},
 CellID->59945491],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "P"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"\[And]", 
      RowBox[{"\[Piecewise]", GridBox[{
         {
          RowBox[{
           UnderscriptBox["\[ForAll]", 
            RowBox[{"isTuple", "[", "T", "]"}]], 
           RowBox[{
            TagBox["(",
             "AutoParentheses"], 
            RowBox[{
             RowBox[{"P", "[", 
              RowBox[{
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
               "T"}], "]"}], "\[Implies]", 
             RowBox[{"T", "\[Equal]", 
              RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
            TagBox[")",
             "AutoParentheses"]}]}]},
         {
          RowBox[{
           UnderscriptBox["\[ForAll]", 
            RowBox[{"isTuple", "[", "S", "]"}]], 
           RowBox[{
            TagBox["(",
             "AutoParentheses"], 
            RowBox[{
             RowBox[{"P", "[", 
              RowBox[{"S", ",", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
              "]"}], "\[Implies]", 
             RowBox[{"S", "\[Equal]", 
              RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
            TagBox[")",
             "AutoParentheses"]}]}]},
         {
          RowBox[{
           UnderscriptBox["\[ForAll]", 
            RowBox[{"s", ",", 
             RowBox[{"s", "..."}], ",", "t", ",", 
             RowBox[{"t", "..."}]}]], 
           RowBox[{
            TagBox["(",
             "AutoParentheses"], 
            RowBox[{
             RowBox[{"P", "[", 
              RowBox[{
               RowBox[{"\[LeftAngleBracket]", 
                RowBox[{"s", ",", 
                 RowBox[{"s", "..."}]}], "\[RightAngleBracket]"}], ",", 
               RowBox[{"\[LeftAngleBracket]", 
                RowBox[{"t", ",", 
                 RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}]}], "]"}], 
             "\[Implies]", 
             RowBox[{
              TagBox["(",
               "AutoParentheses"], 
              RowBox[{
               RowBox[{"s", "\[Equal]", "t"}], "\[And]", 
               RowBox[{"P", "[", 
                RowBox[{
                 RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{"s", "..."}], "\[RightAngleBracket]"}], ",", 
                 RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}], "]"}]}], 
              TagBox[")",
               "AutoParentheses"]}]}], 
            TagBox[")",
             "AutoParentheses"]}]}]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}]}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{"isTuple", "[", 
        RowBox[{"S", ",", "T"}], "]"}]], 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        RowBox[{"P", "[", 
         RowBox[{"S", ",", "T"}], "]"}], "\[Implies]", 
        RowBox[{"S", "\[Equal]", "T"}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(binary relation trivial tuples rest seq)", "FrameLabel"], 
        "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:710342238", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655625143644389*^9, 3.655625219039321*^9}, {
  3.655625249584175*^9, 3.6556252998942633`*^9}},
 CellTags->{
  "ID:710342238", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "binary relation trivial tuples rest seq"},
 CellID->710342238],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->236683851]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->160679974],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(binary relation trivial tuples rest seq)\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(binary relation trivial tuples rest seq)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]}], 
             "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["S", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                    "]"}], "\[Implies]", 
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], "\[Equal]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]}], 
             "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["s", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"s", "..."}], "ExpressionVariable"], ",", 
                  StyleBox["t", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}], "\[Implies]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["s", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["t", "ExpressionVariable"]}], "\[And]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}, {
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], ",", 
                   StyleBox["T", "ExpressionVariable"]}], "]"}], "\[Implies]", 
               RowBox[{
                 StyleBox["S", "ExpressionVariable"], "\[Equal]", 
                 StyleBox[
                 "T", "ExpressionVariable"]}]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{"isTuple", "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], 
                    ",", 
                    StyleBox["T", "ExpressionVariable"]}], "]"}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[Equal]", 
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]}], 
             "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{"isTuple", "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    StyleBox["S", "ExpressionVariable"], ",", 
                    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}],
                    "]"}], "\[Implies]", 
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], "\[Equal]", 
                   
                   RowBox[{
                    "\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}]}], 
             "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["s", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"s", "..."}], "ExpressionVariable"], ",", 
                  StyleBox["t", "ExpressionVariable"], ",", 
                  StyleBox[
                   RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
               RowBox[{
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["s", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}]}], "]"}], "\[Implies]", 
                 RowBox[{
                   RowBox[{
                    StyleBox["s", "ExpressionVariable"], "\[Equal]", 
                    StyleBox["t", "ExpressionVariable"]}], "\[And]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}]}], "]"}]}]}]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{"isTuple", "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}, {
                 RowBox[{"isTuple", "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   StyleBox["S", "ExpressionVariable"], ",", 
                   StyleBox["T", "ExpressionVariable"]}], "]"}], "\[Implies]", 
               RowBox[{
                 StyleBox["S", "ExpressionVariable"], "\[Equal]", 
                 StyleBox[
                 "T", "ExpressionVariable"]}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:710342238"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p710342238-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p710342238-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:710342238", "Proof|ID:710342238-1"},
 CellID->443647427],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p710342238-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->9824420]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["TupleToSet (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.646367441938352*^9, 3.6463674462518663`*^9}, {
   3.64636776806434*^9, 3.64636776998981*^9}, {3.646370427877118*^9, 
   3.646370430908224*^9}, 3.655458314840933*^9},
 CellID->82000216],

Cell["", "OpenEnvironment",
 CellID->1578480177],

Cell[CellGroupData[{

Cell["Lemma: TupleToSet", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{
  3.646367454545906*^9, {3.6562234447318816`*^9, 3.656223447914287*^9}},
 CellID->755085905],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{"isSet", "[", 
   RowBox[{"TupleToSet", "[", "T", "]"}], "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isSet TupleToSet)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1796849533", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.646382143002565*^9, 3.64638215742257*^9}},
 CellTags->{
  "ID:1796849533", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isSet TupleToSet", "IR"},
 CellID->1796849533],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{
   UnderscriptBox["\[ForAll]", "x"], 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      RowBox[{"x", "\[Element]", 
       RowBox[{"TupleToSet", "[", "T", "]"}]}], 
      TagBox[")",
       "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      RowBox[{"x", 
       TagBox["\:22ff",
        Identity,
        SyntaxForm->"a+b"], "T"}], 
      TagBox[")",
       "AutoParentheses"]}]}], 
    TagBox[")",
     "AutoParentheses"]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Element] TupleToSet)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:175665072", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64636746102672*^9, 3.646367504910177*^9}},
 CellTags->{
  "ID:175665072", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Element] TupleToSet", "IR"},
 CellID->175665072],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"f", ",", "P"}]], 
  RowBox[{
   UnderscriptBox["\[ForAll]", 
    RowBox[{"a", ",", 
     RowBox[{"b", "\[Element]", "\[DoubleStruckCapitalZ]"}]}]], 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     RowBox[{"TupleToSet", "[", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"f", "[", "i", "]"}], 
        UnderscriptBox["|", 
         RowBox[{
          RowBox[{"i", "=", "a"}], ",", "\[Ellipsis]", ",", "b"}]], 
        RowBox[{"P", "[", "i", "]"}]}], "\[RightAngleBracket]"}], "]"}], 
     "\[Equal]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "[", "i", "]"}], 
       UnderscriptBox["|", 
        RowBox[{"i", "\[Element]", 
         SubscriptBox["\[DoubleStruckCapitalZ]", 
          RowBox[{"a", ",", "\[Ellipsis]", ",", "b"}]]}]], 
       RowBox[{"P", "[", "i", "]"}]}], "}"}]}], 
    TagBox[")",
     "AutoParentheses"]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleToSet TupleOf)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:460986674", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.646381833095145*^9, 3.6463818935622883`*^9}, {
  3.646382007084262*^9, 3.646382013235799*^9}, {3.6463825735522823`*^9, 
  3.6463825747759733`*^9}},
 CellTags->{
  "ID:460986674", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet TupleOf", "IR"},
 CellID->460986674],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", 
    RowBox[{"S", ",", "T"}], "]"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"TupleToSet", "[", 
     RowBox[{"S", 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], "T"}], "]"}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"TupleToSet", "[", "S", "]"}], "\[Union]", 
      RowBox[{"TupleToSet", "[", "T", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleToSet join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:173666830", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.646558850976705*^9, 3.64655890526064*^9}},
 CellTags->{
  "ID:173666830", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet join", "IR"},
 CellID->173666830],

Cell[BoxData[
 RowBox[{
  RowBox[{"TupleToSet", "[", 
   RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
  RowBox[{"{", "}"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleToSet empty)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:201212584", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6562228250051928`*^9, 3.6562228342092094`*^9}},
 CellTags->{
  "ID:201212584", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet empty", "IR"},
 CellID->201212584],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", "a"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"TupleToSet", "[", 
     RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}], "]"}], 
    "\[Equal]", 
    RowBox[{"{", "a", "}"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleToSet singleton)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1943524802", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64655958166545*^9, 3.6465596017119083`*^9}},
 CellTags->{
  "ID:1943524802", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet singleton", "IR"},
 CellID->1943524802],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{
   UnderscriptBox["\[ForAll]", "a"], 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     RowBox[{"TupleToSet", "[", 
      RowBox[{"T", 
       TagBox["\:293a",
        Identity,
        SyntaxForm->"a*b"], "a"}], "]"}], "\[Equal]", 
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      RowBox[{
       RowBox[{"TupleToSet", "[", "T", "]"}], "\[Union]", 
       RowBox[{"{", "a", "}"}]}], 
      TagBox[")",
       "AutoParentheses"]}]}], 
    TagBox[")",
     "AutoParentheses"]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleToSet append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:809409004", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6465595159131308`*^9, 3.646559536652638*^9}},
 CellTags->{
  "ID:809409004", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet append", "IR"},
 CellID->809409004],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"isTuple", "[", "T", "]"}]], 
  RowBox[{"isFinite", "[", 
   RowBox[{"TupleToSet", "[", "T", "]"}], "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(TupleToSet isFinite)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:47406400", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656222508025236*^9, 3.65622252156606*^9}},
 CellTags->{
  "ID:47406400", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet isFinite", "IR"},
 CellID->47406400],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->174694652]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1817090819],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(isSet TupleToSet,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(isSet TupleToSet,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isSet", "[", 
           RowBox[{"TupleToSet", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], 
           "]"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isSet", "[", 
           RowBox[{"TupleToSet", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], 
           "]"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1796849533"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1796849533-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1796849533-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1796849533", "Proof|ID:1796849533-1"},
 CellID->432279666],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1796849533-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->414036833]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Element] TupleToSet,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Element] TupleToSet,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["x", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               RowBox[{"TupleToSet", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["x", "ExpressionVariable"], "\:22ff", 
             StyleBox[
             "T", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["x", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               RowBox[{"TupleToSet", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}]}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{
             StyleBox["x", "ExpressionVariable"], "\:22ff", 
             StyleBox[
             "T", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:175665072"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p175665072-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p175665072-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:175665072", "Proof|ID:175665072-1"},
 CellID->148445132],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p175665072-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->233753674]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleToSet TupleOf,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleToSet TupleOf,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"TupleToSet", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalZ]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", "\[Ellipsis]", 
                    ",", 
                    StyleBox["b", "ExpressionVariable"]}]]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "}"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["f", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}, {
             RowBox[{
               StyleBox["b", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}}]], 
         RowBox[{
           RowBox[{"TupleToSet", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}], 
                 UnderscriptBox["|", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    StyleBox["a", "ExpressionVariable"]}], ",", "\[Ellipsis]",
                     ",", 
                    StyleBox["b", "ExpressionVariable"]}]}}]], 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["i", "ExpressionVariable"], "]"}]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}], 
               UnderscriptBox["|", 
                GridBox[{{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "\[Element]", 
                    SubscriptBox["\[DoubleStruckCapitalZ]", 
                    RowBox[{
                    StyleBox["a", "ExpressionVariable"], ",", "\[Ellipsis]", 
                    ",", 
                    StyleBox["b", "ExpressionVariable"]}]]}]}}]], 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 StyleBox["i", "ExpressionVariable"], "]"}]}], 
             "}"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:460986674"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p460986674-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p460986674-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:460986674", "Proof|ID:460986674-1"},
 CellID->368291904],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p460986674-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->110069837]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleToSet join,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleToSet join,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"TupleToSet", "[", 
             RowBox[{
               StyleBox["S", "ExpressionVariable"], "\:22c8", 
               StyleBox["T", "ExpressionVariable"]}], "]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"TupleToSet", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[Union]", 
             RowBox[{"TupleToSet", "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{"TupleToSet", "[", 
             RowBox[{
               StyleBox["S", "ExpressionVariable"], "\:22c8", 
               StyleBox["T", "ExpressionVariable"]}], "]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"TupleToSet", "[", 
               StyleBox["S", "ExpressionVariable"], "]"}], "\[Union]", 
             RowBox[{"TupleToSet", "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:173666830"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p173666830-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p173666830-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:173666830", "Proof|ID:173666830-1"},
 CellID->406896688],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p173666830-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->950126546]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleToSet empty,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleToSet empty,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         RowBox[{"TupleToSet", "[", 
           RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], 
         "\[Equal]", "\[EmptySet]"}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         RowBox[{"TupleToSet", "[", 
           RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], 
         "\[Equal]", "\[EmptySet]"}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:201212584"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p201212584-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p201212584-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:201212584", "Proof|ID:201212584-1"},
 CellID->658833980],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p201212584-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->34342205]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleToSet singleton,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleToSet singleton,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"TupleToSet", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["a", "ExpressionVariable"], "\[RightAngleBracket]"}], 
             "]"}], "\[Equal]", 
           RowBox[{"{", 
             StyleBox["a", "ExpressionVariable"], 
             "}"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"TupleToSet", "[", 
             RowBox[{"\[LeftAngleBracket]", 
               StyleBox["a", "ExpressionVariable"], "\[RightAngleBracket]"}], 
             "]"}], "\[Equal]", 
           RowBox[{"{", 
             StyleBox["a", "ExpressionVariable"], 
             "}"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1943524802"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1943524802-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1943524802-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1943524802", "Proof|ID:1943524802-1"},
 CellID->156636724],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1943524802-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->599071735]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleToSet append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleToSet append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"TupleToSet", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"TupleToSet", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[Union]", 
             RowBox[{"{", 
               StyleBox["a", "ExpressionVariable"], 
               "}"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             StyleBox["a", "ExpressionVariable"]}}]], 
         RowBox[{
           RowBox[{"TupleToSet", "[", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\:293a", 
               StyleBox["a", "ExpressionVariable"]}], "]"}], "\[Equal]", 
           RowBox[{
             RowBox[{"TupleToSet", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[Union]", 
             RowBox[{"{", 
               StyleBox["a", "ExpressionVariable"], 
               "}"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:809409004"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p809409004-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p809409004-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:809409004", "Proof|ID:809409004-1"},
 CellID->969684081],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p809409004-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1166670995]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(TupleToSet isFinite,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(TupleToSet isFinite,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isFinite", "[", 
           RowBox[{"TupleToSet", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], 
           "]"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             RowBox[{"isTuple", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{"isFinite", "[", 
           RowBox[{"TupleToSet", "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], 
           "]"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:47406400"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p47406400-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p47406400-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:47406400", "Proof|ID:47406400-1"},
 CellID->56343103],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p47406400-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->124716335]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Tuples and DomainTuples Functors (\[Checkmark])\
\>", "Section",
 CellChangeTimes->{{3.633081694501501*^9, 3.6330817005097322`*^9}, {
  3.647921927347953*^9, 3.6479219302151423`*^9}, {3.659688631683649*^9, 
  3.659688635802057*^9}},
 CellID->1896516189],

Cell[CellGroupData[{

Cell["Definitions", "Subsection",
 CellChangeTimes->{{3.6330817213491096`*^9, 3.6330817231062527`*^9}},
 CellID->1645559361],

Cell["", "OpenEnvironment",
 CellID->850600494],

Cell[CellGroupData[{

Cell["Definition: Tuples Functor", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.647921939915186*^9, 3.647921943544083*^9}},
 CellID->1823820238],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tuples", "[", "]"}], ":=", 
  UnderscriptBox["\[CapitalDelta]", "N"]}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1116878701}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647921965702096*^9, 3.647921978884985*^9}},
 CellTags->{
  "ID:1116878701", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1116878701],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"x", ",", "y"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 976871574}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6479219852941837`*^9, 3.6479219861025333`*^9}, {
  3.647922022110962*^9, 3.647922022260146*^9}},
 CellTags->{
  "ID:976871574", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->976871574],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "N"], 
    RowBox[{"[", "x", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], 
  TagBox[
   RowBox[{
   ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
    "\[DoubleLongLeftRightArrow]"}],
   Identity,
   SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
  RowBox[{"isTuple", "[", "x", "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Tuples decision predicate)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1792308841", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633081760597282*^9, 3.633081790643674*^9}, {
  3.647921999483036*^9, 3.647922002594537*^9}},
 CellTags->{
  "ID:1792308841", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples decision predicate"},
 CellID->1792308841],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"x", 
    UnderscriptBox["\[Succeeds]", "N"], "y"}], 
   TagBox[")",
    "AutoParentheses"]}], 
  TagBox[
   RowBox[{
   ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
    "\[DoubleLongLeftRightArrow]"}],
   Identity,
   SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"\[LeftBracketingBar]", "x", "\[RightBracketingBar]"}], ">", 
    RowBox[{"\[LeftBracketingBar]", "y", "\[RightBracketingBar]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Tuples \[Succeeds])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:734182331", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.64792202511714*^9, 3.647922051594734*^9}},
 CellTags->{
  "ID:734182331", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds]"},
 CellID->734182331],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"x", 
    UnderscriptBox["\[Precedes]", "N"], "y"}], 
   TagBox[")",
    "AutoParentheses"]}], 
  TagBox[
   RowBox[{
   ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
    "\[DoubleLongLeftRightArrow]"}],
   Identity,
   SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"y", 
    UnderscriptBox["\[Succeeds]", "N"], "x"}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Tuples \[Precedes])", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:50337709", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647922064306933*^9, 3.647922077205538*^9}},
 CellTags->{
  "ID:50337709", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Precedes]"},
 CellID->50337709],

Cell["\<\
Another relation between two tuples could be the subtuple-relation, in \
analogy to \[LeftTriangleBar] for sequences.\
\>", "EnvironmentText",
 CellChangeTimes->{{3.6479221752032347`*^9, 3.647922236061598*^9}, 
   3.6483784879534807`*^9},
 CellID->1038115768],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->62459254]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->417087364],

Cell["", "OpenEnvironment",
 CellID->1426436627],

Cell[CellGroupData[{

Cell["Definition: DomainTuples Functor", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.633081729576708*^9, 3.6330817344328747`*^9}},
 CellID->102211866],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "\[ScriptCapitalD]"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 290651172}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.63307928561416*^9, 3.633079287748003*^9}},
 CellTags->{
  "ID:290651172", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->290651172],

Cell[BoxData[
 RowBox[{
  RowBox[{"DomainTuples", "[", "\[ScriptCapitalD]", "]"}], ":=", 
  UnderscriptBox["\[CapitalDelta]", "N"]}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 963340119}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633079293515576*^9, 3.633079309000853*^9}, {
  3.633080696367702*^9, 3.633080696763283*^9}, {3.633081750844879*^9, 
  3.633081751846236*^9}},
 CellTags->{
  "ID:963340119", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->963340119],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "x"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 2118739683}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633079312267249*^9, 3.6330793136033173`*^9}},
 CellTags->{
  "ID:2118739683", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->2118739683],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "N"], 
    RowBox[{"[", "x", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], 
  TagBox[
   RowBox[{
   ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
    "\[DoubleLongLeftRightArrow]"}],
   Identity,
   SyntaxForm->"a\[DoubleLongLeftRightArrow]b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"isTuple", "[", "x", "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "x", "\[RightBracketingBar]"}]}]], 
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
       RowBox[{"[", 
        SubscriptBox["x", "i"], "]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples decision predicate)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1752643636", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633081760597282*^9, 3.633081790643674*^9}},
 CellTags->{
  "ID:1752643636", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples decision predicate"},
 CellID->1752643636],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["<<", "N"], 
    RowBox[{"[", "x", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], ":=", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["<<", "\[ScriptCapitalD]"], 
      RowBox[{"[", 
       RowBox[{
        TagBox["(",
         "AutoParentheses"], 
        SubscriptBox["x", "i"], 
        TagBox[")",
         "AutoParentheses"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], 
    UnderscriptBox["|", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "x", "\[RightBracketingBar]"}]}]]}], 
   "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples <<)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1806819834", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.63307995105399*^9, 3.6330800081856823`*^9}, {
  3.6357482955308533`*^9, 3.6357483021986713`*^9}, {3.63574835193331*^9, 
  3.63574835524253*^9}, {3.635748443217849*^9, 3.635748472611801*^9}, {
  3.645764784549695*^9, 3.64576479554011*^9}},
 CellTags->{
  "ID:1806819834", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples <<"},
 CellID->1806819834],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[">>", "N"], 
    RowBox[{"[", "x", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], ":=", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[">>", "\[ScriptCapitalD]"], 
      RowBox[{"[", 
       SubscriptBox["x", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], 
    UnderscriptBox["|", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "x", "\[RightBracketingBar]"}]}]]}], 
   "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples >>)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:410422280", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6330800950307093`*^9, 3.633080100268716*^9}, {
  3.633080141071067*^9, 3.633080166793787*^9}, {3.6357483089335413`*^9, 
  3.635748319684381*^9}, {3.635748479687059*^9, 3.6357485059270573`*^9}},
 CellTags->{
  "ID:410422280", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples >>"},
 CellID->410422280],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->944847372]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1312906019]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
General Properties of the Tuples-Functor (\[Checkmark])\
\>", "Subsection",
 CellChangeTimes->{{3.6479223056063347`*^9, 3.647922316974409*^9}, {
   3.647926578700077*^9, 3.647926590179305*^9}, 3.655458321751745*^9},
 CellID->1068845292],

Cell["", "OpenEnvironment",
 CellID->1364020542],

Cell[CellGroupData[{

Cell["\<\
Lemma: \[Succeeds] for Enumeration Tuples\
\>", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.648375253525785*^9, 3.64837526250278*^9}},
 CellID->349575561],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"x", ",", 
   RowBox[{"t", "..."}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 232548980}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648375304486607*^9, 3.648375306706999*^9}},
 CellTags->{
  "ID:232548980", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->232548980],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"x", ",", 
    RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], 
  UnderscriptBox["\[Succeeds]", 
   RowBox[{"Tuples", "[", "]"}]], 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Tuples \[Succeeds] prepend seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1071152688", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648375266531111*^9, 3.6483753095603533`*^9}},
 CellTags->{
  "ID:1071152688", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] prepend seq", "IR"},
 CellID->1071152688],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{"t", "..."}], ",", "x"}], "\[RightAngleBracket]"}], 
  UnderscriptBox["\[Succeeds]", 
   RowBox[{"Tuples", "[", "]"}]], 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"t", "..."}], "\[RightAngleBracket]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Tuples \[Succeeds] append seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:108993772", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648375317447708*^9, 3.6483753204355288`*^9}},
 CellTags->{
  "ID:108993772", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] append seq", "IR"},
 CellID->108993772],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->1155899463]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1516404197],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(Tuples \[Succeeds] prepend seq,[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(Tuples \[Succeeds] prepend seq,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], 
           UnderscriptBox["\[Succeeds]", 
            RowBox[{"Tuples", "[", "]"}]], 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox["x", "ExpressionVariable"], ",", 
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], 
           UnderscriptBox["\[Succeeds]", 
            RowBox[{"Tuples", "[", "]"}]], 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1071152688"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1071152688-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1071152688-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1071152688", "Proof|ID:1071152688-1"},
 CellID->1817765568],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1071152688-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->442394880]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(Tuples \[Succeeds] append seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(Tuples \[Succeeds] append seq,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], 
           UnderscriptBox["\[Succeeds]", 
            RowBox[{"Tuples", "[", "]"}]], 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
             RowBox[{
               StyleBox[
                RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
               StyleBox["x", "ExpressionVariable"]}], 
             "\[RightAngleBracket]"}], 
           UnderscriptBox["\[Succeeds]", 
            RowBox[{"Tuples", "[", "]"}]], 
           RowBox[{"\[LeftAngleBracket]", 
             StyleBox[
              RowBox[{"t", "..."}], "ExpressionVariable"], 
             "\[RightAngleBracket]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:108993772"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p108993772-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p108993772-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:108993772", "Proof|ID:108993772-1"},
 CellID->1028001861],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p108993772-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2003034555]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1659820504],

Cell[CellGroupData[{

Cell["\<\
Lemma: \[Succeeds] is Partial Irreflexive Noetherian Order\
\>", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.64792232301178*^9, 3.647922336297472*^9}, {
  3.647922427837254*^9, 3.647922434355247*^9}},
 CellID->1024583534],

Cell[BoxData[
 RowBox[{"isPartIrreflOrder", "[", 
  RowBox[{
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    TagBox[
     UnderscriptBox["\[Succeeds]", 
      RowBox[{"Tuples", "[", "]"}]],
     Identity], 
    TagBox[")",
     "AutoParentheses"]}], ",", 
   RowBox[{"Tuples", "[", "]"}]}], "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Tuples \[Succeeds] isPartIrreflOrder)", "FrameLabel"], 
        "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1208674976", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647922441293022*^9, 3.6479224469588757`*^9}},
 CellTags->{
  "ID:1208674976", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] isPartIrreflOrder"},
 CellID->1208674976],

Cell[BoxData[
 RowBox[{"isNoetherian", "[", 
  RowBox[{
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    TagBox[
     UnderscriptBox["\[Succeeds]", 
      RowBox[{"Tuples", "[", "]"}]],
     Identity], 
    TagBox[")",
     "AutoParentheses"]}], ",", 
   RowBox[{"Tuples", "[", "]"}]}], "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(Tuples \[Succeeds] isNoetherian)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:144999145", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.647922346764102*^9, 3.647922376838098*^9}},
 CellTags->{
  "ID:144999145", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] isNoetherian"},
 CellID->144999145],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->694950268]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->76141101],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(Tuples \[Succeeds] isPartIrreflOrder)\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(Tuples \[Succeeds] isPartIrreflOrder)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{"isPartIrreflOrder", "[", 
         RowBox[{
           UnderscriptBox["\[Succeeds]", 
            RowBox[{"Tuples", "[", "]"}]], ",", 
           RowBox[{"Tuples", "[", "]"}]}], "]"}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{"isPartIrreflOrder", "[", 
         RowBox[{
           UnderscriptBox["\[Succeeds]", 
            RowBox[{"Tuples", "[", "]"}]], ",", 
           RowBox[{"Tuples", "[", "]"}]}], "]"}], $CellContext`TheoremaForm]],
      "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1208674976"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1208674976-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1208674976-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1208674976", "Proof|ID:1208674976-1"},
 CellID->1261527715],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1208674976-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->1043653959]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(Tuples \[Succeeds] isNoetherian)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(Tuples \[Succeeds] isNoetherian)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{"isNoetherian", "[", 
         RowBox[{
           UnderscriptBox["\[Succeeds]", 
            RowBox[{"Tuples", "[", "]"}]], ",", 
           RowBox[{"Tuples", "[", "]"}]}], "]"}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{"isNoetherian", "[", 
         RowBox[{
           UnderscriptBox["\[Succeeds]", 
            RowBox[{"Tuples", "[", "]"}]], ",", 
           RowBox[{"Tuples", "[", "]"}]}], "]"}], $CellContext`TheoremaForm]],
      "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:144999145"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p144999145-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p144999145-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:144999145", "Proof|ID:144999145-1"},
 CellID->1825398003],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p144999145-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->629222495]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
General Properties of DomainTuples (\[Checkmark])\
\>", "Subsection",
 CellChangeTimes->{{3.633086272953197*^9, 3.633086273845456*^9}, {
   3.6416328309109697`*^9, 3.6416328384290543`*^9}, {3.644741723713395*^9, 
   3.644741727627429*^9}, {3.646367761388669*^9, 3.646367762390411*^9}, {
   3.646371168656109*^9, 3.646371171516821*^9}, 3.6554583232181473`*^9},
 CellID->1888482592],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "\[ScriptCapitalD]"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1005434988}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633086322427924*^9, 3.633086324984062*^9}},
 CellTags->{
  "ID:1005434988", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1005434988],

Cell["", "Text",
 CellID->373203856],

Cell[BoxData[
 UnderscriptBox["let", 
  RowBox[{"\[ScriptCapitalD]\[ScriptCapitalT]", "=", 
   RowBox[{
   "DomainTuples", "[", "\[ScriptCapitalD]", "]"}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 228053728}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633086335363454*^9, 3.633086348576359*^9}},
 CellTags->{
  "ID:228053728", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->228053728],

Cell["", "OpenEnvironment",
 CellID->1125478885],

Cell[CellGroupData[{

Cell["Lemma: Properties of the DomainTuples Functor", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6330862824447002`*^9, 3.633086299919388*^9}},
 CellID->1465928092],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"T", ",", "S", ",", "a"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1717060871}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{
  3.633086309764595*^9, {3.633086353507617*^9, 3.633086391419262*^9}},
 CellTags->{
  "ID:1717060871", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1717060871],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
     RowBox[{"[", "T", "]"}]}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"a", 
      TagBox["\:22ff",
       Identity,
       SyntaxForm->"a+b"], "T"}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
    RowBox[{"[", "a", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples E)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1649645401", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.646370544165614*^9, 3.646370595958118*^9}, {
  3.646370644137645*^9, 3.646370658980629*^9}},
 CellTags->{
  "ID:1649645401", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples E", "IR"},
 CellID->1649645401],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
    RowBox[{"[", 
     RowBox[{"T", 
      TagBox["\:22c8",
       Identity,
       SyntaxForm->"a*b"], "S"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
     RowBox[{"[", "T", "]"}]}], "\[And]", 
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
     RowBox[{"[", "S", "]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1383999666", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633086432578576*^9, 3.633086445644652*^9}},
 CellTags->{
  "ID:1383999666", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples join", "IR"},
 CellID->1383999666],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
    RowBox[{"[", 
     RowBox[{"T", 
      TagBox["\:293a",
       Identity,
       SyntaxForm->"a*b"], "a"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
     RowBox[{"[", "T", "]"}]}], "\[And]", 
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
     RowBox[{"[", "a", "]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1424148745", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633086371073241*^9, 3.633086415531246*^9}},
 CellTags->{
  "ID:1424148745", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples append", "IR"},
 CellID->1424148745],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
    RowBox[{"[", 
     RowBox[{"a", 
      TagBox["\:293b",
       Identity,
       SyntaxForm->"a*b"], "T"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
     RowBox[{"[", "T", "]"}]}], "\[And]", 
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
     RowBox[{"[", "a", "]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples prepend)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1871123021", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644308101127624*^9, 3.6443081089396267`*^9}},
 CellTags->{
  "ID:1871123021", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples prepend", "IR"},
 CellID->1871123021],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
     RowBox[{"[", "T", "]"}]}], "\[And]", 
    RowBox[{"T", "\[NotEqual]", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
    RowBox[{"[", 
     RowBox[{"Rest", "[", "T", "]"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples rest)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:752441053", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644308122371696*^9, 3.644308159043379*^9}, {
  3.644308284477345*^9, 3.6443083193576603`*^9}, {3.644741343779562*^9, 
  3.64474134757928*^9}},
 CellTags->{
  "ID:752441053", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples rest", "IR"},
 CellID->752441053],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
     RowBox[{"[", "T", "]"}]}], "\[And]", 
    RowBox[{"T", "\[NotEqual]", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
    RowBox[{"[", 
     RowBox[{"Most", "[", "T", "]"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples most)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1694879508", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644308122371696*^9, 3.6443081671116247`*^9}, {
  3.644741353128545*^9, 3.644741356437204*^9}},
 CellTags->{
  "ID:1694879508", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples most", "IR"},
 CellID->1694879508],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
    RowBox[{"[", 
     RowBox[{"Reverse", "[", "T", "]"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
    RowBox[{"[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples reverse)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2011690260", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.644308175840827*^9, 3.644308181782093*^9}},
 CellTags->{
  "ID:2011690260", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples reverse", "IR"},
 CellID->2011690260],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"t", "..."}], ",", 
    RowBox[{"s", "..."}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
      RowBox[{"[", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{"t", "..."}], ",", 
         RowBox[{"s", "..."}]}], "\[RightAngleBracket]"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
       RowBox[{"[", 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "]"}]}], "\[And]", 
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
       RowBox[{"[", 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"s", "..."}], "\[RightAngleBracket]"}], "]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples join seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1915001232", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648364153960424*^9, 3.6483641945977182`*^9}},
 CellTags->{
  "ID:1915001232", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples join seq", "IR"},
 CellID->1915001232],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"t", "..."}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
      RowBox[{"[", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{"t", "..."}], ",", "a"}], "\[RightAngleBracket]"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
       RowBox[{"[", 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "]"}]}], "\[And]", 
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
       RowBox[{"[", "a", "]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples append seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:232482705", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648364237383657*^9, 3.648364269294468*^9}},
 CellTags->{
  "ID:232482705", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples append seq", "IR"},
 CellID->232482705],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"t", "..."}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
      RowBox[{"[", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"a", ",", 
         RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[DoubleLongLeftRightArrow]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
       RowBox[{"[", 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "]"}]}], "\[And]", 
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
       RowBox[{"[", "a", "]"}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples prepend seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:64883103", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.648364199742865*^9, 3.6483642583868217`*^9}},
 CellTags->{
  "ID:64883103", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples prepend seq", "IR"},
 CellID->64883103],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
    RowBox[{"[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[Element]", 
     RowBox[{"DomainSets", "[", "\[ScriptCapitalD]", "]"}]], 
    RowBox[{"[", 
     RowBox[{"TupleToSet", "[", "T", "]"}], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainSets TupleToSet)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:372047052", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.646367621354233*^9, 3.646367635778597*^9}, {
  3.6463676737458553`*^9, 3.646367708518484*^9}},
 CellTags->{
  "ID:372047052", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainSets TupleToSet", "IR"},
 CellID->372047052],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->2031297326]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1950120376],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples E,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples E,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               StyleBox["T", "ExpressionVariable"]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
             StyleBox["a", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["a", "ExpressionVariable"], "\:22ff", 
               StyleBox["T", "ExpressionVariable"]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
             StyleBox["a", "ExpressionVariable"], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1649645401"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1649645401-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1649645401-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1649645401", "Proof|ID:1649645401-1"},
 CellID->1359448228],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1649645401-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2104456646]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples join,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples join,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 StyleBox["S", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["S", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:22c8", 
                 StyleBox["S", "ExpressionVariable"]}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 StyleBox["S", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1383999666"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1383999666-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1383999666-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1383999666", "Proof|ID:1383999666-1"},
 CellID->1933476732],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1383999666-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1719487101]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:293a", 
                 StyleBox["a", "ExpressionVariable"]}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 StyleBox["a", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{
                 StyleBox["T", "ExpressionVariable"], "\:293a", 
                 StyleBox["a", "ExpressionVariable"]}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 StyleBox["a", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1424148745"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1424148745-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1424148745-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1424148745", "Proof|ID:1424148745-1"},
 CellID->542464729],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1424148745-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->309343971]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples prepend,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples prepend,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\:293b", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 StyleBox["a", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{
                 StyleBox["a", "ExpressionVariable"], "\:293b", 
                 StyleBox["T", "ExpressionVariable"]}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 StyleBox["a", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1871123021"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1871123021-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1871123021-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1871123021", "Proof|ID:1871123021-1"},
 CellID->61154356],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1871123021-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1734743651]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples rest,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples rest,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              RowBox[{"DomainTuples", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]], 
             "[", 
             RowBox[{"Rest", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              RowBox[{"DomainTuples", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]], 
             "[", 
             RowBox[{"Rest", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:752441053"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p752441053-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p752441053-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:752441053", "Proof|ID:752441053-1"},
 CellID->301964347],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p752441053-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->2110661830]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples most,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples most,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              RowBox[{"DomainTuples", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]], 
             "[", 
             RowBox[{"Most", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[NotEqual]", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              RowBox[{"DomainTuples", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]], 
             "[", 
             RowBox[{"Most", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1694879508"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1694879508-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1694879508-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1694879508", "Proof|ID:1694879508-1"},
 CellID->1974617618],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1694879508-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1255173245]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples reverse,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples reverse,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{"Reverse", "[", 
                 StyleBox["T", "ExpressionVariable"], "]"}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2011690260"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2011690260-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2011690260-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2011690260", "Proof|ID:2011690260-1"},
 CellID->1129176787],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2011690260-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->819780798]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples join seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples join seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"s", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"s", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1915001232"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1915001232-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1915001232-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1915001232", "Proof|ID:1915001232-1"},
 CellID->2039556318],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1915001232-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->280871350]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples append seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples append seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                   StyleBox["a", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 StyleBox["a", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], ",", 
                   StyleBox["a", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 StyleBox["a", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:232482705"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p232482705-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p232482705-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:232482705", "Proof|ID:232482705-1"},
 CellID->1940169690],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p232482705-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->326417995]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples prepend seq,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples prepend seq,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 StyleBox["a", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["a", "ExpressionVariable"], ",", 
            StyleBox[
             RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"(", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["a", "ExpressionVariable"], ",", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], ")"}], 
           "\[DoubleLeftRightArrow]", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                 RowBox[{"\[LeftAngleBracket]", 
                   StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                   "\[RightAngleBracket]"}], "]"}], "\[And]", 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 StyleBox["a", "ExpressionVariable"], "]"}]}], 
             ")"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:64883103"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p64883103-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p64883103-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:64883103", "Proof|ID:64883103-1"},
 CellID->1892261095],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p64883103-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->1229177754]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainSets TupleToSet,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainSets TupleToSet,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox["\[Element]", 
              RowBox[{"DomainTuples", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]], 
             "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              RowBox[{"DomainSets", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]], 
             "[", 
             RowBox[{"TupleToSet", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["T", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox["\[Element]", 
              RowBox[{"DomainTuples", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]], 
             "[", 
             StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              RowBox[{"DomainSets", "[", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]], 
             "[", 
             RowBox[{"TupleToSet", "[", 
               StyleBox["T", "ExpressionVariable"], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:372047052"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p372047052-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p372047052-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:372047052", "Proof|ID:372047052-1"},
 CellID->870488331],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p372047052-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->2106482372]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->681053692],

Cell[CellGroupData[{

Cell["Lemma: Induction over DomainTuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.645328143217513*^9, 3.645328149945633*^9}},
 CellID->995853659],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "P"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 925810378}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645328160670414*^9, 3.645328161676024*^9}},
 CellTags->{
  "ID:925810378", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->925810378],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"n", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"P", "[", 
       RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], 
      "\[And]", 
      RowBox[{
       TagBox["(",
        "AutoParentheses"], 
       RowBox[{
        UnderscriptBox[
         UnderscriptBox["\[ForAll]", 
          RowBox[{
           UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
           RowBox[{"[", "T", "]"}]}]], 
         RowBox[{"n", "\[GreaterEqual]", 
          RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
        RowBox[{
         TagBox["(",
          "AutoParentheses"], 
         RowBox[{
          RowBox[{
           TagBox["(",
            "AutoParentheses"], 
           RowBox[{
            UnderscriptBox[
             UnderscriptBox["\[ForAll]", 
              RowBox[{
               
               UnderscriptBox["\[Element]", 
                "\[ScriptCapitalD]\[ScriptCapitalT]"], 
               RowBox[{"[", "S", "]"}]}]], 
             RowBox[{
              RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], 
              "\[Equal]", 
              RowBox[{
               RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}],
                "-", "1"}]}]], 
            RowBox[{"P", "[", "S", "]"}]}], 
           TagBox[")",
            "AutoParentheses"]}], "\[Implies]", 
          RowBox[{"P", "[", "T", "]"}]}], 
         TagBox[")",
          "AutoParentheses"]}]}], 
       TagBox[")",
        "AutoParentheses"]}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Implies]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox["\[ForAll]", 
        RowBox[{
         UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
         RowBox[{"[", "T", "]"}]}]], 
       RowBox[{"n", "\[GreaterEqual]", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"P", "[", "T", "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction DomainTuples ind)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2034256835", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645333508823648*^9, 3.645333522522345*^9}},
 CellTags->{
  "ID:2034256835", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction DomainTuples ind"},
 CellID->2034256835],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
        RowBox[{"[", "T", "]"}]}]], 
      RowBox[{
       UnderscriptBox["\[ForAll]", 
        RowBox[{
         UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
         RowBox[{"[", "x", "]"}]}]], 
       RowBox[{
        TagBox["(",
         "AutoParentheses"], 
        RowBox[{
         RowBox[{"P", "[", "T", "]"}], "\[Implies]", 
         RowBox[{"P", "[", 
          RowBox[{"T", 
           TagBox["\:293a",
            Identity,
            SyntaxForm->"a*b"], "x"}], "]"}]}], 
        TagBox[")",
         "AutoParentheses"]}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
      RowBox[{"[", "T", "]"}]}]], 
    RowBox[{"P", "[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction DomainTuples append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2052980984", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645328166157634*^9, 3.645328227747656*^9}},
 CellTags->{
  "ID:2052980984", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction DomainTuples append", "IR"},
 CellID->2052980984],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
      RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "]"}], 
    "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
        RowBox[{"[", 
         RowBox[{"T", ",", "S"}], "]"}]}]], 
      RowBox[{
       UnderscriptBox["\[ForAll]", 
        RowBox[{
         UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
         RowBox[{"[", 
          RowBox[{"x", ",", "y"}], "]"}]}]], 
       RowBox[{
        TagBox["(",
         "AutoParentheses"], 
        RowBox[{
         RowBox[{
          TagBox["(",
           "AutoParentheses"], 
          RowBox[{
           RowBox[{"P", "[", 
            RowBox[{"T", ",", "S"}], "]"}], "\[And]", 
           RowBox[{
            RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
            "\[Equal]", 
            RowBox[{
            "\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]}], 
          TagBox[")",
           "AutoParentheses"]}], "\[Implies]", 
         RowBox[{"P", "[", 
          RowBox[{
           RowBox[{"T", 
            TagBox["\:293a",
             Identity,
             SyntaxForm->"a*b"], "x"}], ",", 
           RowBox[{"S", 
            TagBox["\:293a",
             Identity,
             SyntaxForm->"a*b"], "y"}]}], "]"}]}], 
        TagBox[")",
         "AutoParentheses"]}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
      RowBox[{"[", 
       RowBox[{"T", ",", "S"}], "]"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{
       RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
       "\[Equal]", 
       RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}], 
      "\[Implies]", 
      RowBox[{"P", "[", 
       RowBox[{"T", ",", "S"}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction DomainTuples append 2)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:480000138", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.645342879768166*^9, 3.645342940186186*^9}, {
  3.645353633960257*^9, 3.6453536468395*^9}},
 CellTags->{
  "ID:480000138", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction DomainTuples append 2", "IR"},
 CellID->480000138],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}], "\[And]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[ForAll]", 
       RowBox[{
        UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
        RowBox[{"[", "t", "]"}]}]], 
      RowBox[{
       UnderscriptBox[
        UnderscriptBox["\[ForAll]", 
         RowBox[{"t", "..."}]], 
        RowBox[{
         UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
         RowBox[{"[", 
          RowBox[{"\[LeftAngleBracket]", 
           RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "]"}]}]], 
       RowBox[{
        TagBox["(",
         "AutoParentheses"], 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"\[LeftAngleBracket]", 
           RowBox[{"t", "..."}], "\[RightAngleBracket]"}], "]"}], 
         "\[Implies]", 
         RowBox[{"P", "[", 
          RowBox[{"\[LeftAngleBracket]", 
           RowBox[{"t", ",", 
            RowBox[{"t", "..."}]}], "\[RightAngleBracket]"}], "]"}]}], 
        TagBox[")",
         "AutoParentheses"]}]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
      RowBox[{"[", "T", "]"}]}]], 
    RowBox[{"P", "[", "T", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(induction DomainTuples rest seq)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1988740441", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6499930755592957`*^9, 3.6499931424812717`*^9}},
 CellTags->{
  "ID:1988740441", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction DomainTuples rest seq", "IR"},
 CellID->1988740441],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->218025475]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->423392620],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction DomainTuples ind)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction DomainTuples ind)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["n", "ExpressionVariable"], "\[GreaterEqual]", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]], 
               RowBox[{
                 RowBox[{
                   UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                StyleBox["n", "ExpressionVariable"], "\[GreaterEqual]", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["P", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox[
                UnderscriptBox["\[ForAll]", 
                 GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                RowBox[{
                  StyleBox["n", "ExpressionVariable"], "\[GreaterEqual]", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]], 
               RowBox[{
                 RowBox[{
                   UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                    GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", "1"}]}]], 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}], 
                 "\[Implies]", 
                 RowBox[{
                   StyleBox["P", "ExpressionVariable"], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[ForAll]", 
               GridBox[{{
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                StyleBox["n", "ExpressionVariable"], "\[GreaterEqual]", 
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["T", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}]}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2034256835"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2034256835-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2034256835-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2034256835", "Proof|ID:2034256835-1"},
 CellID->2145090087],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2034256835-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->2137671304]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction DomainTuples append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction DomainTuples append,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["x", "ExpressionVariable"]}], "]"}]}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}], "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["x", "ExpressionVariable"]}], "]"}]}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2052980984"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2052980984-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2052980984-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2052980984", "Proof|ID:2052980984-1"},
 CellID->827959283],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2052980984-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellChangeTimes->{3.647836221453281*^9},
 CellID->651029320]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction DomainTuples append 2,[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction DomainTuples append 2,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
               "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}], "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["x", "ExpressionVariable"]}], ",", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["y", "ExpressionVariable"]}]}], "]"}]}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}, {
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}], "\[Equal]", 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["S", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]}], "\[Implies]", 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], ",", 
                   StyleBox["S", "ExpressionVariable"]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
                 RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], 
               "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}, {
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox["\[ForAll]", 
                  GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}, {
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["y", "ExpressionVariable"], "]"}]}}]], 
                 RowBox[{
                   RowBox[{
                    RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], ",", 
                    StyleBox["S", "ExpressionVariable"]}], "]"}], "\[And]", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}], "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["x", "ExpressionVariable"]}], ",", 
                    RowBox[{
                    StyleBox["S", "ExpressionVariable"], "\:293a", 
                    StyleBox["y", "ExpressionVariable"]}]}], "]"}]}]}]}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}, {
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               RowBox[{
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["T", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}], "\[Equal]", 
                 RowBox[{"\[LeftBracketingBar]", 
                   StyleBox["S", "ExpressionVariable"], 
                   "\[RightBracketingBar]"}]}], "\[Implies]", 
               RowBox[{
                 StyleBox["P", "ExpressionVariable"], "[", 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], ",", 
                   StyleBox["S", "ExpressionVariable"]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:480000138"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p480000138-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p480000138-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:480000138", "Proof|ID:480000138-1"},
 CellID->1321677136],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p480000138-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->225277583]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(induction DomainTuples rest seq,[IR])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(induction DomainTuples rest seq,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox[
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}], "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "]"}]}]}]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
            StyleBox["P", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], "]"}],
              "\[And]", 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["t", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox[
                  UnderscriptBox["\[ForAll]", 
                   RowBox[{
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}]], 
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}]], 
                 RowBox[{
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"], 
                    "\[RightAngleBracket]"}], "]"}], "\[Implies]", 
                   RowBox[{
                    StyleBox["P", "ExpressionVariable"], "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["t", "ExpressionVariable"], ",", 
                    StyleBox[
                    RowBox[{"t", "..."}], "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], "]"}]}]}]}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               StyleBox["P", "ExpressionVariable"], "[", 
               StyleBox["T", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1988740441"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1988740441-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1988740441-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1988740441", "Proof|ID:1988740441-1"},
 CellID->521270711],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1988740441-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->78399071]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->362853883],

Cell[CellGroupData[{

Cell["\<\
Lemma: \[Succeeds] on Tuples is Partial Irreflexive Noetherian Order also on \
DomainTuples\
\>", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6616024123555613`*^9, 3.6616024447724185`*^9}},
 CellID->52936160],

Cell[BoxData[
 RowBox[{"isPartIrreflOrder", "[", 
  RowBox[{
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    TagBox[
     UnderscriptBox["\[Succeeds]", 
      RowBox[{"Tuples", "[", "]"}]],
     Identity], 
    TagBox[")",
     "AutoParentheses"]}], ",", "\[ScriptCapitalD]\[ScriptCapitalT]"}], 
  "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox[
        "(Tuples \[Succeeds] isPartIrreflOrder DomainTuples)", "FrameLabel"], 
        "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:52429673", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6616024546316357`*^9, 3.6616024800440807`*^9}},
 CellTags->{
  "ID:52429673", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] isPartIrreflOrder DomainTuples"},
 CellID->52429673],

Cell[BoxData[
 RowBox[{"isNoetherian", "[", 
  RowBox[{
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    TagBox[
     UnderscriptBox["\[Succeeds]", 
      RowBox[{"Tuples", "[", "]"}]],
     Identity], 
    TagBox[")",
     "AutoParentheses"]}], ",", "\[ScriptCapitalD]\[ScriptCapitalT]"}], 
  "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox[
        "(Tuples \[Succeeds] isNoetherian DomainTuples)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:69834405", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6616024686092606`*^9, 3.661602484006487*^9}},
 CellTags->{
  "ID:69834405", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] isNoetherian DomainTuples"},
 CellID->69834405],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->36132440]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->161719897],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(Tuples \[Succeeds] isPartIrreflOrder DomainTuples)\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(Tuples \[Succeeds] isPartIrreflOrder DomainTuples)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{"isPartIrreflOrder", "[", 
           RowBox[{
             UnderscriptBox["\[Succeeds]", 
              RowBox[{"Tuples", "[", "]"}]], ",", 
             RowBox[{"DomainTuples", "[", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]}], 
           "]"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{"isPartIrreflOrder", "[", 
           RowBox[{
             UnderscriptBox["\[Succeeds]", 
              RowBox[{"Tuples", "[", "]"}]], ",", 
             RowBox[{"DomainTuples", "[", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]}], 
           "]"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:52429673"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p52429673-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p52429673-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:52429673", "Proof|ID:52429673-1"},
 CellID->17397896],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p52429673-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->94222649]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(Tuples \[Succeeds] isNoetherian DomainTuples)\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(Tuples \[Succeeds] isNoetherian DomainTuples)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{"isNoetherian", "[", 
           RowBox[{
             UnderscriptBox["\[Succeeds]", 
              RowBox[{"Tuples", "[", "]"}]], ",", 
             RowBox[{"DomainTuples", "[", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]}], 
           "]"}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{"isNoetherian", "[", 
           RowBox[{
             UnderscriptBox["\[Succeeds]", 
              RowBox[{"Tuples", "[", "]"}]], ",", 
             RowBox[{"DomainTuples", "[", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]}], 
           "]"}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:69834405"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p69834405-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p69834405-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:69834405", "Proof|ID:69834405-1"},
 CellID->385103402],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p69834405-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->12499877]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->663875065],

Cell[CellGroupData[{

Cell["Lemma: Domain Tuples form Domain", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.655187540592316*^9, 3.655187573913975*^9}},
 CellID->61947972],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"n", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], 
  RowBox[{
   UnderscriptBox[
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
      RowBox[{"[", "T", "]"}]}]], 
    RowBox[{
     RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
     "\[Equal]", 
     RowBox[{"n", "+", "1"}]}]], 
   RowBox[{
    UnderscriptBox[
     UnderscriptBox["\[Exists]", 
      RowBox[{
       RowBox[{
        UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
        RowBox[{"[", "S", "]"}]}], ",", 
       RowBox[{
        UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
        RowBox[{"[", "x", "]"}]}]}]], 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], 
      "\[Equal]", "n"}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{"T", "\[Equal]", 
      RowBox[{"S", 
       TagBox["\:293a",
        Identity,
        SyntaxForm->"a*b"], "x"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples n+1 append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:169398667", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6551884366588902`*^9, 3.655188517046831*^9}, {
  3.6554594451351185`*^9, 3.65545945176513*^9}},
 CellTags->{
  "ID:169398667", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples n+1 append"},
 CellID->169398667],

Cell[BoxData[
 RowBox[{
  RowBox[{"isDomain", "[", "\[ScriptCapitalD]", "]"}], 
  "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 322989025}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655187592088007*^9, 3.6551876005900216`*^9}},
 CellTags->{
  "ID:322989025", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->322989025],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"n", "\[Element]", 
    SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]], 
  RowBox[{
   UnderscriptBox["\[Exists]", 
    RowBox[{"isSet", "[", "A", "]"}]], 
   RowBox[{
    UnderscriptBox[
     UnderscriptBox["\[ForAll]", 
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]\[ScriptCapitalT]"], 
       RowBox[{"[", "T", "]"}]}]], 
     RowBox[{
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], 
      "\[Equal]", "n"}]], 
    RowBox[{"T", "\[Element]", "A"}]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples isDomain ind)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:21488136", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655187632679278*^9, 3.655187647062503*^9}, {
  3.6551876799785614`*^9, 3.655187731427451*^9}, {3.655187798491969*^9, 
  3.65518785047126*^9}},
 CellTags->{
  "ID:21488136", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples isDomain ind"},
 CellID->21488136],

Cell[BoxData[
 RowBox[{"isDomain", "[", "\[ScriptCapitalD]\[ScriptCapitalT]", 
  "]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(DomainTuples isDomain)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:149029649", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.655187608280835*^9, 3.6551876230384607`*^9}},
 CellTags->{
  "ID:149029649", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples isDomain"},
 CellID->149029649],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->38585653]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->271272701],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples n+1 append)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples n+1 append)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "+", "1"}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}, {
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["S", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}], "\[Equal]", 
                StyleBox["n", "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{
                 StyleBox["S", "ExpressionVariable"], "\:293a", 
                 StyleBox[
                 "x", "ExpressionVariable"]}]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "\[Element]", 
               SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{"\[LeftBracketingBar]", 
               StyleBox["T", "ExpressionVariable"], "\[RightBracketingBar]"}],
              "\[Equal]", 
             RowBox[{
               StyleBox["n", "ExpressionVariable"], "+", "1"}]}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox[
              UnderscriptBox["\[Exists]", 
               GridBox[{{
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["S", "ExpressionVariable"], "]"}]}, {
                  RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["S", "ExpressionVariable"], 
                  "\[RightBracketingBar]"}], "\[Equal]", 
                StyleBox["n", "ExpressionVariable"]}]], 
             RowBox[{
               StyleBox["T", "ExpressionVariable"], "\[Equal]", 
               RowBox[{
                 StyleBox["S", "ExpressionVariable"], "\:293a", 
                 StyleBox[
                 "x", "ExpressionVariable"]}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:169398667"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p169398667-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p169398667-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:169398667", "Proof|ID:169398667-1"},
 CellID->31616244],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p169398667-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->223360162]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples isDomain ind)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples isDomain ind)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isDomain", "[", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   StyleBox["n", "ExpressionVariable"], "\[Element]", 
                   SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
             RowBox[{
               UnderscriptBox["\[Exists]", 
                GridBox[{{
                   RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox[
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    StyleBox["n", "ExpressionVariable"]}]], 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[Element]", 
                   StyleBox[
                   "A", "ExpressionVariable"]}]}]}]}]}]}], \
$CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isDomain", "[", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
           "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   StyleBox["n", "ExpressionVariable"], "\[Element]", 
                   SubscriptBox["\[DoubleStruckCapitalN]", "0"]}]}}]], 
             RowBox[{
               UnderscriptBox["\[Exists]", 
                GridBox[{{
                   RowBox[{"isSet", "[", 
                    StyleBox["A", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox[
                  UnderscriptBox["\[ForAll]", 
                   GridBox[{{
                    RowBox[{
                    UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                    StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "\[Equal]", 
                    StyleBox["n", "ExpressionVariable"]}]], 
                 RowBox[{
                   StyleBox["T", "ExpressionVariable"], "\[Element]", 
                   StyleBox[
                   "A", "ExpressionVariable"]}]}]}]}]}]}], \
$CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:21488136"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p21488136-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p21488136-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:21488136", "Proof|ID:21488136-1"},
 CellID->472932529],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p21488136-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->133322]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(DomainTuples isDomain)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(DomainTuples isDomain)\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isDomain", "[", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
           "\[Implies]", 
           RowBox[{"isDomain", "[", 
             RowBox[{"DomainTuples", "[", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isDomain", "[", 
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
           "\[Implies]", 
           RowBox[{"isDomain", "[", 
             RowBox[{"DomainTuples", "[", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:149029649"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p149029649-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p149029649-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:149029649", "Proof|ID:149029649-1"},
 CellID->11980074],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p149029649-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {38., 45.}}]], "ProofInfoBody",
 CellID->332586239]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Sums over DomainTuples (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.633170798363154*^9, 3.633170804277973*^9}, {
   3.6416328461067343`*^9, 3.641632846941669*^9}, 3.6554583251213512`*^9, {
   3.659688624289236*^9, 3.6596886283140435`*^9}},
 CellID->1089906640],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"\[ScriptCapitalD]", ",", "f"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 281029623}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633170839525445*^9, 3.633170854362731*^9}},
 CellTags->{
  "ID:281029623", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->281029623],

Cell["", "OpenEnvironment",
 CellID->208371929],

Cell[CellGroupData[{

Cell["Lemma: Sums over Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.633170829953638*^9, 3.633170833477767*^9}},
 CellID->943473275],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"isClosed", "[", 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      TagBox[
       UnderscriptBox["+", "\[ScriptCapitalD]"],
       Identity], 
      TagBox[")",
       "AutoParentheses"]}], ",", "\[ScriptCapitalD]"}], "]"}], "\[And]", 
   RowBox[{"isNeutral", "[", 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      TagBox[
       UnderscriptBox["+", "\[ScriptCapitalD]"],
       Identity], 
      TagBox[")",
       "AutoParentheses"]}], ",", 
     UnderscriptBox["0", "\[ScriptCapitalD]"], ",", "\[ScriptCapitalD]"}], 
    "]"}]}], "\[Implies]", 
  RowBox[{
   UnderscriptBox["\[ForAll]", 
    RowBox[{
     UnderscriptBox["\[Element]", 
      RowBox[{"DomainTuples", "[", "\[ScriptCapitalD]", "]"}]], 
     RowBox[{"[", "T", "]"}]}]], 
   RowBox[{
    UnderscriptBox["\[ForAll]", 
     RowBox[{
      RowBox[{"k", "=", "0"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
      RowBox[{"[", 
       RowBox[{
        UnderscriptBox[
         SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "k"}]], 
        SubscriptBox["T", "i"]}], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Sum] tuples domain)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:2053740245", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633170883388095*^9, 3.6331709457854*^9}, 
   3.641632896125016*^9, {3.641632948372033*^9, 3.641632956984322*^9}, {
   3.6416330341035748`*^9, 3.641633118073971*^9}},
 CellTags->{
  "ID:2053740245", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples domain", "IR"},
 CellID->2053740245],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->582921584]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->181146461],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Sum] tuples domain,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Sum] tuples domain,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isClosed", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isNeutral", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 UnderscriptBox["0", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
               "]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "0"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["k", "ExpressionVariable"]}]}}]], 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{"isClosed", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isNeutral", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 UnderscriptBox["0", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
               "]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["T", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["k", "ExpressionVariable"], "=", "0"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["k", "ExpressionVariable"]}]}}]], 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:2053740245"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p2053740245-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p2053740245-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:2053740245", "Proof|ID:2053740245-1"},
 CellID->34713279],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p2053740245-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->289246708]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->588437034],

Cell[CellGroupData[{

Cell["Lemma: Sums over Join/Append Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.63316695598682*^9, 3.6331669600582237`*^9}, {
  3.6331708197095346`*^9, 3.63317082231677*^9}},
 CellID->344618667],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   RowBox[{
    UnderscriptBox["\[Element]", 
     RowBox[{"DomainTuples", "[", "\[ScriptCapitalD]", "]"}]], 
    RowBox[{"[", 
     RowBox[{"T", ",", "S"}], "]"}]}], ",", 
   RowBox[{
    UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
    RowBox[{"[", "a", "]"}]}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1812573889}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633166968132859*^9, 3.6331670079888353`*^9}, {
  3.6331670508414993`*^9, 3.6331670776953897`*^9}},
 CellTags->{
  "ID:1812573889", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1812573889],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"n", "=", "0"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
      RowBox[{"f", "[", 
       SubscriptBox[
        RowBox[{"(", 
         RowBox[{"T", 
          TagBox["\:22c8",
           Identity,
           SyntaxForm->"a*b"], "S"}], ")"}], "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
      RowBox[{"f", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Sum] tuples splitting I)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:850429787", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633169494372428*^9, 3.63316955116206*^9}},
 CellTags->{
  "ID:850429787", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples splitting I", "IR"},
 CellID->850429787],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"n", "=", "0"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
      RowBox[{"f", "[", 
       SubscriptBox[
        RowBox[{"(", 
         RowBox[{"T", 
          TagBox["\:22c8",
           Identity,
           SyntaxForm->"a*b"], "S"}], ")"}], 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "+", 
         "i"}]], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
      RowBox[{"f", "[", 
       SubscriptBox["S", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Sum] tuples splitting II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1070084809", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633169561560691*^9, 3.6331695883193197`*^9}},
 CellTags->{
  "ID:1070084809", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples splitting II", "IR"},
 CellID->1070084809],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"T", 
        TagBox["\:293a",
         Identity,
         SyntaxForm->"a*b"], "a"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{"f", "[", 
     SubscriptBox[
      RowBox[{"(", 
       RowBox[{"T", 
        TagBox["\:293a",
         Identity,
         SyntaxForm->"a*b"], "a"}], ")"}], "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"f", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], 
    UnderscriptBox["+", "\[ScriptCapitalD]"], 
    RowBox[{"f", "[", "a", "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Sum] tuples append)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1286863438", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633166995644891*^9, 3.633167017435327*^9}, {
  3.633167083874427*^9, 3.633167128998975*^9}, {3.659674755544544*^9, 
  3.6596747564181457`*^9}},
 CellTags->{
  "ID:1286863438", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples append", "IR"},
 CellID->1286863438],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     UnderscriptBox["\[ForAll]", 
      RowBox[{
       UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
       RowBox[{"[", "x", "]"}]}]], 
     RowBox[{
      UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
      RowBox[{"[", 
       RowBox[{"f", "[", "x", "]"}], "]"}]}]}], 
    TagBox[")",
     "AutoParentheses"]}], "\[And]", 
   RowBox[{"isClosed", "[", 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      TagBox[
       UnderscriptBox["+", "\[ScriptCapitalD]"],
       Identity], 
      TagBox[")",
       "AutoParentheses"]}], ",", "\[ScriptCapitalD]"}], "]"}], "\[And]", 
   RowBox[{"isAssoc", "[", 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      TagBox[
       UnderscriptBox["+", "\[ScriptCapitalD]"],
       Identity], 
      TagBox[")",
       "AutoParentheses"]}], ",", "\[ScriptCapitalD]"}], "]"}], "\[And]", 
   RowBox[{"isNeutral", "[", 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      TagBox[
       UnderscriptBox["+", "\[ScriptCapitalD]"],
       Identity], 
      TagBox[")",
       "AutoParentheses"]}], ",", 
     UnderscriptBox["0", "\[ScriptCapitalD]"], ",", "\[ScriptCapitalD]"}], 
    "]"}]}], "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1880290617}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.641639625987502*^9, 3.641639633108328*^9}, {
  3.6596734884237113`*^9, 3.6596734902031145`*^9}},
 CellTags->{
  "ID:1880290617", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1880290617],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    RowBox[{"n", "=", "0"}], ",", "\[Ellipsis]", ",", 
    RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}], "+", 
         "n"}]}]], 
      RowBox[{"f", "[", 
       SubscriptBox[
        RowBox[{"(", 
         RowBox[{"T", 
          TagBox["\:22c8",
           Identity,
           SyntaxForm->"a*b"], "S"}], ")"}], "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      RowBox[{
       UnderscriptBox[
        SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
         RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
       RowBox[{"f", "[", 
        SubscriptBox["T", "i"], "]"}]}], 
      TagBox[")",
       "AutoParentheses"]}], 
     UnderscriptBox["+", "\[ScriptCapitalD]"], 
     RowBox[{
      TagBox["(",
       "AutoParentheses"], 
      RowBox[{
       UnderscriptBox[
        SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
       RowBox[{"f", "[", 
        SubscriptBox["S", "i"], "]"}]}], 
      TagBox[")",
       "AutoParentheses"]}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Sum] tuples splitting III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:654350327", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6416394892195044`*^9, 3.641639547573902*^9}},
 CellTags->{
  "ID:654350327", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples splitting III", "IR"},
 CellID->654350327],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    UnderscriptBox[
     SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
      RowBox[{"\[LeftBracketingBar]", 
       RowBox[{"T", 
        TagBox["\:22c8",
         Identity,
         SyntaxForm->"a*b"], "S"}], "\[RightBracketingBar]"}]}]], 
    RowBox[{"f", "[", 
     SubscriptBox[
      RowBox[{"(", 
       RowBox[{"T", 
        TagBox["\:22c8",
         Identity,
         SyntaxForm->"a*b"], "S"}], ")"}], "i"], "]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Equal]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "T", "\[RightBracketingBar]"}]}]], 
      RowBox[{"f", "[", 
       SubscriptBox["T", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}], 
    UnderscriptBox["+", "\[ScriptCapitalD]"], 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
      RowBox[{"f", "[", 
       SubscriptBox["S", "i"], "]"}]}], 
     TagBox[")",
      "AutoParentheses"]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Sum] join)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:309986851", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633167162736012*^9, 3.633167203131736*^9}, {
  3.636875349345829*^9, 3.636875370271562*^9}, {3.641633284757285*^9, 
  3.64163328979636*^9}, {3.641634974185841*^9, 3.641634983003674*^9}, {
  3.64163962923459*^9, 3.6416396311181717`*^9}},
 CellTags->{
  "ID:309986851", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] join", "IR"},
 CellID->309986851],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->855612812]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->1158894243],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Sum] tuples splitting I,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Sum] tuples splitting I,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               RowBox[{
                 StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox["i", "ExpressionVariable"]], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               RowBox[{
                 StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["T", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                StyleBox["T", "ExpressionVariable"], 
                StyleBox["i", "ExpressionVariable"]], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:850429787"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p850429787-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p850429787-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:850429787", "Proof|ID:850429787-1"},
 CellID->805888690],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p850429787-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->443433693]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Sum] tuples splitting II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Sum] tuples splitting II,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               RowBox[{
                 StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", 
                  StyleBox["i", "ExpressionVariable"]}]], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                StyleBox["S", "ExpressionVariable"], 
                StyleBox["i", "ExpressionVariable"]], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               RowBox[{
                 StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
               "\[Ellipsis]", ",", 
               RowBox[{"\[LeftBracketingBar]", 
                 StyleBox["S", "ExpressionVariable"], 
                 "\[RightBracketingBar]"}]}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:22c8", 
                  StyleBox["S", "ExpressionVariable"]}], 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", 
                  StyleBox["i", "ExpressionVariable"]}]], "]"}]}], "\[Equal]", 
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   StyleBox["n", "ExpressionVariable"]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                StyleBox["S", "ExpressionVariable"], 
                StyleBox["i", "ExpressionVariable"]], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1070084809"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1070084809-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1070084809-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1070084809", "Proof|ID:1070084809-1"},
 CellID->737857729],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1070084809-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->520521512]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Sum] tuples append,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Sum] tuples append,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:293a", 
                  StyleBox["a", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], 
             UnderscriptBox["+", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               StyleBox["a", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["a", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             UnderscriptBox[
              SubscriptBox["\[Sum]", 
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:293a", 
                    StyleBox["a", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               SubscriptBox[
                RowBox[{
                  StyleBox["T", "ExpressionVariable"], "\:293a", 
                  StyleBox["a", "ExpressionVariable"]}], 
                StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  StyleBox["T", "ExpressionVariable"], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], 
             UnderscriptBox["+", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
             RowBox[{
               StyleBox["f", "ExpressionVariable"], "[", 
               StyleBox["a", "ExpressionVariable"], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1286863438"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1286863438-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1286863438-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1286863438", "Proof|ID:1286863438-1"},
 CellID->377244128],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1286863438-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->476315314]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Sum] tuples splitting III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Sum] tuples splitting III,[IR])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
             "\[And]", 
             RowBox[{"isClosed", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isAssoc", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isNeutral", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 UnderscriptBox["0", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
               "]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", 
                    StyleBox["n", "ExpressionVariable"]}]}]}}]], 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                    "]"}]}]}]}]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
             "\[And]", 
             RowBox[{"isClosed", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isAssoc", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isNeutral", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 UnderscriptBox["0", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
               "]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
                   "\[Ellipsis]", ",", 
                   RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
             RowBox[{
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "+", 
                    StyleBox["n", "ExpressionVariable"]}]}]}}]], 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
               RowBox[{
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                   RowBox[{
                    StyleBox["f", "ExpressionVariable"], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                    "]"}]}]}]}]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:654350327"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p654350327-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p654350327-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:654350327", "Proof|ID:654350327-1"},
 CellID->267732970],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p654350327-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {46., 52.}}]], "ProofInfoBody",
 CellID->186494893]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Sum] join,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Sum] join,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
             "\[And]", 
             RowBox[{"isClosed", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isAssoc", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isNeutral", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 UnderscriptBox["0", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
               "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
             RowBox[{
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
               UnderscriptBox["+", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          GridBox[{{
             StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}, {
             StyleBox["f", "ExpressionVariable"]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["T", "ExpressionVariable"], "]"}]}, {
             RowBox[{
               UnderscriptBox["\[Element]", 
                RowBox[{"DomainTuples", "[", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], "]"}]],
                "[", 
               StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    UnderscriptBox["\[Element]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    StyleBox["x", "ExpressionVariable"], "]"}]}}]], 
               RowBox[{
                 UnderscriptBox["\[Element]", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   StyleBox["x", "ExpressionVariable"], "]"}], "]"}]}], 
             "\[And]", 
             RowBox[{"isClosed", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isAssoc", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], "]"}],
              "\[And]", 
             RowBox[{"isNeutral", "[", 
               RowBox[{
                 UnderscriptBox["+", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 UnderscriptBox["0", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}], 
               "]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               UnderscriptBox[
                SubscriptBox["\[Sum]", 
                 StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 StyleBox["f", "ExpressionVariable"], "[", 
                 SubscriptBox[
                  RowBox[{
                    StyleBox["T", "ExpressionVariable"], "\:22c8", 
                    StyleBox["S", "ExpressionVariable"]}], 
                  StyleBox["i", "ExpressionVariable"]], "]"}]}], "\[Equal]", 
             RowBox[{
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["T", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["T", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], "]"}]}], 
               UnderscriptBox["+", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                 RowBox[{
                   StyleBox["f", "ExpressionVariable"], "[", 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:309986851"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p309986851-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p309986851-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:309986851", "Proof|ID:309986851-1"},
 CellID->104597619],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p309986851-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->69562624]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->1747670649],

Cell[CellGroupData[{

Cell["Lemma: Sums over Abstraction Tuples", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6331702153743277`*^9, 3.6331702218574667`*^9}},
 CellID->1301983242],

Cell[BoxData[
 RowBox[{
  RowBox[{"isGroup", "[", 
   RowBox[{"\[ScriptCapitalD]", ",", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     TagBox[
      UnderscriptBox["+", "\[ScriptCapitalD]"],
      Identity], 
     TagBox[")",
      "AutoParentheses"]}], ",", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     TagBox[
      UnderscriptBox["Minus", "\[ScriptCapitalD]"],
      Identity], 
     TagBox[")",
      "AutoParentheses"]}], ",", 
    UnderscriptBox["0", "\[ScriptCapitalD]"]}], "]"}], 
  "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 1738240000}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633170623152486*^9, 3.633170669824666*^9}, {
  3.641634585127028*^9, 3.641634603319139*^9}, {3.6416363077216377`*^9, 
  3.641636363108034*^9}, {3.64163736268972*^9, 3.64163738818812*^9}},
 CellTags->{
  "ID:1738240000", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1738240000],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    UnderscriptBox["\[Element]", 
     RowBox[{"DomainTuples", "[", "\[ScriptCapitalD]", "]"}]], 
    RowBox[{"[", "S", "]"}]}]], 
  RowBox[{
   UnderscriptBox["\[ForAll]", 
    RowBox[{
     RowBox[{"n", "=", "0"}], ",", "\[Ellipsis]", ",", 
     RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", "n"}]], 
      SubscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{
          UnderscriptBox["-", "\[ScriptCapitalD]"], 
          SubscriptBox["S", 
           RowBox[{
            RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], 
            "-", 
            RowBox[{"(", 
             RowBox[{"j", "-", "1"}], ")"}]}]]}], 
         UnderscriptBox["|", 
          RowBox[{
           RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
           RowBox[{
           "\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]]}], 
        "\[RightAngleBracket]"}], "i"]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Equal]", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      UnderscriptBox["-", "\[ScriptCapitalD]"], 
      RowBox[{
       UnderscriptBox[
        SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
        RowBox[{
         RowBox[{"i", "=", 
          RowBox[{
           RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], 
           "-", 
           RowBox[{"(", 
            RowBox[{"n", "-", "1"}], ")"}]}]}], ",", "\[Ellipsis]", ",", 
         RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
       SubscriptBox["S", "i"]}]}], 
     TagBox[")",
      "AutoParentheses"]}]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Sum] TupleOf II)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:870134514", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.633170408549778*^9, 3.6331705773847713`*^9}},
 CellTags->{
  "ID:870134514", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] TupleOf II", "IR"},
 CellID->870134514],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{
    UnderscriptBox["\[Element]", 
     RowBox[{"DomainTuples", "[", "\[ScriptCapitalD]", "]"}]], 
    RowBox[{"[", "S", "]"}]}]], 
  RowBox[{
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     UnderscriptBox[
      SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
       RowBox[{"\[LeftBracketingBar]", 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{
          RowBox[{
           UnderscriptBox["-", "\[ScriptCapitalD]"], 
           SubscriptBox["S", 
            RowBox[{
             RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], 
             "-", 
             RowBox[{"(", 
              RowBox[{"j", "-", "1"}], ")"}]}]]}], 
          UnderscriptBox["|", 
           RowBox[{
            RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
            RowBox[{
            "\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]]}], 
         "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]], 
     SubscriptBox[
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{
         UnderscriptBox["-", "\[ScriptCapitalD]"], 
         SubscriptBox["S", 
          RowBox[{
           RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}], 
           "-", 
           RowBox[{"(", 
            RowBox[{"j", "-", "1"}], ")"}]}]]}], 
        UnderscriptBox["|", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", "\[Ellipsis]", ",", 
          RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]]}],
        "\[RightAngleBracket]"}], "i"]}], 
    TagBox[")",
     "AutoParentheses"]}], "\[Equal]", 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    RowBox[{
     UnderscriptBox["-", "\[ScriptCapitalD]"], 
     RowBox[{
      UnderscriptBox[
       SubscriptBox["\[Sum]", "\[ScriptCapitalD]"], 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
        RowBox[{"\[LeftBracketingBar]", "S", "\[RightBracketingBar]"}]}]], 
      SubscriptBox["S", "i"]}]}], 
    TagBox[")",
     "AutoParentheses"]}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(\[Sum] TupleOf III)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:1688189650", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.642221208735217*^9, 3.6422212233900423`*^9}, 
   3.642221381448848*^9},
 CellTags->{
  "ID:1688189650", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] TupleOf III", "IR"},
 CellID->1688189650],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->119963577]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->2146347362],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Sum] TupleOf II,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Sum] TupleOf II,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isGroup", "[", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               UnderscriptBox["+", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
               UnderscriptBox["Minus", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
               UnderscriptBox["0", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]]}], "]"}],
            "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]]}], "\[Equal]", 
                 RowBox[{
                   UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                   RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "-", "1"}], 
                    ")"}]}]}], ",", "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isGroup", "[", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               UnderscriptBox["+", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
               UnderscriptBox["Minus", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
               UnderscriptBox["0", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]]}], "]"}],
            "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               UnderscriptBox["\[ForAll]", 
                GridBox[{{
                   RowBox[{
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "=", "0"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
               RowBox[{
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    StyleBox["n", "ExpressionVariable"]}]}}]], 
                   SubscriptBox[
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                    StyleBox["i", "ExpressionVariable"]]}], "\[Equal]", 
                 RowBox[{
                   UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                   RowBox[{
                    UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["n", "ExpressionVariable"], "-", "1"}], 
                    ")"}]}]}], ",", "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:870134514"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p870134514-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p870134514-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:870134514", "Proof|ID:870134514-1"},
 CellID->246649316],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p870134514-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->538935110]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(\[Sum] TupleOf III,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(\[Sum] TupleOf III,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isGroup", "[", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               UnderscriptBox["+", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
               UnderscriptBox["Minus", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
               UnderscriptBox["0", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]]}], "]"}],
            "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["i", "ExpressionVariable"]]}], "\[Equal]", 
               RowBox[{
                 UnderscriptBox["Minus", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{"isGroup", "[", 
             RowBox[{
               StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], ",", 
               UnderscriptBox["+", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
               UnderscriptBox["Minus", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], ",", 
               UnderscriptBox["0", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]]}], "]"}],
            "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   UnderscriptBox["\[Element]", 
                    RowBox[{"DomainTuples", "[", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"], 
                    "]"}]], "[", 
                   StyleBox["S", "ExpressionVariable"], "]"}]}}]], 
             RowBox[{
               RowBox[{
                 UnderscriptBox[
                  SubscriptBox["\[Sum]", 
                   StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                  GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], "\[RightBracketingBar]"}]}]}}]], 
                 SubscriptBox[
                  RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    RowBox[{
                    UnderscriptBox["Minus", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                    SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "-", "1"}], ")"}]}]],
                     "]"}], 
                    UnderscriptBox["|", 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["j", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]]}], 
                    "\[RightAngleBracket]"}], 
                  StyleBox["i", "ExpressionVariable"]]}], "\[Equal]", 
               RowBox[{
                 UnderscriptBox["Minus", 
                  StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
                 RowBox[{
                   UnderscriptBox[
                    SubscriptBox["\[Sum]", 
                    StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], 
                    GridBox[{{
                    RowBox[{
                    RowBox[{
                    StyleBox["i", "ExpressionVariable"], "=", "1"}], ",", 
                    "\[Ellipsis]", ",", 
                    RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["S", "ExpressionVariable"], 
                    "\[RightBracketingBar]"}]}]}}]], 
                   SubscriptBox[
                    StyleBox["S", "ExpressionVariable"], 
                    StyleBox["i", "ExpressionVariable"]]}], 
                 "]"}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:1688189650"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p1688189650-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p1688189650-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:1688189650", "Proof|ID:1688189650-1"},
 CellID->67920199],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p1688189650-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {31., 37.}}]], "ProofInfoBody",
 CellID->832898220]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Notions Defined in Terms of Tuples (\[Checkmark])\
\>", "Section",
 CellChangeTimes->{{3.6567476723686743`*^9, 3.6567476782966843`*^9}, {
  3.6567511156544485`*^9, 3.656751119648056*^9}},
 CellID->25380137],

Cell[CellGroupData[{

Cell["Min & Max (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.656747686689499*^9, 3.656747694083912*^9}, {
  3.657880588383914*^9, 3.657880592252721*^9}},
 CellID->436562785],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"x", ",", "y"}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 6091443}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656747733115181*^9, 3.656747756338422*^9}, 
   3.657880643514411*^9, {3.6578812025683928`*^9, 3.6578812027867937`*^9}, {
   3.6578813371820297`*^9, 3.65788133735363*^9}},
 CellTags->{
  "ID:6091443", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->6091443],

Cell[CellGroupData[{

Cell["Definitions", "Subsubsection",
 CellChangeTimes->{{3.6567476996375217`*^9, 3.6567477022427263`*^9}},
 CellID->232256460],

Cell[TextData[{
 "In ",
 StyleBox["Theorema",
  FontSlant->"Italic"],
 ", min and max are only defined for sets and tuples, even if the number of \
elements to be compared is restricted to two."
}], "Text",
 CellChangeTimes->{{3.656747827661747*^9, 3.6567478570677986`*^9}, {
  3.6578811523051047`*^9, 3.6578811525391054`*^9}},
 CellID->83817268],

Cell["", "OpenEnvironment",
 CellID->57316334],

Cell[CellGroupData[{

Cell["Definition: Min and Max of Pairs", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6567477074375353`*^9, 3.6567477286223726`*^9}, {
  3.6567485948876944`*^9, 3.6567485956988955`*^9}},
 CellID->238018049],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   TagBox["\[PrecedesEqual]",
    Identity], 
   TagBox[")",
    "AutoParentheses"]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 5152788}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6578813327672215`*^9, 3.6578813393660336`*^9}},
 CellTags->{
  "ID:5152788", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->5152788],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["min", "\[PrecedesEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}], ":=", 
  RowBox[{"\[Piecewise]", GridBox[{
     {"y", "\[DoubleLeftArrow]", 
      RowBox[{"y", "\[PrecedesEqual]", "x"}]},
     {"x", "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(min pair)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:459374459", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656747762250832*^9, 3.6567478135125217`*^9}},
 CellTags->{
  "ID:459374459", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "min pair"},
 CellID->459374459],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["max", "\[PrecedesEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}], ":=", 
  RowBox[{"\[Piecewise]", GridBox[{
     {"x", "\[DoubleLeftArrow]", 
      RowBox[{"y", "\[PrecedesEqual]", "x"}]},
     {"y", "\[DoubleLeftArrow]", "otherwise"}
    }]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(max pair)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:845525504", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6567478070697107`*^9, 3.656747809050914*^9}},
 CellTags->{
  "ID:845525504", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max pair"},
 CellID->845525504],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->46251727]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->111854752]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Lemmas: General Properties of Min and Max (\[Checkmark])\
\>", "Subsubsection",
 CellChangeTimes->{{3.6567479007010756`*^9, 3.656747918266706*^9}, {
  3.6567480266400967`*^9, 3.656748031179704*^9}, {3.656748680625445*^9, 
  3.6567486848062525`*^9}},
 CellID->136755169],

Cell["\<\
Since nothing about \[PrecedesEqual] is known, there is little to say about \
min and max in general.\
\>", "Text",
 CellChangeTimes->{{3.6567480433165255`*^9, 3.656748065234564*^9}},
 CellID->183701788],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   TagBox["\[PrecedesEqual]",
    Identity], 
   TagBox[")",
    "AutoParentheses"]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 261689886}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6578813649968786`*^9, 3.6578813751836963`*^9}},
 CellTags->{
  "ID:261689886", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->261689886],

Cell["", "OpenEnvironment",
 CellID->339568266],

Cell[CellGroupData[{

Cell["Lemma: General Properties of Min and Max", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6567479243039165`*^9, 3.656747928188323*^9}, {
  3.6567480341125097`*^9, 3.6567480382309165`*^9}},
 CellID->490616914],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["min", "\[PrecedesEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "x"}], "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
  "x"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(min identical)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:781169161", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.65674807428258*^9, 3.656748083361796*^9}},
 CellTags->{
  "ID:781169161", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "min identical", "IR"},
 CellID->781169161],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["max", "\[PrecedesEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "x"}], "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
  "x"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(max identical)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:229791028", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6567479853000236`*^9, 3.656748002070053*^9}},
 CellTags->{
  "ID:229791028", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max identical", "IR"},
 CellID->229791028],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->122323998]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->4770101],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(min identical,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(min identical,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["\[PrecedesEqual]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             SubscriptBox["min", 
              StyleBox["\[PrecedesEqual]", "ExpressionVariable"]], "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["\[PrecedesEqual]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             SubscriptBox["min", 
              StyleBox["\[PrecedesEqual]", "ExpressionVariable"]], "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:781169161"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p781169161-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p781169161-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:781169161", "Proof|ID:781169161-1"},
 CellID->181429837],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p781169161-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->214578080]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(max identical,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(max identical,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["\[PrecedesEqual]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             SubscriptBox["max", 
              StyleBox["\[PrecedesEqual]", "ExpressionVariable"]], "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["\[PrecedesEqual]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             SubscriptBox["max", 
              StyleBox["\[PrecedesEqual]", "ExpressionVariable"]], "[", 
             RowBox[{"\[LeftAngleBracket]", 
               RowBox[{
                 StyleBox["x", "ExpressionVariable"], ",", 
                 StyleBox["x", "ExpressionVariable"]}], 
               "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
           StyleBox[
           "x", "ExpressionVariable"]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:229791028"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p229791028-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p229791028-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:229791028", "Proof|ID:229791028-1"},
 CellID->172019970],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p229791028-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->17713675]
}, Closed]],

Cell["", "OpenEnvironment",
 CellID->81130295],

Cell[CellGroupData[{

Cell["Lemma: Domain Membership", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.657880871807012*^9, 3.657880881073428*^9}},
 CellID->195383743],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", "\[ScriptCapitalD]"]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 102682926}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.657880885847037*^9, 3.657880889294643*^9}},
 CellTags->{
  "ID:102682926", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->102682926],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
     RowBox[{"[", "x", "]"}]}], "\[And]", 
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
     RowBox[{"[", "y", "]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
   RowBox[{"[", 
    RowBox[{
     SubscriptBox["min", "\[PrecedesEqual]"], "[", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}], 
    "]"}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(membership min)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:10580625", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.657880763807022*^9, 3.6578808502633743`*^9}, {
  3.657880901774665*^9, 3.657880907777876*^9}},
 CellTags->{
  "ID:10580625", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "membership min", "IR"},
 CellID->10580625],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
     RowBox[{"[", "x", "]"}]}], "\[And]", 
    RowBox[{
     UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
     RowBox[{"[", "y", "]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]", 
  RowBox[{
   UnderscriptBox["\[Element]", "\[ScriptCapitalD]"], 
   RowBox[{"[", 
    RowBox[{
     SubscriptBox["max", "\[PrecedesEqual]"], "[", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}], 
    "]"}]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(membership max)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:50619968", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6578809162142897`*^9, 3.657880919147095*^9}},
 CellTags->{
  "ID:50619968", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "membership max", "IR"},
 CellID->50619968],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->59778245]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->104237830],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(membership min,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(membership min,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["\[PrecedesEqual]", "ExpressionVariable"], ",", 
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["y", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
             RowBox[{
               SubscriptBox["min", 
                StyleBox["\[PrecedesEqual]", "ExpressionVariable"]], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["\[PrecedesEqual]", "ExpressionVariable"], ",", 
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["y", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
             RowBox[{
               SubscriptBox["min", 
                StyleBox["\[PrecedesEqual]", "ExpressionVariable"]], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:10580625"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p10580625-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p10580625-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:10580625", "Proof|ID:10580625-1"},
 CellID->662596399],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p10580625-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->28617893]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(membership max,[IR])\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(membership max,[IR])\"\>", "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["\[PrecedesEqual]", "ExpressionVariable"], ",", 
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["y", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
             RowBox[{
               SubscriptBox["max", 
                StyleBox["\[PrecedesEqual]", "ExpressionVariable"]], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"], ",", 
            StyleBox["\[PrecedesEqual]", "ExpressionVariable"], ",", 
            StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["x", "ExpressionVariable"], "]"}], "\[And]", 
             RowBox[{
               UnderscriptBox["\[Element]", 
                StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
               StyleBox["y", "ExpressionVariable"], "]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[Element]", 
              StyleBox["\[ScriptCapitalD]", "ExpressionVariable"]], "[", 
             RowBox[{
               SubscriptBox["max", 
                StyleBox["\[PrecedesEqual]", "ExpressionVariable"]], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], 
             "]"}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:50619968"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p50619968-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p50619968-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:50619968", "Proof|ID:50619968-1"},
 CellID->655005757],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p50619968-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->140043407]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Lemmas: Max in \[DoubleStruckCapitalZ] (\[Checkmark])", "Subsubsection",
 CellChangeTimes->{{3.656748143765102*^9, 3.6567481524075174`*^9}, 
   3.6567482301424537`*^9, {3.656751015611473*^9, 3.6567510196674805`*^9}},
 CellID->672241854],

Cell["", "OpenEnvironment",
 CellID->617623956],

Cell[CellGroupData[{

Cell["Lemma: Max in \[DoubleStruckCapitalZ]", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.6567482202988367`*^9, 3.6567482266168475`*^9}},
 CellID->500485495],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{"x", "\[Element]", "\[DoubleStruckCapitalZ]"}], "\[And]", 
    RowBox[{"y", "\[Element]", "\[DoubleStruckCapitalZ]"}]}], 
   TagBox[")",
    "AutoParentheses"]}], "\[Implies]"}]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 879231940}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.6567481724847527`*^9, 3.6567481823283696`*^9}},
 CellTags->{
  "ID:879231940", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->879231940],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["max", "\[LessEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}], "\[Element]", 
  "\[DoubleStruckCapitalZ]"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(max \[Element] \[DoubleStruckCapitalZ])", "FrameLabel"], 
        "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:12810555", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656751606264711*^9, 3.6567516097279167`*^9}},
 CellTags->{
  "ID:12810555", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[Element] \[DoubleStruckCapitalZ]"},
 CellID->12810555],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["max", "\[LessEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
  RowBox[{
   SubscriptBox["max", "\[LessEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"y", ",", "x"}], "\[RightAngleBracket]"}], 
   "]"}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(max \[DoubleStruckCapitalZ] comm)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:82857207", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656748345660657*^9, 3.6567483685614967`*^9}},
 CellTags->{
  "ID:82857207", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[DoubleStruckCapitalZ] comm"},
 CellID->82857207],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["max", "\[LessEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}], 
  "\[GreaterEqual]", "x"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox[
        "(max \[DoubleStruckCapitalZ] \[GreaterEqual] 1)", "FrameLabel"], 
        "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:201025959", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.65674823934647*^9, 3.656748255461298*^9}, {
  3.656748304460984*^9, 3.6567483080489902`*^9}},
 CellTags->{
  "ID:201025959", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[DoubleStruckCapitalZ] \[GreaterEqual] 1"},
 CellID->201025959],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["max", "\[LessEqual]"], "[", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}], 
  "\[GreaterEqual]", "y"}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox[
        "(max \[DoubleStruckCapitalZ] \[GreaterEqual] 2)", "FrameLabel"], 
        "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:64253862", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656748269610523*^9, 3.6567482715293264`*^9}, {
  3.6567483103265944`*^9, 3.6567483124949985`*^9}},
 CellTags->{
  "ID:64253862", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[DoubleStruckCapitalZ] \[GreaterEqual] 2"},
 CellID->64253862],

Cell[BoxData[
 RowBox[{
  UnderscriptBox["\[ForAll]", 
   RowBox[{"z", "\[Element]", "\[DoubleStruckCapitalZ]"}]], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     RowBox[{
      RowBox[{"z", "\[GreaterEqual]", "x"}], "\[And]", 
      RowBox[{"z", "\[GreaterEqual]", "y"}]}], 
     TagBox[")",
      "AutoParentheses"]}], "\[Implies]", 
    RowBox[{"z", "\[GreaterEqual]", 
     RowBox[{
      SubscriptBox["max", "\[LessEqual]"], "[", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"x", ",", "y"}], "\[RightAngleBracket]"}], "]"}]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(max \[DoubleStruckCapitalZ] \[LessEqual])", "FrameLabel"], 
        "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:54073160", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.656748288798557*^9, 3.6567483330246344`*^9}},
 CellTags->{
  "ID:54073160", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[DoubleStruckCapitalZ] \[LessEqual]"},
 CellID->54073160],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->395596944]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->382480309],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(max \[Element] \[DoubleStruckCapitalZ])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(max \[Element] \[DoubleStruckCapitalZ])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], "\[Element]", 
             "\[DoubleStruckCapitalZ]"}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], "\[Element]", 
             "\[DoubleStruckCapitalZ]"}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:12810555"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p12810555-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p12810555-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:12810555", "Proof|ID:12810555-1"},
 CellID->17985349],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p12810555-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->169676112]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(max \[DoubleStruckCapitalZ] comm)\"\>", "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(max \[DoubleStruckCapitalZ] comm)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["y", "ExpressionVariable"], ",", 
                   StyleBox["x", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], "\[Equal]", 
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["y", "ExpressionVariable"], ",", 
                   StyleBox["x", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], 
               "]"}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:82857207"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p82857207-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p82857207-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:82857207", "Proof|ID:82857207-1"},
 CellID->225257021],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p82857207-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->83083941]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(max \[DoubleStruckCapitalZ] \[GreaterEqual] 1)\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(max \[DoubleStruckCapitalZ] \[GreaterEqual] 1)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], "\[GreaterEqual]", 
             StyleBox[
             "x", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], "\[GreaterEqual]", 
             StyleBox[
             "x", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:201025959"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p201025959-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p201025959-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:201025959", "Proof|ID:201025959-1"},
 CellID->330895812],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p201025959-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->120292153]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(max \[DoubleStruckCapitalZ] \[GreaterEqual] 2)\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(max \[DoubleStruckCapitalZ] \[GreaterEqual] 2)\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], "\[GreaterEqual]", 
             StyleBox[
             "y", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm], 
      DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             RowBox[{
               SubscriptBox["max", "\[LessEqual]"], "[", 
               RowBox[{"\[LeftAngleBracket]", 
                 RowBox[{
                   StyleBox["x", "ExpressionVariable"], ",", 
                   StyleBox["y", "ExpressionVariable"]}], 
                 "\[RightAngleBracket]"}], "]"}], "\[GreaterEqual]", 
             StyleBox[
             "y", "ExpressionVariable"]}]}]}], $CellContext`TheoremaForm]], 
     "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:64253862"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p64253862-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p64253862-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:64253862", "Proof|ID:64253862-1"},
 CellID->174540704],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p64253862-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {24., 30.}}]], "ProofInfoBody",
 CellID->286113728]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  StyleBox["\<\"\[CheckmarkedBox]\"\>",
   StripOnInput->False,
   ShowStringCharacters->False]]],
 " Proof of ",
 Cell[BoxData[
  ButtonBox[
   TagBox[
    TooltipBox[
     PaneSelectorBox[{False->
      StyleBox["\<\"(max \[DoubleStruckCapitalZ] \[LessEqual])\"\>", 
       "FormReference",
       StripOnInput->False], True->
      StyleBox["\<\"(max \[DoubleStruckCapitalZ] \[LessEqual])\"\>", 
       "FormReferenceHover",
       StripOnInput->False]}, Dynamic[
       CurrentValue["MouseOver"]],
      FrameMargins->0,
      ImageSize->Automatic],
     TagBox[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   StyleBox["z", "ExpressionVariable"], "\[Element]", 
                   "\[DoubleStruckCapitalZ]"}]}}]], 
             RowBox[{
               RowBox[{
                 RowBox[{
                   StyleBox["z", "ExpressionVariable"], "\[GreaterEqual]", 
                   StyleBox["x", "ExpressionVariable"]}], "\[And]", 
                 RowBox[{
                   StyleBox["z", "ExpressionVariable"], "\[GreaterEqual]", 
                   StyleBox["y", "ExpressionVariable"]}]}], "\[Implies]", 
               RowBox[{
                 StyleBox["z", "ExpressionVariable"], "\[GreaterEqual]", 
                 RowBox[{
                   SubscriptBox["max", "\[LessEqual]"], "[", 
                   RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm], DisplayForm]],
    Annotation[#, 
     DisplayForm[
      FormBox[
       RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x", "ExpressionVariable"], ",", 
            StyleBox["y", "ExpressionVariable"]}]], 
         RowBox[{
           RowBox[{
             RowBox[{
               StyleBox["x", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}], "\[And]", 
             RowBox[{
               StyleBox["y", "ExpressionVariable"], "\[Element]", 
               "\[DoubleStruckCapitalZ]"}]}], "\[Implies]", 
           RowBox[{
             UnderscriptBox["\[ForAll]", 
              GridBox[{{
                 RowBox[{
                   StyleBox["z", "ExpressionVariable"], "\[Element]", 
                   "\[DoubleStruckCapitalZ]"}]}}]], 
             RowBox[{
               RowBox[{
                 RowBox[{
                   StyleBox["z", "ExpressionVariable"], "\[GreaterEqual]", 
                   StyleBox["x", "ExpressionVariable"]}], "\[And]", 
                 RowBox[{
                   StyleBox["z", "ExpressionVariable"], "\[GreaterEqual]", 
                   StyleBox["y", "ExpressionVariable"]}]}], "\[Implies]", 
               RowBox[{
                 StyleBox["z", "ExpressionVariable"], "\[GreaterEqual]", 
                 RowBox[{
                   SubscriptBox["max", "\[LessEqual]"], "[", 
                   RowBox[{"\[LeftAngleBracket]", 
                    RowBox[{
                    StyleBox["x", "ExpressionVariable"], ",", 
                    StyleBox["y", "ExpressionVariable"]}], 
                    "\[RightAngleBracket]"}], 
                   "]"}]}]}]}]}]}], $CellContext`TheoremaForm]], "Tooltip"]& ],
   Appearance->None,
   ButtonFunction:>NotebookLocate["ID:54073160"],
   Evaluator->Automatic,
   Method->"Preemptive"]]],
 " #1:   ",
 Cell[BoxData[
  ButtonBox[
   StyleBox["\<\"Show proof\"\>",
    StripOnInput->False,
    FontVariations->{"Underline"->True}],
   Appearance->None,
   ButtonFunction:>Theorema`Common`displayProof[
     ToExpression[
     "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \"p54073160-1-po.m\"}]"]],
   Evaluator->Automatic,
   ImageSize->Automatic,
   Method->"Queued"]]]
}], "ProofInfo",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Interface`GUI`Private`removeGroup[
         ButtonNotebook[], "p54073160-1"]]]]}, {None, None}},
 CellTags->{"Proof|ID:54073160", "Proof|ID:54073160-1"},
 CellID->92970741],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Refresh[
    ReplaceAll[
     Get[
      ToExpression[
      "FileNameJoin[{CurrentValue[\"NotebookDirectory\"], \
FileBaseName[CurrentValue[\"NotebookFileName\"]], \
\"p54073160-1-display.m\"}]"]], Theorema`Interface`GUI`Private`FORM -> 
     Theorema`Interface`GUI`Private`displayFormulaFromKey], 
    TrackedSymbols :> {Theorema`Common`$tmaEnv}], StandardForm],
  ImageSizeCache->{516., {25., 31.}}]], "ProofInfoBody",
 CellID->653813056]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Chains (\[Checkmark])", "Subsection",
 CellChangeTimes->{{3.6596900740103073`*^9, 3.6596900749151087`*^9}, {
  3.6596905992510567`*^9, 3.659690603416264*^9}},
 CellID->579992135],

Cell["", "OpenEnvironment",
 CellID->294612769],

Cell[CellGroupData[{

Cell["Definition: Chains", "EnvironmentHeader",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Common`removeEnvironment[
         ButtonNotebook[]]]]]}, {None, None}},
 CellChangeTimes->{{3.659690080499919*^9, 3.659690082980323*^9}},
 CellID->584270526],

Cell[BoxData[
 UnderscriptBox["\[ForAll]", 
  RowBox[{"\[ScriptCapitalD]", ",", "A", ",", "a", ",", 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    TagBox["\[Succeeds]",
     Identity], 
    TagBox[")",
     "AutoParentheses"]}], ",", 
   RowBox[{
    TagBox["(",
     "AutoParentheses"], 
    TagBox["\[LongRightArrow]",
     Identity], 
    TagBox[")",
     "AutoParentheses"]}]}]]], "GlobalDeclaration",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      ButtonBox[
      "\[Times]", Evaluator -> Automatic, Appearance -> None, ButtonFunction :> 
       Theorema`Language`Session`Private`removeGlobal[{
         "C:\\Users\\Alex\\Documents\\Doktorat\\Theorema Notebooks\\Reduction \
Ring Theory\\Tuples.nb", 943867900}]]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.659690488028062*^9, 3.659690531640538*^9}, {
  3.6620951456855574`*^9, 3.6620951460755577`*^9}},
 CellTags->{
  "ID:943867900", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->943867900],

Cell[BoxData[
 RowBox[{
  RowBox[{"isChain", "[", 
   RowBox[{"A", ",", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     TagBox["\[LongRightArrow]",
      Identity], 
     TagBox[")",
      "AutoParentheses"]}], ",", "\[ScriptCapitalD]"}], "]"}], 
  TagBox[
   RowBox[{
   ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
    "\[DoubleLongLeftRightArrow]"}],
   Identity,
   SyntaxForm->"a\[Implies]b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"\[And]", 
    RowBox[{"\[Piecewise]", GridBox[{
       {
        RowBox[{
         UnderscriptBox["\[Element]", 
          RowBox[{"DomainTuples", "[", "\[ScriptCapitalD]", "]"}]], 
         RowBox[{"[", "A", "]"}]}]},
       {
        RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
           RowBox[{
            RowBox[{"\[LeftBracketingBar]", "A", "\[RightBracketingBar]"}], 
            "-", "1"}]}]], 
         RowBox[{
          TagBox["(",
           "AutoParentheses"], 
          TagBox[
           RowBox[{
            SubscriptBox["A", "i"], "\[LongRightArrow]", 
            SubscriptBox["A", 
             RowBox[{"i", "+", "1"}]]}],
           Identity], 
          TagBox[")",
           "AutoParentheses"]}]}]}
      }]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isChain)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:152254973", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->{{3.591437774716039*^9, 3.591437887771508*^9}, {
   3.591437935392732*^9, 3.591437965587969*^9}, {3.59143822968857*^9, 
   3.591438232005582*^9}, {3.591439387791308*^9, 3.591439399535887*^9}, {
   3.591440569088863*^9, 3.591440593457582*^9}, {3.591440893413555*^9, 
   3.591440897245795*^9}, {3.591587094317123*^9, 3.591587097294861*^9}, 
   3.592025573409297*^9, {3.596183808721343*^9, 3.596183821263916*^9}, {
   3.59618389414743*^9, 3.596183989560325*^9}, {3.596187577877018*^9, 
   3.596187578101498*^9}, {3.596188972605784*^9, 3.596188974273382*^9}, {
   3.606127458597121*^9, 3.606127481011658*^9}, {3.607772660894508*^9, 
   3.607772693970762*^9}, {3.607772862607963*^9, 3.607772866862647*^9}, {
   3.610170383412346*^9, 3.610170410412175*^9}, {3.610170508834421*^9, 
   3.61017053164418*^9}, {3.610170751908764*^9, 3.610170755649925*^9}, {
   3.610171134311115*^9, 3.610171140155264*^9}, {3.610171479879758*^9, 
   3.610171489887421*^9}, {3.610177755102262*^9, 3.610177758063152*^9}, {
   3.6330783815540133`*^9, 3.633078383394277*^9}, {3.6330806642116203`*^9, 
   3.6330806795595284`*^9}, {3.633081007835086*^9, 3.633081014088964*^9}, 
   3.633081396440597*^9},
 CellTags->{
  "ID:152254973", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isChain"},
 CellID->152254973],

Cell[BoxData[
 RowBox[{
  RowBox[{"isChainBelow", "[", 
   RowBox[{"A", ",", "a", ",", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     TagBox["\[LongRightArrow]",
      Identity], 
     TagBox[")",
      "AutoParentheses"]}], ",", 
    RowBox[{
     TagBox["(",
      "AutoParentheses"], 
     TagBox["\[Succeeds]",
      Identity], 
     TagBox[")",
      "AutoParentheses"]}], ",", "\[ScriptCapitalD]"}], "]"}], 
  TagBox[
   RowBox[{
   ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
    "\[DoubleLongLeftRightArrow]"}],
   Identity,
   SyntaxForm->"a\[Implies]b"], 
  RowBox[{
   TagBox["(",
    "AutoParentheses"], 
   RowBox[{"\[And]", 
    RowBox[{"\[Piecewise]", GridBox[{
       {
        RowBox[{"isChain", "[", 
         RowBox[{"A", ",", 
          RowBox[{
           TagBox["(",
            "AutoParentheses"], 
           TagBox["\[LongRightArrow]",
            Identity], 
           TagBox[")",
            "AutoParentheses"]}], ",", "\[ScriptCapitalD]"}], "]"}]},
       {
        RowBox[{
         UnderscriptBox["\[ForAll]", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", "\[Ellipsis]", ",", 
           RowBox[{"\[LeftBracketingBar]", "A", "\[RightBracketingBar]"}]}]], 
         RowBox[{
          TagBox["(",
           "AutoParentheses"], 
          TagBox[
           RowBox[{"a", "\[Succeeds]", 
            SubscriptBox["A", "i"]}],
           Identity], 
          TagBox[")",
           "AutoParentheses"]}]}]}
      }]}]}], 
   TagBox[")",
    "AutoParentheses"]}]}]], "FormalTextInputFormula",
 CellFrameLabels->{{None, 
    Cell[
     BoxData[
      RowBox[{
        StyleBox["(isChainBelow)", "FrameLabel"], "  ", 
        ButtonBox[
        "\[Times]", Evaluator -> Automatic, Appearance -> None, 
         ButtonFunction :> 
         Theorema`Language`Session`Private`removeFormula[{
           "ID:130970035", 
            "Source:/home/amaletzk/Theorema \
Notebooks/ElementaryTheories/Tuples.nb"}]]}]]]}, {None, None}},
 ShowCellTags->False,
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQvX3Ol605h1452ik93wmiS8QLD4HoiwLtR0F0/rGt
J0F0167aMyBafMK/PXaHgfQNtr0g2mryGWvd068c5aZtsAXRJxXXOIJod5kW
FxA9w2H7Tz0g3bW/5xeIjhE+vUofSKd4Fa4G0dt5fxep3HvluPvPljIQnXO2
5Zj7w1eOzJWKp0C0RNepyyDac+7OqyDa6VL97FtPXzm++666DERnN9tvANHL
z6htBNEJil/5bgPpVTMdBUC07K6SDBB96ehuML0zvlnmHpD+X/kcTL+K1bYE
0Xsl7a1AtAt3MF+P4GvHfeHNYHpjfJFVL5DOUiqzBtE6XSrhIPoIK2cciAYA
Pj2vhQ==
  "],
 CellTags->{
  "ID:130970035", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isChainBelow"},
 CellID->130970035],

Cell["\[GraySquare]", "EndEnvironmentMarker",
 CellID->300990246]
}, Open  ]],

Cell["", "CloseEnvironment",
 CellID->519417299]
}, Closed]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1108, 757},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.,
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Theorema"}, "TheoremaCore.nb"]]], 
   Cell["Modify the definitions below to change the default appearance of all \
cells in a given style. \nMake modifications to any definition using commands \
in the Format menu.", "Text"], 
   Cell[
    CellGroupData[{
      Cell["Notebook Options Settings", "Section"], 
      Cell[
      "The options defined for the style below will be used at the Notebook \
level.", "Text"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Notebook"], InputAliases -> {"and" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               
               RowBox[{
                "\[SelectionPlaceholder]", "\[And]", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "or" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", "\[Or]", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "not" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[Not]", "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "impl" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               
               RowBox[{
                "\[SelectionPlaceholder]", "\[Implies]", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "equiv" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               
               RowBox[{
                "\[SelectionPlaceholder]", "\[DoubleLongLeftRightArrow]", 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "eq" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               
               RowBox[{
                "\[SelectionPlaceholder]", "\[Equal]", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], ":equiv" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox[
                  
                  RowBox[{
                   ":", "\[NegativeThickSpace]\[NegativeThinSpace]", 
                    "\[DoubleLongLeftRightArrow]"}], Identity, SyntaxForm -> 
                  "a:=b"], "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], ":eq" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", ":=", "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "andn" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[And]", "\[Piecewise]", 
                 
                 GridBox[{{"\[SelectionPlaceholder]"}, {"\[Placeholder]"}}, 
                  ColumnAlignments -> Left]}], 
               TagBox[")", "AutoParentheses"]}], "orn" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[Or]", "\[Piecewise]", 
                 
                 GridBox[{{"\[SelectionPlaceholder]"}, {"\[Placeholder]"}}, 
                  ColumnAlignments -> Left]}], 
               TagBox[")", "AutoParentheses"]}], "equivn" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[DoubleLeftRightArrow]", "\[Piecewise]", 
                 GridBox[{{"\[SelectionPlaceholder]"}, {"\[Placeholder]"}}]}], 
               TagBox[")", "AutoParentheses"]}], "cdist" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[Piecewise]", 
                 
                 GridBox[{{
                   "\[SelectionPlaceholder]", "\[DoubleLeftArrow]", 
                    "\[Placeholder]"}, {
                   "\[Placeholder]", "\[DoubleLeftArrow]", 
                    "\[Placeholder]"}}]}], 
               TagBox[")", "AutoParentheses"]}], "far" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox["\[ForAll]", "\[Placeholder]"], 
                 "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "exr" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox["\[Exists]", "\[Placeholder]"], 
                 "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "farc" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox[
                  UnderscriptBox["\[ForAll]", "\[Placeholder]"], 
                  "\[Placeholder]"], "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "exrc" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox[
                  UnderscriptBox["\[Exists]", "\[Placeholder]"], 
                  "\[Placeholder]"], "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "let" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 UnderscriptBox["let", 
                  RowBox[{"\[Placeholder]", "=", "\[Placeholder]"}]], 
                 "\[SelectionPlaceholder]"}], 
               TagBox[")", "AutoParentheses"]}], "app" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox["\:293a", Identity, SyntaxForm -> "a*b"], 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "prep" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox["\:293b", Identity, SyntaxForm -> "a*b"], 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "join" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox["\:22c8", Identity, SyntaxForm -> "a*b"], 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "elemT" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{"\[SelectionPlaceholder]", 
                 TagBox["\:22ff", Identity, SyntaxForm -> "a+b"], 
                 "\[Placeholder]"}], 
               TagBox[")", "AutoParentheses"]}], "subop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               SubscriptBox["\[SelectionPlaceholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "supop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               SuperscriptBox["\[SelectionPlaceholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "subsupop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               SubsuperscriptBox[
               "\[SelectionPlaceholder]", "\[Placeholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "oop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               OverscriptBox["\[SelectionPlaceholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "uoop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               UnderoverscriptBox[
               "\[SelectionPlaceholder]", "\[Placeholder]", "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "osop" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               SubscriptBox[
                OverscriptBox["\[SelectionPlaceholder]", "\[Placeholder]"], 
                "\[Placeholder]"], 
               TagBox[")", "AutoParentheses"]}], "op" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               TagBox["\[SelectionPlaceholder]", Identity], 
               TagBox[")", "AutoParentheses"]}], "[]" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:e114", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:e115", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "()" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:fd3e", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:fd3f", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "<>" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:27e8", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:27e9", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "{}" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:e117", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:e118", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "[[]]" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:27e6", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:27e7", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "(())" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:2e28", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:2e29", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "<<>>" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:27ea", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:27eb", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "{{}}" -> RowBox[{
               TagBox["(", "AutoParentheses"], 
               RowBox[{
                 TagBox["\:2983", Identity, SyntaxForm -> "("], 
                 "\[SelectionPlaceholder]", 
                 TagBox["\:2984", Identity, SyntaxForm -> ")"]}], 
               TagBox[")", "AutoParentheses"]}], "(" -> 
            TagBox["(", "AutoParentheses"], ")" -> 
            TagBox[")", "AutoParentheses"]}, Background -> 
          RGBColor[0.957, 0.96, 0.97]], 
         Cell[
          StyleData["Notebook", "Printout"], Background -> None]}, Open]]}, 
     Open]], 
   Cell[
    CellGroupData[{
      Cell["Style Environment Names", "Section"], 
      Cell[
       StyleData[All, "Working"], DockedCells -> {
         Cell[
         "Theorema 2.0", "SBO", FontTracking -> 8, 
          CellMargins -> {{0, 0}, {0, 0}}, 
          CellFrameMargins -> {{0, 50}, {0, 0}}, FontSize -> 28, FontSlant -> 
          "Plain", FontColor -> RGBColor[0.29, 0.46, 0.6], TextAlignment -> 
          Right, Background -> RGBColor[0.36, 0.54, 0.69]]}], 
      Cell[
       StyleData[
       All, "Layout", StyleDefinitions -> StyleData[All, "Working"]], 
       MenuSortingValue -> 1200]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell["Title", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], CellMargins -> {{27, 27}, {10, 30}}, 
             TextAlignment -> Center, MenuSortingValue -> 1100, 
             MenuCommandKey -> "1", FontFamily -> "Bitstream Charter", 
             FontSize -> 36, FontWeight -> "Bold", FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.23, 0.25, 0.34]], 
            Cell[
             StyleData["Title", "Printout"], ShowGroupOpener -> False, 
             CellMargins -> {{6, 10}, {5, 30}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], CellMargins -> {{27, 27}, {20, 2}}, 
             TextAlignment -> Center, MenuSortingValue -> 1150, FontFamily -> 
             "Bitstream Charter", FontSize -> 24, FontWeight -> "Plain", 
             FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.23, 0.25, 0.34]], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{6, 10}, {5, 0}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], CellMargins -> {{27, 27}, {8, 2}}, 
             TextAlignment -> Center, MenuSortingValue -> 1200, FontFamily -> 
             "Bitstream Charter", FontSize -> 16, FontWeight -> "Plain", 
             FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.23, 0.25, 0.34]], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{6, 10}, {0, 0}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Author"], CellMargins -> {{27, 27}, {18, 20}}, 
             TextAlignment -> Center, MenuSortingValue -> 1200, FontFamily -> 
             "Bitstream Charter", FontSize -> 16, FontWeight -> "Plain", 
             FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.23, 0.25, 0.34]], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{6, 10}, {0, 0}}]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Sectioning", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], ShowGroupOpener -> True, MenuSortingValue -> 
             1250, MenuCommandKey -> "4", FontFamily -> "Bitstream Charter", 
             FontSize -> 20, FontWeight -> "Bold", FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.3, 0.3, 0.3]], 
            Cell[
             StyleData["Section", "Printout"], ShowGroupOpener -> False, 
             CellMargins -> {{2, 0}, {7, 22}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], CellDingbat -> None, ShowGroupOpener -> 
             True, CellMargins -> {{27, Inherited}, {8, 12}}, 
             MenuSortingValue -> 1300, MenuCommandKey -> "5", FontFamily -> 
             "Bitstream Charter", FontSize -> 14, FontWeight -> "Bold", 
             FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.3, 0.3, 0.3]], 
            Cell[
             StyleData["Subsection", "Printout"], ShowGroupOpener -> False, 
             CellMargins -> {{9, 0}, {7, 22}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> None, ShowGroupOpener -> 
             True, CellMargins -> {{27, Inherited}, {2, 10}}, 
             MenuSortingValue -> 1350, MenuCommandKey -> "6", FontFamily -> 
             "Bitstream Charter", FontSize -> 12, FontWeight -> "Bold", 
             FontSlant -> "Italic", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.4, 0.4, 0.4]], 
            Cell[
             StyleData["Subsubsection", "Printout"], ShowGroupOpener -> False,
              CellMargins -> {{35, 0}, {7, 14}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsubsection"], CellDingbat -> None, 
             ShowGroupOpener -> True, 
             CellMargins -> {{27, Inherited}, {Inherited, Inherited}}, 
             FontFamily -> "Bitstream Charter", FontSize -> 11, FontWeight -> 
             "Bold", FontSlant -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
             RGBColor[0.4, 0.4, 0.4]], 
            Cell[
             StyleData["Subsubsubsection", "Printout"], 
             CellMargins -> {{50, 0}, {7, 14}}]}, Closed]]}, Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Publication\[Hyphen]ready Documents", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Author"], CellMargins -> {{27, 30}, {20, 5}}, 
          MenuSortingValue -> 1900, FontFamily -> "Helvetica", FontSize -> 14,
           FontSlant -> "Italic"], 
         Cell[
          StyleData["Author", "Printout"], CellMargins -> {{6, 10}, {0, 10}}, 
          FontSize -> 10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Abstract"], CellFrame -> {{0, 0}, {0.5, 0.5}}, 
          CellMargins -> {{27, 140}, {20, 20}}, LineSpacing -> {0.9, 0}, 
          MenuSortingValue -> 2050, FontFamily -> "Times", FontSize -> 12], 
         Cell[
          StyleData["Abstract", "Printout"], Hyphenation -> True, 
          LineSpacing -> {1, 2}, FontSize -> 10]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Text", "Section"], 
      Cell[
       StyleData["Text"], CellMargins -> {{27, 27}, {Inherited, Inherited}}, 
       TextJustification -> 1., ParagraphIndent -> 15, FontFamily -> 
       "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", FontSlant -> 
       "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
      Cell[
       StyleData["EnvironmentText"], ShowCellBracket -> Automatic, 
       CellMargins -> {{82, Inherited}, {Inherited, Inherited}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       TextJustification -> 1., ParagraphSpacing -> {0.3, 0.}, 
       MenuSortingValue -> 1480, MenuCommandKey -> "T", FontFamily -> 
       "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", FontSlant -> 
       "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
          CellMargins -> {{81, 10}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "Item", 
          CounterAssignments -> {{"Subitem", 0}, {"Subsubitem", 0}}, 
          MenuSortingValue -> 1600, FontFamily -> "Bitstream Charter", 
          FontSize -> 12, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Item", "Presentation"], 
          CellMargins -> {{140, 10}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          DefaultNewCellStyle -> "Item", MenuSortingValue -> 1600, FontFamily -> 
          "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", 
          FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemParagraph", "Presentation"], 
          CellMargins -> {{140, 10}, {7, 2}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subitem"], CellDingbat -> 
          Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
          CellMargins -> {{105, 12}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "Subitem", 
          CounterAssignments -> {{"Subsubitem", 0}}, MenuSortingValue -> 1610,
           FontFamily -> "Bitstream Charter", FontSize -> 12, FontWeight -> 
          "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Subitem", "Presentation"], 
          CellMargins -> {{176, 12}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemParagraph"], CellMargins -> {{105, 12}, {4, 1}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subitem", 
          MenuSortingValue -> 1610, FontFamily -> "Bitstream Charter", 
          FontSize -> 12, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemParagraph", "Presentation"], 
          CellMargins -> {{176, 12}, {7, 2}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubitem"], CellDingbat -> 
          Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
          CellMargins -> {{129, 12}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subsubitem", 
          CounterIncrements -> "Subsubitem", MenuSortingValue -> 1620, 
          FontFamily -> "Bitstream Charter", FontSize -> 12, FontWeight -> 
          "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["Subsubitem", "Presentation"], 
          CellMargins -> {{212, 12}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubitemParagraph"], 
          CellMargins -> {{129, 12}, {4, 1}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subsubitem", 
          CounterIncrements -> "Subsubitem", MenuSortingValue -> 1625, 
          FontFamily -> "Bitstream Charter", FontSize -> 12, FontWeight -> 
          "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubsubitemParagraph", "Presentation"], 
          CellMargins -> {{212, 12}, {7, 2}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{81, 10}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, FontFamily -> 
          "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", 
          FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "Presentation"], 
          CellMargins -> {{140, 10}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{105, 12}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "SubitemNumbered", 
          CounterAssignments -> {{"SubsubitemNumbered", 0}}, MenuSortingValue -> 
          1640, FontFamily -> "Bitstream Charter", FontSize -> 12, 
          FontWeight -> "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemNumbered", "Presentation"], 
          CellMargins -> {{176, 12}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubsubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], ".", 
              CounterBox["SubsubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{129, 12}, {4, 4}}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> 
          "SubitemNumbered", CounterIncrements -> "SubsubitemNumbered", 
          MenuSortingValue -> 1645, FontFamily -> "Bitstream Charter", 
          FontSize -> 12, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> 
            False}, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubsubitemNumbered", "Presentation"], 
          CellMargins -> {{212, 12}, {7, 7}}, CellFrameLabelMargins -> 6, 
          FontSize -> 24]}, Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Theorema", "Section"], 
      Cell[
       StyleData["GlobalDeclaration"], CellFrame -> {{0, 2}, {0, 0}}, 
       ShowCellBracket -> Automatic, CellMargins -> {{76, 3}, {2, 2}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       InitializationCell -> True, CellFrameMargins -> 10, CellFrameColor -> 
       RGBColor[0.73, 0.65, 0.61], CellFrameLabelMargins -> {{33, 7}, {1, 1}},
        ShowAutoStyles -> False, MenuSortingValue -> 1441, MenuCommandKey -> 
       "G", FontSize -> 14], 
      Cell[
       StyleData["OpenEnvironment"], Editable -> False, Selectable -> False, 
       CellFrame -> {{False, False}, {True, False}}, ShowCellBracket -> True, 
       CellMargins -> {{76, 6}, {-4, Inherited}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameMargins -> 2, CellFrameColor -> RGBColor[0.4, 0.4, 0.4], 
       MenuSortingValue -> 1485], 
      Cell[
       StyleData["EnvironmentHeader"], 
       CellFrame -> {{False, False}, {False, False}}, 
       CellMargins -> {{76, Inherited}, {Inherited, Inherited}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameMargins -> 6, CellFrameColor -> RGBColor[0.4, 0.4, 0.4], 
       ShowAutoStyles -> False, MenuSortingValue -> 1450, FontSize -> 14, 
       FontWeight -> "Bold", FontVariations -> {"CapsType" -> "SmallCaps"}, 
       Background -> RGBColor[0.89, 0.8, 0.69]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FormalTextInputFormula"], ShowCellBracket -> Automatic, 
          CellMargins -> {{96, 10}, {2, 2}}, 
          CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
          InitializationCell -> True, CellFrameLabelMargins -> 53, 
          ShowAutoStyles -> False, LimitsPositioningTokens -> {}, 
          MenuSortingValue -> 1470, MenuCommandKey -> "F", FontWeight -> 
          "Bold", FontColor -> RGBColor[0.25, 0.19, 0.2]], 
         Cell[
          StyleData["FormalTextInputFormula", "Layout"], Editable -> False], 
         Cell[
          StyleData["FormalTextInputFormula", "Presentation"], Editable -> 
          False]}, Open]], 
      Cell[
       StyleData["EndEnvironmentMarker"], 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       TextAlignment -> Right, MenuSortingValue -> 1480], 
      Cell[
       StyleData["CloseEnvironment"], Editable -> False, Selectable -> False, 
       CellFrame -> {{False, False}, {False, True}}, ShowCellBracket -> True, 
       CellMargins -> {{76, 6}, {Inherited, 0}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameMargins -> 2, CellFrameColor -> RGBColor[0.4, 0.4, 0.4], 
       MenuSortingValue -> 1485], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Computation"], CellFrame -> {{1.5, 0}, {0, 0}}, 
          ShowCellBracket -> Automatic, CellMargins -> {{76, 10}, {0, 7}}, 
          CellBracketOptions -> {"Color" -> RGBColor[0.23, 0.25, 0.34]}, 
          CellFrameMargins -> {{8, 8}, {3, 4}}, CellFrameColor -> 
          RGBColor[0.486, 0.33, 0.32], ShowAutoStyles -> False, 
          MenuSortingValue -> 1510, FontWeight -> "Bold", FontColor -> 
          RGBColor[0.23, 0.25, 0.34], Background -> 
          RGBColor[0.88, 0.88, 0.92]], 
         Cell[
          StyleData["Computation", "Layout"], Editable -> False], 
         Cell[
          StyleData["Computation", "Presentation"], Editable -> False]}, 
        Open]], 
      Cell[
       StyleData["ComputationResult"], CellFrame -> {{1.5, 0}, {0, 0}}, 
       ShowCellBracket -> Automatic, CellMargins -> {{76, 10}, {0, 0}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.23, 0.25, 0.34]}, 
       CellFrameMargins -> {{8, 8}, {4, 3}}, CellFrameColor -> 
       RGBColor[0.486, 0.33, 0.32], StyleMenuListing -> None, FontColor -> 
       RGBColor[0.23, 0.25, 0.34], Background -> RGBColor[0.88, 0.88, 0.92]], 
      Cell[
       StyleData["ComputationInfo"], ShowCellBracket -> False, 
       CellMargins -> {{120, 10}, {10, 2}}, StyleMenuListing -> None, 
       FontFamily -> $CellContext`Arial], 
      Cell[
       StyleData["ComputationInfoBody"], ShowCellBracket -> False, 
       CellMargins -> {{144, 10}, {10, 2}}, StyleMenuListing -> None], 
      Cell[
       StyleData["ProofInfo"], ShowCellBracket -> False, 
       CellMargins -> {{76, 10}, {6, 6}}, CellFrameLabelMargins -> 15, 
       StyleMenuListing -> None, FontFamily -> "Arial"], 
      Cell[
       StyleData["ProofInfoBody"], ShowCellBracket -> False, 
       CellMargins -> {{100, 10}, {0, 0}}, StyleMenuListing -> None], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["FrameLabel"], LanguageCategory -> None, StyleMenuListing -> 
          None, FontFamily -> "Times New Roman", FontSize -> 10, FontWeight -> 
          "Plain", FontSlant -> "Italic", FontTracking -> "Plain", 
          FontVariations -> {
           "Masked" -> False, "Outline" -> False, "Shadow" -> False, 
            "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
          RGBColor[0.55, 0.44, 0.42], Background -> None], 
         Cell[
          StyleData["FrameLabel", "Printout"]]}, Open]], 
      Cell[
       StyleData["OpenArchive"], CellFrame -> {{False, False}, {False, True}},
        ShowCellBracket -> Automatic, CellMargins -> {{70, 70}, {0, 10}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellGroupingRules -> {"SectionGrouping", 20}, CellFrameMargins -> 3, 
       CellFrameColor -> RGBColor[0.4, 0.4, 0.4], CellFrameLabelMargins -> 1, 
       DefaultFormatType -> DefaultInputFormatType, ShowAutoStyles -> False, 
       MenuSortingValue -> 1210, FontWeight -> Bold, Background -> 
       RGBColor[0.73, 0.74, 0.84]], 
      Cell[
       StyleData["ArchiveInfo"], ShowCellBracket -> Automatic, 
       CellMargins -> {{70, 70}, {0, 0}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameMargins -> 5, CellFrameLabelMargins -> 3, ShowCellTags -> 
       False, ShowAutoStyles -> False, MenuSortingValue -> 1220, FontWeight -> 
       "Bold", Background -> RGBColor[0.88, 0.88, 0.92]], 
      Cell[
       StyleData["CloseArchive"], 
       CellFrame -> {{False, False}, {True, False}}, ShowCellBracket -> 
       Automatic, CellMargins -> {{0, 0}, {5, 10}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellGroupingRules -> {"SectionGrouping", 25}, CellFrameMargins -> 2, 
       CellFrameColor -> RGBColor[0.4, 0.4, 0.4], TextAlignment -> Center, 
       MenuSortingValue -> 1230, FontFamily -> "Arial Black", FontSize -> 24, 
       FontWeight -> "Plain", FontSlant -> "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}, 
       Background -> RGBColor[0.73, 0.65, 0.61]], 
      Cell[
       StyleData["IncludeArchive"], CellFrame -> {{4, 0}, {False, False}}, 
       ShowCellBracket -> Automatic, 
       CellMargins -> {{81, 100}, {Inherited, Inherited}}, 
       CellBracketOptions -> {"Color" -> RGBColor[0.73, 0.74, 0.84]}, 
       CellFrameColor -> RGBColor[0.55, 0.44, 0.42], 
       CellFrameLabels -> {{"\[RightSkeleton]", None}, {None, None}}, 
       CellFrameLabelMargins -> 25, MenuSortingValue -> 1445], 
      Cell[
       StyleData["ExpressionVariable"], SingleLetterItalics -> True, 
       MultiLetterItalics -> True, FontColor -> RGBColor[0.29, 0.46, 0.6]], 
      Cell[
       StyleData["ExpressionABF"], SingleLetterItalics -> True, 
       MultiLetterItalics -> True, FontColor -> RGBColor[0.29, 0.46, 0.6]], 
      Cell[
       StyleData["ExpressionMeta"], SingleLetterItalics -> True, 
       MultiLetterItalics -> True, FontColor -> RGBColor[0.29, 0.46, 0.6]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["AutoParentheses"], Editable -> False, SpanMaxSize -> 3, 
          FontOpacity -> 0.15], 
         Cell[
          StyleData["AutoParentheses", "Layout"], FontOpacity -> 0], 
         Cell[
          StyleData["AutoParentheses", "SlideShow"], FontOpacity -> 0]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Emphasized"], MenuCommandKey -> "E", FontSlant -> 
          "Italic"], 
         Cell[
          StyleData["Emphasized", "SlideShow"], FontSlant -> "Plain", 
          FontColor -> RGBColor[0.36, 0.54, 0.69]]}, Open]], 
      Cell[
       StyleData["GenericButton"], FontFamily -> "Bitstream Charter", 
       FontWeight -> "Plain", FontSlant -> "Italic", FontTracking -> "Plain", 
       FontVariations -> {
        "Masked" -> False, "Outline" -> False, "Shadow" -> False, 
         "StrikeThrough" -> False, "Underline" -> False}, FontColor -> 
       RGBColor[0.23, 0.25, 0.34]], 
      Cell[
       StyleData["TheoremaForm"], "TwoByteSyntaxCharacterAutoReplacement" -> 
       True, LineSpacing -> {1.25, 0, 2}, SingleLetterItalics -> True, 
       StyleMenuListing -> None, FontFamily -> "Courier"], 
      Cell[
       StyleData["ComponentActive"], FontFamily -> "Times New Roman"], 
      Cell[
       StyleData["ComponentInactive"], FontFamily -> "Times New Roman", 
       FontOpacity -> 0.4], 
      Cell[
       StyleData["ComponentEmpty"], FontFamily -> "Times New Roman", 
       FontVariations -> {"StrikeThrough" -> True}], 
      Cell[
       StyleData["TabView"], FontFamily -> "Times New Roman", FontSize -> 10], 
      Cell[
       StyleData["TabViewLabel"], FontFamily -> "Times New Roman", FontSize -> 
       10, FontWeight -> "Bold"], 
      Cell[
       StyleData["FormReference", StyleDefinitions -> StyleData["Text"]], 
       FontFamily -> "Times New Roman", FontSize -> 12, FontWeight -> "Plain",
        FontSlant -> "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
      Cell[
       StyleData["FormReferenceHover", StyleDefinitions -> StyleData["Text"]],
        FontFamily -> "Times New Roman", FontSize -> 12, FontWeight -> 
       "Plain", FontSlant -> "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> True}, 
       FontColor -> RGBColor[0.404, 0.43, 0.545]], 
      Cell[
       StyleData["DisplayFormula"], CellMargins -> {{36, 6}, {7, 7}}, 
       ConversionRules :> {
        "HTML" -> {{"", ""}, {"<p class=\"Equation\">", "</p>"}}}, 
       CellHorizontalScrolling -> True, DefaultFormatType -> TraditionalForm, 
       InputAutoReplacements -> {}, TextAlignment -> Center, FontFamily -> 
       "Bitstream Charter", FontSize -> 12, FontWeight -> "Plain", FontSlant -> 
       "Plain", 
       FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}, 
       ButtonBoxOptions -> {Appearance -> {Automatic, None}}]}, Open]]}, 
  Visible -> False, FrontEndVersion -> 
  "9.0 for Linux x86 (64-bit) (February 7, 2013)", StyleDefinitions -> 
  "StylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "ID:649680989"->{
  Cell[69724, 1857, 1856, 62, 41, "FormalTextInputFormula",
   CellTags->{
    "ID:649680989", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple induction", "IR"},
   CellID->649680989]},
 "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"->{
  Cell[69724, 1857, 1856, 62, 41, "FormalTextInputFormula",
   CellTags->{
    "ID:649680989", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple induction", "IR"},
   CellID->649680989],
  Cell[71583, 1921, 744, 20, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:23375335", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Nil isTuple"},
   CellID->23375335],
  Cell[72330, 1943, 779, 21, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:256666213", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] Nil isSet"},
   CellID->256666213],
  Cell[73112, 1966, 687, 17, 33, "GlobalDeclaration",
   CellTags->{
    "ID:494401940", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->494401940],
  Cell[73802, 1985, 798, 22, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:80140108", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons isTuple"},
   CellID->80140108],
  Cell[74603, 2009, 838, 23, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:855820982", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] Cons isSet"},
   CellID->855820982],
  Cell[75444, 2034, 820, 23, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:22018468", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons \[NotEqual] Nil"},
   CellID->22018468],
  Cell[76267, 2059, 1420, 47, 33, "FormalTextInputFormula",
   CellTags->{
    "ID:128498950", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons injective"},
   CellID->128498950],
  Cell[78268, 2131, 656, 16, 31, "GlobalDeclaration",
   CellTags->{
    "ID:675750488", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->675750488],
  Cell[78927, 2149, 854, 25, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:152717330", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tupRec Nil"},
   CellID->152717330],
  Cell[79784, 2176, 1312, 40, 33, "FormalTextInputFormula",
   CellTags->{
    "ID:177449370", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tupRec Cons"},
   CellID->177449370],
  Cell[81934, 2250, 689, 17, 33, "GlobalDeclaration",
   CellTags->{
    "ID:703726822", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->703726822],
  Cell[82626, 2269, 813, 24, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:29057684", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index base"},
   CellID->29057684],
  Cell[83442, 2295, 1070, 33, 30, "FormalTextInputFormula",
   CellTags->{
    "ID:381428117", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index step"},
   CellID->381428117],
  Cell[85472, 2367, 1236, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:182124102", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple length"},
   CellID->182124102],
  Cell[87303, 2429, 814, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:654651115", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple 1"},
   CellID->654651115],
  Cell[88120, 2453, 1199, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:63270404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple 2"},
   CellID->63270404],
  Cell[90981, 2540, 1682, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:338791396", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join"},
   CellID->338791396],
  Cell[93469, 2622, 654, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:895128101", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->895128101],
  Cell[94126, 2640, 1097, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1525755901", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append"},
   CellID->1525755901],
  Cell[95226, 2676, 996, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:884743897", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend"},
   CellID->884743897],
  Cell[96225, 2709, 1627, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1281000450", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple E"},
   CellID->1281000450],
  Cell[98438, 2788, 1597, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:32295857", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Reverse"},
   CellID->32295857],
  Cell[100674, 2864, 621, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:632649", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->632649],
  Cell[101298, 2881, 1227, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:12265558", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Rest"},
   CellID->12265558],
  Cell[102528, 2919, 1185, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:91603327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Most"},
   CellID->91603327],
  Cell[104301, 2978, 3173, 88, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:223047122", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf"},
   CellID->223047122],
  Cell[108061, 3091, 1351, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1457491854", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet"},
   CellID->1457491854],
  Cell[110239, 3164, 810, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:266511991", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length Nil", "IR"},
   CellID->266511991],
  Cell[111052, 3188, 667, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:453335165", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->453335165],
  Cell[111722, 3206, 1115, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:789740286", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length Cons", "IR"},
   CellID->789740286],
  Cell[112840, 3241, 1052, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:896792384", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length \[Element] \[DoubleStruckCapitalN]", "IR"},
   CellID->896792384],
  Cell[113895, 3269, 1050, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:492864831", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length II", "IR"},
   CellID->492864831],
  Cell[114948, 3299, 835, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1114754549", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length III", "IR"},
   CellID->1114754549],
  Cell[115786, 3323, 1134, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:57954569", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length 0 Nil"},
   CellID->57954569],
  Cell[136049, 3945, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:198497275", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->198497275],
  Cell[136717, 3963, 1274, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:485804192", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple cases"},
   CellID->485804192],
  Cell[137994, 4008, 778, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:128271632", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] tuple isSet"},
   CellID->128271632],
  Cell[138775, 4031, 1876, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:748403354", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple equality'"},
   CellID->748403354],
  Cell[140654, 4092, 2045, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2006383088", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple equality"},
   CellID->2006383088],
  Cell[161092, 4680, 1121, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:268769082", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuples surjective"},
   CellID->268769082],
  Cell[162216, 4715, 815, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1721177564", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple empty", "IR"},
   CellID->1721177564],
  Cell[163034, 4739, 917, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1594267913", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length empty"},
   CellID->1594267913],
  Cell[163954, 4765, 1083, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:11264892", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length singleton", "IR"},
   CellID->11264892],
  Cell[165040, 4798, 990, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:346405581", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "singleton first", "IR"},
   CellID->346405581],
  Cell[166033, 4830, 938, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:477773676", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple enumeration tuple", "IR"},
   CellID->477773676],
  Cell[184608, 5413, 1115, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:287857146", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join Nil", "IR"},
   CellID->287857146],
  Cell[185726, 5452, 1381, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:337892103", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join Cons", "IR"},
   CellID->337892103],
  Cell[187110, 5501, 947, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:872547016", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple join'", "IR"},
   CellID->872547016],
  Cell[188060, 5531, 730, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:361458074", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->361458074],
  Cell[188793, 5550, 1198, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:688753716", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple join", "IR"},
   CellID->688753716],
  Cell[189994, 5589, 793, 21, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1660159491", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1660159491],
  Cell[190790, 5612, 1149, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1115259658", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length join"},
   CellID->1115259658],
  Cell[191942, 5646, 1331, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:526825714", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index join 1"},
   CellID->526825714],
  Cell[193276, 5687, 1434, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:189594342", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index join 2"},
   CellID->189594342],
  Cell[194713, 5731, 1533, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:589317888", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join enumeration tuples"},
   CellID->589317888],
  Cell[228043, 6712, 1148, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:212552120", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append Nil", "IR"},
   CellID->212552120],
  Cell[229194, 6751, 1366, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:26950404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append Cons", "IR"},
   CellID->26950404],
  Cell[230563, 6799, 654, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:108690893", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->108690893],
  Cell[231220, 6817, 703, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:546198311", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->546198311],
  Cell[231926, 6839, 874, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1028745265", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple append", "IR"},
   CellID->1028745265],
  Cell[232803, 6864, 634, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:543565488", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->543565488],
  Cell[233440, 6882, 954, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:826776809", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append", "IR"},
   CellID->826776809],
  Cell[234397, 6909, 1080, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1163861425", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index append 1", "IR"},
   CellID->1163861425],
  Cell[235480, 6943, 923, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1926885900", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index append 2", "IR"},
   CellID->1926885900],
  Cell[236406, 6970, 834, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:258136300", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last append", "IR"},
   CellID->258136300],
  Cell[237243, 6995, 823, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:583893516", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append is non-empty", "IR"},
   CellID->583893516],
  Cell[267612, 7897, 791, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:223241243", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse Nil", "IR"},
   CellID->223241243],
  Cell[268406, 7921, 1283, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:742156512", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse Cons", "IR"},
   CellID->742156512],
  Cell[269692, 7965, 884, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:145273629", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple reverse'", "IR"},
   CellID->145273629],
  Cell[270579, 7991, 631, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:461591348", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->461591348],
  Cell[271213, 8008, 1000, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2049851981", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple reverse"},
   CellID->2049851981],
  Cell[272216, 8037, 657, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:92271122", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->92271122],
  Cell[272876, 8055, 963, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:272039775", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length reverse"},
   CellID->272039775],
  Cell[273842, 8083, 1342, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1569428563", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index reverse"},
   CellID->1569428563],
  Cell[275187, 8124, 1175, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:829341774", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse is empty", "IR"},
   CellID->829341774],
  Cell[300572, 8894, 1044, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:121283420", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest Cons", "IR"},
   CellID->121283420],
  Cell[301619, 8928, 755, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:987021041", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->987021041],
  Cell[302377, 8947, 1303, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1839205404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple rest"},
   CellID->1839205404],
  Cell[303683, 8985, 1249, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1405660958", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple most"},
   CellID->1405660958],
  Cell[304935, 9023, 831, 21, 70, "GlobalDeclaration",
   CellTags->{
    "ID:936067561", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->936067561],
  Cell[305769, 9046, 1035, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1552050833", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length rest"},
   CellID->1552050833],
  Cell[306807, 9075, 982, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1817775526", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length most"},
   CellID->1817775526],
  Cell[307792, 9103, 1207, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:84622963", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index rest"},
   CellID->84622963],
  Cell[309002, 9141, 1184, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1284707773", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index most"},
   CellID->1284707773],
  Cell[338383, 10004, 651, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:59159884", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->59159884],
  Cell[339037, 10022, 2273, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1998536813", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf integer endpoints"},
   CellID->1998536813],
  Cell[341313, 10087, 2258, 66, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:17780859", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf \[DoubleStruckCapitalN]0"},
   CellID->17780859],
  Cell[343574, 10155, 1094, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1940209939", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf base"},
   CellID->1940209939],
  Cell[344671, 10187, 2258, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:396789611", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf step"},
   CellID->396789611],
  Cell[375852, 11014, 770, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:130363217", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->130363217],
  Cell[376625, 11034, 899, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:39824109", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length pair", "IR"},
   CellID->39824109],
  Cell[377527, 11060, 913, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:11669955", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length triple", "IR"},
   CellID->11669955],
  Cell[378443, 11086, 853, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:7707058", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "pair first", "IR"},
   CellID->7707058],
  Cell[379299, 11112, 857, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:152479598", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "pair second", "IR"},
   CellID->152479598],
  Cell[380159, 11138, 873, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:448273489", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple first", "IR"},
   CellID->448273489],
  Cell[381035, 11164, 870, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:76151934", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple second", "IR"},
   CellID->76151934],
  Cell[381908, 11190, 867, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1792898", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple third", "IR"},
   CellID->1792898],
  Cell[406665, 11941, 668, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1064958803", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1064958803],
  Cell[407336, 11959, 1144, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:601496808", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=1'"},
   CellID->601496808],
  Cell[408483, 11997, 1194, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:461084917", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=2'"},
   CellID->461084917],
  Cell[409680, 12037, 1234, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2026997690", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=3'"},
   CellID->2026997690],
  Cell[410917, 12078, 1135, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1825869525", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=0", "IR"},
   CellID->1825869525],
  Cell[412055, 12115, 1301, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1394353823", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=1", "IR"},
   CellID->1394353823],
  Cell[413359, 12159, 1357, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1143806168", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=2", "IR"},
   CellID->1143806168],
  Cell[414719, 12205, 1375, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1073774013", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=3", "IR"},
   CellID->1073774013],
  Cell[442990, 13043, 707, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:952268452", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->952268452],
  Cell[443700, 13063, 1162, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1246418388", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=1", "IR"},
   CellID->1246418388],
  Cell[444865, 13099, 1486, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1106522710", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=2", "IR"},
   CellID->1106522710],
  Cell[446354, 13149, 1667, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:799290150", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=3", "IR"},
   CellID->799290150],
  Cell[462134, 13598, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:372490730", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->372490730],
  Cell[462802, 13616, 929, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1625734410", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 1", "IR"},
   CellID->1625734410],
  Cell[463734, 13643, 963, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1166906170", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 2", "IR"},
   CellID->1166906170],
  Cell[464700, 13671, 999, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1779125069", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 3", "IR"},
   CellID->1779125069],
  Cell[476573, 14028, 680, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1147667115", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1147667115],
  Cell[477256, 14046, 958, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:561509893", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E empty"},
   CellID->561509893],
  Cell[478217, 14078, 1151, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:365847091", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 1", "IR"},
   CellID->365847091],
  Cell[479371, 14116, 1443, 49, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:58186484", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 2", "IR"},
   CellID->58186484],
  Cell[480817, 14167, 1607, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:786794198", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 3", "IR"},
   CellID->786794198],
  Cell[498522, 14692, 714, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:186310157", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->186310157],
  Cell[499239, 14712, 1546, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:742014313", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 1", "IR"},
   CellID->742014313],
  Cell[500788, 14760, 1435, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1611580180", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 2", "IR"},
   CellID->1611580180],
  Cell[502226, 14804, 1363, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1288253764", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 3", "IR"},
   CellID->1288253764],
  Cell[503592, 14846, 1182, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1090639612", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 5", "IR"},
   CellID->1090639612],
  Cell[504777, 14883, 1395, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:143272898", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 6", "IR"},
   CellID->143272898],
  Cell[506175, 14924, 1322, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2123711543", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 7", "IR"},
   CellID->2123711543],
  Cell[507500, 14964, 958, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:44008041", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 4", "IR"},
   CellID->44008041],
  Cell[508461, 14994, 718, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1971155327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1971155327],
  Cell[509182, 15014, 913, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:812832607", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index", "IR"},
   CellID->812832607],
  Cell[510098, 15041, 1003, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1556117652", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last index", "IR"},
   CellID->1556117652],
  Cell[511104, 15071, 726, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:501261685", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->501261685],
  Cell[511833, 15091, 943, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2002554147", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index II", "IR"},
   CellID->2002554147],
  Cell[512779, 15118, 1028, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1202189993", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last index II", "IR"},
   CellID->1202189993],
  Cell[560015, 16459, 727, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1754019744", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1754019744],
  Cell[560745, 16479, 986, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:23265257", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join empty right", "IR"},
   CellID->23265257],
  Cell[561734, 16511, 990, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2016358149", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join empty left", "IR"},
   CellID->2016358149],
  Cell[562727, 16543, 1555, 56, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:892109029", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join assoc", "IR"},
   CellID->892109029],
  Cell[564285, 16601, 730, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:2132285530", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->2132285530],
  Cell[565018, 16623, 1259, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1620230203", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join is empty", "IR"},
   CellID->1620230203],
  Cell[566280, 16662, 1672, 61, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:575892555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E join", "IR"},
   CellID->575892555],
  Cell[567955, 16725, 1041, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:503402842", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first join", "IR"},
   CellID->503402842],
  Cell[568999, 16756, 1259, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1834660983", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last join", "IR"},
   CellID->1834660983],
  Cell[599256, 17626, 931, 21, 70, "GlobalDeclaration",
   CellTags->{
    "ID:300049764", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->300049764],
  Cell[600190, 17649, 732, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1459714591", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1459714591],
  Cell[600925, 17671, 2067, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1798717489", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P \[DoubleRightArrow]", "IR"},
   CellID->1798717489],
  Cell[602995, 17737, 2017, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:880067753", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P \[DoubleLeftArrow]", "IR"},
   CellID->880067753],
  Cell[605015, 17802, 2001, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1832033513", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P", "IR"},
   CellID->1832033513],
  Cell[607019, 17867, 3142, 100, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1414995657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary \[DoubleRightArrow]", "IR"},
   CellID->1414995657],
  Cell[610164, 17969, 3037, 98, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:412269868", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary \[DoubleLeftArrow]", "IR"},
   CellID->412269868],
  Cell[613204, 18069, 3016, 98, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:811817271", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary", "IR"},
   CellID->811817271],
  Cell[616223, 18169, 689, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:373411527", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->373411527],
  Cell[616915, 18188, 730, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1539924260", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1539924260],
  Cell[617648, 18210, 989, 26, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1179445980", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1179445980],
  Cell[618640, 18238, 2138, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1936600889", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2 \[DoubleRightArrow]"},
   CellID->1936600889],
  Cell[620781, 18308, 2135, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:667495868", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2 \[DoubleLeftArrow]"},
   CellID->667495868],
  Cell[622919, 18378, 2115, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2081158695", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2"},
   CellID->2081158695],
  Cell[718535, 20769, 789, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1425022595", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1425022595],
  Cell[719327, 20789, 1043, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:30218808", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append empty", "IR"},
   CellID->30218808],
  Cell[720373, 20824, 727, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:691605804", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->691605804],
  Cell[721103, 20846, 661, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1905252519", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1905252519],
  Cell[721767, 20864, 760, 20, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1710417343", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append \[NotEqual]"},
   CellID->1710417343],
  Cell[722530, 20886, 1021, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1126524001", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first append", "IR"},
   CellID->1126524001],
  Cell[723554, 20916, 1719, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1103991877", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P", "IR"},
   CellID->1103991877],
  Cell[725276, 20973, 2254, 74, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1200539700", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P binary", "IR"},
   CellID->1200539700],
  Cell[727533, 21049, 1501, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1565072058", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E append", "IR"},
   CellID->1565072058],
  Cell[760307, 21960, 796, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1414827049", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1414827049],
  Cell[761106, 21982, 732, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1588362347", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1588362347],
  Cell[761841, 22004, 734, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1325947216", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1325947216],
  Cell[762578, 22026, 1341, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1332516309", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append=", "IR"},
   CellID->1332516309],
  Cell[763922, 22067, 2257, 72, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1244254393", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P 2"},
   CellID->1244254393],
  Cell[766182, 22141, 1190, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1851672573", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append injective", "IR"},
   CellID->1851672573],
  Cell[786357, 22680, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1354896517", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1354896517],
  Cell[787025, 22698, 1050, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:284047457", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend empty", "IR"},
   CellID->284047457],
  Cell[788078, 22733, 727, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:665620680", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->665620680],
  Cell[788808, 22755, 870, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1519173141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple prepend", "IR"},
   CellID->1519173141],
  Cell[789681, 22780, 663, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:2126627650", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->2126627650],
  Cell[790347, 22798, 907, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1956801946", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend", "IR"},
   CellID->1956801946],
  Cell[791257, 22824, 762, 20, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1517474546", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend \[NotEqual]"},
   CellID->1517474546],
  Cell[792022, 22846, 828, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1589773302", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend is non-empty", "IR"},
   CellID->1589773302],
  Cell[792853, 22870, 772, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:916089482", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first prepend", "IR"},
   CellID->916089482],
  Cell[793628, 22893, 1157, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:391327494", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last prepend", "IR"},
   CellID->391327494],
  Cell[794788, 22927, 1108, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2002116253", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index prepend 2", "IR"},
   CellID->2002116253],
  Cell[795899, 22962, 1710, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:48204947", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P", "IR"},
   CellID->48204947],
  Cell[797612, 23019, 2268, 75, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:414106078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P binary", "IR"},
   CellID->414106078],
  Cell[799883, 23096, 1506, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:416238876", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E prepend", "IR"},
   CellID->416238876],
  Cell[851127, 24550, 738, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:547141078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->547141078],
  Cell[851868, 24571, 866, 26, 70, "GlobalDeclaration",
   CellTags->{
    "ID:562596444", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->562596444],
  Cell[852737, 24599, 1266, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1613097054", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend=", "IR"},
   CellID->1613097054],
  Cell[854006, 24639, 2187, 71, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1393091936", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P 2"},
   CellID->1393091936],
  Cell[856196, 24712, 1066, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1374117783", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend injective", "IR"},
   CellID->1374117783],
  Cell[875595, 25236, 1608, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:367121892", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join append", "IR"},
   CellID->367121892],
  Cell[881946, 25440, 783, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:2080984959", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->2080984959],
  Cell[882732, 25462, 1221, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:369207319", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest empty", "IR"},
   CellID->369207319],
  Cell[883956, 25501, 1103, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:562096052", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first rest", "IR"},
   CellID->562096052],
  Cell[885062, 25536, 1239, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2116051902", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last rest", "IR"},
   CellID->2116051902],
  Cell[886304, 25573, 1200, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1588185575", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most empty", "IR"},
   CellID->1588185575],
  Cell[887507, 25612, 1078, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1434873231", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first most", "IR"},
   CellID->1434873231],
  Cell[888588, 25646, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:852174472", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->852174472],
  Cell[889256, 25664, 1516, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:32262614", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or append"},
   CellID->32262614],
  Cell[890775, 25713, 1308, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1718502373", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or prepend"},
   CellID->1718502373],
  Cell[921674, 26612, 945, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:679833337", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->679833337],
  Cell[922622, 26638, 1319, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1096538360", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index rest II", "IR"},
   CellID->1096538360],
  Cell[923944, 26681, 1739, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1702600555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest P", "IR"},
   CellID->1702600555],
  Cell[925686, 26737, 2032, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1068710478", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest P binary", "IR"},
   CellID->1068710478],
  Cell[927721, 26804, 1889, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1094967297", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P", "IR"},
   CellID->1094967297],
  Cell[929613, 26863, 2228, 71, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1495849141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P Q", "IR"},
   CellID->1495849141],
  Cell[931844, 26936, 2263, 70, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:931974039", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P binary", "IR"},
   CellID->931974039],
  Cell[976675, 28120, 689, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:476903800", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->476903800],
  Cell[977367, 28139, 2125, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:511262385", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple P rest", "IR"},
   CellID->511262385],
  Cell[979495, 28205, 2813, 84, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:56527158", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple P rest binary", "IR"},
   CellID->56527158],
  Cell[998569, 28716, 691, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1213842760", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1213842760],
  Cell[999263, 28735, 863, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1124736253", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most append", "IR"},
   CellID->1124736253],
  Cell[1000129, 28763, 868, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1608823646", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest prepend", "IR"},
   CellID->1608823646],
  Cell[1008215, 29017, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:585653657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->585653657],
  Cell[1008883, 29035, 1267, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:141734886", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index reverse II", "IR"},
   CellID->141734886],
  Cell[1010153, 29074, 827, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:940343559", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse reverse", "IR"},
   CellID->940343559],
  Cell[1010983, 29099, 1327, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:785342434", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E reverse", "IR"},
   CellID->785342434],
  Cell[1012313, 29147, 756, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1029885993", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1029885993],
  Cell[1013072, 29168, 951, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:900095694", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first reverse", "IR"},
   CellID->900095694],
  Cell[1014026, 29197, 977, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:42240444", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last reverse", "IR"},
   CellID->42240444],
  Cell[1034913, 29816, 794, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1200192224", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1200192224],
  Cell[1035710, 29837, 1570, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1023856661", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P", "IR"},
   CellID->1023856661],
  Cell[1037283, 29886, 1841, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:225789218", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary \[DoubleRightArrow]", "IR"},
   CellID->225789218],
  Cell[1039127, 29946, 1830, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:608262733", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary \[DoubleLeftArrow]", "IR"},
   CellID->608262733],
  Cell[1040960, 30005, 1859, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1483084569", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary", "IR"},
   CellID->1483084569],
  Cell[1070694, 30805, 675, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:494480620", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->494480620],
  Cell[1071372, 30824, 1481, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1978957465", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length join seq", "IR"},
   CellID->1978957465],
  Cell[1072856, 30869, 1115, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:689233251", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend seq", "IR"},
   CellID->689233251],
  Cell[1073974, 30906, 1116, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1868467849", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append seq", "IR"},
   CellID->1868467849],
  Cell[1075093, 30943, 1110, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:65350141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend seq", "IR"},
   CellID->65350141],
  Cell[1076206, 30975, 1112, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1724810594", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append seq", "IR"},
   CellID->1724810594],
  Cell[1077321, 31007, 878, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1756306456", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first seq", "IR"},
   CellID->1756306456],
  Cell[1078202, 31034, 1103, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:825805850", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last seq", "IR"},
   CellID->825805850],
  Cell[1079308, 31066, 1408, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:170468971", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index prepend seq", "IR"},
   CellID->170468971],
  Cell[1080719, 31109, 966, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2036703557", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest seq", "IR"},
   CellID->2036703557],
  Cell[1081688, 31137, 969, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1246285181", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most seq", "IR"},
   CellID->1246285181],
  Cell[1082660, 31166, 956, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:356326934", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend \[NotEqual] seq"},
   CellID->356326934],
  Cell[1083619, 31193, 955, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1891361301", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append \[NotEqual] seq"},
   CellID->1891361301],
  Cell[1084577, 31220, 933, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:908405529", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend is non-empty seq"},
   CellID->908405529],
  Cell[1085513, 31247, 931, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:630006974", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append is non-empty seq"},
   CellID->630006974],
  Cell[1086447, 31274, 1730, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:51106199", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend injective seq", "IR"},
   CellID->51106199],
  Cell[1088180, 31329, 1738, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:366778785", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append injective seq", "IR"},
   CellID->366778785],
  Cell[1089921, 31385, 1591, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:16748437", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend=singleton seq"},
   CellID->16748437],
  Cell[1091515, 31435, 1599, 49, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:356206657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append=singleton seq"},
   CellID->356206657],
  Cell[1093117, 31486, 1345, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:128935503", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend=singleton seq'"},
   CellID->128935503],
  Cell[1094465, 31527, 1345, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:131896368", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append=singleton seq'"},
   CellID->131896368],
  Cell[1095813, 31568, 1044, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:375885636", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index prepend seq", "IR"},
   CellID->375885636],
  Cell[1096860, 31597, 1745, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1449667434", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E prepend seq", "IR"},
   CellID->1449667434],
  Cell[1098608, 31657, 1742, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1225984057", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E append seq", "IR"},
   CellID->1225984057],
  Cell[1194771, 34446, 666, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1603144769", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1603144769],
  Cell[1195440, 34464, 1297, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1631152012", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or prepend seq"},
   CellID->1631152012],
  Cell[1196740, 34506, 1367, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:555405947", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or append seq"},
   CellID->555405947],
  Cell[1207166, 34817, 816, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1927912858", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1927912858],
  Cell[1207985, 34839, 2649, 81, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:945414731", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P seq", "IR"},
   CellID->945414731],
  Cell[1210637, 34922, 2123, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:410739149", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P seq", "IR"},
   CellID->410739149],
  Cell[1212763, 34988, 2074, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:351192043", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P seq", "IR"},
   CellID->351192043],
  Cell[1239729, 35693, 714, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1694974068", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1694974068],
  Cell[1240446, 35712, 711, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1505247553", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1505247553],
  Cell[1241160, 35731, 904, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1255331353", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1255331353],
  Cell[1242067, 35757, 786, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1942795378", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf", "IR"},
   CellID->1942795378],
  Cell[1242856, 35780, 1335, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1005510912", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty", "IR"},
   CellID->1005510912],
  Cell[1244194, 35825, 1496, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1495808200", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf", "IR"},
   CellID->1495808200],
  Cell[1245693, 35877, 1444, 45, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1914119422", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P", "IR"},
   CellID->1914119422],
  Cell[1272859, 36607, 703, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:134279387", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->134279387],
  Cell[1273565, 36626, 787, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1927530612", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1927530612],
  Cell[1274355, 36646, 888, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:37602445", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->37602445],
  Cell[1275246, 36672, 846, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1598714500", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf", "IR"},
   CellID->1598714500],
  Cell[1276095, 36697, 1082, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1101459169", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty II", "IR"},
   CellID->1101459169],
  Cell[1277180, 36732, 1093, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1117837722", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index TupleOf", "IR"},
   CellID->1117837722],
  Cell[1278276, 36766, 2164, 69, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:516149167", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf=", "IR"},
   CellID->516149167],
  Cell[1280443, 36837, 1626, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:177394441", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary", "IR"},
   CellID->177394441],
  Cell[1282072, 36891, 718, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:548658600", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->548658600],
  Cell[1282793, 36911, 802, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:340261036", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first TupleOf", "IR"},
   CellID->340261036],
  Cell[1283598, 36935, 864, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:124965228", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last TupleOf", "IR"},
   CellID->124965228],
  Cell[1328509, 38135, 716, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1593677557", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1593677557],
  Cell[1329228, 38154, 711, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:748631503", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->748631503],
  Cell[1329942, 38174, 904, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1717928685", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1717928685],
  Cell[1330849, 38200, 961, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:218966905", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf II", "IR"},
   CellID->218966905],
  Cell[1331813, 38225, 1343, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2124778583", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty III", "IR"},
   CellID->2124778583],
  Cell[1333159, 38270, 1504, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2096232905", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf II", "IR"},
   CellID->2096232905],
  Cell[1334666, 38322, 1526, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:317090069", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P II", "IR"},
   CellID->317090069],
  Cell[1336195, 38371, 870, 23, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1886070472", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1886070472],
  Cell[1337068, 38396, 1369, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:251468957", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf II", "IR"},
   CellID->251468957],
  Cell[1338440, 38431, 1319, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1168033220", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index TupleOf II", "IR"},
   CellID->1168033220],
  Cell[1339762, 38470, 1683, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:894739369", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary II", "IR"},
   CellID->894739369],
  Cell[1341448, 38525, 689, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:502002218", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->502002218],
  Cell[1342140, 38544, 1105, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2071594661", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf III", "IR"},
   CellID->2071594661],
  Cell[1343248, 38576, 2159, 62, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:520380078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf III", "IR"},
   CellID->520380078],
  Cell[1345410, 38640, 2219, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:408639765", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P III", "IR"},
   CellID->408639765],
  Cell[1347632, 38706, 936, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:201585227", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->201585227],
  Cell[1348571, 38732, 1015, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:881212292", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf III", "IR"},
   CellID->881212292],
  Cell[1349589, 38760, 1873, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:23356384", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf=III", "IR"},
   CellID->23356384],
  Cell[1351465, 38821, 1168, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1085673759", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty IV", "IR"},
   CellID->1085673759],
  Cell[1352636, 38858, 1761, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1965128634", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary III", "IR"},
   CellID->1965128634],
  Cell[1354400, 38915, 742, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:534711775", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->534711775],
  Cell[1355145, 38936, 863, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1006778759", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first TupleOf III", "IR"},
   CellID->1006778759],
  Cell[1356011, 38961, 1036, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:283251415", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last TupleOf III", "IR"},
   CellID->283251415],
  Cell[1467680, 41868, 636, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1263200977", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1263200977],
  Cell[1468319, 41885, 718, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1482990827", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1482990827],
  Cell[1469040, 41905, 2096, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:288335744", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf join", "IR"},
   CellID->288335744],
  Cell[1471139, 41972, 2959, 92, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1725599731", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf join 2"},
   CellID->1725599731],
  Cell[1493574, 42551, 723, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:943582632", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->943582632],
  Cell[1494805, 42587, 782, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1766309993", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1766309993],
  Cell[1495590, 42609, 1827, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:176463151", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum append", "IR"},
   CellID->176463151],
  Cell[1497420, 42669, 2573, 80, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:803576507", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum append 2"},
   CellID->803576507],
  Cell[1499996, 42751, 1880, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1626050428", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum most", "IR"},
   CellID->1626050428],
  Cell[1525210, 43409, 604, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:15531077", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->15531077],
  Cell[1525817, 43426, 2554, 73, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:883103966", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf", "IR"},
   CellID->883103966],
  Cell[1528374, 43501, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:618251189", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->618251189],
  Cell[1529042, 43519, 937, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1893863329", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1893863329],
  Cell[1529982, 43545, 1525, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1650642628", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf unary", "IR"},
   CellID->1650642628],
  Cell[1531510, 43593, 1612, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:829035443", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf 2"},
   CellID->829035443],
  Cell[1558309, 44290, 632, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1347349396", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1347349396],
  Cell[1558944, 44307, 2749, 85, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:676444026", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples ind"},
   CellID->676444026],
  Cell[1561696, 44394, 1749, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1530142946", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples append", "IR"},
   CellID->1530142946],
  Cell[1563448, 44454, 1751, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1549052502", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples prepend", "IR"},
   CellID->1549052502],
  Cell[1565202, 44514, 1775, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:734563828", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples most", "IR"},
   CellID->734563828],
  Cell[1566980, 44573, 1777, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:972583102", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples rest", "IR"},
   CellID->972583102],
  Cell[1568760, 44632, 2382, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:659908364", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples non-empty rest", "IR"},
   CellID->659908364],
  Cell[1571145, 44711, 1850, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:14041309", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples rest seq", "IR"},
   CellID->14041309],
  Cell[1614435, 45895, 4231, 124, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:710342238", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "binary relation trivial tuples rest seq"},
   CellID->710342238],
  Cell[1630487, 46326, 883, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1796849533", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isSet TupleToSet", "IR"},
   CellID->1796849533],
  Cell[1631373, 46352, 1407, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:175665072", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Element] TupleToSet", "IR"},
   CellID->175665072],
  Cell[1632783, 46400, 1776, 51, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:460986674", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet TupleOf", "IR"},
   CellID->460986674],
  Cell[1634562, 46453, 1303, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:173666830", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet join", "IR"},
   CellID->173666830],
  Cell[1635868, 46497, 871, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:201212584", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet empty", "IR"},
   CellID->201212584],
  Cell[1636742, 46522, 1044, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1943524802", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet singleton", "IR"},
   CellID->1943524802],
  Cell[1637789, 46555, 1341, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:809409004", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet append", "IR"},
   CellID->809409004],
  Cell[1639133, 46600, 886, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:47406400", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet isFinite", "IR"},
   CellID->47406400],
  Cell[1669173, 47491, 690, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1116878701", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1116878701],
  Cell[1669866, 47510, 705, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:976871574", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->976871574],
  Cell[1670574, 47529, 1190, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1792308841", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples decision predicate"},
   CellID->1792308841],
  Cell[1671767, 47567, 1315, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:734182331", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds]"},
   CellID->734182331],
  Cell[1673085, 47610, 1221, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:50337709", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Precedes]"},
   CellID->50337709],
  Cell[1675174, 47683, 644, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:290651172", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->290651172],
  Cell[1675821, 47700, 812, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:963340119", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->963340119],
  Cell[1676636, 47721, 634, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:2118739683", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->2118739683],
  Cell[1677273, 47738, 1714, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1752643636", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples decision predicate"},
   CellID->1752643636],
  Cell[1678990, 47795, 1694, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1806819834", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples <<"},
   CellID->1806819834],
  Cell[1680687, 47849, 1527, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:410422280", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples >>"},
   CellID->410422280],
  Cell[1683109, 47932, 673, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:232548980", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->232548980],
  Cell[1683785, 47951, 1032, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1071152688", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] prepend seq", "IR"},
   CellID->1071152688],
  Cell[1684820, 47980, 1027, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:108993772", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] append seq", "IR"},
   CellID->108993772],
  Cell[1693870, 48256, 1065, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1208674976", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isPartIrreflOrder"},
   CellID->1208674976],
  Cell[1694938, 48290, 1036, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:144999145", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isNoetherian"},
   CellID->144999145],
  Cell[1701719, 48507, 648, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1005434988", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1005434988],
  Cell[1702409, 48527, 739, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:228053728", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->228053728],
  Cell[1703628, 48563, 690, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1717060871", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1717060871],
  Cell[1704321, 48582, 1423, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1649645401", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples E", "IR"},
   CellID->1649645401],
  Cell[1705747, 48631, 1426, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1383999666", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples join", "IR"},
   CellID->1383999666],
  Cell[1707176, 48677, 1413, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1424148745", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples append", "IR"},
   CellID->1424148745],
  Cell[1708592, 48723, 1417, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1871123021", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples prepend", "IR"},
   CellID->1871123021],
  Cell[1710012, 48769, 1428, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:752441053", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples rest", "IR"},
   CellID->752441053],
  Cell[1711443, 48813, 1383, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1694879508", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples most", "IR"},
   CellID->1694879508],
  Cell[1712829, 48856, 1233, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2011690260", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples reverse", "IR"},
   CellID->2011690260],
  Cell[1714065, 48895, 1933, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1915001232", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples join seq", "IR"},
   CellID->1915001232],
  Cell[1716001, 48955, 1748, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:232482705", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples append seq", "IR"},
   CellID->232482705],
  Cell[1717752, 49010, 1749, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:64883103", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples prepend seq", "IR"},
   CellID->64883103],
  Cell[1719504, 49065, 1292, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:372047052", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainSets TupleToSet", "IR"},
   CellID->372047052],
  Cell[1772580, 50538, 629, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:925810378", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->925810378],
  Cell[1773212, 50555, 3048, 92, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2034256835", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples ind"},
   CellID->2034256835],
  Cell[1776263, 50649, 2079, 66, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2052980984", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples append", "IR"},
   CellID->2052980984],
  Cell[1778345, 50717, 3214, 102, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:480000138", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples append 2", "IR"},
   CellID->480000138],
  Cell[1781562, 50821, 2369, 72, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1988740441", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples rest seq", "IR"},
   CellID->1988740441],
  Cell[1818387, 51759, 1103, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:52429673", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isPartIrreflOrder DomainTuples"},
   CellID->52429673],
  Cell[1819493, 51794, 1077, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:69834405", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isNoetherian DomainTuples"},
   CellID->69834405],
  Cell[1827321, 52037, 1912, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:169398667", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples n+1 append"},
   CellID->169398667],
  Cell[1829236, 52096, 680, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:322989025", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->322989025],
  Cell[1829919, 52115, 1389, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:21488136", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples isDomain ind"},
   CellID->21488136],
  Cell[1831311, 52155, 803, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:149029649", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples isDomain"},
   CellID->149029649],
  Cell[1847284, 52597, 668, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:281029623", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->281029623],
  Cell[1848406, 52631, 2302, 70, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2053740245", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples domain", "IR"},
   CellID->2053740245],
  Cell[1858454, 52908, 968, 25, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1812573889", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1812573889],
  Cell[1859425, 52935, 1856, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:850429787", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting I", "IR"},
   CellID->850429787],
  Cell[1861284, 52996, 1972, 62, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1070084809", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting II", "IR"},
   CellID->1070084809],
  Cell[1863259, 53060, 2059, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1286863438", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples append", "IR"},
   CellID->1286863438],
  Cell[1865321, 53127, 1973, 63, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1880290617", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1880290617],
  Cell[1867297, 53192, 2468, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:654350327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting III", "IR"},
   CellID->654350327],
  Cell[1869768, 53271, 2505, 78, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:309986851", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] join", "IR"},
   CellID->309986851],
  Cell[1920720, 54554, 1268, 37, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1738240000", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1738240000],
  Cell[1921991, 54593, 2642, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:870134514", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] TupleOf II", "IR"},
   CellID->870134514],
  Cell[1924636, 54672, 2919, 84, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1688189650", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] TupleOf III", "IR"},
   CellID->1688189650],
  Cell[1950948, 55329, 773, 18, 32, "GlobalDeclaration",
   CellTags->{
    "ID:6091443", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->6091443],
  Cell[1952740, 55383, 761, 22, 70, "GlobalDeclaration",
   CellTags->{
    "ID:5152788", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->5152788],
  Cell[1953504, 55407, 1053, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:459374459", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "min pair"},
   CellID->459374459],
  Cell[1954560, 55438, 1053, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:845525504", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max pair"},
   CellID->845525504],
  Cell[1956278, 55494, 767, 22, 70, "GlobalDeclaration",
   CellTags->{
    "ID:261689886", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->261689886],
  Cell[1957571, 55535, 906, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:781169161", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "min identical", "IR"},
   CellID->781169161],
  Cell[1958480, 55562, 909, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:229791028", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max identical", "IR"},
   CellID->229791028],
  Cell[1966875, 55818, 645, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:102682926", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->102682926],
  Cell[1967523, 55835, 1379, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:10580625", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "membership min", "IR"},
   CellID->10580625],
  Cell[1968905, 55878, 1330, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:50619968", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "membership max", "IR"},
   CellID->50619968],
  Cell[1980701, 56205, 862, 23, 23, "GlobalDeclaration",
   CellTags->{
    "ID:879231940", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->879231940],
  Cell[1981566, 56230, 979, 26, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:12810555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[Element] \[DoubleStruckCapitalZ]"},
   CellID->12810555],
  Cell[1982548, 56258, 1085, 29, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:82857207", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] comm"},
   CellID->82857207],
  Cell[1983636, 56289, 1036, 28, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:201025959", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[GreaterEqual] 1"},
   CellID->201025959],
  Cell[1984675, 56319, 1038, 28, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:64253862", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[GreaterEqual] 2"},
   CellID->64253862],
  Cell[1985716, 56349, 1424, 42, 30, "FormalTextInputFormula",
   CellTags->{
    "ID:54073160", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[LessEqual]"},
   CellID->54073160],
  Cell[2010220, 57053, 1029, 31, 33, "GlobalDeclaration",
   CellTags->{
    "ID:943867900", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->943867900],
  Cell[2011252, 57086, 3159, 83, 61, "FormalTextInputFormula",
   CellTags->{
    "ID:152254973", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isChain"},
   CellID->152254973],
  Cell[2014414, 57171, 2578, 83, 49, "FormalTextInputFormula",
   CellTags->{
    "ID:130970035", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isChainBelow"},
   CellID->130970035]},
 "isTuple induction"->{
  Cell[69724, 1857, 1856, 62, 41, "FormalTextInputFormula",
   CellTags->{
    "ID:649680989", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple induction", "IR"},
   CellID->649680989]},
 "IR"->{
  Cell[69724, 1857, 1856, 62, 41, "FormalTextInputFormula",
   CellTags->{
    "ID:649680989", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple induction", "IR"},
   CellID->649680989],
  Cell[110239, 3164, 810, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:266511991", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length Nil", "IR"},
   CellID->266511991],
  Cell[111722, 3206, 1115, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:789740286", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length Cons", "IR"},
   CellID->789740286],
  Cell[112840, 3241, 1052, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:896792384", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length \[Element] \[DoubleStruckCapitalN]", "IR"},
   CellID->896792384],
  Cell[113895, 3269, 1050, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:492864831", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length II", "IR"},
   CellID->492864831],
  Cell[114948, 3299, 835, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1114754549", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length III", "IR"},
   CellID->1114754549],
  Cell[162216, 4715, 815, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1721177564", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple empty", "IR"},
   CellID->1721177564],
  Cell[163954, 4765, 1083, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:11264892", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length singleton", "IR"},
   CellID->11264892],
  Cell[165040, 4798, 990, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:346405581", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "singleton first", "IR"},
   CellID->346405581],
  Cell[166033, 4830, 938, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:477773676", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple enumeration tuple", "IR"},
   CellID->477773676],
  Cell[184608, 5413, 1115, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:287857146", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join Nil", "IR"},
   CellID->287857146],
  Cell[185726, 5452, 1381, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:337892103", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join Cons", "IR"},
   CellID->337892103],
  Cell[187110, 5501, 947, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:872547016", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple join'", "IR"},
   CellID->872547016],
  Cell[188793, 5550, 1198, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:688753716", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple join", "IR"},
   CellID->688753716],
  Cell[228043, 6712, 1148, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:212552120", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append Nil", "IR"},
   CellID->212552120],
  Cell[229194, 6751, 1366, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:26950404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append Cons", "IR"},
   CellID->26950404],
  Cell[231926, 6839, 874, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1028745265", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple append", "IR"},
   CellID->1028745265],
  Cell[233440, 6882, 954, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:826776809", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append", "IR"},
   CellID->826776809],
  Cell[234397, 6909, 1080, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1163861425", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index append 1", "IR"},
   CellID->1163861425],
  Cell[235480, 6943, 923, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1926885900", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index append 2", "IR"},
   CellID->1926885900],
  Cell[236406, 6970, 834, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:258136300", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last append", "IR"},
   CellID->258136300],
  Cell[237243, 6995, 823, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:583893516", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append is non-empty", "IR"},
   CellID->583893516],
  Cell[267612, 7897, 791, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:223241243", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse Nil", "IR"},
   CellID->223241243],
  Cell[268406, 7921, 1283, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:742156512", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse Cons", "IR"},
   CellID->742156512],
  Cell[269692, 7965, 884, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:145273629", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple reverse'", "IR"},
   CellID->145273629],
  Cell[275187, 8124, 1175, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:829341774", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse is empty", "IR"},
   CellID->829341774],
  Cell[300572, 8894, 1044, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:121283420", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest Cons", "IR"},
   CellID->121283420],
  Cell[376625, 11034, 899, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:39824109", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length pair", "IR"},
   CellID->39824109],
  Cell[377527, 11060, 913, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:11669955", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length triple", "IR"},
   CellID->11669955],
  Cell[378443, 11086, 853, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:7707058", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "pair first", "IR"},
   CellID->7707058],
  Cell[379299, 11112, 857, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:152479598", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "pair second", "IR"},
   CellID->152479598],
  Cell[380159, 11138, 873, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:448273489", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple first", "IR"},
   CellID->448273489],
  Cell[381035, 11164, 870, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:76151934", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple second", "IR"},
   CellID->76151934],
  Cell[381908, 11190, 867, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1792898", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple third", "IR"},
   CellID->1792898],
  Cell[410917, 12078, 1135, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1825869525", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=0", "IR"},
   CellID->1825869525],
  Cell[412055, 12115, 1301, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1394353823", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=1", "IR"},
   CellID->1394353823],
  Cell[413359, 12159, 1357, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1143806168", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=2", "IR"},
   CellID->1143806168],
  Cell[414719, 12205, 1375, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1073774013", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=3", "IR"},
   CellID->1073774013],
  Cell[443700, 13063, 1162, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1246418388", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=1", "IR"},
   CellID->1246418388],
  Cell[444865, 13099, 1486, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1106522710", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=2", "IR"},
   CellID->1106522710],
  Cell[446354, 13149, 1667, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:799290150", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=3", "IR"},
   CellID->799290150],
  Cell[462802, 13616, 929, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1625734410", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 1", "IR"},
   CellID->1625734410],
  Cell[463734, 13643, 963, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1166906170", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 2", "IR"},
   CellID->1166906170],
  Cell[464700, 13671, 999, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1779125069", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 3", "IR"},
   CellID->1779125069],
  Cell[478217, 14078, 1151, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:365847091", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 1", "IR"},
   CellID->365847091],
  Cell[479371, 14116, 1443, 49, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:58186484", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 2", "IR"},
   CellID->58186484],
  Cell[480817, 14167, 1607, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:786794198", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 3", "IR"},
   CellID->786794198],
  Cell[499239, 14712, 1546, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:742014313", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 1", "IR"},
   CellID->742014313],
  Cell[500788, 14760, 1435, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1611580180", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 2", "IR"},
   CellID->1611580180],
  Cell[502226, 14804, 1363, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1288253764", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 3", "IR"},
   CellID->1288253764],
  Cell[503592, 14846, 1182, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1090639612", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 5", "IR"},
   CellID->1090639612],
  Cell[504777, 14883, 1395, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:143272898", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 6", "IR"},
   CellID->143272898],
  Cell[506175, 14924, 1322, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2123711543", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 7", "IR"},
   CellID->2123711543],
  Cell[507500, 14964, 958, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:44008041", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 4", "IR"},
   CellID->44008041],
  Cell[509182, 15014, 913, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:812832607", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index", "IR"},
   CellID->812832607],
  Cell[510098, 15041, 1003, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1556117652", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last index", "IR"},
   CellID->1556117652],
  Cell[511833, 15091, 943, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2002554147", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index II", "IR"},
   CellID->2002554147],
  Cell[512779, 15118, 1028, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1202189993", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last index II", "IR"},
   CellID->1202189993],
  Cell[560745, 16479, 986, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:23265257", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join empty right", "IR"},
   CellID->23265257],
  Cell[561734, 16511, 990, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2016358149", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join empty left", "IR"},
   CellID->2016358149],
  Cell[562727, 16543, 1555, 56, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:892109029", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join assoc", "IR"},
   CellID->892109029],
  Cell[565018, 16623, 1259, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1620230203", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join is empty", "IR"},
   CellID->1620230203],
  Cell[566280, 16662, 1672, 61, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:575892555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E join", "IR"},
   CellID->575892555],
  Cell[567955, 16725, 1041, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:503402842", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first join", "IR"},
   CellID->503402842],
  Cell[568999, 16756, 1259, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1834660983", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last join", "IR"},
   CellID->1834660983],
  Cell[600925, 17671, 2067, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1798717489", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P \[DoubleRightArrow]", "IR"},
   CellID->1798717489],
  Cell[602995, 17737, 2017, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:880067753", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P \[DoubleLeftArrow]", "IR"},
   CellID->880067753],
  Cell[605015, 17802, 2001, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1832033513", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P", "IR"},
   CellID->1832033513],
  Cell[607019, 17867, 3142, 100, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1414995657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary \[DoubleRightArrow]", "IR"},
   CellID->1414995657],
  Cell[610164, 17969, 3037, 98, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:412269868", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary \[DoubleLeftArrow]", "IR"},
   CellID->412269868],
  Cell[613204, 18069, 3016, 98, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:811817271", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary", "IR"},
   CellID->811817271],
  Cell[719327, 20789, 1043, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:30218808", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append empty", "IR"},
   CellID->30218808],
  Cell[722530, 20886, 1021, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1126524001", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first append", "IR"},
   CellID->1126524001],
  Cell[723554, 20916, 1719, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1103991877", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P", "IR"},
   CellID->1103991877],
  Cell[725276, 20973, 2254, 74, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1200539700", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P binary", "IR"},
   CellID->1200539700],
  Cell[727533, 21049, 1501, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1565072058", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E append", "IR"},
   CellID->1565072058],
  Cell[762578, 22026, 1341, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1332516309", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append=", "IR"},
   CellID->1332516309],
  Cell[766182, 22141, 1190, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1851672573", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append injective", "IR"},
   CellID->1851672573],
  Cell[787025, 22698, 1050, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:284047457", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend empty", "IR"},
   CellID->284047457],
  Cell[788808, 22755, 870, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1519173141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple prepend", "IR"},
   CellID->1519173141],
  Cell[790347, 22798, 907, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1956801946", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend", "IR"},
   CellID->1956801946],
  Cell[792022, 22846, 828, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1589773302", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend is non-empty", "IR"},
   CellID->1589773302],
  Cell[792853, 22870, 772, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:916089482", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first prepend", "IR"},
   CellID->916089482],
  Cell[793628, 22893, 1157, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:391327494", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last prepend", "IR"},
   CellID->391327494],
  Cell[794788, 22927, 1108, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2002116253", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index prepend 2", "IR"},
   CellID->2002116253],
  Cell[795899, 22962, 1710, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:48204947", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P", "IR"},
   CellID->48204947],
  Cell[797612, 23019, 2268, 75, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:414106078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P binary", "IR"},
   CellID->414106078],
  Cell[799883, 23096, 1506, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:416238876", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E prepend", "IR"},
   CellID->416238876],
  Cell[852737, 24599, 1266, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1613097054", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend=", "IR"},
   CellID->1613097054],
  Cell[856196, 24712, 1066, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1374117783", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend injective", "IR"},
   CellID->1374117783],
  Cell[875595, 25236, 1608, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:367121892", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join append", "IR"},
   CellID->367121892],
  Cell[882732, 25462, 1221, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:369207319", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest empty", "IR"},
   CellID->369207319],
  Cell[883956, 25501, 1103, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:562096052", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first rest", "IR"},
   CellID->562096052],
  Cell[885062, 25536, 1239, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2116051902", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last rest", "IR"},
   CellID->2116051902],
  Cell[886304, 25573, 1200, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1588185575", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most empty", "IR"},
   CellID->1588185575],
  Cell[887507, 25612, 1078, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1434873231", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first most", "IR"},
   CellID->1434873231],
  Cell[922622, 26638, 1319, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1096538360", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index rest II", "IR"},
   CellID->1096538360],
  Cell[923944, 26681, 1739, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1702600555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest P", "IR"},
   CellID->1702600555],
  Cell[925686, 26737, 2032, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1068710478", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest P binary", "IR"},
   CellID->1068710478],
  Cell[927721, 26804, 1889, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1094967297", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P", "IR"},
   CellID->1094967297],
  Cell[929613, 26863, 2228, 71, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1495849141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P Q", "IR"},
   CellID->1495849141],
  Cell[931844, 26936, 2263, 70, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:931974039", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P binary", "IR"},
   CellID->931974039],
  Cell[977367, 28139, 2125, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:511262385", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple P rest", "IR"},
   CellID->511262385],
  Cell[979495, 28205, 2813, 84, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:56527158", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple P rest binary", "IR"},
   CellID->56527158],
  Cell[999263, 28735, 863, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1124736253", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most append", "IR"},
   CellID->1124736253],
  Cell[1000129, 28763, 868, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1608823646", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest prepend", "IR"},
   CellID->1608823646],
  Cell[1008883, 29035, 1267, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:141734886", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index reverse II", "IR"},
   CellID->141734886],
  Cell[1010153, 29074, 827, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:940343559", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse reverse", "IR"},
   CellID->940343559],
  Cell[1010983, 29099, 1327, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:785342434", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E reverse", "IR"},
   CellID->785342434],
  Cell[1013072, 29168, 951, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:900095694", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first reverse", "IR"},
   CellID->900095694],
  Cell[1014026, 29197, 977, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:42240444", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last reverse", "IR"},
   CellID->42240444],
  Cell[1035710, 29837, 1570, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1023856661", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P", "IR"},
   CellID->1023856661],
  Cell[1037283, 29886, 1841, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:225789218", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary \[DoubleRightArrow]", "IR"},
   CellID->225789218],
  Cell[1039127, 29946, 1830, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:608262733", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary \[DoubleLeftArrow]", "IR"},
   CellID->608262733],
  Cell[1040960, 30005, 1859, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1483084569", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary", "IR"},
   CellID->1483084569],
  Cell[1071372, 30824, 1481, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1978957465", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length join seq", "IR"},
   CellID->1978957465],
  Cell[1072856, 30869, 1115, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:689233251", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend seq", "IR"},
   CellID->689233251],
  Cell[1073974, 30906, 1116, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1868467849", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append seq", "IR"},
   CellID->1868467849],
  Cell[1075093, 30943, 1110, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:65350141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend seq", "IR"},
   CellID->65350141],
  Cell[1076206, 30975, 1112, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1724810594", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append seq", "IR"},
   CellID->1724810594],
  Cell[1077321, 31007, 878, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1756306456", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first seq", "IR"},
   CellID->1756306456],
  Cell[1078202, 31034, 1103, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:825805850", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last seq", "IR"},
   CellID->825805850],
  Cell[1079308, 31066, 1408, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:170468971", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index prepend seq", "IR"},
   CellID->170468971],
  Cell[1080719, 31109, 966, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2036703557", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest seq", "IR"},
   CellID->2036703557],
  Cell[1081688, 31137, 969, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1246285181", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most seq", "IR"},
   CellID->1246285181],
  Cell[1086447, 31274, 1730, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:51106199", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend injective seq", "IR"},
   CellID->51106199],
  Cell[1088180, 31329, 1738, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:366778785", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append injective seq", "IR"},
   CellID->366778785],
  Cell[1095813, 31568, 1044, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:375885636", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index prepend seq", "IR"},
   CellID->375885636],
  Cell[1096860, 31597, 1745, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1449667434", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E prepend seq", "IR"},
   CellID->1449667434],
  Cell[1098608, 31657, 1742, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1225984057", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E append seq", "IR"},
   CellID->1225984057],
  Cell[1207985, 34839, 2649, 81, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:945414731", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P seq", "IR"},
   CellID->945414731],
  Cell[1210637, 34922, 2123, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:410739149", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P seq", "IR"},
   CellID->410739149],
  Cell[1212763, 34988, 2074, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:351192043", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P seq", "IR"},
   CellID->351192043],
  Cell[1242067, 35757, 786, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1942795378", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf", "IR"},
   CellID->1942795378],
  Cell[1242856, 35780, 1335, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1005510912", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty", "IR"},
   CellID->1005510912],
  Cell[1244194, 35825, 1496, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1495808200", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf", "IR"},
   CellID->1495808200],
  Cell[1245693, 35877, 1444, 45, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1914119422", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P", "IR"},
   CellID->1914119422],
  Cell[1275246, 36672, 846, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1598714500", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf", "IR"},
   CellID->1598714500],
  Cell[1276095, 36697, 1082, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1101459169", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty II", "IR"},
   CellID->1101459169],
  Cell[1277180, 36732, 1093, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1117837722", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index TupleOf", "IR"},
   CellID->1117837722],
  Cell[1278276, 36766, 2164, 69, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:516149167", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf=", "IR"},
   CellID->516149167],
  Cell[1280443, 36837, 1626, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:177394441", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary", "IR"},
   CellID->177394441],
  Cell[1282793, 36911, 802, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:340261036", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first TupleOf", "IR"},
   CellID->340261036],
  Cell[1283598, 36935, 864, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:124965228", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last TupleOf", "IR"},
   CellID->124965228],
  Cell[1330849, 38200, 961, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:218966905", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf II", "IR"},
   CellID->218966905],
  Cell[1331813, 38225, 1343, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2124778583", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty III", "IR"},
   CellID->2124778583],
  Cell[1333159, 38270, 1504, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2096232905", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf II", "IR"},
   CellID->2096232905],
  Cell[1334666, 38322, 1526, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:317090069", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P II", "IR"},
   CellID->317090069],
  Cell[1337068, 38396, 1369, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:251468957", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf II", "IR"},
   CellID->251468957],
  Cell[1338440, 38431, 1319, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1168033220", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index TupleOf II", "IR"},
   CellID->1168033220],
  Cell[1339762, 38470, 1683, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:894739369", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary II", "IR"},
   CellID->894739369],
  Cell[1342140, 38544, 1105, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2071594661", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf III", "IR"},
   CellID->2071594661],
  Cell[1343248, 38576, 2159, 62, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:520380078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf III", "IR"},
   CellID->520380078],
  Cell[1345410, 38640, 2219, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:408639765", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P III", "IR"},
   CellID->408639765],
  Cell[1348571, 38732, 1015, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:881212292", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf III", "IR"},
   CellID->881212292],
  Cell[1349589, 38760, 1873, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:23356384", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf=III", "IR"},
   CellID->23356384],
  Cell[1351465, 38821, 1168, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1085673759", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty IV", "IR"},
   CellID->1085673759],
  Cell[1352636, 38858, 1761, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1965128634", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary III", "IR"},
   CellID->1965128634],
  Cell[1355145, 38936, 863, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1006778759", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first TupleOf III", "IR"},
   CellID->1006778759],
  Cell[1356011, 38961, 1036, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:283251415", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last TupleOf III", "IR"},
   CellID->283251415],
  Cell[1469040, 41905, 2096, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:288335744", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf join", "IR"},
   CellID->288335744],
  Cell[1495590, 42609, 1827, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:176463151", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum append", "IR"},
   CellID->176463151],
  Cell[1499996, 42751, 1880, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1626050428", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum most", "IR"},
   CellID->1626050428],
  Cell[1525817, 43426, 2554, 73, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:883103966", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf", "IR"},
   CellID->883103966],
  Cell[1529982, 43545, 1525, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1650642628", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf unary", "IR"},
   CellID->1650642628],
  Cell[1561696, 44394, 1749, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1530142946", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples append", "IR"},
   CellID->1530142946],
  Cell[1563448, 44454, 1751, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1549052502", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples prepend", "IR"},
   CellID->1549052502],
  Cell[1565202, 44514, 1775, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:734563828", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples most", "IR"},
   CellID->734563828],
  Cell[1566980, 44573, 1777, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:972583102", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples rest", "IR"},
   CellID->972583102],
  Cell[1568760, 44632, 2382, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:659908364", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples non-empty rest", "IR"},
   CellID->659908364],
  Cell[1571145, 44711, 1850, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:14041309", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples rest seq", "IR"},
   CellID->14041309],
  Cell[1630487, 46326, 883, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1796849533", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isSet TupleToSet", "IR"},
   CellID->1796849533],
  Cell[1631373, 46352, 1407, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:175665072", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Element] TupleToSet", "IR"},
   CellID->175665072],
  Cell[1632783, 46400, 1776, 51, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:460986674", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet TupleOf", "IR"},
   CellID->460986674],
  Cell[1634562, 46453, 1303, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:173666830", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet join", "IR"},
   CellID->173666830],
  Cell[1635868, 46497, 871, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:201212584", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet empty", "IR"},
   CellID->201212584],
  Cell[1636742, 46522, 1044, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1943524802", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet singleton", "IR"},
   CellID->1943524802],
  Cell[1637789, 46555, 1341, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:809409004", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet append", "IR"},
   CellID->809409004],
  Cell[1639133, 46600, 886, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:47406400", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet isFinite", "IR"},
   CellID->47406400],
  Cell[1683785, 47951, 1032, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1071152688", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] prepend seq", "IR"},
   CellID->1071152688],
  Cell[1684820, 47980, 1027, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:108993772", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] append seq", "IR"},
   CellID->108993772],
  Cell[1704321, 48582, 1423, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1649645401", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples E", "IR"},
   CellID->1649645401],
  Cell[1705747, 48631, 1426, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1383999666", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples join", "IR"},
   CellID->1383999666],
  Cell[1707176, 48677, 1413, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1424148745", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples append", "IR"},
   CellID->1424148745],
  Cell[1708592, 48723, 1417, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1871123021", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples prepend", "IR"},
   CellID->1871123021],
  Cell[1710012, 48769, 1428, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:752441053", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples rest", "IR"},
   CellID->752441053],
  Cell[1711443, 48813, 1383, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1694879508", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples most", "IR"},
   CellID->1694879508],
  Cell[1712829, 48856, 1233, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2011690260", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples reverse", "IR"},
   CellID->2011690260],
  Cell[1714065, 48895, 1933, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1915001232", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples join seq", "IR"},
   CellID->1915001232],
  Cell[1716001, 48955, 1748, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:232482705", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples append seq", "IR"},
   CellID->232482705],
  Cell[1717752, 49010, 1749, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:64883103", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples prepend seq", "IR"},
   CellID->64883103],
  Cell[1719504, 49065, 1292, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:372047052", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainSets TupleToSet", "IR"},
   CellID->372047052],
  Cell[1776263, 50649, 2079, 66, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2052980984", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples append", "IR"},
   CellID->2052980984],
  Cell[1778345, 50717, 3214, 102, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:480000138", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples append 2", "IR"},
   CellID->480000138],
  Cell[1781562, 50821, 2369, 72, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1988740441", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples rest seq", "IR"},
   CellID->1988740441],
  Cell[1848406, 52631, 2302, 70, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2053740245", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples domain", "IR"},
   CellID->2053740245],
  Cell[1859425, 52935, 1856, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:850429787", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting I", "IR"},
   CellID->850429787],
  Cell[1861284, 52996, 1972, 62, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1070084809", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting II", "IR"},
   CellID->1070084809],
  Cell[1863259, 53060, 2059, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1286863438", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples append", "IR"},
   CellID->1286863438],
  Cell[1867297, 53192, 2468, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:654350327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting III", "IR"},
   CellID->654350327],
  Cell[1869768, 53271, 2505, 78, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:309986851", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] join", "IR"},
   CellID->309986851],
  Cell[1921991, 54593, 2642, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:870134514", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] TupleOf II", "IR"},
   CellID->870134514],
  Cell[1924636, 54672, 2919, 84, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1688189650", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] TupleOf III", "IR"},
   CellID->1688189650],
  Cell[1957571, 55535, 906, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:781169161", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "min identical", "IR"},
   CellID->781169161],
  Cell[1958480, 55562, 909, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:229791028", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max identical", "IR"},
   CellID->229791028],
  Cell[1967523, 55835, 1379, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:10580625", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "membership min", "IR"},
   CellID->10580625],
  Cell[1968905, 55878, 1330, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:50619968", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "membership max", "IR"},
   CellID->50619968]},
 "ID:23375335"->{
  Cell[71583, 1921, 744, 20, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:23375335", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Nil isTuple"},
   CellID->23375335]},
 "Nil isTuple"->{
  Cell[71583, 1921, 744, 20, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:23375335", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Nil isTuple"},
   CellID->23375335]},
 "ID:256666213"->{
  Cell[72330, 1943, 779, 21, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:256666213", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] Nil isSet"},
   CellID->256666213]},
 "\[Not] Nil isSet"->{
  Cell[72330, 1943, 779, 21, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:256666213", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] Nil isSet"},
   CellID->256666213]},
 "ID:494401940"->{
  Cell[73112, 1966, 687, 17, 33, "GlobalDeclaration",
   CellTags->{
    "ID:494401940", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->494401940]},
 "ID:80140108"->{
  Cell[73802, 1985, 798, 22, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:80140108", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons isTuple"},
   CellID->80140108]},
 "Cons isTuple"->{
  Cell[73802, 1985, 798, 22, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:80140108", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons isTuple"},
   CellID->80140108]},
 "ID:855820982"->{
  Cell[74603, 2009, 838, 23, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:855820982", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] Cons isSet"},
   CellID->855820982]},
 "\[Not] Cons isSet"->{
  Cell[74603, 2009, 838, 23, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:855820982", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] Cons isSet"},
   CellID->855820982]},
 "ID:22018468"->{
  Cell[75444, 2034, 820, 23, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:22018468", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons \[NotEqual] Nil"},
   CellID->22018468]},
 "Cons \[NotEqual] Nil"->{
  Cell[75444, 2034, 820, 23, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:22018468", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons \[NotEqual] Nil"},
   CellID->22018468]},
 "ID:128498950"->{
  Cell[76267, 2059, 1420, 47, 33, "FormalTextInputFormula",
   CellTags->{
    "ID:128498950", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons injective"},
   CellID->128498950]},
 "Cons injective"->{
  Cell[76267, 2059, 1420, 47, 33, "FormalTextInputFormula",
   CellTags->{
    "ID:128498950", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Cons injective"},
   CellID->128498950]},
 "ID:675750488"->{
  Cell[78268, 2131, 656, 16, 31, "GlobalDeclaration",
   CellTags->{
    "ID:675750488", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->675750488]},
 "ID:152717330"->{
  Cell[78927, 2149, 854, 25, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:152717330", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tupRec Nil"},
   CellID->152717330]},
 "tupRec Nil"->{
  Cell[78927, 2149, 854, 25, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:152717330", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tupRec Nil"},
   CellID->152717330]},
 "ID:177449370"->{
  Cell[79784, 2176, 1312, 40, 33, "FormalTextInputFormula",
   CellTags->{
    "ID:177449370", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tupRec Cons"},
   CellID->177449370]},
 "tupRec Cons"->{
  Cell[79784, 2176, 1312, 40, 33, "FormalTextInputFormula",
   CellTags->{
    "ID:177449370", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tupRec Cons"},
   CellID->177449370]},
 "ID:703726822"->{
  Cell[81934, 2250, 689, 17, 33, "GlobalDeclaration",
   CellTags->{
    "ID:703726822", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->703726822]},
 "ID:29057684"->{
  Cell[82626, 2269, 813, 24, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:29057684", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index base"},
   CellID->29057684]},
 "index base"->{
  Cell[82626, 2269, 813, 24, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:29057684", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index base"},
   CellID->29057684]},
 "ID:381428117"->{
  Cell[83442, 2295, 1070, 33, 30, "FormalTextInputFormula",
   CellTags->{
    "ID:381428117", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index step"},
   CellID->381428117]},
 "index step"->{
  Cell[83442, 2295, 1070, 33, 30, "FormalTextInputFormula",
   CellTags->{
    "ID:381428117", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index step"},
   CellID->381428117]},
 "ID:182124102"->{
  Cell[85472, 2367, 1236, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:182124102", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple length"},
   CellID->182124102]},
 "tuple length"->{
  Cell[85472, 2367, 1236, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:182124102", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple length"},
   CellID->182124102]},
 "ID:654651115"->{
  Cell[87303, 2429, 814, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:654651115", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple 1"},
   CellID->654651115]},
 "enumeration tuple 1"->{
  Cell[87303, 2429, 814, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:654651115", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple 1"},
   CellID->654651115]},
 "ID:63270404"->{
  Cell[88120, 2453, 1199, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:63270404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple 2"},
   CellID->63270404]},
 "enumeration tuple 2"->{
  Cell[88120, 2453, 1199, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:63270404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple 2"},
   CellID->63270404]},
 "ID:338791396"->{
  Cell[90981, 2540, 1682, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:338791396", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join"},
   CellID->338791396]},
 "join"->{
  Cell[90981, 2540, 1682, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:338791396", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join"},
   CellID->338791396]},
 "ID:895128101"->{
  Cell[93469, 2622, 654, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:895128101", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->895128101]},
 "ID:1525755901"->{
  Cell[94126, 2640, 1097, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1525755901", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append"},
   CellID->1525755901]},
 "append"->{
  Cell[94126, 2640, 1097, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1525755901", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append"},
   CellID->1525755901]},
 "ID:884743897"->{
  Cell[95226, 2676, 996, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:884743897", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend"},
   CellID->884743897]},
 "prepend"->{
  Cell[95226, 2676, 996, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:884743897", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend"},
   CellID->884743897]},
 "ID:1281000450"->{
  Cell[96225, 2709, 1627, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1281000450", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple E"},
   CellID->1281000450]},
 "tuple E"->{
  Cell[96225, 2709, 1627, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1281000450", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple E"},
   CellID->1281000450]},
 "ID:32295857"->{
  Cell[98438, 2788, 1597, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:32295857", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Reverse"},
   CellID->32295857]},
 "Reverse"->{
  Cell[98438, 2788, 1597, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:32295857", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Reverse"},
   CellID->32295857]},
 "ID:632649"->{
  Cell[100674, 2864, 621, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:632649", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->632649]},
 "ID:12265558"->{
  Cell[101298, 2881, 1227, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:12265558", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Rest"},
   CellID->12265558]},
 "Rest"->{
  Cell[101298, 2881, 1227, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:12265558", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Rest"},
   CellID->12265558]},
 "ID:91603327"->{
  Cell[102528, 2919, 1185, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:91603327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Most"},
   CellID->91603327]},
 "Most"->{
  Cell[102528, 2919, 1185, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:91603327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Most"},
   CellID->91603327]},
 "ID:223047122"->{
  Cell[104301, 2978, 3173, 88, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:223047122", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf"},
   CellID->223047122]},
 "TupleOf"->{
  Cell[104301, 2978, 3173, 88, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:223047122", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf"},
   CellID->223047122]},
 "ID:1457491854"->{
  Cell[108061, 3091, 1351, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1457491854", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet"},
   CellID->1457491854]},
 "TupleToSet"->{
  Cell[108061, 3091, 1351, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1457491854", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet"},
   CellID->1457491854]},
 "ID:266511991"->{
  Cell[110239, 3164, 810, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:266511991", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length Nil", "IR"},
   CellID->266511991]},
 "length Nil"->{
  Cell[110239, 3164, 810, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:266511991", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length Nil", "IR"},
   CellID->266511991]},
 "ID:453335165"->{
  Cell[111052, 3188, 667, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:453335165", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->453335165]},
 "ID:789740286"->{
  Cell[111722, 3206, 1115, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:789740286", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length Cons", "IR"},
   CellID->789740286]},
 "length Cons"->{
  Cell[111722, 3206, 1115, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:789740286", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length Cons", "IR"},
   CellID->789740286]},
 "ID:896792384"->{
  Cell[112840, 3241, 1052, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:896792384", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length \[Element] \[DoubleStruckCapitalN]", "IR"},
   CellID->896792384]},
 "length \[Element] \[DoubleStruckCapitalN]"->{
  Cell[112840, 3241, 1052, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:896792384", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length \[Element] \[DoubleStruckCapitalN]", "IR"},
   CellID->896792384]},
 "ID:492864831"->{
  Cell[113895, 3269, 1050, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:492864831", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length II", "IR"},
   CellID->492864831]},
 "length II"->{
  Cell[113895, 3269, 1050, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:492864831", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length II", "IR"},
   CellID->492864831]},
 "ID:1114754549"->{
  Cell[114948, 3299, 835, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1114754549", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length III", "IR"},
   CellID->1114754549]},
 "length III"->{
  Cell[114948, 3299, 835, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1114754549", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length III", "IR"},
   CellID->1114754549]},
 "ID:57954569"->{
  Cell[115786, 3323, 1134, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:57954569", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length 0 Nil"},
   CellID->57954569]},
 "length 0 Nil"->{
  Cell[115786, 3323, 1134, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:57954569", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length 0 Nil"},
   CellID->57954569]},
 "Proof|ID:266511991"->{
  Cell[117073, 3369, 1847, 56, 70, "ProofInfo",
   CellTags->{"Proof|ID:266511991", "Proof|ID:266511991-1"},
   CellID->5572360]},
 "Proof|ID:266511991-1"->{
  Cell[117073, 3369, 1847, 56, 70, "ProofInfo",
   CellTags->{"Proof|ID:266511991", "Proof|ID:266511991-1"},
   CellID->5572360]},
 "Proof|ID:789740286"->{
  Cell[119439, 3444, 3216, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:789740286", "Proof|ID:789740286-1"},
   CellID->83877977]},
 "Proof|ID:789740286-1"->{
  Cell[119439, 3444, 3216, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:789740286", "Proof|ID:789740286-1"},
   CellID->83877977]},
 "Proof|ID:896792384"->{
  Cell[123174, 3551, 2531, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:896792384", "Proof|ID:896792384-1"},
   CellID->78773010]},
 "Proof|ID:896792384-1"->{
  Cell[123174, 3551, 2531, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:896792384", "Proof|ID:896792384-1"},
   CellID->78773010]},
 "Proof|ID:492864831"->{
  Cell[126225, 3646, 2814, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:492864831", "Proof|ID:492864831-1"},
   CellID->184342284]},
 "Proof|ID:492864831-1"->{
  Cell[126225, 3646, 2814, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:492864831", "Proof|ID:492864831-1"},
   CellID->184342284]},
 "Proof|ID:1114754549"->{
  Cell[129560, 3745, 2398, 72, 70, "ProofInfo",
   CellTags->{"Proof|ID:1114754549", "Proof|ID:1114754549-1"},
   CellID->1241379590]},
 "Proof|ID:1114754549-1"->{
  Cell[129560, 3745, 2398, 72, 70, "ProofInfo",
   CellTags->{"Proof|ID:1114754549", "Proof|ID:1114754549-1"},
   CellID->1241379590]},
 "Proof|ID:57954569"->{
  Cell[132479, 3836, 2618, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:57954569", "Proof|ID:57954569-1"},
   CellID->344820526]},
 "Proof|ID:57954569-1"->{
  Cell[132479, 3836, 2618, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:57954569", "Proof|ID:57954569-1"},
   CellID->344820526]},
 "ID:198497275"->{
  Cell[136049, 3945, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:198497275", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->198497275]},
 "ID:485804192"->{
  Cell[136717, 3963, 1274, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:485804192", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple cases"},
   CellID->485804192]},
 "tuple cases"->{
  Cell[136717, 3963, 1274, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:485804192", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple cases"},
   CellID->485804192]},
 "ID:128271632"->{
  Cell[137994, 4008, 778, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:128271632", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] tuple isSet"},
   CellID->128271632]},
 "\[Not] tuple isSet"->{
  Cell[137994, 4008, 778, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:128271632", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Not] tuple isSet"},
   CellID->128271632]},
 "ID:748403354"->{
  Cell[138775, 4031, 1876, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:748403354", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple equality'"},
   CellID->748403354]},
 "tuple equality'"->{
  Cell[138775, 4031, 1876, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:748403354", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple equality'"},
   CellID->748403354]},
 "ID:2006383088"->{
  Cell[140654, 4092, 2045, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2006383088", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple equality"},
   CellID->2006383088]},
 "tuple equality"->{
  Cell[140654, 4092, 2045, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2006383088", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple equality"},
   CellID->2006383088]},
 "Proof|ID:485804192"->{
  Cell[142853, 4166, 3331, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:485804192", "Proof|ID:485804192-1"},
   CellID->180714238]},
 "Proof|ID:485804192-1"->{
  Cell[142853, 4166, 3331, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:485804192", "Proof|ID:485804192-1"},
   CellID->180714238]},
 "Proof|ID:128271632"->{
  Cell[146703, 4279, 2478, 75, 70, "ProofInfo",
   CellTags->{"Proof|ID:128271632", "Proof|ID:128271632-1"},
   CellID->757484247]},
 "Proof|ID:128271632-1"->{
  Cell[146703, 4279, 2478, 75, 70, "ProofInfo",
   CellTags->{"Proof|ID:128271632", "Proof|ID:128271632-1"},
   CellID->757484247]},
 "Proof|ID:748403354"->{
  Cell[149700, 4373, 4792, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:748403354", "Proof|ID:748403354-1"},
   CellID->470954866]},
 "Proof|ID:748403354-1"->{
  Cell[149700, 4373, 4792, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:748403354", "Proof|ID:748403354-1"},
   CellID->470954866]},
 "Proof|ID:2006383088"->{
  Cell[155012, 4518, 5075, 128, 70, "ProofInfo",
   CellTags->{"Proof|ID:2006383088", "Proof|ID:2006383088-1"},
   CellID->97088282]},
 "Proof|ID:2006383088-1"->{
  Cell[155012, 4518, 5075, 128, 70, "ProofInfo",
   CellTags->{"Proof|ID:2006383088", "Proof|ID:2006383088-1"},
   CellID->97088282]},
 "ID:268769082"->{
  Cell[161092, 4680, 1121, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:268769082", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuples surjective"},
   CellID->268769082]},
 "enumeration tuples surjective"->{
  Cell[161092, 4680, 1121, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:268769082", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuples surjective"},
   CellID->268769082]},
 "ID:1721177564"->{
  Cell[162216, 4715, 815, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1721177564", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple empty", "IR"},
   CellID->1721177564]},
 "isTuple empty"->{
  Cell[162216, 4715, 815, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1721177564", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple empty", "IR"},
   CellID->1721177564]},
 "ID:1594267913"->{
  Cell[163034, 4739, 917, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1594267913", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length empty"},
   CellID->1594267913]},
 "length empty"->{
  Cell[163034, 4739, 917, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1594267913", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length empty"},
   CellID->1594267913]},
 "ID:11264892"->{
  Cell[163954, 4765, 1083, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:11264892", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length singleton", "IR"},
   CellID->11264892]},
 "length singleton"->{
  Cell[163954, 4765, 1083, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:11264892", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length singleton", "IR"},
   CellID->11264892]},
 "ID:346405581"->{
  Cell[165040, 4798, 990, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:346405581", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "singleton first", "IR"},
   CellID->346405581]},
 "singleton first"->{
  Cell[165040, 4798, 990, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:346405581", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "singleton first", "IR"},
   CellID->346405581]},
 "ID:477773676"->{
  Cell[166033, 4830, 938, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:477773676", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple enumeration tuple", "IR"},
   CellID->477773676]},
 "isTuple enumeration tuple"->{
  Cell[166033, 4830, 938, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:477773676", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple enumeration tuple", "IR"},
   CellID->477773676]},
 "Proof|ID:268769082"->{
  Cell[167127, 4867, 2862, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:268769082", "Proof|ID:268769082-1"},
   CellID->534623636]},
 "Proof|ID:268769082-1"->{
  Cell[167127, 4867, 2862, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:268769082", "Proof|ID:268769082-1"},
   CellID->534623636]},
 "Proof|ID:1721177564"->{
  Cell[170508, 4970, 1850, 56, 70, "ProofInfo",
   CellTags->{"Proof|ID:1721177564", "Proof|ID:1721177564-1"},
   CellID->463441133]},
 "Proof|ID:1721177564-1"->{
  Cell[170508, 4970, 1850, 56, 70, "ProofInfo",
   CellTags->{"Proof|ID:1721177564", "Proof|ID:1721177564-1"},
   CellID->463441133]},
 "Proof|ID:1594267913"->{
  Cell[172879, 5045, 1995, 60, 70, "ProofInfo",
   CellTags->{"Proof|ID:1594267913", "Proof|ID:1594267913-1"},
   CellID->76397926]},
 "Proof|ID:1594267913-1"->{
  Cell[172879, 5045, 1995, 60, 70, "ProofInfo",
   CellTags->{"Proof|ID:1594267913", "Proof|ID:1594267913-1"},
   CellID->76397926]},
 "Proof|ID:11264892"->{
  Cell[175395, 5124, 2386, 70, 70, "ProofInfo",
   CellTags->{"Proof|ID:11264892", "Proof|ID:11264892-1"},
   CellID->751352369]},
 "Proof|ID:11264892-1"->{
  Cell[175395, 5124, 2386, 70, 70, "ProofInfo",
   CellTags->{"Proof|ID:11264892", "Proof|ID:11264892-1"},
   CellID->751352369]},
 "Proof|ID:346405581"->{
  Cell[178299, 5213, 2404, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:346405581", "Proof|ID:346405581-1"},
   CellID->431530519]},
 "Proof|ID:346405581-1"->{
  Cell[178299, 5213, 2404, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:346405581", "Proof|ID:346405581-1"},
   CellID->431530519]},
 "Proof|ID:477773676"->{
  Cell[181222, 5306, 2390, 73, 70, "ProofInfo",
   CellTags->{"Proof|ID:477773676", "Proof|ID:477773676-1"},
   CellID->151996293]},
 "Proof|ID:477773676-1"->{
  Cell[181222, 5306, 2390, 73, 70, "ProofInfo",
   CellTags->{"Proof|ID:477773676", "Proof|ID:477773676-1"},
   CellID->151996293]},
 "ID:287857146"->{
  Cell[184608, 5413, 1115, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:287857146", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join Nil", "IR"},
   CellID->287857146]},
 "join Nil"->{
  Cell[184608, 5413, 1115, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:287857146", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join Nil", "IR"},
   CellID->287857146]},
 "ID:337892103"->{
  Cell[185726, 5452, 1381, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:337892103", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join Cons", "IR"},
   CellID->337892103]},
 "join Cons"->{
  Cell[185726, 5452, 1381, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:337892103", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join Cons", "IR"},
   CellID->337892103]},
 "ID:872547016"->{
  Cell[187110, 5501, 947, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:872547016", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple join'", "IR"},
   CellID->872547016]},
 "isTuple join'"->{
  Cell[187110, 5501, 947, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:872547016", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple join'", "IR"},
   CellID->872547016]},
 "ID:361458074"->{
  Cell[188060, 5531, 730, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:361458074", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->361458074]},
 "ID:688753716"->{
  Cell[188793, 5550, 1198, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:688753716", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple join", "IR"},
   CellID->688753716]},
 "isTuple join"->{
  Cell[188793, 5550, 1198, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:688753716", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple join", "IR"},
   CellID->688753716]},
 "ID:1660159491"->{
  Cell[189994, 5589, 793, 21, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1660159491", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1660159491]},
 "ID:1115259658"->{
  Cell[190790, 5612, 1149, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1115259658", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length join"},
   CellID->1115259658]},
 "length join"->{
  Cell[190790, 5612, 1149, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1115259658", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length join"},
   CellID->1115259658]},
 "ID:526825714"->{
  Cell[191942, 5646, 1331, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:526825714", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index join 1"},
   CellID->526825714]},
 "index join 1"->{
  Cell[191942, 5646, 1331, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:526825714", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index join 1"},
   CellID->526825714]},
 "ID:189594342"->{
  Cell[193276, 5687, 1434, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:189594342", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index join 2"},
   CellID->189594342]},
 "index join 2"->{
  Cell[193276, 5687, 1434, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:189594342", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index join 2"},
   CellID->189594342]},
 "ID:589317888"->{
  Cell[194713, 5731, 1533, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:589317888", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join enumeration tuples"},
   CellID->589317888]},
 "join enumeration tuples"->{
  Cell[194713, 5731, 1533, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:589317888", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join enumeration tuples"},
   CellID->589317888]},
 "Proof|ID:287857146"->{
  Cell[196404, 5790, 2339, 72, 70, "ProofInfo",
   CellTags->{"Proof|ID:287857146", "Proof|ID:287857146-1"},
   CellID->94095694]},
 "Proof|ID:287857146-1"->{
  Cell[196404, 5790, 2339, 72, 70, "ProofInfo",
   CellTags->{"Proof|ID:287857146", "Proof|ID:287857146-1"},
   CellID->94095694]},
 "Proof|ID:337892103"->{
  Cell[199263, 5881, 3429, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:337892103", "Proof|ID:337892103-1"},
   CellID->401685322]},
 "Proof|ID:337892103-1"->{
  Cell[199263, 5881, 3429, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:337892103", "Proof|ID:337892103-1"},
   CellID->401685322]},
 "Proof|ID:872547016"->{
  Cell[203212, 5994, 2545, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:872547016", "Proof|ID:872547016-1"},
   CellID->622050746]},
 "Proof|ID:872547016-1"->{
  Cell[203212, 5994, 2545, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:872547016", "Proof|ID:872547016-1"},
   CellID->622050746]},
 "Proof|ID:688753716"->{
  Cell[206276, 6087, 3029, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:688753716", "Proof|ID:688753716-1"},
   CellID->197369238]},
 "Proof|ID:688753716-1"->{
  Cell[206276, 6087, 3029, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:688753716", "Proof|ID:688753716-1"},
   CellID->197369238]},
 "Proof|ID:1115259658"->{
  Cell[209825, 6192, 3596, 98, 70, "ProofInfo",
   CellTags->{"Proof|ID:1115259658", "Proof|ID:1115259658-1"},
   CellID->733559307]},
 "Proof|ID:1115259658-1"->{
  Cell[209825, 6192, 3596, 98, 70, "ProofInfo",
   CellTags->{"Proof|ID:1115259658", "Proof|ID:1115259658-1"},
   CellID->733559307]},
 "Proof|ID:526825714"->{
  Cell[213942, 6309, 4097, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:526825714", "Proof|ID:526825714-1"},
   CellID->241146500]},
 "Proof|ID:526825714-1"->{
  Cell[213942, 6309, 4097, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:526825714", "Proof|ID:526825714-1"},
   CellID->241146500]},
 "Proof|ID:189594342"->{
  Cell[218559, 6440, 4479, 120, 70, "ProofInfo",
   CellTags->{"Proof|ID:189594342", "Proof|ID:189594342-1"},
   CellID->726416082]},
 "Proof|ID:189594342-1"->{
  Cell[218559, 6440, 4479, 120, 70, "ProofInfo",
   CellTags->{"Proof|ID:189594342", "Proof|ID:189594342-1"},
   CellID->726416082]},
 "Proof|ID:589317888"->{
  Cell[223558, 6579, 3522, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:589317888", "Proof|ID:589317888-1"},
   CellID->298882416]},
 "Proof|ID:589317888-1"->{
  Cell[223558, 6579, 3522, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:589317888", "Proof|ID:589317888-1"},
   CellID->298882416]},
 "ID:212552120"->{
  Cell[228043, 6712, 1148, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:212552120", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append Nil", "IR"},
   CellID->212552120]},
 "append Nil"->{
  Cell[228043, 6712, 1148, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:212552120", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append Nil", "IR"},
   CellID->212552120]},
 "ID:26950404"->{
  Cell[229194, 6751, 1366, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:26950404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append Cons", "IR"},
   CellID->26950404]},
 "append Cons"->{
  Cell[229194, 6751, 1366, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:26950404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append Cons", "IR"},
   CellID->26950404]},
 "ID:108690893"->{
  Cell[230563, 6799, 654, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:108690893", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->108690893]},
 "ID:546198311"->{
  Cell[231220, 6817, 703, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:546198311", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->546198311]},
 "ID:1028745265"->{
  Cell[231926, 6839, 874, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1028745265", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple append", "IR"},
   CellID->1028745265]},
 "isTuple append"->{
  Cell[231926, 6839, 874, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1028745265", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple append", "IR"},
   CellID->1028745265]},
 "ID:543565488"->{
  Cell[232803, 6864, 634, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:543565488", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->543565488]},
 "ID:826776809"->{
  Cell[233440, 6882, 954, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:826776809", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append", "IR"},
   CellID->826776809]},
 "length append"->{
  Cell[233440, 6882, 954, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:826776809", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append", "IR"},
   CellID->826776809]},
 "ID:1163861425"->{
  Cell[234397, 6909, 1080, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1163861425", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index append 1", "IR"},
   CellID->1163861425]},
 "index append 1"->{
  Cell[234397, 6909, 1080, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1163861425", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index append 1", "IR"},
   CellID->1163861425]},
 "ID:1926885900"->{
  Cell[235480, 6943, 923, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1926885900", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index append 2", "IR"},
   CellID->1926885900]},
 "index append 2"->{
  Cell[235480, 6943, 923, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1926885900", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index append 2", "IR"},
   CellID->1926885900]},
 "ID:258136300"->{
  Cell[236406, 6970, 834, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:258136300", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last append", "IR"},
   CellID->258136300]},
 "last append"->{
  Cell[236406, 6970, 834, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:258136300", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last append", "IR"},
   CellID->258136300]},
 "ID:583893516"->{
  Cell[237243, 6995, 823, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:583893516", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append is non-empty", "IR"},
   CellID->583893516]},
 "append is non-empty"->{
  Cell[237243, 6995, 823, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:583893516", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append is non-empty", "IR"},
   CellID->583893516]},
 "Proof|ID:212552120"->{
  Cell[238222, 7028, 2388, 72, 70, "ProofInfo",
   CellTags->{"Proof|ID:212552120", "Proof|ID:212552120-1"},
   CellID->842667298]},
 "Proof|ID:212552120-1"->{
  Cell[238222, 7028, 2388, 72, 70, "ProofInfo",
   CellTags->{"Proof|ID:212552120", "Proof|ID:212552120-1"},
   CellID->842667298]},
 "Proof|ID:26950404"->{
  Cell[241130, 7119, 3334, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:26950404", "Proof|ID:26950404-1"},
   CellID->160680747]},
 "Proof|ID:26950404-1"->{
  Cell[241130, 7119, 3334, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:26950404", "Proof|ID:26950404-1"},
   CellID->160680747]},
 "Proof|ID:1028745265"->{
  Cell[244983, 7230, 2686, 78, 70, "ProofInfo",
   CellTags->{"Proof|ID:1028745265", "Proof|ID:1028745265-1"},
   CellID->110230913]},
 "Proof|ID:1028745265-1"->{
  Cell[244983, 7230, 2686, 78, 70, "ProofInfo",
   CellTags->{"Proof|ID:1028745265", "Proof|ID:1028745265-1"},
   CellID->110230913]},
 "Proof|ID:826776809"->{
  Cell[248189, 7327, 3168, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:826776809", "Proof|ID:826776809-1"},
   CellID->18830374]},
 "Proof|ID:826776809-1"->{
  Cell[248189, 7327, 3168, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:826776809", "Proof|ID:826776809-1"},
   CellID->18830374]},
 "Proof|ID:1163861425"->{
  Cell[251877, 7434, 3937, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:1163861425", "Proof|ID:1163861425-1"},
   CellID->17881917]},
 "Proof|ID:1163861425-1"->{
  Cell[251877, 7434, 3937, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:1163861425", "Proof|ID:1163861425-1"},
   CellID->17881917]},
 "Proof|ID:1926885900"->{
  Cell[256335, 7561, 3167, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1926885900", "Proof|ID:1926885900-1"},
   CellID->262597552]},
 "Proof|ID:1926885900-1"->{
  Cell[256335, 7561, 3167, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1926885900", "Proof|ID:1926885900-1"},
   CellID->262597552]},
 "Proof|ID:258136300"->{
  Cell[260023, 7670, 3264, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:258136300", "Proof|ID:258136300-1"},
   CellID->299725670]},
 "Proof|ID:258136300-1"->{
  Cell[260023, 7670, 3264, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:258136300", "Proof|ID:258136300-1"},
   CellID->299725670]},
 "Proof|ID:583893516"->{
  Cell[263807, 7781, 2816, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:583893516", "Proof|ID:583893516-1"},
   CellID->542939157]},
 "Proof|ID:583893516-1"->{
  Cell[263807, 7781, 2816, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:583893516", "Proof|ID:583893516-1"},
   CellID->542939157]},
 "ID:223241243"->{
  Cell[267612, 7897, 791, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:223241243", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse Nil", "IR"},
   CellID->223241243]},
 "reverse Nil"->{
  Cell[267612, 7897, 791, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:223241243", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse Nil", "IR"},
   CellID->223241243]},
 "ID:742156512"->{
  Cell[268406, 7921, 1283, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:742156512", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse Cons", "IR"},
   CellID->742156512]},
 "reverse Cons"->{
  Cell[268406, 7921, 1283, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:742156512", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse Cons", "IR"},
   CellID->742156512]},
 "ID:145273629"->{
  Cell[269692, 7965, 884, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:145273629", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple reverse'", "IR"},
   CellID->145273629]},
 "isTuple reverse'"->{
  Cell[269692, 7965, 884, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:145273629", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple reverse'", "IR"},
   CellID->145273629]},
 "ID:461591348"->{
  Cell[270579, 7991, 631, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:461591348", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->461591348]},
 "ID:2049851981"->{
  Cell[271213, 8008, 1000, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2049851981", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple reverse"},
   CellID->2049851981]},
 "isTuple reverse"->{
  Cell[271213, 8008, 1000, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2049851981", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple reverse"},
   CellID->2049851981]},
 "ID:92271122"->{
  Cell[272216, 8037, 657, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:92271122", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->92271122]},
 "ID:272039775"->{
  Cell[272876, 8055, 963, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:272039775", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length reverse"},
   CellID->272039775]},
 "length reverse"->{
  Cell[272876, 8055, 963, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:272039775", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length reverse"},
   CellID->272039775]},
 "ID:1569428563"->{
  Cell[273842, 8083, 1342, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1569428563", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index reverse"},
   CellID->1569428563]},
 "index reverse"->{
  Cell[273842, 8083, 1342, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1569428563", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index reverse"},
   CellID->1569428563]},
 "ID:829341774"->{
  Cell[275187, 8124, 1175, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:829341774", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse is empty", "IR"},
   CellID->829341774]},
 "reverse is empty"->{
  Cell[275187, 8124, 1175, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:829341774", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse is empty", "IR"},
   CellID->829341774]},
 "Proof|ID:223241243"->{
  Cell[276520, 8170, 1799, 56, 70, "ProofInfo",
   CellTags->{"Proof|ID:223241243", "Proof|ID:223241243-1"},
   CellID->524187526]},
 "Proof|ID:223241243-1"->{
  Cell[276520, 8170, 1799, 56, 70, "ProofInfo",
   CellTags->{"Proof|ID:223241243", "Proof|ID:223241243-1"},
   CellID->524187526]},
 "Proof|ID:742156512"->{
  Cell[278837, 8245, 3018, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:742156512", "Proof|ID:742156512-1"},
   CellID->311829536]},
 "Proof|ID:742156512-1"->{
  Cell[278837, 8245, 3018, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:742156512", "Proof|ID:742156512-1"},
   CellID->311829536]},
 "Proof|ID:145273629"->{
  Cell[282375, 8352, 2271, 68, 70, "ProofInfo",
   CellTags->{"Proof|ID:145273629", "Proof|ID:145273629-1"},
   CellID->524179082]},
 "Proof|ID:145273629-1"->{
  Cell[282375, 8352, 2271, 68, 70, "ProofInfo",
   CellTags->{"Proof|ID:145273629", "Proof|ID:145273629-1"},
   CellID->524179082]},
 "Proof|ID:2049851981"->{
  Cell[285165, 8439, 2482, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:2049851981", "Proof|ID:2049851981-1"},
   CellID->1082036]},
 "Proof|ID:2049851981-1"->{
  Cell[285165, 8439, 2482, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:2049851981", "Proof|ID:2049851981-1"},
   CellID->1082036]},
 "Proof|ID:272039775"->{
  Cell[288167, 8532, 2862, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:272039775", "Proof|ID:272039775-1"},
   CellID->1586106]},
 "Proof|ID:272039775-1"->{
  Cell[288167, 8532, 2862, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:272039775", "Proof|ID:272039775-1"},
   CellID->1586106]},
 "Proof|ID:1569428563"->{
  Cell[291549, 8633, 4392, 118, 70, "ProofInfo",
   CellTags->{"Proof|ID:1569428563", "Proof|ID:1569428563-1"},
   CellID->43059393]},
 "Proof|ID:1569428563-1"->{
  Cell[291549, 8633, 4392, 118, 70, "ProofInfo",
   CellTags->{"Proof|ID:1569428563", "Proof|ID:1569428563-1"},
   CellID->43059393]},
 "Proof|ID:829341774"->{
  Cell[296462, 8770, 3113, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:829341774", "Proof|ID:829341774-1"},
   CellID->14326954]},
 "Proof|ID:829341774-1"->{
  Cell[296462, 8770, 3113, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:829341774", "Proof|ID:829341774-1"},
   CellID->14326954]},
 "ID:121283420"->{
  Cell[300572, 8894, 1044, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:121283420", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest Cons", "IR"},
   CellID->121283420]},
 "rest Cons"->{
  Cell[300572, 8894, 1044, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:121283420", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest Cons", "IR"},
   CellID->121283420]},
 "ID:987021041"->{
  Cell[301619, 8928, 755, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:987021041", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->987021041]},
 "ID:1839205404"->{
  Cell[302377, 8947, 1303, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1839205404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple rest"},
   CellID->1839205404]},
 "isTuple rest"->{
  Cell[302377, 8947, 1303, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1839205404", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple rest"},
   CellID->1839205404]},
 "ID:1405660958"->{
  Cell[303683, 8985, 1249, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1405660958", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple most"},
   CellID->1405660958]},
 "isTuple most"->{
  Cell[303683, 8985, 1249, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1405660958", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple most"},
   CellID->1405660958]},
 "ID:936067561"->{
  Cell[304935, 9023, 831, 21, 70, "GlobalDeclaration",
   CellTags->{
    "ID:936067561", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->936067561]},
 "ID:1552050833"->{
  Cell[305769, 9046, 1035, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1552050833", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length rest"},
   CellID->1552050833]},
 "length rest"->{
  Cell[305769, 9046, 1035, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1552050833", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length rest"},
   CellID->1552050833]},
 "ID:1817775526"->{
  Cell[306807, 9075, 982, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1817775526", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length most"},
   CellID->1817775526]},
 "length most"->{
  Cell[306807, 9075, 982, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1817775526", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length most"},
   CellID->1817775526]},
 "ID:84622963"->{
  Cell[307792, 9103, 1207, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:84622963", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index rest"},
   CellID->84622963]},
 "index rest"->{
  Cell[307792, 9103, 1207, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:84622963", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index rest"},
   CellID->84622963]},
 "ID:1284707773"->{
  Cell[309002, 9141, 1184, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1284707773", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index most"},
   CellID->1284707773]},
 "index most"->{
  Cell[309002, 9141, 1184, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1284707773", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index most"},
   CellID->1284707773]},
 "Proof|ID:121283420"->{
  Cell[310344, 9187, 2737, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:121283420", "Proof|ID:121283420-1"},
   CellID->95888746]},
 "Proof|ID:121283420-1"->{
  Cell[310344, 9187, 2737, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:121283420", "Proof|ID:121283420-1"},
   CellID->95888746]},
 "Proof|ID:1839205404"->{
  Cell[313601, 9288, 2962, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:1839205404", "Proof|ID:1839205404-1"},
   CellID->143479761]},
 "Proof|ID:1839205404-1"->{
  Cell[313601, 9288, 2962, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:1839205404", "Proof|ID:1839205404-1"},
   CellID->143479761]},
 "Proof|ID:1405660958"->{
  Cell[317084, 9391, 2962, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:1405660958", "Proof|ID:1405660958-1"},
   CellID->609655947]},
 "Proof|ID:1405660958-1"->{
  Cell[317084, 9391, 2962, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:1405660958", "Proof|ID:1405660958-1"},
   CellID->609655947]},
 "Proof|ID:1552050833"->{
  Cell[320565, 9494, 3382, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:1552050833", "Proof|ID:1552050833-1"},
   CellID->195359364]},
 "Proof|ID:1552050833-1"->{
  Cell[320565, 9494, 3382, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:1552050833", "Proof|ID:1552050833-1"},
   CellID->195359364]},
 "Proof|ID:1817775526"->{
  Cell[324468, 9607, 3382, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:1817775526", "Proof|ID:1817775526-1"},
   CellID->255158198]},
 "Proof|ID:1817775526-1"->{
  Cell[324468, 9607, 3382, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:1817775526", "Proof|ID:1817775526-1"},
   CellID->255158198]},
 "Proof|ID:84622963"->{
  Cell[328371, 9720, 4304, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:84622963", "Proof|ID:84622963-1"},
   CellID->8385938]},
 "Proof|ID:84622963-1"->{
  Cell[328371, 9720, 4304, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:84622963", "Proof|ID:84622963-1"},
   CellID->8385938]},
 "Proof|ID:1284707773"->{
  Cell[333193, 9855, 4238, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:1284707773", "Proof|ID:1284707773-1"},
   CellID->106320926]},
 "Proof|ID:1284707773-1"->{
  Cell[333193, 9855, 4238, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:1284707773", "Proof|ID:1284707773-1"},
   CellID->106320926]},
 "ID:59159884"->{
  Cell[338383, 10004, 651, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:59159884", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->59159884]},
 "ID:1998536813"->{
  Cell[339037, 10022, 2273, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1998536813", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf integer endpoints"},
   CellID->1998536813]},
 "TupleOf integer endpoints"->{
  Cell[339037, 10022, 2273, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1998536813", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf integer endpoints"},
   CellID->1998536813]},
 "ID:17780859"->{
  Cell[341313, 10087, 2258, 66, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:17780859", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf \[DoubleStruckCapitalN]0"},
   CellID->17780859]},
 "TupleOf \[DoubleStruckCapitalN]0"->{
  Cell[341313, 10087, 2258, 66, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:17780859", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf \[DoubleStruckCapitalN]0"},
   CellID->17780859]},
 "ID:1940209939"->{
  Cell[343574, 10155, 1094, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1940209939", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf base"},
   CellID->1940209939]},
 "TupleOf base"->{
  Cell[343574, 10155, 1094, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1940209939", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf base"},
   CellID->1940209939]},
 "ID:396789611"->{
  Cell[344671, 10187, 2258, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:396789611", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf step"},
   CellID->396789611]},
 "TupleOf step"->{
  Cell[344671, 10187, 2258, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:396789611", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf step"},
   CellID->396789611]},
 "Proof|ID:1998536813"->{
  Cell[347083, 10263, 7313, 178, 70, "ProofInfo",
   CellTags->{"Proof|ID:1998536813", "Proof|ID:1998536813-1"},
   CellID->24721990]},
 "Proof|ID:1998536813-1"->{
  Cell[347083, 10263, 7313, 178, 70, "ProofInfo",
   CellTags->{"Proof|ID:1998536813", "Proof|ID:1998536813-1"},
   CellID->24721990]},
 "Proof|ID:17780859"->{
  Cell[354917, 10460, 6198, 153, 70, "ProofInfo",
   CellTags->{"Proof|ID:17780859", "Proof|ID:17780859-1"},
   CellID->285980507]},
 "Proof|ID:17780859-1"->{
  Cell[354917, 10460, 6198, 153, 70, "ProofInfo",
   CellTags->{"Proof|ID:17780859", "Proof|ID:17780859-1"},
   CellID->285980507]},
 "Proof|ID:1940209939"->{
  Cell[361634, 10632, 3531, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1940209939", "Proof|ID:1940209939-1"},
   CellID->131744259]},
 "Proof|ID:1940209939-1"->{
  Cell[361634, 10632, 3531, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1940209939", "Proof|ID:1940209939-1"},
   CellID->131744259]},
 "Proof|ID:396789611"->{
  Cell[365686, 10751, 7973, 192, 70, "ProofInfo",
   CellTags->{"Proof|ID:396789611", "Proof|ID:396789611-1"},
   CellID->831671186]},
 "Proof|ID:396789611-1"->{
  Cell[365686, 10751, 7973, 192, 70, "ProofInfo",
   CellTags->{"Proof|ID:396789611", "Proof|ID:396789611-1"},
   CellID->831671186]},
 "ID:130363217"->{
  Cell[375852, 11014, 770, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:130363217", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->130363217]},
 "ID:39824109"->{
  Cell[376625, 11034, 899, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:39824109", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length pair", "IR"},
   CellID->39824109]},
 "length pair"->{
  Cell[376625, 11034, 899, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:39824109", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length pair", "IR"},
   CellID->39824109]},
 "ID:11669955"->{
  Cell[377527, 11060, 913, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:11669955", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length triple", "IR"},
   CellID->11669955]},
 "length triple"->{
  Cell[377527, 11060, 913, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:11669955", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length triple", "IR"},
   CellID->11669955]},
 "ID:7707058"->{
  Cell[378443, 11086, 853, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:7707058", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "pair first", "IR"},
   CellID->7707058]},
 "pair first"->{
  Cell[378443, 11086, 853, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:7707058", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "pair first", "IR"},
   CellID->7707058]},
 "ID:152479598"->{
  Cell[379299, 11112, 857, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:152479598", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "pair second", "IR"},
   CellID->152479598]},
 "pair second"->{
  Cell[379299, 11112, 857, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:152479598", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "pair second", "IR"},
   CellID->152479598]},
 "ID:448273489"->{
  Cell[380159, 11138, 873, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:448273489", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple first", "IR"},
   CellID->448273489]},
 "triple first"->{
  Cell[380159, 11138, 873, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:448273489", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple first", "IR"},
   CellID->448273489]},
 "ID:76151934"->{
  Cell[381035, 11164, 870, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:76151934", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple second", "IR"},
   CellID->76151934]},
 "triple second"->{
  Cell[381035, 11164, 870, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:76151934", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple second", "IR"},
   CellID->76151934]},
 "ID:1792898"->{
  Cell[381908, 11190, 867, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1792898", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple third", "IR"},
   CellID->1792898]},
 "triple third"->{
  Cell[381908, 11190, 867, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1792898", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "triple third", "IR"},
   CellID->1792898]},
 "Proof|ID:39824109"->{
  Cell[382930, 11225, 2666, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:39824109", "Proof|ID:39824109-1"},
   CellID->462628370]},
 "Proof|ID:39824109-1"->{
  Cell[382930, 11225, 2666, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:39824109", "Proof|ID:39824109-1"},
   CellID->462628370]},
 "Proof|ID:11669955"->{
  Cell[386115, 11320, 2900, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:11669955", "Proof|ID:11669955-1"},
   CellID->103191162]},
 "Proof|ID:11669955-1"->{
  Cell[386115, 11320, 2900, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:11669955", "Proof|ID:11669955-1"},
   CellID->103191162]},
 "Proof|ID:7707058"->{
  Cell[389534, 11419, 2667, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:7707058", "Proof|ID:7707058-1"},
   CellID->438891]},
 "Proof|ID:7707058-1"->{
  Cell[389534, 11419, 2667, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:7707058", "Proof|ID:7707058-1"},
   CellID->438891]},
 "Proof|ID:152479598"->{
  Cell[392719, 11518, 2681, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:152479598", "Proof|ID:152479598-1"},
   CellID->28361013]},
 "Proof|ID:152479598-1"->{
  Cell[392719, 11518, 2681, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:152479598", "Proof|ID:152479598-1"},
   CellID->28361013]},
 "Proof|ID:448273489"->{
  Cell[395920, 11617, 2911, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:448273489", "Proof|ID:448273489-1"},
   CellID->55696255]},
 "Proof|ID:448273489-1"->{
  Cell[395920, 11617, 2911, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:448273489", "Proof|ID:448273489-1"},
   CellID->55696255]},
 "Proof|ID:76151934"->{
  Cell[399351, 11720, 2907, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:76151934", "Proof|ID:76151934-1"},
   CellID->7620393]},
 "Proof|ID:76151934-1"->{
  Cell[399351, 11720, 2907, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:76151934", "Proof|ID:76151934-1"},
   CellID->7620393]},
 "Proof|ID:1792898"->{
  Cell[402777, 11823, 2902, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:1792898", "Proof|ID:1792898-1"},
   CellID->146372186]},
 "Proof|ID:1792898-1"->{
  Cell[402777, 11823, 2902, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:1792898", "Proof|ID:1792898-1"},
   CellID->146372186]},
 "ID:1064958803"->{
  Cell[406665, 11941, 668, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1064958803", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1064958803]},
 "ID:601496808"->{
  Cell[407336, 11959, 1144, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:601496808", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=1'"},
   CellID->601496808]},
 "length=1'"->{
  Cell[407336, 11959, 1144, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:601496808", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=1'"},
   CellID->601496808]},
 "ID:461084917"->{
  Cell[408483, 11997, 1194, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:461084917", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=2'"},
   CellID->461084917]},
 "length=2'"->{
  Cell[408483, 11997, 1194, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:461084917", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=2'"},
   CellID->461084917]},
 "ID:2026997690"->{
  Cell[409680, 12037, 1234, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2026997690", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=3'"},
   CellID->2026997690]},
 "length=3'"->{
  Cell[409680, 12037, 1234, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2026997690", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=3'"},
   CellID->2026997690]},
 "ID:1825869525"->{
  Cell[410917, 12078, 1135, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1825869525", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=0", "IR"},
   CellID->1825869525]},
 "length=0"->{
  Cell[410917, 12078, 1135, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1825869525", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=0", "IR"},
   CellID->1825869525]},
 "ID:1394353823"->{
  Cell[412055, 12115, 1301, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1394353823", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=1", "IR"},
   CellID->1394353823]},
 "length=1"->{
  Cell[412055, 12115, 1301, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1394353823", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=1", "IR"},
   CellID->1394353823]},
 "ID:1143806168"->{
  Cell[413359, 12159, 1357, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1143806168", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=2", "IR"},
   CellID->1143806168]},
 "length=2"->{
  Cell[413359, 12159, 1357, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1143806168", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=2", "IR"},
   CellID->1143806168]},
 "ID:1073774013"->{
  Cell[414719, 12205, 1375, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1073774013", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=3", "IR"},
   CellID->1073774013]},
 "length=3"->{
  Cell[414719, 12205, 1375, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1073774013", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length=3", "IR"},
   CellID->1073774013]},
 "Proof|ID:601496808"->{
  Cell[416252, 12260, 2913, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:601496808", "Proof|ID:601496808-1"},
   CellID->33434798]},
 "Proof|ID:601496808-1"->{
  Cell[416252, 12260, 2913, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:601496808", "Proof|ID:601496808-1"},
   CellID->33434798]},
 "Proof|ID:461084917"->{
  Cell[419685, 12363, 3168, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:461084917", "Proof|ID:461084917-1"},
   CellID->4486059]},
 "Proof|ID:461084917-1"->{
  Cell[419685, 12363, 3168, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:461084917", "Proof|ID:461084917-1"},
   CellID->4486059]},
 "Proof|ID:2026997690"->{
  Cell[423373, 12472, 3371, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:2026997690", "Proof|ID:2026997690-1"},
   CellID->993728727]},
 "Proof|ID:2026997690-1"->{
  Cell[423373, 12472, 3371, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:2026997690", "Proof|ID:2026997690-1"},
   CellID->993728727]},
 "Proof|ID:1825869525"->{
  Cell[427263, 12585, 2802, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:1825869525", "Proof|ID:1825869525-1"},
   CellID->23229126]},
 "Proof|ID:1825869525-1"->{
  Cell[427263, 12585, 2802, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:1825869525", "Proof|ID:1825869525-1"},
   CellID->23229126]},
 "Proof|ID:1394353823"->{
  Cell[430586, 12686, 3185, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1394353823", "Proof|ID:1394353823-1"},
   CellID->412991705]},
 "Proof|ID:1394353823-1"->{
  Cell[430586, 12686, 3185, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1394353823", "Proof|ID:1394353823-1"},
   CellID->412991705]},
 "Proof|ID:1143806168"->{
  Cell[434291, 12795, 3487, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:1143806168", "Proof|ID:1143806168-1"},
   CellID->509001042]},
 "Proof|ID:1143806168-1"->{
  Cell[434291, 12795, 3487, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:1143806168", "Proof|ID:1143806168-1"},
   CellID->509001042]},
 "Proof|ID:1073774013"->{
  Cell[438299, 12910, 3728, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1073774013", "Proof|ID:1073774013-1"},
   CellID->54733379]},
 "Proof|ID:1073774013-1"->{
  Cell[438299, 12910, 3728, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1073774013", "Proof|ID:1073774013-1"},
   CellID->54733379]},
 "ID:952268452"->{
  Cell[442990, 13043, 707, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:952268452", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->952268452]},
 "ID:1246418388"->{
  Cell[443700, 13063, 1162, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1246418388", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=1", "IR"},
   CellID->1246418388]},
 "enumeration tuple=1"->{
  Cell[443700, 13063, 1162, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1246418388", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=1", "IR"},
   CellID->1246418388]},
 "ID:1106522710"->{
  Cell[444865, 13099, 1486, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1106522710", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=2", "IR"},
   CellID->1106522710]},
 "enumeration tuple=2"->{
  Cell[444865, 13099, 1486, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1106522710", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=2", "IR"},
   CellID->1106522710]},
 "ID:799290150"->{
  Cell[446354, 13149, 1667, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:799290150", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=3", "IR"},
   CellID->799290150]},
 "enumeration tuple=3"->{
  Cell[446354, 13149, 1667, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:799290150", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "enumeration tuple=3", "IR"},
   CellID->799290150]},
 "Proof|ID:1246418388"->{
  Cell[448179, 13215, 3039, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:1246418388", "Proof|ID:1246418388-1"},
   CellID->105814896]},
 "Proof|ID:1246418388-1"->{
  Cell[448179, 13215, 3039, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:1246418388", "Proof|ID:1246418388-1"},
   CellID->105814896]},
 "Proof|ID:1106522710"->{
  Cell[451739, 13320, 4066, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:1106522710", "Proof|ID:1106522710-1"},
   CellID->118246133]},
 "Proof|ID:1106522710-1"->{
  Cell[451739, 13320, 4066, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:1106522710", "Proof|ID:1106522710-1"},
   CellID->118246133]},
 "Proof|ID:799290150"->{
  Cell[456325, 13445, 4849, 120, 70, "ProofInfo",
   CellTags->{"Proof|ID:799290150", "Proof|ID:799290150-1"},
   CellID->165270158]},
 "Proof|ID:799290150-1"->{
  Cell[456325, 13445, 4849, 120, 70, "ProofInfo",
   CellTags->{"Proof|ID:799290150", "Proof|ID:799290150-1"},
   CellID->165270158]},
 "ID:372490730"->{
  Cell[462134, 13598, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:372490730", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->372490730]},
 "ID:1625734410"->{
  Cell[462802, 13616, 929, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1625734410", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 1", "IR"},
   CellID->1625734410]},
 "rest enumeration tuple 1"->{
  Cell[462802, 13616, 929, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1625734410", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 1", "IR"},
   CellID->1625734410]},
 "ID:1166906170"->{
  Cell[463734, 13643, 963, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1166906170", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 2", "IR"},
   CellID->1166906170]},
 "rest enumeration tuple 2"->{
  Cell[463734, 13643, 963, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1166906170", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 2", "IR"},
   CellID->1166906170]},
 "ID:1779125069"->{
  Cell[464700, 13671, 999, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1779125069", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 3", "IR"},
   CellID->1779125069]},
 "rest enumeration tuple 3"->{
  Cell[464700, 13671, 999, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1779125069", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest enumeration tuple 3", "IR"},
   CellID->1779125069]},
 "Proof|ID:1625734410"->{
  Cell[465856, 13709, 2522, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:1625734410", "Proof|ID:1625734410-1"},
   CellID->82369536]},
 "Proof|ID:1625734410-1"->{
  Cell[465856, 13709, 2522, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:1625734410", "Proof|ID:1625734410-1"},
   CellID->82369536]},
 "Proof|ID:1166906170"->{
  Cell[468898, 13804, 2897, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:1166906170", "Proof|ID:1166906170-1"},
   CellID->852370402]},
 "Proof|ID:1166906170-1"->{
  Cell[468898, 13804, 2897, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:1166906170", "Proof|ID:1166906170-1"},
   CellID->852370402]},
 "Proof|ID:1779125069"->{
  Cell[472315, 13905, 3301, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1779125069", "Proof|ID:1779125069-1"},
   CellID->353249719]},
 "Proof|ID:1779125069-1"->{
  Cell[472315, 13905, 3301, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1779125069", "Proof|ID:1779125069-1"},
   CellID->353249719]},
 "ID:1147667115"->{
  Cell[476573, 14028, 680, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1147667115", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1147667115]},
 "ID:561509893"->{
  Cell[477256, 14046, 958, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:561509893", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E empty"},
   CellID->561509893]},
 "E empty"->{
  Cell[477256, 14046, 958, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:561509893", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E empty"},
   CellID->561509893]},
 "ID:365847091"->{
  Cell[478217, 14078, 1151, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:365847091", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 1", "IR"},
   CellID->365847091]},
 "E enumeration tuple 1"->{
  Cell[478217, 14078, 1151, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:365847091", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 1", "IR"},
   CellID->365847091]},
 "ID:58186484"->{
  Cell[479371, 14116, 1443, 49, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:58186484", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 2", "IR"},
   CellID->58186484]},
 "E enumeration tuple 2"->{
  Cell[479371, 14116, 1443, 49, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:58186484", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 2", "IR"},
   CellID->58186484]},
 "ID:786794198"->{
  Cell[480817, 14167, 1607, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:786794198", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 3", "IR"},
   CellID->786794198]},
 "E enumeration tuple 3"->{
  Cell[480817, 14167, 1607, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:786794198", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E enumeration tuple 3", "IR"},
   CellID->786794198]},
 "Proof|ID:561509893"->{
  Cell[482581, 14233, 2482, 75, 70, "ProofInfo",
   CellTags->{"Proof|ID:561509893", "Proof|ID:561509893-1"},
   CellID->434505344]},
 "Proof|ID:561509893-1"->{
  Cell[482581, 14233, 2482, 75, 70, "ProofInfo",
   CellTags->{"Proof|ID:561509893", "Proof|ID:561509893-1"},
   CellID->434505344]},
 "Proof|ID:365847091"->{
  Cell[485583, 14327, 2854, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:365847091", "Proof|ID:365847091-1"},
   CellID->399585643]},
 "Proof|ID:365847091-1"->{
  Cell[485583, 14327, 2854, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:365847091", "Proof|ID:365847091-1"},
   CellID->399585643]},
 "Proof|ID:58186484"->{
  Cell[488957, 14428, 3578, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:58186484", "Proof|ID:58186484-1"},
   CellID->220432200]},
 "Proof|ID:58186484-1"->{
  Cell[488957, 14428, 3578, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:58186484", "Proof|ID:58186484-1"},
   CellID->220432200]},
 "Proof|ID:786794198"->{
  Cell[493053, 14543, 4133, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:786794198", "Proof|ID:786794198-1"},
   CellID->417724418]},
 "Proof|ID:786794198-1"->{
  Cell[493053, 14543, 4133, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:786794198", "Proof|ID:786794198-1"},
   CellID->417724418]},
 "ID:186310157"->{
  Cell[498522, 14692, 714, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:186310157", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->186310157]},
 "ID:742014313"->{
  Cell[499239, 14712, 1546, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:742014313", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 1", "IR"},
   CellID->742014313]},
 "tuple index 1"->{
  Cell[499239, 14712, 1546, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:742014313", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 1", "IR"},
   CellID->742014313]},
 "ID:1611580180"->{
  Cell[500788, 14760, 1435, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1611580180", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 2", "IR"},
   CellID->1611580180]},
 "tuple index 2"->{
  Cell[500788, 14760, 1435, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1611580180", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 2", "IR"},
   CellID->1611580180]},
 "ID:1288253764"->{
  Cell[502226, 14804, 1363, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1288253764", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 3", "IR"},
   CellID->1288253764]},
 "tuple index 3"->{
  Cell[502226, 14804, 1363, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1288253764", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 3", "IR"},
   CellID->1288253764]},
 "ID:1090639612"->{
  Cell[503592, 14846, 1182, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1090639612", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 5", "IR"},
   CellID->1090639612]},
 "tuple index 5"->{
  Cell[503592, 14846, 1182, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1090639612", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 5", "IR"},
   CellID->1090639612]},
 "ID:143272898"->{
  Cell[504777, 14883, 1395, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:143272898", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 6", "IR"},
   CellID->143272898]},
 "tuple index 6"->{
  Cell[504777, 14883, 1395, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:143272898", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 6", "IR"},
   CellID->143272898]},
 "ID:2123711543"->{
  Cell[506175, 14924, 1322, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2123711543", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 7", "IR"},
   CellID->2123711543]},
 "tuple index 7"->{
  Cell[506175, 14924, 1322, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2123711543", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 7", "IR"},
   CellID->2123711543]},
 "ID:44008041"->{
  Cell[507500, 14964, 958, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:44008041", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 4", "IR"},
   CellID->44008041]},
 "tuple index 4"->{
  Cell[507500, 14964, 958, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:44008041", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple index 4", "IR"},
   CellID->44008041]},
 "ID:1971155327"->{
  Cell[508461, 14994, 718, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1971155327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1971155327]},
 "ID:812832607"->{
  Cell[509182, 15014, 913, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:812832607", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index", "IR"},
   CellID->812832607]},
 "first index"->{
  Cell[509182, 15014, 913, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:812832607", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index", "IR"},
   CellID->812832607]},
 "ID:1556117652"->{
  Cell[510098, 15041, 1003, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1556117652", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last index", "IR"},
   CellID->1556117652]},
 "last index"->{
  Cell[510098, 15041, 1003, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1556117652", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last index", "IR"},
   CellID->1556117652]},
 "ID:501261685"->{
  Cell[511104, 15071, 726, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:501261685", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->501261685]},
 "ID:2002554147"->{
  Cell[511833, 15091, 943, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2002554147", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index II", "IR"},
   CellID->2002554147]},
 "first index II"->{
  Cell[511833, 15091, 943, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2002554147", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index II", "IR"},
   CellID->2002554147]},
 "ID:1202189993"->{
  Cell[512779, 15118, 1028, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1202189993", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last index II", "IR"},
   CellID->1202189993]},
 "last index II"->{
  Cell[512779, 15118, 1028, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1202189993", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last index II", "IR"},
   CellID->1202189993]},
 "Proof|ID:742014313"->{
  Cell[513964, 15157, 4167, 114, 70, "ProofInfo",
   CellTags->{"Proof|ID:742014313", "Proof|ID:742014313-1"},
   CellID->2143420291]},
 "Proof|ID:742014313-1"->{
  Cell[513964, 15157, 4167, 114, 70, "ProofInfo",
   CellTags->{"Proof|ID:742014313", "Proof|ID:742014313-1"},
   CellID->2143420291]},
 "Proof|ID:1611580180"->{
  Cell[518652, 15290, 3705, 98, 70, "ProofInfo",
   CellTags->{"Proof|ID:1611580180", "Proof|ID:1611580180-1"},
   CellID->1185382380]},
 "Proof|ID:1611580180-1"->{
  Cell[518652, 15290, 3705, 98, 70, "ProofInfo",
   CellTags->{"Proof|ID:1611580180", "Proof|ID:1611580180-1"},
   CellID->1185382380]},
 "Proof|ID:1288253764"->{
  Cell[522877, 15407, 3633, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:1288253764", "Proof|ID:1288253764-1"},
   CellID->1383003338]},
 "Proof|ID:1288253764-1"->{
  Cell[522877, 15407, 3633, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:1288253764", "Proof|ID:1288253764-1"},
   CellID->1383003338]},
 "Proof|ID:1090639612"->{
  Cell[527031, 15522, 3405, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:1090639612", "Proof|ID:1090639612-1"},
   CellID->475412260]},
 "Proof|ID:1090639612-1"->{
  Cell[527031, 15522, 3405, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:1090639612", "Proof|ID:1090639612-1"},
   CellID->475412260]},
 "Proof|ID:143272898"->{
  Cell[530958, 15633, 4234, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:143272898", "Proof|ID:143272898-1"},
   CellID->2097042960]},
 "Proof|ID:143272898-1"->{
  Cell[530958, 15633, 4234, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:143272898", "Proof|ID:143272898-1"},
   CellID->2097042960]},
 "Proof|ID:2123711543"->{
  Cell[535713, 15760, 3547, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:2123711543", "Proof|ID:2123711543-1"},
   CellID->1266406671]},
 "Proof|ID:2123711543-1"->{
  Cell[535713, 15760, 3547, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:2123711543", "Proof|ID:2123711543-1"},
   CellID->1266406671]},
 "Proof|ID:44008041"->{
  Cell[539782, 15873, 2767, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:44008041", "Proof|ID:44008041-1"},
   CellID->679233695]},
 "Proof|ID:44008041-1"->{
  Cell[539782, 15873, 2767, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:44008041", "Proof|ID:44008041-1"},
   CellID->679233695]},
 "Proof|ID:812832607"->{
  Cell[543068, 15974, 2985, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:812832607", "Proof|ID:812832607-1"},
   CellID->265164223]},
 "Proof|ID:812832607-1"->{
  Cell[543068, 15974, 2985, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:812832607", "Proof|ID:812832607-1"},
   CellID->265164223]},
 "Proof|ID:1556117652"->{
  Cell[546615, 16078, 3258, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1556117652", "Proof|ID:1556117652-1"},
   CellID->661063359]},
 "Proof|ID:1556117652-1"->{
  Cell[546615, 16078, 3258, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1556117652", "Proof|ID:1556117652-1"},
   CellID->661063359]},
 "Proof|ID:2002554147"->{
  Cell[550395, 16187, 3638, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:2002554147", "Proof|ID:2002554147-1"},
   CellID->1830707579]},
 "Proof|ID:2002554147-1"->{
  Cell[550395, 16187, 3638, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:2002554147", "Proof|ID:2002554147-1"},
   CellID->1830707579]},
 "Proof|ID:1202189993"->{
  Cell[554555, 16306, 4006, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:1202189993", "Proof|ID:1202189993-1"},
   CellID->1629976529]},
 "Proof|ID:1202189993-1"->{
  Cell[554555, 16306, 4006, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:1202189993", "Proof|ID:1202189993-1"},
   CellID->1629976529]},
 "ID:1754019744"->{
  Cell[560015, 16459, 727, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1754019744", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1754019744]},
 "ID:23265257"->{
  Cell[560745, 16479, 986, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:23265257", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join empty right", "IR"},
   CellID->23265257]},
 "join empty right"->{
  Cell[560745, 16479, 986, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:23265257", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join empty right", "IR"},
   CellID->23265257]},
 "ID:2016358149"->{
  Cell[561734, 16511, 990, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2016358149", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join empty left", "IR"},
   CellID->2016358149]},
 "join empty left"->{
  Cell[561734, 16511, 990, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2016358149", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join empty left", "IR"},
   CellID->2016358149]},
 "ID:892109029"->{
  Cell[562727, 16543, 1555, 56, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:892109029", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join assoc", "IR"},
   CellID->892109029]},
 "join assoc"->{
  Cell[562727, 16543, 1555, 56, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:892109029", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join assoc", "IR"},
   CellID->892109029]},
 "ID:2132285530"->{
  Cell[564285, 16601, 730, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:2132285530", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->2132285530]},
 "ID:1620230203"->{
  Cell[565018, 16623, 1259, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1620230203", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join is empty", "IR"},
   CellID->1620230203]},
 "join is empty"->{
  Cell[565018, 16623, 1259, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1620230203", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join is empty", "IR"},
   CellID->1620230203]},
 "ID:575892555"->{
  Cell[566280, 16662, 1672, 61, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:575892555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E join", "IR"},
   CellID->575892555]},
 "E join"->{
  Cell[566280, 16662, 1672, 61, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:575892555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E join", "IR"},
   CellID->575892555]},
 "ID:503402842"->{
  Cell[567955, 16725, 1041, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:503402842", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first join", "IR"},
   CellID->503402842]},
 "first join"->{
  Cell[567955, 16725, 1041, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:503402842", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first join", "IR"},
   CellID->503402842]},
 "ID:1834660983"->{
  Cell[568999, 16756, 1259, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1834660983", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last join", "IR"},
   CellID->1834660983]},
 "last join"->{
  Cell[568999, 16756, 1259, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1834660983", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last join", "IR"},
   CellID->1834660983]},
 "Proof|ID:23265257"->{
  Cell[570415, 16802, 2504, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:23265257", "Proof|ID:23265257-1"},
   CellID->2060629744]},
 "Proof|ID:23265257-1"->{
  Cell[570415, 16802, 2504, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:23265257", "Proof|ID:23265257-1"},
   CellID->2060629744]},
 "Proof|ID:2016358149"->{
  Cell[573438, 16897, 2516, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:2016358149", "Proof|ID:2016358149-1"},
   CellID->1492084897]},
 "Proof|ID:2016358149-1"->{
  Cell[573438, 16897, 2516, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:2016358149", "Proof|ID:2016358149-1"},
   CellID->1492084897]},
 "Proof|ID:892109029"->{
  Cell[576475, 16992, 3363, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:892109029", "Proof|ID:892109029-1"},
   CellID->1931367286]},
 "Proof|ID:892109029-1"->{
  Cell[576475, 16992, 3363, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:892109029", "Proof|ID:892109029-1"},
   CellID->1931367286]},
 "Proof|ID:1620230203"->{
  Cell[580358, 17105, 4131, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:1620230203", "Proof|ID:1620230203-1"},
   CellID->1816734524]},
 "Proof|ID:1620230203-1"->{
  Cell[580358, 17105, 4131, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:1620230203", "Proof|ID:1620230203-1"},
   CellID->1816734524]},
 "Proof|ID:575892555"->{
  Cell[585010, 17234, 3969, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:575892555", "Proof|ID:575892555-1"},
   CellID->491337226]},
 "Proof|ID:575892555-1"->{
  Cell[585010, 17234, 3969, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:575892555", "Proof|ID:575892555-1"},
   CellID->491337226]},
 "Proof|ID:503402842"->{
  Cell[589500, 17359, 3617, 98, 70, "ProofInfo",
   CellTags->{"Proof|ID:503402842", "Proof|ID:503402842-1"},
   CellID->259367512]},
 "Proof|ID:503402842-1"->{
  Cell[589500, 17359, 3617, 98, 70, "ProofInfo",
   CellTags->{"Proof|ID:503402842", "Proof|ID:503402842-1"},
   CellID->259367512]},
 "Proof|ID:1834660983"->{
  Cell[593638, 17476, 4599, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:1834660983", "Proof|ID:1834660983-1"},
   CellID->1518274854]},
 "Proof|ID:1834660983-1"->{
  Cell[593638, 17476, 4599, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:1834660983", "Proof|ID:1834660983-1"},
   CellID->1518274854]},
 "ID:300049764"->{
  Cell[599256, 17626, 931, 21, 70, "GlobalDeclaration",
   CellTags->{
    "ID:300049764", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->300049764]},
 "ID:1459714591"->{
  Cell[600190, 17649, 732, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1459714591", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1459714591]},
 "ID:1798717489"->{
  Cell[600925, 17671, 2067, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1798717489", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P \[DoubleRightArrow]", "IR"},
   CellID->1798717489]},
 "join P \[DoubleRightArrow]"->{
  Cell[600925, 17671, 2067, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1798717489", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P \[DoubleRightArrow]", "IR"},
   CellID->1798717489]},
 "ID:880067753"->{
  Cell[602995, 17737, 2017, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:880067753", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P \[DoubleLeftArrow]", "IR"},
   CellID->880067753]},
 "join P \[DoubleLeftArrow]"->{
  Cell[602995, 17737, 2017, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:880067753", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P \[DoubleLeftArrow]", "IR"},
   CellID->880067753]},
 "ID:1832033513"->{
  Cell[605015, 17802, 2001, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1832033513", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P", "IR"},
   CellID->1832033513]},
 "join P"->{
  Cell[605015, 17802, 2001, 63, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1832033513", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P", "IR"},
   CellID->1832033513]},
 "ID:1414995657"->{
  Cell[607019, 17867, 3142, 100, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1414995657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary \[DoubleRightArrow]", "IR"},
   CellID->1414995657]},
 "join P binary \[DoubleRightArrow]"->{
  Cell[607019, 17867, 3142, 100, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1414995657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary \[DoubleRightArrow]", "IR"},
   CellID->1414995657]},
 "ID:412269868"->{
  Cell[610164, 17969, 3037, 98, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:412269868", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary \[DoubleLeftArrow]", "IR"},
   CellID->412269868]},
 "join P binary \[DoubleLeftArrow]"->{
  Cell[610164, 17969, 3037, 98, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:412269868", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary \[DoubleLeftArrow]", "IR"},
   CellID->412269868]},
 "ID:811817271"->{
  Cell[613204, 18069, 3016, 98, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:811817271", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary", "IR"},
   CellID->811817271]},
 "join P binary"->{
  Cell[613204, 18069, 3016, 98, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:811817271", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P binary", "IR"},
   CellID->811817271]},
 "ID:373411527"->{
  Cell[616223, 18169, 689, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:373411527", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->373411527]},
 "ID:1539924260"->{
  Cell[616915, 18188, 730, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1539924260", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1539924260]},
 "ID:1179445980"->{
  Cell[617648, 18210, 989, 26, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1179445980", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1179445980]},
 "ID:1936600889"->{
  Cell[618640, 18238, 2138, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1936600889", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2 \[DoubleRightArrow]"},
   CellID->1936600889]},
 "join P 2 \[DoubleRightArrow]"->{
  Cell[618640, 18238, 2138, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1936600889", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2 \[DoubleRightArrow]"},
   CellID->1936600889]},
 "ID:667495868"->{
  Cell[620781, 18308, 2135, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:667495868", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2 \[DoubleLeftArrow]"},
   CellID->667495868]},
 "join P 2 \[DoubleLeftArrow]"->{
  Cell[620781, 18308, 2135, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:667495868", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2 \[DoubleLeftArrow]"},
   CellID->667495868]},
 "ID:2081158695"->{
  Cell[622919, 18378, 2115, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2081158695", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2"},
   CellID->2081158695]},
 "join P 2"->{
  Cell[622919, 18378, 2115, 68, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2081158695", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P 2"},
   CellID->2081158695]},
 "Proof|ID:1798717489"->{
  Cell[625189, 18457, 7102, 177, 70, "ProofInfo",
   CellTags->{"Proof|ID:1798717489", "Proof|ID:1798717489-1"},
   CellID->573752601]},
 "Proof|ID:1798717489-1"->{
  Cell[625189, 18457, 7102, 177, 70, "ProofInfo",
   CellTags->{"Proof|ID:1798717489", "Proof|ID:1798717489-1"},
   CellID->573752601]},
 "Proof|ID:880067753"->{
  Cell[632875, 18654, 7194, 179, 70, "ProofInfo",
   CellTags->{"Proof|ID:880067753", "Proof|ID:880067753-1"},
   CellID->1160857634]},
 "Proof|ID:880067753-1"->{
  Cell[632875, 18654, 7194, 179, 70, "ProofInfo",
   CellTags->{"Proof|ID:880067753", "Proof|ID:880067753-1"},
   CellID->1160857634]},
 "Proof|ID:1832033513"->{
  Cell[640632, 18853, 7516, 184, 70, "ProofInfo",
   CellTags->{"Proof|ID:1832033513", "Proof|ID:1832033513-1"},
   CellID->546501383]},
 "Proof|ID:1832033513-1"->{
  Cell[640632, 18853, 7516, 184, 70, "ProofInfo",
   CellTags->{"Proof|ID:1832033513", "Proof|ID:1832033513-1"},
   CellID->546501383]},
 "Proof|ID:1414995657"->{
  Cell[648789, 19058, 10982, 266, 70, "ProofInfo",
   CellTags->{"Proof|ID:1414995657", "Proof|ID:1414995657-1"},
   CellID->901897508]},
 "Proof|ID:1414995657-1"->{
  Cell[648789, 19058, 10982, 266, 70, "ProofInfo",
   CellTags->{"Proof|ID:1414995657", "Proof|ID:1414995657-1"},
   CellID->901897508]},
 "Proof|ID:412269868"->{
  Cell[660335, 19344, 11093, 268, 70, "ProofInfo",
   CellTags->{"Proof|ID:412269868", "Proof|ID:412269868-1"},
   CellID->147041843]},
 "Proof|ID:412269868-1"->{
  Cell[660335, 19344, 11093, 268, 70, "ProofInfo",
   CellTags->{"Proof|ID:412269868", "Proof|ID:412269868-1"},
   CellID->147041843]},
 "Proof|ID:811817271"->{
  Cell[671948, 19631, 11479, 272, 70, "ProofInfo",
   CellTags->{"Proof|ID:811817271", "Proof|ID:811817271-1"},
   CellID->410462409]},
 "Proof|ID:811817271-1"->{
  Cell[671948, 19631, 11479, 272, 70, "ProofInfo",
   CellTags->{"Proof|ID:811817271", "Proof|ID:811817271-1"},
   CellID->410462409]},
 "Proof|ID:1936600889"->{
  Cell[683948, 19922, 10163, 240, 70, "ProofInfo",
   CellTags->{"Proof|ID:1936600889", "Proof|ID:1936600889-1"},
   CellID->1174704479]},
 "Proof|ID:1936600889-1"->{
  Cell[683948, 19922, 10163, 240, 70, "ProofInfo",
   CellTags->{"Proof|ID:1936600889", "Proof|ID:1936600889-1"},
   CellID->1174704479]},
 "Proof|ID:667495868"->{
  Cell[694632, 20181, 10160, 240, 70, "ProofInfo",
   CellTags->{"Proof|ID:667495868", "Proof|ID:667495868-1"},
   CellID->2005569566]},
 "Proof|ID:667495868-1"->{
  Cell[694632, 20181, 10160, 240, 70, "ProofInfo",
   CellTags->{"Proof|ID:667495868", "Proof|ID:667495868-1"},
   CellID->2005569566]},
 "Proof|ID:2081158695"->{
  Cell[705312, 20440, 10355, 244, 70, "ProofInfo",
   CellTags->{"Proof|ID:2081158695", "Proof|ID:2081158695-1"},
   CellID->1889840171]},
 "Proof|ID:2081158695-1"->{
  Cell[705312, 20440, 10355, 244, 70, "ProofInfo",
   CellTags->{"Proof|ID:2081158695", "Proof|ID:2081158695-1"},
   CellID->1889840171]},
 "ID:1425022595"->{
  Cell[718535, 20769, 789, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1425022595", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1425022595]},
 "ID:30218808"->{
  Cell[719327, 20789, 1043, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:30218808", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append empty", "IR"},
   CellID->30218808]},
 "append empty"->{
  Cell[719327, 20789, 1043, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:30218808", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append empty", "IR"},
   CellID->30218808]},
 "ID:691605804"->{
  Cell[720373, 20824, 727, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:691605804", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->691605804]},
 "ID:1905252519"->{
  Cell[721103, 20846, 661, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1905252519", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1905252519]},
 "ID:1710417343"->{
  Cell[721767, 20864, 760, 20, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1710417343", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append \[NotEqual]"},
   CellID->1710417343]},
 "append \[NotEqual]"->{
  Cell[721767, 20864, 760, 20, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1710417343", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append \[NotEqual]"},
   CellID->1710417343]},
 "ID:1126524001"->{
  Cell[722530, 20886, 1021, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1126524001", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first append", "IR"},
   CellID->1126524001]},
 "first append"->{
  Cell[722530, 20886, 1021, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1126524001", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first append", "IR"},
   CellID->1126524001]},
 "ID:1103991877"->{
  Cell[723554, 20916, 1719, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1103991877", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P", "IR"},
   CellID->1103991877]},
 "append P"->{
  Cell[723554, 20916, 1719, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1103991877", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P", "IR"},
   CellID->1103991877]},
 "ID:1200539700"->{
  Cell[725276, 20973, 2254, 74, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1200539700", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P binary", "IR"},
   CellID->1200539700]},
 "append P binary"->{
  Cell[725276, 20973, 2254, 74, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1200539700", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P binary", "IR"},
   CellID->1200539700]},
 "ID:1565072058"->{
  Cell[727533, 21049, 1501, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1565072058", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E append", "IR"},
   CellID->1565072058]},
 "E append"->{
  Cell[727533, 21049, 1501, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1565072058", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E append", "IR"},
   CellID->1565072058]},
 "Proof|ID:30218808"->{
  Cell[729191, 21113, 2544, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:30218808", "Proof|ID:30218808-1"},
   CellID->2086154237]},
 "Proof|ID:30218808-1"->{
  Cell[729191, 21113, 2544, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:30218808", "Proof|ID:30218808-1"},
   CellID->2086154237]},
 "Proof|ID:1710417343"->{
  Cell[732255, 21208, 2738, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:1710417343", "Proof|ID:1710417343-1"},
   CellID->1263601321]},
 "Proof|ID:1710417343-1"->{
  Cell[732255, 21208, 2738, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:1710417343", "Proof|ID:1710417343-1"},
   CellID->1263601321]},
 "Proof|ID:1126524001"->{
  Cell[735514, 21307, 3727, 101, 70, "ProofInfo",
   CellTags->{"Proof|ID:1126524001", "Proof|ID:1126524001-1"},
   CellID->1757358345]},
 "Proof|ID:1126524001-1"->{
  Cell[735514, 21307, 3727, 101, 70, "ProofInfo",
   CellTags->{"Proof|ID:1126524001", "Proof|ID:1126524001-1"},
   CellID->1757358345]},
 "Proof|ID:1103991877"->{
  Cell[739805, 21428, 6167, 154, 70, "ProofInfo",
   CellTags->{"Proof|ID:1103991877", "Proof|ID:1103991877-1"},
   CellID->1049898978]},
 "Proof|ID:1103991877-1"->{
  Cell[739805, 21428, 6167, 154, 70, "ProofInfo",
   CellTags->{"Proof|ID:1103991877", "Proof|ID:1103991877-1"},
   CellID->1049898978]},
 "Proof|ID:1200539700"->{
  Cell[746535, 21602, 8578, 206, 70, "ProofInfo",
   CellTags->{"Proof|ID:1200539700", "Proof|ID:1200539700-1"},
   CellID->366614726]},
 "Proof|ID:1200539700-1"->{
  Cell[746535, 21602, 8578, 206, 70, "ProofInfo",
   CellTags->{"Proof|ID:1200539700", "Proof|ID:1200539700-1"},
   CellID->366614726]},
 "Proof|ID:1565072058"->{
  Cell[755635, 21827, 3714, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1565072058", "Proof|ID:1565072058-1"},
   CellID->613567277]},
 "Proof|ID:1565072058-1"->{
  Cell[755635, 21827, 3714, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1565072058", "Proof|ID:1565072058-1"},
   CellID->613567277]},
 "ID:1414827049"->{
  Cell[760307, 21960, 796, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1414827049", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1414827049]},
 "ID:1588362347"->{
  Cell[761106, 21982, 732, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1588362347", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1588362347]},
 "ID:1325947216"->{
  Cell[761841, 22004, 734, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1325947216", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1325947216]},
 "ID:1332516309"->{
  Cell[762578, 22026, 1341, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1332516309", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append=", "IR"},
   CellID->1332516309]},
 "length append="->{
  Cell[762578, 22026, 1341, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1332516309", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append=", "IR"},
   CellID->1332516309]},
 "ID:1244254393"->{
  Cell[763922, 22067, 2257, 72, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1244254393", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P 2"},
   CellID->1244254393]},
 "append P 2"->{
  Cell[763922, 22067, 2257, 72, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1244254393", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P 2"},
   CellID->1244254393]},
 "ID:1851672573"->{
  Cell[766182, 22141, 1190, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1851672573", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append injective", "IR"},
   CellID->1851672573]},
 "append injective"->{
  Cell[766182, 22141, 1190, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1851672573", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append injective", "IR"},
   CellID->1851672573]},
 "Proof|ID:1332516309"->{
  Cell[767530, 22188, 4641, 118, 70, "ProofInfo",
   CellTags->{"Proof|ID:1332516309", "Proof|ID:1332516309-1"},
   CellID->2066927764]},
 "Proof|ID:1332516309-1"->{
  Cell[767530, 22188, 4641, 118, 70, "ProofInfo",
   CellTags->{"Proof|ID:1332516309", "Proof|ID:1332516309-1"},
   CellID->2066927764]},
 "Proof|ID:1244254393"->{
  Cell[772759, 22326, 8139, 196, 70, "ProofInfo",
   CellTags->{"Proof|ID:1244254393", "Proof|ID:1244254393-1"},
   CellID->1629881025]},
 "Proof|ID:1244254393-1"->{
  Cell[772759, 22326, 8139, 196, 70, "ProofInfo",
   CellTags->{"Proof|ID:1244254393", "Proof|ID:1244254393-1"},
   CellID->1629881025]},
 "Proof|ID:1851672573"->{
  Cell[781461, 22542, 3892, 104, 70, "ProofInfo",
   CellTags->{"Proof|ID:1851672573", "Proof|ID:1851672573-1"},
   CellID->359833655]},
 "Proof|ID:1851672573-1"->{
  Cell[781461, 22542, 3892, 104, 70, "ProofInfo",
   CellTags->{"Proof|ID:1851672573", "Proof|ID:1851672573-1"},
   CellID->359833655]},
 "ID:1354896517"->{
  Cell[786357, 22680, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1354896517", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1354896517]},
 "ID:284047457"->{
  Cell[787025, 22698, 1050, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:284047457", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend empty", "IR"},
   CellID->284047457]},
 "prepend empty"->{
  Cell[787025, 22698, 1050, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:284047457", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend empty", "IR"},
   CellID->284047457]},
 "ID:665620680"->{
  Cell[788078, 22733, 727, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:665620680", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->665620680]},
 "ID:1519173141"->{
  Cell[788808, 22755, 870, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1519173141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple prepend", "IR"},
   CellID->1519173141]},
 "isTuple prepend"->{
  Cell[788808, 22755, 870, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1519173141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple prepend", "IR"},
   CellID->1519173141]},
 "ID:2126627650"->{
  Cell[789681, 22780, 663, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:2126627650", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->2126627650]},
 "ID:1956801946"->{
  Cell[790347, 22798, 907, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1956801946", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend", "IR"},
   CellID->1956801946]},
 "length prepend"->{
  Cell[790347, 22798, 907, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1956801946", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend", "IR"},
   CellID->1956801946]},
 "ID:1517474546"->{
  Cell[791257, 22824, 762, 20, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1517474546", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend \[NotEqual]"},
   CellID->1517474546]},
 "prepend \[NotEqual]"->{
  Cell[791257, 22824, 762, 20, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1517474546", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend \[NotEqual]"},
   CellID->1517474546]},
 "ID:1589773302"->{
  Cell[792022, 22846, 828, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1589773302", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend is non-empty", "IR"},
   CellID->1589773302]},
 "prepend is non-empty"->{
  Cell[792022, 22846, 828, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1589773302", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend is non-empty", "IR"},
   CellID->1589773302]},
 "ID:916089482"->{
  Cell[792853, 22870, 772, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:916089482", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first prepend", "IR"},
   CellID->916089482]},
 "first prepend"->{
  Cell[792853, 22870, 772, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:916089482", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first prepend", "IR"},
   CellID->916089482]},
 "ID:391327494"->{
  Cell[793628, 22893, 1157, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:391327494", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last prepend", "IR"},
   CellID->391327494]},
 "last prepend"->{
  Cell[793628, 22893, 1157, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:391327494", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last prepend", "IR"},
   CellID->391327494]},
 "ID:2002116253"->{
  Cell[794788, 22927, 1108, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2002116253", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index prepend 2", "IR"},
   CellID->2002116253]},
 "index prepend 2"->{
  Cell[794788, 22927, 1108, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2002116253", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index prepend 2", "IR"},
   CellID->2002116253]},
 "ID:48204947"->{
  Cell[795899, 22962, 1710, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:48204947", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P", "IR"},
   CellID->48204947]},
 "prepend P"->{
  Cell[795899, 22962, 1710, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:48204947", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P", "IR"},
   CellID->48204947]},
 "ID:414106078"->{
  Cell[797612, 23019, 2268, 75, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:414106078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P binary", "IR"},
   CellID->414106078]},
 "prepend P binary"->{
  Cell[797612, 23019, 2268, 75, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:414106078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P binary", "IR"},
   CellID->414106078]},
 "ID:416238876"->{
  Cell[799883, 23096, 1506, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:416238876", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E prepend", "IR"},
   CellID->416238876]},
 "E prepend"->{
  Cell[799883, 23096, 1506, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:416238876", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E prepend", "IR"},
   CellID->416238876]},
 "Proof|ID:284047457"->{
  Cell[801545, 23160, 2546, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:284047457", "Proof|ID:284047457-1"},
   CellID->655246577]},
 "Proof|ID:284047457-1"->{
  Cell[801545, 23160, 2546, 76, 70, "ProofInfo",
   CellTags->{"Proof|ID:284047457", "Proof|ID:284047457-1"},
   CellID->655246577]},
 "Proof|ID:1519173141"->{
  Cell[804611, 23255, 2689, 78, 70, "ProofInfo",
   CellTags->{"Proof|ID:1519173141", "Proof|ID:1519173141-1"},
   CellID->1092343128]},
 "Proof|ID:1519173141-1"->{
  Cell[804611, 23255, 2689, 78, 70, "ProofInfo",
   CellTags->{"Proof|ID:1519173141", "Proof|ID:1519173141-1"},
   CellID->1092343128]},
 "Proof|ID:1956801946"->{
  Cell[807822, 23352, 3176, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:1956801946", "Proof|ID:1956801946-1"},
   CellID->274649571]},
 "Proof|ID:1956801946-1"->{
  Cell[807822, 23352, 3176, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:1956801946", "Proof|ID:1956801946-1"},
   CellID->274649571]},
 "Proof|ID:1517474546"->{
  Cell[811519, 23459, 2740, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:1517474546", "Proof|ID:1517474546-1"},
   CellID->1770398954]},
 "Proof|ID:1517474546-1"->{
  Cell[811519, 23459, 2740, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:1517474546", "Proof|ID:1517474546-1"},
   CellID->1770398954]},
 "Proof|ID:1589773302"->{
  Cell[814781, 23558, 2824, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:1589773302", "Proof|ID:1589773302-1"},
   CellID->2003067550]},
 "Proof|ID:1589773302-1"->{
  Cell[814781, 23558, 2824, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:1589773302", "Proof|ID:1589773302-1"},
   CellID->2003067550]},
 "Proof|ID:916089482"->{
  Cell[818125, 23659, 2798, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:916089482", "Proof|ID:916089482-1"},
   CellID->553958325]},
 "Proof|ID:916089482-1"->{
  Cell[818125, 23659, 2798, 82, 70, "ProofInfo",
   CellTags->{"Proof|ID:916089482", "Proof|ID:916089482-1"},
   CellID->553958325]},
 "Proof|ID:391327494"->{
  Cell[821443, 23760, 4460, 115, 70, "ProofInfo",
   CellTags->{"Proof|ID:391327494", "Proof|ID:391327494-1"},
   CellID->1653569947]},
 "Proof|ID:391327494-1"->{
  Cell[821443, 23760, 4460, 115, 70, "ProofInfo",
   CellTags->{"Proof|ID:391327494", "Proof|ID:391327494-1"},
   CellID->1653569947]},
 "Proof|ID:2002116253"->{
  Cell[826423, 23894, 4050, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:2002116253", "Proof|ID:2002116253-1"},
   CellID->344495101]},
 "Proof|ID:2002116253-1"->{
  Cell[826423, 23894, 4050, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:2002116253", "Proof|ID:2002116253-1"},
   CellID->344495101]},
 "Proof|ID:48204947"->{
  Cell[830993, 24025, 6158, 154, 70, "ProofInfo",
   CellTags->{"Proof|ID:48204947", "Proof|ID:48204947-1"},
   CellID->648616519]},
 "Proof|ID:48204947-1"->{
  Cell[830993, 24025, 6158, 154, 70, "ProofInfo",
   CellTags->{"Proof|ID:48204947", "Proof|ID:48204947-1"},
   CellID->648616519]},
 "Proof|ID:414106078"->{
  Cell[837670, 24198, 8268, 200, 70, "ProofInfo",
   CellTags->{"Proof|ID:414106078", "Proof|ID:414106078-1"},
   CellID->1224518057]},
 "Proof|ID:414106078-1"->{
  Cell[837670, 24198, 8268, 200, 70, "ProofInfo",
   CellTags->{"Proof|ID:414106078", "Proof|ID:414106078-1"},
   CellID->1224518057]},
 "Proof|ID:416238876"->{
  Cell[846458, 24417, 3712, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:416238876", "Proof|ID:416238876-1"},
   CellID->1213650079]},
 "Proof|ID:416238876-1"->{
  Cell[846458, 24417, 3712, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:416238876", "Proof|ID:416238876-1"},
   CellID->1213650079]},
 "ID:547141078"->{
  Cell[851127, 24550, 738, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:547141078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->547141078]},
 "ID:562596444"->{
  Cell[851868, 24571, 866, 26, 70, "GlobalDeclaration",
   CellTags->{
    "ID:562596444", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->562596444]},
 "ID:1613097054"->{
  Cell[852737, 24599, 1266, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1613097054", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend=", "IR"},
   CellID->1613097054]},
 "length prepend="->{
  Cell[852737, 24599, 1266, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1613097054", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend=", "IR"},
   CellID->1613097054]},
 "ID:1393091936"->{
  Cell[854006, 24639, 2187, 71, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1393091936", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P 2"},
   CellID->1393091936]},
 "prepend P 2"->{
  Cell[854006, 24639, 2187, 71, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1393091936", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P 2"},
   CellID->1393091936]},
 "ID:1374117783"->{
  Cell[856196, 24712, 1066, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1374117783", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend injective", "IR"},
   CellID->1374117783]},
 "prepend injective"->{
  Cell[856196, 24712, 1066, 34, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1374117783", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend injective", "IR"},
   CellID->1374117783]},
 "Proof|ID:1613097054"->{
  Cell[857419, 24757, 4140, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:1613097054", "Proof|ID:1613097054-1"},
   CellID->2066005206]},
 "Proof|ID:1613097054-1"->{
  Cell[857419, 24757, 4140, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:1613097054", "Proof|ID:1613097054-1"},
   CellID->2066005206]},
 "Proof|ID:1393091936"->{
  Cell[862081, 24884, 8140, 196, 70, "ProofInfo",
   CellTags->{"Proof|ID:1393091936", "Proof|ID:1393091936-1"},
   CellID->640760558]},
 "Proof|ID:1393091936-1"->{
  Cell[862081, 24884, 8140, 196, 70, "ProofInfo",
   CellTags->{"Proof|ID:1393091936", "Proof|ID:1393091936-1"},
   CellID->640760558]},
 "Proof|ID:1374117783"->{
  Cell[870742, 25099, 3895, 104, 70, "ProofInfo",
   CellTags->{"Proof|ID:1374117783", "Proof|ID:1374117783-1"},
   CellID->1583138317]},
 "Proof|ID:1374117783-1"->{
  Cell[870742, 25099, 3895, 104, 70, "ProofInfo",
   CellTags->{"Proof|ID:1374117783", "Proof|ID:1374117783-1"},
   CellID->1583138317]},
 "ID:367121892"->{
  Cell[875595, 25236, 1608, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:367121892", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join append", "IR"},
   CellID->367121892]},
 "join append"->{
  Cell[875595, 25236, 1608, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:367121892", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join append", "IR"},
   CellID->367121892]},
 "Proof|ID:367121892"->{
  Cell[877360, 25305, 3271, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:367121892", "Proof|ID:367121892-1"},
   CellID->2049905178]},
 "Proof|ID:367121892-1"->{
  Cell[877360, 25305, 3271, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:367121892", "Proof|ID:367121892-1"},
   CellID->2049905178]},
 "ID:2080984959"->{
  Cell[881946, 25440, 783, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:2080984959", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->2080984959]},
 "ID:369207319"->{
  Cell[882732, 25462, 1221, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:369207319", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest empty", "IR"},
   CellID->369207319]},
 "rest empty"->{
  Cell[882732, 25462, 1221, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:369207319", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest empty", "IR"},
   CellID->369207319]},
 "ID:562096052"->{
  Cell[883956, 25501, 1103, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:562096052", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first rest", "IR"},
   CellID->562096052]},
 "first rest"->{
  Cell[883956, 25501, 1103, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:562096052", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first rest", "IR"},
   CellID->562096052]},
 "ID:2116051902"->{
  Cell[885062, 25536, 1239, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2116051902", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last rest", "IR"},
   CellID->2116051902]},
 "last rest"->{
  Cell[885062, 25536, 1239, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2116051902", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last rest", "IR"},
   CellID->2116051902]},
 "ID:1588185575"->{
  Cell[886304, 25573, 1200, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1588185575", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most empty", "IR"},
   CellID->1588185575]},
 "most empty"->{
  Cell[886304, 25573, 1200, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1588185575", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most empty", "IR"},
   CellID->1588185575]},
 "ID:1434873231"->{
  Cell[887507, 25612, 1078, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1434873231", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first most", "IR"},
   CellID->1434873231]},
 "first most"->{
  Cell[887507, 25612, 1078, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1434873231", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first most", "IR"},
   CellID->1434873231]},
 "ID:852174472"->{
  Cell[888588, 25646, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:852174472", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->852174472]},
 "ID:32262614"->{
  Cell[889256, 25664, 1516, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:32262614", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or append"},
   CellID->32262614]},
 "empty or append"->{
  Cell[889256, 25664, 1516, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:32262614", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or append"},
   CellID->32262614]},
 "ID:1718502373"->{
  Cell[890775, 25713, 1308, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1718502373", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or prepend"},
   CellID->1718502373]},
 "empty or prepend"->{
  Cell[890775, 25713, 1308, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1718502373", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or prepend"},
   CellID->1718502373]},
 "Proof|ID:369207319"->{
  Cell[892241, 25768, 3497, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:369207319", "Proof|ID:369207319-1"},
   CellID->740464668]},
 "Proof|ID:369207319-1"->{
  Cell[892241, 25768, 3497, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:369207319", "Proof|ID:369207319-1"},
   CellID->740464668]},
 "Proof|ID:562096052"->{
  Cell[896259, 25883, 3428, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:562096052", "Proof|ID:562096052-1"},
   CellID->44820618]},
 "Proof|ID:562096052-1"->{
  Cell[896259, 25883, 3428, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:562096052", "Proof|ID:562096052-1"},
   CellID->44820618]},
 "Proof|ID:2116051902"->{
  Cell[900206, 25998, 4184, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:2116051902", "Proof|ID:2116051902-1"},
   CellID->1028253458]},
 "Proof|ID:2116051902-1"->{
  Cell[900206, 25998, 4184, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:2116051902", "Proof|ID:2116051902-1"},
   CellID->1028253458]},
 "Proof|ID:1588185575"->{
  Cell[904912, 26129, 3502, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:1588185575", "Proof|ID:1588185575-1"},
   CellID->974984214]},
 "Proof|ID:1588185575-1"->{
  Cell[904912, 26129, 3502, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:1588185575", "Proof|ID:1588185575-1"},
   CellID->974984214]},
 "Proof|ID:1434873231"->{
  Cell[908935, 26244, 3548, 98, 70, "ProofInfo",
   CellTags->{"Proof|ID:1434873231", "Proof|ID:1434873231-1"},
   CellID->195728665]},
 "Proof|ID:1434873231-1"->{
  Cell[908935, 26244, 3548, 98, 70, "ProofInfo",
   CellTags->{"Proof|ID:1434873231", "Proof|ID:1434873231-1"},
   CellID->195728665]},
 "Proof|ID:32262614"->{
  Cell[913004, 26361, 3265, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:32262614", "Proof|ID:32262614-1"},
   CellID->1474498061]},
 "Proof|ID:32262614-1"->{
  Cell[913004, 26361, 3265, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:32262614", "Proof|ID:32262614-1"},
   CellID->1474498061]},
 "Proof|ID:1718502373"->{
  Cell[916854, 26473, 3017, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:1718502373", "Proof|ID:1718502373-1"},
   CellID->1959150119]},
 "Proof|ID:1718502373-1"->{
  Cell[916854, 26473, 3017, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:1718502373", "Proof|ID:1718502373-1"},
   CellID->1959150119]},
 "ID:679833337"->{
  Cell[921674, 26612, 945, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:679833337", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->679833337]},
 "ID:1096538360"->{
  Cell[922622, 26638, 1319, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1096538360", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index rest II", "IR"},
   CellID->1096538360]},
 "index rest II"->{
  Cell[922622, 26638, 1319, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1096538360", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index rest II", "IR"},
   CellID->1096538360]},
 "ID:1702600555"->{
  Cell[923944, 26681, 1739, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1702600555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest P", "IR"},
   CellID->1702600555]},
 "rest P"->{
  Cell[923944, 26681, 1739, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1702600555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest P", "IR"},
   CellID->1702600555]},
 "ID:1068710478"->{
  Cell[925686, 26737, 2032, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1068710478", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest P binary", "IR"},
   CellID->1068710478]},
 "rest P binary"->{
  Cell[925686, 26737, 2032, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1068710478", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest P binary", "IR"},
   CellID->1068710478]},
 "ID:1094967297"->{
  Cell[927721, 26804, 1889, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1094967297", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P", "IR"},
   CellID->1094967297]},
 "most P"->{
  Cell[927721, 26804, 1889, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1094967297", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P", "IR"},
   CellID->1094967297]},
 "ID:1495849141"->{
  Cell[929613, 26863, 2228, 71, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1495849141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P Q", "IR"},
   CellID->1495849141]},
 "most P Q"->{
  Cell[929613, 26863, 2228, 71, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1495849141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P Q", "IR"},
   CellID->1495849141]},
 "ID:931974039"->{
  Cell[931844, 26936, 2263, 70, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:931974039", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P binary", "IR"},
   CellID->931974039]},
 "most P binary"->{
  Cell[931844, 26936, 2263, 70, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:931974039", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most P binary", "IR"},
   CellID->931974039]},
 "Proof|ID:1096538360"->{
  Cell[934264, 27017, 4222, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:1096538360", "Proof|ID:1096538360-1"},
   CellID->1886376863]},
 "Proof|ID:1096538360-1"->{
  Cell[934264, 27017, 4222, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:1096538360", "Proof|ID:1096538360-1"},
   CellID->1886376863]},
 "Proof|ID:1702600555"->{
  Cell[939008, 27152, 6135, 156, 70, "ProofInfo",
   CellTags->{"Proof|ID:1702600555", "Proof|ID:1702600555-1"},
   CellID->1314278607]},
 "Proof|ID:1702600555-1"->{
  Cell[939008, 27152, 6135, 156, 70, "ProofInfo",
   CellTags->{"Proof|ID:1702600555", "Proof|ID:1702600555-1"},
   CellID->1314278607]},
 "Proof|ID:1068710478"->{
  Cell[945665, 27327, 7159, 178, 70, "ProofInfo",
   CellTags->{"Proof|ID:1068710478", "Proof|ID:1068710478-1"},
   CellID->35768775]},
 "Proof|ID:1068710478-1"->{
  Cell[945665, 27327, 7159, 178, 70, "ProofInfo",
   CellTags->{"Proof|ID:1068710478", "Proof|ID:1068710478-1"},
   CellID->35768775]},
 "Proof|ID:1094967297"->{
  Cell[953345, 27524, 6405, 160, 70, "ProofInfo",
   CellTags->{"Proof|ID:1094967297", "Proof|ID:1094967297-1"},
   CellID->1764327445]},
 "Proof|ID:1094967297-1"->{
  Cell[953345, 27524, 6405, 160, 70, "ProofInfo",
   CellTags->{"Proof|ID:1094967297", "Proof|ID:1094967297-1"},
   CellID->1764327445]},
 "Proof|ID:1495849141"->{
  Cell[960314, 27704, 7177, 176, 70, "ProofInfo",
   CellTags->{"Proof|ID:1495849141", "Proof|ID:1495849141-1"},
   CellID->1756171065]},
 "Proof|ID:1495849141-1"->{
  Cell[960314, 27704, 7177, 176, 70, "ProofInfo",
   CellTags->{"Proof|ID:1495849141", "Proof|ID:1495849141-1"},
   CellID->1756171065]},
 "Proof|ID:931974039"->{
  Cell[968013, 27899, 7682, 188, 70, "ProofInfo",
   CellTags->{"Proof|ID:931974039", "Proof|ID:931974039-1"},
   CellID->1890795604]},
 "Proof|ID:931974039-1"->{
  Cell[968013, 27899, 7682, 188, 70, "ProofInfo",
   CellTags->{"Proof|ID:931974039", "Proof|ID:931974039-1"},
   CellID->1890795604]},
 "ID:476903800"->{
  Cell[976675, 28120, 689, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:476903800", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->476903800]},
 "ID:511262385"->{
  Cell[977367, 28139, 2125, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:511262385", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple P rest", "IR"},
   CellID->511262385]},
 "tuple P rest"->{
  Cell[977367, 28139, 2125, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:511262385", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple P rest", "IR"},
   CellID->511262385]},
 "ID:56527158"->{
  Cell[979495, 28205, 2813, 84, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:56527158", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple P rest binary", "IR"},
   CellID->56527158]},
 "tuple P rest binary"->{
  Cell[979495, 28205, 2813, 84, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:56527158", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "tuple P rest binary", "IR"},
   CellID->56527158]},
 "Proof|ID:511262385"->{
  Cell[982464, 28300, 6213, 158, 70, "ProofInfo",
   CellTags->{"Proof|ID:511262385", "Proof|ID:511262385-1"},
   CellID->639560663]},
 "Proof|ID:511262385-1"->{
  Cell[982464, 28300, 6213, 158, 70, "ProofInfo",
   CellTags->{"Proof|ID:511262385", "Proof|ID:511262385-1"},
   CellID->639560663]},
 "Proof|ID:56527158"->{
  Cell[989197, 28477, 8403, 206, 70, "ProofInfo",
   CellTags->{"Proof|ID:56527158", "Proof|ID:56527158-1"},
   CellID->434693457]},
 "Proof|ID:56527158-1"->{
  Cell[989197, 28477, 8403, 206, 70, "ProofInfo",
   CellTags->{"Proof|ID:56527158", "Proof|ID:56527158-1"},
   CellID->434693457]},
 "ID:1213842760"->{
  Cell[998569, 28716, 691, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1213842760", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1213842760]},
 "ID:1124736253"->{
  Cell[999263, 28735, 863, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1124736253", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most append", "IR"},
   CellID->1124736253]},
 "most append"->{
  Cell[999263, 28735, 863, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1124736253", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most append", "IR"},
   CellID->1124736253]},
 "ID:1608823646"->{
  Cell[1000129, 28763, 868, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1608823646", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest prepend", "IR"},
   CellID->1608823646]},
 "rest prepend"->{
  Cell[1000129, 28763, 868, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1608823646", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest prepend", "IR"},
   CellID->1608823646]},
 "Proof|ID:1124736253"->{
  Cell[1001153, 28800, 2637, 78, 70, "ProofInfo",
   CellTags->{"Proof|ID:1124736253", "Proof|ID:1124736253-1"},
   CellID->583585611]},
 "Proof|ID:1124736253-1"->{
  Cell[1001153, 28800, 2637, 78, 70, "ProofInfo",
   CellTags->{"Proof|ID:1124736253", "Proof|ID:1124736253-1"},
   CellID->583585611]},
 "Proof|ID:1608823646"->{
  Cell[1004312, 28897, 2640, 78, 70, "ProofInfo",
   CellTags->{"Proof|ID:1608823646", "Proof|ID:1608823646-1"},
   CellID->1331812661]},
 "Proof|ID:1608823646-1"->{
  Cell[1004312, 28897, 2640, 78, 70, "ProofInfo",
   CellTags->{"Proof|ID:1608823646", "Proof|ID:1608823646-1"},
   CellID->1331812661]},
 "ID:585653657"->{
  Cell[1008215, 29017, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:585653657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->585653657]},
 "ID:141734886"->{
  Cell[1008883, 29035, 1267, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:141734886", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index reverse II", "IR"},
   CellID->141734886]},
 "index reverse II"->{
  Cell[1008883, 29035, 1267, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:141734886", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index reverse II", "IR"},
   CellID->141734886]},
 "ID:940343559"->{
  Cell[1010153, 29074, 827, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:940343559", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse reverse", "IR"},
   CellID->940343559]},
 "reverse reverse"->{
  Cell[1010153, 29074, 827, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:940343559", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse reverse", "IR"},
   CellID->940343559]},
 "ID:785342434"->{
  Cell[1010983, 29099, 1327, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:785342434", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E reverse", "IR"},
   CellID->785342434]},
 "E reverse"->{
  Cell[1010983, 29099, 1327, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:785342434", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E reverse", "IR"},
   CellID->785342434]},
 "ID:1029885993"->{
  Cell[1012313, 29147, 756, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1029885993", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1029885993]},
 "ID:900095694"->{
  Cell[1013072, 29168, 951, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:900095694", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first reverse", "IR"},
   CellID->900095694]},
 "first reverse"->{
  Cell[1013072, 29168, 951, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:900095694", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first reverse", "IR"},
   CellID->900095694]},
 "ID:42240444"->{
  Cell[1014026, 29197, 977, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:42240444", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last reverse", "IR"},
   CellID->42240444]},
 "last reverse"->{
  Cell[1014026, 29197, 977, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:42240444", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last reverse", "IR"},
   CellID->42240444]},
 "Proof|ID:141734886"->{
  Cell[1015159, 29235, 4041, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:141734886", "Proof|ID:141734886-1"},
   CellID->1623865597]},
 "Proof|ID:141734886-1"->{
  Cell[1015159, 29235, 4041, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:141734886", "Proof|ID:141734886-1"},
   CellID->1623865597]},
 "Proof|ID:940343559"->{
  Cell[1019719, 29366, 2662, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:940343559", "Proof|ID:940343559-1"},
   CellID->450325643]},
 "Proof|ID:940343559-1"->{
  Cell[1019719, 29366, 2662, 80, 70, "ProofInfo",
   CellTags->{"Proof|ID:940343559", "Proof|ID:940343559-1"},
   CellID->450325643]},
 "Proof|ID:785342434"->{
  Cell[1022902, 29465, 3053, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:785342434", "Proof|ID:785342434-1"},
   CellID->1047678896]},
 "Proof|ID:785342434-1"->{
  Cell[1022902, 29465, 3053, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:785342434", "Proof|ID:785342434-1"},
   CellID->1047678896]},
 "Proof|ID:900095694"->{
  Cell[1026475, 29572, 3447, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:900095694", "Proof|ID:900095694-1"},
   CellID->1100814666]},
 "Proof|ID:900095694-1"->{
  Cell[1026475, 29572, 3447, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:900095694", "Proof|ID:900095694-1"},
   CellID->1100814666]},
 "Proof|ID:42240444"->{
  Cell[1030508, 29688, 3383, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:42240444", "Proof|ID:42240444-1"},
   CellID->1593752458]},
 "Proof|ID:42240444-1"->{
  Cell[1030508, 29688, 3383, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:42240444", "Proof|ID:42240444-1"},
   CellID->1593752458]},
 "ID:1200192224"->{
  Cell[1034913, 29816, 794, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1200192224", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1200192224]},
 "ID:1023856661"->{
  Cell[1035710, 29837, 1570, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1023856661", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P", "IR"},
   CellID->1023856661]},
 "reverse P"->{
  Cell[1035710, 29837, 1570, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1023856661", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P", "IR"},
   CellID->1023856661]},
 "ID:225789218"->{
  Cell[1037283, 29886, 1841, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:225789218", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary \[DoubleRightArrow]", "IR"},
   CellID->225789218]},
 "reverse P binary \[DoubleRightArrow]"->{
  Cell[1037283, 29886, 1841, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:225789218", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary \[DoubleRightArrow]", "IR"},
   CellID->225789218]},
 "ID:608262733"->{
  Cell[1039127, 29946, 1830, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:608262733", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary \[DoubleLeftArrow]", "IR"},
   CellID->608262733]},
 "reverse P binary \[DoubleLeftArrow]"->{
  Cell[1039127, 29946, 1830, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:608262733", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary \[DoubleLeftArrow]", "IR"},
   CellID->608262733]},
 "ID:1483084569"->{
  Cell[1040960, 30005, 1859, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1483084569", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary", "IR"},
   CellID->1483084569]},
 "reverse P binary"->{
  Cell[1040960, 30005, 1859, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1483084569", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "reverse P binary", "IR"},
   CellID->1483084569]},
 "Proof|ID:1023856661"->{
  Cell[1042975, 30074, 5377, 138, 70, "ProofInfo",
   CellTags->{"Proof|ID:1023856661", "Proof|ID:1023856661-1"},
   CellID->1252190095]},
 "Proof|ID:1023856661-1"->{
  Cell[1042975, 30074, 5377, 138, 70, "ProofInfo",
   CellTags->{"Proof|ID:1023856661", "Proof|ID:1023856661-1"},
   CellID->1252190095]},
 "Proof|ID:225789218"->{
  Cell[1048874, 30231, 6435, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:225789218", "Proof|ID:225789218-1"},
   CellID->639602467]},
 "Proof|ID:225789218-1"->{
  Cell[1048874, 30231, 6435, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:225789218", "Proof|ID:225789218-1"},
   CellID->639602467]},
 "Proof|ID:608262733"->{
  Cell[1055830, 30414, 6446, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:608262733", "Proof|ID:608262733-1"},
   CellID->1503164207]},
 "Proof|ID:608262733-1"->{
  Cell[1055830, 30414, 6446, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:608262733", "Proof|ID:608262733-1"},
   CellID->1503164207]},
 "Proof|ID:1483084569"->{
  Cell[1062797, 30597, 6587, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:1483084569", "Proof|ID:1483084569-1"},
   CellID->1499341534]},
 "Proof|ID:1483084569-1"->{
  Cell[1062797, 30597, 6587, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:1483084569", "Proof|ID:1483084569-1"},
   CellID->1499341534]},
 "ID:494480620"->{
  Cell[1070694, 30805, 675, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:494480620", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->494480620]},
 "ID:1978957465"->{
  Cell[1071372, 30824, 1481, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1978957465", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length join seq", "IR"},
   CellID->1978957465]},
 "length join seq"->{
  Cell[1071372, 30824, 1481, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1978957465", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length join seq", "IR"},
   CellID->1978957465]},
 "ID:689233251"->{
  Cell[1072856, 30869, 1115, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:689233251", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend seq", "IR"},
   CellID->689233251]},
 "prepend seq"->{
  Cell[1072856, 30869, 1115, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:689233251", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend seq", "IR"},
   CellID->689233251]},
 "ID:1868467849"->{
  Cell[1073974, 30906, 1116, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1868467849", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append seq", "IR"},
   CellID->1868467849]},
 "append seq"->{
  Cell[1073974, 30906, 1116, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1868467849", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append seq", "IR"},
   CellID->1868467849]},
 "ID:65350141"->{
  Cell[1075093, 30943, 1110, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:65350141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend seq", "IR"},
   CellID->65350141]},
 "length prepend seq"->{
  Cell[1075093, 30943, 1110, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:65350141", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length prepend seq", "IR"},
   CellID->65350141]},
 "ID:1724810594"->{
  Cell[1076206, 30975, 1112, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1724810594", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append seq", "IR"},
   CellID->1724810594]},
 "length append seq"->{
  Cell[1076206, 30975, 1112, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1724810594", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length append seq", "IR"},
   CellID->1724810594]},
 "ID:1756306456"->{
  Cell[1077321, 31007, 878, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1756306456", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first seq", "IR"},
   CellID->1756306456]},
 "first seq"->{
  Cell[1077321, 31007, 878, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1756306456", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first seq", "IR"},
   CellID->1756306456]},
 "ID:825805850"->{
  Cell[1078202, 31034, 1103, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:825805850", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last seq", "IR"},
   CellID->825805850]},
 "last seq"->{
  Cell[1078202, 31034, 1103, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:825805850", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last seq", "IR"},
   CellID->825805850]},
 "ID:170468971"->{
  Cell[1079308, 31066, 1408, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:170468971", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index prepend seq", "IR"},
   CellID->170468971]},
 "index prepend seq"->{
  Cell[1079308, 31066, 1408, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:170468971", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index prepend seq", "IR"},
   CellID->170468971]},
 "ID:2036703557"->{
  Cell[1080719, 31109, 966, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2036703557", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest seq", "IR"},
   CellID->2036703557]},
 "rest seq"->{
  Cell[1080719, 31109, 966, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2036703557", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "rest seq", "IR"},
   CellID->2036703557]},
 "ID:1246285181"->{
  Cell[1081688, 31137, 969, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1246285181", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most seq", "IR"},
   CellID->1246285181]},
 "most seq"->{
  Cell[1081688, 31137, 969, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1246285181", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "most seq", "IR"},
   CellID->1246285181]},
 "ID:356326934"->{
  Cell[1082660, 31166, 956, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:356326934", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend \[NotEqual] seq"},
   CellID->356326934]},
 "prepend \[NotEqual] seq"->{
  Cell[1082660, 31166, 956, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:356326934", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend \[NotEqual] seq"},
   CellID->356326934]},
 "ID:1891361301"->{
  Cell[1083619, 31193, 955, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1891361301", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append \[NotEqual] seq"},
   CellID->1891361301]},
 "append \[NotEqual] seq"->{
  Cell[1083619, 31193, 955, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1891361301", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append \[NotEqual] seq"},
   CellID->1891361301]},
 "ID:908405529"->{
  Cell[1084577, 31220, 933, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:908405529", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend is non-empty seq"},
   CellID->908405529]},
 "prepend is non-empty seq"->{
  Cell[1084577, 31220, 933, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:908405529", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend is non-empty seq"},
   CellID->908405529]},
 "ID:630006974"->{
  Cell[1085513, 31247, 931, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:630006974", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append is non-empty seq"},
   CellID->630006974]},
 "append is non-empty seq"->{
  Cell[1085513, 31247, 931, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:630006974", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append is non-empty seq"},
   CellID->630006974]},
 "ID:51106199"->{
  Cell[1086447, 31274, 1730, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:51106199", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend injective seq", "IR"},
   CellID->51106199]},
 "prepend injective seq"->{
  Cell[1086447, 31274, 1730, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:51106199", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend injective seq", "IR"},
   CellID->51106199]},
 "ID:366778785"->{
  Cell[1088180, 31329, 1738, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:366778785", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append injective seq", "IR"},
   CellID->366778785]},
 "append injective seq"->{
  Cell[1088180, 31329, 1738, 54, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:366778785", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append injective seq", "IR"},
   CellID->366778785]},
 "ID:16748437"->{
  Cell[1089921, 31385, 1591, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:16748437", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend=singleton seq"},
   CellID->16748437]},
 "prepend=singleton seq"->{
  Cell[1089921, 31385, 1591, 48, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:16748437", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend=singleton seq"},
   CellID->16748437]},
 "ID:356206657"->{
  Cell[1091515, 31435, 1599, 49, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:356206657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append=singleton seq"},
   CellID->356206657]},
 "append=singleton seq"->{
  Cell[1091515, 31435, 1599, 49, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:356206657", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append=singleton seq"},
   CellID->356206657]},
 "ID:128935503"->{
  Cell[1093117, 31486, 1345, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:128935503", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend=singleton seq'"},
   CellID->128935503]},
 "prepend=singleton seq'"->{
  Cell[1093117, 31486, 1345, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:128935503", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend=singleton seq'"},
   CellID->128935503]},
 "ID:131896368"->{
  Cell[1094465, 31527, 1345, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:131896368", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append=singleton seq'"},
   CellID->131896368]},
 "append=singleton seq'"->{
  Cell[1094465, 31527, 1345, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:131896368", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append=singleton seq'"},
   CellID->131896368]},
 "ID:375885636"->{
  Cell[1095813, 31568, 1044, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:375885636", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index prepend seq", "IR"},
   CellID->375885636]},
 "first index prepend seq"->{
  Cell[1095813, 31568, 1044, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:375885636", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first index prepend seq", "IR"},
   CellID->375885636]},
 "ID:1449667434"->{
  Cell[1096860, 31597, 1745, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1449667434", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E prepend seq", "IR"},
   CellID->1449667434]},
 "E prepend seq"->{
  Cell[1096860, 31597, 1745, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1449667434", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E prepend seq", "IR"},
   CellID->1449667434]},
 "ID:1225984057"->{
  Cell[1098608, 31657, 1742, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1225984057", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E append seq", "IR"},
   CellID->1225984057]},
 "E append seq"->{
  Cell[1098608, 31657, 1742, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1225984057", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E append seq", "IR"},
   CellID->1225984057]},
 "Proof|ID:1978957465"->{
  Cell[1100507, 31726, 4062, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:1978957465", "Proof|ID:1978957465-1"},
   CellID->1385098729]},
 "Proof|ID:1978957465-1"->{
  Cell[1100507, 31726, 4062, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:1978957465", "Proof|ID:1978957465-1"},
   CellID->1385098729]},
 "Proof|ID:689233251"->{
  Cell[1105091, 31855, 3133, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:689233251", "Proof|ID:689233251-1"},
   CellID->1934454430]},
 "Proof|ID:689233251-1"->{
  Cell[1105091, 31855, 3133, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:689233251", "Proof|ID:689233251-1"},
   CellID->1934454430]},
 "Proof|ID:1868467849"->{
  Cell[1108744, 31964, 3136, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1868467849", "Proof|ID:1868467849-1"},
   CellID->2133871472]},
 "Proof|ID:1868467849-1"->{
  Cell[1108744, 31964, 3136, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:1868467849", "Proof|ID:1868467849-1"},
   CellID->2133871472]},
 "Proof|ID:65350141"->{
  Cell[1112401, 32073, 3406, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:65350141", "Proof|ID:65350141-1"},
   CellID->349417108]},
 "Proof|ID:65350141-1"->{
  Cell[1112401, 32073, 3406, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:65350141", "Proof|ID:65350141-1"},
   CellID->349417108]},
 "Proof|ID:1724810594"->{
  Cell[1116326, 32186, 3414, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:1724810594", "Proof|ID:1724810594-1"},
   CellID->712538882]},
 "Proof|ID:1724810594-1"->{
  Cell[1116326, 32186, 3414, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:1724810594", "Proof|ID:1724810594-1"},
   CellID->712538882]},
 "Proof|ID:1756306456"->{
  Cell[1120262, 32299, 2816, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:1756306456", "Proof|ID:1756306456-1"},
   CellID->2087019572]},
 "Proof|ID:1756306456-1"->{
  Cell[1120262, 32299, 2816, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:1756306456", "Proof|ID:1756306456-1"},
   CellID->2087019572]},
 "Proof|ID:825805850"->{
  Cell[1123600, 32402, 3507, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:825805850", "Proof|ID:825805850-1"},
   CellID->1815538666]},
 "Proof|ID:825805850-1"->{
  Cell[1123600, 32402, 3507, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:825805850", "Proof|ID:825805850-1"},
   CellID->1815538666]},
 "Proof|ID:170468971"->{
  Cell[1127627, 32521, 4233, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:170468971", "Proof|ID:170468971-1"},
   CellID->10891487]},
 "Proof|ID:170468971-1"->{
  Cell[1127627, 32521, 4233, 116, 70, "ProofInfo",
   CellTags->{"Proof|ID:170468971", "Proof|ID:170468971-1"},
   CellID->10891487]},
 "Proof|ID:2036703557"->{
  Cell[1132379, 32656, 3053, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:2036703557", "Proof|ID:2036703557-1"},
   CellID->329821864]},
 "Proof|ID:2036703557-1"->{
  Cell[1132379, 32656, 3053, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:2036703557", "Proof|ID:2036703557-1"},
   CellID->329821864]},
 "Proof|ID:1246285181"->{
  Cell[1135954, 32763, 3054, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:1246285181", "Proof|ID:1246285181-1"},
   CellID->2135475776]},
 "Proof|ID:1246285181-1"->{
  Cell[1135954, 32763, 3054, 88, 70, "ProofInfo",
   CellTags->{"Proof|ID:1246285181", "Proof|ID:1246285181-1"},
   CellID->2135475776]},
 "Proof|ID:356326934"->{
  Cell[1139529, 32870, 2970, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:356326934", "Proof|ID:356326934-1"},
   CellID->140246005]},
 "Proof|ID:356326934-1"->{
  Cell[1139529, 32870, 2970, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:356326934", "Proof|ID:356326934-1"},
   CellID->140246005]},
 "Proof|ID:1891361301"->{
  Cell[1143086, 32976, 2972, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:1891361301", "Proof|ID:1891361301-1"},
   CellID->97652058]},
 "Proof|ID:1891361301-1"->{
  Cell[1143086, 32976, 2972, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:1891361301", "Proof|ID:1891361301-1"},
   CellID->97652058]},
 "Proof|ID:908405529"->{
  Cell[1146579, 33081, 2830, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:908405529", "Proof|ID:908405529-1"},
   CellID->205515258]},
 "Proof|ID:908405529-1"->{
  Cell[1146579, 33081, 2830, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:908405529", "Proof|ID:908405529-1"},
   CellID->205515258]},
 "Proof|ID:630006974"->{
  Cell[1149930, 33184, 2829, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:630006974", "Proof|ID:630006974-1"},
   CellID->1370582735]},
 "Proof|ID:630006974-1"->{
  Cell[1149930, 33184, 2829, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:630006974", "Proof|ID:630006974-1"},
   CellID->1370582735]},
 "Proof|ID:51106199"->{
  Cell[1153279, 33287, 4843, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:51106199", "Proof|ID:51106199-1"},
   CellID->69937640]},
 "Proof|ID:51106199-1"->{
  Cell[1153279, 33287, 4843, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:51106199", "Proof|ID:51106199-1"},
   CellID->69937640]},
 "Proof|ID:366778785"->{
  Cell[1158641, 33432, 4847, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:366778785", "Proof|ID:366778785-1"},
   CellID->320700225]},
 "Proof|ID:366778785-1"->{
  Cell[1158641, 33432, 4847, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:366778785", "Proof|ID:366778785-1"},
   CellID->320700225]},
 "Proof|ID:16748437"->{
  Cell[1164008, 33577, 4183, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:16748437", "Proof|ID:16748437-1"},
   CellID->42196719]},
 "Proof|ID:16748437-1"->{
  Cell[1164008, 33577, 4183, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:16748437", "Proof|ID:16748437-1"},
   CellID->42196719]},
 "Proof|ID:356206657"->{
  Cell[1168709, 33706, 4186, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:356206657", "Proof|ID:356206657-1"},
   CellID->56951552]},
 "Proof|ID:356206657-1"->{
  Cell[1168709, 33706, 4186, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:356206657", "Proof|ID:356206657-1"},
   CellID->56951552]},
 "Proof|ID:128935503"->{
  Cell[1173415, 33835, 3649, 102, 70, "ProofInfo",
   CellTags->{"Proof|ID:128935503", "Proof|ID:128935503-1"},
   CellID->62890191]},
 "Proof|ID:128935503-1"->{
  Cell[1173415, 33835, 3649, 102, 70, "ProofInfo",
   CellTags->{"Proof|ID:128935503", "Proof|ID:128935503-1"},
   CellID->62890191]},
 "Proof|ID:131896368"->{
  Cell[1177584, 33956, 3648, 102, 70, "ProofInfo",
   CellTags->{"Proof|ID:131896368", "Proof|ID:131896368-1"},
   CellID->298683712]},
 "Proof|ID:131896368-1"->{
  Cell[1177584, 33956, 3648, 102, 70, "ProofInfo",
   CellTags->{"Proof|ID:131896368", "Proof|ID:131896368-1"},
   CellID->298683712]},
 "Proof|ID:375885636"->{
  Cell[1181751, 34077, 3107, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:375885636", "Proof|ID:375885636-1"},
   CellID->56380098]},
 "Proof|ID:375885636-1"->{
  Cell[1181751, 34077, 3107, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:375885636", "Proof|ID:375885636-1"},
   CellID->56380098]},
 "Proof|ID:1449667434"->{
  Cell[1185377, 34182, 3961, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:1449667434", "Proof|ID:1449667434-1"},
   CellID->1172643487]},
 "Proof|ID:1449667434-1"->{
  Cell[1185377, 34182, 3961, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:1449667434", "Proof|ID:1449667434-1"},
   CellID->1172643487]},
 "Proof|ID:1225984057"->{
  Cell[1189860, 34307, 3959, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:1225984057", "Proof|ID:1225984057-1"},
   CellID->1303184498]},
 "Proof|ID:1225984057-1"->{
  Cell[1189860, 34307, 3959, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:1225984057", "Proof|ID:1225984057-1"},
   CellID->1303184498]},
 "ID:1603144769"->{
  Cell[1194771, 34446, 666, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1603144769", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1603144769]},
 "ID:1631152012"->{
  Cell[1195440, 34464, 1297, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1631152012", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or prepend seq"},
   CellID->1631152012]},
 "empty or prepend seq"->{
  Cell[1195440, 34464, 1297, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1631152012", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or prepend seq"},
   CellID->1631152012]},
 "ID:555405947"->{
  Cell[1196740, 34506, 1367, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:555405947", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or append seq"},
   CellID->555405947]},
 "empty or append seq"->{
  Cell[1196740, 34506, 1367, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:555405947", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "empty or append seq"},
   CellID->555405947]},
 "Proof|ID:1631152012"->{
  Cell[1198264, 34559, 3552, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1631152012", "Proof|ID:1631152012-1"},
   CellID->2022060118]},
 "Proof|ID:1631152012-1"->{
  Cell[1198264, 34559, 3552, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1631152012", "Proof|ID:1631152012-1"},
   CellID->2022060118]},
 "Proof|ID:555405947"->{
  Cell[1202337, 34678, 3852, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:555405947", "Proof|ID:555405947-1"},
   CellID->162873796]},
 "Proof|ID:555405947-1"->{
  Cell[1202337, 34678, 3852, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:555405947", "Proof|ID:555405947-1"},
   CellID->162873796]},
 "ID:1927912858"->{
  Cell[1207166, 34817, 816, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1927912858", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1927912858]},
 "ID:945414731"->{
  Cell[1207985, 34839, 2649, 81, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:945414731", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P seq", "IR"},
   CellID->945414731]},
 "join P seq"->{
  Cell[1207985, 34839, 2649, 81, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:945414731", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "join P seq", "IR"},
   CellID->945414731]},
 "ID:410739149"->{
  Cell[1210637, 34922, 2123, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:410739149", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P seq", "IR"},
   CellID->410739149]},
 "prepend P seq"->{
  Cell[1210637, 34922, 2123, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:410739149", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "prepend P seq", "IR"},
   CellID->410739149]},
 "ID:351192043"->{
  Cell[1212763, 34988, 2074, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:351192043", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P seq", "IR"},
   CellID->351192043]},
 "append P seq"->{
  Cell[1212763, 34988, 2074, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:351192043", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "append P seq", "IR"},
   CellID->351192043]},
 "Proof|ID:945414731"->{
  Cell[1214994, 35063, 8672, 210, 70, "ProofInfo",
   CellTags->{"Proof|ID:945414731", "Proof|ID:945414731-1"},
   CellID->1732112684]},
 "Proof|ID:945414731-1"->{
  Cell[1214994, 35063, 8672, 210, 70, "ProofInfo",
   CellTags->{"Proof|ID:945414731", "Proof|ID:945414731-1"},
   CellID->1732112684]},
 "Proof|ID:410739149"->{
  Cell[1224185, 35292, 6878, 170, 70, "ProofInfo",
   CellTags->{"Proof|ID:410739149", "Proof|ID:410739149-1"},
   CellID->10877773]},
 "Proof|ID:410739149-1"->{
  Cell[1224185, 35292, 6878, 170, 70, "ProofInfo",
   CellTags->{"Proof|ID:410739149", "Proof|ID:410739149-1"},
   CellID->10877773]},
 "Proof|ID:351192043"->{
  Cell[1231584, 35481, 6878, 170, 70, "ProofInfo",
   CellTags->{"Proof|ID:351192043", "Proof|ID:351192043-1"},
   CellID->1701507642]},
 "Proof|ID:351192043-1"->{
  Cell[1231584, 35481, 6878, 170, 70, "ProofInfo",
   CellTags->{"Proof|ID:351192043", "Proof|ID:351192043-1"},
   CellID->1701507642]},
 "ID:1694974068"->{
  Cell[1239729, 35693, 714, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1694974068", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1694974068]},
 "ID:1505247553"->{
  Cell[1240446, 35712, 711, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1505247553", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1505247553]},
 "ID:1255331353"->{
  Cell[1241160, 35731, 904, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1255331353", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1255331353]},
 "ID:1942795378"->{
  Cell[1242067, 35757, 786, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1942795378", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf", "IR"},
   CellID->1942795378]},
 "isTuple TupleOf"->{
  Cell[1242067, 35757, 786, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1942795378", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf", "IR"},
   CellID->1942795378]},
 "ID:1005510912"->{
  Cell[1242856, 35780, 1335, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1005510912", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty", "IR"},
   CellID->1005510912]},
 "TupleOf empty"->{
  Cell[1242856, 35780, 1335, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1005510912", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty", "IR"},
   CellID->1005510912]},
 "ID:1495808200"->{
  Cell[1244194, 35825, 1496, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1495808200", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf", "IR"},
   CellID->1495808200]},
 "E TupleOf"->{
  Cell[1244194, 35825, 1496, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1495808200", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf", "IR"},
   CellID->1495808200]},
 "ID:1914119422"->{
  Cell[1245693, 35877, 1444, 45, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1914119422", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P", "IR"},
   CellID->1914119422]},
 "TupleOf P"->{
  Cell[1245693, 35877, 1444, 45, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1914119422", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P", "IR"},
   CellID->1914119422]},
 "Proof|ID:1942795378"->{
  Cell[1247294, 35933, 3795, 102, 70, "ProofInfo",
   CellTags->{"Proof|ID:1942795378", "Proof|ID:1942795378-1"},
   CellID->830505370]},
 "Proof|ID:1942795378-1"->{
  Cell[1247294, 35933, 3795, 102, 70, "ProofInfo",
   CellTags->{"Proof|ID:1942795378", "Proof|ID:1942795378-1"},
   CellID->830505370]},
 "Proof|ID:1005510912"->{
  Cell[1251610, 36054, 5377, 140, 70, "ProofInfo",
   CellTags->{"Proof|ID:1005510912", "Proof|ID:1005510912-1"},
   CellID->1883378197]},
 "Proof|ID:1005510912-1"->{
  Cell[1251610, 36054, 5377, 140, 70, "ProofInfo",
   CellTags->{"Proof|ID:1005510912", "Proof|ID:1005510912-1"},
   CellID->1883378197]},
 "Proof|ID:1495808200"->{
  Cell[1257509, 36213, 5606, 142, 70, "ProofInfo",
   CellTags->{"Proof|ID:1495808200", "Proof|ID:1495808200-1"},
   CellID->258451646]},
 "Proof|ID:1495808200-1"->{
  Cell[1257509, 36213, 5606, 142, 70, "ProofInfo",
   CellTags->{"Proof|ID:1495808200", "Proof|ID:1495808200-1"},
   CellID->258451646]},
 "Proof|ID:1914119422"->{
  Cell[1263637, 36374, 8155, 198, 70, "ProofInfo",
   CellTags->{"Proof|ID:1914119422", "Proof|ID:1914119422-1"},
   CellID->1598253886]},
 "Proof|ID:1914119422-1"->{
  Cell[1263637, 36374, 8155, 198, 70, "ProofInfo",
   CellTags->{"Proof|ID:1914119422", "Proof|ID:1914119422-1"},
   CellID->1598253886]},
 "ID:134279387"->{
  Cell[1272859, 36607, 703, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:134279387", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->134279387]},
 "ID:1927530612"->{
  Cell[1273565, 36626, 787, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1927530612", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1927530612]},
 "ID:37602445"->{
  Cell[1274355, 36646, 888, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:37602445", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->37602445]},
 "ID:1598714500"->{
  Cell[1275246, 36672, 846, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1598714500", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf", "IR"},
   CellID->1598714500]},
 "length TupleOf"->{
  Cell[1275246, 36672, 846, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1598714500", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf", "IR"},
   CellID->1598714500]},
 "ID:1101459169"->{
  Cell[1276095, 36697, 1082, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1101459169", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty II", "IR"},
   CellID->1101459169]},
 "TupleOf empty II"->{
  Cell[1276095, 36697, 1082, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1101459169", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty II", "IR"},
   CellID->1101459169]},
 "ID:1117837722"->{
  Cell[1277180, 36732, 1093, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1117837722", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index TupleOf", "IR"},
   CellID->1117837722]},
 "index TupleOf"->{
  Cell[1277180, 36732, 1093, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1117837722", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index TupleOf", "IR"},
   CellID->1117837722]},
 "ID:516149167"->{
  Cell[1278276, 36766, 2164, 69, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:516149167", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf=", "IR"},
   CellID->516149167]},
 "TupleOf="->{
  Cell[1278276, 36766, 2164, 69, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:516149167", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf=", "IR"},
   CellID->516149167]},
 "ID:177394441"->{
  Cell[1280443, 36837, 1626, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:177394441", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary", "IR"},
   CellID->177394441]},
 "TupleOf P binary"->{
  Cell[1280443, 36837, 1626, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:177394441", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary", "IR"},
   CellID->177394441]},
 "ID:548658600"->{
  Cell[1282072, 36891, 718, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:548658600", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->548658600]},
 "ID:340261036"->{
  Cell[1282793, 36911, 802, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:340261036", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first TupleOf", "IR"},
   CellID->340261036]},
 "first TupleOf"->{
  Cell[1282793, 36911, 802, 22, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:340261036", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first TupleOf", "IR"},
   CellID->340261036]},
 "ID:124965228"->{
  Cell[1283598, 36935, 864, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:124965228", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last TupleOf", "IR"},
   CellID->124965228]},
 "last TupleOf"->{
  Cell[1283598, 36935, 864, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:124965228", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last TupleOf", "IR"},
   CellID->124965228]},
 "Proof|ID:1598714500"->{
  Cell[1284619, 36970, 3699, 102, 70, "ProofInfo",
   CellTags->{"Proof|ID:1598714500", "Proof|ID:1598714500-1"},
   CellID->719312761]},
 "Proof|ID:1598714500-1"->{
  Cell[1284619, 36970, 3699, 102, 70, "ProofInfo",
   CellTags->{"Proof|ID:1598714500", "Proof|ID:1598714500-1"},
   CellID->719312761]},
 "Proof|ID:1101459169"->{
  Cell[1288840, 37091, 3874, 104, 70, "ProofInfo",
   CellTags->{"Proof|ID:1101459169", "Proof|ID:1101459169-1"},
   CellID->691598025]},
 "Proof|ID:1101459169-1"->{
  Cell[1288840, 37091, 3874, 104, 70, "ProofInfo",
   CellTags->{"Proof|ID:1101459169", "Proof|ID:1101459169-1"},
   CellID->691598025]},
 "Proof|ID:1117837722"->{
  Cell[1293236, 37214, 4251, 114, 70, "ProofInfo",
   CellTags->{"Proof|ID:1117837722", "Proof|ID:1117837722-1"},
   CellID->2037489008]},
 "Proof|ID:1117837722-1"->{
  Cell[1293236, 37214, 4251, 114, 70, "ProofInfo",
   CellTags->{"Proof|ID:1117837722", "Proof|ID:1117837722-1"},
   CellID->2037489008]},
 "Proof|ID:516149167"->{
  Cell[1298009, 37347, 6873, 170, 70, "ProofInfo",
   CellTags->{"Proof|ID:516149167", "Proof|ID:516149167-1"},
   CellID->306087820]},
 "Proof|ID:516149167-1"->{
  Cell[1298009, 37347, 6873, 170, 70, "ProofInfo",
   CellTags->{"Proof|ID:516149167", "Proof|ID:516149167-1"},
   CellID->306087820]},
 "Proof|ID:177394441"->{
  Cell[1305402, 37536, 9287, 226, 70, "ProofInfo",
   CellTags->{"Proof|ID:177394441", "Proof|ID:177394441-1"},
   CellID->777558294]},
 "Proof|ID:177394441-1"->{
  Cell[1305402, 37536, 9287, 226, 70, "ProofInfo",
   CellTags->{"Proof|ID:177394441", "Proof|ID:177394441-1"},
   CellID->777558294]},
 "Proof|ID:340261036"->{
  Cell[1315210, 37781, 5141, 134, 70, "ProofInfo",
   CellTags->{"Proof|ID:340261036", "Proof|ID:340261036-1"},
   CellID->159464590]},
 "Proof|ID:340261036-1"->{
  Cell[1315210, 37781, 5141, 134, 70, "ProofInfo",
   CellTags->{"Proof|ID:340261036", "Proof|ID:340261036-1"},
   CellID->159464590]},
 "Proof|ID:124965228"->{
  Cell[1320871, 37934, 6580, 166, 70, "ProofInfo",
   CellTags->{"Proof|ID:124965228", "Proof|ID:124965228-1"},
   CellID->1318409637]},
 "Proof|ID:124965228-1"->{
  Cell[1320871, 37934, 6580, 166, 70, "ProofInfo",
   CellTags->{"Proof|ID:124965228", "Proof|ID:124965228-1"},
   CellID->1318409637]},
 "ID:1593677557"->{
  Cell[1328509, 38135, 716, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1593677557", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1593677557]},
 "ID:748631503"->{
  Cell[1329228, 38154, 711, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:748631503", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->748631503]},
 "ID:1717928685"->{
  Cell[1329942, 38174, 904, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1717928685", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1717928685]},
 "ID:218966905"->{
  Cell[1330849, 38200, 961, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:218966905", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf II", "IR"},
   CellID->218966905]},
 "isTuple TupleOf II"->{
  Cell[1330849, 38200, 961, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:218966905", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf II", "IR"},
   CellID->218966905]},
 "ID:2124778583"->{
  Cell[1331813, 38225, 1343, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2124778583", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty III", "IR"},
   CellID->2124778583]},
 "TupleOf empty III"->{
  Cell[1331813, 38225, 1343, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2124778583", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty III", "IR"},
   CellID->2124778583]},
 "ID:2096232905"->{
  Cell[1333159, 38270, 1504, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2096232905", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf II", "IR"},
   CellID->2096232905]},
 "E TupleOf II"->{
  Cell[1333159, 38270, 1504, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2096232905", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf II", "IR"},
   CellID->2096232905]},
 "ID:317090069"->{
  Cell[1334666, 38322, 1526, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:317090069", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P II", "IR"},
   CellID->317090069]},
 "TupleOf P II"->{
  Cell[1334666, 38322, 1526, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:317090069", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P II", "IR"},
   CellID->317090069]},
 "ID:1886070472"->{
  Cell[1336195, 38371, 870, 23, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1886070472", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1886070472]},
 "ID:251468957"->{
  Cell[1337068, 38396, 1369, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:251468957", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf II", "IR"},
   CellID->251468957]},
 "length TupleOf II"->{
  Cell[1337068, 38396, 1369, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:251468957", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf II", "IR"},
   CellID->251468957]},
 "ID:1168033220"->{
  Cell[1338440, 38431, 1319, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1168033220", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index TupleOf II", "IR"},
   CellID->1168033220]},
 "index TupleOf II"->{
  Cell[1338440, 38431, 1319, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1168033220", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "index TupleOf II", "IR"},
   CellID->1168033220]},
 "ID:894739369"->{
  Cell[1339762, 38470, 1683, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:894739369", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary II", "IR"},
   CellID->894739369]},
 "TupleOf P binary II"->{
  Cell[1339762, 38470, 1683, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:894739369", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary II", "IR"},
   CellID->894739369]},
 "ID:502002218"->{
  Cell[1341448, 38525, 689, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:502002218", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->502002218]},
 "ID:2071594661"->{
  Cell[1342140, 38544, 1105, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2071594661", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf III", "IR"},
   CellID->2071594661]},
 "isTuple TupleOf III"->{
  Cell[1342140, 38544, 1105, 30, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2071594661", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isTuple TupleOf III", "IR"},
   CellID->2071594661]},
 "ID:520380078"->{
  Cell[1343248, 38576, 2159, 62, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:520380078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf III", "IR"},
   CellID->520380078]},
 "E TupleOf III"->{
  Cell[1343248, 38576, 2159, 62, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:520380078", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "E TupleOf III", "IR"},
   CellID->520380078]},
 "ID:408639765"->{
  Cell[1345410, 38640, 2219, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:408639765", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P III", "IR"},
   CellID->408639765]},
 "TupleOf P III"->{
  Cell[1345410, 38640, 2219, 64, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:408639765", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P III", "IR"},
   CellID->408639765]},
 "ID:201585227"->{
  Cell[1347632, 38706, 936, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:201585227", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->201585227]},
 "ID:881212292"->{
  Cell[1348571, 38732, 1015, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:881212292", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf III", "IR"},
   CellID->881212292]},
 "length TupleOf III"->{
  Cell[1348571, 38732, 1015, 26, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:881212292", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "length TupleOf III", "IR"},
   CellID->881212292]},
 "ID:23356384"->{
  Cell[1349589, 38760, 1873, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:23356384", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf=III", "IR"},
   CellID->23356384]},
 "TupleOf=III"->{
  Cell[1349589, 38760, 1873, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:23356384", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf=III", "IR"},
   CellID->23356384]},
 "ID:1085673759"->{
  Cell[1351465, 38821, 1168, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1085673759", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty IV", "IR"},
   CellID->1085673759]},
 "TupleOf empty IV"->{
  Cell[1351465, 38821, 1168, 35, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1085673759", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf empty IV", "IR"},
   CellID->1085673759]},
 "ID:1965128634"->{
  Cell[1352636, 38858, 1761, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1965128634", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary III", "IR"},
   CellID->1965128634]},
 "TupleOf P binary III"->{
  Cell[1352636, 38858, 1761, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1965128634", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf P binary III", "IR"},
   CellID->1965128634]},
 "ID:534711775"->{
  Cell[1354400, 38915, 742, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:534711775", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->534711775]},
 "ID:1006778759"->{
  Cell[1355145, 38936, 863, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1006778759", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first TupleOf III", "IR"},
   CellID->1006778759]},
 "first TupleOf III"->{
  Cell[1355145, 38936, 863, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1006778759", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "first TupleOf III", "IR"},
   CellID->1006778759]},
 "ID:283251415"->{
  Cell[1356011, 38961, 1036, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:283251415", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last TupleOf III", "IR"},
   CellID->283251415]},
 "last TupleOf III"->{
  Cell[1356011, 38961, 1036, 28, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:283251415", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "last TupleOf III", "IR"},
   CellID->283251415]},
 "Proof|ID:218966905"->{
  Cell[1357204, 39000, 4137, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:218966905", "Proof|ID:218966905-1"},
   CellID->1210032788]},
 "Proof|ID:218966905-1"->{
  Cell[1357204, 39000, 4137, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:218966905", "Proof|ID:218966905-1"},
   CellID->1210032788]},
 "Proof|ID:2124778583"->{
  Cell[1361862, 39129, 5831, 150, 70, "ProofInfo",
   CellTags->{"Proof|ID:2124778583", "Proof|ID:2124778583-1"},
   CellID->1645016545]},
 "Proof|ID:2124778583-1"->{
  Cell[1361862, 39129, 5831, 150, 70, "ProofInfo",
   CellTags->{"Proof|ID:2124778583", "Proof|ID:2124778583-1"},
   CellID->1645016545]},
 "Proof|ID:2096232905"->{
  Cell[1368215, 39298, 6059, 152, 70, "ProofInfo",
   CellTags->{"Proof|ID:2096232905", "Proof|ID:2096232905-1"},
   CellID->2093517487]},
 "Proof|ID:2096232905-1"->{
  Cell[1368215, 39298, 6059, 152, 70, "ProofInfo",
   CellTags->{"Proof|ID:2096232905", "Proof|ID:2096232905-1"},
   CellID->2093517487]},
 "Proof|ID:317090069"->{
  Cell[1374796, 39469, 8708, 210, 70, "ProofInfo",
   CellTags->{"Proof|ID:317090069", "Proof|ID:317090069-1"},
   CellID->2045739047]},
 "Proof|ID:317090069-1"->{
  Cell[1374796, 39469, 8708, 210, 70, "ProofInfo",
   CellTags->{"Proof|ID:317090069", "Proof|ID:317090069-1"},
   CellID->2045739047]},
 "Proof|ID:251468957"->{
  Cell[1384024, 39698, 5022, 130, 70, "ProofInfo",
   CellTags->{"Proof|ID:251468957", "Proof|ID:251468957-1"},
   CellID->1350232031]},
 "Proof|ID:251468957-1"->{
  Cell[1384024, 39698, 5022, 130, 70, "ProofInfo",
   CellTags->{"Proof|ID:251468957", "Proof|ID:251468957-1"},
   CellID->1350232031]},
 "Proof|ID:1168033220"->{
  Cell[1389566, 39847, 6175, 156, 70, "ProofInfo",
   CellTags->{"Proof|ID:1168033220", "Proof|ID:1168033220-1"},
   CellID->1568740038]},
 "Proof|ID:1168033220-1"->{
  Cell[1389566, 39847, 6175, 156, 70, "ProofInfo",
   CellTags->{"Proof|ID:1168033220", "Proof|ID:1168033220-1"},
   CellID->1568740038]},
 "Proof|ID:894739369"->{
  Cell[1396262, 40022, 9952, 240, 70, "ProofInfo",
   CellTags->{"Proof|ID:894739369", "Proof|ID:894739369-1"},
   CellID->1033891420]},
 "Proof|ID:894739369-1"->{
  Cell[1396262, 40022, 9952, 240, 70, "ProofInfo",
   CellTags->{"Proof|ID:894739369", "Proof|ID:894739369-1"},
   CellID->1033891420]},
 "Proof|ID:2071594661"->{
  Cell[1406735, 40281, 3896, 104, 70, "ProofInfo",
   CellTags->{"Proof|ID:2071594661", "Proof|ID:2071594661-1"},
   CellID->1282426654]},
 "Proof|ID:2071594661-1"->{
  Cell[1406735, 40281, 3896, 104, 70, "ProofInfo",
   CellTags->{"Proof|ID:2071594661", "Proof|ID:2071594661-1"},
   CellID->1282426654]},
 "Proof|ID:520380078"->{
  Cell[1411153, 40404, 5904, 148, 70, "ProofInfo",
   CellTags->{"Proof|ID:520380078", "Proof|ID:520380078-1"},
   CellID->1534939845]},
 "Proof|ID:520380078-1"->{
  Cell[1411153, 40404, 5904, 148, 70, "ProofInfo",
   CellTags->{"Proof|ID:520380078", "Proof|ID:520380078-1"},
   CellID->1534939845]},
 "Proof|ID:408639765"->{
  Cell[1417578, 40571, 8654, 208, 70, "ProofInfo",
   CellTags->{"Proof|ID:408639765", "Proof|ID:408639765-1"},
   CellID->1122414248]},
 "Proof|ID:408639765-1"->{
  Cell[1417578, 40571, 8654, 208, 70, "ProofInfo",
   CellTags->{"Proof|ID:408639765", "Proof|ID:408639765-1"},
   CellID->1122414248]},
 "Proof|ID:881212292"->{
  Cell[1426753, 40798, 3945, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:881212292", "Proof|ID:881212292-1"},
   CellID->1087255417]},
 "Proof|ID:881212292-1"->{
  Cell[1426753, 40798, 3945, 106, 70, "ProofInfo",
   CellTags->{"Proof|ID:881212292", "Proof|ID:881212292-1"},
   CellID->1087255417]},
 "Proof|ID:23356384"->{
  Cell[1431219, 40923, 6556, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:23356384", "Proof|ID:23356384-1"},
   CellID->633253562]},
 "Proof|ID:23356384-1"->{
  Cell[1431219, 40923, 6556, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:23356384", "Proof|ID:23356384-1"},
   CellID->633253562]},
 "Proof|ID:1085673759"->{
  Cell[1438292, 41106, 4144, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:1085673759", "Proof|ID:1085673759-1"},
   CellID->2046671601]},
 "Proof|ID:1085673759-1"->{
  Cell[1438292, 41106, 4144, 112, 70, "ProofInfo",
   CellTags->{"Proof|ID:1085673759", "Proof|ID:1085673759-1"},
   CellID->2046671601]},
 "Proof|ID:1965128634"->{
  Cell[1442958, 41237, 9999, 240, 70, "ProofInfo",
   CellTags->{"Proof|ID:1965128634", "Proof|ID:1965128634-1"},
   CellID->1957388566]},
 "Proof|ID:1965128634-1"->{
  Cell[1442958, 41237, 9999, 240, 70, "ProofInfo",
   CellTags->{"Proof|ID:1965128634", "Proof|ID:1965128634-1"},
   CellID->1957388566]},
 "Proof|ID:1006778759"->{
  Cell[1453478, 41496, 5448, 140, 70, "ProofInfo",
   CellTags->{"Proof|ID:1006778759", "Proof|ID:1006778759-1"},
   CellID->538163754]},
 "Proof|ID:1006778759-1"->{
  Cell[1453478, 41496, 5448, 140, 70, "ProofInfo",
   CellTags->{"Proof|ID:1006778759", "Proof|ID:1006778759-1"},
   CellID->538163754]},
 "Proof|ID:283251415"->{
  Cell[1459447, 41655, 7273, 180, 70, "ProofInfo",
   CellTags->{"Proof|ID:283251415", "Proof|ID:283251415-1"},
   CellID->208449576]},
 "Proof|ID:283251415-1"->{
  Cell[1459447, 41655, 7273, 180, 70, "ProofInfo",
   CellTags->{"Proof|ID:283251415", "Proof|ID:283251415-1"},
   CellID->208449576]},
 "ID:1263200977"->{
  Cell[1467680, 41868, 636, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1263200977", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1263200977]},
 "ID:1482990827"->{
  Cell[1468319, 41885, 718, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1482990827", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1482990827]},
 "ID:288335744"->{
  Cell[1469040, 41905, 2096, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:288335744", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf join", "IR"},
   CellID->288335744]},
 "TupleOf join"->{
  Cell[1469040, 41905, 2096, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:288335744", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf join", "IR"},
   CellID->288335744]},
 "ID:1725599731"->{
  Cell[1471139, 41972, 2959, 92, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1725599731", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf join 2"},
   CellID->1725599731]},
 "TupleOf join 2"->{
  Cell[1471139, 41972, 2959, 92, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1725599731", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleOf join 2"},
   CellID->1725599731]},
 "Proof|ID:1725599731"->{
  Cell[1474255, 42075, 10675, 250, 70, "ProofInfo",
   CellTags->{"Proof|ID:1725599731", "Proof|ID:1725599731-1"},
   CellID->594883306]},
 "Proof|ID:1725599731-1"->{
  Cell[1474255, 42075, 10675, 250, 70, "ProofInfo",
   CellTags->{"Proof|ID:1725599731", "Proof|ID:1725599731-1"},
   CellID->594883306]},
 "Proof|ID:288335744"->{
  Cell[1485452, 42344, 7374, 182, 70, "ProofInfo",
   CellTags->{"Proof|ID:288335744", "Proof|ID:288335744-1"},
   CellID->326369969]},
 "Proof|ID:288335744-1"->{
  Cell[1485452, 42344, 7374, 182, 70, "ProofInfo",
   CellTags->{"Proof|ID:288335744", "Proof|ID:288335744-1"},
   CellID->326369969]},
 "ID:943582632"->{
  Cell[1493574, 42551, 723, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:943582632", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->943582632]},
 "ID:1766309993"->{
  Cell[1494805, 42587, 782, 20, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1766309993", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1766309993]},
 "ID:176463151"->{
  Cell[1495590, 42609, 1827, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:176463151", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum append", "IR"},
   CellID->176463151]},
 "sum append"->{
  Cell[1495590, 42609, 1827, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:176463151", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum append", "IR"},
   CellID->176463151]},
 "ID:803576507"->{
  Cell[1497420, 42669, 2573, 80, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:803576507", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum append 2"},
   CellID->803576507]},
 "sum append 2"->{
  Cell[1497420, 42669, 2573, 80, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:803576507", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum append 2"},
   CellID->803576507]},
 "ID:1626050428"->{
  Cell[1499996, 42751, 1880, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1626050428", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum most", "IR"},
   CellID->1626050428]},
 "sum most"->{
  Cell[1499996, 42751, 1880, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1626050428", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum most", "IR"},
   CellID->1626050428]},
 "Proof|ID:176463151"->{
  Cell[1502033, 42820, 6347, 158, 70, "ProofInfo",
   CellTags->{"Proof|ID:176463151", "Proof|ID:176463151-1"},
   CellID->132409156]},
 "Proof|ID:176463151-1"->{
  Cell[1502033, 42820, 6347, 158, 70, "ProofInfo",
   CellTags->{"Proof|ID:176463151", "Proof|ID:176463151-1"},
   CellID->132409156]},
 "Proof|ID:803576507"->{
  Cell[1508966, 42998, 8641, 206, 70, "ProofInfo",
   CellTags->{"Proof|ID:803576507", "Proof|ID:803576507-1"},
   CellID->625973727]},
 "Proof|ID:803576507-1"->{
  Cell[1508966, 42998, 8641, 206, 70, "ProofInfo",
   CellTags->{"Proof|ID:803576507", "Proof|ID:803576507-1"},
   CellID->625973727]},
 "Proof|ID:1626050428"->{
  Cell[1518127, 43223, 6070, 152, 70, "ProofInfo",
   CellTags->{"Proof|ID:1626050428", "Proof|ID:1626050428-1"},
   CellID->590281017]},
 "Proof|ID:1626050428-1"->{
  Cell[1518127, 43223, 6070, 152, 70, "ProofInfo",
   CellTags->{"Proof|ID:1626050428", "Proof|ID:1626050428-1"},
   CellID->590281017]},
 "ID:15531077"->{
  Cell[1525210, 43409, 604, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:15531077", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->15531077]},
 "ID:883103966"->{
  Cell[1525817, 43426, 2554, 73, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:883103966", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf", "IR"},
   CellID->883103966]},
 "sum TupleOf"->{
  Cell[1525817, 43426, 2554, 73, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:883103966", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf", "IR"},
   CellID->883103966]},
 "ID:618251189"->{
  Cell[1528374, 43501, 665, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:618251189", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->618251189]},
 "ID:1893863329"->{
  Cell[1529042, 43519, 937, 24, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1893863329", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1893863329]},
 "ID:1650642628"->{
  Cell[1529982, 43545, 1525, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1650642628", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf unary", "IR"},
   CellID->1650642628]},
 "sum TupleOf unary"->{
  Cell[1529982, 43545, 1525, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1650642628", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf unary", "IR"},
   CellID->1650642628]},
 "ID:829035443"->{
  Cell[1531510, 43593, 1612, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:829035443", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf 2"},
   CellID->829035443]},
 "sum TupleOf 2"->{
  Cell[1531510, 43593, 1612, 50, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:829035443", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "sum TupleOf 2"},
   CellID->829035443]},
 "Proof|ID:883103966"->{
  Cell[1533277, 43654, 7411, 182, 70, "ProofInfo",
   CellTags->{"Proof|ID:883103966", "Proof|ID:883103966-1"},
   CellID->212314621]},
 "Proof|ID:883103966-1"->{
  Cell[1533277, 43654, 7411, 182, 70, "ProofInfo",
   CellTags->{"Proof|ID:883103966", "Proof|ID:883103966-1"},
   CellID->212314621]},
 "Proof|ID:1650642628"->{
  Cell[1541208, 43855, 7925, 192, 70, "ProofInfo",
   CellTags->{"Proof|ID:1650642628", "Proof|ID:1650642628-1"},
   CellID->1061412339]},
 "Proof|ID:1650642628-1"->{
  Cell[1541208, 43855, 7925, 192, 70, "ProofInfo",
   CellTags->{"Proof|ID:1650642628", "Proof|ID:1650642628-1"},
   CellID->1061412339]},
 "Proof|ID:829035443"->{
  Cell[1549655, 44066, 7396, 182, 70, "ProofInfo",
   CellTags->{"Proof|ID:829035443", "Proof|ID:829035443-1"},
   CellID->1989271199]},
 "Proof|ID:829035443-1"->{
  Cell[1549655, 44066, 7396, 182, 70, "ProofInfo",
   CellTags->{"Proof|ID:829035443", "Proof|ID:829035443-1"},
   CellID->1989271199]},
 "ID:1347349396"->{
  Cell[1558309, 44290, 632, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1347349396", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1347349396]},
 "ID:676444026"->{
  Cell[1558944, 44307, 2749, 85, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:676444026", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples ind"},
   CellID->676444026]},
 "induction tuples ind"->{
  Cell[1558944, 44307, 2749, 85, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:676444026", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples ind"},
   CellID->676444026]},
 "ID:1530142946"->{
  Cell[1561696, 44394, 1749, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1530142946", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples append", "IR"},
   CellID->1530142946]},
 "induction tuples append"->{
  Cell[1561696, 44394, 1749, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1530142946", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples append", "IR"},
   CellID->1530142946]},
 "ID:1549052502"->{
  Cell[1563448, 44454, 1751, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1549052502", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples prepend", "IR"},
   CellID->1549052502]},
 "induction tuples prepend"->{
  Cell[1563448, 44454, 1751, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1549052502", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples prepend", "IR"},
   CellID->1549052502]},
 "ID:734563828"->{
  Cell[1565202, 44514, 1775, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:734563828", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples most", "IR"},
   CellID->734563828]},
 "induction tuples most"->{
  Cell[1565202, 44514, 1775, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:734563828", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples most", "IR"},
   CellID->734563828]},
 "ID:972583102"->{
  Cell[1566980, 44573, 1777, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:972583102", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples rest", "IR"},
   CellID->972583102]},
 "induction tuples rest"->{
  Cell[1566980, 44573, 1777, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:972583102", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples rest", "IR"},
   CellID->972583102]},
 "ID:659908364"->{
  Cell[1568760, 44632, 2382, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:659908364", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples non-empty rest", "IR"},
   CellID->659908364]},
 "induction tuples non-empty rest"->{
  Cell[1568760, 44632, 2382, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:659908364", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples non-empty rest", "IR"},
   CellID->659908364]},
 "ID:14041309"->{
  Cell[1571145, 44711, 1850, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:14041309", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples rest seq", "IR"},
   CellID->14041309]},
 "induction tuples rest seq"->{
  Cell[1571145, 44711, 1850, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:14041309", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction tuples rest seq", "IR"},
   CellID->14041309]},
 "Proof|ID:676444026"->{
  Cell[1573152, 44781, 7026, 174, 70, "ProofInfo",
   CellTags->{"Proof|ID:676444026", "Proof|ID:676444026-1"},
   CellID->16203276]},
 "Proof|ID:676444026-1"->{
  Cell[1573152, 44781, 7026, 174, 70, "ProofInfo",
   CellTags->{"Proof|ID:676444026", "Proof|ID:676444026-1"},
   CellID->16203276]},
 "Proof|ID:1530142946"->{
  Cell[1580740, 44975, 4529, 120, 70, "ProofInfo",
   CellTags->{"Proof|ID:1530142946", "Proof|ID:1530142946-1"},
   CellID->1877222525]},
 "Proof|ID:1530142946-1"->{
  Cell[1580740, 44975, 4529, 120, 70, "ProofInfo",
   CellTags->{"Proof|ID:1530142946", "Proof|ID:1530142946-1"},
   CellID->1877222525]},
 "Proof|ID:1549052502"->{
  Cell[1585832, 45115, 4530, 120, 70, "ProofInfo",
   CellTags->{"Proof|ID:1549052502", "Proof|ID:1549052502-1"},
   CellID->214036559]},
 "Proof|ID:1549052502-1"->{
  Cell[1585832, 45115, 4530, 120, 70, "ProofInfo",
   CellTags->{"Proof|ID:1549052502", "Proof|ID:1549052502-1"},
   CellID->214036559]},
 "Proof|ID:734563828"->{
  Cell[1590883, 45254, 4755, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:734563828", "Proof|ID:734563828-1"},
   CellID->581338885]},
 "Proof|ID:734563828-1"->{
  Cell[1590883, 45254, 4755, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:734563828", "Proof|ID:734563828-1"},
   CellID->581338885]},
 "Proof|ID:972583102"->{
  Cell[1596158, 45399, 4756, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:972583102", "Proof|ID:972583102-1"},
   CellID->1684007437]},
 "Proof|ID:972583102-1"->{
  Cell[1596158, 45399, 4756, 126, 70, "ProofInfo",
   CellTags->{"Proof|ID:972583102", "Proof|ID:972583102-1"},
   CellID->1684007437]},
 "Proof|ID:659908364"->{
  Cell[1601435, 45544, 6365, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:659908364", "Proof|ID:659908364-1"},
   CellID->182582197]},
 "Proof|ID:659908364-1"->{
  Cell[1601435, 45544, 6365, 164, 70, "ProofInfo",
   CellTags->{"Proof|ID:659908364", "Proof|ID:659908364-1"},
   CellID->182582197]},
 "Proof|ID:14041309"->{
  Cell[1608321, 45727, 5010, 131, 70, "ProofInfo",
   CellTags->{"Proof|ID:14041309", "Proof|ID:14041309-1"},
   CellID->166486106]},
 "Proof|ID:14041309-1"->{
  Cell[1608321, 45727, 5010, 131, 70, "ProofInfo",
   CellTags->{"Proof|ID:14041309", "Proof|ID:14041309-1"},
   CellID->166486106]},
 "ID:710342238"->{
  Cell[1614435, 45895, 4231, 124, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:710342238", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "binary relation trivial tuples rest seq"},
   CellID->710342238]},
 "binary relation trivial tuples rest seq"->{
  Cell[1614435, 45895, 4231, 124, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:710342238", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "binary relation trivial tuples rest seq"},
   CellID->710342238]},
 "Proof|ID:710342238"->{
  Cell[1618822, 46030, 10405, 253, 70, "ProofInfo",
   CellTags->{"Proof|ID:710342238", "Proof|ID:710342238-1"},
   CellID->443647427]},
 "Proof|ID:710342238-1"->{
  Cell[1618822, 46030, 10405, 253, 70, "ProofInfo",
   CellTags->{"Proof|ID:710342238", "Proof|ID:710342238-1"},
   CellID->443647427]},
 "ID:1796849533"->{
  Cell[1630487, 46326, 883, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1796849533", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isSet TupleToSet", "IR"},
   CellID->1796849533]},
 "isSet TupleToSet"->{
  Cell[1630487, 46326, 883, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1796849533", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isSet TupleToSet", "IR"},
   CellID->1796849533]},
 "ID:175665072"->{
  Cell[1631373, 46352, 1407, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:175665072", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Element] TupleToSet", "IR"},
   CellID->175665072]},
 "\[Element] TupleToSet"->{
  Cell[1631373, 46352, 1407, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:175665072", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Element] TupleToSet", "IR"},
   CellID->175665072]},
 "ID:460986674"->{
  Cell[1632783, 46400, 1776, 51, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:460986674", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet TupleOf", "IR"},
   CellID->460986674]},
 "TupleToSet TupleOf"->{
  Cell[1632783, 46400, 1776, 51, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:460986674", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet TupleOf", "IR"},
   CellID->460986674]},
 "ID:173666830"->{
  Cell[1634562, 46453, 1303, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:173666830", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet join", "IR"},
   CellID->173666830]},
 "TupleToSet join"->{
  Cell[1634562, 46453, 1303, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:173666830", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet join", "IR"},
   CellID->173666830]},
 "ID:201212584"->{
  Cell[1635868, 46497, 871, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:201212584", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet empty", "IR"},
   CellID->201212584]},
 "TupleToSet empty"->{
  Cell[1635868, 46497, 871, 23, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:201212584", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet empty", "IR"},
   CellID->201212584]},
 "ID:1943524802"->{
  Cell[1636742, 46522, 1044, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1943524802", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet singleton", "IR"},
   CellID->1943524802]},
 "TupleToSet singleton"->{
  Cell[1636742, 46522, 1044, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1943524802", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet singleton", "IR"},
   CellID->1943524802]},
 "ID:809409004"->{
  Cell[1637789, 46555, 1341, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:809409004", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet append", "IR"},
   CellID->809409004]},
 "TupleToSet append"->{
  Cell[1637789, 46555, 1341, 43, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:809409004", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet append", "IR"},
   CellID->809409004]},
 "ID:47406400"->{
  Cell[1639133, 46600, 886, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:47406400", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet isFinite", "IR"},
   CellID->47406400]},
 "TupleToSet isFinite"->{
  Cell[1639133, 46600, 886, 24, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:47406400", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "TupleToSet isFinite", "IR"},
   CellID->47406400]},
 "Proof|ID:1796849533"->{
  Cell[1640176, 46635, 2278, 68, 70, "ProofInfo",
   CellTags->{"Proof|ID:1796849533", "Proof|ID:1796849533-1"},
   CellID->432279666]},
 "Proof|ID:1796849533-1"->{
  Cell[1640176, 46635, 2278, 68, 70, "ProofInfo",
   CellTags->{"Proof|ID:1796849533", "Proof|ID:1796849533-1"},
   CellID->432279666]},
 "Proof|ID:175665072"->{
  Cell[1642975, 46722, 2976, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:175665072", "Proof|ID:175665072-1"},
   CellID->148445132]},
 "Proof|ID:175665072-1"->{
  Cell[1642975, 46722, 2976, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:175665072", "Proof|ID:175665072-1"},
   CellID->148445132]},
 "Proof|ID:460986674"->{
  Cell[1646471, 46827, 5815, 146, 70, "ProofInfo",
   CellTags->{"Proof|ID:460986674", "Proof|ID:460986674-1"},
   CellID->368291904]},
 "Proof|ID:460986674-1"->{
  Cell[1646471, 46827, 5815, 146, 70, "ProofInfo",
   CellTags->{"Proof|ID:460986674", "Proof|ID:460986674-1"},
   CellID->368291904]},
 "Proof|ID:173666830"->{
  Cell[1652806, 46992, 3115, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:173666830", "Proof|ID:173666830-1"},
   CellID->406896688]},
 "Proof|ID:173666830-1"->{
  Cell[1652806, 46992, 3115, 86, 70, "ProofInfo",
   CellTags->{"Proof|ID:173666830", "Proof|ID:173666830-1"},
   CellID->406896688]},
 "Proof|ID:201212584"->{
  Cell[1656441, 47097, 1968, 60, 70, "ProofInfo",
   CellTags->{"Proof|ID:201212584", "Proof|ID:201212584-1"},
   CellID->658833980]},
 "Proof|ID:201212584-1"->{
  Cell[1656441, 47097, 1968, 60, 70, "ProofInfo",
   CellTags->{"Proof|ID:201212584", "Proof|ID:201212584-1"},
   CellID->658833980]},
 "Proof|ID:1943524802"->{
  Cell[1658928, 47176, 2514, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:1943524802", "Proof|ID:1943524802-1"},
   CellID->156636724]},
 "Proof|ID:1943524802-1"->{
  Cell[1658928, 47176, 2514, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:1943524802", "Proof|ID:1943524802-1"},
   CellID->156636724]},
 "Proof|ID:809409004"->{
  Cell[1661963, 47269, 2997, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:809409004", "Proof|ID:809409004-1"},
   CellID->969684081]},
 "Proof|ID:809409004-1"->{
  Cell[1661963, 47269, 2997, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:809409004", "Proof|ID:809409004-1"},
   CellID->969684081]},
 "Proof|ID:47406400"->{
  Cell[1665481, 47372, 2279, 68, 70, "ProofInfo",
   CellTags->{"Proof|ID:47406400", "Proof|ID:47406400-1"},
   CellID->56343103]},
 "Proof|ID:47406400-1"->{
  Cell[1665481, 47372, 2279, 68, 70, "ProofInfo",
   CellTags->{"Proof|ID:47406400", "Proof|ID:47406400-1"},
   CellID->56343103]},
 "ID:1116878701"->{
  Cell[1669173, 47491, 690, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1116878701", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1116878701]},
 "ID:976871574"->{
  Cell[1669866, 47510, 705, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:976871574", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->976871574]},
 "ID:1792308841"->{
  Cell[1670574, 47529, 1190, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1792308841", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples decision predicate"},
   CellID->1792308841]},
 "Tuples decision predicate"->{
  Cell[1670574, 47529, 1190, 36, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1792308841", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples decision predicate"},
   CellID->1792308841]},
 "ID:734182331"->{
  Cell[1671767, 47567, 1315, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:734182331", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds]"},
   CellID->734182331]},
 "Tuples \[Succeeds]"->{
  Cell[1671767, 47567, 1315, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:734182331", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds]"},
   CellID->734182331]},
 "ID:50337709"->{
  Cell[1673085, 47610, 1221, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:50337709", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Precedes]"},
   CellID->50337709]},
 "Tuples \[Precedes]"->{
  Cell[1673085, 47610, 1221, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:50337709", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Precedes]"},
   CellID->50337709]},
 "ID:290651172"->{
  Cell[1675174, 47683, 644, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:290651172", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->290651172]},
 "ID:963340119"->{
  Cell[1675821, 47700, 812, 19, 70, "GlobalDeclaration",
   CellTags->{
    "ID:963340119", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->963340119]},
 "ID:2118739683"->{
  Cell[1676636, 47721, 634, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:2118739683", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->2118739683]},
 "ID:1752643636"->{
  Cell[1677273, 47738, 1714, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1752643636", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples decision predicate"},
   CellID->1752643636]},
 "DomainTuples decision predicate"->{
  Cell[1677273, 47738, 1714, 55, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1752643636", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples decision predicate"},
   CellID->1752643636]},
 "ID:1806819834"->{
  Cell[1678990, 47795, 1694, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1806819834", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples <<"},
   CellID->1806819834]},
 "DomainTuples <<"->{
  Cell[1678990, 47795, 1694, 52, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1806819834", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples <<"},
   CellID->1806819834]},
 "ID:410422280"->{
  Cell[1680687, 47849, 1527, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:410422280", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples >>"},
   CellID->410422280]},
 "DomainTuples >>"->{
  Cell[1680687, 47849, 1527, 46, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:410422280", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples >>"},
   CellID->410422280]},
 "ID:232548980"->{
  Cell[1683109, 47932, 673, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:232548980", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->232548980]},
 "ID:1071152688"->{
  Cell[1683785, 47951, 1032, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1071152688", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] prepend seq", "IR"},
   CellID->1071152688]},
 "Tuples \[Succeeds] prepend seq"->{
  Cell[1683785, 47951, 1032, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1071152688", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] prepend seq", "IR"},
   CellID->1071152688]},
 "ID:108993772"->{
  Cell[1684820, 47980, 1027, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:108993772", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] append seq", "IR"},
   CellID->108993772]},
 "Tuples \[Succeeds] append seq"->{
  Cell[1684820, 47980, 1027, 27, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:108993772", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] append seq", "IR"},
   CellID->108993772]},
 "Proof|ID:1071152688"->{
  Cell[1686005, 48018, 3158, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:1071152688", "Proof|ID:1071152688-1"},
   CellID->1817765568]},
 "Proof|ID:1071152688-1"->{
  Cell[1686005, 48018, 3158, 92, 70, "ProofInfo",
   CellTags->{"Proof|ID:1071152688", "Proof|ID:1071152688-1"},
   CellID->1817765568]},
 "Proof|ID:108993772"->{
  Cell[1689684, 48129, 3143, 91, 70, "ProofInfo",
   CellTags->{"Proof|ID:108993772", "Proof|ID:108993772-1"},
   CellID->1028001861]},
 "Proof|ID:108993772-1"->{
  Cell[1689684, 48129, 3143, 91, 70, "ProofInfo",
   CellTags->{"Proof|ID:108993772", "Proof|ID:108993772-1"},
   CellID->1028001861]},
 "ID:1208674976"->{
  Cell[1693870, 48256, 1065, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1208674976", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isPartIrreflOrder"},
   CellID->1208674976]},
 "Tuples \[Succeeds] isPartIrreflOrder"->{
  Cell[1693870, 48256, 1065, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1208674976", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isPartIrreflOrder"},
   CellID->1208674976]},
 "ID:144999145"->{
  Cell[1694938, 48290, 1036, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:144999145", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isNoetherian"},
   CellID->144999145]},
 "Tuples \[Succeeds] isNoetherian"->{
  Cell[1694938, 48290, 1036, 31, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:144999145", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isNoetherian"},
   CellID->144999145]},
 "Proof|ID:1208674976"->{
  Cell[1696129, 48332, 2088, 64, 70, "ProofInfo",
   CellTags->{"Proof|ID:1208674976", "Proof|ID:1208674976-1"},
   CellID->1261527715]},
 "Proof|ID:1208674976-1"->{
  Cell[1696129, 48332, 2088, 64, 70, "ProofInfo",
   CellTags->{"Proof|ID:1208674976", "Proof|ID:1208674976-1"},
   CellID->1261527715]},
 "Proof|ID:144999145"->{
  Cell[1698739, 48415, 2055, 63, 70, "ProofInfo",
   CellTags->{"Proof|ID:144999145", "Proof|ID:144999145-1"},
   CellID->1825398003]},
 "Proof|ID:144999145-1"->{
  Cell[1698739, 48415, 2055, 63, 70, "ProofInfo",
   CellTags->{"Proof|ID:144999145", "Proof|ID:144999145-1"},
   CellID->1825398003]},
 "ID:1005434988"->{
  Cell[1701719, 48507, 648, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1005434988", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1005434988]},
 "ID:228053728"->{
  Cell[1702409, 48527, 739, 18, 70, "GlobalDeclaration",
   CellTags->{
    "ID:228053728", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->228053728]},
 "ID:1717060871"->{
  Cell[1703628, 48563, 690, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1717060871", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1717060871]},
 "ID:1649645401"->{
  Cell[1704321, 48582, 1423, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1649645401", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples E", "IR"},
   CellID->1649645401]},
 "DomainTuples E"->{
  Cell[1704321, 48582, 1423, 47, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1649645401", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples E", "IR"},
   CellID->1649645401]},
 "ID:1383999666"->{
  Cell[1705747, 48631, 1426, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1383999666", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples join", "IR"},
   CellID->1383999666]},
 "DomainTuples join"->{
  Cell[1705747, 48631, 1426, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1383999666", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples join", "IR"},
   CellID->1383999666]},
 "ID:1424148745"->{
  Cell[1707176, 48677, 1413, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1424148745", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples append", "IR"},
   CellID->1424148745]},
 "DomainTuples append"->{
  Cell[1707176, 48677, 1413, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1424148745", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples append", "IR"},
   CellID->1424148745]},
 "ID:1871123021"->{
  Cell[1708592, 48723, 1417, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1871123021", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples prepend", "IR"},
   CellID->1871123021]},
 "DomainTuples prepend"->{
  Cell[1708592, 48723, 1417, 44, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1871123021", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples prepend", "IR"},
   CellID->1871123021]},
 "ID:752441053"->{
  Cell[1710012, 48769, 1428, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:752441053", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples rest", "IR"},
   CellID->752441053]},
 "DomainTuples rest"->{
  Cell[1710012, 48769, 1428, 42, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:752441053", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples rest", "IR"},
   CellID->752441053]},
 "ID:1694879508"->{
  Cell[1711443, 48813, 1383, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1694879508", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples most", "IR"},
   CellID->1694879508]},
 "DomainTuples most"->{
  Cell[1711443, 48813, 1383, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1694879508", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples most", "IR"},
   CellID->1694879508]},
 "ID:2011690260"->{
  Cell[1712829, 48856, 1233, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2011690260", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples reverse", "IR"},
   CellID->2011690260]},
 "DomainTuples reverse"->{
  Cell[1712829, 48856, 1233, 37, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2011690260", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples reverse", "IR"},
   CellID->2011690260]},
 "ID:1915001232"->{
  Cell[1714065, 48895, 1933, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1915001232", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples join seq", "IR"},
   CellID->1915001232]},
 "DomainTuples join seq"->{
  Cell[1714065, 48895, 1933, 58, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1915001232", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples join seq", "IR"},
   CellID->1915001232]},
 "ID:232482705"->{
  Cell[1716001, 48955, 1748, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:232482705", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples append seq", "IR"},
   CellID->232482705]},
 "DomainTuples append seq"->{
  Cell[1716001, 48955, 1748, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:232482705", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples append seq", "IR"},
   CellID->232482705]},
 "ID:64883103"->{
  Cell[1717752, 49010, 1749, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:64883103", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples prepend seq", "IR"},
   CellID->64883103]},
 "DomainTuples prepend seq"->{
  Cell[1717752, 49010, 1749, 53, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:64883103", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples prepend seq", "IR"},
   CellID->64883103]},
 "ID:372047052"->{
  Cell[1719504, 49065, 1292, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:372047052", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainSets TupleToSet", "IR"},
   CellID->372047052]},
 "DomainSets TupleToSet"->{
  Cell[1719504, 49065, 1292, 39, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:372047052", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainSets TupleToSet", "IR"},
   CellID->372047052]},
 "Proof|ID:1649645401"->{
  Cell[1720954, 49115, 3507, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:1649645401", "Proof|ID:1649645401-1"},
   CellID->1359448228]},
 "Proof|ID:1649645401-1"->{
  Cell[1720954, 49115, 3507, 94, 70, "ProofInfo",
   CellTags->{"Proof|ID:1649645401", "Proof|ID:1649645401-1"},
   CellID->1359448228]},
 "Proof|ID:1383999666"->{
  Cell[1724983, 49228, 4367, 114, 70, "ProofInfo",
   CellTags->{"Proof|ID:1383999666", "Proof|ID:1383999666-1"},
   CellID->1933476732]},
 "Proof|ID:1383999666-1"->{
  Cell[1724983, 49228, 4367, 114, 70, "ProofInfo",
   CellTags->{"Proof|ID:1383999666", "Proof|ID:1383999666-1"},
   CellID->1933476732]},
 "Proof|ID:1424148745"->{
  Cell[1729872, 49361, 4214, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:1424148745", "Proof|ID:1424148745-1"},
   CellID->542464729]},
 "Proof|ID:1424148745-1"->{
  Cell[1729872, 49361, 4214, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:1424148745", "Proof|ID:1424148745-1"},
   CellID->542464729]},
 "Proof|ID:1871123021"->{
  Cell[1734607, 49490, 4215, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:1871123021", "Proof|ID:1871123021-1"},
   CellID->61154356]},
 "Proof|ID:1871123021-1"->{
  Cell[1734607, 49490, 4215, 110, 70, "ProofInfo",
   CellTags->{"Proof|ID:1871123021", "Proof|ID:1871123021-1"},
   CellID->61154356]},
 "Proof|ID:752441053"->{
  Cell[1739344, 49619, 3693, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:752441053", "Proof|ID:752441053-1"},
   CellID->301964347]},
 "Proof|ID:752441053-1"->{
  Cell[1739344, 49619, 3693, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:752441053", "Proof|ID:752441053-1"},
   CellID->301964347]},
 "Proof|ID:1694879508"->{
  Cell[1743558, 49738, 3699, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1694879508", "Proof|ID:1694879508-1"},
   CellID->1974617618]},
 "Proof|ID:1694879508-1"->{
  Cell[1743558, 49738, 3699, 100, 70, "ProofInfo",
   CellTags->{"Proof|ID:1694879508", "Proof|ID:1694879508-1"},
   CellID->1974617618]},
 "Proof|ID:2011690260"->{
  Cell[1747779, 49857, 3499, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:2011690260", "Proof|ID:2011690260-1"},
   CellID->1129176787]},
 "Proof|ID:2011690260-1"->{
  Cell[1747779, 49857, 3499, 96, 70, "ProofInfo",
   CellTags->{"Proof|ID:2011690260", "Proof|ID:2011690260-1"},
   CellID->1129176787]},
 "Proof|ID:1915001232"->{
  Cell[1751799, 49972, 5375, 138, 70, "ProofInfo",
   CellTags->{"Proof|ID:1915001232", "Proof|ID:1915001232-1"},
   CellID->2039556318]},
 "Proof|ID:1915001232-1"->{
  Cell[1751799, 49972, 5375, 138, 70, "ProofInfo",
   CellTags->{"Proof|ID:1915001232", "Proof|ID:1915001232-1"},
   CellID->2039556318]},
 "Proof|ID:232482705"->{
  Cell[1757695, 50129, 4810, 124, 70, "ProofInfo",
   CellTags->{"Proof|ID:232482705", "Proof|ID:232482705-1"},
   CellID->1940169690]},
 "Proof|ID:232482705-1"->{
  Cell[1757695, 50129, 4810, 124, 70, "ProofInfo",
   CellTags->{"Proof|ID:232482705", "Proof|ID:232482705-1"},
   CellID->1940169690]},
 "Proof|ID:64883103"->{
  Cell[1763025, 50272, 4807, 124, 70, "ProofInfo",
   CellTags->{"Proof|ID:64883103", "Proof|ID:64883103-1"},
   CellID->1892261095]},
 "Proof|ID:64883103-1"->{
  Cell[1763025, 50272, 4807, 124, 70, "ProofInfo",
   CellTags->{"Proof|ID:64883103", "Proof|ID:64883103-1"},
   CellID->1892261095]},
 "Proof|ID:372047052"->{
  Cell[1768352, 50415, 3267, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:372047052", "Proof|ID:372047052-1"},
   CellID->870488331]},
 "Proof|ID:372047052-1"->{
  Cell[1768352, 50415, 3267, 90, 70, "ProofInfo",
   CellTags->{"Proof|ID:372047052", "Proof|ID:372047052-1"},
   CellID->870488331]},
 "ID:925810378"->{
  Cell[1772580, 50538, 629, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:925810378", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->925810378]},
 "ID:2034256835"->{
  Cell[1773212, 50555, 3048, 92, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2034256835", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples ind"},
   CellID->2034256835]},
 "induction DomainTuples ind"->{
  Cell[1773212, 50555, 3048, 92, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2034256835", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples ind"},
   CellID->2034256835]},
 "ID:2052980984"->{
  Cell[1776263, 50649, 2079, 66, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2052980984", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples append", "IR"},
   CellID->2052980984]},
 "induction DomainTuples append"->{
  Cell[1776263, 50649, 2079, 66, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2052980984", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples append", "IR"},
   CellID->2052980984]},
 "ID:480000138"->{
  Cell[1778345, 50717, 3214, 102, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:480000138", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples append 2", "IR"},
   CellID->480000138]},
 "induction DomainTuples append 2"->{
  Cell[1778345, 50717, 3214, 102, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:480000138", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples append 2", "IR"},
   CellID->480000138]},
 "ID:1988740441"->{
  Cell[1781562, 50821, 2369, 72, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1988740441", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples rest seq", "IR"},
   CellID->1988740441]},
 "induction DomainTuples rest seq"->{
  Cell[1781562, 50821, 2369, 72, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1988740441", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "induction DomainTuples rest seq", "IR"},
   CellID->1988740441]},
 "Proof|ID:2034256835"->{
  Cell[1784087, 50904, 8335, 200, 70, "ProofInfo",
   CellTags->{"Proof|ID:2034256835", "Proof|ID:2034256835-1"},
   CellID->2145090087]},
 "Proof|ID:2034256835-1"->{
  Cell[1784087, 50904, 8335, 200, 70, "ProofInfo",
   CellTags->{"Proof|ID:2034256835", "Proof|ID:2034256835-1"},
   CellID->2145090087]},
 "Proof|ID:2052980984"->{
  Cell[1792944, 51123, 6016, 151, 70, "ProofInfo",
   CellTags->{"Proof|ID:2052980984", "Proof|ID:2052980984-1"},
   CellID->827959283]},
 "Proof|ID:2052980984-1"->{
  Cell[1792944, 51123, 6016, 151, 70, "ProofInfo",
   CellTags->{"Proof|ID:2052980984", "Proof|ID:2052980984-1"},
   CellID->827959283]},
 "Proof|ID:480000138"->{
  Cell[1799523, 51294, 10246, 236, 70, "ProofInfo",
   CellTags->{"Proof|ID:480000138", "Proof|ID:480000138-1"},
   CellID->1321677136]},
 "Proof|ID:480000138-1"->{
  Cell[1799523, 51294, 10246, 236, 70, "ProofInfo",
   CellTags->{"Proof|ID:480000138", "Proof|ID:480000138-1"},
   CellID->1321677136]},
 "Proof|ID:1988740441"->{
  Cell[1810289, 51549, 7070, 174, 70, "ProofInfo",
   CellTags->{"Proof|ID:1988740441", "Proof|ID:1988740441-1"},
   CellID->521270711]},
 "Proof|ID:1988740441-1"->{
  Cell[1810289, 51549, 7070, 174, 70, "ProofInfo",
   CellTags->{"Proof|ID:1988740441", "Proof|ID:1988740441-1"},
   CellID->521270711]},
 "ID:52429673"->{
  Cell[1818387, 51759, 1103, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:52429673", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isPartIrreflOrder DomainTuples"},
   CellID->52429673]},
 "Tuples \[Succeeds] isPartIrreflOrder DomainTuples"->{
  Cell[1818387, 51759, 1103, 33, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:52429673", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isPartIrreflOrder DomainTuples"},
   CellID->52429673]},
 "ID:69834405"->{
  Cell[1819493, 51794, 1077, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:69834405", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isNoetherian DomainTuples"},
   CellID->69834405]},
 "Tuples \[Succeeds] isNoetherian DomainTuples"->{
  Cell[1819493, 51794, 1077, 32, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:69834405", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "Tuples \[Succeeds] isNoetherian DomainTuples"},
   CellID->69834405]},
 "Proof|ID:52429673"->{
  Cell[1820725, 51837, 2571, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:52429673", "Proof|ID:52429673-1"},
   CellID->17397896]},
 "Proof|ID:52429673-1"->{
  Cell[1820725, 51837, 2571, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:52429673", "Proof|ID:52429673-1"},
   CellID->17397896]},
 "Proof|ID:69834405"->{
  Cell[1823814, 51930, 2552, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:69834405", "Proof|ID:69834405-1"},
   CellID->385103402]},
 "Proof|ID:69834405-1"->{
  Cell[1823814, 51930, 2552, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:69834405", "Proof|ID:69834405-1"},
   CellID->385103402]},
 "ID:169398667"->{
  Cell[1827321, 52037, 1912, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:169398667", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples n+1 append"},
   CellID->169398667]},
 "DomainTuples n+1 append"->{
  Cell[1827321, 52037, 1912, 57, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:169398667", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples n+1 append"},
   CellID->169398667]},
 "ID:322989025"->{
  Cell[1829236, 52096, 680, 17, 70, "GlobalDeclaration",
   CellTags->{
    "ID:322989025", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->322989025]},
 "ID:21488136"->{
  Cell[1829919, 52115, 1389, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:21488136", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples isDomain ind"},
   CellID->21488136]},
 "DomainTuples isDomain ind"->{
  Cell[1829919, 52115, 1389, 38, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:21488136", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples isDomain ind"},
   CellID->21488136]},
 "ID:149029649"->{
  Cell[1831311, 52155, 803, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:149029649", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples isDomain"},
   CellID->149029649]},
 "DomainTuples isDomain"->{
  Cell[1831311, 52155, 803, 21, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:149029649", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "DomainTuples isDomain"},
   CellID->149029649]},
 "Proof|ID:169398667"->{
  Cell[1832269, 52187, 5686, 144, 70, "ProofInfo",
   CellTags->{"Proof|ID:169398667", "Proof|ID:169398667-1"},
   CellID->31616244]},
 "Proof|ID:169398667-1"->{
  Cell[1832269, 52187, 5686, 144, 70, "ProofInfo",
   CellTags->{"Proof|ID:169398667", "Proof|ID:169398667-1"},
   CellID->31616244]},
 "Proof|ID:21488136"->{
  Cell[1838475, 52350, 4910, 128, 70, "ProofInfo",
   CellTags->{"Proof|ID:21488136", "Proof|ID:21488136-1"},
   CellID->472932529]},
 "Proof|ID:21488136-1"->{
  Cell[1838475, 52350, 4910, 128, 70, "ProofInfo",
   CellTags->{"Proof|ID:21488136", "Proof|ID:21488136-1"},
   CellID->472932529]},
 "Proof|ID:149029649"->{
  Cell[1843901, 52497, 2574, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:149029649", "Proof|ID:149029649-1"},
   CellID->11980074]},
 "Proof|ID:149029649-1"->{
  Cell[1843901, 52497, 2574, 74, 70, "ProofInfo",
   CellTags->{"Proof|ID:149029649", "Proof|ID:149029649-1"},
   CellID->11980074]},
 "ID:281029623"->{
  Cell[1847284, 52597, 668, 16, 70, "GlobalDeclaration",
   CellTags->{
    "ID:281029623", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->281029623]},
 "ID:2053740245"->{
  Cell[1848406, 52631, 2302, 70, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2053740245", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples domain", "IR"},
   CellID->2053740245]},
 "\[Sum] tuples domain"->{
  Cell[1848406, 52631, 2302, 70, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:2053740245", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples domain", "IR"},
   CellID->2053740245]},
 "Proof|ID:2053740245"->{
  Cell[1850864, 52712, 6577, 162, 70, "ProofInfo",
   CellTags->{"Proof|ID:2053740245", "Proof|ID:2053740245-1"},
   CellID->34713279]},
 "Proof|ID:2053740245-1"->{
  Cell[1850864, 52712, 6577, 162, 70, "ProofInfo",
   CellTags->{"Proof|ID:2053740245", "Proof|ID:2053740245-1"},
   CellID->34713279]},
 "ID:1812573889"->{
  Cell[1858454, 52908, 968, 25, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1812573889", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1812573889]},
 "ID:850429787"->{
  Cell[1859425, 52935, 1856, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:850429787", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting I", "IR"},
   CellID->850429787]},
 "\[Sum] tuples splitting I"->{
  Cell[1859425, 52935, 1856, 59, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:850429787", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting I", "IR"},
   CellID->850429787]},
 "ID:1070084809"->{
  Cell[1861284, 52996, 1972, 62, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1070084809", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting II", "IR"},
   CellID->1070084809]},
 "\[Sum] tuples splitting II"->{
  Cell[1861284, 52996, 1972, 62, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1070084809", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting II", "IR"},
   CellID->1070084809]},
 "ID:1286863438"->{
  Cell[1863259, 53060, 2059, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1286863438", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples append", "IR"},
   CellID->1286863438]},
 "\[Sum] tuples append"->{
  Cell[1863259, 53060, 2059, 65, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1286863438", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples append", "IR"},
   CellID->1286863438]},
 "ID:1880290617"->{
  Cell[1865321, 53127, 1973, 63, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1880290617", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1880290617]},
 "ID:654350327"->{
  Cell[1867297, 53192, 2468, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:654350327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting III", "IR"},
   CellID->654350327]},
 "\[Sum] tuples splitting III"->{
  Cell[1867297, 53192, 2468, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:654350327", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] tuples splitting III", "IR"},
   CellID->654350327]},
 "ID:309986851"->{
  Cell[1869768, 53271, 2505, 78, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:309986851", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] join", "IR"},
   CellID->309986851]},
 "\[Sum] join"->{
  Cell[1869768, 53271, 2505, 78, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:309986851", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] join", "IR"},
   CellID->309986851]},
 "Proof|ID:850429787"->{
  Cell[1872430, 53360, 6613, 167, 70, "ProofInfo",
   CellTags->{"Proof|ID:850429787", "Proof|ID:850429787-1"},
   CellID->805888690]},
 "Proof|ID:850429787-1"->{
  Cell[1872430, 53360, 6613, 167, 70, "ProofInfo",
   CellTags->{"Proof|ID:850429787", "Proof|ID:850429787-1"},
   CellID->805888690]},
 "Proof|ID:1070084809"->{
  Cell[1879563, 53546, 7002, 175, 70, "ProofInfo",
   CellTags->{"Proof|ID:1070084809", "Proof|ID:1070084809-1"},
   CellID->737857729]},
 "Proof|ID:1070084809-1"->{
  Cell[1879563, 53546, 7002, 175, 70, "ProofInfo",
   CellTags->{"Proof|ID:1070084809", "Proof|ID:1070084809-1"},
   CellID->737857729]},
 "Proof|ID:1286863438"->{
  Cell[1887086, 53740, 7028, 172, 70, "ProofInfo",
   CellTags->{"Proof|ID:1286863438", "Proof|ID:1286863438-1"},
   CellID->377244128]},
 "Proof|ID:1286863438-1"->{
  Cell[1887086, 53740, 7028, 172, 70, "ProofInfo",
   CellTags->{"Proof|ID:1286863438", "Proof|ID:1286863438-1"},
   CellID->377244128]},
 "Proof|ID:654350327"->{
  Cell[1894635, 53931, 12698, 295, 70, "ProofInfo",
   CellTags->{"Proof|ID:654350327", "Proof|ID:654350327-1"},
   CellID->267732970]},
 "Proof|ID:654350327-1"->{
  Cell[1894635, 53931, 12698, 295, 70, "ProofInfo",
   CellTags->{"Proof|ID:654350327", "Proof|ID:654350327-1"},
   CellID->267732970]},
 "Proof|ID:309986851"->{
  Cell[1907853, 54245, 11901, 276, 70, "ProofInfo",
   CellTags->{"Proof|ID:309986851", "Proof|ID:309986851-1"},
   CellID->104597619]},
 "Proof|ID:309986851-1"->{
  Cell[1907853, 54245, 11901, 276, 70, "ProofInfo",
   CellTags->{"Proof|ID:309986851", "Proof|ID:309986851-1"},
   CellID->104597619]},
 "ID:1738240000"->{
  Cell[1920720, 54554, 1268, 37, 70, "GlobalDeclaration",
   CellTags->{
    "ID:1738240000", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->1738240000]},
 "ID:870134514"->{
  Cell[1921991, 54593, 2642, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:870134514", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] TupleOf II", "IR"},
   CellID->870134514]},
 "\[Sum] TupleOf II"->{
  Cell[1921991, 54593, 2642, 77, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:870134514", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] TupleOf II", "IR"},
   CellID->870134514]},
 "ID:1688189650"->{
  Cell[1924636, 54672, 2919, 84, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1688189650", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] TupleOf III", "IR"},
   CellID->1688189650]},
 "\[Sum] TupleOf III"->{
  Cell[1924636, 54672, 2919, 84, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:1688189650", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "\[Sum] TupleOf III", "IR"},
   CellID->1688189650]},
 "Proof|ID:870134514"->{
  Cell[1927712, 54767, 10489, 246, 70, "ProofInfo",
   CellTags->{"Proof|ID:870134514", "Proof|ID:870134514-1"},
   CellID->246649316]},
 "Proof|ID:870134514-1"->{
  Cell[1927712, 54767, 10489, 246, 70, "ProofInfo",
   CellTags->{"Proof|ID:870134514", "Proof|ID:870134514-1"},
   CellID->246649316]},
 "Proof|ID:1688189650"->{
  Cell[1938721, 55032, 11257, 262, 70, "ProofInfo",
   CellTags->{"Proof|ID:1688189650", "Proof|ID:1688189650-1"},
   CellID->67920199]},
 "Proof|ID:1688189650-1"->{
  Cell[1938721, 55032, 11257, 262, 70, "ProofInfo",
   CellTags->{"Proof|ID:1688189650", "Proof|ID:1688189650-1"},
   CellID->67920199]},
 "ID:6091443"->{
  Cell[1950948, 55329, 773, 18, 32, "GlobalDeclaration",
   CellTags->{
    "ID:6091443", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->6091443]},
 "ID:5152788"->{
  Cell[1952740, 55383, 761, 22, 70, "GlobalDeclaration",
   CellTags->{
    "ID:5152788", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->5152788]},
 "ID:459374459"->{
  Cell[1953504, 55407, 1053, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:459374459", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "min pair"},
   CellID->459374459]},
 "min pair"->{
  Cell[1953504, 55407, 1053, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:459374459", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "min pair"},
   CellID->459374459]},
 "ID:845525504"->{
  Cell[1954560, 55438, 1053, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:845525504", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max pair"},
   CellID->845525504]},
 "max pair"->{
  Cell[1954560, 55438, 1053, 29, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:845525504", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max pair"},
   CellID->845525504]},
 "ID:261689886"->{
  Cell[1956278, 55494, 767, 22, 70, "GlobalDeclaration",
   CellTags->{
    "ID:261689886", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->261689886]},
 "ID:781169161"->{
  Cell[1957571, 55535, 906, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:781169161", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "min identical", "IR"},
   CellID->781169161]},
 "min identical"->{
  Cell[1957571, 55535, 906, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:781169161", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "min identical", "IR"},
   CellID->781169161]},
 "ID:229791028"->{
  Cell[1958480, 55562, 909, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:229791028", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max identical", "IR"},
   CellID->229791028]},
 "max identical"->{
  Cell[1958480, 55562, 909, 25, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:229791028", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max identical", "IR"},
   CellID->229791028]},
 "Proof|ID:781169161"->{
  Cell[1959543, 55598, 2932, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:781169161", "Proof|ID:781169161-1"},
   CellID->181429837]},
 "Proof|ID:781169161-1"->{
  Cell[1959543, 55598, 2932, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:781169161", "Proof|ID:781169161-1"},
   CellID->181429837]},
 "Proof|ID:229791028"->{
  Cell[1962995, 55701, 2932, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:229791028", "Proof|ID:229791028-1"},
   CellID->172019970]},
 "Proof|ID:229791028-1"->{
  Cell[1962995, 55701, 2932, 84, 70, "ProofInfo",
   CellTags->{"Proof|ID:229791028", "Proof|ID:229791028-1"},
   CellID->172019970]},
 "ID:102682926"->{
  Cell[1966875, 55818, 645, 15, 70, "GlobalDeclaration",
   CellTags->{
    "ID:102682926", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->102682926]},
 "ID:10580625"->{
  Cell[1967523, 55835, 1379, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:10580625", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "membership min", "IR"},
   CellID->10580625]},
 "membership min"->{
  Cell[1967523, 55835, 1379, 41, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:10580625", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "membership min", "IR"},
   CellID->10580625]},
 "ID:50619968"->{
  Cell[1968905, 55878, 1330, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:50619968", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "membership max", "IR"},
   CellID->50619968]},
 "membership max"->{
  Cell[1968905, 55878, 1330, 40, 70, "FormalTextInputFormula",
   CellTags->{
    "ID:50619968", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "membership max", "IR"},
   CellID->50619968]},
 "Proof|ID:10580625"->{
  Cell[1970390, 55929, 4274, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:10580625", "Proof|ID:10580625-1"},
   CellID->662596399]},
 "Proof|ID:10580625-1"->{
  Cell[1970390, 55929, 4274, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:10580625", "Proof|ID:10580625-1"},
   CellID->662596399]},
 "Proof|ID:50619968"->{
  Cell[1975182, 56056, 4274, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:50619968", "Proof|ID:50619968-1"},
   CellID->655005757]},
 "Proof|ID:50619968-1"->{
  Cell[1975182, 56056, 4274, 108, 70, "ProofInfo",
   CellTags->{"Proof|ID:50619968", "Proof|ID:50619968-1"},
   CellID->655005757]},
 "ID:879231940"->{
  Cell[1980701, 56205, 862, 23, 23, "GlobalDeclaration",
   CellTags->{
    "ID:879231940", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->879231940]},
 "ID:12810555"->{
  Cell[1981566, 56230, 979, 26, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:12810555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[Element] \[DoubleStruckCapitalZ]"},
   CellID->12810555]},
 "max \[Element] \[DoubleStruckCapitalZ]"->{
  Cell[1981566, 56230, 979, 26, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:12810555", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[Element] \[DoubleStruckCapitalZ]"},
   CellID->12810555]},
 "ID:82857207"->{
  Cell[1982548, 56258, 1085, 29, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:82857207", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] comm"},
   CellID->82857207]},
 "max \[DoubleStruckCapitalZ] comm"->{
  Cell[1982548, 56258, 1085, 29, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:82857207", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] comm"},
   CellID->82857207]},
 "ID:201025959"->{
  Cell[1983636, 56289, 1036, 28, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:201025959", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[GreaterEqual] 1"},
   CellID->201025959]},
 "max \[DoubleStruckCapitalZ] \[GreaterEqual] 1"->{
  Cell[1983636, 56289, 1036, 28, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:201025959", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[GreaterEqual] 1"},
   CellID->201025959]},
 "ID:64253862"->{
  Cell[1984675, 56319, 1038, 28, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:64253862", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[GreaterEqual] 2"},
   CellID->64253862]},
 "max \[DoubleStruckCapitalZ] \[GreaterEqual] 2"->{
  Cell[1984675, 56319, 1038, 28, 21, "FormalTextInputFormula",
   CellTags->{
    "ID:64253862", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[GreaterEqual] 2"},
   CellID->64253862]},
 "ID:54073160"->{
  Cell[1985716, 56349, 1424, 42, 30, "FormalTextInputFormula",
   CellTags->{
    "ID:54073160", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[LessEqual]"},
   CellID->54073160]},
 "max \[DoubleStruckCapitalZ] \[LessEqual]"->{
  Cell[1985716, 56349, 1424, 42, 30, "FormalTextInputFormula",
   CellTags->{
    "ID:54073160", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "max \[DoubleStruckCapitalZ] \[LessEqual]"},
   CellID->54073160]},
 "Proof|ID:12810555"->{
  Cell[1987296, 56402, 3514, 98, 28, "ProofInfo",
   CellTags->{"Proof|ID:12810555", "Proof|ID:12810555-1"},
   CellID->17985349]},
 "Proof|ID:12810555-1"->{
  Cell[1987296, 56402, 3514, 98, 28, "ProofInfo",
   CellTags->{"Proof|ID:12810555", "Proof|ID:12810555-1"},
   CellID->17985349]},
 "Proof|ID:82857207"->{
  Cell[1991329, 56519, 4078, 109, 26, "ProofInfo",
   CellTags->{"Proof|ID:82857207", "Proof|ID:82857207-1"},
   CellID->225257021]},
 "Proof|ID:82857207-1"->{
  Cell[1991329, 56519, 4078, 109, 26, "ProofInfo",
   CellTags->{"Proof|ID:82857207", "Proof|ID:82857207-1"},
   CellID->225257021]},
 "Proof|ID:201025959"->{
  Cell[1995925, 56647, 3592, 100, 26, "ProofInfo",
   CellTags->{"Proof|ID:201025959", "Proof|ID:201025959-1"},
   CellID->330895812]},
 "Proof|ID:201025959-1"->{
  Cell[1995925, 56647, 3592, 100, 26, "ProofInfo",
   CellTags->{"Proof|ID:201025959", "Proof|ID:201025959-1"},
   CellID->330895812]},
 "Proof|ID:64253862"->{
  Cell[2000037, 56766, 3587, 100, 26, "ProofInfo",
   CellTags->{"Proof|ID:64253862", "Proof|ID:64253862-1"},
   CellID->174540704]},
 "Proof|ID:64253862-1"->{
  Cell[2000037, 56766, 3587, 100, 26, "ProofInfo",
   CellTags->{"Proof|ID:64253862", "Proof|ID:64253862-1"},
   CellID->174540704]},
 "Proof|ID:54073160"->{
  Cell[2004143, 56885, 4901, 126, 26, "ProofInfo",
   CellTags->{"Proof|ID:54073160", "Proof|ID:54073160-1"},
   CellID->92970741]},
 "Proof|ID:54073160-1"->{
  Cell[2004143, 56885, 4901, 126, 26, "ProofInfo",
   CellTags->{"Proof|ID:54073160", "Proof|ID:54073160-1"},
   CellID->92970741]},
 "ID:943867900"->{
  Cell[2010220, 57053, 1029, 31, 33, "GlobalDeclaration",
   CellTags->{
    "ID:943867900", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
   CellID->943867900]},
 "ID:152254973"->{
  Cell[2011252, 57086, 3159, 83, 61, "FormalTextInputFormula",
   CellTags->{
    "ID:152254973", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isChain"},
   CellID->152254973]},
 "isChain"->{
  Cell[2011252, 57086, 3159, 83, 61, "FormalTextInputFormula",
   CellTags->{
    "ID:152254973", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isChain"},
   CellID->152254973]},
 "ID:130970035"->{
  Cell[2014414, 57171, 2578, 83, 49, "FormalTextInputFormula",
   CellTags->{
    "ID:130970035", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isChainBelow"},
   CellID->130970035]},
 "isChainBelow"->{
  Cell[2014414, 57171, 2578, 83, 49, "FormalTextInputFormula",
   CellTags->{
    "ID:130970035", 
     "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
     "isChainBelow"},
   CellID->130970035]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"ID:649680989", 2054701, 58026},
 {"Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", \
2055009, 58033},
 {"isTuple induction", 2144060, 60343},
 {"IR", 2144301, 60350},
 {"ID:23375335", 2192383, 61593},
 {"Nil isTuple", 2192618, 61600},
 {"ID:256666213", 2192854, 61607},
 {"\[Not] Nil isSet", 2193101, 61614},
 {"ID:494401940", 2193344, 61621},
 {"ID:80140108", 2193555, 61627},
 {"Cons isTuple", 2193792, 61634},
 {"ID:855820982", 2194029, 61641},
 {"\[Not] Cons isSet", 2194278, 61648},
 {"ID:22018468", 2194521, 61655},
 {"Cons \[NotEqual] Nil", 2194774, 61662},
 {"ID:128498950", 2195019, 61669},
 {"Cons injective", 2195263, 61676},
 {"ID:675750488", 2195505, 61683},
 {"ID:152717330", 2195717, 61689},
 {"tupRec Nil", 2195952, 61696},
 {"ID:177449370", 2196189, 61703},
 {"tupRec Cons", 2196427, 61710},
 {"ID:703726822", 2196666, 61717},
 {"ID:29057684", 2196877, 61723},
 {"index base", 2197110, 61730},
 {"ID:381428117", 2197345, 61737},
 {"index step", 2197581, 61744},
 {"ID:182124102", 2197819, 61751},
 {"tuple length", 2198059, 61758},
 {"ID:654651115", 2198299, 61765},
 {"enumeration tuple 1", 2198552, 61772},
 {"ID:63270404", 2198797, 61779},
 {"enumeration tuple 2", 2199049, 61786},
 {"ID:338791396", 2199294, 61793},
 {"join", 2199518, 61800},
 {"ID:895128101", 2199750, 61807},
 {"ID:1525755901", 2199963, 61813},
 {"append", 2200193, 61820},
 {"ID:884743897", 2200429, 61827},
 {"prepend", 2200658, 61834},
 {"ID:1281000450", 2200893, 61841},
 {"tuple E", 2201125, 61848},
 {"ID:32295857", 2201361, 61855},
 {"Reverse", 2201589, 61862},
 {"ID:632649", 2201819, 61869},
 {"ID:12265558", 2202025, 61875},
 {"Rest", 2202248, 61882},
 {"ID:91603327", 2202478, 61889},
 {"Most", 2202701, 61896},
 {"ID:223047122", 2202932, 61903},
 {"TupleOf", 2203163, 61910},
 {"ID:1457491854", 2203400, 61917},
 {"TupleToSet", 2203639, 61924},
 {"ID:266511991", 2203880, 61931},
 {"length Nil", 2204122, 61938},
 {"ID:453335165", 2204366, 61945},
 {"ID:789740286", 2204579, 61951},
 {"length Cons", 2204824, 61958},
 {"ID:896792384", 2205070, 61965},
 {"length \[Element] \[DoubleStruckCapitalN]", 2205375, 61972},
 {"ID:492864831", 2205651, 61979},
 {"length II", 2205892, 61986},
 {"ID:1114754549", 2206137, 61993},
 {"length III", 2206381, 62000},
 {"ID:57954569", 2206626, 62007},
 {"length 0 Nil", 2206865, 62014},
 {"Proof|ID:266511991", 2207110, 62021},
 {"Proof|ID:266511991-1", 2207268, 62025},
 {"Proof|ID:789740286", 2207424, 62029},
 {"Proof|ID:789740286-1", 2207583, 62033},
 {"Proof|ID:896792384", 2207740, 62037},
 {"Proof|ID:896792384-1", 2207899, 62041},
 {"Proof|ID:492864831", 2208056, 62045},
 {"Proof|ID:492864831-1", 2208216, 62049},
 {"Proof|ID:1114754549", 2208375, 62053},
 {"Proof|ID:1114754549-1", 2208539, 62057},
 {"Proof|ID:57954569", 2208699, 62061},
 {"Proof|ID:57954569-1", 2208856, 62065},
 {"ID:198497275", 2209006, 62069},
 {"ID:485804192", 2209219, 62075},
 {"tuple cases", 2209458, 62082},
 {"ID:128271632", 2209698, 62089},
 {"\[Not] tuple isSet", 2209950, 62096},
 {"ID:748403354", 2210196, 62103},
 {"tuple equality'", 2210443, 62110},
 {"ID:2006383088", 2210688, 62117},
 {"tuple equality", 2210935, 62124},
 {"Proof|ID:485804192", 2211186, 62131},
 {"Proof|ID:485804192-1", 2211346, 62135},
 {"Proof|ID:128271632", 2211504, 62139},
 {"Proof|ID:128271632-1", 2211664, 62143},
 {"Proof|ID:748403354", 2211822, 62147},
 {"Proof|ID:748403354-1", 2211983, 62151},
 {"Proof|ID:2006383088", 2212143, 62155},
 {"Proof|ID:2006383088-1", 2212306, 62159},
 {"ID:268769082", 2212460, 62163},
 {"enumeration tuples surjective", 2212735, 62170},
 {"ID:1721177564", 2212994, 62177},
 {"isTuple empty", 2213244, 62184},
 {"ID:1594267913", 2213494, 62191},
 {"length empty", 2213736, 62198},
 {"ID:11264892", 2213977, 62205},
 {"length singleton", 2214230, 62212},
 {"ID:346405581", 2214479, 62219},
 {"singleton first", 2214731, 62226},
 {"ID:477773676", 2214980, 62233},
 {"isTuple enumeration tuple", 2215252, 62240},
 {"Proof|ID:268769082", 2215517, 62247},
 {"Proof|ID:268769082-1", 2215677, 62251},
 {"Proof|ID:1721177564", 2215836, 62255},
 {"Proof|ID:1721177564-1", 2215999, 62259},
 {"Proof|ID:1594267913", 2216160, 62263},
 {"Proof|ID:1594267913-1", 2216322, 62267},
 {"Proof|ID:11264892", 2216480, 62271},
 {"Proof|ID:11264892-1", 2216637, 62275},
 {"Proof|ID:346405581", 2216793, 62279},
 {"Proof|ID:346405581-1", 2216953, 62283},
 {"Proof|ID:477773676", 2217111, 62287},
 {"Proof|ID:477773676-1", 2217271, 62291},
 {"ID:287857146", 2217423, 62295},
 {"join Nil", 2217662, 62302},
 {"ID:337892103", 2217905, 62309},
 {"join Cons", 2218146, 62316},
 {"ID:872547016", 2218390, 62323},
 {"isTuple join'", 2218638, 62330},
 {"ID:361458074", 2218885, 62337},
 {"ID:688753716", 2219098, 62343},
 {"isTuple join", 2219345, 62350},
 {"ID:1660159491", 2219593, 62357},
 {"ID:1115259658", 2219809, 62363},
 {"length join", 2220050, 62370},
 {"ID:526825714", 2220292, 62377},
 {"index join 1", 2220533, 62384},
 {"ID:189594342", 2220774, 62391},
 {"index join 2", 2221015, 62398},
 {"ID:589317888", 2221256, 62405},
 {"join enumeration tuples", 2221519, 62412},
 {"Proof|ID:287857146", 2221777, 62419},
 {"Proof|ID:287857146-1", 2221936, 62423},
 {"Proof|ID:337892103", 2222093, 62427},
 {"Proof|ID:337892103-1", 2222253, 62431},
 {"Proof|ID:872547016", 2222411, 62435},
 {"Proof|ID:872547016-1", 2222571, 62439},
 {"Proof|ID:688753716", 2222729, 62443},
 {"Proof|ID:688753716-1", 2222889, 62447},
 {"Proof|ID:1115259658", 2223048, 62451},
 {"Proof|ID:1115259658-1", 2223211, 62455},
 {"Proof|ID:526825714", 2223371, 62459},
 {"Proof|ID:526825714-1", 2223532, 62463},
 {"Proof|ID:189594342", 2223691, 62467},
 {"Proof|ID:189594342-1", 2223852, 62471},
 {"Proof|ID:589317888", 2224011, 62475},
 {"Proof|ID:589317888-1", 2224172, 62479},
 {"ID:212552120", 2224325, 62483},
 {"append Nil", 2224568, 62490},
 {"ID:26950404", 2224812, 62497},
 {"append Cons", 2225055, 62504},
 {"ID:108690893", 2225299, 62511},
 {"ID:546198311", 2225512, 62517},
 {"ID:1028745265", 2225726, 62523},
 {"isTuple append", 2225978, 62530},
 {"ID:543565488", 2226228, 62537},
 {"ID:826776809", 2226441, 62543},
 {"length append", 2226689, 62550},
 {"ID:1163861425", 2226937, 62557},
 {"index append 1", 2227190, 62564},
 {"ID:1926885900", 2227442, 62571},
 {"index append 2", 2227694, 62578},
 {"ID:258136300", 2227944, 62585},
 {"last append", 2228188, 62592},
 {"ID:583893516", 2228433, 62599},
 {"append is non-empty", 2228693, 62606},
 {"Proof|ID:212552120", 2228952, 62613},
 {"Proof|ID:212552120-1", 2229112, 62617},
 {"Proof|ID:26950404", 2229269, 62621},
 {"Proof|ID:26950404-1", 2229426, 62625},
 {"Proof|ID:1028745265", 2229583, 62629},
 {"Proof|ID:1028745265-1", 2229746, 62633},
 {"Proof|ID:826776809", 2229906, 62637},
 {"Proof|ID:826776809-1", 2230065, 62641},
 {"Proof|ID:1163861425", 2230223, 62645},
 {"Proof|ID:1163861425-1", 2230386, 62649},
 {"Proof|ID:1926885900", 2230547, 62653},
 {"Proof|ID:1926885900-1", 2230710, 62657},
 {"Proof|ID:258136300", 2230870, 62661},
 {"Proof|ID:258136300-1", 2231030, 62665},
 {"Proof|ID:583893516", 2231188, 62669},
 {"Proof|ID:583893516-1", 2231348, 62673},
 {"ID:223241243", 2231500, 62677},
 {"reverse Nil", 2231744, 62684},
 {"ID:742156512", 2231989, 62691},
 {"reverse Cons", 2232236, 62698},
 {"ID:145273629", 2232483, 62705},
 {"isTuple reverse'", 2232737, 62712},
 {"ID:461591348", 2232987, 62719},
 {"ID:2049851981", 2233201, 62725},
 {"isTuple reverse", 2233450, 62732},
 {"ID:92271122", 2233695, 62739},
 {"ID:272039775", 2233906, 62745},
 {"length reverse", 2234150, 62752},
 {"ID:1569428563", 2234393, 62759},
 {"index reverse", 2234638, 62766},
 {"ID:829341774", 2234882, 62773},
 {"reverse is empty", 2235137, 62780},
 {"Proof|ID:223241243", 2235394, 62787},
 {"Proof|ID:223241243-1", 2235554, 62791},
 {"Proof|ID:742156512", 2235712, 62795},
 {"Proof|ID:742156512-1", 2235872, 62799},
 {"Proof|ID:145273629", 2236030, 62803},
 {"Proof|ID:145273629-1", 2236190, 62807},
 {"Proof|ID:2049851981", 2236349, 62811},
 {"Proof|ID:2049851981-1", 2236510, 62815},
 {"Proof|ID:272039775", 2236668, 62819},
 {"Proof|ID:272039775-1", 2236826, 62823},
 {"Proof|ID:1569428563", 2236983, 62827},
 {"Proof|ID:1569428563-1", 2237146, 62831},
 {"Proof|ID:829341774", 2237306, 62835},
 {"Proof|ID:829341774-1", 2237465, 62839},
 {"ID:121283420", 2237616, 62843},
 {"rest Cons", 2237857, 62850},
 {"ID:987021041", 2238101, 62857},
 {"ID:1839205404", 2238315, 62863},
 {"isTuple rest", 2238558, 62870},
 {"ID:1405660958", 2238802, 62877},
 {"isTuple most", 2239045, 62884},
 {"ID:936067561", 2239288, 62891},
 {"ID:1552050833", 2239502, 62897},
 {"length rest", 2239743, 62904},
 {"ID:1817775526", 2239986, 62911},
 {"length most", 2240226, 62918},
 {"ID:84622963", 2240466, 62925},
 {"index rest", 2240701, 62932},
 {"ID:1284707773", 2240939, 62939},
 {"index most", 2241178, 62946},
 {"Proof|ID:121283420", 2241425, 62953},
 {"Proof|ID:121283420-1", 2241584, 62957},
 {"Proof|ID:1839205404", 2241742, 62961},
 {"Proof|ID:1839205404-1", 2241905, 62965},
 {"Proof|ID:1405660958", 2242066, 62969},
 {"Proof|ID:1405660958-1", 2242229, 62973},
 {"Proof|ID:1552050833", 2242390, 62977},
 {"Proof|ID:1552050833-1", 2242553, 62981},
 {"Proof|ID:1817775526", 2242714, 62985},
 {"Proof|ID:1817775526-1", 2242877, 62989},
 {"Proof|ID:84622963", 2243036, 62993},
 {"Proof|ID:84622963-1", 2243192, 62997},
 {"Proof|ID:1284707773", 2243348, 63001},
 {"Proof|ID:1284707773-1", 2243512, 63005},
 {"ID:59159884", 2243666, 63009},
 {"ID:1998536813", 2243879, 63015},
 {"TupleOf integer endpoints", 2244149, 63022},
 {"ID:17780859", 2244405, 63029},
 {"TupleOf \[DoubleStruckCapitalN]0", 2244685, 63036},
 {"ID:1940209939", 2244946, 63043},
 {"TupleOf base", 2245190, 63050},
 {"ID:396789611", 2245434, 63057},
 {"TupleOf step", 2245676, 63064},
 {"Proof|ID:1998536813", 2245925, 63071},
 {"Proof|ID:1998536813-1", 2246089, 63075},
 {"Proof|ID:17780859", 2246249, 63079},
 {"Proof|ID:17780859-1", 2246408, 63083},
 {"Proof|ID:1940209939", 2246567, 63087},
 {"Proof|ID:1940209939-1", 2246732, 63091},
 {"Proof|ID:396789611", 2246894, 63095},
 {"Proof|ID:396789611-1", 2247056, 63099},
 {"ID:130363217", 2247210, 63103},
 {"ID:39824109", 2247423, 63109},
 {"length pair", 2247666, 63116},
 {"ID:11669955", 2247909, 63123},
 {"length triple", 2248156, 63130},
 {"ID:7707058", 2248400, 63137},
 {"pair first", 2248639, 63144},
 {"ID:152479598", 2248880, 63151},
 {"pair second", 2249125, 63158},
 {"ID:448273489", 2249371, 63165},
 {"triple first", 2249618, 63172},
 {"ID:76151934", 2249864, 63179},
 {"triple second", 2250111, 63186},
 {"ID:1792898", 2250355, 63193},
 {"triple third", 2250598, 63200},
 {"Proof|ID:39824109", 2250846, 63207},
 {"Proof|ID:39824109-1", 2251004, 63211},
 {"Proof|ID:11669955", 2251160, 63215},
 {"Proof|ID:11669955-1", 2251318, 63219},
 {"Proof|ID:7707058", 2251473, 63223},
 {"Proof|ID:7707058-1", 2251625, 63227},
 {"Proof|ID:152479598", 2251777, 63231},
 {"Proof|ID:152479598-1", 2251937, 63235},
 {"Proof|ID:448273489", 2252095, 63239},
 {"Proof|ID:448273489-1", 2252255, 63243},
 {"Proof|ID:76151934", 2252412, 63247},
 {"Proof|ID:76151934-1", 2252568, 63251},
 {"Proof|ID:1792898", 2252721, 63255},
 {"Proof|ID:1792898-1", 2252876, 63259},
 {"ID:1064958803", 2253026, 63263},
 {"ID:601496808", 2253242, 63269},
 {"length=1'", 2253478, 63276},
 {"ID:461084917", 2253717, 63283},
 {"length=2'", 2253953, 63290},
 {"ID:2026997690", 2254193, 63297},
 {"length=3'", 2254431, 63304},
 {"ID:1825869525", 2254673, 63311},
 {"length=0", 2254915, 63318},
 {"ID:1394353823", 2255162, 63325},
 {"length=1", 2255404, 63332},
 {"ID:1143806168", 2255651, 63339},
 {"length=2", 2255893, 63346},
 {"ID:1073774013", 2256140, 63353},
 {"length=3", 2256382, 63360},
 {"Proof|ID:601496808", 2256634, 63367},
 {"Proof|ID:601496808-1", 2256794, 63371},
 {"Proof|ID:461084917", 2256952, 63375},
 {"Proof|ID:461084917-1", 2257111, 63379},
 {"Proof|ID:2026997690", 2257269, 63383},
 {"Proof|ID:2026997690-1", 2257433, 63387},
 {"Proof|ID:1825869525", 2257595, 63391},
 {"Proof|ID:1825869525-1", 2257758, 63395},
 {"Proof|ID:1394353823", 2257919, 63399},
 {"Proof|ID:1394353823-1", 2258083, 63403},
 {"Proof|ID:1143806168", 2258245, 63407},
 {"Proof|ID:1143806168-1", 2258409, 63411},
 {"Proof|ID:1073774013", 2258571, 63415},
 {"Proof|ID:1073774013-1", 2258735, 63419},
 {"ID:952268452", 2258890, 63423},
 {"ID:1246418388", 2259105, 63429},
 {"enumeration tuple=1", 2259369, 63436},
 {"ID:1106522710", 2259627, 63443},
 {"enumeration tuple=2", 2259891, 63450},
 {"ID:799290150", 2260148, 63457},
 {"enumeration tuple=3", 2260410, 63464},
 {"Proof|ID:1246418388", 2260672, 63471},
 {"Proof|ID:1246418388-1", 2260836, 63475},
 {"Proof|ID:1106522710", 2260998, 63479},
 {"Proof|ID:1106522710-1", 2261163, 63483},
 {"Proof|ID:799290150", 2261325, 63487},
 {"Proof|ID:799290150-1", 2261487, 63491},
 {"ID:372490730", 2261641, 63495},
 {"ID:1625734410", 2261856, 63501},
 {"rest enumeration tuple 1", 2262129, 63508},
 {"ID:1166906170", 2262391, 63515},
 {"rest enumeration tuple 2", 2262664, 63522},
 {"ID:1779125069", 2262926, 63529},
 {"rest enumeration tuple 3", 2263199, 63536},
 {"Proof|ID:1625734410", 2263467, 63543},
 {"Proof|ID:1625734410-1", 2263630, 63547},
 {"Proof|ID:1166906170", 2263791, 63551},
 {"Proof|ID:1166906170-1", 2263955, 63555},
 {"Proof|ID:1779125069", 2264117, 63559},
 {"Proof|ID:1779125069-1", 2264281, 63563},
 {"ID:1147667115", 2264437, 63567},
 {"ID:561509893", 2264653, 63573},
 {"E empty", 2264884, 63580},
 {"ID:365847091", 2265120, 63587},
 {"E enumeration tuple 1", 2265386, 63594},
 {"ID:58186484", 2265642, 63601},
 {"E enumeration tuple 2", 2265906, 63608},
 {"ID:786794198", 2266161, 63615},
 {"E enumeration tuple 3", 2266427, 63622},
 {"Proof|ID:561509893", 2266690, 63629},
 {"Proof|ID:561509893-1", 2266851, 63633},
 {"Proof|ID:365847091", 2267010, 63637},
 {"Proof|ID:365847091-1", 2267171, 63641},
 {"Proof|ID:58186484", 2267329, 63645},
 {"Proof|ID:58186484-1", 2267487, 63649},
 {"Proof|ID:786794198", 2267644, 63653},
 {"Proof|ID:786794198-1", 2267806, 63657},
 {"ID:186310157", 2267960, 63661},
 {"ID:742014313", 2268174, 63667},
 {"tuple index 1", 2268424, 63674},
 {"ID:1611580180", 2268674, 63681},
 {"tuple index 2", 2268926, 63688},
 {"ID:1288253764", 2269178, 63695},
 {"tuple index 3", 2269430, 63702},
 {"ID:1090639612", 2269682, 63709},
 {"tuple index 5", 2269934, 63716},
 {"ID:143272898", 2270185, 63723},
 {"tuple index 6", 2270435, 63730},
 {"ID:2123711543", 2270685, 63737},
 {"tuple index 7", 2270937, 63744},
 {"ID:44008041", 2271187, 63751},
 {"tuple index 4", 2271434, 63758},
 {"ID:1971155327", 2271681, 63765},
 {"ID:812832607", 2271897, 63771},
 {"first index", 2272142, 63778},
 {"ID:1556117652", 2272389, 63785},
 {"last index", 2272635, 63792},
 {"ID:501261685", 2272883, 63799},
 {"ID:2002554147", 2273098, 63805},
 {"first index II", 2273351, 63812},
 {"ID:1202189993", 2273603, 63819},
 {"last index II", 2273855, 63826},
 {"Proof|ID:742014313", 2274112, 63833},
 {"Proof|ID:742014313-1", 2274275, 63837},
 {"Proof|ID:1611580180", 2274437, 63841},
 {"Proof|ID:1611580180-1", 2274602, 63845},
 {"Proof|ID:1288253764", 2274765, 63849},
 {"Proof|ID:1288253764-1", 2274930, 63853},
 {"Proof|ID:1090639612", 2275093, 63857},
 {"Proof|ID:1090639612-1", 2275257, 63861},
 {"Proof|ID:143272898", 2275418, 63865},
 {"Proof|ID:143272898-1", 2275581, 63869},
 {"Proof|ID:2123711543", 2275743, 63873},
 {"Proof|ID:2123711543-1", 2275908, 63877},
 {"Proof|ID:44008041", 2276069, 63881},
 {"Proof|ID:44008041-1", 2276227, 63885},
 {"Proof|ID:812832607", 2276384, 63889},
 {"Proof|ID:812832607-1", 2276545, 63893},
 {"Proof|ID:1556117652", 2276705, 63897},
 {"Proof|ID:1556117652-1", 2276869, 63901},
 {"Proof|ID:2002554147", 2277031, 63905},
 {"Proof|ID:2002554147-1", 2277197, 63909},
 {"Proof|ID:1202189993", 2277361, 63913},
 {"Proof|ID:1202189993-1", 2277527, 63917},
 {"ID:1754019744", 2277685, 63921},
 {"ID:23265257", 2277900, 63927},
 {"join empty right", 2278153, 63934},
 {"ID:2016358149", 2278403, 63941},
 {"join empty left", 2278658, 63948},
 {"ID:892109029", 2278910, 63955},
 {"join assoc", 2279154, 63962},
 {"ID:2132285530", 2279401, 63969},
 {"ID:1620230203", 2279618, 63975},
 {"join is empty", 2279870, 63982},
 {"ID:575892555", 2280121, 63989},
 {"E join", 2280357, 63996},
 {"ID:503402842", 2280599, 64003},
 {"first join", 2280843, 64010},
 {"ID:1834660983", 2281090, 64017},
 {"last join", 2281334, 64024},
 {"Proof|ID:23265257", 2281586, 64031},
 {"Proof|ID:23265257-1", 2281745, 64035},
 {"Proof|ID:2016358149", 2281904, 64039},
 {"Proof|ID:2016358149-1", 2282069, 64043},
 {"Proof|ID:892109029", 2282231, 64047},
 {"Proof|ID:892109029-1", 2282393, 64051},
 {"Proof|ID:1620230203", 2282554, 64055},
 {"Proof|ID:1620230203-1", 2282720, 64059},
 {"Proof|ID:575892555", 2282883, 64063},
 {"Proof|ID:575892555-1", 2283045, 64067},
 {"Proof|ID:503402842", 2283205, 64071},
 {"Proof|ID:503402842-1", 2283366, 64075},
 {"Proof|ID:1834660983", 2283526, 64079},
 {"Proof|ID:1834660983-1", 2283692, 64083},
 {"ID:300049764", 2283849, 64087},
 {"ID:1459714591", 2284064, 64093},
 {"ID:1798717489", 2284281, 64099},
 {"join P \[DoubleRightArrow]", 2284559, 64106},
 {"ID:880067753", 2284823, 64113},
 {"join P \[DoubleLeftArrow]", 2285097, 64120},
 {"ID:1832033513", 2285359, 64127},
 {"join P", 2285597, 64134},
 {"ID:1414995657", 2285842, 64141},
 {"join P binary \[DoubleRightArrow]", 2286135, 64148},
 {"ID:412269868", 2286407, 64155},
 {"join P binary \[DoubleLeftArrow]", 2286695, 64162},
 {"ID:811817271", 2286963, 64169},
 {"join P binary", 2287213, 64176},
 {"ID:373411527", 2287462, 64183},
 {"ID:1539924260", 2287677, 64189},
 {"ID:1179445980", 2287894, 64195},
 {"ID:1936600889", 2288111, 64201},
 {"join P 2 \[DoubleRightArrow]", 2288387, 64208},
 {"ID:667495868", 2288647, 64215},
 {"join P 2 \[DoubleLeftArrow]", 2288919, 64222},
 {"ID:2081158695", 2289177, 64229},
 {"join P 2", 2289413, 64236},
 {"Proof|ID:1798717489", 2289660, 64243},
 {"Proof|ID:1798717489-1", 2289825, 64247},
 {"Proof|ID:880067753", 2289987, 64251},
 {"Proof|ID:880067753-1", 2290150, 64255},
 {"Proof|ID:1832033513", 2290312, 64259},
 {"Proof|ID:1832033513-1", 2290477, 64263},
 {"Proof|ID:1414995657", 2290640, 64267},
 {"Proof|ID:1414995657-1", 2290806, 64271},
 {"Proof|ID:412269868", 2290969, 64275},
 {"Proof|ID:412269868-1", 2291132, 64279},
 {"Proof|ID:811817271", 2291293, 64283},
 {"Proof|ID:811817271-1", 2291456, 64287},
 {"Proof|ID:1936600889", 2291618, 64291},
 {"Proof|ID:1936600889-1", 2291785, 64295},
 {"Proof|ID:667495868", 2291949, 64299},
 {"Proof|ID:667495868-1", 2292113, 64303},
 {"Proof|ID:2081158695", 2292276, 64307},
 {"Proof|ID:2081158695-1", 2292443, 64311},
 {"ID:1425022595", 2292602, 64315},
 {"ID:30218808", 2292817, 64321},
 {"append empty", 2293063, 64328},
 {"ID:691605804", 2293309, 64335},
 {"ID:1905252519", 2293524, 64341},
 {"ID:1710417343", 2293741, 64347},
 {"append \[NotEqual]", 2293996, 64354},
 {"ID:1126524001", 2294246, 64361},
 {"first append", 2294496, 64368},
 {"ID:1103991877", 2294747, 64375},
 {"append P", 2294989, 64382},
 {"ID:1200539700", 2295236, 64389},
 {"append P binary", 2295492, 64396},
 {"ID:1565072058", 2295746, 64403},
 {"E append", 2295988, 64410},
 {"Proof|ID:30218808", 2296239, 64417},
 {"Proof|ID:30218808-1", 2296398, 64421},
 {"Proof|ID:1710417343", 2296557, 64425},
 {"Proof|ID:1710417343-1", 2296722, 64429},
 {"Proof|ID:1126524001", 2296885, 64433},
 {"Proof|ID:1126524001-1", 2297051, 64437},
 {"Proof|ID:1103991877", 2297215, 64441},
 {"Proof|ID:1103991877-1", 2297381, 64445},
 {"Proof|ID:1200539700", 2297545, 64449},
 {"Proof|ID:1200539700-1", 2297710, 64453},
 {"Proof|ID:1565072058", 2297873, 64457},
 {"Proof|ID:1565072058-1", 2298038, 64461},
 {"ID:1414827049", 2298195, 64465},
 {"ID:1588362347", 2298412, 64471},
 {"ID:1325947216", 2298629, 64477},
 {"ID:1332516309", 2298846, 64483},
 {"length append=", 2299100, 64490},
 {"ID:1244254393", 2299353, 64497},
 {"append P 2", 2299593, 64504},
 {"ID:1851672573", 2299836, 64511},
 {"append injective", 2300094, 64518},
 {"Proof|ID:1332516309", 2300355, 64525},
 {"Proof|ID:1332516309-1", 2300521, 64529},
 {"Proof|ID:1244254393", 2300685, 64533},
 {"Proof|ID:1244254393-1", 2300851, 64537},
 {"Proof|ID:1851672573", 2301015, 64541},
 {"Proof|ID:1851672573-1", 2301180, 64545},
 {"ID:1354896517", 2301337, 64549},
 {"ID:284047457", 2301553, 64555},
 {"prepend empty", 2301803, 64562},
 {"ID:665620680", 2302052, 64569},
 {"ID:1519173141", 2302267, 64575},
 {"isTuple prepend", 2302522, 64582},
 {"ID:2126627650", 2302775, 64589},
 {"ID:1956801946", 2302992, 64595},
 {"length prepend", 2303245, 64602},
 {"ID:1517474546", 2303497, 64609},
 {"prepend \[NotEqual]", 2303754, 64616},
 {"ID:1589773302", 2304005, 64623},
 {"prepend is non-empty", 2304270, 64630},
 {"ID:916089482", 2304527, 64637},
 {"first prepend", 2304776, 64644},
 {"ID:391327494", 2305024, 64651},
 {"last prepend", 2305272, 64658},
 {"ID:2002116253", 2305521, 64665},
 {"index prepend 2", 2305777, 64672},
 {"ID:48204947", 2306029, 64679},
 {"prepend P", 2306269, 64686},
 {"ID:414106078", 2306512, 64693},
 {"prepend P binary", 2306768, 64700},
 {"ID:416238876", 2307020, 64707},
 {"E prepend", 2307262, 64714},
 {"Proof|ID:284047457", 2307513, 64721},
 {"Proof|ID:284047457-1", 2307674, 64725},
 {"Proof|ID:1519173141", 2307834, 64729},
 {"Proof|ID:1519173141-1", 2307999, 64733},
 {"Proof|ID:1956801946", 2308162, 64737},
 {"Proof|ID:1956801946-1", 2308326, 64741},
 {"Proof|ID:1517474546", 2308488, 64745},
 {"Proof|ID:1517474546-1", 2308653, 64749},
 {"Proof|ID:1589773302", 2308816, 64753},
 {"Proof|ID:1589773302-1", 2308981, 64757},
 {"Proof|ID:916089482", 2309143, 64761},
 {"Proof|ID:916089482-1", 2309304, 64765},
 {"Proof|ID:391327494", 2309463, 64769},
 {"Proof|ID:391327494-1", 2309626, 64773},
 {"Proof|ID:2002116253", 2309788, 64777},
 {"Proof|ID:2002116253-1", 2309953, 64781},
 {"Proof|ID:48204947", 2310114, 64785},
 {"Proof|ID:48204947-1", 2310273, 64789},
 {"Proof|ID:414106078", 2310431, 64793},
 {"Proof|ID:414106078-1", 2310594, 64797},
 {"Proof|ID:416238876", 2310755, 64801},
 {"Proof|ID:416238876-1", 2310918, 64805},
 {"ID:547141078", 2311073, 64809},
 {"ID:562596444", 2311287, 64815},
 {"ID:1613097054", 2311502, 64821},
 {"length prepend=", 2311758, 64828},
 {"ID:1393091936", 2312012, 64835},
 {"prepend P 2", 2312254, 64842},
 {"ID:1374117783", 2312498, 64849},
 {"prepend injective", 2312758, 64856},
 {"Proof|ID:1613097054", 2313020, 64863},
 {"Proof|ID:1613097054-1", 2313186, 64867},
 {"Proof|ID:1393091936", 2313350, 64871},
 {"Proof|ID:1393091936-1", 2313515, 64875},
 {"Proof|ID:1374117783", 2313678, 64879},
 {"Proof|ID:1374117783-1", 2313844, 64883},
 {"ID:367121892", 2314001, 64887},
 {"join append", 2314247, 64894},
 {"Proof|ID:367121892", 2314500, 64901},
 {"Proof|ID:367121892-1", 2314662, 64905},
 {"ID:2080984959", 2314817, 64909},
 {"ID:369207319", 2315033, 64915},
 {"rest empty", 2315277, 64922},
 {"ID:562096052", 2315523, 64929},
 {"first rest", 2315767, 64936},
 {"ID:2116051902", 2316014, 64943},
 {"last rest", 2316258, 64950},
 {"ID:1588185575", 2316506, 64957},
 {"most empty", 2316752, 64964},
 {"ID:1434873231", 2317001, 64971},
 {"first most", 2317247, 64978},
 {"ID:852174472", 2317495, 64985},
 {"ID:32262614", 2317708, 64991},
 {"empty or append", 2317954, 64998},
 {"ID:1718502373", 2318198, 65005},
 {"empty or prepend", 2318450, 65012},
 {"Proof|ID:369207319", 2318704, 65019},
 {"Proof|ID:369207319-1", 2318865, 65023},
 {"Proof|ID:562096052", 2319024, 65027},
 {"Proof|ID:562096052-1", 2319184, 65031},
 {"Proof|ID:2116051902", 2319343, 65035},
 {"Proof|ID:2116051902-1", 2319509, 65039},
 {"Proof|ID:1588185575", 2319673, 65043},
 {"Proof|ID:1588185575-1", 2319837, 65047},
 {"Proof|ID:1434873231", 2319999, 65051},
 {"Proof|ID:1434873231-1", 2320163, 65055},
 {"Proof|ID:32262614", 2320323, 65059},
 {"Proof|ID:32262614-1", 2320482, 65063},
 {"Proof|ID:1718502373", 2320641, 65067},
 {"Proof|ID:1718502373-1", 2320806, 65071},
 {"ID:679833337", 2320962, 65075},
 {"ID:1096538360", 2321177, 65081},
 {"index rest II", 2321429, 65088},
 {"ID:1702600555", 2321681, 65095},
 {"rest P", 2321919, 65102},
 {"ID:1068710478", 2322164, 65109},
 {"rest P binary", 2322416, 65116},
 {"ID:1094967297", 2322668, 65123},
 {"most P", 2322906, 65130},
 {"ID:1495849141", 2323151, 65137},
 {"most P Q", 2323393, 65144},
 {"ID:931974039", 2323639, 65151},
 {"most P binary", 2323889, 65158},
 {"Proof|ID:1096538360", 2324145, 65165},
 {"Proof|ID:1096538360-1", 2324311, 65169},
 {"Proof|ID:1702600555", 2324475, 65173},
 {"Proof|ID:1702600555-1", 2324641, 65177},
 {"Proof|ID:1068710478", 2324805, 65181},
 {"Proof|ID:1068710478-1", 2324969, 65185},
 {"Proof|ID:1094967297", 2325131, 65189},
 {"Proof|ID:1094967297-1", 2325297, 65193},
 {"Proof|ID:1495849141", 2325461, 65197},
 {"Proof|ID:1495849141-1", 2325627, 65201},
 {"Proof|ID:931974039", 2325790, 65205},
 {"Proof|ID:931974039-1", 2325953, 65209},
 {"ID:476903800", 2326108, 65213},
 {"ID:511262385", 2326322, 65219},
 {"tuple P rest", 2326570, 65226},
 {"ID:56527158", 2326817, 65233},
 {"tuple P rest binary", 2327077, 65240},
 {"Proof|ID:511262385", 2327336, 65247},
 {"Proof|ID:511262385-1", 2327498, 65251},
 {"Proof|ID:56527158", 2327657, 65255},
 {"Proof|ID:56527158-1", 2327816, 65259},
 {"ID:1213842760", 2327969, 65263},
 {"ID:1124736253", 2328186, 65269},
 {"most append", 2328433, 65276},
 {"ID:1608823646", 2328682, 65283},
 {"rest prepend", 2328932, 65290},
 {"Proof|ID:1124736253", 2329189, 65297},
 {"Proof|ID:1124736253-1", 2329354, 65301},
 {"Proof|ID:1608823646", 2329517, 65305},
 {"Proof|ID:1608823646-1", 2329683, 65309},
 {"ID:585653657", 2329840, 65313},
 {"ID:141734886", 2330055, 65319},
 {"index reverse II", 2330312, 65326},
 {"ID:940343559", 2330565, 65333},
 {"reverse reverse", 2330819, 65340},
 {"ID:785342434", 2331070, 65347},
 {"E reverse", 2331313, 65354},
 {"ID:1029885993", 2331560, 65361},
 {"ID:900095694", 2331777, 65367},
 {"first reverse", 2332027, 65374},
 {"ID:42240444", 2332275, 65381},
 {"last reverse", 2332521, 65388},
 {"Proof|ID:141734886", 2332773, 65395},
 {"Proof|ID:141734886-1", 2332937, 65399},
 {"Proof|ID:940343559", 2333099, 65403},
 {"Proof|ID:940343559-1", 2333261, 65407},
 {"Proof|ID:785342434", 2333421, 65411},
 {"Proof|ID:785342434-1", 2333584, 65415},
 {"Proof|ID:900095694", 2333745, 65419},
 {"Proof|ID:900095694-1", 2333908, 65423},
 {"Proof|ID:42240444", 2334068, 65427},
 {"Proof|ID:42240444-1", 2334228, 65431},
 {"ID:1200192224", 2334382, 65435},
 {"ID:1023856661", 2334600, 65441},
 {"reverse P", 2334845, 65448},
 {"ID:225789218", 2335093, 65455},
 {"reverse P binary \[DoubleRightArrow]", 2335390, 65462},
 {"ID:608262733", 2335663, 65469},
 {"reverse P binary \[DoubleLeftArrow]", 2335958, 65476},
 {"ID:1483084569", 2336231, 65483},
 {"reverse P binary", 2336490, 65490},
 {"Proof|ID:1023856661", 2336752, 65497},
 {"Proof|ID:1023856661-1", 2336919, 65501},
 {"Proof|ID:225789218", 2337083, 65505},
 {"Proof|ID:225789218-1", 2337246, 65509},
 {"Proof|ID:608262733", 2337407, 65513},
 {"Proof|ID:608262733-1", 2337571, 65517},
 {"Proof|ID:1483084569", 2337734, 65521},
 {"Proof|ID:1483084569-1", 2337901, 65525},
 {"ID:494480620", 2338059, 65529},
 {"ID:1978957465", 2338275, 65535},
 {"length join seq", 2338532, 65542},
 {"ID:689233251", 2338786, 65549},
 {"prepend seq", 2339033, 65556},
 {"ID:1868467849", 2339282, 65563},
 {"append seq", 2339529, 65570},
 {"ID:65350141", 2339777, 65577},
 {"length prepend seq", 2340036, 65584},
 {"ID:1724810594", 2340290, 65591},
 {"length append seq", 2340551, 65598},
 {"ID:1756306456", 2340808, 65605},
 {"first seq", 2341052, 65612},
 {"ID:825805850", 2341299, 65619},
 {"last seq", 2341540, 65626},
 {"ID:170468971", 2341785, 65633},
 {"index prepend seq", 2342044, 65640},
 {"ID:2036703557", 2342299, 65647},
 {"rest seq", 2342541, 65654},
 {"ID:1246285181", 2342788, 65661},
 {"most seq", 2343030, 65668},
 {"ID:356326934", 2343276, 65675},
 {"prepend \[NotEqual] seq", 2343540, 65682},
 {"ID:1891361301", 2343794, 65689},
 {"append \[NotEqual] seq", 2344058, 65696},
 {"ID:908405529", 2344312, 65703},
 {"prepend is non-empty seq", 2344578, 65710},
 {"ID:630006974", 2344832, 65717},
 {"append is non-empty seq", 2345096, 65724},
 {"ID:51106199", 2345348, 65731},
 {"prepend injective seq", 2345613, 65738},
 {"ID:366778785", 2345869, 65745},
 {"append injective seq", 2346134, 65752},
 {"ID:16748437", 2346390, 65759},
 {"prepend=singleton seq", 2346649, 65766},
 {"ID:356206657", 2346899, 65773},
 {"append=singleton seq", 2347158, 65780},
 {"ID:128935503", 2347409, 65787},
 {"prepend=singleton seq'", 2347672, 65794},
 {"ID:131896368", 2347925, 65801},
 {"append=singleton seq'", 2348186, 65808},
 {"ID:375885636", 2348438, 65815},
 {"first index prepend seq", 2348709, 65822},
 {"ID:1449667434", 2348970, 65829},
 {"E prepend seq", 2349223, 65836},
 {"ID:1225984057", 2349476, 65843},
 {"E append seq", 2349727, 65850},
 {"Proof|ID:1978957465", 2349985, 65857},
 {"Proof|ID:1978957465-1", 2350152, 65861},
 {"Proof|ID:689233251", 2350316, 65865},
 {"Proof|ID:689233251-1", 2350479, 65869},
 {"Proof|ID:1868467849", 2350641, 65873},
 {"Proof|ID:1868467849-1", 2350807, 65877},
 {"Proof|ID:65350141", 2350969, 65881},
 {"Proof|ID:65350141-1", 2351128, 65885},
 {"Proof|ID:1724810594", 2351287, 65889},
 {"Proof|ID:1724810594-1", 2351452, 65893},
 {"Proof|ID:1756306456", 2351615, 65897},
 {"Proof|ID:1756306456-1", 2351781, 65901},
 {"Proof|ID:825805850", 2351944, 65905},
 {"Proof|ID:825805850-1", 2352108, 65909},
 {"Proof|ID:170468971", 2352270, 65913},
 {"Proof|ID:170468971-1", 2352432, 65917},
 {"Proof|ID:2036703557", 2352593, 65921},
 {"Proof|ID:2036703557-1", 2352758, 65925},
 {"Proof|ID:1246285181", 2352921, 65929},
 {"Proof|ID:1246285181-1", 2353087, 65933},
 {"Proof|ID:356326934", 2353250, 65937},
 {"Proof|ID:356326934-1", 2353412, 65941},
 {"Proof|ID:1891361301", 2353573, 65945},
 {"Proof|ID:1891361301-1", 2353737, 65949},
 {"Proof|ID:908405529", 2353898, 65953},
 {"Proof|ID:908405529-1", 2354060, 65957},
 {"Proof|ID:630006974", 2354220, 65961},
 {"Proof|ID:630006974-1", 2354383, 65965},
 {"Proof|ID:51106199", 2354543, 65969},
 {"Proof|ID:51106199-1", 2354702, 65973},
 {"Proof|ID:366778785", 2354860, 65977},
 {"Proof|ID:366778785-1", 2355023, 65981},
 {"Proof|ID:16748437", 2355183, 65985},
 {"Proof|ID:16748437-1", 2355342, 65989},
 {"Proof|ID:356206657", 2355500, 65993},
 {"Proof|ID:356206657-1", 2355662, 65997},
 {"Proof|ID:128935503", 2355822, 66001},
 {"Proof|ID:128935503-1", 2355984, 66005},
 {"Proof|ID:131896368", 2356144, 66009},
 {"Proof|ID:131896368-1", 2356307, 66013},
 {"Proof|ID:375885636", 2356468, 66017},
 {"Proof|ID:375885636-1", 2356629, 66021},
 {"Proof|ID:1449667434", 2356789, 66025},
 {"Proof|ID:1449667434-1", 2356956, 66029},
 {"Proof|ID:1225984057", 2357121, 66033},
 {"Proof|ID:1225984057-1", 2357288, 66037},
 {"ID:1603144769", 2357447, 66041},
 {"ID:1631152012", 2357665, 66047},
 {"empty or prepend seq", 2357926, 66054},
 {"ID:555405947", 2358179, 66061},
 {"empty or append seq", 2358436, 66068},
 {"Proof|ID:1631152012", 2358693, 66075},
 {"Proof|ID:1631152012-1", 2358860, 66079},
 {"Proof|ID:555405947", 2359024, 66083},
 {"Proof|ID:555405947-1", 2359187, 66087},
 {"ID:1927912858", 2359343, 66091},
 {"ID:945414731", 2359560, 66097},
 {"join P seq", 2359805, 66104},
 {"ID:410739149", 2360052, 66111},
 {"prepend P seq", 2360303, 66118},
 {"ID:351192043", 2360553, 66125},
 {"append P seq", 2360802, 66132},
 {"Proof|ID:945414731", 2361057, 66139},
 {"Proof|ID:945414731-1", 2361221, 66143},
 {"Proof|ID:410739149", 2361383, 66147},
 {"Proof|ID:410739149-1", 2361545, 66151},
 {"Proof|ID:351192043", 2361705, 66155},
 {"Proof|ID:351192043-1", 2361869, 66159},
 {"ID:1694974068", 2362026, 66163},
 {"ID:1505247553", 2362244, 66169},
 {"ID:1255331353", 2362462, 66175},
 {"ID:1942795378", 2362680, 66181},
 {"isTuple TupleOf", 2362936, 66188},
 {"ID:1005510912", 2363190, 66195},
 {"TupleOf empty", 2363443, 66202},
 {"ID:1495808200", 2363696, 66209},
 {"E TupleOf", 2363941, 66216},
 {"ID:1914119422", 2364190, 66223},
 {"TupleOf P", 2364435, 66230},
 {"Proof|ID:1942795378", 2364690, 66237},
 {"Proof|ID:1942795378-1", 2364856, 66241},
 {"Proof|ID:1005510912", 2365020, 66245},
 {"Proof|ID:1005510912-1", 2365187, 66249},
 {"Proof|ID:1495808200", 2365352, 66253},
 {"Proof|ID:1495808200-1", 2365518, 66257},
 {"Proof|ID:1914119422", 2365682, 66261},
 {"Proof|ID:1914119422-1", 2365849, 66265},
 {"ID:134279387", 2366007, 66269},
 {"ID:1927530612", 2366223, 66275},
 {"ID:37602445", 2366439, 66281},
 {"ID:1598714500", 2366653, 66287},
 {"length TupleOf", 2366907, 66294},
 {"ID:1101459169", 2367160, 66301},
 {"TupleOf empty II", 2367419, 66308},
 {"ID:1117837722", 2367675, 66315},
 {"index TupleOf", 2367928, 66322},
 {"ID:516149167", 2368180, 66329},
 {"TupleOf=", 2368421, 66336},
 {"ID:177394441", 2368666, 66343},
 {"TupleOf P binary", 2368923, 66350},
 {"ID:548658600", 2369176, 66357},
 {"ID:340261036", 2369391, 66363},
 {"first TupleOf", 2369641, 66370},
 {"ID:124965228", 2369890, 66377},
 {"last TupleOf", 2370138, 66384},
 {"Proof|ID:1598714500", 2370393, 66391},
 {"Proof|ID:1598714500-1", 2370559, 66395},
 {"Proof|ID:1101459169", 2370723, 66399},
 {"Proof|ID:1101459169-1", 2370889, 66403},
 {"Proof|ID:1117837722", 2371053, 66407},
 {"Proof|ID:1117837722-1", 2371220, 66411},
 {"Proof|ID:516149167", 2371384, 66415},
 {"Proof|ID:516149167-1", 2371547, 66419},
 {"Proof|ID:177394441", 2371708, 66423},
 {"Proof|ID:177394441-1", 2371871, 66427},
 {"Proof|ID:340261036", 2372032, 66431},
 {"Proof|ID:340261036-1", 2372195, 66435},
 {"Proof|ID:124965228", 2372356, 66439},
 {"Proof|ID:124965228-1", 2372520, 66443},
 {"ID:1593677557", 2372677, 66447},
 {"ID:748631503", 2372894, 66453},
 {"ID:1717928685", 2373110, 66459},
 {"ID:218966905", 2373327, 66465},
 {"isTuple TupleOf II", 2373587, 66472},
 {"ID:2124778583", 2373842, 66479},
 {"TupleOf empty III", 2374103, 66486},
 {"ID:2096232905", 2374360, 66493},
 {"E TupleOf II", 2374611, 66500},
 {"ID:317090069", 2374862, 66507},
 {"TupleOf P II", 2375111, 66514},
 {"ID:1886070472", 2375361, 66521},
 {"ID:251468957", 2375578, 66527},
 {"length TupleOf II", 2375837, 66534},
 {"ID:1168033220", 2376092, 66541},
 {"index TupleOf II", 2376351, 66548},
 {"ID:894739369", 2376606, 66555},
 {"TupleOf P binary II", 2376869, 66562},
 {"ID:502002218", 2377125, 66569},
 {"ID:2071594661", 2377341, 66575},
 {"isTuple TupleOf III", 2377606, 66582},
 {"ID:520380078", 2377864, 66589},
 {"E TupleOf III", 2378115, 66596},
 {"ID:408639765", 2378365, 66603},
 {"TupleOf P III", 2378616, 66610},
 {"ID:201585227", 2378866, 66617},
 {"ID:881212292", 2379081, 66623},
 {"length TupleOf III", 2379342, 66630},
 {"ID:23356384", 2379596, 66637},
 {"TupleOf=III", 2379841, 66644},
 {"ID:1085673759", 2380088, 66651},
 {"TupleOf empty IV", 2380347, 66658},
 {"ID:1965128634", 2380603, 66665},
 {"TupleOf P binary III", 2380870, 66672},
 {"ID:534711775", 2381129, 66679},
 {"ID:1006778759", 2381345, 66685},
 {"first TupleOf III", 2381605, 66692},
 {"ID:283251415", 2381860, 66699},
 {"last TupleOf III", 2382117, 66706},
 {"Proof|ID:218966905", 2382376, 66713},
 {"Proof|ID:218966905-1", 2382540, 66717},
 {"Proof|ID:2124778583", 2382703, 66721},
 {"Proof|ID:2124778583-1", 2382870, 66725},
 {"Proof|ID:2096232905", 2383035, 66729},
 {"Proof|ID:2096232905-1", 2383202, 66733},
 {"Proof|ID:317090069", 2383366, 66737},
 {"Proof|ID:317090069-1", 2383530, 66741},
 {"Proof|ID:251468957", 2383692, 66745},
 {"Proof|ID:251468957-1", 2383856, 66749},
 {"Proof|ID:1168033220", 2384019, 66753},
 {"Proof|ID:1168033220-1", 2384186, 66757},
 {"Proof|ID:894739369", 2384350, 66761},
 {"Proof|ID:894739369-1", 2384514, 66765},
 {"Proof|ID:2071594661", 2384677, 66769},
 {"Proof|ID:2071594661-1", 2384844, 66773},
 {"Proof|ID:520380078", 2385008, 66777},
 {"Proof|ID:520380078-1", 2385172, 66781},
 {"Proof|ID:408639765", 2385334, 66785},
 {"Proof|ID:408639765-1", 2385498, 66789},
 {"Proof|ID:881212292", 2385660, 66793},
 {"Proof|ID:881212292-1", 2385824, 66797},
 {"Proof|ID:23356384", 2385985, 66801},
 {"Proof|ID:23356384-1", 2386145, 66805},
 {"Proof|ID:1085673759", 2386305, 66809},
 {"Proof|ID:1085673759-1", 2386472, 66813},
 {"Proof|ID:1965128634", 2386637, 66817},
 {"Proof|ID:1965128634-1", 2386804, 66821},
 {"Proof|ID:1006778759", 2386969, 66825},
 {"Proof|ID:1006778759-1", 2387135, 66829},
 {"Proof|ID:283251415", 2387298, 66833},
 {"Proof|ID:283251415-1", 2387461, 66837},
 {"ID:1263200977", 2387617, 66841},
 {"ID:1482990827", 2387835, 66847},
 {"ID:288335744", 2388052, 66853},
 {"TupleOf join", 2388301, 66860},
 {"ID:1725599731", 2388551, 66867},
 {"TupleOf join 2", 2388800, 66874},
 {"Proof|ID:1725599731", 2389054, 66881},
 {"Proof|ID:1725599731-1", 2389221, 66885},
 {"Proof|ID:288335744", 2389385, 66889},
 {"Proof|ID:288335744-1", 2389548, 66893},
 {"ID:943582632", 2389703, 66897},
 {"ID:1766309993", 2389919, 66903},
 {"ID:176463151", 2390136, 66909},
 {"sum append", 2390381, 66916},
 {"ID:803576507", 2390628, 66923},
 {"sum append 2", 2390871, 66930},
 {"ID:1626050428", 2391115, 66937},
 {"sum most", 2391358, 66944},
 {"Proof|ID:176463151", 2391611, 66951},
 {"Proof|ID:176463151-1", 2391774, 66955},
 {"Proof|ID:803576507", 2391935, 66959},
 {"Proof|ID:803576507-1", 2392098, 66963},
 {"Proof|ID:1626050428", 2392260, 66967},
 {"Proof|ID:1626050428-1", 2392426, 66971},
 {"ID:15531077", 2392582, 66975},
 {"ID:883103966", 2392795, 66981},
 {"sum TupleOf", 2393042, 66988},
 {"ID:618251189", 2393290, 66995},
 {"ID:1893863329", 2393506, 67001},
 {"ID:1650642628", 2393724, 67007},
 {"sum TupleOf unary", 2393985, 67014},
 {"ID:829035443", 2394241, 67021},
 {"sum TupleOf 2", 2394486, 67028},
 {"Proof|ID:883103966", 2394736, 67035},
 {"Proof|ID:883103966-1", 2394899, 67039},
 {"Proof|ID:1650642628", 2395061, 67043},
 {"Proof|ID:1650642628-1", 2395228, 67047},
 {"Proof|ID:829035443", 2395392, 67051},
 {"Proof|ID:829035443-1", 2395556, 67055},
 {"ID:1347349396", 2395713, 67059},
 {"ID:676444026", 2395930, 67065},
 {"induction tuples ind", 2396189, 67072},
 {"ID:1530142946", 2396441, 67079},
 {"induction tuples append", 2396714, 67086},
 {"ID:1549052502", 2396977, 67093},
 {"induction tuples prepend", 2397252, 67100},
 {"ID:734563828", 2397515, 67107},
 {"induction tuples most", 2397782, 67114},
 {"ID:972583102", 2398040, 67121},
 {"induction tuples rest", 2398307, 67128},
 {"ID:659908364", 2398565, 67135},
 {"induction tuples non-empty rest", 2398852, 67142},
 {"ID:14041309", 2399119, 67149},
 {"induction tuples rest seq", 2399392, 67156},
 {"Proof|ID:676444026", 2399658, 67163},
 {"Proof|ID:676444026-1", 2399820, 67167},
 {"Proof|ID:1530142946", 2399981, 67171},
 {"Proof|ID:1530142946-1", 2400148, 67175},
 {"Proof|ID:1549052502", 2400313, 67179},
 {"Proof|ID:1549052502-1", 2400479, 67183},
 {"Proof|ID:734563828", 2400642, 67187},
 {"Proof|ID:734563828-1", 2400805, 67191},
 {"Proof|ID:972583102", 2400966, 67195},
 {"Proof|ID:972583102-1", 2401130, 67199},
 {"Proof|ID:659908364", 2401292, 67203},
 {"Proof|ID:659908364-1", 2401455, 67207},
 {"Proof|ID:14041309", 2401615, 67211},
 {"Proof|ID:14041309-1", 2401775, 67215},
 {"ID:710342238", 2401928, 67219},
 {"binary relation trivial tuples rest seq", 2402226, 67226},
 {"Proof|ID:710342238", 2402503, 67233},
 {"Proof|ID:710342238-1", 2402667, 67237},
 {"ID:1796849533", 2402824, 67241},
 {"isSet TupleToSet", 2403082, 67248},
 {"ID:175665072", 2403336, 67255},
 {"\[Element] TupleToSet", 2403603, 67262},
 {"ID:460986674", 2403861, 67269},
 {"TupleToSet TupleOf", 2404122, 67276},
 {"ID:173666830", 2404377, 67283},
 {"TupleToSet join", 2404632, 67290},
 {"ID:201212584", 2404884, 67297},
 {"TupleToSet empty", 2405140, 67304},
 {"ID:1943524802", 2405393, 67311},
 {"TupleToSet singleton", 2405660, 67318},
 {"ID:809409004", 2405919, 67325},
 {"TupleToSet append", 2406178, 67332},
 {"ID:47406400", 2406431, 67339},
 {"TupleToSet isFinite", 2406691, 67346},
 {"Proof|ID:1796849533", 2406951, 67353},
 {"Proof|ID:1796849533-1", 2407116, 67357},
 {"Proof|ID:175665072", 2407278, 67361},
 {"Proof|ID:175665072-1", 2407440, 67365},
 {"Proof|ID:460986674", 2407600, 67369},
 {"Proof|ID:460986674-1", 2407763, 67373},
 {"Proof|ID:173666830", 2407924, 67377},
 {"Proof|ID:173666830-1", 2408086, 67381},
 {"Proof|ID:201212584", 2408246, 67385},
 {"Proof|ID:201212584-1", 2408408, 67389},
 {"Proof|ID:1943524802", 2408569, 67393},
 {"Proof|ID:1943524802-1", 2408734, 67397},
 {"Proof|ID:809409004", 2408896, 67401},
 {"Proof|ID:809409004-1", 2409058, 67405},
 {"Proof|ID:47406400", 2409217, 67409},
 {"Proof|ID:47406400-1", 2409375, 67413},
 {"ID:1116878701", 2409527, 67417},
 {"ID:976871574", 2409744, 67423},
 {"ID:1792308841", 2409960, 67429},
 {"Tuples decision predicate", 2410231, 67436},
 {"ID:734182331", 2410489, 67443},
 {"Tuples \[Succeeds]", 2410744, 67450},
 {"ID:50337709", 2410992, 67457},
 {"Tuples \[Precedes]", 2411245, 67464},
 {"ID:290651172", 2411492, 67471},
 {"ID:963340119", 2411707, 67477},
 {"ID:2118739683", 2411923, 67483},
 {"ID:1752643636", 2412141, 67489},
 {"DomainTuples decision predicate", 2412424, 67496},
 {"ID:1806819834", 2412689, 67503},
 {"DomainTuples <<", 2412940, 67510},
 {"ID:410422280", 2413188, 67517},
 {"DomainTuples >>", 2413437, 67524},
 {"ID:232548980", 2413683, 67531},
 {"ID:1071152688", 2413899, 67537},
 {"Tuples \[Succeeds] prepend seq", 2414186, 67544},
 {"ID:108993772", 2414455, 67551},
 {"Tuples \[Succeeds] append seq", 2414738, 67558},
 {"Proof|ID:1071152688", 2415011, 67565},
 {"Proof|ID:1071152688-1", 2415177, 67569},
 {"Proof|ID:108993772", 2415340, 67573},
 {"Proof|ID:108993772-1", 2415503, 67577},
 {"ID:1208674976", 2415659, 67581},
 {"Tuples \[Succeeds] isPartIrreflOrder", 2415952, 67588},
 {"ID:144999145", 2416221, 67595},
 {"Tuples \[Succeeds] isNoetherian", 2416502, 67602},
 {"Proof|ID:1208674976", 2416771, 67609},
 {"Proof|ID:1208674976-1", 2416937, 67613},
 {"Proof|ID:144999145", 2417100, 67617},
 {"Proof|ID:144999145-1", 2417263, 67621},
 {"ID:1005434988", 2417419, 67625},
 {"ID:228053728", 2417636, 67631},
 {"ID:1717060871", 2417852, 67637},
 {"ID:1649645401", 2418070, 67643},
 {"DomainTuples E", 2418325, 67650},
 {"ID:1383999666", 2418579, 67657},
 {"DomainTuples join", 2418840, 67664},
 {"ID:1424148745", 2419097, 67671},
 {"DomainTuples append", 2419362, 67678},
 {"ID:1871123021", 2419621, 67685},
 {"DomainTuples prepend", 2419888, 67692},
 {"ID:752441053", 2420147, 67699},
 {"DomainTuples rest", 2420406, 67706},
 {"ID:1694879508", 2420661, 67713},
 {"DomainTuples most", 2420922, 67720},
 {"ID:2011690260", 2421179, 67727},
 {"DomainTuples reverse", 2421446, 67734},
 {"ID:1915001232", 2421706, 67741},
 {"DomainTuples join seq", 2421975, 67748},
 {"ID:232482705", 2422235, 67755},
 {"DomainTuples append seq", 2422506, 67762},
 {"ID:64883103", 2422765, 67769},
 {"DomainTuples prepend seq", 2423036, 67776},
 {"ID:372047052", 2423295, 67783},
 {"DomainSets TupleToSet", 2423562, 67790},
 {"Proof|ID:1649645401", 2423827, 67797},
 {"Proof|ID:1649645401-1", 2423993, 67801},
 {"Proof|ID:1383999666", 2424157, 67805},
 {"Proof|ID:1383999666-1", 2424324, 67809},
 {"Proof|ID:1424148745", 2424489, 67813},
 {"Proof|ID:1424148745-1", 2424655, 67817},
 {"Proof|ID:1871123021", 2424819, 67821},
 {"Proof|ID:1871123021-1", 2424984, 67825},
 {"Proof|ID:752441053", 2425146, 67829},
 {"Proof|ID:752441053-1", 2425309, 67833},
 {"Proof|ID:1694879508", 2425471, 67837},
 {"Proof|ID:1694879508-1", 2425638, 67841},
 {"Proof|ID:2011690260", 2425803, 67845},
 {"Proof|ID:2011690260-1", 2425969, 67849},
 {"Proof|ID:1915001232", 2426133, 67853},
 {"Proof|ID:1915001232-1", 2426300, 67857},
 {"Proof|ID:232482705", 2426464, 67861},
 {"Proof|ID:232482705-1", 2426628, 67865},
 {"Proof|ID:64883103", 2426789, 67869},
 {"Proof|ID:64883103-1", 2426950, 67873},
 {"Proof|ID:372047052", 2427110, 67877},
 {"Proof|ID:372047052-1", 2427272, 67881},
 {"ID:925810378", 2427426, 67885},
 {"ID:2034256835", 2427642, 67891},
 {"induction DomainTuples ind", 2427915, 67898},
 {"ID:2052980984", 2428175, 67905},
 {"induction DomainTuples append", 2428460, 67912},
 {"ID:480000138", 2428728, 67919},
 {"induction DomainTuples append 2", 2429016, 67926},
 {"ID:1988740441", 2429286, 67933},
 {"induction DomainTuples rest seq", 2429575, 67940},
 {"Proof|ID:2034256835", 2429852, 67947},
 {"Proof|ID:2034256835-1", 2430019, 67951},
 {"Proof|ID:2052980984", 2430184, 67955},
 {"Proof|ID:2052980984-1", 2430350, 67959},
 {"Proof|ID:480000138", 2430513, 67963},
 {"Proof|ID:480000138-1", 2430678, 67967},
 {"Proof|ID:1988740441", 2430842, 67971},
 {"Proof|ID:1988740441-1", 2431008, 67975},
 {"ID:52429673", 2431164, 67979},
 {"Tuples \[Succeeds] isPartIrreflOrder DomainTuples", 2431479, 67986},
 {"ID:69834405", 2431756, 67993},
 {"Tuples \[Succeeds] isNoetherian DomainTuples", 2432061, 68000},
 {"Proof|ID:52429673", 2432339, 68007},
 {"Proof|ID:52429673-1", 2432497, 68011},
 {"Proof|ID:69834405", 2432653, 68015},
 {"Proof|ID:69834405-1", 2432812, 68019},
 {"ID:169398667", 2432964, 68023},
 {"DomainTuples n+1 append", 2433229, 68030},
 {"ID:322989025", 2433483, 68037},
 {"ID:21488136", 2433697, 68043},
 {"DomainTuples isDomain ind", 2433964, 68050},
 {"ID:149029649", 2434218, 68057},
 {"DomainTuples isDomain", 2434478, 68064},
 {"Proof|ID:169398667", 2434735, 68071},
 {"Proof|ID:169398667-1", 2434897, 68075},
 {"Proof|ID:21488136", 2435056, 68079},
 {"Proof|ID:21488136-1", 2435216, 68083},
 {"Proof|ID:149029649", 2435375, 68087},
 {"Proof|ID:149029649-1", 2435536, 68091},
 {"ID:281029623", 2435689, 68095},
 {"ID:2053740245", 2435905, 68101},
 {"\[Sum] tuples domain", 2436172, 68108},
 {"Proof|ID:2053740245", 2436438, 68115},
 {"Proof|ID:2053740245-1", 2436603, 68119},
 {"ID:1812573889", 2436760, 68123},
 {"ID:850429787", 2436977, 68129},
 {"\[Sum] tuples splitting I", 2437252, 68136},
 {"ID:1070084809", 2437515, 68143},
 {"\[Sum] tuples splitting II", 2437794, 68150},
 {"ID:1286863438", 2438060, 68157},
 {"\[Sum] tuples append", 2438327, 68164},
 {"ID:1880290617", 2438587, 68171},
 {"ID:654350327", 2438805, 68177},
 {"\[Sum] tuples splitting III", 2439084, 68184},
 {"ID:309986851", 2439348, 68191},
 {"\[Sum] join", 2439595, 68198},
 {"Proof|ID:850429787", 2439849, 68205},
 {"Proof|ID:850429787-1", 2440012, 68209},
 {"Proof|ID:1070084809", 2440174, 68213},
 {"Proof|ID:1070084809-1", 2440340, 68217},
 {"Proof|ID:1286863438", 2440504, 68221},
 {"Proof|ID:1286863438-1", 2440670, 68225},
 {"Proof|ID:654350327", 2440833, 68229},
 {"Proof|ID:654350327-1", 2440997, 68233},
 {"Proof|ID:309986851", 2441159, 68237},
 {"Proof|ID:309986851-1", 2441323, 68241},
 {"ID:1738240000", 2441480, 68245},
 {"ID:870134514", 2441698, 68251},
 {"\[Sum] TupleOf II", 2441957, 68258},
 {"ID:1688189650", 2442212, 68265},
 {"\[Sum] TupleOf III", 2442475, 68272},
 {"Proof|ID:870134514", 2442738, 68279},
 {"Proof|ID:870134514-1", 2442902, 68283},
 {"Proof|ID:1688189650", 2443065, 68287},
 {"Proof|ID:1688189650-1", 2443231, 68291},
 {"ID:6091443", 2443386, 68295},
 {"ID:5152788", 2443595, 68301},
 {"ID:459374459", 2443806, 68307},
 {"min pair", 2444041, 68314},
 {"ID:845525504", 2444280, 68321},
 {"max pair", 2444515, 68328},
 {"ID:261689886", 2444754, 68335},
 {"ID:781169161", 2444969, 68341},
 {"min identical", 2445219, 68348},
 {"ID:229791028", 2445468, 68355},
 {"max identical", 2445718, 68362},
 {"Proof|ID:781169161", 2445973, 68369},
 {"Proof|ID:781169161-1", 2446135, 68373},
 {"Proof|ID:229791028", 2446295, 68377},
 {"Proof|ID:229791028-1", 2446457, 68381},
 {"ID:102682926", 2446611, 68385},
 {"ID:10580625", 2446825, 68391},
 {"membership min", 2447076, 68398},
 {"ID:50619968", 2447324, 68405},
 {"membership max", 2447575, 68412},
 {"Proof|ID:10580625", 2447829, 68419},
 {"Proof|ID:10580625-1", 2447989, 68423},
 {"Proof|ID:50619968", 2448147, 68427},
 {"Proof|ID:50619968-1", 2448307, 68431},
 {"ID:879231940", 2448460, 68435},
 {"ID:12810555", 2448674, 68441},
 {"max \[Element] \[DoubleStruckCapitalZ]", 2448966, 68448},
 {"ID:82857207", 2449231, 68455},
 {"max \[DoubleStruckCapitalZ] comm", 2449512, 68462},
 {"ID:201025959", 2449773, 68469},
 {"max \[DoubleStruckCapitalZ] \[GreaterEqual] 1", 2450082, 68476},
 {"ID:64253862", 2450357, 68483},
 {"max \[DoubleStruckCapitalZ] \[GreaterEqual] 2", 2450664, 68490},
 {"ID:54073160", 2450937, 68497},
 {"max \[DoubleStruckCapitalZ] \[LessEqual]", 2451234, 68504},
 {"Proof|ID:12810555", 2451508, 68511},
 {"Proof|ID:12810555-1", 2451666, 68515},
 {"Proof|ID:82857207", 2451822, 68519},
 {"Proof|ID:82857207-1", 2451982, 68523},
 {"Proof|ID:201025959", 2452141, 68527},
 {"Proof|ID:201025959-1", 2452304, 68531},
 {"Proof|ID:64253862", 2452464, 68535},
 {"Proof|ID:64253862-1", 2452624, 68539},
 {"Proof|ID:54073160", 2452782, 68543},
 {"Proof|ID:54073160-1", 2452941, 68547},
 {"ID:943867900", 2453093, 68551},
 {"ID:152254973", 2453309, 68557},
 {"isChain", 2453542, 68564},
 {"ID:130970035", 2453780, 68571},
 {"isChainBelow", 2454023, 68578}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 108, 2, 84, "Title",
 CellID->50543368],
Cell[CellGroupData[{
Cell[712, 28, 116, 2, 73, "Section",
 CellID->909929215],
Cell[CellGroupData[{
Cell[853, 34, 125, 2, 70, "Subsection",
 CellID->304735566],
Cell[981, 38, 344, 8, 70, "Input",
 CellID->498486718],
Cell[1328, 48, 308, 8, 70, "Input",
 CellID->34967564],
Cell[1639, 58, 369, 8, 70, "Input",
 CellID->248106166],
Cell[2011, 68, 305, 8, 70, "Input",
 CellID->242592210],
Cell[2319, 78, 366, 8, 70, "Input",
 CellID->693893442],
Cell[2688, 88, 153, 3, 70, "Input",
 CellID->848912120],
Cell[2844, 93, 155, 3, 70, "Input",
 CellID->307882976],
Cell[3002, 98, 157, 3, 70, "Input",
 CellID->634255394],
Cell[3162, 103, 155, 3, 70, "Input",
 CellID->886073058],
Cell[CellGroupData[{
Cell[3342, 110, 1648, 35, 70, "Input",
 CellID->20666029],
Cell[4993, 147, 211, 5, 70, "Output",
 CellID->70626392]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[5253, 158, 124, 2, 70, "Subsection",
 CellID->1386333768],
Cell[CellGroupData[{
Cell[5402, 164, 248, 6, 70, "Input",
 CellID->239327779],
Cell[CellGroupData[{
Cell[5675, 174, 636, 13, 70, "Print",
 CellID->495302487],
Cell[6314, 189, 340, 7, 70, "Print",
 CellID->113850683],
Cell[6657, 198, 632, 13, 70, "Print",
 CellID->3512850],
Cell[7292, 213, 606, 12, 70, "Print",
 CellID->136820345],
Cell[7901, 227, 342, 7, 70, "Print",
 CellID->261516723],
Cell[8246, 236, 612, 12, 70, "Print",
 CellID->159040129],
Cell[8861, 250, 339, 7, 70, "Print",
 CellID->31681557],
Cell[9203, 259, 621, 12, 70, "Print",
 CellID->51977960],
Cell[9827, 273, 342, 7, 70, "Print",
 CellID->105325951],
Cell[10172, 282, 343, 7, 70, "Print",
 CellID->87912097],
Cell[10518, 291, 346, 7, 70, "Print",
 CellID->442946657],
Cell[10867, 300, 346, 7, 70, "Print",
 CellID->318632134],
Cell[11216, 309, 638, 13, 70, "Print",
 CellID->636963458],
Cell[11857, 324, 339, 7, 70, "Print",
 CellID->18678730],
Cell[12199, 333, 342, 7, 70, "Print",
 CellID->854988883],
Cell[12544, 342, 610, 12, 70, "Print",
 CellID->780979585],
Cell[13157, 356, 342, 7, 70, "Print",
 CellID->528472820],
Cell[13502, 365, 342, 7, 70, "Print",
 CellID->110273416],
Cell[13847, 374, 614, 12, 70, "Print",
 CellID->147831929],
Cell[14464, 388, 342, 7, 70, "Print",
 CellID->345930829],
Cell[14809, 397, 344, 7, 70, "Print",
 CellID->198440373],
Cell[15156, 406, 347, 7, 70, "Print",
 CellID->14567254],
Cell[15506, 415, 346, 7, 70, "Print",
 CellID->847250896],
Cell[15855, 424, 622, 12, 70, "Print",
 CellID->442925326],
Cell[16480, 438, 344, 7, 70, "Print",
 CellID->131014108],
Cell[16827, 447, 346, 7, 70, "Print",
 CellID->786951727],
Cell[17176, 456, 347, 7, 70, "Print",
 CellID->13951939],
Cell[17526, 465, 346, 7, 70, "Print",
 CellID->208919274],
Cell[17875, 474, 346, 7, 70, "Print",
 CellID->355703673],
Cell[18224, 483, 609, 12, 70, "Print",
 CellID->36416549],
Cell[18836, 497, 344, 7, 70, "Print",
 CellID->829014633],
Cell[19183, 506, 346, 7, 70, "Print",
 CellID->303149732],
Cell[19532, 515, 348, 7, 70, "Print",
 CellID->308296164],
Cell[19883, 524, 345, 7, 70, "Print",
 CellID->36017761],
Cell[20231, 533, 348, 7, 70, "Print",
 CellID->314040316],
Cell[20582, 542, 348, 7, 70, "Print",
 CellID->106332875],
Cell[20933, 551, 617, 12, 70, "Print",
 CellID->62918148],
Cell[21553, 565, 344, 7, 70, "Print",
 CellID->678665750],
Cell[21900, 574, 346, 7, 70, "Print",
 CellID->434880647],
Cell[22249, 583, 345, 7, 70, "Print",
 CellID->542895974],
Cell[22597, 592, 348, 7, 70, "Print",
 CellID->310605624],
Cell[22948, 601, 348, 7, 70, "Print",
 CellID->428875235],
Cell[23299, 610, 347, 7, 70, "Print",
 CellID->80850911],
Cell[23649, 619, 346, 7, 70, "Print",
 CellID->404819495],
Cell[23998, 628, 616, 12, 70, "Print",
 CellID->119069019],
Cell[24617, 642, 342, 7, 70, "Print",
 CellID->299357270],
Cell[24962, 651, 346, 7, 70, "Print",
 CellID->404082581],
Cell[25311, 660, 348, 7, 70, "Print",
 CellID->212958488],
Cell[25662, 669, 346, 7, 70, "Print",
 CellID->520555591],
Cell[26011, 678, 624, 12, 70, "Print",
 CellID->173446173],
Cell[26638, 692, 342, 7, 70, "Print",
 CellID->448840574],
Cell[26983, 701, 344, 7, 70, "Print",
 CellID->353799852],
Cell[27330, 710, 348, 7, 70, "Print",
 CellID->624101682],
Cell[27681, 719, 347, 7, 70, "Print",
 CellID->23938686],
Cell[28031, 728, 348, 7, 70, "Print",
 CellID->197628336],
Cell[28382, 737, 616, 12, 70, "Print",
 CellID->359538735],
Cell[29001, 751, 342, 7, 70, "Print",
 CellID->132889645],
Cell[29346, 760, 608, 12, 70, "Print",
 CellID->183277007],
Cell[29957, 774, 342, 7, 70, "Print",
 CellID->555114858],
Cell[30302, 783, 344, 7, 70, "Print",
 CellID->824744038],
Cell[30649, 792, 345, 7, 70, "Print",
 CellID->27461675],
Cell[30997, 801, 346, 7, 70, "Print",
 CellID->684247398],
Cell[31346, 810, 348, 7, 70, "Print",
 CellID->242317579],
Cell[31697, 819, 145, 2, 70, "Print",
 CellID->569575396],
Cell[31845, 823, 132, 2, 70, "Print",
 CellID->27313368],
Cell[31980, 827, 334, 7, 70, "Print",
 CellID->170277167],
Cell[32317, 836, 336, 7, 70, "Print",
 CellID->121026568],
Cell[32656, 845, 338, 7, 70, "Print",
 CellID->629334482],
Cell[32997, 854, 340, 7, 70, "Print",
 CellID->188536329],
Cell[33340, 863, 340, 7, 70, "Print",
 CellID->208766851],
Cell[33683, 872, 340, 7, 70, "Print",
 CellID->482295077],
Cell[34026, 881, 340, 7, 70, "Print",
 CellID->316903304],
Cell[34369, 890, 338, 7, 70, "Print",
 CellID->514134020],
Cell[34710, 899, 338, 7, 70, "Print",
 CellID->677916522],
Cell[35051, 908, 338, 7, 70, "Print",
 CellID->231133568],
Cell[35392, 917, 340, 7, 70, "Print",
 CellID->337953275],
Cell[35735, 926, 340, 7, 70, "Print",
 CellID->818287579],
Cell[36078, 935, 339, 7, 70, "Print",
 CellID->10888422],
Cell[36420, 944, 340, 7, 70, "Print",
 CellID->569876692],
Cell[36763, 953, 338, 7, 70, "Print",
 CellID->261048490],
Cell[37104, 962, 338, 7, 70, "Print",
 CellID->533127801],
Cell[37445, 971, 338, 7, 70, "Print",
 CellID->119885292],
Cell[37786, 980, 338, 7, 70, "Print",
 CellID->427530605],
Cell[38127, 989, 338, 7, 70, "Print",
 CellID->288255677],
Cell[38468, 998, 340, 7, 70, "Print",
 CellID->673640050],
Cell[38811, 1007, 341, 7, 70, "Print",
 CellID->21332070],
Cell[39155, 1016, 341, 7, 70, "Print",
 CellID->26234295],
Cell[39499, 1025, 341, 7, 70, "Print",
 CellID->35715519],
Cell[39843, 1034, 339, 7, 70, "Print",
 CellID->56540544],
Cell[40185, 1043, 340, 7, 70, "Print",
 CellID->277931392],
Cell[40528, 1052, 340, 7, 70, "Print",
 CellID->747837353],
Cell[40871, 1061, 339, 7, 70, "Print",
 CellID->111429453],
Cell[41213, 1070, 342, 7, 70, "Print",
 CellID->400582419],
Cell[41558, 1079, 340, 7, 70, "Print",
 CellID->433836057],
Cell[41901, 1088, 341, 7, 70, "Print",
 CellID->37846757],
Cell[42245, 1097, 340, 7, 70, "Print",
 CellID->7475552],
Cell[42588, 1106, 338, 7, 70, "Print",
 CellID->2306735],
Cell[42929, 1115, 340, 7, 70, "Print",
 CellID->300657786],
Cell[43272, 1124, 339, 7, 70, "Print",
 CellID->148383314],
Cell[43614, 1133, 340, 7, 70, "Print",
 CellID->139937937],
Cell[43957, 1142, 339, 7, 70, "Print",
 CellID->30267865],
Cell[44299, 1151, 339, 7, 70, "Print",
 CellID->95169552],
Cell[44641, 1160, 339, 7, 70, "Print",
 CellID->99159376],
Cell[44983, 1169, 342, 7, 70, "Print",
 CellID->285591755],
Cell[45328, 1178, 342, 7, 70, "Print",
 CellID->232367516],
Cell[45673, 1187, 339, 7, 70, "Print",
 CellID->249840984],
Cell[46015, 1196, 339, 7, 70, "Print",
 CellID->33080803],
Cell[46357, 1205, 339, 7, 70, "Print",
 CellID->27196997],
Cell[46699, 1214, 340, 7, 70, "Print",
 CellID->482783205],
Cell[47042, 1223, 338, 7, 70, "Print",
 CellID->6044833],
Cell[47383, 1232, 342, 7, 70, "Print",
 CellID->451516143],
Cell[47728, 1241, 342, 7, 70, "Print",
 CellID->532159685],
Cell[48073, 1250, 342, 7, 70, "Print",
 CellID->626802950],
Cell[48418, 1259, 342, 7, 70, "Print",
 CellID->280646069],
Cell[48763, 1268, 340, 7, 70, "Print",
 CellID->163881391],
Cell[49106, 1277, 340, 7, 70, "Print",
 CellID->631846311],
Cell[49449, 1286, 340, 7, 70, "Print",
 CellID->375199346],
Cell[49792, 1295, 340, 7, 70, "Print",
 CellID->209580235],
Cell[50135, 1304, 340, 7, 70, "Print",
 CellID->225340916],
Cell[50478, 1313, 340, 7, 70, "Print",
 CellID->4669699],
Cell[50821, 1322, 340, 7, 70, "Print",
 CellID->202359909],
Cell[51164, 1331, 339, 7, 70, "Print",
 CellID->23624893],
Cell[51506, 1340, 339, 7, 70, "Print",
 CellID->57489851],
Cell[51848, 1349, 340, 7, 70, "Print",
 CellID->1307485],
Cell[52191, 1358, 342, 7, 70, "Print",
 CellID->777967040],
Cell[52536, 1367, 340, 7, 70, "Print",
 CellID->776972137],
Cell[52879, 1376, 339, 7, 70, "Print",
 CellID->903755207],
Cell[53221, 1385, 340, 7, 70, "Print",
 CellID->221384289],
Cell[53564, 1394, 342, 7, 70, "Print",
 CellID->235387064],
Cell[53909, 1403, 342, 7, 70, "Print",
 CellID->328164113],
Cell[54254, 1412, 342, 7, 70, "Print",
 CellID->172645899],
Cell[54599, 1421, 340, 7, 70, "Print",
 CellID->267492785],
Cell[54942, 1430, 342, 7, 70, "Print",
 CellID->220819486],
Cell[55287, 1439, 145, 2, 70, "Print",
 CellID->472991788],
Cell[55435, 1443, 124, 2, 70, "Print",
 CellID->166951591]
}, Open  ]],
Cell[55574, 1448, 204, 6, 70, "Output",
 CellID->723000682]
}, Closed]],
Cell[CellGroupData[{
Cell[55815, 1459, 512, 9, 70, "Input",
 CellID->1039312110],
Cell[CellGroupData[{
Cell[56352, 1472, 582, 12, 70, "Print",
 CellID->104451177],
Cell[56937, 1486, 319, 7, 70, "Print",
 CellID->46925183],
Cell[57259, 1495, 322, 7, 70, "Print",
 CellID->240636965],
Cell[57584, 1504, 323, 7, 70, "Print",
 CellID->23743740],
Cell[57910, 1513, 322, 7, 70, "Print",
 CellID->193945301],
Cell[58235, 1522, 324, 7, 70, "Print",
 CellID->381402979],
Cell[58562, 1531, 324, 7, 70, "Print",
 CellID->416699565],
Cell[58889, 1540, 121, 2, 70, "Print",
 CellID->148754918],
Cell[59013, 1544, 110, 2, 70, "Print",
 CellID->91462047],
Cell[59126, 1548, 309, 7, 70, "Print",
 CellID->77542082],
Cell[59438, 1557, 309, 7, 70, "Print",
 CellID->17254080],
Cell[59750, 1566, 312, 7, 70, "Print",
 CellID->145542134],
Cell[60065, 1575, 314, 7, 70, "Print",
 CellID->112430093],
Cell[60382, 1584, 314, 7, 70, "Print",
 CellID->154604065],
Cell[60699, 1593, 312, 7, 70, "Print",
 CellID->202641492],
Cell[61014, 1602, 314, 7, 70, "Print",
 CellID->139516002],
Cell[61331, 1611, 314, 7, 70, "Print",
 CellID->265056138],
Cell[61648, 1620, 314, 7, 70, "Print",
 CellID->203318348],
Cell[61965, 1629, 312, 7, 70, "Print",
 CellID->217517853],
Cell[62280, 1638, 120, 2, 70, "Print",
 CellID->10988251],
Cell[62403, 1642, 119, 2, 70, "Print",
 CellID->19321442],
Cell[62525, 1646, 125, 2, 70, "Print",
 CellID->337244951],
Cell[62653, 1650, 124, 2, 70, "Print",
 CellID->572710730],
Cell[62780, 1654, 111, 2, 70, "Print",
 CellID->466386663],
Cell[62894, 1658, 306, 7, 70, "Print",
 CellID->602105049],
Cell[63203, 1667, 102, 2, 70, "Print",
 CellID->213563664]
}, Open  ]],
Cell[63320, 1672, 148, 3, 70, "Output",
 CellID->59314207]
}, Closed]],
Cell[63483, 1678, 178, 4, 70, "Input",
 CellID->2077551358],
Cell[CellGroupData[{
Cell[63686, 1686, 397, 8, 70, "Input",
 CellID->1909803754],
Cell[64086, 1696, 736, 12, 70, "Output",
 CellID->367028]
}, Open  ]],
Cell[64837, 1711, 586, 15, 70, "Input",
 CellID->1780799392],
Cell[CellGroupData[{
Cell[65448, 1730, 496, 12, 70, "Input",
 CellID->63220416],
Cell[65947, 1744, 143, 3, 70, "Output",
 CellID->729208194]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[66139, 1753, 128, 2, 70, "Subsection",
 CellID->1454182661],
Cell[66270, 1757, 1032, 26, 70, "Input",
 CellID->2074904605],
Cell[67305, 1785, 416, 9, 70, "Input",
 CellID->1980565193],
Cell[67724, 1796, 169, 3, 70, "Input",
 CellID->444074165],
Cell[67896, 1801, 309, 6, 70, "Input",
 CellID->584704106]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[68254, 1813, 307, 6, 43, "Section",
 CellID->1201206682],
Cell[CellGroupData[{
Cell[68586, 1823, 122, 2, 38, "Subsection",
 CellID->543570659],
Cell[68711, 1827, 556, 12, 44, "Text",
 CellID->336975696],
Cell[69270, 1841, 47, 1, 12, "OpenEnvironment",
 CellID->355205506],
Cell[CellGroupData[{
Cell[69342, 1846, 379, 9, 43, "EnvironmentHeader",
 CellID->18046268],
Cell[69724, 1857, 1856, 62, 41, "FormalTextInputFormula",
 CellTags->{
  "ID:649680989", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple induction", "IR"},
 CellID->649680989],
Cell[71583, 1921, 744, 20, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:23375335", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Nil isTuple"},
 CellID->23375335],
Cell[72330, 1943, 779, 21, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:256666213", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Not] Nil isSet"},
 CellID->256666213],
Cell[73112, 1966, 687, 17, 33, "GlobalDeclaration",
 CellTags->{
  "ID:494401940", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->494401940],
Cell[73802, 1985, 798, 22, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:80140108", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Cons isTuple"},
 CellID->80140108],
Cell[74603, 2009, 838, 23, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:855820982", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Not] Cons isSet"},
 CellID->855820982],
Cell[75444, 2034, 820, 23, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:22018468", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Cons \[NotEqual] Nil"},
 CellID->22018468],
Cell[76267, 2059, 1420, 47, 33, "FormalTextInputFormula",
 CellTags->{
  "ID:128498950", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Cons injective"},
 CellID->128498950],
Cell[77690, 2108, 65, 1, 26, "EndEnvironmentMarker",
 CellID->513032255]
}, Open  ]],
Cell[77770, 2112, 47, 1, 16, "CloseEnvironment",
 CellID->66240236],
Cell[77820, 2115, 47, 1, 12, "OpenEnvironment",
 CellID->513504325],
Cell[CellGroupData[{
Cell[77892, 2120, 373, 9, 43, "EnvironmentHeader",
 CellID->183332416],
Cell[78268, 2131, 656, 16, 31, "GlobalDeclaration",
 CellTags->{
  "ID:675750488", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->675750488],
Cell[78927, 2149, 854, 25, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:152717330", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tupRec Nil"},
 CellID->152717330],
Cell[79784, 2176, 1312, 40, 33, "FormalTextInputFormula",
 CellTags->{
  "ID:177449370", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tupRec Cons"},
 CellID->177449370],
Cell[81099, 2218, 65, 1, 26, "EndEnvironmentMarker",
 CellID->112258687]
}, Open  ]],
Cell[81179, 2222, 48, 1, 16, "CloseEnvironment",
 CellID->295545407],
Cell[81230, 2225, 243, 7, 25, "Text",
 CellID->346995913],
Cell[81476, 2234, 47, 1, 12, "OpenEnvironment",
 CellID->120034135],
Cell[CellGroupData[{
Cell[81548, 2239, 383, 9, 43, "EnvironmentHeader",
 CellID->297299594],
Cell[81934, 2250, 689, 17, 33, "GlobalDeclaration",
 CellTags->{
  "ID:703726822", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->703726822],
Cell[82626, 2269, 813, 24, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:29057684", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index base"},
 CellID->29057684],
Cell[83442, 2295, 1070, 33, 30, "FormalTextInputFormula",
 CellTags->{
  "ID:381428117", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index step"},
 CellID->381428117],
Cell[84515, 2330, 64, 1, 26, "EndEnvironmentMarker",
 CellID->13670532]
}, Open  ]],
Cell[84594, 2334, 48, 1, 16, "CloseEnvironment",
 CellID->621427279]
}, Closed]],
Cell[CellGroupData[{
Cell[84679, 2340, 182, 3, 30, "Subsection",
 CellID->1589107537],
Cell[CellGroupData[{
Cell[84886, 2347, 126, 2, 70, "Subsubsection",
 CellID->229628072],
Cell[85015, 2351, 46, 1, 70, "OpenEnvironment",
 CellID->63244709],
Cell[CellGroupData[{
Cell[85086, 2356, 383, 9, 70, "EnvironmentHeader",
 CellID->359486606],
Cell[85472, 2367, 1236, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:182124102", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple length"},
 CellID->182124102],
Cell[86711, 2406, 65, 1, 70, "EndEnvironmentMarker",
 CellID->284759813]
}, Open  ]],
Cell[86791, 2410, 48, 1, 70, "CloseEnvironment",
 CellID->344729947],
Cell[86842, 2413, 47, 1, 70, "OpenEnvironment",
 CellID->547338893],
Cell[CellGroupData[{
Cell[86914, 2418, 386, 9, 70, "EnvironmentHeader",
 CellID->21255064],
Cell[87303, 2429, 814, 22, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:654651115", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple 1"},
 CellID->654651115],
Cell[88120, 2453, 1199, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:63270404", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple 2"},
 CellID->63270404],
Cell[89322, 2491, 65, 1, 70, "EndEnvironmentMarker",
 CellID->217436856]
}, Open  ]],
Cell[89402, 2495, 47, 1, 70, "CloseEnvironment",
 CellID->13343653],
Cell[89452, 2498, 1024, 23, 70, "Text",
 CellID->120226604],
Cell[90479, 2523, 47, 1, 70, "OpenEnvironment",
 CellID->305977663],
Cell[CellGroupData[{
Cell[90551, 2528, 427, 10, 70, "EnvironmentHeader",
 CellID->31953116],
Cell[90981, 2540, 1682, 52, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:338791396", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join"},
 CellID->338791396],
Cell[92666, 2594, 64, 1, 70, "EndEnvironmentMarker",
 CellID->47453687]
}, Open  ]],
Cell[92745, 2598, 48, 1, 70, "CloseEnvironment",
 CellID->281994045],
Cell[92796, 2601, 48, 1, 70, "OpenEnvironment",
 CellID->2042034063],
Cell[CellGroupData[{
Cell[92869, 2606, 597, 14, 70, "EnvironmentHeader",
 CellID->987679728],
Cell[93469, 2622, 654, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:895128101", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->895128101],
Cell[94126, 2640, 1097, 34, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1525755901", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append"},
 CellID->1525755901],
Cell[95226, 2676, 996, 31, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:884743897", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend"},
 CellID->884743897],
Cell[96225, 2709, 1627, 54, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1281000450", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple E"},
 CellID->1281000450],
Cell[97855, 2765, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1606800482]
}, Open  ]],
Cell[97936, 2769, 48, 1, 70, "CloseEnvironment",
 CellID->335506948],
Cell[97987, 2772, 47, 1, 70, "OpenEnvironment",
 CellID->253068073],
Cell[CellGroupData[{
Cell[98059, 2777, 376, 9, 70, "EnvironmentHeader",
 CellID->885954283],
Cell[98438, 2788, 1597, 50, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:32295857", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Reverse"},
 CellID->32295857],
Cell[100038, 2840, 65, 1, 70, "EndEnvironmentMarker",
 CellID->174865905]
}, Open  ]],
Cell[100118, 2844, 48, 1, 70, "CloseEnvironment",
 CellID->844133612],
Cell[100169, 2847, 46, 1, 70, "OpenEnvironment",
 CellID->23482879],
Cell[CellGroupData[{
Cell[100240, 2852, 431, 10, 70, "EnvironmentHeader",
 CellID->348592161],
Cell[100674, 2864, 621, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:632649", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->632649],
Cell[101298, 2881, 1227, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:12265558", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Rest"},
 CellID->12265558],
Cell[102528, 2919, 1185, 34, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:91603327", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Most"},
 CellID->91603327],
Cell[103716, 2955, 65, 1, 70, "EndEnvironmentMarker",
 CellID->852119573]
}, Open  ]],
Cell[103796, 2959, 46, 1, 70, "CloseEnvironment",
 CellID->1052508],
Cell[103845, 2962, 47, 1, 70, "OpenEnvironment",
 CellID->987467603],
Cell[CellGroupData[{
Cell[103917, 2967, 381, 9, 70, "EnvironmentHeader",
 CellID->929717604],
Cell[104301, 2978, 3173, 88, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:223047122", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf"},
 CellID->223047122],
Cell[107477, 3068, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1469973215]
}, Open  ]],
Cell[107558, 3072, 49, 1, 70, "CloseEnvironment",
 CellID->1768943237],
Cell[107610, 3075, 47, 1, 70, "OpenEnvironment",
 CellID->932918551],
Cell[CellGroupData[{
Cell[107682, 3080, 376, 9, 70, "EnvironmentHeader",
 CellID->1498316647],
Cell[108061, 3091, 1351, 40, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1457491854", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet"},
 CellID->1457491854],
Cell[109415, 3133, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1915196917]
}, Open  ]],
Cell[109496, 3137, 49, 1, 70, "CloseEnvironment",
 CellID->2015815466]
}, Closed]],
Cell[CellGroupData[{
Cell[109582, 3143, 203, 3, 70, "Subsubsection",
 CellID->487937701],
Cell[109788, 3148, 45, 1, 70, "OpenEnvironment",
 CellID->7246733],
Cell[CellGroupData[{
Cell[109858, 3153, 378, 9, 70, "EnvironmentHeader",
 CellID->487196601],
Cell[110239, 3164, 810, 22, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:266511991", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length Nil", "IR"},
 CellID->266511991],
Cell[111052, 3188, 667, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:453335165", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->453335165],
Cell[111722, 3206, 1115, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:789740286", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length Cons", "IR"},
 CellID->789740286],
Cell[112840, 3241, 1052, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:896792384", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length \[Element] \[DoubleStruckCapitalN]", "IR"},
 CellID->896792384],
Cell[113895, 3269, 1050, 28, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:492864831", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length II", "IR"},
 CellID->492864831],
Cell[114948, 3299, 835, 22, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1114754549", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length III", "IR"},
 CellID->1114754549],
Cell[115786, 3323, 1134, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:57954569", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length 0 Nil"},
 CellID->57954569],
Cell[116923, 3360, 63, 1, 70, "EndEnvironmentMarker",
 CellID->8728173]
}, Open  ]],
Cell[117001, 3364, 47, 1, 70, "CloseEnvironment",
 CellID->73677707],
Cell[CellGroupData[{
Cell[117073, 3369, 1847, 56, 70, "ProofInfo",
 CellTags->{"Proof|ID:266511991", "Proof|ID:266511991-1"},
 CellID->5572360],
Cell[118923, 3427, 479, 12, 70, "ProofInfoBody",
 CellID->17461330]
}, Closed]],
Cell[CellGroupData[{
Cell[119439, 3444, 3216, 88, 70, "ProofInfo",
 CellTags->{"Proof|ID:789740286", "Proof|ID:789740286-1"},
 CellID->83877977],
Cell[122658, 3534, 479, 12, 70, "ProofInfoBody",
 CellID->18058499]
}, Closed]],
Cell[CellGroupData[{
Cell[123174, 3551, 2531, 76, 70, "ProofInfo",
 CellTags->{"Proof|ID:896792384", "Proof|ID:896792384-1"},
 CellID->78773010],
Cell[125708, 3629, 480, 12, 70, "ProofInfoBody",
 CellID->154981292]
}, Closed]],
Cell[CellGroupData[{
Cell[126225, 3646, 2814, 80, 70, "ProofInfo",
 CellTags->{"Proof|ID:492864831", "Proof|ID:492864831-1"},
 CellID->184342284],
Cell[129042, 3728, 481, 12, 70, "ProofInfoBody",
 CellID->2087158519]
}, Closed]],
Cell[CellGroupData[{
Cell[129560, 3745, 2398, 72, 70, "ProofInfo",
 CellTags->{"Proof|ID:1114754549", "Proof|ID:1114754549-1"},
 CellID->1241379590],
Cell[131961, 3819, 481, 12, 70, "ProofInfoBody",
 CellID->901355956]
}, Closed]],
Cell[CellGroupData[{
Cell[132479, 3836, 2618, 76, 70, "ProofInfo",
 CellTags->{"Proof|ID:57954569", "Proof|ID:57954569-1"},
 CellID->344820526],
Cell[135100, 3914, 479, 12, 70, "ProofInfoBody",
 CellID->329172065]
}, Closed]],
Cell[135594, 3929, 47, 1, 70, "OpenEnvironment",
 CellID->857634027],
Cell[CellGroupData[{
Cell[135666, 3934, 380, 9, 70, "EnvironmentHeader",
 CellID->82592489],
Cell[136049, 3945, 665, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:198497275", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->198497275],
Cell[136717, 3963, 1274, 43, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:485804192", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple cases"},
 CellID->485804192],
Cell[137994, 4008, 778, 21, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:128271632", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Not] tuple isSet"},
 CellID->128271632],
Cell[138775, 4031, 1876, 59, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:748403354", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple equality'"},
 CellID->748403354],
Cell[140654, 4092, 2045, 63, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2006383088", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple equality"},
 CellID->2006383088],
Cell[142702, 4157, 65, 1, 70, "EndEnvironmentMarker",
 CellID->284306335]
}, Open  ]],
Cell[142782, 4161, 46, 1, 70, "CloseEnvironment",
 CellID->1086338],
Cell[CellGroupData[{
Cell[142853, 4166, 3331, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:485804192", "Proof|ID:485804192-1"},
 CellID->180714238],
Cell[146187, 4262, 479, 12, 70, "ProofInfoBody",
 CellID->68244445]
}, Closed]],
Cell[CellGroupData[{
Cell[146703, 4279, 2478, 75, 70, "ProofInfo",
 CellTags->{"Proof|ID:128271632", "Proof|ID:128271632-1"},
 CellID->757484247],
Cell[149184, 4356, 479, 12, 70, "ProofInfoBody",
 CellID->14657832]
}, Closed]],
Cell[CellGroupData[{
Cell[149700, 4373, 4792, 126, 70, "ProofInfo",
 CellTags->{"Proof|ID:748403354", "Proof|ID:748403354-1"},
 CellID->470954866],
Cell[154495, 4501, 480, 12, 70, "ProofInfoBody",
 CellID->137993927]
}, Closed]],
Cell[CellGroupData[{
Cell[155012, 4518, 5075, 128, 70, "ProofInfo",
 CellTags->{"Proof|ID:2006383088", "Proof|ID:2006383088-1"},
 CellID->97088282],
Cell[160090, 4648, 481, 12, 70, "ProofInfoBody",
 CellID->110550213]
}, Closed]],
Cell[160586, 4663, 47, 1, 70, "OpenEnvironment",
 CellID->514032569],
Cell[CellGroupData[{
Cell[160658, 4668, 431, 10, 70, "EnvironmentHeader",
 CellID->761268812],
Cell[161092, 4680, 1121, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:268769082", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuples surjective"},
 CellID->268769082],
Cell[162216, 4715, 815, 22, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1721177564", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple empty", "IR"},
 CellID->1721177564],
Cell[163034, 4739, 917, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1594267913", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length empty"},
 CellID->1594267913],
Cell[163954, 4765, 1083, 31, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:11264892", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length singleton", "IR"},
 CellID->11264892],
Cell[165040, 4798, 990, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:346405581", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "singleton first", "IR"},
 CellID->346405581],
Cell[166033, 4830, 938, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:477773676", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple enumeration tuple", "IR"},
 CellID->477773676],
Cell[166974, 4858, 64, 1, 70, "EndEnvironmentMarker",
 CellID->49993008]
}, Open  ]],
Cell[167053, 4862, 49, 1, 70, "CloseEnvironment",
 CellID->2094230450],
Cell[CellGroupData[{
Cell[167127, 4867, 2862, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:268769082", "Proof|ID:268769082-1"},
 CellID->534623636],
Cell[169992, 4953, 479, 12, 70, "ProofInfoBody",
 CellID->69260003]
}, Closed]],
Cell[CellGroupData[{
Cell[170508, 4970, 1850, 56, 70, "ProofInfo",
 CellTags->{"Proof|ID:1721177564", "Proof|ID:1721177564-1"},
 CellID->463441133],
Cell[172361, 5028, 481, 12, 70, "ProofInfoBody",
 CellID->517464458]
}, Closed]],
Cell[CellGroupData[{
Cell[172879, 5045, 1995, 60, 70, "ProofInfo",
 CellTags->{"Proof|ID:1594267913", "Proof|ID:1594267913-1"},
 CellID->76397926],
Cell[174877, 5107, 481, 12, 70, "ProofInfoBody",
 CellID->216403775]
}, Closed]],
Cell[CellGroupData[{
Cell[175395, 5124, 2386, 70, 70, "ProofInfo",
 CellTags->{"Proof|ID:11264892", "Proof|ID:11264892-1"},
 CellID->751352369],
Cell[177784, 5196, 478, 12, 70, "ProofInfoBody",
 CellID->10239986]
}, Closed]],
Cell[CellGroupData[{
Cell[178299, 5213, 2404, 74, 70, "ProofInfo",
 CellTags->{"Proof|ID:346405581", "Proof|ID:346405581-1"},
 CellID->431530519],
Cell[180706, 5289, 479, 12, 70, "ProofInfoBody",
 CellID->35305389]
}, Closed]],
Cell[CellGroupData[{
Cell[181222, 5306, 2390, 73, 70, "ProofInfo",
 CellTags->{"Proof|ID:477773676", "Proof|ID:477773676-1"},
 CellID->151996293],
Cell[183615, 5381, 480, 12, 70, "ProofInfoBody",
 CellID->482476332]
}, Closed]],
Cell[184110, 5396, 47, 1, 70, "OpenEnvironment",
 CellID->360320705],
Cell[CellGroupData[{
Cell[184182, 5401, 423, 10, 70, "EnvironmentHeader",
 CellID->381742225],
Cell[184608, 5413, 1115, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:287857146", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join Nil", "IR"},
 CellID->287857146],
Cell[185726, 5452, 1381, 47, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:337892103", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join Cons", "IR"},
 CellID->337892103],
Cell[187110, 5501, 947, 28, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:872547016", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple join'", "IR"},
 CellID->872547016],
Cell[188060, 5531, 730, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:361458074", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->361458074],
Cell[188793, 5550, 1198, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:688753716", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple join", "IR"},
 CellID->688753716],
Cell[189994, 5589, 793, 21, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1660159491", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1660159491],
Cell[190790, 5612, 1149, 32, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1115259658", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length join"},
 CellID->1115259658],
Cell[191942, 5646, 1331, 39, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:526825714", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index join 1"},
 CellID->526825714],
Cell[193276, 5687, 1434, 42, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:189594342", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index join 2"},
 CellID->189594342],
Cell[194713, 5731, 1533, 48, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:589317888", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join enumeration tuples"},
 CellID->589317888],
Cell[196249, 5781, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1276453639]
}, Open  ]],
Cell[196330, 5785, 49, 1, 70, "CloseEnvironment",
 CellID->1866589091],
Cell[CellGroupData[{
Cell[196404, 5790, 2339, 72, 70, "ProofInfo",
 CellTags->{"Proof|ID:287857146", "Proof|ID:287857146-1"},
 CellID->94095694],
Cell[198746, 5864, 480, 12, 70, "ProofInfoBody",
 CellID->708126911]
}, Closed]],
Cell[CellGroupData[{
Cell[199263, 5881, 3429, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:337892103", "Proof|ID:337892103-1"},
 CellID->401685322],
Cell[202695, 5977, 480, 12, 70, "ProofInfoBody",
 CellID->516790702]
}, Closed]],
Cell[CellGroupData[{
Cell[203212, 5994, 2545, 74, 70, "ProofInfo",
 CellTags->{"Proof|ID:872547016", "Proof|ID:872547016-1"},
 CellID->622050746],
Cell[205760, 6070, 479, 12, 70, "ProofInfoBody",
 CellID->80024141]
}, Closed]],
Cell[CellGroupData[{
Cell[206276, 6087, 3029, 86, 70, "ProofInfo",
 CellTags->{"Proof|ID:688753716", "Proof|ID:688753716-1"},
 CellID->197369238],
Cell[209308, 6175, 480, 12, 70, "ProofInfoBody",
 CellID->174219430]
}, Closed]],
Cell[CellGroupData[{
Cell[209825, 6192, 3596, 98, 70, "ProofInfo",
 CellTags->{"Proof|ID:1115259658", "Proof|ID:1115259658-1"},
 CellID->733559307],
Cell[213424, 6292, 481, 12, 70, "ProofInfoBody",
 CellID->199776299]
}, Closed]],
Cell[CellGroupData[{
Cell[213942, 6309, 4097, 112, 70, "ProofInfo",
 CellTags->{"Proof|ID:526825714", "Proof|ID:526825714-1"},
 CellID->241146500],
Cell[218042, 6423, 480, 12, 70, "ProofInfoBody",
 CellID->314019463]
}, Closed]],
Cell[CellGroupData[{
Cell[218559, 6440, 4479, 120, 70, "ProofInfo",
 CellTags->{"Proof|ID:189594342", "Proof|ID:189594342-1"},
 CellID->726416082],
Cell[223041, 6562, 480, 12, 70, "ProofInfoBody",
 CellID->207047923]
}, Closed]],
Cell[CellGroupData[{
Cell[223558, 6579, 3522, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:589317888", "Proof|ID:589317888-1"},
 CellID->298882416],
Cell[227083, 6681, 480, 12, 70, "ProofInfoBody",
 CellID->531122629]
}, Closed]],
Cell[227578, 6696, 47, 1, 70, "OpenEnvironment",
 CellID->240962741],
Cell[CellGroupData[{
Cell[227650, 6701, 390, 9, 70, "EnvironmentHeader",
 CellID->435106074],
Cell[228043, 6712, 1148, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:212552120", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append Nil", "IR"},
 CellID->212552120],
Cell[229194, 6751, 1366, 46, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:26950404", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append Cons", "IR"},
 CellID->26950404],
Cell[230563, 6799, 654, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:108690893", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->108690893],
Cell[231220, 6817, 703, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:546198311", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->546198311],
Cell[231926, 6839, 874, 23, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1028745265", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple append", "IR"},
 CellID->1028745265],
Cell[232803, 6864, 634, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:543565488", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->543565488],
Cell[233440, 6882, 954, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:826776809", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length append", "IR"},
 CellID->826776809],
Cell[234397, 6909, 1080, 32, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1163861425", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index append 1", "IR"},
 CellID->1163861425],
Cell[235480, 6943, 923, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1926885900", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index append 2", "IR"},
 CellID->1926885900],
Cell[236406, 6970, 834, 23, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:258136300", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last append", "IR"},
 CellID->258136300],
Cell[237243, 6995, 823, 22, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:583893516", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append is non-empty", "IR"},
 CellID->583893516],
Cell[238069, 7019, 65, 1, 70, "EndEnvironmentMarker",
 CellID->455281791]
}, Open  ]],
Cell[238149, 7023, 48, 1, 70, "CloseEnvironment",
 CellID->214138104],
Cell[CellGroupData[{
Cell[238222, 7028, 2388, 72, 70, "ProofInfo",
 CellTags->{"Proof|ID:212552120", "Proof|ID:212552120-1"},
 CellID->842667298],
Cell[240613, 7102, 480, 12, 70, "ProofInfoBody",
 CellID->373088786]
}, Closed]],
Cell[CellGroupData[{
Cell[241130, 7119, 3334, 92, 70, "ProofInfo",
 CellTags->{"Proof|ID:26950404", "Proof|ID:26950404-1"},
 CellID->160680747],
Cell[244467, 7213, 479, 12, 70, "ProofInfoBody",
 CellID->206941133]
}, Closed]],
Cell[CellGroupData[{
Cell[244983, 7230, 2686, 78, 70, "ProofInfo",
 CellTags->{"Proof|ID:1028745265", "Proof|ID:1028745265-1"},
 CellID->110230913],
Cell[247672, 7310, 480, 12, 70, "ProofInfoBody",
 CellID->21694793]
}, Closed]],
Cell[CellGroupData[{
Cell[248189, 7327, 3168, 88, 70, "ProofInfo",
 CellTags->{"Proof|ID:826776809", "Proof|ID:826776809-1"},
 CellID->18830374],
Cell[251360, 7417, 480, 12, 70, "ProofInfoBody",
 CellID->696221489]
}, Closed]],
Cell[CellGroupData[{
Cell[251877, 7434, 3937, 108, 70, "ProofInfo",
 CellTags->{"Proof|ID:1163861425", "Proof|ID:1163861425-1"},
 CellID->17881917],
Cell[255817, 7544, 481, 12, 70, "ProofInfoBody",
 CellID->122957529]
}, Closed]],
Cell[CellGroupData[{
Cell[256335, 7561, 3167, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:1926885900", "Proof|ID:1926885900-1"},
 CellID->262597552],
Cell[259505, 7653, 481, 12, 70, "ProofInfoBody",
 CellID->368831702]
}, Closed]],
Cell[CellGroupData[{
Cell[260023, 7670, 3264, 92, 70, "ProofInfo",
 CellTags->{"Proof|ID:258136300", "Proof|ID:258136300-1"},
 CellID->299725670],
Cell[263290, 7764, 480, 12, 70, "ProofInfoBody",
 CellID->316810752]
}, Closed]],
Cell[CellGroupData[{
Cell[263807, 7781, 2816, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:583893516", "Proof|ID:583893516-1"},
 CellID->542939157],
Cell[266626, 7865, 480, 12, 70, "ProofInfoBody",
 CellID->224692328]
}, Closed]],
Cell[267121, 7880, 47, 1, 70, "OpenEnvironment",
 CellID->433457548],
Cell[CellGroupData[{
Cell[267193, 7885, 416, 10, 70, "EnvironmentHeader",
 CellID->545211621],
Cell[267612, 7897, 791, 22, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:223241243", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse Nil", "IR"},
 CellID->223241243],
Cell[268406, 7921, 1283, 42, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:742156512", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse Cons", "IR"},
 CellID->742156512],
Cell[269692, 7965, 884, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:145273629", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple reverse'", "IR"},
 CellID->145273629],
Cell[270579, 7991, 631, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:461591348", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->461591348],
Cell[271213, 8008, 1000, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2049851981", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple reverse"},
 CellID->2049851981],
Cell[272216, 8037, 657, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:92271122", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->92271122],
Cell[272876, 8055, 963, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:272039775", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length reverse"},
 CellID->272039775],
Cell[273842, 8083, 1342, 39, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1569428563", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index reverse"},
 CellID->1569428563],
Cell[275187, 8124, 1175, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:829341774", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse is empty", "IR"},
 CellID->829341774],
Cell[276365, 8161, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1873569694]
}, Open  ]],
Cell[276446, 8165, 49, 1, 70, "CloseEnvironment",
 CellID->1831030859],
Cell[CellGroupData[{
Cell[276520, 8170, 1799, 56, 70, "ProofInfo",
 CellTags->{"Proof|ID:223241243", "Proof|ID:223241243-1"},
 CellID->524187526],
Cell[278322, 8228, 478, 12, 70, "ProofInfoBody",
 CellID->6126646]
}, Closed]],
Cell[CellGroupData[{
Cell[278837, 8245, 3018, 88, 70, "ProofInfo",
 CellTags->{"Proof|ID:742156512", "Proof|ID:742156512-1"},
 CellID->311829536],
Cell[281858, 8335, 480, 12, 70, "ProofInfoBody",
 CellID->351370098]
}, Closed]],
Cell[CellGroupData[{
Cell[282375, 8352, 2271, 68, 70, "ProofInfo",
 CellTags->{"Proof|ID:145273629", "Proof|ID:145273629-1"},
 CellID->524179082],
Cell[284649, 8422, 479, 12, 70, "ProofInfoBody",
 CellID->77673621]
}, Closed]],
Cell[CellGroupData[{
Cell[285165, 8439, 2482, 74, 70, "ProofInfo",
 CellTags->{"Proof|ID:2049851981", "Proof|ID:2049851981-1"},
 CellID->1082036],
Cell[287650, 8515, 480, 12, 70, "ProofInfoBody",
 CellID->91447773]
}, Closed]],
Cell[CellGroupData[{
Cell[288167, 8532, 2862, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:272039775", "Proof|ID:272039775-1"},
 CellID->1586106],
Cell[291032, 8616, 480, 12, 70, "ProofInfoBody",
 CellID->333279021]
}, Closed]],
Cell[CellGroupData[{
Cell[291549, 8633, 4392, 118, 70, "ProofInfo",
 CellTags->{"Proof|ID:1569428563", "Proof|ID:1569428563-1"},
 CellID->43059393],
Cell[295944, 8753, 481, 12, 70, "ProofInfoBody",
 CellID->139383262]
}, Closed]],
Cell[CellGroupData[{
Cell[296462, 8770, 3113, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:829341774", "Proof|ID:829341774-1"},
 CellID->14326954],
Cell[299578, 8862, 480, 12, 70, "ProofInfoBody",
 CellID->338034050]
}, Closed]],
Cell[300073, 8877, 48, 1, 70, "OpenEnvironment",
 CellID->1846193463],
Cell[CellGroupData[{
Cell[300146, 8882, 423, 10, 70, "EnvironmentHeader",
 CellID->707706814],
Cell[300572, 8894, 1044, 32, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:121283420", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest Cons", "IR"},
 CellID->121283420],
Cell[301619, 8928, 755, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:987021041", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->987021041],
Cell[302377, 8947, 1303, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1839205404", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple rest"},
 CellID->1839205404],
Cell[303683, 8985, 1249, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1405660958", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple most"},
 CellID->1405660958],
Cell[304935, 9023, 831, 21, 70, "GlobalDeclaration",
 CellTags->{
  "ID:936067561", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->936067561],
Cell[305769, 9046, 1035, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1552050833", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length rest"},
 CellID->1552050833],
Cell[306807, 9075, 982, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1817775526", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length most"},
 CellID->1817775526],
Cell[307792, 9103, 1207, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:84622963", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index rest"},
 CellID->84622963],
Cell[309002, 9141, 1184, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1284707773", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index most"},
 CellID->1284707773],
Cell[310189, 9178, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1778574893]
}, Open  ]],
Cell[310270, 9182, 49, 1, 70, "CloseEnvironment",
 CellID->2043977624],
Cell[CellGroupData[{
Cell[310344, 9187, 2737, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:121283420", "Proof|ID:121283420-1"},
 CellID->95888746],
Cell[313084, 9271, 480, 12, 70, "ProofInfoBody",
 CellID->276647371]
}, Closed]],
Cell[CellGroupData[{
Cell[313601, 9288, 2962, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:1839205404", "Proof|ID:1839205404-1"},
 CellID->143479761],
Cell[316566, 9374, 481, 12, 70, "ProofInfoBody",
 CellID->288090391]
}, Closed]],
Cell[CellGroupData[{
Cell[317084, 9391, 2962, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:1405660958", "Proof|ID:1405660958-1"},
 CellID->609655947],
Cell[320049, 9477, 479, 12, 70, "ProofInfoBody",
 CellID->3666763]
}, Closed]],
Cell[CellGroupData[{
Cell[320565, 9494, 3382, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:1552050833", "Proof|ID:1552050833-1"},
 CellID->195359364],
Cell[323950, 9590, 481, 12, 70, "ProofInfoBody",
 CellID->296384416]
}, Closed]],
Cell[CellGroupData[{
Cell[324468, 9607, 3382, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:1817775526", "Proof|ID:1817775526-1"},
 CellID->255158198],
Cell[327853, 9703, 481, 12, 70, "ProofInfoBody",
 CellID->171162637]
}, Closed]],
Cell[CellGroupData[{
Cell[328371, 9720, 4304, 116, 70, "ProofInfo",
 CellTags->{"Proof|ID:84622963", "Proof|ID:84622963-1"},
 CellID->8385938],
Cell[332678, 9838, 478, 12, 70, "ProofInfoBody",
 CellID->78853501]
}, Closed]],
Cell[CellGroupData[{
Cell[333193, 9855, 4238, 116, 70, "ProofInfo",
 CellTags->{"Proof|ID:1284707773", "Proof|ID:1284707773-1"},
 CellID->106320926],
Cell[337434, 9973, 480, 12, 70, "ProofInfoBody",
 CellID->57349083]
}, Closed]],
Cell[337929, 9988, 47, 1, 70, "OpenEnvironment",
 CellID->767002477],
Cell[CellGroupData[{
Cell[338001, 9993, 379, 9, 70, "EnvironmentHeader",
 CellID->35750748],
Cell[338383, 10004, 651, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:59159884", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->59159884],
Cell[339037, 10022, 2273, 63, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1998536813", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf integer endpoints"},
 CellID->1998536813],
Cell[341313, 10087, 2258, 66, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:17780859", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf \[DoubleStruckCapitalN]0"},
 CellID->17780859],
Cell[343574, 10155, 1094, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1940209939", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf base"},
 CellID->1940209939],
Cell[344671, 10187, 2258, 65, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:396789611", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf step"},
 CellID->396789611],
Cell[346932, 10254, 65, 1, 70, "EndEnvironmentMarker",
 CellID->668278845]
}, Open  ]],
Cell[347012, 10258, 46, 1, 70, "CloseEnvironment",
 CellID->5981145],
Cell[CellGroupData[{
Cell[347083, 10263, 7313, 178, 70, "ProofInfo",
 CellTags->{"Proof|ID:1998536813", "Proof|ID:1998536813-1"},
 CellID->24721990],
Cell[354399, 10443, 481, 12, 70, "ProofInfoBody",
 CellID->450276372]
}, Closed]],
Cell[CellGroupData[{
Cell[354917, 10460, 6198, 153, 70, "ProofInfo",
 CellTags->{"Proof|ID:17780859", "Proof|ID:17780859-1"},
 CellID->285980507],
Cell[361118, 10615, 479, 12, 70, "ProofInfoBody",
 CellID->679263736]
}, Closed]],
Cell[CellGroupData[{
Cell[361634, 10632, 3531, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:1940209939", "Proof|ID:1940209939-1"},
 CellID->131744259],
Cell[365168, 10734, 481, 12, 70, "ProofInfoBody",
 CellID->195611353]
}, Closed]],
Cell[CellGroupData[{
Cell[365686, 10751, 7973, 192, 70, "ProofInfo",
 CellTags->{"Proof|ID:396789611", "Proof|ID:396789611-1"},
 CellID->831671186],
Cell[373662, 10945, 480, 12, 70, "ProofInfoBody",
 CellID->959718414]
}, Closed]],
Cell[374157, 10960, 706, 22, 70, "Text",
 CellID->630605729]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[374912, 10988, 312, 6, 30, "Subsection",
 CellID->2011774951],
Cell[375227, 10996, 47, 1, 70, "OpenEnvironment",
 CellID->200770960],
Cell[CellGroupData[{
Cell[375299, 11001, 550, 11, 70, "EnvironmentHeader",
 CellID->124396112],
Cell[375852, 11014, 770, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:130363217", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->130363217],
Cell[376625, 11034, 899, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:39824109", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length pair", "IR"},
 CellID->39824109],
Cell[377527, 11060, 913, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:11669955", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length triple", "IR"},
 CellID->11669955],
Cell[378443, 11086, 853, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:7707058", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "pair first", "IR"},
 CellID->7707058],
Cell[379299, 11112, 857, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:152479598", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "pair second", "IR"},
 CellID->152479598],
Cell[380159, 11138, 873, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:448273489", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "triple first", "IR"},
 CellID->448273489],
Cell[381035, 11164, 870, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:76151934", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "triple second", "IR"},
 CellID->76151934],
Cell[381908, 11190, 867, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1792898", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "triple third", "IR"},
 CellID->1792898],
Cell[382778, 11216, 65, 1, 70, "EndEnvironmentMarker",
 CellID->329409613]
}, Open  ]],
Cell[382858, 11220, 47, 1, 70, "CloseEnvironment",
 CellID->88488162],
Cell[CellGroupData[{
Cell[382930, 11225, 2666, 76, 70, "ProofInfo",
 CellTags->{"Proof|ID:39824109", "Proof|ID:39824109-1"},
 CellID->462628370],
Cell[385599, 11303, 479, 12, 70, "ProofInfoBody",
 CellID->136621554]
}, Closed]],
Cell[CellGroupData[{
Cell[386115, 11320, 2900, 80, 70, "ProofInfo",
 CellTags->{"Proof|ID:11669955", "Proof|ID:11669955-1"},
 CellID->103191162],
Cell[389018, 11402, 479, 12, 70, "ProofInfoBody",
 CellID->469653815]
}, Closed]],
Cell[CellGroupData[{
Cell[389534, 11419, 2667, 80, 70, "ProofInfo",
 CellTags->{"Proof|ID:7707058", "Proof|ID:7707058-1"},
 CellID->438891],
Cell[392204, 11501, 478, 12, 70, "ProofInfoBody",
 CellID->627686600]
}, Closed]],
Cell[CellGroupData[{
Cell[392719, 11518, 2681, 80, 70, "ProofInfo",
 CellTags->{"Proof|ID:152479598", "Proof|ID:152479598-1"},
 CellID->28361013],
Cell[395403, 11600, 480, 12, 70, "ProofInfoBody",
 CellID->108520392]
}, Closed]],
Cell[CellGroupData[{
Cell[395920, 11617, 2911, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:448273489", "Proof|ID:448273489-1"},
 CellID->55696255],
Cell[398834, 11703, 480, 12, 70, "ProofInfoBody",
 CellID->133466225]
}, Closed]],
Cell[CellGroupData[{
Cell[399351, 11720, 2907, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:76151934", "Proof|ID:76151934-1"},
 CellID->7620393],
Cell[402261, 11806, 479, 12, 70, "ProofInfoBody",
 CellID->124383332]
}, Closed]],
Cell[CellGroupData[{
Cell[402777, 11823, 2902, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:1792898", "Proof|ID:1792898-1"},
 CellID->146372186],
Cell[405682, 11909, 478, 12, 70, "ProofInfoBody",
 CellID->513169817]
}, Closed]],
Cell[406175, 11924, 47, 1, 70, "OpenEnvironment",
 CellID->460618403],
Cell[CellGroupData[{
Cell[406247, 11929, 415, 10, 70, "EnvironmentHeader",
 CellID->913586318],
Cell[406665, 11941, 668, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1064958803", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1064958803],
Cell[407336, 11959, 1144, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:601496808", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=1'"},
 CellID->601496808],
Cell[408483, 11997, 1194, 38, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:461084917", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=2'"},
 CellID->461084917],
Cell[409680, 12037, 1234, 39, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2026997690", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=3'"},
 CellID->2026997690],
Cell[410917, 12078, 1135, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1825869525", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=0", "IR"},
 CellID->1825869525],
Cell[412055, 12115, 1301, 42, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1394353823", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=1", "IR"},
 CellID->1394353823],
Cell[413359, 12159, 1357, 44, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1143806168", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=2", "IR"},
 CellID->1143806168],
Cell[414719, 12205, 1375, 44, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1073774013", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length=3", "IR"},
 CellID->1073774013],
Cell[416097, 12251, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1102841271]
}, Open  ]],
Cell[416178, 12255, 49, 1, 70, "CloseEnvironment",
 CellID->1812547523],
Cell[CellGroupData[{
Cell[416252, 12260, 2913, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:601496808", "Proof|ID:601496808-1"},
 CellID->33434798],
Cell[419168, 12346, 480, 12, 70, "ProofInfoBody",
 CellID->155588588]
}, Closed]],
Cell[CellGroupData[{
Cell[419685, 12363, 3168, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:461084917", "Proof|ID:461084917-1"},
 CellID->4486059],
Cell[422856, 12455, 480, 12, 70, "ProofInfoBody",
 CellID->494835397]
}, Closed]],
Cell[CellGroupData[{
Cell[423373, 12472, 3371, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:2026997690", "Proof|ID:2026997690-1"},
 CellID->993728727],
Cell[426747, 12568, 479, 12, 70, "ProofInfoBody",
 CellID->2967450]
}, Closed]],
Cell[CellGroupData[{
Cell[427263, 12585, 2802, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:1825869525", "Proof|ID:1825869525-1"},
 CellID->23229126],
Cell[430068, 12669, 481, 12, 70, "ProofInfoBody",
 CellID->136892436]
}, Closed]],
Cell[CellGroupData[{
Cell[430586, 12686, 3185, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:1394353823", "Proof|ID:1394353823-1"},
 CellID->412991705],
Cell[433774, 12778, 480, 12, 70, "ProofInfoBody",
 CellID->40033292]
}, Closed]],
Cell[CellGroupData[{
Cell[434291, 12795, 3487, 96, 70, "ProofInfo",
 CellTags->{"Proof|ID:1143806168", "Proof|ID:1143806168-1"},
 CellID->509001042],
Cell[437781, 12893, 481, 12, 70, "ProofInfoBody",
 CellID->189661265]
}, Closed]],
Cell[CellGroupData[{
Cell[438299, 12910, 3728, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:1073774013", "Proof|ID:1073774013-1"},
 CellID->54733379],
Cell[442030, 13012, 479, 12, 70, "ProofInfoBody",
 CellID->3777776]
}, Closed]],
Cell[442524, 13027, 48, 1, 70, "OpenEnvironment",
 CellID->1540246895],
Cell[CellGroupData[{
Cell[442597, 13032, 390, 9, 70, "EnvironmentHeader",
 CellID->512149273],
Cell[442990, 13043, 707, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:952268452", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->952268452],
Cell[443700, 13063, 1162, 34, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1246418388", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple=1", "IR"},
 CellID->1246418388],
Cell[444865, 13099, 1486, 48, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1106522710", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple=2", "IR"},
 CellID->1106522710],
Cell[446354, 13149, 1667, 55, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:799290150", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "enumeration tuple=3", "IR"},
 CellID->799290150],
Cell[448024, 13206, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1478420364]
}, Open  ]],
Cell[448105, 13210, 49, 1, 70, "CloseEnvironment",
 CellID->1306272283],
Cell[CellGroupData[{
Cell[448179, 13215, 3039, 86, 70, "ProofInfo",
 CellTags->{"Proof|ID:1246418388", "Proof|ID:1246418388-1"},
 CellID->105814896],
Cell[451221, 13303, 481, 12, 70, "ProofInfoBody",
 CellID->287281125]
}, Closed]],
Cell[CellGroupData[{
Cell[451739, 13320, 4066, 106, 70, "ProofInfo",
 CellTags->{"Proof|ID:1106522710", "Proof|ID:1106522710-1"},
 CellID->118246133],
Cell[455808, 13428, 480, 12, 70, "ProofInfoBody",
 CellID->10910667]
}, Closed]],
Cell[CellGroupData[{
Cell[456325, 13445, 4849, 120, 70, "ProofInfo",
 CellTags->{"Proof|ID:799290150", "Proof|ID:799290150-1"},
 CellID->165270158],
Cell[461177, 13567, 480, 12, 70, "ProofInfoBody",
 CellID->457466600]
}, Closed]],
Cell[461672, 13582, 48, 1, 70, "OpenEnvironment",
 CellID->1568022983],
Cell[CellGroupData[{
Cell[461745, 13587, 386, 9, 70, "EnvironmentHeader",
 CellID->640235643],
Cell[462134, 13598, 665, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:372490730", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->372490730],
Cell[462802, 13616, 929, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1625734410", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest enumeration tuple 1", "IR"},
 CellID->1625734410],
Cell[463734, 13643, 963, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1166906170", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest enumeration tuple 2", "IR"},
 CellID->1166906170],
Cell[464700, 13671, 999, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1779125069", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest enumeration tuple 3", "IR"},
 CellID->1779125069],
Cell[465702, 13700, 65, 1, 70, "EndEnvironmentMarker",
 CellID->933560613]
}, Open  ]],
Cell[465782, 13704, 49, 1, 70, "CloseEnvironment",
 CellID->1101510167],
Cell[CellGroupData[{
Cell[465856, 13709, 2522, 76, 70, "ProofInfo",
 CellTags->{"Proof|ID:1625734410", "Proof|ID:1625734410-1"},
 CellID->82369536],
Cell[468381, 13787, 480, 12, 70, "ProofInfoBody",
 CellID->99451146]
}, Closed]],
Cell[CellGroupData[{
Cell[468898, 13804, 2897, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:1166906170", "Proof|ID:1166906170-1"},
 CellID->852370402],
Cell[471798, 13888, 480, 12, 70, "ProofInfoBody",
 CellID->64156465]
}, Closed]],
Cell[CellGroupData[{
Cell[472315, 13905, 3301, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:1779125069", "Proof|ID:1779125069-1"},
 CellID->353249719],
Cell[475619, 13997, 481, 12, 70, "ProofInfoBody",
 CellID->380201143]
}, Closed]],
Cell[476115, 14012, 47, 1, 70, "OpenEnvironment",
 CellID->417202670],
Cell[CellGroupData[{
Cell[476187, 14017, 383, 9, 70, "EnvironmentHeader",
 CellID->546570466],
Cell[476573, 14028, 680, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1147667115", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1147667115],
Cell[477256, 14046, 958, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:561509893", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E empty"},
 CellID->561509893],
Cell[478217, 14078, 1151, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:365847091", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E enumeration tuple 1", "IR"},
 CellID->365847091],
Cell[479371, 14116, 1443, 49, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:58186484", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E enumeration tuple 2", "IR"},
 CellID->58186484],
Cell[480817, 14167, 1607, 55, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:786794198", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E enumeration tuple 3", "IR"},
 CellID->786794198],
Cell[482427, 14224, 65, 1, 70, "EndEnvironmentMarker",
 CellID->839924533]
}, Open  ]],
Cell[482507, 14228, 49, 1, 70, "CloseEnvironment",
 CellID->1448831993],
Cell[CellGroupData[{
Cell[482581, 14233, 2482, 75, 70, "ProofInfo",
 CellTags->{"Proof|ID:561509893", "Proof|ID:561509893-1"},
 CellID->434505344],
Cell[485066, 14310, 480, 12, 70, "ProofInfoBody",
 CellID->347857550]
}, Closed]],
Cell[CellGroupData[{
Cell[485583, 14327, 2854, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:365847091", "Proof|ID:365847091-1"},
 CellID->399585643],
Cell[488440, 14411, 480, 12, 70, "ProofInfoBody",
 CellID->483716549]
}, Closed]],
Cell[CellGroupData[{
Cell[488957, 14428, 3578, 96, 70, "ProofInfo",
 CellTags->{"Proof|ID:58186484", "Proof|ID:58186484-1"},
 CellID->220432200],
Cell[492538, 14526, 478, 12, 70, "ProofInfoBody",
 CellID->92231687]
}, Closed]],
Cell[CellGroupData[{
Cell[493053, 14543, 4133, 106, 70, "ProofInfo",
 CellTags->{"Proof|ID:786794198", "Proof|ID:786794198-1"},
 CellID->417724418],
Cell[497189, 14651, 479, 12, 70, "ProofInfoBody",
 CellID->69259896]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[497717, 14669, 348, 5, 30, "Subsection",
 CellID->536770957],
Cell[498068, 14676, 48, 1, 70, "OpenEnvironment",
 CellID->1266660573],
Cell[CellGroupData[{
Cell[498141, 14681, 378, 9, 70, "EnvironmentHeader",
 CellID->1143846827],
Cell[498522, 14692, 714, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:186310157", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->186310157],
Cell[499239, 14712, 1546, 46, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:742014313", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 1", "IR"},
 CellID->742014313],
Cell[500788, 14760, 1435, 42, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1611580180", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 2", "IR"},
 CellID->1611580180],
Cell[502226, 14804, 1363, 40, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1288253764", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 3", "IR"},
 CellID->1288253764],
Cell[503592, 14846, 1182, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1090639612", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 5", "IR"},
 CellID->1090639612],
Cell[504777, 14883, 1395, 39, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:143272898", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 6", "IR"},
 CellID->143272898],
Cell[506175, 14924, 1322, 38, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2123711543", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 7", "IR"},
 CellID->2123711543],
Cell[507500, 14964, 958, 28, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:44008041", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple index 4", "IR"},
 CellID->44008041],
Cell[508461, 14994, 718, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1971155327", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1971155327],
Cell[509182, 15014, 913, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:812832607", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first index", "IR"},
 CellID->812832607],
Cell[510098, 15041, 1003, 28, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1556117652", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last index", "IR"},
 CellID->1556117652],
Cell[511104, 15071, 726, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:501261685", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->501261685],
Cell[511833, 15091, 943, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2002554147", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first index II", "IR"},
 CellID->2002554147],
Cell[512779, 15118, 1028, 28, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1202189993", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last index II", "IR"},
 CellID->1202189993],
Cell[513810, 15148, 65, 1, 70, "EndEnvironmentMarker",
 CellID->316507172]
}, Open  ]],
Cell[513890, 15152, 49, 1, 70, "CloseEnvironment",
 CellID->1183261273],
Cell[CellGroupData[{
Cell[513964, 15157, 4167, 114, 70, "ProofInfo",
 CellTags->{"Proof|ID:742014313", "Proof|ID:742014313-1"},
 CellID->2143420291],
Cell[518134, 15273, 481, 12, 70, "ProofInfoBody",
 CellID->1056625538]
}, Closed]],
Cell[CellGroupData[{
Cell[518652, 15290, 3705, 98, 70, "ProofInfo",
 CellTags->{"Proof|ID:1611580180", "Proof|ID:1611580180-1"},
 CellID->1185382380],
Cell[522360, 15390, 480, 12, 70, "ProofInfoBody",
 CellID->29899543]
}, Closed]],
Cell[CellGroupData[{
Cell[522877, 15407, 3633, 96, 70, "ProofInfo",
 CellTags->{"Proof|ID:1288253764", "Proof|ID:1288253764-1"},
 CellID->1383003338],
Cell[526513, 15505, 481, 12, 70, "ProofInfoBody",
 CellID->525982341]
}, Closed]],
Cell[CellGroupData[{
Cell[527031, 15522, 3405, 92, 70, "ProofInfo",
 CellTags->{"Proof|ID:1090639612", "Proof|ID:1090639612-1"},
 CellID->475412260],
Cell[530439, 15616, 482, 12, 70, "ProofInfoBody",
 CellID->2140509025]
}, Closed]],
Cell[CellGroupData[{
Cell[530958, 15633, 4234, 108, 70, "ProofInfo",
 CellTags->{"Proof|ID:143272898", "Proof|ID:143272898-1"},
 CellID->2097042960],
Cell[535195, 15743, 481, 12, 70, "ProofInfoBody",
 CellID->2059130845]
}, Closed]],
Cell[CellGroupData[{
Cell[535713, 15760, 3547, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:2123711543", "Proof|ID:2123711543-1"},
 CellID->1266406671],
Cell[539263, 15856, 482, 12, 70, "ProofInfoBody",
 CellID->2029408553]
}, Closed]],
Cell[CellGroupData[{
Cell[539782, 15873, 2767, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:44008041", "Proof|ID:44008041-1"},
 CellID->679233695],
Cell[542552, 15957, 479, 12, 70, "ProofInfoBody",
 CellID->750651873]
}, Closed]],
Cell[CellGroupData[{
Cell[543068, 15974, 2985, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:812832607", "Proof|ID:812832607-1"},
 CellID->265164223],
Cell[546056, 16060, 522, 13, 70, "ProofInfoBody",
 CellID->451118523]
}, Closed]],
Cell[CellGroupData[{
Cell[546615, 16078, 3258, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:1556117652", "Proof|ID:1556117652-1"},
 CellID->661063359],
Cell[549876, 16170, 482, 12, 70, "ProofInfoBody",
 CellID->1950964332]
}, Closed]],
Cell[CellGroupData[{
Cell[550395, 16187, 3638, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:2002554147", "Proof|ID:2002554147-1"},
 CellID->1830707579],
Cell[554036, 16289, 482, 12, 70, "ProofInfoBody",
 CellID->2070073070]
}, Closed]],
Cell[CellGroupData[{
Cell[554555, 16306, 4006, 108, 70, "ProofInfo",
 CellTags->{"Proof|ID:1202189993", "Proof|ID:1202189993-1"},
 CellID->1629976529],
Cell[558564, 16416, 481, 12, 70, "ProofInfoBody",
 CellID->935994354]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[559094, 16434, 347, 5, 30, "Subsection",
 CellID->999575764],
Cell[559444, 16441, 48, 1, 70, "OpenEnvironment",
 CellID->1492572008],
Cell[CellGroupData[{
Cell[559517, 16446, 495, 11, 70, "EnvironmentHeader",
 CellID->219917548],
Cell[560015, 16459, 727, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1754019744", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1754019744],
Cell[560745, 16479, 986, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:23265257", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join empty right", "IR"},
 CellID->23265257],
Cell[561734, 16511, 990, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2016358149", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join empty left", "IR"},
 CellID->2016358149],
Cell[562727, 16543, 1555, 56, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:892109029", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join assoc", "IR"},
 CellID->892109029],
Cell[564285, 16601, 730, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:2132285530", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->2132285530],
Cell[565018, 16623, 1259, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1620230203", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join is empty", "IR"},
 CellID->1620230203],
Cell[566280, 16662, 1672, 61, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:575892555", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E join", "IR"},
 CellID->575892555],
Cell[567955, 16725, 1041, 29, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:503402842", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first join", "IR"},
 CellID->503402842],
Cell[568999, 16756, 1259, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1834660983", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last join", "IR"},
 CellID->1834660983],
Cell[570261, 16793, 65, 1, 70, "EndEnvironmentMarker",
 CellID->261050831]
}, Open  ]],
Cell[570341, 16797, 49, 1, 70, "CloseEnvironment",
 CellID->1389243966],
Cell[CellGroupData[{
Cell[570415, 16802, 2504, 76, 70, "ProofInfo",
 CellTags->{"Proof|ID:23265257", "Proof|ID:23265257-1"},
 CellID->2060629744],
Cell[572922, 16880, 479, 12, 70, "ProofInfoBody",
 CellID->424333024]
}, Closed]],
Cell[CellGroupData[{
Cell[573438, 16897, 2516, 76, 70, "ProofInfo",
 CellTags->{"Proof|ID:2016358149", "Proof|ID:2016358149-1"},
 CellID->1492084897],
Cell[575957, 16975, 481, 12, 70, "ProofInfoBody",
 CellID->985891616]
}, Closed]],
Cell[CellGroupData[{
Cell[576475, 16992, 3363, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:892109029", "Proof|ID:892109029-1"},
 CellID->1931367286],
Cell[579841, 17088, 480, 12, 70, "ProofInfoBody",
 CellID->576650745]
}, Closed]],
Cell[CellGroupData[{
Cell[580358, 17105, 4131, 110, 70, "ProofInfo",
 CellTags->{"Proof|ID:1620230203", "Proof|ID:1620230203-1"},
 CellID->1816734524],
Cell[584492, 17217, 481, 12, 70, "ProofInfoBody",
 CellID->364820170]
}, Closed]],
Cell[CellGroupData[{
Cell[585010, 17234, 3969, 106, 70, "ProofInfo",
 CellTags->{"Proof|ID:575892555", "Proof|ID:575892555-1"},
 CellID->491337226],
Cell[588982, 17342, 481, 12, 70, "ProofInfoBody",
 CellID->1202361512]
}, Closed]],
Cell[CellGroupData[{
Cell[589500, 17359, 3617, 98, 70, "ProofInfo",
 CellTags->{"Proof|ID:503402842", "Proof|ID:503402842-1"},
 CellID->259367512],
Cell[593120, 17459, 481, 12, 70, "ProofInfoBody",
 CellID->1239371713]
}, Closed]],
Cell[CellGroupData[{
Cell[593638, 17476, 4599, 116, 70, "ProofInfo",
 CellTags->{"Proof|ID:1834660983", "Proof|ID:1834660983-1"},
 CellID->1518274854],
Cell[598240, 17594, 481, 12, 70, "ProofInfoBody",
 CellID->585399299]
}, Closed]],
Cell[598736, 17609, 47, 1, 70, "OpenEnvironment",
 CellID->763096342],
Cell[CellGroupData[{
Cell[598808, 17614, 445, 10, 70, "EnvironmentHeader",
 CellID->231002462],
Cell[599256, 17626, 931, 21, 70, "GlobalDeclaration",
 CellTags->{
  "ID:300049764", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->300049764],
Cell[600190, 17649, 732, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1459714591", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1459714591],
Cell[600925, 17671, 2067, 64, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1798717489", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P \[DoubleRightArrow]", "IR"},
 CellID->1798717489],
Cell[602995, 17737, 2017, 63, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:880067753", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P \[DoubleLeftArrow]", "IR"},
 CellID->880067753],
Cell[605015, 17802, 2001, 63, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1832033513", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P", "IR"},
 CellID->1832033513],
Cell[607019, 17867, 3142, 100, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1414995657", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P binary \[DoubleRightArrow]", "IR"},
 CellID->1414995657],
Cell[610164, 17969, 3037, 98, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:412269868", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P binary \[DoubleLeftArrow]", "IR"},
 CellID->412269868],
Cell[613204, 18069, 3016, 98, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:811817271", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P binary", "IR"},
 CellID->811817271],
Cell[616223, 18169, 689, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:373411527", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->373411527],
Cell[616915, 18188, 730, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1539924260", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1539924260],
Cell[617648, 18210, 989, 26, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1179445980", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1179445980],
Cell[618640, 18238, 2138, 68, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1936600889", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P 2 \[DoubleRightArrow]"},
 CellID->1936600889],
Cell[620781, 18308, 2135, 68, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:667495868", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P 2 \[DoubleLeftArrow]"},
 CellID->667495868],
Cell[622919, 18378, 2115, 68, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2081158695", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P 2"},
 CellID->2081158695],
Cell[625037, 18448, 64, 1, 70, "EndEnvironmentMarker",
 CellID->10846351]
}, Open  ]],
Cell[625116, 18452, 48, 1, 70, "CloseEnvironment",
 CellID->636526698],
Cell[CellGroupData[{
Cell[625189, 18457, 7102, 177, 70, "ProofInfo",
 CellTags->{"Proof|ID:1798717489", "Proof|ID:1798717489-1"},
 CellID->573752601],
Cell[632294, 18636, 544, 13, 70, "ProofInfoBody",
 CellID->34754050]
}, Closed]],
Cell[CellGroupData[{
Cell[632875, 18654, 7194, 179, 70, "ProofInfo",
 CellTags->{"Proof|ID:880067753", "Proof|ID:880067753-1"},
 CellID->1160857634],
Cell[640072, 18835, 523, 13, 70, "ProofInfoBody",
 CellID->1266278869]
}, Closed]],
Cell[CellGroupData[{
Cell[640632, 18853, 7516, 184, 70, "ProofInfo",
 CellTags->{"Proof|ID:1832033513", "Proof|ID:1832033513-1"},
 CellID->546501383],
Cell[648151, 19039, 601, 14, 70, "ProofInfoBody",
 CellID->635187589]
}, Closed]],
Cell[CellGroupData[{
Cell[648789, 19058, 10982, 266, 70, "ProofInfo",
 CellTags->{"Proof|ID:1414995657", "Proof|ID:1414995657-1"},
 CellID->901897508],
Cell[659774, 19326, 524, 13, 70, "ProofInfoBody",
 CellID->1468471549]
}, Closed]],
Cell[CellGroupData[{
Cell[660335, 19344, 11093, 268, 70, "ProofInfo",
 CellTags->{"Proof|ID:412269868", "Proof|ID:412269868-1"},
 CellID->147041843],
Cell[671431, 19614, 480, 12, 70, "ProofInfoBody",
 CellID->408154384]
}, Closed]],
Cell[CellGroupData[{
Cell[671948, 19631, 11479, 272, 70, "ProofInfo",
 CellTags->{"Proof|ID:811817271", "Proof|ID:811817271-1"},
 CellID->410462409],
Cell[683430, 19905, 481, 12, 70, "ProofInfoBody",
 CellID->1700848731]
}, Closed]],
Cell[CellGroupData[{
Cell[683948, 19922, 10163, 240, 70, "ProofInfo",
 CellTags->{"Proof|ID:1936600889", "Proof|ID:1936600889-1"},
 CellID->1174704479],
Cell[694114, 20164, 481, 12, 70, "ProofInfoBody",
 CellID->759567082]
}, Closed]],
Cell[CellGroupData[{
Cell[694632, 20181, 10160, 240, 70, "ProofInfo",
 CellTags->{"Proof|ID:667495868", "Proof|ID:667495868-1"},
 CellID->2005569566],
Cell[704795, 20423, 480, 12, 70, "ProofInfoBody",
 CellID->423942901]
}, Closed]],
Cell[CellGroupData[{
Cell[705312, 20440, 10355, 244, 70, "ProofInfo",
 CellTags->{"Proof|ID:2081158695", "Proof|ID:2081158695-1"},
 CellID->1889840171],
Cell[715670, 20686, 482, 12, 70, "ProofInfoBody",
 CellID->1092847014]
}, Closed]],
Cell[716167, 20701, 1644, 40, 70, "Text",
 CellID->1782503464]
}, Closed]],
Cell[CellGroupData[{
Cell[717848, 20746, 168, 3, 30, "Subsection",
 CellID->1835296765],
Cell[718019, 20751, 48, 1, 70, "OpenEnvironment",
 CellID->1793121959],
Cell[CellGroupData[{
Cell[718092, 20756, 440, 11, 70, "EnvironmentHeader",
 CellID->1255256654],
Cell[718535, 20769, 789, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1425022595", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1425022595],
Cell[719327, 20789, 1043, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:30218808", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append empty", "IR"},
 CellID->30218808],
Cell[720373, 20824, 727, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:691605804", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->691605804],
Cell[721103, 20846, 661, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1905252519", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1905252519],
Cell[721767, 20864, 760, 20, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1710417343", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append \[NotEqual]"},
 CellID->1710417343],
Cell[722530, 20886, 1021, 28, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1126524001", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first append", "IR"},
 CellID->1126524001],
Cell[723554, 20916, 1719, 55, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1103991877", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append P", "IR"},
 CellID->1103991877],
Cell[725276, 20973, 2254, 74, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1200539700", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append P binary", "IR"},
 CellID->1200539700],
Cell[727533, 21049, 1501, 53, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1565072058", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E append", "IR"},
 CellID->1565072058],
Cell[729037, 21104, 65, 1, 70, "EndEnvironmentMarker",
 CellID->279802916]
}, Open  ]],
Cell[729117, 21108, 49, 1, 70, "CloseEnvironment",
 CellID->1323094603],
Cell[CellGroupData[{
Cell[729191, 21113, 2544, 76, 70, "ProofInfo",
 CellTags->{"Proof|ID:30218808", "Proof|ID:30218808-1"},
 CellID->2086154237],
Cell[731738, 21191, 480, 12, 70, "ProofInfoBody",
 CellID->1024661562]
}, Closed]],
Cell[CellGroupData[{
Cell[732255, 21208, 2738, 80, 70, "ProofInfo",
 CellTags->{"Proof|ID:1710417343", "Proof|ID:1710417343-1"},
 CellID->1263601321],
Cell[734996, 21290, 481, 12, 70, "ProofInfoBody",
 CellID->804291745]
}, Closed]],
Cell[CellGroupData[{
Cell[735514, 21307, 3727, 101, 70, "ProofInfo",
 CellTags->{"Proof|ID:1126524001", "Proof|ID:1126524001-1"},
 CellID->1757358345],
Cell[739244, 21410, 524, 13, 70, "ProofInfoBody",
 CellID->1574332899]
}, Closed]],
Cell[CellGroupData[{
Cell[739805, 21428, 6167, 154, 70, "ProofInfo",
 CellTags->{"Proof|ID:1103991877", "Proof|ID:1103991877-1"},
 CellID->1049898978],
Cell[745975, 21584, 523, 13, 70, "ProofInfoBody",
 CellID->668409102]
}, Closed]],
Cell[CellGroupData[{
Cell[746535, 21602, 8578, 206, 70, "ProofInfo",
 CellTags->{"Proof|ID:1200539700", "Proof|ID:1200539700-1"},
 CellID->366614726],
Cell[755116, 21810, 482, 12, 70, "ProofInfoBody",
 CellID->1647407047]
}, Closed]],
Cell[CellGroupData[{
Cell[755635, 21827, 3714, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:1565072058", "Proof|ID:1565072058-1"},
 CellID->613567277],
Cell[759352, 21929, 482, 12, 70, "ProofInfoBody",
 CellID->1701316064]
}, Closed]],
Cell[759849, 21944, 48, 1, 70, "OpenEnvironment",
 CellID->1827885036],
Cell[CellGroupData[{
Cell[759922, 21949, 382, 9, 70, "EnvironmentHeader",
 CellID->1920791119],
Cell[760307, 21960, 796, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1414827049", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1414827049],
Cell[761106, 21982, 732, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1588362347", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1588362347],
Cell[761841, 22004, 734, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1325947216", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1325947216],
Cell[762578, 22026, 1341, 39, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1332516309", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length append=", "IR"},
 CellID->1332516309],
Cell[763922, 22067, 2257, 72, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1244254393", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append P 2"},
 CellID->1244254393],
Cell[766182, 22141, 1190, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1851672573", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append injective", "IR"},
 CellID->1851672573],
Cell[767375, 22179, 66, 1, 70, "EndEnvironmentMarker",
 CellID->2050404037]
}, Open  ]],
Cell[767456, 22183, 49, 1, 70, "CloseEnvironment",
 CellID->1643593823],
Cell[CellGroupData[{
Cell[767530, 22188, 4641, 118, 70, "ProofInfo",
 CellTags->{"Proof|ID:1332516309", "Proof|ID:1332516309-1"},
 CellID->2066927764],
Cell[772174, 22308, 548, 13, 70, "ProofInfoBody",
 CellID->1418341261]
}, Closed]],
Cell[CellGroupData[{
Cell[772759, 22326, 8139, 196, 70, "ProofInfo",
 CellTags->{"Proof|ID:1244254393", "Proof|ID:1244254393-1"},
 CellID->1629881025],
Cell[780901, 22524, 523, 13, 70, "ProofInfoBody",
 CellID->166832118]
}, Closed]],
Cell[CellGroupData[{
Cell[781461, 22542, 3892, 104, 70, "ProofInfo",
 CellTags->{"Proof|ID:1851672573", "Proof|ID:1851672573-1"},
 CellID->359833655],
Cell[785356, 22648, 523, 13, 70, "ProofInfoBody",
 CellID->339096853]
}, Closed]],
Cell[785894, 22664, 46, 1, 70, "OpenEnvironment",
 CellID->44260925],
Cell[CellGroupData[{
Cell[785965, 22669, 389, 9, 70, "EnvironmentHeader",
 CellID->355393235],
Cell[786357, 22680, 665, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1354896517", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1354896517],
Cell[787025, 22698, 1050, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:284047457", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend empty", "IR"},
 CellID->284047457],
Cell[788078, 22733, 727, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:665620680", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->665620680],
Cell[788808, 22755, 870, 23, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1519173141", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple prepend", "IR"},
 CellID->1519173141],
Cell[789681, 22780, 663, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:2126627650", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->2126627650],
Cell[790347, 22798, 907, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1956801946", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length prepend", "IR"},
 CellID->1956801946],
Cell[791257, 22824, 762, 20, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1517474546", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend \[NotEqual]"},
 CellID->1517474546],
Cell[792022, 22846, 828, 22, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1589773302", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend is non-empty", "IR"},
 CellID->1589773302],
Cell[792853, 22870, 772, 21, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:916089482", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first prepend", "IR"},
 CellID->916089482],
Cell[793628, 22893, 1157, 32, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:391327494", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last prepend", "IR"},
 CellID->391327494],
Cell[794788, 22927, 1108, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2002116253", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index prepend 2", "IR"},
 CellID->2002116253],
Cell[795899, 22962, 1710, 55, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:48204947", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend P", "IR"},
 CellID->48204947],
Cell[797612, 23019, 2268, 75, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:414106078", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend P binary", "IR"},
 CellID->414106078],
Cell[799883, 23096, 1506, 53, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:416238876", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E prepend", "IR"},
 CellID->416238876],
Cell[801392, 23151, 65, 1, 70, "EndEnvironmentMarker",
 CellID->209179501]
}, Open  ]],
Cell[801472, 23155, 48, 1, 70, "CloseEnvironment",
 CellID->599442953],
Cell[CellGroupData[{
Cell[801545, 23160, 2546, 76, 70, "ProofInfo",
 CellTags->{"Proof|ID:284047457", "Proof|ID:284047457-1"},
 CellID->655246577],
Cell[804094, 23238, 480, 12, 70, "ProofInfoBody",
 CellID->534286612]
}, Closed]],
Cell[CellGroupData[{
Cell[804611, 23255, 2689, 78, 70, "ProofInfo",
 CellTags->{"Proof|ID:1519173141", "Proof|ID:1519173141-1"},
 CellID->1092343128],
Cell[807303, 23335, 482, 12, 70, "ProofInfoBody",
 CellID->2118519333]
}, Closed]],
Cell[CellGroupData[{
Cell[807822, 23352, 3176, 88, 70, "ProofInfo",
 CellTags->{"Proof|ID:1956801946", "Proof|ID:1956801946-1"},
 CellID->274649571],
Cell[811001, 23442, 481, 12, 70, "ProofInfoBody",
 CellID->835910520]
}, Closed]],
Cell[CellGroupData[{
Cell[811519, 23459, 2740, 80, 70, "ProofInfo",
 CellTags->{"Proof|ID:1517474546", "Proof|ID:1517474546-1"},
 CellID->1770398954],
Cell[814262, 23541, 482, 12, 70, "ProofInfoBody",
 CellID->1899830226]
}, Closed]],
Cell[CellGroupData[{
Cell[814781, 23558, 2824, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:1589773302", "Proof|ID:1589773302-1"},
 CellID->2003067550],
Cell[817608, 23642, 480, 12, 70, "ProofInfoBody",
 CellID->20281500]
}, Closed]],
Cell[CellGroupData[{
Cell[818125, 23659, 2798, 82, 70, "ProofInfo",
 CellTags->{"Proof|ID:916089482", "Proof|ID:916089482-1"},
 CellID->553958325],
Cell[820926, 23743, 480, 12, 70, "ProofInfoBody",
 CellID->247383046]
}, Closed]],
Cell[CellGroupData[{
Cell[821443, 23760, 4460, 115, 70, "ProofInfo",
 CellTags->{"Proof|ID:391327494", "Proof|ID:391327494-1"},
 CellID->1653569947],
Cell[825906, 23877, 480, 12, 70, "ProofInfoBody",
 CellID->646181480]
}, Closed]],
Cell[CellGroupData[{
Cell[826423, 23894, 4050, 112, 70, "ProofInfo",
 CellTags->{"Proof|ID:2002116253", "Proof|ID:2002116253-1"},
 CellID->344495101],
Cell[830476, 24008, 480, 12, 70, "ProofInfoBody",
 CellID->61946533]
}, Closed]],
Cell[CellGroupData[{
Cell[830993, 24025, 6158, 154, 70, "ProofInfo",
 CellTags->{"Proof|ID:48204947", "Proof|ID:48204947-1"},
 CellID->648616519],
Cell[837154, 24181, 479, 12, 70, "ProofInfoBody",
 CellID->742679995]
}, Closed]],
Cell[CellGroupData[{
Cell[837670, 24198, 8268, 200, 70, "ProofInfo",
 CellTags->{"Proof|ID:414106078", "Proof|ID:414106078-1"},
 CellID->1224518057],
Cell[845941, 24400, 480, 12, 70, "ProofInfoBody",
 CellID->371916433]
}, Closed]],
Cell[CellGroupData[{
Cell[846458, 24417, 3712, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:416238876", "Proof|ID:416238876-1"},
 CellID->1213650079],
Cell[850173, 24519, 480, 12, 70, "ProofInfoBody",
 CellID->664572287]
}, Closed]],
Cell[850668, 24534, 48, 1, 70, "OpenEnvironment",
 CellID->1772830631],
Cell[CellGroupData[{
Cell[850741, 24539, 383, 9, 70, "EnvironmentHeader",
 CellID->1833970077],
Cell[851127, 24550, 738, 19, 70, "GlobalDeclaration",
 CellTags->{
  "ID:547141078", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->547141078],
Cell[851868, 24571, 866, 26, 70, "GlobalDeclaration",
 CellTags->{
  "ID:562596444", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->562596444],
Cell[852737, 24599, 1266, 38, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1613097054", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length prepend=", "IR"},
 CellID->1613097054],
Cell[854006, 24639, 2187, 71, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1393091936", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend P 2"},
 CellID->1393091936],
Cell[856196, 24712, 1066, 34, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1374117783", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend injective", "IR"},
 CellID->1374117783],
Cell[857265, 24748, 65, 1, 70, "EndEnvironmentMarker",
 CellID->788048062]
}, Open  ]],
Cell[857345, 24752, 49, 1, 70, "CloseEnvironment",
 CellID->1152172922],
Cell[CellGroupData[{
Cell[857419, 24757, 4140, 108, 70, "ProofInfo",
 CellTags->{"Proof|ID:1613097054", "Proof|ID:1613097054-1"},
 CellID->2066005206],
Cell[861562, 24867, 482, 12, 70, "ProofInfoBody",
 CellID->1093453827]
}, Closed]],
Cell[CellGroupData[{
Cell[862081, 24884, 8140, 196, 70, "ProofInfo",
 CellTags->{"Proof|ID:1393091936", "Proof|ID:1393091936-1"},
 CellID->640760558],
Cell[870224, 25082, 481, 12, 70, "ProofInfoBody",
 CellID->470486761]
}, Closed]],
Cell[CellGroupData[{
Cell[870742, 25099, 3895, 104, 70, "ProofInfo",
 CellTags->{"Proof|ID:1374117783", "Proof|ID:1374117783-1"},
 CellID->1583138317],
Cell[874640, 25205, 481, 12, 70, "ProofInfoBody",
 CellID->416750769]
}, Closed]],
Cell[875136, 25220, 48, 1, 70, "OpenEnvironment",
 CellID->1133869679],
Cell[CellGroupData[{
Cell[875209, 25225, 383, 9, 70, "EnvironmentHeader",
 CellID->2037392188],
Cell[875595, 25236, 1608, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:367121892", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join append", "IR"},
 CellID->367121892],
Cell[877206, 25296, 65, 1, 70, "EndEnvironmentMarker",
 CellID->466271446]
}, Open  ]],
Cell[877286, 25300, 49, 1, 70, "CloseEnvironment",
 CellID->1890600513],
Cell[CellGroupData[{
Cell[877360, 25305, 3271, 92, 70, "ProofInfo",
 CellTags->{"Proof|ID:367121892", "Proof|ID:367121892-1"},
 CellID->2049905178],
Cell[880634, 25399, 480, 12, 70, "ProofInfoBody",
 CellID->672541710]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[881163, 25417, 260, 4, 30, "Subsection",
 CellID->948647178],
Cell[881426, 25423, 47, 1, 70, "OpenEnvironment",
 CellID->118166153],
Cell[CellGroupData[{
Cell[881498, 25428, 445, 10, 70, "EnvironmentHeader",
 CellID->1614171272],
Cell[881946, 25440, 783, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:2080984959", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->2080984959],
Cell[882732, 25462, 1221, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:369207319", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest empty", "IR"},
 CellID->369207319],
Cell[883956, 25501, 1103, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:562096052", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first rest", "IR"},
 CellID->562096052],
Cell[885062, 25536, 1239, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2116051902", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last rest", "IR"},
 CellID->2116051902],
Cell[886304, 25573, 1200, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1588185575", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most empty", "IR"},
 CellID->1588185575],
Cell[887507, 25612, 1078, 32, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1434873231", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first most", "IR"},
 CellID->1434873231],
Cell[888588, 25646, 665, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:852174472", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->852174472],
Cell[889256, 25664, 1516, 47, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:32262614", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "empty or append"},
 CellID->32262614],
Cell[890775, 25713, 1308, 44, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1718502373", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "empty or prepend"},
 CellID->1718502373],
Cell[892086, 25759, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1730842655]
}, Open  ]],
Cell[892167, 25763, 49, 1, 70, "CloseEnvironment",
 CellID->2005237400],
Cell[CellGroupData[{
Cell[892241, 25768, 3497, 96, 70, "ProofInfo",
 CellTags->{"Proof|ID:369207319", "Proof|ID:369207319-1"},
 CellID->740464668],
Cell[895741, 25866, 481, 12, 70, "ProofInfoBody",
 CellID->1247407337]
}, Closed]],
Cell[CellGroupData[{
Cell[896259, 25883, 3428, 96, 70, "ProofInfo",
 CellTags->{"Proof|ID:562096052", "Proof|ID:562096052-1"},
 CellID->44820618],
Cell[899690, 25981, 479, 12, 70, "ProofInfoBody",
 CellID->60256711]
}, Closed]],
Cell[CellGroupData[{
Cell[900206, 25998, 4184, 112, 70, "ProofInfo",
 CellTags->{"Proof|ID:2116051902", "Proof|ID:2116051902-1"},
 CellID->1028253458],
Cell[904393, 26112, 482, 12, 70, "ProofInfoBody",
 CellID->1490579646]
}, Closed]],
Cell[CellGroupData[{
Cell[904912, 26129, 3502, 96, 70, "ProofInfo",
 CellTags->{"Proof|ID:1588185575", "Proof|ID:1588185575-1"},
 CellID->974984214],
Cell[908417, 26227, 481, 12, 70, "ProofInfoBody",
 CellID->690678314]
}, Closed]],
Cell[CellGroupData[{
Cell[908935, 26244, 3548, 98, 70, "ProofInfo",
 CellTags->{"Proof|ID:1434873231", "Proof|ID:1434873231-1"},
 CellID->195728665],
Cell[912486, 26344, 481, 12, 70, "ProofInfoBody",
 CellID->230145153]
}, Closed]],
Cell[CellGroupData[{
Cell[913004, 26361, 3265, 92, 70, "ProofInfo",
 CellTags->{"Proof|ID:32262614", "Proof|ID:32262614-1"},
 CellID->1474498061],
Cell[916272, 26455, 545, 13, 70, "ProofInfoBody",
 CellID->363055270]
}, Closed]],
Cell[CellGroupData[{
Cell[916854, 26473, 3017, 86, 70, "ProofInfo",
 CellTags->{"Proof|ID:1718502373", "Proof|ID:1718502373-1"},
 CellID->1959150119],
Cell[919874, 26561, 482, 12, 70, "ProofInfoBody",
 CellID->1343087848]
}, Closed]],
Cell[920371, 26576, 706, 16, 70, "Text",
 CellID->1714413310],
Cell[921080, 26594, 48, 1, 70, "OpenEnvironment",
 CellID->1711023125],
Cell[CellGroupData[{
Cell[921153, 26599, 518, 11, 70, "EnvironmentHeader",
 CellID->1254044450],
Cell[921674, 26612, 945, 24, 70, "GlobalDeclaration",
 CellTags->{
  "ID:679833337", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->679833337],
Cell[922622, 26638, 1319, 41, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1096538360", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index rest II", "IR"},
 CellID->1096538360],
Cell[923944, 26681, 1739, 54, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1702600555", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest P", "IR"},
 CellID->1702600555],
Cell[925686, 26737, 2032, 65, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1068710478", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest P binary", "IR"},
 CellID->1068710478],
Cell[927721, 26804, 1889, 57, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1094967297", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most P", "IR"},
 CellID->1094967297],
Cell[929613, 26863, 2228, 71, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1495849141", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most P Q", "IR"},
 CellID->1495849141],
Cell[931844, 26936, 2263, 70, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:931974039", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most P binary", "IR"},
 CellID->931974039],
Cell[934110, 27008, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1865307472]
}, Open  ]],
Cell[934191, 27012, 48, 1, 70, "CloseEnvironment",
 CellID->730986169],
Cell[CellGroupData[{
Cell[934264, 27017, 4222, 116, 70, "ProofInfo",
 CellTags->{"Proof|ID:1096538360", "Proof|ID:1096538360-1"},
 CellID->1886376863],
Cell[938489, 27135, 482, 12, 70, "ProofInfoBody",
 CellID->1418674227]
}, Closed]],
Cell[CellGroupData[{
Cell[939008, 27152, 6135, 156, 70, "ProofInfo",
 CellTags->{"Proof|ID:1702600555", "Proof|ID:1702600555-1"},
 CellID->1314278607],
Cell[945146, 27310, 482, 12, 70, "ProofInfoBody",
 CellID->1838389547]
}, Closed]],
Cell[CellGroupData[{
Cell[945665, 27327, 7159, 178, 70, "ProofInfo",
 CellTags->{"Proof|ID:1068710478", "Proof|ID:1068710478-1"},
 CellID->35768775],
Cell[952827, 27507, 481, 12, 70, "ProofInfoBody",
 CellID->606643041]
}, Closed]],
Cell[CellGroupData[{
Cell[953345, 27524, 6405, 160, 70, "ProofInfo",
 CellTags->{"Proof|ID:1094967297", "Proof|ID:1094967297-1"},
 CellID->1764327445],
Cell[959753, 27686, 524, 13, 70, "ProofInfoBody",
 CellID->1230831239]
}, Closed]],
Cell[CellGroupData[{
Cell[960314, 27704, 7177, 176, 70, "ProofInfo",
 CellTags->{"Proof|ID:1495849141", "Proof|ID:1495849141-1"},
 CellID->1756171065],
Cell[967494, 27882, 482, 12, 70, "ProofInfoBody",
 CellID->1596766953]
}, Closed]],
Cell[CellGroupData[{
Cell[968013, 27899, 7682, 188, 70, "ProofInfo",
 CellTags->{"Proof|ID:931974039", "Proof|ID:931974039-1"},
 CellID->1890795604],
Cell[975698, 28089, 481, 12, 70, "ProofInfoBody",
 CellID->1772168468]
}, Closed]],
Cell[976194, 28104, 47, 1, 70, "OpenEnvironment",
 CellID->201815928],
Cell[CellGroupData[{
Cell[976266, 28109, 406, 9, 70, "EnvironmentHeader",
 CellID->389097647],
Cell[976675, 28120, 689, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:476903800", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->476903800],
Cell[977367, 28139, 2125, 64, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:511262385", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple P rest", "IR"},
 CellID->511262385],
Cell[979495, 28205, 2813, 84, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:56527158", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "tuple P rest binary", "IR"},
 CellID->56527158],
Cell[982311, 28291, 65, 1, 70, "EndEnvironmentMarker",
 CellID->701388299]
}, Open  ]],
Cell[982391, 28295, 48, 1, 70, "CloseEnvironment",
 CellID->133279645],
Cell[CellGroupData[{
Cell[982464, 28300, 6213, 158, 70, "ProofInfo",
 CellTags->{"Proof|ID:511262385", "Proof|ID:511262385-1"},
 CellID->639560663],
Cell[988680, 28460, 480, 12, 70, "ProofInfoBody",
 CellID->212710753]
}, Closed]],
Cell[CellGroupData[{
Cell[989197, 28477, 8403, 206, 70, "ProofInfo",
 CellTags->{"Proof|ID:56527158", "Proof|ID:56527158-1"},
 CellID->434693457],
Cell[997603, 28685, 478, 12, 70, "ProofInfoBody",
 CellID->70034017]
}, Closed]],
Cell[998096, 28700, 48, 1, 70, "OpenEnvironment",
 CellID->1709002060],
Cell[CellGroupData[{
Cell[998169, 28705, 397, 9, 70, "EnvironmentHeader",
 CellID->1175320553],
Cell[998569, 28716, 691, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1213842760", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1213842760],
Cell[999263, 28735, 863, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1124736253", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most append", "IR"},
 CellID->1124736253],
Cell[1000129, 28763, 868, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1608823646", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest prepend", "IR"},
 CellID->1608823646],
Cell[1001000, 28791, 65, 1, 70, "EndEnvironmentMarker",
 CellID->763396721]
}, Open  ]],
Cell[1001080, 28795, 48, 1, 70, "CloseEnvironment",
 CellID->932663816],
Cell[CellGroupData[{
Cell[1001153, 28800, 2637, 78, 70, "ProofInfo",
 CellTags->{"Proof|ID:1124736253", "Proof|ID:1124736253-1"},
 CellID->583585611],
Cell[1003793, 28880, 482, 12, 70, "ProofInfoBody",
 CellID->1484028737]
}, Closed]],
Cell[CellGroupData[{
Cell[1004312, 28897, 2640, 78, 70, "ProofInfo",
 CellTags->{"Proof|ID:1608823646", "Proof|ID:1608823646-1"},
 CellID->1331812661],
Cell[1006955, 28977, 480, 12, 70, "ProofInfoBody",
 CellID->67950576]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1007484, 28995, 204, 3, 30, "Subsection",
 CellID->174557946],
Cell[1007691, 29000, 48, 1, 70, "OpenEnvironment",
 CellID->1923710959],
Cell[CellGroupData[{
Cell[1007764, 29005, 448, 10, 70, "EnvironmentHeader",
 CellID->623558684],
Cell[1008215, 29017, 665, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:585653657", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->585653657],
Cell[1008883, 29035, 1267, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:141734886", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index reverse II", "IR"},
 CellID->141734886],
Cell[1010153, 29074, 827, 23, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:940343559", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse reverse", "IR"},
 CellID->940343559],
Cell[1010983, 29099, 1327, 46, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:785342434", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E reverse", "IR"},
 CellID->785342434],
Cell[1012313, 29147, 756, 19, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1029885993", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1029885993],
Cell[1013072, 29168, 951, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:900095694", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first reverse", "IR"},
 CellID->900095694],
Cell[1014026, 29197, 977, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:42240444", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last reverse", "IR"},
 CellID->42240444],
Cell[1015006, 29226, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1190718501]
}, Open  ]],
Cell[1015087, 29230, 47, 1, 70, "CloseEnvironment",
 CellID->59613819],
Cell[CellGroupData[{
Cell[1015159, 29235, 4041, 112, 70, "ProofInfo",
 CellTags->{"Proof|ID:141734886", "Proof|ID:141734886-1"},
 CellID->1623865597],
Cell[1019203, 29349, 479, 12, 70, "ProofInfoBody",
 CellID->61884323]
}, Closed]],
Cell[CellGroupData[{
Cell[1019719, 29366, 2662, 80, 70, "ProofInfo",
 CellTags->{"Proof|ID:940343559", "Proof|ID:940343559-1"},
 CellID->450325643],
Cell[1022384, 29448, 481, 12, 70, "ProofInfoBody",
 CellID->1354415440]
}, Closed]],
Cell[CellGroupData[{
Cell[1022902, 29465, 3053, 88, 70, "ProofInfo",
 CellTags->{"Proof|ID:785342434", "Proof|ID:785342434-1"},
 CellID->1047678896],
Cell[1025958, 29555, 480, 12, 70, "ProofInfoBody",
 CellID->910845746]
}, Closed]],
Cell[CellGroupData[{
Cell[1026475, 29572, 3447, 96, 70, "ProofInfo",
 CellTags->{"Proof|ID:900095694", "Proof|ID:900095694-1"},
 CellID->1100814666],
Cell[1029925, 29670, 546, 13, 70, "ProofInfoBody",
 CellID->103108065]
}, Closed]],
Cell[CellGroupData[{
Cell[1030508, 29688, 3383, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:42240444", "Proof|ID:42240444-1"},
 CellID->1593752458],
Cell[1033894, 29784, 480, 12, 70, "ProofInfoBody",
 CellID->1920910197]
}, Closed]],
Cell[1034389, 29799, 48, 1, 70, "OpenEnvironment",
 CellID->1021257781],
Cell[CellGroupData[{
Cell[1034462, 29804, 448, 10, 70, "EnvironmentHeader",
 CellID->608955477],
Cell[1034913, 29816, 794, 19, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1200192224", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1200192224],
Cell[1035710, 29837, 1570, 47, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1023856661", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse P", "IR"},
 CellID->1023856661],
Cell[1037283, 29886, 1841, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:225789218", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse P binary \[DoubleRightArrow]", "IR"},
 CellID->225789218],
Cell[1039127, 29946, 1830, 57, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:608262733", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse P binary \[DoubleLeftArrow]", "IR"},
 CellID->608262733],
Cell[1040960, 30005, 1859, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1483084569", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "reverse P binary", "IR"},
 CellID->1483084569],
Cell[1042822, 30065, 65, 1, 70, "EndEnvironmentMarker",
 CellID->748325071]
}, Open  ]],
Cell[1042902, 30069, 48, 1, 70, "CloseEnvironment",
 CellID->106413012],
Cell[CellGroupData[{
Cell[1042975, 30074, 5377, 138, 70, "ProofInfo",
 CellTags->{"Proof|ID:1023856661", "Proof|ID:1023856661-1"},
 CellID->1252190095],
Cell[1048355, 30214, 482, 12, 70, "ProofInfoBody",
 CellID->1034369075]
}, Closed]],
Cell[CellGroupData[{
Cell[1048874, 30231, 6435, 164, 70, "ProofInfo",
 CellTags->{"Proof|ID:225789218", "Proof|ID:225789218-1"},
 CellID->639602467],
Cell[1055312, 30397, 481, 12, 70, "ProofInfoBody",
 CellID->1467067853]
}, Closed]],
Cell[CellGroupData[{
Cell[1055830, 30414, 6446, 164, 70, "ProofInfo",
 CellTags->{"Proof|ID:608262733", "Proof|ID:608262733-1"},
 CellID->1503164207],
Cell[1062279, 30580, 481, 12, 70, "ProofInfoBody",
 CellID->1089648401]
}, Closed]],
Cell[CellGroupData[{
Cell[1062797, 30597, 6587, 164, 70, "ProofInfo",
 CellTags->{"Proof|ID:1483084569", "Proof|ID:1483084569-1"},
 CellID->1499341534],
Cell[1069387, 30763, 482, 12, 70, "ProofInfoBody",
 CellID->1323008757]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1069918, 30781, 297, 6, 30, "Subsection",
 CellID->1655980684],
Cell[1070218, 30789, 48, 1, 70, "OpenEnvironment",
 CellID->1400411776],
Cell[CellGroupData[{
Cell[1070291, 30794, 400, 9, 70, "EnvironmentHeader",
 CellID->1022430700],
Cell[1070694, 30805, 675, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:494480620", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->494480620],
Cell[1071372, 30824, 1481, 43, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1978957465", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length join seq", "IR"},
 CellID->1978957465],
Cell[1072856, 30869, 1115, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:689233251", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend seq", "IR"},
 CellID->689233251],
Cell[1073974, 30906, 1116, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1868467849", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append seq", "IR"},
 CellID->1868467849],
Cell[1075093, 30943, 1110, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:65350141", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length prepend seq", "IR"},
 CellID->65350141],
Cell[1076206, 30975, 1112, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1724810594", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length append seq", "IR"},
 CellID->1724810594],
Cell[1077321, 31007, 878, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1756306456", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first seq", "IR"},
 CellID->1756306456],
Cell[1078202, 31034, 1103, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:825805850", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last seq", "IR"},
 CellID->825805850],
Cell[1079308, 31066, 1408, 41, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:170468971", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index prepend seq", "IR"},
 CellID->170468971],
Cell[1080719, 31109, 966, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2036703557", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "rest seq", "IR"},
 CellID->2036703557],
Cell[1081688, 31137, 969, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1246285181", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "most seq", "IR"},
 CellID->1246285181],
Cell[1082660, 31166, 956, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:356326934", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend \[NotEqual] seq"},
 CellID->356326934],
Cell[1083619, 31193, 955, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1891361301", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append \[NotEqual] seq"},
 CellID->1891361301],
Cell[1084577, 31220, 933, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:908405529", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend is non-empty seq"},
 CellID->908405529],
Cell[1085513, 31247, 931, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:630006974", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append is non-empty seq"},
 CellID->630006974],
Cell[1086447, 31274, 1730, 53, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:51106199", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend injective seq", "IR"},
 CellID->51106199],
Cell[1088180, 31329, 1738, 54, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:366778785", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append injective seq", "IR"},
 CellID->366778785],
Cell[1089921, 31385, 1591, 48, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:16748437", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend=singleton seq"},
 CellID->16748437],
Cell[1091515, 31435, 1599, 49, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:356206657", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append=singleton seq"},
 CellID->356206657],
Cell[1093117, 31486, 1345, 39, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:128935503", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend=singleton seq'"},
 CellID->128935503],
Cell[1094465, 31527, 1345, 39, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:131896368", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append=singleton seq'"},
 CellID->131896368],
Cell[1095813, 31568, 1044, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:375885636", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first index prepend seq", "IR"},
 CellID->375885636],
Cell[1096860, 31597, 1745, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1449667434", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E prepend seq", "IR"},
 CellID->1449667434],
Cell[1098608, 31657, 1742, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1225984057", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E append seq", "IR"},
 CellID->1225984057],
Cell[1100353, 31717, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1305018440]
}, Open  ]],
Cell[1100434, 31721, 48, 1, 70, "CloseEnvironment",
 CellID->814395296],
Cell[CellGroupData[{
Cell[1100507, 31726, 4062, 110, 70, "ProofInfo",
 CellTags->{"Proof|ID:1978957465", "Proof|ID:1978957465-1"},
 CellID->1385098729],
Cell[1104572, 31838, 482, 12, 70, "ProofInfoBody",
 CellID->1287657958]
}, Closed]],
Cell[CellGroupData[{
Cell[1105091, 31855, 3133, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:689233251", "Proof|ID:689233251-1"},
 CellID->1934454430],
Cell[1108227, 31947, 480, 12, 70, "ProofInfoBody",
 CellID->575327834]
}, Closed]],
Cell[CellGroupData[{
Cell[1108744, 31964, 3136, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:1868467849", "Proof|ID:1868467849-1"},
 CellID->2133871472],
Cell[1111883, 32056, 481, 12, 70, "ProofInfoBody",
 CellID->953377632]
}, Closed]],
Cell[CellGroupData[{
Cell[1112401, 32073, 3406, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:65350141", "Proof|ID:65350141-1"},
 CellID->349417108],
Cell[1115810, 32169, 479, 12, 70, "ProofInfoBody",
 CellID->246838730]
}, Closed]],
Cell[CellGroupData[{
Cell[1116326, 32186, 3414, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:1724810594", "Proof|ID:1724810594-1"},
 CellID->712538882],
Cell[1119743, 32282, 482, 12, 70, "ProofInfoBody",
 CellID->1541878715]
}, Closed]],
Cell[CellGroupData[{
Cell[1120262, 32299, 2816, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:1756306456", "Proof|ID:1756306456-1"},
 CellID->2087019572],
Cell[1123081, 32385, 482, 12, 70, "ProofInfoBody",
 CellID->1915294058]
}, Closed]],
Cell[CellGroupData[{
Cell[1123600, 32402, 3507, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:825805850", "Proof|ID:825805850-1"},
 CellID->1815538666],
Cell[1127110, 32504, 480, 12, 70, "ProofInfoBody",
 CellID->953455655]
}, Closed]],
Cell[CellGroupData[{
Cell[1127627, 32521, 4233, 116, 70, "ProofInfo",
 CellTags->{"Proof|ID:170468971", "Proof|ID:170468971-1"},
 CellID->10891487],
Cell[1131863, 32639, 479, 12, 70, "ProofInfoBody",
 CellID->10109557]
}, Closed]],
Cell[CellGroupData[{
Cell[1132379, 32656, 3053, 88, 70, "ProofInfo",
 CellTags->{"Proof|ID:2036703557", "Proof|ID:2036703557-1"},
 CellID->329821864],
Cell[1135435, 32746, 482, 12, 70, "ProofInfoBody",
 CellID->1997061992]
}, Closed]],
Cell[CellGroupData[{
Cell[1135954, 32763, 3054, 88, 70, "ProofInfo",
 CellTags->{"Proof|ID:1246285181", "Proof|ID:1246285181-1"},
 CellID->2135475776],
Cell[1139011, 32853, 481, 12, 70, "ProofInfoBody",
 CellID->620456015]
}, Closed]],
Cell[CellGroupData[{
Cell[1139529, 32870, 2970, 86, 70, "ProofInfo",
 CellTags->{"Proof|ID:356326934", "Proof|ID:356326934-1"},
 CellID->140246005],
Cell[1142502, 32958, 547, 13, 70, "ProofInfoBody",
 CellID->67745053]
}, Closed]],
Cell[CellGroupData[{
Cell[1143086, 32976, 2972, 86, 70, "ProofInfo",
 CellTags->{"Proof|ID:1891361301", "Proof|ID:1891361301-1"},
 CellID->97652058],
Cell[1146061, 33064, 481, 12, 70, "ProofInfoBody",
 CellID->599950063]
}, Closed]],
Cell[CellGroupData[{
Cell[1146579, 33081, 2830, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:908405529", "Proof|ID:908405529-1"},
 CellID->205515258],
Cell[1149412, 33167, 481, 12, 70, "ProofInfoBody",
 CellID->2084818995]
}, Closed]],
Cell[CellGroupData[{
Cell[1149930, 33184, 2829, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:630006974", "Proof|ID:630006974-1"},
 CellID->1370582735],
Cell[1152762, 33270, 480, 12, 70, "ProofInfoBody",
 CellID->205711086]
}, Closed]],
Cell[CellGroupData[{
Cell[1153279, 33287, 4843, 126, 70, "ProofInfo",
 CellTags->{"Proof|ID:51106199", "Proof|ID:51106199-1"},
 CellID->69937640],
Cell[1158125, 33415, 479, 12, 70, "ProofInfoBody",
 CellID->254543554]
}, Closed]],
Cell[CellGroupData[{
Cell[1158641, 33432, 4847, 126, 70, "ProofInfo",
 CellTags->{"Proof|ID:366778785", "Proof|ID:366778785-1"},
 CellID->320700225],
Cell[1163491, 33560, 480, 12, 70, "ProofInfoBody",
 CellID->447907243]
}, Closed]],
Cell[CellGroupData[{
Cell[1164008, 33577, 4183, 110, 70, "ProofInfo",
 CellTags->{"Proof|ID:16748437", "Proof|ID:16748437-1"},
 CellID->42196719],
Cell[1168194, 33689, 478, 12, 70, "ProofInfoBody",
 CellID->92444314]
}, Closed]],
Cell[CellGroupData[{
Cell[1168709, 33706, 4186, 110, 70, "ProofInfo",
 CellTags->{"Proof|ID:356206657", "Proof|ID:356206657-1"},
 CellID->56951552],
Cell[1172898, 33818, 480, 12, 70, "ProofInfoBody",
 CellID->130172208]
}, Closed]],
Cell[CellGroupData[{
Cell[1173415, 33835, 3649, 102, 70, "ProofInfo",
 CellTags->{"Proof|ID:128935503", "Proof|ID:128935503-1"},
 CellID->62890191],
Cell[1177067, 33939, 480, 12, 70, "ProofInfoBody",
 CellID->462016030]
}, Closed]],
Cell[CellGroupData[{
Cell[1177584, 33956, 3648, 102, 70, "ProofInfo",
 CellTags->{"Proof|ID:131896368", "Proof|ID:131896368-1"},
 CellID->298683712],
Cell[1181235, 34060, 479, 12, 70, "ProofInfoBody",
 CellID->14326218]
}, Closed]],
Cell[CellGroupData[{
Cell[1181751, 34077, 3107, 86, 70, "ProofInfo",
 CellTags->{"Proof|ID:375885636", "Proof|ID:375885636-1"},
 CellID->56380098],
Cell[1184861, 34165, 479, 12, 70, "ProofInfoBody",
 CellID->10343000]
}, Closed]],
Cell[CellGroupData[{
Cell[1185377, 34182, 3961, 106, 70, "ProofInfo",
 CellTags->{"Proof|ID:1449667434", "Proof|ID:1449667434-1"},
 CellID->1172643487],
Cell[1189341, 34290, 482, 12, 70, "ProofInfoBody",
 CellID->1549829500]
}, Closed]],
Cell[CellGroupData[{
Cell[1189860, 34307, 3959, 106, 70, "ProofInfo",
 CellTags->{"Proof|ID:1225984057", "Proof|ID:1225984057-1"},
 CellID->1303184498],
Cell[1193822, 34415, 482, 12, 70, "ProofInfoBody",
 CellID->1699114779]
}, Closed]],
Cell[1194319, 34430, 47, 1, 70, "OpenEnvironment",
 CellID->552642134],
Cell[CellGroupData[{
Cell[1194391, 34435, 377, 9, 70, "EnvironmentHeader",
 CellID->1167603280],
Cell[1194771, 34446, 666, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1603144769", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1603144769],
Cell[1195440, 34464, 1297, 40, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1631152012", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "empty or prepend seq"},
 CellID->1631152012],
Cell[1196740, 34506, 1367, 42, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:555405947", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "empty or append seq"},
 CellID->555405947],
Cell[1198110, 34550, 65, 1, 70, "EndEnvironmentMarker",
 CellID->611378130]
}, Open  ]],
Cell[1198190, 34554, 49, 1, 70, "CloseEnvironment",
 CellID->2128154645],
Cell[CellGroupData[{
Cell[1198264, 34559, 3552, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:1631152012", "Proof|ID:1631152012-1"},
 CellID->2022060118],
Cell[1201819, 34661, 481, 12, 70, "ProofInfoBody",
 CellID->886887877]
}, Closed]],
Cell[CellGroupData[{
Cell[1202337, 34678, 3852, 106, 70, "ProofInfo",
 CellTags->{"Proof|ID:555405947", "Proof|ID:555405947-1"},
 CellID->162873796],
Cell[1206192, 34786, 480, 12, 70, "ProofInfoBody",
 CellID->346230608]
}, Closed]],
Cell[1206687, 34801, 48, 1, 70, "OpenEnvironment",
 CellID->1547098127],
Cell[CellGroupData[{
Cell[1206760, 34806, 403, 9, 70, "EnvironmentHeader",
 CellID->1775118541],
Cell[1207166, 34817, 816, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1927912858", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1927912858],
Cell[1207985, 34839, 2649, 81, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:945414731", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "join P seq", "IR"},
 CellID->945414731],
Cell[1210637, 34922, 2123, 64, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:410739149", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "prepend P seq", "IR"},
 CellID->410739149],
Cell[1212763, 34988, 2074, 64, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:351192043", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "append P seq", "IR"},
 CellID->351192043],
Cell[1214840, 35054, 65, 1, 70, "EndEnvironmentMarker",
 CellID->588648067]
}, Open  ]],
Cell[1214920, 35058, 49, 1, 70, "CloseEnvironment",
 CellID->1000709000],
Cell[CellGroupData[{
Cell[1214994, 35063, 8672, 210, 70, "ProofInfo",
 CellTags->{"Proof|ID:945414731", "Proof|ID:945414731-1"},
 CellID->1732112684],
Cell[1223669, 35275, 479, 12, 70, "ProofInfoBody",
 CellID->70437433]
}, Closed]],
Cell[CellGroupData[{
Cell[1224185, 35292, 6878, 170, 70, "ProofInfo",
 CellTags->{"Proof|ID:410739149", "Proof|ID:410739149-1"},
 CellID->10877773],
Cell[1231066, 35464, 481, 12, 70, "ProofInfoBody",
 CellID->1419809143]
}, Closed]],
Cell[CellGroupData[{
Cell[1231584, 35481, 6878, 170, 70, "ProofInfo",
 CellTags->{"Proof|ID:351192043", "Proof|ID:351192043-1"},
 CellID->1701507642],
Cell[1238465, 35653, 480, 12, 70, "ProofInfoBody",
 CellID->590310168]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1238994, 35671, 216, 3, 30, "Subsection",
 CellID->1643018938],
Cell[1239213, 35676, 48, 1, 70, "OpenEnvironment",
 CellID->1544724951],
Cell[CellGroupData[{
Cell[1239286, 35681, 440, 10, 70, "EnvironmentHeader",
 CellID->121791731],
Cell[1239729, 35693, 714, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1694974068", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1694974068],
Cell[1240446, 35712, 711, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1505247553", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1505247553],
Cell[1241160, 35731, 904, 24, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1255331353", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1255331353],
Cell[1242067, 35757, 786, 21, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1942795378", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple TupleOf", "IR"},
 CellID->1942795378],
Cell[1242856, 35780, 1335, 43, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1005510912", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf empty", "IR"},
 CellID->1005510912],
Cell[1244194, 35825, 1496, 50, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1495808200", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E TupleOf", "IR"},
 CellID->1495808200],
Cell[1245693, 35877, 1444, 45, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1914119422", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P", "IR"},
 CellID->1914119422],
Cell[1247140, 35924, 65, 1, 70, "EndEnvironmentMarker",
 CellID->561891813]
}, Open  ]],
Cell[1247220, 35928, 49, 1, 70, "CloseEnvironment",
 CellID->1741748868],
Cell[CellGroupData[{
Cell[1247294, 35933, 3795, 102, 70, "ProofInfo",
 CellTags->{"Proof|ID:1942795378", "Proof|ID:1942795378-1"},
 CellID->830505370],
Cell[1251092, 36037, 481, 12, 70, "ProofInfoBody",
 CellID->300080004]
}, Closed]],
Cell[CellGroupData[{
Cell[1251610, 36054, 5377, 140, 70, "ProofInfo",
 CellTags->{"Proof|ID:1005510912", "Proof|ID:1005510912-1"},
 CellID->1883378197],
Cell[1256990, 36196, 482, 12, 70, "ProofInfoBody",
 CellID->1342890668]
}, Closed]],
Cell[CellGroupData[{
Cell[1257509, 36213, 5606, 142, 70, "ProofInfo",
 CellTags->{"Proof|ID:1495808200", "Proof|ID:1495808200-1"},
 CellID->258451646],
Cell[1263118, 36357, 482, 12, 70, "ProofInfoBody",
 CellID->1698282499]
}, Closed]],
Cell[CellGroupData[{
Cell[1263637, 36374, 8155, 198, 70, "ProofInfo",
 CellTags->{"Proof|ID:1914119422", "Proof|ID:1914119422-1"},
 CellID->1598253886],
Cell[1271795, 36574, 481, 12, 70, "ProofInfoBody",
 CellID->806613290]
}, Closed]],
Cell[1272291, 36589, 47, 1, 70, "OpenEnvironment",
 CellID->163035300],
Cell[CellGroupData[{
Cell[1272363, 36594, 493, 11, 70, "EnvironmentHeader",
 CellID->726078777],
Cell[1272859, 36607, 703, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:134279387", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->134279387],
Cell[1273565, 36626, 787, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1927530612", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1927530612],
Cell[1274355, 36646, 888, 24, 70, "GlobalDeclaration",
 CellTags->{
  "ID:37602445", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->37602445],
Cell[1275246, 36672, 846, 23, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1598714500", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length TupleOf", "IR"},
 CellID->1598714500],
Cell[1276095, 36697, 1082, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1101459169", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf empty II", "IR"},
 CellID->1101459169],
Cell[1277180, 36732, 1093, 32, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1117837722", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index TupleOf", "IR"},
 CellID->1117837722],
Cell[1278276, 36766, 2164, 69, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:516149167", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf=", "IR"},
 CellID->516149167],
Cell[1280443, 36837, 1626, 52, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:177394441", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P binary", "IR"},
 CellID->177394441],
Cell[1282072, 36891, 718, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:548658600", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->548658600],
Cell[1282793, 36911, 802, 22, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:340261036", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first TupleOf", "IR"},
 CellID->340261036],
Cell[1283598, 36935, 864, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:124965228", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last TupleOf", "IR"},
 CellID->124965228],
Cell[1284465, 36961, 65, 1, 70, "EndEnvironmentMarker",
 CellID->701379195]
}, Open  ]],
Cell[1284545, 36965, 49, 1, 70, "CloseEnvironment",
 CellID->1485886707],
Cell[CellGroupData[{
Cell[1284619, 36970, 3699, 102, 70, "ProofInfo",
 CellTags->{"Proof|ID:1598714500", "Proof|ID:1598714500-1"},
 CellID->719312761],
Cell[1288321, 37074, 482, 12, 70, "ProofInfoBody",
 CellID->1821123084]
}, Closed]],
Cell[CellGroupData[{
Cell[1288840, 37091, 3874, 104, 70, "ProofInfo",
 CellTags->{"Proof|ID:1101459169", "Proof|ID:1101459169-1"},
 CellID->691598025],
Cell[1292717, 37197, 482, 12, 70, "ProofInfoBody",
 CellID->1387102911]
}, Closed]],
Cell[CellGroupData[{
Cell[1293236, 37214, 4251, 114, 70, "ProofInfo",
 CellTags->{"Proof|ID:1117837722", "Proof|ID:1117837722-1"},
 CellID->2037489008],
Cell[1297490, 37330, 482, 12, 70, "ProofInfoBody",
 CellID->2104558347]
}, Closed]],
Cell[CellGroupData[{
Cell[1298009, 37347, 6873, 170, 70, "ProofInfo",
 CellTags->{"Proof|ID:516149167", "Proof|ID:516149167-1"},
 CellID->306087820],
Cell[1304885, 37519, 480, 12, 70, "ProofInfoBody",
 CellID->163406695]
}, Closed]],
Cell[CellGroupData[{
Cell[1305402, 37536, 9287, 226, 70, "ProofInfo",
 CellTags->{"Proof|ID:177394441", "Proof|ID:177394441-1"},
 CellID->777558294],
Cell[1314692, 37764, 481, 12, 70, "ProofInfoBody",
 CellID->1518971287]
}, Closed]],
Cell[CellGroupData[{
Cell[1315210, 37781, 5141, 134, 70, "ProofInfo",
 CellTags->{"Proof|ID:340261036", "Proof|ID:340261036-1"},
 CellID->159464590],
Cell[1320354, 37917, 480, 12, 70, "ProofInfoBody",
 CellID->712175014]
}, Closed]],
Cell[CellGroupData[{
Cell[1320871, 37934, 6580, 166, 70, "ProofInfo",
 CellTags->{"Proof|ID:124965228", "Proof|ID:124965228-1"},
 CellID->1318409637],
Cell[1327454, 38102, 480, 12, 70, "ProofInfoBody",
 CellID->805863339]
}, Closed]],
Cell[1327949, 38117, 47, 1, 70, "OpenEnvironment",
 CellID->862187148],
Cell[CellGroupData[{
Cell[1328021, 38122, 485, 11, 70, "EnvironmentHeader",
 CellID->204009807],
Cell[1328509, 38135, 716, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1593677557", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1593677557],
Cell[1329228, 38154, 711, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:748631503", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->748631503],
Cell[1329942, 38174, 904, 24, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1717928685", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1717928685],
Cell[1330849, 38200, 961, 23, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:218966905", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple TupleOf II", "IR"},
 CellID->218966905],
Cell[1331813, 38225, 1343, 43, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2124778583", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf empty III", "IR"},
 CellID->2124778583],
Cell[1333159, 38270, 1504, 50, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2096232905", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E TupleOf II", "IR"},
 CellID->2096232905],
Cell[1334666, 38322, 1526, 47, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:317090069", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P II", "IR"},
 CellID->317090069],
Cell[1336195, 38371, 870, 23, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1886070472", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1886070472],
Cell[1337068, 38396, 1369, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:251468957", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length TupleOf II", "IR"},
 CellID->251468957],
Cell[1338440, 38431, 1319, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1168033220", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "index TupleOf II", "IR"},
 CellID->1168033220],
Cell[1339762, 38470, 1683, 53, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:894739369", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P binary II", "IR"},
 CellID->894739369],
Cell[1341448, 38525, 689, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:502002218", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->502002218],
Cell[1342140, 38544, 1105, 30, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2071594661", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isTuple TupleOf III", "IR"},
 CellID->2071594661],
Cell[1343248, 38576, 2159, 62, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:520380078", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "E TupleOf III", "IR"},
 CellID->520380078],
Cell[1345410, 38640, 2219, 64, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:408639765", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P III", "IR"},
 CellID->408639765],
Cell[1347632, 38706, 936, 24, 70, "GlobalDeclaration",
 CellTags->{
  "ID:201585227", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->201585227],
Cell[1348571, 38732, 1015, 26, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:881212292", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "length TupleOf III", "IR"},
 CellID->881212292],
Cell[1349589, 38760, 1873, 59, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:23356384", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf=III", "IR"},
 CellID->23356384],
Cell[1351465, 38821, 1168, 35, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1085673759", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf empty IV", "IR"},
 CellID->1085673759],
Cell[1352636, 38858, 1761, 55, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1965128634", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf P binary III", "IR"},
 CellID->1965128634],
Cell[1354400, 38915, 742, 19, 70, "GlobalDeclaration",
 CellTags->{
  "ID:534711775", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->534711775],
Cell[1355145, 38936, 863, 23, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1006778759", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "first TupleOf III", "IR"},
 CellID->1006778759],
Cell[1356011, 38961, 1036, 28, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:283251415", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "last TupleOf III", "IR"},
 CellID->283251415],
Cell[1357050, 38991, 65, 1, 70, "EndEnvironmentMarker",
 CellID->948920546]
}, Open  ]],
Cell[1357130, 38995, 49, 1, 70, "CloseEnvironment",
 CellID->1751897787],
Cell[CellGroupData[{
Cell[1357204, 39000, 4137, 110, 70, "ProofInfo",
 CellTags->{"Proof|ID:218966905", "Proof|ID:218966905-1"},
 CellID->1210032788],
Cell[1361344, 39112, 481, 12, 70, "ProofInfoBody",
 CellID->2013510347]
}, Closed]],
Cell[CellGroupData[{
Cell[1361862, 39129, 5831, 150, 70, "ProofInfo",
 CellTags->{"Proof|ID:2124778583", "Proof|ID:2124778583-1"},
 CellID->1645016545],
Cell[1367696, 39281, 482, 12, 70, "ProofInfoBody",
 CellID->1172329439]
}, Closed]],
Cell[CellGroupData[{
Cell[1368215, 39298, 6059, 152, 70, "ProofInfo",
 CellTags->{"Proof|ID:2096232905", "Proof|ID:2096232905-1"},
 CellID->2093517487],
Cell[1374277, 39452, 482, 12, 70, "ProofInfoBody",
 CellID->1079050624]
}, Closed]],
Cell[CellGroupData[{
Cell[1374796, 39469, 8708, 210, 70, "ProofInfo",
 CellTags->{"Proof|ID:317090069", "Proof|ID:317090069-1"},
 CellID->2045739047],
Cell[1383507, 39681, 480, 12, 70, "ProofInfoBody",
 CellID->848146739]
}, Closed]],
Cell[CellGroupData[{
Cell[1384024, 39698, 5022, 130, 70, "ProofInfo",
 CellTags->{"Proof|ID:251468957", "Proof|ID:251468957-1"},
 CellID->1350232031],
Cell[1389049, 39830, 480, 12, 70, "ProofInfoBody",
 CellID->648675487]
}, Closed]],
Cell[CellGroupData[{
Cell[1389566, 39847, 6175, 156, 70, "ProofInfo",
 CellTags->{"Proof|ID:1168033220", "Proof|ID:1168033220-1"},
 CellID->1568740038],
Cell[1395744, 40005, 481, 12, 70, "ProofInfoBody",
 CellID->630430316]
}, Closed]],
Cell[CellGroupData[{
Cell[1396262, 40022, 9952, 240, 70, "ProofInfo",
 CellTags->{"Proof|ID:894739369", "Proof|ID:894739369-1"},
 CellID->1033891420],
Cell[1406217, 40264, 481, 12, 70, "ProofInfoBody",
 CellID->1753611981]
}, Closed]],
Cell[CellGroupData[{
Cell[1406735, 40281, 3896, 104, 70, "ProofInfo",
 CellTags->{"Proof|ID:2071594661", "Proof|ID:2071594661-1"},
 CellID->1282426654],
Cell[1410634, 40387, 482, 12, 70, "ProofInfoBody",
 CellID->2059153055]
}, Closed]],
Cell[CellGroupData[{
Cell[1411153, 40404, 5904, 148, 70, "ProofInfo",
 CellTags->{"Proof|ID:520380078", "Proof|ID:520380078-1"},
 CellID->1534939845],
Cell[1417060, 40554, 481, 12, 70, "ProofInfoBody",
 CellID->1372691205]
}, Closed]],
Cell[CellGroupData[{
Cell[1417578, 40571, 8654, 208, 70, "ProofInfo",
 CellTags->{"Proof|ID:408639765", "Proof|ID:408639765-1"},
 CellID->1122414248],
Cell[1426235, 40781, 481, 12, 70, "ProofInfoBody",
 CellID->1717731348]
}, Closed]],
Cell[CellGroupData[{
Cell[1426753, 40798, 3945, 106, 70, "ProofInfo",
 CellTags->{"Proof|ID:881212292", "Proof|ID:881212292-1"},
 CellID->1087255417],
Cell[1430701, 40906, 481, 12, 70, "ProofInfoBody",
 CellID->1126795542]
}, Closed]],
Cell[CellGroupData[{
Cell[1431219, 40923, 6556, 164, 70, "ProofInfo",
 CellTags->{"Proof|ID:23356384", "Proof|ID:23356384-1"},
 CellID->633253562],
Cell[1437778, 41089, 477, 12, 70, "ProofInfoBody",
 CellID->1917854]
}, Closed]],
Cell[CellGroupData[{
Cell[1438292, 41106, 4144, 112, 70, "ProofInfo",
 CellTags->{"Proof|ID:1085673759", "Proof|ID:1085673759-1"},
 CellID->2046671601],
Cell[1442439, 41220, 482, 12, 70, "ProofInfoBody",
 CellID->1381920972]
}, Closed]],
Cell[CellGroupData[{
Cell[1442958, 41237, 9999, 240, 70, "ProofInfo",
 CellTags->{"Proof|ID:1965128634", "Proof|ID:1965128634-1"},
 CellID->1957388566],
Cell[1452960, 41479, 481, 12, 70, "ProofInfoBody",
 CellID->399377454]
}, Closed]],
Cell[CellGroupData[{
Cell[1453478, 41496, 5448, 140, 70, "ProofInfo",
 CellTags->{"Proof|ID:1006778759", "Proof|ID:1006778759-1"},
 CellID->538163754],
Cell[1458929, 41638, 481, 12, 70, "ProofInfoBody",
 CellID->155118048]
}, Closed]],
Cell[CellGroupData[{
Cell[1459447, 41655, 7273, 180, 70, "ProofInfo",
 CellTags->{"Proof|ID:283251415", "Proof|ID:283251415-1"},
 CellID->208449576],
Cell[1466723, 41837, 481, 12, 70, "ProofInfoBody",
 CellID->1095065516]
}, Closed]],
Cell[1467219, 41852, 48, 1, 70, "OpenEnvironment",
 CellID->1262406246],
Cell[CellGroupData[{
Cell[1467292, 41857, 385, 9, 70, "EnvironmentHeader",
 CellID->1635070490],
Cell[1467680, 41868, 636, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1263200977", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1263200977],
Cell[1468319, 41885, 718, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1482990827", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1482990827],
Cell[1469040, 41905, 2096, 65, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:288335744", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf join", "IR"},
 CellID->288335744],
Cell[1471139, 41972, 2959, 92, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1725599731", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleOf join 2"},
 CellID->1725599731],
Cell[1474101, 42066, 65, 1, 70, "EndEnvironmentMarker",
 CellID->281141794]
}, Open  ]],
Cell[1474181, 42070, 49, 1, 70, "CloseEnvironment",
 CellID->1164344103],
Cell[CellGroupData[{
Cell[1474255, 42075, 10675, 250, 70, "ProofInfo",
 CellTags->{"Proof|ID:1725599731", "Proof|ID:1725599731-1"},
 CellID->594883306],
Cell[1484933, 42327, 482, 12, 70, "ProofInfoBody",
 CellID->2100993584]
}, Closed]],
Cell[CellGroupData[{
Cell[1485452, 42344, 7374, 182, 70, "ProofInfo",
 CellTags->{"Proof|ID:288335744", "Proof|ID:288335744-1"},
 CellID->326369969],
Cell[1492829, 42528, 480, 12, 70, "ProofInfoBody",
 CellID->406809379]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1493358, 42546, 213, 3, 30, "Subsection",
 CellID->113133099],
Cell[1493574, 42551, 723, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:943582632", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->943582632],
Cell[1494300, 42570, 48, 1, 70, "OpenEnvironment",
 CellID->1161316428],
Cell[CellGroupData[{
Cell[1494373, 42575, 429, 10, 70, "EnvironmentHeader",
 CellID->887798559],
Cell[1494805, 42587, 782, 20, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1766309993", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1766309993],
Cell[1495590, 42609, 1827, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:176463151", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum append", "IR"},
 CellID->176463151],
Cell[1497420, 42669, 2573, 80, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:803576507", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum append 2"},
 CellID->803576507],
Cell[1499996, 42751, 1880, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1626050428", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum most", "IR"},
 CellID->1626050428],
Cell[1501879, 42811, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1504661129]
}, Open  ]],
Cell[1501960, 42815, 48, 1, 70, "CloseEnvironment",
 CellID->201097559],
Cell[CellGroupData[{
Cell[1502033, 42820, 6347, 158, 70, "ProofInfo",
 CellTags->{"Proof|ID:176463151", "Proof|ID:176463151-1"},
 CellID->132409156],
Cell[1508383, 42980, 546, 13, 70, "ProofInfoBody",
 CellID->275070239]
}, Closed]],
Cell[CellGroupData[{
Cell[1508966, 42998, 8641, 206, 70, "ProofInfo",
 CellTags->{"Proof|ID:803576507", "Proof|ID:803576507-1"},
 CellID->625973727],
Cell[1517610, 43206, 480, 12, 70, "ProofInfoBody",
 CellID->285408563]
}, Closed]],
Cell[CellGroupData[{
Cell[1518127, 43223, 6070, 152, 70, "ProofInfo",
 CellTags->{"Proof|ID:1626050428", "Proof|ID:1626050428-1"},
 CellID->590281017],
Cell[1524200, 43377, 482, 12, 70, "ProofInfoBody",
 CellID->1940382847]
}, Closed]],
Cell[1524697, 43392, 48, 1, 70, "OpenEnvironment",
 CellID->2107783006],
Cell[CellGroupData[{
Cell[1524770, 43397, 437, 10, 70, "EnvironmentHeader",
 CellID->281085091],
Cell[1525210, 43409, 604, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:15531077", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->15531077],
Cell[1525817, 43426, 2554, 73, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:883103966", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum TupleOf", "IR"},
 CellID->883103966],
Cell[1528374, 43501, 665, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:618251189", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->618251189],
Cell[1529042, 43519, 937, 24, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1893863329", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1893863329],
Cell[1529982, 43545, 1525, 46, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1650642628", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum TupleOf unary", "IR"},
 CellID->1650642628],
Cell[1531510, 43593, 1612, 50, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:829035443", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "sum TupleOf 2"},
 CellID->829035443],
Cell[1533125, 43645, 65, 1, 70, "EndEnvironmentMarker",
 CellID->184378737]
}, Open  ]],
Cell[1533205, 43649, 47, 1, 70, "CloseEnvironment",
 CellID->75080525],
Cell[CellGroupData[{
Cell[1533277, 43654, 7411, 182, 70, "ProofInfo",
 CellTags->{"Proof|ID:883103966", "Proof|ID:883103966-1"},
 CellID->212314621],
Cell[1540691, 43838, 480, 12, 70, "ProofInfoBody",
 CellID->392752416]
}, Closed]],
Cell[CellGroupData[{
Cell[1541208, 43855, 7925, 192, 70, "ProofInfo",
 CellTags->{"Proof|ID:1650642628", "Proof|ID:1650642628-1"},
 CellID->1061412339],
Cell[1549136, 44049, 482, 12, 70, "ProofInfoBody",
 CellID->1427862374]
}, Closed]],
Cell[CellGroupData[{
Cell[1549655, 44066, 7396, 182, 70, "ProofInfo",
 CellTags->{"Proof|ID:829035443", "Proof|ID:829035443-1"},
 CellID->1989271199],
Cell[1557054, 44250, 481, 12, 70, "ProofInfoBody",
 CellID->1731255458]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1557584, 44268, 264, 4, 30, "Subsection",
 CellID->1678242149],
Cell[1557851, 44274, 48, 1, 70, "OpenEnvironment",
 CellID->1958794431],
Cell[CellGroupData[{
Cell[1557924, 44279, 382, 9, 70, "EnvironmentHeader",
 CellID->51408772],
Cell[1558309, 44290, 632, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1347349396", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1347349396],
Cell[1558944, 44307, 2749, 85, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:676444026", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples ind"},
 CellID->676444026],
Cell[1561696, 44394, 1749, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1530142946", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples append", "IR"},
 CellID->1530142946],
Cell[1563448, 44454, 1751, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1549052502", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples prepend", "IR"},
 CellID->1549052502],
Cell[1565202, 44514, 1775, 57, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:734563828", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples most", "IR"},
 CellID->734563828],
Cell[1566980, 44573, 1777, 57, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:972583102", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples rest", "IR"},
 CellID->972583102],
Cell[1568760, 44632, 2382, 77, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:659908364", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples non-empty rest", "IR"},
 CellID->659908364],
Cell[1571145, 44711, 1850, 59, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:14041309", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction tuples rest seq", "IR"},
 CellID->14041309],
Cell[1572998, 44772, 65, 1, 70, "EndEnvironmentMarker",
 CellID->203045778]
}, Open  ]],
Cell[1573078, 44776, 49, 1, 70, "CloseEnvironment",
 CellID->1028817249],
Cell[CellGroupData[{
Cell[1573152, 44781, 7026, 174, 70, "ProofInfo",
 CellTags->{"Proof|ID:676444026", "Proof|ID:676444026-1"},
 CellID->16203276],
Cell[1580181, 44957, 522, 13, 70, "ProofInfoBody",
 CellID->217755610]
}, Closed]],
Cell[CellGroupData[{
Cell[1580740, 44975, 4529, 120, 70, "ProofInfo",
 CellTags->{"Proof|ID:1530142946", "Proof|ID:1530142946-1"},
 CellID->1877222525],
Cell[1585272, 45097, 523, 13, 70, "ProofInfoBody",
 CellID->812914996]
}, Closed]],
Cell[CellGroupData[{
Cell[1585832, 45115, 4530, 120, 70, "ProofInfo",
 CellTags->{"Proof|ID:1549052502", "Proof|ID:1549052502-1"},
 CellID->214036559],
Cell[1590365, 45237, 481, 12, 70, "ProofInfoBody",
 CellID->298847290]
}, Closed]],
Cell[CellGroupData[{
Cell[1590883, 45254, 4755, 126, 70, "ProofInfo",
 CellTags->{"Proof|ID:734563828", "Proof|ID:734563828-1"},
 CellID->581338885],
Cell[1595641, 45382, 480, 12, 70, "ProofInfoBody",
 CellID->302403721]
}, Closed]],
Cell[CellGroupData[{
Cell[1596158, 45399, 4756, 126, 70, "ProofInfo",
 CellTags->{"Proof|ID:972583102", "Proof|ID:972583102-1"},
 CellID->1684007437],
Cell[1600917, 45527, 481, 12, 70, "ProofInfoBody",
 CellID->1927755982]
}, Closed]],
Cell[CellGroupData[{
Cell[1601435, 45544, 6365, 164, 70, "ProofInfo",
 CellTags->{"Proof|ID:659908364", "Proof|ID:659908364-1"},
 CellID->182582197],
Cell[1607803, 45710, 481, 12, 70, "ProofInfoBody",
 CellID->1382500666]
}, Closed]],
Cell[CellGroupData[{
Cell[1608321, 45727, 5010, 131, 70, "ProofInfo",
 CellTags->{"Proof|ID:14041309", "Proof|ID:14041309-1"},
 CellID->166486106],
Cell[1613334, 45860, 479, 12, 70, "ProofInfoBody",
 CellID->102190657]
}, Closed]],
Cell[1613828, 45875, 45, 1, 70, "OpenEnvironment",
 CellID->5903827],
Cell[CellGroupData[{
Cell[1613898, 45880, 534, 13, 70, "EnvironmentHeader",
 CellID->59945491],
Cell[1614435, 45895, 4231, 124, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:710342238", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "binary relation trivial tuples rest seq"},
 CellID->710342238],
Cell[1618669, 46021, 65, 1, 70, "EndEnvironmentMarker",
 CellID->236683851]
}, Open  ]],
Cell[1618749, 46025, 48, 1, 70, "CloseEnvironment",
 CellID->160679974],
Cell[CellGroupData[{
Cell[1618822, 46030, 10405, 253, 70, "ProofInfo",
 CellTags->{"Proof|ID:710342238", "Proof|ID:710342238-1"},
 CellID->443647427],
Cell[1629230, 46285, 478, 12, 70, "ProofInfoBody",
 CellID->9824420]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1629757, 46303, 254, 4, 30, "Subsection",
 CellID->82000216],
Cell[1630014, 46309, 48, 1, 70, "OpenEnvironment",
 CellID->1578480177],
Cell[CellGroupData[{
Cell[1630087, 46314, 397, 10, 70, "EnvironmentHeader",
 CellID->755085905],
Cell[1630487, 46326, 883, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1796849533", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isSet TupleToSet", "IR"},
 CellID->1796849533],
Cell[1631373, 46352, 1407, 46, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:175665072", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Element] TupleToSet", "IR"},
 CellID->175665072],
Cell[1632783, 46400, 1776, 51, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:460986674", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet TupleOf", "IR"},
 CellID->460986674],
Cell[1634562, 46453, 1303, 42, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:173666830", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet join", "IR"},
 CellID->173666830],
Cell[1635868, 46497, 871, 23, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:201212584", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet empty", "IR"},
 CellID->201212584],
Cell[1636742, 46522, 1044, 31, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1943524802", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet singleton", "IR"},
 CellID->1943524802],
Cell[1637789, 46555, 1341, 43, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:809409004", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet append", "IR"},
 CellID->809409004],
Cell[1639133, 46600, 886, 24, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:47406400", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "TupleToSet isFinite", "IR"},
 CellID->47406400],
Cell[1640022, 46626, 65, 1, 70, "EndEnvironmentMarker",
 CellID->174694652]
}, Open  ]],
Cell[1640102, 46630, 49, 1, 70, "CloseEnvironment",
 CellID->1817090819],
Cell[CellGroupData[{
Cell[1640176, 46635, 2278, 68, 70, "ProofInfo",
 CellTags->{"Proof|ID:1796849533", "Proof|ID:1796849533-1"},
 CellID->432279666],
Cell[1642457, 46705, 481, 12, 70, "ProofInfoBody",
 CellID->414036833]
}, Closed]],
Cell[CellGroupData[{
Cell[1642975, 46722, 2976, 86, 70, "ProofInfo",
 CellTags->{"Proof|ID:175665072", "Proof|ID:175665072-1"},
 CellID->148445132],
Cell[1645954, 46810, 480, 12, 70, "ProofInfoBody",
 CellID->233753674]
}, Closed]],
Cell[CellGroupData[{
Cell[1646471, 46827, 5815, 146, 70, "ProofInfo",
 CellTags->{"Proof|ID:460986674", "Proof|ID:460986674-1"},
 CellID->368291904],
Cell[1652289, 46975, 480, 12, 70, "ProofInfoBody",
 CellID->110069837]
}, Closed]],
Cell[CellGroupData[{
Cell[1652806, 46992, 3115, 86, 70, "ProofInfo",
 CellTags->{"Proof|ID:173666830", "Proof|ID:173666830-1"},
 CellID->406896688],
Cell[1655924, 47080, 480, 12, 70, "ProofInfoBody",
 CellID->950126546]
}, Closed]],
Cell[CellGroupData[{
Cell[1656441, 47097, 1968, 60, 70, "ProofInfo",
 CellTags->{"Proof|ID:201212584", "Proof|ID:201212584-1"},
 CellID->658833980],
Cell[1658412, 47159, 479, 12, 70, "ProofInfoBody",
 CellID->34342205]
}, Closed]],
Cell[CellGroupData[{
Cell[1658928, 47176, 2514, 74, 70, "ProofInfo",
 CellTags->{"Proof|ID:1943524802", "Proof|ID:1943524802-1"},
 CellID->156636724],
Cell[1661445, 47252, 481, 12, 70, "ProofInfoBody",
 CellID->599071735]
}, Closed]],
Cell[CellGroupData[{
Cell[1661963, 47269, 2997, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:809409004", "Proof|ID:809409004-1"},
 CellID->969684081],
Cell[1664963, 47355, 481, 12, 70, "ProofInfoBody",
 CellID->1166670995]
}, Closed]],
Cell[CellGroupData[{
Cell[1665481, 47372, 2279, 68, 70, "ProofInfo",
 CellTags->{"Proof|ID:47406400", "Proof|ID:47406400-1"},
 CellID->56343103],
Cell[1667763, 47442, 479, 12, 70, "ProofInfoBody",
 CellID->124716335]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1668303, 47461, 263, 6, 43, "Section",
 CellID->1896516189],
Cell[CellGroupData[{
Cell[1668591, 47471, 124, 2, 70, "Subsection",
 CellID->1645559361],
Cell[1668718, 47475, 47, 1, 70, "OpenEnvironment",
 CellID->850600494],
Cell[CellGroupData[{
Cell[1668790, 47480, 380, 9, 70, "EnvironmentHeader",
 CellID->1823820238],
Cell[1669173, 47491, 690, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1116878701", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1116878701],
Cell[1669866, 47510, 705, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:976871574", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->976871574],
Cell[1670574, 47529, 1190, 36, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1792308841", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples decision predicate"},
 CellID->1792308841],
Cell[1671767, 47567, 1315, 41, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:734182331", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds]"},
 CellID->734182331],
Cell[1673085, 47610, 1221, 40, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:50337709", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Precedes]"},
 CellID->50337709],
Cell[1674309, 47652, 269, 6, 70, "EnvironmentText",
 CellID->1038115768],
Cell[1674581, 47660, 64, 1, 70, "EndEnvironmentMarker",
 CellID->62459254]
}, Open  ]],
Cell[1674660, 47664, 48, 1, 70, "CloseEnvironment",
 CellID->417087364],
Cell[1674711, 47667, 48, 1, 70, "OpenEnvironment",
 CellID->1426436627],
Cell[CellGroupData[{
Cell[1674784, 47672, 387, 9, 70, "EnvironmentHeader",
 CellID->102211866],
Cell[1675174, 47683, 644, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:290651172", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->290651172],
Cell[1675821, 47700, 812, 19, 70, "GlobalDeclaration",
 CellTags->{
  "ID:963340119", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->963340119],
Cell[1676636, 47721, 634, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:2118739683", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->2118739683],
Cell[1677273, 47738, 1714, 55, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1752643636", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples decision predicate"},
 CellID->1752643636],
Cell[1678990, 47795, 1694, 52, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1806819834", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples <<"},
 CellID->1806819834],
Cell[1680687, 47849, 1527, 46, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:410422280", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples >>"},
 CellID->410422280],
Cell[1682217, 47897, 65, 1, 70, "EndEnvironmentMarker",
 CellID->944847372]
}, Open  ]],
Cell[1682297, 47901, 49, 1, 70, "CloseEnvironment",
 CellID->1312906019]
}, Closed]],
Cell[CellGroupData[{
Cell[1682383, 47907, 246, 5, 70, "Subsection",
 CellID->1068845292],
Cell[1682632, 47914, 48, 1, 70, "OpenEnvironment",
 CellID->1364020542],
Cell[CellGroupData[{
Cell[1682705, 47919, 401, 11, 70, "EnvironmentHeader",
 CellID->349575561],
Cell[1683109, 47932, 673, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:232548980", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->232548980],
Cell[1683785, 47951, 1032, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1071152688", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] prepend seq", "IR"},
 CellID->1071152688],
Cell[1684820, 47980, 1027, 27, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:108993772", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] append seq", "IR"},
 CellID->108993772],
Cell[1685850, 48009, 66, 1, 70, "EndEnvironmentMarker",
 CellID->1155899463]
}, Open  ]],
Cell[1685931, 48013, 49, 1, 70, "CloseEnvironment",
 CellID->1516404197],
Cell[CellGroupData[{
Cell[1686005, 48018, 3158, 92, 70, "ProofInfo",
 CellTags->{"Proof|ID:1071152688", "Proof|ID:1071152688-1"},
 CellID->1817765568],
Cell[1689166, 48112, 481, 12, 70, "ProofInfoBody",
 CellID->442394880]
}, Closed]],
Cell[CellGroupData[{
Cell[1689684, 48129, 3143, 91, 70, "ProofInfo",
 CellTags->{"Proof|ID:108993772", "Proof|ID:108993772-1"},
 CellID->1028001861],
Cell[1692830, 48222, 481, 12, 70, "ProofInfoBody",
 CellID->2003034555]
}, Closed]],
Cell[1693326, 48237, 48, 1, 70, "OpenEnvironment",
 CellID->1659820504],
Cell[CellGroupData[{
Cell[1693399, 48242, 468, 12, 70, "EnvironmentHeader",
 CellID->1024583534],
Cell[1693870, 48256, 1065, 32, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1208674976", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] isPartIrreflOrder"},
 CellID->1208674976],
Cell[1694938, 48290, 1036, 31, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:144999145", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] isNoetherian"},
 CellID->144999145],
Cell[1695977, 48323, 65, 1, 70, "EndEnvironmentMarker",
 CellID->694950268]
}, Open  ]],
Cell[1696057, 48327, 47, 1, 70, "CloseEnvironment",
 CellID->76141101],
Cell[CellGroupData[{
Cell[1696129, 48332, 2088, 64, 70, "ProofInfo",
 CellTags->{"Proof|ID:1208674976", "Proof|ID:1208674976-1"},
 CellID->1261527715],
Cell[1698220, 48398, 482, 12, 70, "ProofInfoBody",
 CellID->1043653959]
}, Closed]],
Cell[CellGroupData[{
Cell[1698739, 48415, 2055, 63, 70, "ProofInfo",
 CellTags->{"Proof|ID:144999145", "Proof|ID:144999145-1"},
 CellID->1825398003],
Cell[1700797, 48480, 480, 12, 70, "ProofInfoBody",
 CellID->629222495]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1701326, 48498, 390, 7, 70, "Subsection",
 CellID->1888482592],
Cell[1701719, 48507, 648, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1005434988", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1005434988],
Cell[1702370, 48524, 36, 1, 70, "Text",
 CellID->373203856],
Cell[1702409, 48527, 739, 18, 70, "GlobalDeclaration",
 CellTags->{
  "ID:228053728", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->228053728],
Cell[1703151, 48547, 48, 1, 70, "OpenEnvironment",
 CellID->1125478885],
Cell[CellGroupData[{
Cell[1703224, 48552, 401, 9, 70, "EnvironmentHeader",
 CellID->1465928092],
Cell[1703628, 48563, 690, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1717060871", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1717060871],
Cell[1704321, 48582, 1423, 47, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1649645401", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples E", "IR"},
 CellID->1649645401],
Cell[1705747, 48631, 1426, 44, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1383999666", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples join", "IR"},
 CellID->1383999666],
Cell[1707176, 48677, 1413, 44, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1424148745", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples append", "IR"},
 CellID->1424148745],
Cell[1708592, 48723, 1417, 44, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1871123021", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples prepend", "IR"},
 CellID->1871123021],
Cell[1710012, 48769, 1428, 42, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:752441053", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples rest", "IR"},
 CellID->752441053],
Cell[1711443, 48813, 1383, 41, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1694879508", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples most", "IR"},
 CellID->1694879508],
Cell[1712829, 48856, 1233, 37, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2011690260", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples reverse", "IR"},
 CellID->2011690260],
Cell[1714065, 48895, 1933, 58, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1915001232", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples join seq", "IR"},
 CellID->1915001232],
Cell[1716001, 48955, 1748, 53, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:232482705", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples append seq", "IR"},
 CellID->232482705],
Cell[1717752, 49010, 1749, 53, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:64883103", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples prepend seq", "IR"},
 CellID->64883103],
Cell[1719504, 49065, 1292, 39, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:372047052", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainSets TupleToSet", "IR"},
 CellID->372047052],
Cell[1720799, 49106, 66, 1, 70, "EndEnvironmentMarker",
 CellID->2031297326]
}, Open  ]],
Cell[1720880, 49110, 49, 1, 70, "CloseEnvironment",
 CellID->1950120376],
Cell[CellGroupData[{
Cell[1720954, 49115, 3507, 94, 70, "ProofInfo",
 CellTags->{"Proof|ID:1649645401", "Proof|ID:1649645401-1"},
 CellID->1359448228],
Cell[1724464, 49211, 482, 12, 70, "ProofInfoBody",
 CellID->2104456646]
}, Closed]],
Cell[CellGroupData[{
Cell[1724983, 49228, 4367, 114, 70, "ProofInfo",
 CellTags->{"Proof|ID:1383999666", "Proof|ID:1383999666-1"},
 CellID->1933476732],
Cell[1729353, 49344, 482, 12, 70, "ProofInfoBody",
 CellID->1719487101]
}, Closed]],
Cell[CellGroupData[{
Cell[1729872, 49361, 4214, 110, 70, "ProofInfo",
 CellTags->{"Proof|ID:1424148745", "Proof|ID:1424148745-1"},
 CellID->542464729],
Cell[1734089, 49473, 481, 12, 70, "ProofInfoBody",
 CellID->309343971]
}, Closed]],
Cell[CellGroupData[{
Cell[1734607, 49490, 4215, 110, 70, "ProofInfo",
 CellTags->{"Proof|ID:1871123021", "Proof|ID:1871123021-1"},
 CellID->61154356],
Cell[1738825, 49602, 482, 12, 70, "ProofInfoBody",
 CellID->1734743651]
}, Closed]],
Cell[CellGroupData[{
Cell[1739344, 49619, 3693, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:752441053", "Proof|ID:752441053-1"},
 CellID->301964347],
Cell[1743040, 49721, 481, 12, 70, "ProofInfoBody",
 CellID->2110661830]
}, Closed]],
Cell[CellGroupData[{
Cell[1743558, 49738, 3699, 100, 70, "ProofInfo",
 CellTags->{"Proof|ID:1694879508", "Proof|ID:1694879508-1"},
 CellID->1974617618],
Cell[1747260, 49840, 482, 12, 70, "ProofInfoBody",
 CellID->1255173245]
}, Closed]],
Cell[CellGroupData[{
Cell[1747779, 49857, 3499, 96, 70, "ProofInfo",
 CellTags->{"Proof|ID:2011690260", "Proof|ID:2011690260-1"},
 CellID->1129176787],
Cell[1751281, 49955, 481, 12, 70, "ProofInfoBody",
 CellID->819780798]
}, Closed]],
Cell[CellGroupData[{
Cell[1751799, 49972, 5375, 138, 70, "ProofInfo",
 CellTags->{"Proof|ID:1915001232", "Proof|ID:1915001232-1"},
 CellID->2039556318],
Cell[1757177, 50112, 481, 12, 70, "ProofInfoBody",
 CellID->280871350]
}, Closed]],
Cell[CellGroupData[{
Cell[1757695, 50129, 4810, 124, 70, "ProofInfo",
 CellTags->{"Proof|ID:232482705", "Proof|ID:232482705-1"},
 CellID->1940169690],
Cell[1762508, 50255, 480, 12, 70, "ProofInfoBody",
 CellID->326417995]
}, Closed]],
Cell[CellGroupData[{
Cell[1763025, 50272, 4807, 124, 70, "ProofInfo",
 CellTags->{"Proof|ID:64883103", "Proof|ID:64883103-1"},
 CellID->1892261095],
Cell[1767835, 50398, 480, 12, 70, "ProofInfoBody",
 CellID->1229177754]
}, Closed]],
Cell[CellGroupData[{
Cell[1768352, 50415, 3267, 90, 70, "ProofInfo",
 CellTags->{"Proof|ID:372047052", "Proof|ID:372047052-1"},
 CellID->870488331],
Cell[1771622, 50507, 481, 12, 70, "ProofInfoBody",
 CellID->2106482372]
}, Closed]],
Cell[1772118, 50522, 47, 1, 70, "OpenEnvironment",
 CellID->681053692],
Cell[CellGroupData[{
Cell[1772190, 50527, 387, 9, 70, "EnvironmentHeader",
 CellID->995853659],
Cell[1772580, 50538, 629, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:925810378", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->925810378],
Cell[1773212, 50555, 3048, 92, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2034256835", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction DomainTuples ind"},
 CellID->2034256835],
Cell[1776263, 50649, 2079, 66, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2052980984", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction DomainTuples append", "IR"},
 CellID->2052980984],
Cell[1778345, 50717, 3214, 102, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:480000138", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction DomainTuples append 2", "IR"},
 CellID->480000138],
Cell[1781562, 50821, 2369, 72, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1988740441", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "induction DomainTuples rest seq", "IR"},
 CellID->1988740441],
Cell[1783934, 50895, 65, 1, 70, "EndEnvironmentMarker",
 CellID->218025475]
}, Open  ]],
Cell[1784014, 50899, 48, 1, 70, "CloseEnvironment",
 CellID->423392620],
Cell[CellGroupData[{
Cell[1784087, 50904, 8335, 200, 70, "ProofInfo",
 CellTags->{"Proof|ID:2034256835", "Proof|ID:2034256835-1"},
 CellID->2145090087],
Cell[1792425, 51106, 482, 12, 70, "ProofInfoBody",
 CellID->2137671304]
}, Closed]],
Cell[CellGroupData[{
Cell[1792944, 51123, 6016, 151, 70, "ProofInfo",
 CellTags->{"Proof|ID:2052980984", "Proof|ID:2052980984-1"},
 CellID->827959283],
Cell[1798963, 51276, 523, 13, 70, "ProofInfoBody",
 CellID->651029320]
}, Closed]],
Cell[CellGroupData[{
Cell[1799523, 51294, 10246, 236, 70, "ProofInfo",
 CellTags->{"Proof|ID:480000138", "Proof|ID:480000138-1"},
 CellID->1321677136],
Cell[1809772, 51532, 480, 12, 70, "ProofInfoBody",
 CellID->225277583]
}, Closed]],
Cell[CellGroupData[{
Cell[1810289, 51549, 7070, 174, 70, "ProofInfo",
 CellTags->{"Proof|ID:1988740441", "Proof|ID:1988740441-1"},
 CellID->521270711],
Cell[1817362, 51725, 480, 12, 70, "ProofInfoBody",
 CellID->78399071]
}, Closed]],
Cell[1817857, 51740, 47, 1, 70, "OpenEnvironment",
 CellID->362853883],
Cell[CellGroupData[{
Cell[1817929, 51745, 455, 12, 70, "EnvironmentHeader",
 CellID->52936160],
Cell[1818387, 51759, 1103, 33, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:52429673", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] isPartIrreflOrder DomainTuples"},
 CellID->52429673],
Cell[1819493, 51794, 1077, 32, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:69834405", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "Tuples \[Succeeds] isNoetherian DomainTuples"},
 CellID->69834405],
Cell[1820573, 51828, 64, 1, 70, "EndEnvironmentMarker",
 CellID->36132440]
}, Open  ]],
Cell[1820652, 51832, 48, 1, 70, "CloseEnvironment",
 CellID->161719897],
Cell[CellGroupData[{
Cell[1820725, 51837, 2571, 74, 70, "ProofInfo",
 CellTags->{"Proof|ID:52429673", "Proof|ID:52429673-1"},
 CellID->17397896],
Cell[1823299, 51913, 478, 12, 70, "ProofInfoBody",
 CellID->94222649]
}, Closed]],
Cell[CellGroupData[{
Cell[1823814, 51930, 2552, 74, 70, "ProofInfo",
 CellTags->{"Proof|ID:69834405", "Proof|ID:69834405-1"},
 CellID->385103402],
Cell[1826369, 52006, 478, 12, 70, "ProofInfoBody",
 CellID->12499877]
}, Closed]],
Cell[1826862, 52021, 47, 1, 70, "OpenEnvironment",
 CellID->663875065],
Cell[CellGroupData[{
Cell[1826934, 52026, 384, 9, 70, "EnvironmentHeader",
 CellID->61947972],
Cell[1827321, 52037, 1912, 57, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:169398667", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples n+1 append"},
 CellID->169398667],
Cell[1829236, 52096, 680, 17, 70, "GlobalDeclaration",
 CellTags->{
  "ID:322989025", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->322989025],
Cell[1829919, 52115, 1389, 38, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:21488136", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples isDomain ind"},
 CellID->21488136],
Cell[1831311, 52155, 803, 21, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:149029649", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "DomainTuples isDomain"},
 CellID->149029649],
Cell[1832117, 52178, 64, 1, 70, "EndEnvironmentMarker",
 CellID->38585653]
}, Open  ]],
Cell[1832196, 52182, 48, 1, 70, "CloseEnvironment",
 CellID->271272701],
Cell[CellGroupData[{
Cell[1832269, 52187, 5686, 144, 70, "ProofInfo",
 CellTags->{"Proof|ID:169398667", "Proof|ID:169398667-1"},
 CellID->31616244],
Cell[1837958, 52333, 480, 12, 70, "ProofInfoBody",
 CellID->223360162]
}, Closed]],
Cell[CellGroupData[{
Cell[1838475, 52350, 4910, 128, 70, "ProofInfo",
 CellTags->{"Proof|ID:21488136", "Proof|ID:21488136-1"},
 CellID->472932529],
Cell[1843388, 52480, 476, 12, 70, "ProofInfoBody",
 CellID->133322]
}, Closed]],
Cell[CellGroupData[{
Cell[1843901, 52497, 2574, 74, 70, "ProofInfo",
 CellTags->{"Proof|ID:149029649", "Proof|ID:149029649-1"},
 CellID->11980074],
Cell[1846478, 52573, 480, 12, 70, "ProofInfoBody",
 CellID->332586239]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1847007, 52591, 274, 4, 70, "Subsection",
 CellID->1089906640],
Cell[1847284, 52597, 668, 16, 70, "GlobalDeclaration",
 CellTags->{
  "ID:281029623", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->281029623],
Cell[1847955, 52615, 47, 1, 70, "OpenEnvironment",
 CellID->208371929],
Cell[CellGroupData[{
Cell[1848027, 52620, 376, 9, 70, "EnvironmentHeader",
 CellID->943473275],
Cell[1848406, 52631, 2302, 70, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:2053740245", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples domain", "IR"},
 CellID->2053740245],
Cell[1850711, 52703, 65, 1, 70, "EndEnvironmentMarker",
 CellID->582921584]
}, Open  ]],
Cell[1850791, 52707, 48, 1, 70, "CloseEnvironment",
 CellID->181146461],
Cell[CellGroupData[{
Cell[1850864, 52712, 6577, 162, 70, "ProofInfo",
 CellTags->{"Proof|ID:2053740245", "Proof|ID:2053740245-1"},
 CellID->34713279],
Cell[1857444, 52876, 481, 12, 70, "ProofInfoBody",
 CellID->289246708]
}, Closed]],
Cell[1857940, 52891, 47, 1, 70, "OpenEnvironment",
 CellID->588437034],
Cell[CellGroupData[{
Cell[1858012, 52896, 439, 10, 70, "EnvironmentHeader",
 CellID->344618667],
Cell[1858454, 52908, 968, 25, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1812573889", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1812573889],
Cell[1859425, 52935, 1856, 59, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:850429787", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples splitting I", "IR"},
 CellID->850429787],
Cell[1861284, 52996, 1972, 62, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1070084809", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples splitting II", "IR"},
 CellID->1070084809],
Cell[1863259, 53060, 2059, 65, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1286863438", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples append", "IR"},
 CellID->1286863438],
Cell[1865321, 53127, 1973, 63, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1880290617", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1880290617],
Cell[1867297, 53192, 2468, 77, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:654350327", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] tuples splitting III", "IR"},
 CellID->654350327],
Cell[1869768, 53271, 2505, 78, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:309986851", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] join", "IR"},
 CellID->309986851],
Cell[1872276, 53351, 65, 1, 70, "EndEnvironmentMarker",
 CellID->855612812]
}, Open  ]],
Cell[1872356, 53355, 49, 1, 70, "CloseEnvironment",
 CellID->1158894243],
Cell[CellGroupData[{
Cell[1872430, 53360, 6613, 167, 70, "ProofInfo",
 CellTags->{"Proof|ID:850429787", "Proof|ID:850429787-1"},
 CellID->805888690],
Cell[1879046, 53529, 480, 12, 70, "ProofInfoBody",
 CellID->443433693]
}, Closed]],
Cell[CellGroupData[{
Cell[1879563, 53546, 7002, 175, 70, "ProofInfo",
 CellTags->{"Proof|ID:1070084809", "Proof|ID:1070084809-1"},
 CellID->737857729],
Cell[1886568, 53723, 481, 12, 70, "ProofInfoBody",
 CellID->520521512]
}, Closed]],
Cell[CellGroupData[{
Cell[1887086, 53740, 7028, 172, 70, "ProofInfo",
 CellTags->{"Proof|ID:1286863438", "Proof|ID:1286863438-1"},
 CellID->377244128],
Cell[1894117, 53914, 481, 12, 70, "ProofInfoBody",
 CellID->476315314]
}, Closed]],
Cell[CellGroupData[{
Cell[1894635, 53931, 12698, 295, 70, "ProofInfo",
 CellTags->{"Proof|ID:654350327", "Proof|ID:654350327-1"},
 CellID->267732970],
Cell[1907336, 54228, 480, 12, 70, "ProofInfoBody",
 CellID->186494893]
}, Closed]],
Cell[CellGroupData[{
Cell[1907853, 54245, 11901, 276, 70, "ProofInfo",
 CellTags->{"Proof|ID:309986851", "Proof|ID:309986851-1"},
 CellID->104597619],
Cell[1919757, 54523, 479, 12, 70, "ProofInfoBody",
 CellID->69562624]
}, Closed]],
Cell[1920251, 54538, 48, 1, 70, "OpenEnvironment",
 CellID->1747670649],
Cell[CellGroupData[{
Cell[1920324, 54543, 393, 9, 70, "EnvironmentHeader",
 CellID->1301983242],
Cell[1920720, 54554, 1268, 37, 70, "GlobalDeclaration",
 CellTags->{
  "ID:1738240000", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->1738240000],
Cell[1921991, 54593, 2642, 77, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:870134514", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] TupleOf II", "IR"},
 CellID->870134514],
Cell[1924636, 54672, 2919, 84, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:1688189650", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "\[Sum] TupleOf III", "IR"},
 CellID->1688189650],
Cell[1927558, 54758, 65, 1, 70, "EndEnvironmentMarker",
 CellID->119963577]
}, Open  ]],
Cell[1927638, 54762, 49, 1, 70, "CloseEnvironment",
 CellID->2146347362],
Cell[CellGroupData[{
Cell[1927712, 54767, 10489, 246, 70, "ProofInfo",
 CellTags->{"Proof|ID:870134514", "Proof|ID:870134514-1"},
 CellID->246649316],
Cell[1938204, 55015, 480, 12, 70, "ProofInfoBody",
 CellID->538935110]
}, Closed]],
Cell[CellGroupData[{
Cell[1938721, 55032, 11257, 262, 70, "ProofInfo",
 CellTags->{"Proof|ID:1688189650", "Proof|ID:1688189650-1"},
 CellID->67920199],
Cell[1949981, 55296, 481, 12, 70, "ProofInfoBody",
 CellID->832898220]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1950523, 55315, 216, 5, 43, "Section",
 CellID->25380137],
Cell[CellGroupData[{
Cell[1950764, 55324, 181, 3, 38, "Subsection",
 CellID->436562785],
Cell[1950948, 55329, 773, 18, 32, "GlobalDeclaration",
 CellTags->{
  "ID:6091443", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->6091443],
Cell[CellGroupData[{
Cell[1951746, 55351, 126, 2, 28, "Subsubsection",
 CellID->232256460],
Cell[1951875, 55355, 346, 9, 70, "Text",
 CellID->83817268],
Cell[1952224, 55366, 46, 1, 70, "OpenEnvironment",
 CellID->57316334],
Cell[CellGroupData[{
Cell[1952295, 55371, 442, 10, 70, "EnvironmentHeader",
 CellID->238018049],
Cell[1952740, 55383, 761, 22, 70, "GlobalDeclaration",
 CellTags->{
  "ID:5152788", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->5152788],
Cell[1953504, 55407, 1053, 29, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:459374459", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "min pair"},
 CellID->459374459],
Cell[1954560, 55438, 1053, 29, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:845525504", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max pair"},
 CellID->845525504],
Cell[1955616, 55469, 64, 1, 70, "EndEnvironmentMarker",
 CellID->46251727]
}, Open  ]],
Cell[1955695, 55473, 48, 1, 70, "CloseEnvironment",
 CellID->111854752]
}, Closed]],
Cell[CellGroupData[{
Cell[1955780, 55479, 279, 6, 22, "Subsubsection",
 CellID->136755169],
Cell[1956062, 55487, 213, 5, 70, "Text",
 CellID->183701788],
Cell[1956278, 55494, 767, 22, 70, "GlobalDeclaration",
 CellTags->{
  "ID:261689886", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->261689886],
Cell[1957048, 55518, 47, 1, 70, "OpenEnvironment",
 CellID->339568266],
Cell[CellGroupData[{
Cell[1957120, 55523, 448, 10, 70, "EnvironmentHeader",
 CellID->490616914],
Cell[1957571, 55535, 906, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:781169161", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "min identical", "IR"},
 CellID->781169161],
Cell[1958480, 55562, 909, 25, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:229791028", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max identical", "IR"},
 CellID->229791028],
Cell[1959392, 55589, 65, 1, 70, "EndEnvironmentMarker",
 CellID->122323998]
}, Open  ]],
Cell[1959472, 55593, 46, 1, 70, "CloseEnvironment",
 CellID->4770101],
Cell[CellGroupData[{
Cell[1959543, 55598, 2932, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:781169161", "Proof|ID:781169161-1"},
 CellID->181429837],
Cell[1962478, 55684, 480, 12, 70, "ProofInfoBody",
 CellID->214578080]
}, Closed]],
Cell[CellGroupData[{
Cell[1962995, 55701, 2932, 84, 70, "ProofInfo",
 CellTags->{"Proof|ID:229791028", "Proof|ID:229791028-1"},
 CellID->172019970],
Cell[1965930, 55787, 479, 12, 70, "ProofInfoBody",
 CellID->17713675]
}, Closed]],
Cell[1966424, 55802, 46, 1, 70, "OpenEnvironment",
 CellID->81130295],
Cell[CellGroupData[{
Cell[1966495, 55807, 377, 9, 70, "EnvironmentHeader",
 CellID->195383743],
Cell[1966875, 55818, 645, 15, 70, "GlobalDeclaration",
 CellTags->{
  "ID:102682926", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->102682926],
Cell[1967523, 55835, 1379, 41, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:10580625", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "membership min", "IR"},
 CellID->10580625],
Cell[1968905, 55878, 1330, 40, 70, "FormalTextInputFormula",
 CellTags->{
  "ID:50619968", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "membership max", "IR"},
 CellID->50619968],
Cell[1970238, 55920, 64, 1, 70, "EndEnvironmentMarker",
 CellID->59778245]
}, Open  ]],
Cell[1970317, 55924, 48, 1, 70, "CloseEnvironment",
 CellID->104237830],
Cell[CellGroupData[{
Cell[1970390, 55929, 4274, 108, 70, "ProofInfo",
 CellTags->{"Proof|ID:10580625", "Proof|ID:10580625-1"},
 CellID->662596399],
Cell[1974667, 56039, 478, 12, 70, "ProofInfoBody",
 CellID->28617893]
}, Closed]],
Cell[CellGroupData[{
Cell[1975182, 56056, 4274, 108, 70, "ProofInfo",
 CellTags->{"Proof|ID:50619968", "Proof|ID:50619968-1"},
 CellID->655005757],
Cell[1979459, 56166, 479, 12, 70, "ProofInfoBody",
 CellID->140043407]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1979987, 56184, 242, 3, 22, "Subsubsection",
 CellID->672241854],
Cell[1980232, 56189, 47, 1, 12, "OpenEnvironment",
 CellID->617623956],
Cell[CellGroupData[{
Cell[1980304, 56194, 394, 9, 43, "EnvironmentHeader",
 CellID->500485495],
Cell[1980701, 56205, 862, 23, 23, "GlobalDeclaration",
 CellTags->{
  "ID:879231940", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->879231940],
Cell[1981566, 56230, 979, 26, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:12810555", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[Element] \[DoubleStruckCapitalZ]"},
 CellID->12810555],
Cell[1982548, 56258, 1085, 29, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:82857207", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[DoubleStruckCapitalZ] comm"},
 CellID->82857207],
Cell[1983636, 56289, 1036, 28, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:201025959", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[DoubleStruckCapitalZ] \[GreaterEqual] 1"},
 CellID->201025959],
Cell[1984675, 56319, 1038, 28, 21, "FormalTextInputFormula",
 CellTags->{
  "ID:64253862", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[DoubleStruckCapitalZ] \[GreaterEqual] 2"},
 CellID->64253862],
Cell[1985716, 56349, 1424, 42, 30, "FormalTextInputFormula",
 CellTags->{
  "ID:54073160", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "max \[DoubleStruckCapitalZ] \[LessEqual]"},
 CellID->54073160],
Cell[1987143, 56393, 65, 1, 26, "EndEnvironmentMarker",
 CellID->395596944]
}, Open  ]],
Cell[1987223, 56397, 48, 1, 16, "CloseEnvironment",
 CellID->382480309],
Cell[CellGroupData[{
Cell[1987296, 56402, 3514, 98, 28, "ProofInfo",
 CellTags->{"Proof|ID:12810555", "Proof|ID:12810555-1"},
 CellID->17985349],
Cell[1990813, 56502, 479, 12, 70, "ProofInfoBody",
 CellID->169676112]
}, Closed]],
Cell[CellGroupData[{
Cell[1991329, 56519, 4078, 109, 26, "ProofInfo",
 CellTags->{"Proof|ID:82857207", "Proof|ID:82857207-1"},
 CellID->225257021],
Cell[1995410, 56630, 478, 12, 70, "ProofInfoBody",
 CellID->83083941]
}, Closed]],
Cell[CellGroupData[{
Cell[1995925, 56647, 3592, 100, 26, "ProofInfo",
 CellTags->{"Proof|ID:201025959", "Proof|ID:201025959-1"},
 CellID->330895812],
Cell[1999520, 56749, 480, 12, 70, "ProofInfoBody",
 CellID->120292153]
}, Closed]],
Cell[CellGroupData[{
Cell[2000037, 56766, 3587, 100, 26, "ProofInfo",
 CellTags->{"Proof|ID:64253862", "Proof|ID:64253862-1"},
 CellID->174540704],
Cell[2003627, 56868, 479, 12, 70, "ProofInfoBody",
 CellID->286113728]
}, Closed]],
Cell[CellGroupData[{
Cell[2004143, 56885, 4901, 126, 26, "ProofInfo",
 CellTags->{"Proof|ID:54073160", "Proof|ID:54073160-1"},
 CellID->92970741],
Cell[2009047, 57013, 479, 12, 70, "ProofInfoBody",
 CellID->653813056]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[2009587, 57032, 184, 3, 30, "Subsection",
 CellID->579992135],
Cell[2009774, 57037, 47, 1, 12, "OpenEnvironment",
 CellID->294612769],
Cell[CellGroupData[{
Cell[2009846, 57042, 371, 9, 43, "EnvironmentHeader",
 CellID->584270526],
Cell[2010220, 57053, 1029, 31, 33, "GlobalDeclaration",
 CellTags->{
  "ID:943867900", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb"},
 CellID->943867900],
Cell[2011252, 57086, 3159, 83, 61, "FormalTextInputFormula",
 CellTags->{
  "ID:152254973", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isChain"},
 CellID->152254973],
Cell[2014414, 57171, 2578, 83, 49, "FormalTextInputFormula",
 CellTags->{
  "ID:130970035", 
   "Source:/home/amaletzk/Theorema Notebooks/ElementaryTheories/Tuples.nb", 
   "isChainBelow"},
 CellID->130970035],
Cell[2016995, 57256, 65, 1, 26, "EndEnvironmentMarker",
 CellID->300990246]
}, Open  ]],
Cell[2017075, 57260, 48, 1, 16, "CloseEnvironment",
 CellID->519417299]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
